-- 
-- Table structure for table `etcitem`
-- 

DROP TABLE IF EXISTS `etcitem`;
CREATE TABLE `etcitem` (
  `item_id` decimal(11,0) NOT NULL default '0',
  `name` varchar(100) default NULL,
  `crystallizable` varchar(5) default NULL,
  `item_type` varchar(12) default NULL,
  `weight` decimal(4,0) default NULL,
  `consume_type` varchar(9) default NULL,
  `material` varchar(11) default NULL,
  `crystal_type` varchar(4) default NULL,
  `durability` decimal(3,0) default NULL,
  `price` decimal(11,0) default NULL,
  `crystal_count` int(4) default NULL,
  `sellable` varchar(5) default NULL,
  `oldname` varchar(100) NOT NULL default '',
  `oldtype` varchar(100) NOT NULL default '',
  `drop_category` enum('0','1','2') NOT NULL default '2',
  PRIMARY KEY  (`item_id`)
) TYPE=MyISAM;

-- 
-- Dumping data for table `etcitem`
-- 
INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (17, 'Wooden Arrow', 'false', 'arrow', 6, 'stackable', 'wood', 'none', 0, 2, 0, 'true', 'wooden_arrow', 'arrow', '2'),
 (57, 'Adena', 'false', 'none', 0, 'asset', 'gold', 'none', 0, 1, 0, 'false', 'adena', 'none', '0'),
 (65, 'Red Potion', 'false', 'potion', 80, 'stackable', 'liquid', 'none', 0, 40, 0, 'true', 'red_potion', 'potion', '2'),
 (686, 'Chair', 'false', 'none', 100, 'normal', 'wood', 'none', 90, 1000, 0, 'false', 'chair_item', 'none', '2'),
 (687, 'Darin''s Letter', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'darings_letter', 'none', '0'),
 (688, 'Roxxy''s Kerchief', 'false', 'quest', 0, 'normal', 'cloth', 'none', 100, 0, 0, 'false', 'rapunzels_kerchief', 'none', '0'),
 (689, 'Poetry Book', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'poetry_book', 'none', '0'),
 (690, 'Lyrics Book', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'lyrics_book', 'none', '0'),
 (691, 'Romance Novel', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'romance_novel', 'none', '0'),
 (692, 'Arujien''s Letter', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'arujiens_letter', 'none', '0'),
 (693, 'Greenis''s Letter', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'greenis_letter', 'none', '0'),
 (694, 'Ingredient List', 'false', 'quest', 0, 'normal', 'paper', 'none', 100, 0, 0, 'false', 'talos_list', 'none', '0'),
 (695, 'Omen Beast''s Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'onyx_beast_blood', 'none', '0'),
 (696, 'Mana Seeker''s Husk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mana_vampire_husk', 'none', '0'),
 (697, 'Gargoyle''s Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gargoyle_horn', 'none', '0'),
 (698, 'Gilbert''s List', 'false', 'quest', 0, 'normal', 'steel', 'none', 100, 0, 0, 'false', 'gilberts_list', 'none', '0'),
 (699, 'Orc''s Nose', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_nose', 'none', '0'),
 (700, 'Hobgoblin Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_hobgoblin_amulet', 'none', '0'),
 (701, 'Fungus Juice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fungus_juice', 'none', '0'),
 (702, 'Wolf Pelt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wolf_pelt', 'none', '0'),
 (703, 'Poison Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'poison_sac', 'none', '0'),
 (704, 'Fever Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fever_medicine', 'none', '0'),
 (705, 'Orc''s Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_orc_amulet', 'none', '0'),
 (706, 'Basilisk''s Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'basilisk_claw', 'none', '0'),
 (707, 'Spore Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fungus_sac', 'none', '0'),
 (708, 'Sylph Headband', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sylph_headband', 'none', '0'),
 (709, 'Leather Shirt', 'false', 'none', 400, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_upper001', 'none', '1'),
 (710, 'Hard Leather Shirt', 'false', 'none', 400, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_upper002', 'none', '1'),
 (711, 'Piece Bone Breastplate', 'false', 'none', 800, 'normal', 'bone', 'none', 100, 0, 0, 'true', 'sek_temp_upper003', 'none', '1'),
 (712, 'Half Plate Armor', 'false', 'none', 1200, 'normal', 'steel', 'none', 100, 0, 0, 'true', 'sek_temp_upper004', 'none', '1'),
 (713, 'Leather Pants', 'false', 'none', 250, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_lower001', 'none', '1'),
 (714, 'Hard Leather Pants', 'false', 'none', 300, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_lower002', 'none', '1'),
 (715, 'Piece Bone Gaiters', 'false', 'none', 500, 'normal', 'bone', 'none', 100, 0, 0, 'true', 'sek_temp_lower003', 'none', '1'),
 (716, 'Plate Gaiters', 'false', 'none', 800, 'normal', 'steel', 'none', 100, 0, 0, 'true', 'sek_temp_lower004', 'none', '1'),
 (717, 'Leather Gloves', 'false', 'none', 100, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_glove001', 'none', '1'),
 (718, 'Hard Leather Gloves', 'false', 'none', 150, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_glove002', 'none', '1'),
 (719, 'Excellent Leather Gloves', 'false', 'none', 150, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_glove003', 'none', '1'),
 (720, 'Reinforced Gloves', 'false', 'none', 200, 'normal', 'steel', 'none', 100, 0, 0, 'true', 'sek_temp_glove004', 'none', '1'),
 (721, 'Leather Boots', 'false', 'none', 150, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_boots001', 'none', '1'),
 (722, 'Hard Leather Boots', 'false', 'none', 150, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_boots002', 'none', '1'),
 (723, 'Excellent Leather Boots', 'false', 'none', 200, 'normal', 'leather', 'none', 100, 0, 0, 'true', 'sek_temp_boots003', 'none', '1'),
 (724, 'Reinforced Boots', 'false', 'none', 250, 'normal', 'steel', 'none', 100, 0, 0, 'true', 'sek_temp_boots004', 'none', '1'),
 (725, 'Healing Drug', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 50, 0, 'true', 'healing_drug', 'potion', '2'),
 (726, 'Mana Drug', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 80, 0, 'true', 'mana_drug', 'potion', '2'),
 (727, 'Healing Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 80, 0, 'true', '_healing_potion', 'potion', '2'),
 (728, 'Mana Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 2000, 0, 'true', 'mana_potion', 'potion', '2'),
 (729, 'Scroll: Enchant Weapon (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 1800000, 0, 'true', 'scrl_of_ench_wp_a', 'scroll', '2'),
 (730, 'Scroll: Enchant Armor (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 240000, 0, 'true', 'scrl_of_ench_am_a', 'scroll', '2'),
 (731, 'Crystal Scroll: Enchant Weapon (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 240000, 0, 'true', 'cry_scrl_of_ench_wp_a', 'scroll', '2'),
 (732, 'Crystal Scroll: Enchant Armor (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 240000, 0, 'true', 'cry_scrl_of_ench_am_a', 'scroll', '2'),
 (733, 'Endeavor Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'endeavor_potion', 'potion', '2'),
 (734, 'Haste Potion', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'quick_step_potion', 'potion', '2'),
 (735, 'Potion of Alacrity', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 2400, 0, 'true', 'swift_attack_potion', 'potion', '2'),
 (736, 'Scroll of Escape', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'scroll_of_escape', 'scroll', '2'),
 (737, 'Scroll of Resurrection', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 2000, 0, 'true', 'scroll_of_resurrection', 'scroll', '2'),
 (739, 'Broken Sword Handle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_sword_handle', 'none', '0'),
 (740, 'Broken Blade Bottom', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_blade_bottom', 'none', '0'),
 (741, 'Broken Blade Top', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_blade_top', 'none', '0'),
 (742, 'Altran''s Note', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alltrans_note', 'none', '0'),
 (745, 'Cobendell Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobendell_medicine', 'none', '0'),
 (746, 'Alberius''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alberryus_list', 'none', '0'),
 (750, 'Kinship Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kinship_crystal', 'none', '0'),
 (751, 'Cracked Kinship Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cracked_kinship_crystal', 'none', '0'),
 (752, 'Orc Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_amulet', 'none', '0'),
 (753, 'Silverleaf Brooch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'silverleaf_brooch', 'none', '0'),
 (755, 'Colleen''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_cullinas_letter', 'none', '0'),
 (756, 'Mandragora Root', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_mandragora_root', 'none', '0'),
 (757, 'Mandragora Essence', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_mandragora_essence', 'none', '0'),
 (758, 'Colleen''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_cullinas_receipt', 'none', '0'),
 (759, 'Etched Rune Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_etched_rune_sword', 'none', '0'),
 (760, 'Macabre Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_macabre_sword', 'none', '0'),
 (761, 'Thanatos Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_thanatos_sword', 'none', '0'),
 (762, 'Gray Bone Chip', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_grey_bone_chip', 'none', '0'),
 (763, 'Esther''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_esthers_letter', 'none', '0'),
 (764, 'Arbon''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__arbons_letter', 'none', '0'),
 (765, 'Conspirator List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_conspirator_list', 'none', '0'),
 (766, 'Sabrin''s Signet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_sabrins_signet', 'none', '0'),
 (767, 'Sealed Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_sealed_scroll', 'none', '0'),
 (768, 'Oyen''s Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_oyens_key_', 'none', '0'),
 (769, 'Ricardo''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_rekards_skull', 'none', '0'),
 (770, 'Shield of Honor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__shield_of_honor', 'none', '0'),
 (771, 'Saythus''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_saythus_skull', 'none', '0'),
 (772, 'Trayer''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_trayer_skull', 'none', '0'),
 (773, 'Falimar''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_falimar_skull', 'none', '0'),
 (774, 'Fallen Sword of Honor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_fallen_sword_of_honor', 'none', '0'),
 (775, 'Sword of Honor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_sword_of_honor', 'none', '0'),
 (776, 'Nameless Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_nameless_sword', 'none', '0'),
 (777, 'Sword of Black Ice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_sword_of_black_ice', 'none', '0'),
 (778, 'Arodin''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_arodins_letter', 'none', '0'),
 (779, 'Sabrin''s Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_sabrins_ring', 'none', '0'),
 (780, 'Arbon''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__arbons_letter', 'none', '0'),
 (781, 'Madclaw''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_madclaws_necklace', 'none', '0'),
 (782, 'Alex''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_alankells_letter', 'none', '0'),
 (783, 'Alex''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_alankells_receipt', 'none', '0'),
 (784, 'Glass Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_glass_dagger', 'none', '0'),
 (785, 'Broken Glass Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_broken_glass_dagger', 'none', '0'),
 (786, 'Shadowguard Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_shadowguard_dagger', 'none', '0'),
 (787, 'Coroli''s Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_corollas_key', 'none', '0'),
 (788, 'Midnight Onyx Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_midnight_onyx_necklace', 'none', '0'),
 (789, 'Song: Moonlight Whisper', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_song_moonlight_whisper', 'none', '0'),
 (790, 'Bloodsteel Kris', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_bloodsteel_kris', 'none', '0'),
 (791, 'Karlun''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_karluns_skull', 'none', '0'),
 (792, 'Karlun''s Rib Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_karluns_ribbone', 'none', '0'),
 (793, 'Karlun''s Thigh Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_karluns_thighbone', 'none', '0'),
 (794, 'Saint''s Ash Urn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_saints_ash_urn', 'none', '0'),
 (795, 'Mace of Athebaldt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_mace_of_athebaldt', 'none', '0'),
 (796, 'Roien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'roiens_letter', 'none', '0'),
 (797, 'Manuel''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_manuels_letter', 'none', '0'),
 (798, 'Varan''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_varanket_letter', 'none', '0'),
 (799, 'Groot''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_groot_letter', 'none', '0'),
 (800, 'Tome of Nassen', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_tome_of_nassen', 'none', '0'),
 (801, 'Cursed Tome of Nassen', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_cursed_tome_of_nassen', 'none', '0'),
 (802, 'Bloodthirsty Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_bloodthirsty_dagger', 'none', '0'),
 (803, 'Bloody Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_bloody_dagger', 'none', '0'),
 (804, 'Staff of Shane', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_staff_of_shaneryss', 'none', '0'),
 (805, 'Pinter''s Bill', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__pinters_bill', 'none', '0'),
 (806, 'Drake''s Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_drake_claw', 'none', '0'),
 (807, 'Flawless Drake''s Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_flawless_drake_claw', 'none', '0'),
 (808, 'Pushkin''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_pushkins_letter', 'none', '0'),
 (809, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment', 'none', '0'),
 (810, 'Altran''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_alltrans_letter', 'none', '0'),
 (811, 'Oil Paper', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_oil_paper', 'none', '0'),
 (812, 'Adamantium Ore', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__adamantium_ore', 'none', '0'),
 (813, 'Heart Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_heart_stone', 'none', '0'),
 (814, 'Pushkin''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_pushkins_receipt', 'none', '0'),
 (815, 'Leather Strap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_leather_strap', 'none', '0'),
 (816, 'Widow Maker', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__wm', 'none', '0'),
 (817, 'Mithril Bottle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_mithril_bottle', 'none', '0'),
 (818, 'Grace Unicorn''s Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_grace_unicorn_horn', 'none', '0'),
 (819, 'Drake''s Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_drake_bone', 'none', '0'),
 (820, 'Zahak Fluids', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_zahak_fluids', 'none', '0'),
 (821, 'Bone Knife', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_bone_knife', 'none', '0'),
 (822, 'Drake Knife', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_drake_knife', 'none', '0'),
 (823, 'Dull Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_dull_dagger', 'none', '0'),
 (824, 'Siriel''s Note', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_siriels_note', 'none', '0'),
 (825, 'Raien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_raiens_letter', 'none', '0'),
 (826, 'Silver Spores', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_silver_spores', 'none', '0'),
 (827, 'Star Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_star_dust', 'none', '0'),
 (828, 'Song of Awakening', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_song_of_awakening', 'none', '0'),
 (829, 'Spirit Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_spirit_dagger', 'none', '0'),
 (830, 'Medallion of Kwyllinas', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_medallion_of_kwyllinas', 'none', '0'),
 (831, 'Echo Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_echo_crystal', 'none', '0'),
 (832, 'Green Echo Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_green_echo_crystal', 'none', '0'),
 (833, 'Red Echo Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_red_echo_crystal', 'none', '0'),
 (834, 'Aquamarine Echo Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_aquamarine_echo_crystal', 'none', '0'),
 (835, 'Blue Echo Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_blue_echo_crystal', 'none', '0'),
 (836, 'Book of Kwyllinas', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_kwyllinas', 'none', '0'),
 (837, 'Fairy Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_fairy_dust', 'none', '0'),
 (838, 'Vellior''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_velliors_letter', 'none', '0'),
 (839, 'Icarus''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_icarus_letter', 'none', '0'),
 (840, 'Drevanul Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_drevanul_skull', 'none', '0'),
 (841, 'Icarus''s Order Form', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_icarus_orderform', 'none', '0'),
 (842, 'Basilisk Ink', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_basilisk_ink', 'none', '0'),
 (843, 'Book of Aklantoth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth', 'none', '0'),
 (844, 'Book of Aklantoth P1 ~ P10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_aklantoth_p1_~_p10', 'none', '0'),
 (937, 'Directions to Ruins', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'howtogo_ruins', 'none', '0'),
 (938, 'Deck', 'false', 'quest', 0, 'normal', 'silver', 'none', 95, 0, 0, 'false', 'test_deck', 'none', '0'),
 (939, 'Gara''s Quest Item #11', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gara_quest_item11', 'none', '0'),
 (940, 'Gara''s Quest Item #12', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gara_quest_item12', 'none', '0'),
 (941, 'Gara''s Proof of Bravery', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gara_proof_of_bravery', 'none', '0'),
 (942, 'Gara''s Proof of Justice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gara_proof_of_justice', 'none', '0'),
 (943, 'Gara''s Proof of Despair', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gara_proof_of_despair', 'none', '0'),
 (944, 'Deathknight Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'deathknight_skull', 'none', '0'),
 (947, 'Scroll: Enchant Weapon (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 500000, 0, 'true', 'scrl_of_ench_wp_b', 'scroll', '2'),
 (948, 'Scroll: Enchant Armor (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 80000, 0, 'true', 'scrl_of_ench_am_b', 'scroll', '2'),
 (949, 'Crystal Scroll: Enchant Weapon (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 80000, 0, 'true', 'cry_scrl_of_ench_wp_b', 'scroll', '2'),
 (950, 'Crystal Scroll: Enchant Armor (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 80000, 0, 'true', 'cry_scrl_of_ench_am_b', 'scroll', '2'),
 (951, 'Scroll: Enchant Weapon (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 110000, 0, 'true', 'scrl_of_ench_wp_c', 'scroll', '2'),
 (952, 'Scroll: Enchant Armor (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 15000, 0, 'true', 'scrl_of_ench_am_c', 'scroll', '2'),
 (953, 'Crystal Scroll: Enchant Weapon (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 15000, 0, 'true', 'cry_scrl_of_ench_wp_c', 'scroll', '2'),
 (954, 'Crystal Scroll: Enchant Armor (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 15000, 0, 'true', 'cry_scrl_of_ench_am_c', 'scroll', '2'),
 (955, 'Scroll: Enchant Weapon (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 50000, 0, 'true', 'scrl_of_ench_wp_d', 'scroll', '2'),
 (956, 'Scroll: Enchant Armor (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 6000, 0, 'true', 'scrl_of_ench_am_d', 'scroll', '2'),
 (957, 'Crystal Scroll: Enchant Weapon (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 6000, 0, 'true', 'cry_scrl_of_ench_wp_d', 'scroll', '2'),
 (958, 'Crystal Scroll: Enchant Armor (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 6000, 0, 'true', 'cry_scrl_of_ench_am_d', 'scroll', '2'),
 (959, 'Scroll: Enchant Weapon (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 5000000, 0, 'true', 'scrl_of_ench_wp_s', 'scroll', '2'),
 (960, 'Scroll: Enchant Armor (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 500000, 0, 'true', 'scrl_of_ench_am_s', 'scroll', '2'),
 (961, 'Crystal Scroll: Enchant Weapon (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 500000, 0, 'true', 'cry_scrl_of_ench_wp_s', 'scroll', '2'),
 (962, 'Crystal Scroll: Enchant Armor (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 500000, 0, 'true', 'cry_scrl_of_ench_am_s', 'scroll', '2'),
 (963, 'Orcish Arrowhead', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orcish_arrowhead', 'none', '0'),
 (964, 'Alberius''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alberryus_letter', 'none', '0'),
 (965, 'Evergreen Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'evergreen_amulet', 'none', '0'),
 (966, 'Dryad''s Tears', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dryad_tears', 'none', '0'),
 (967, 'Cobendell Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine', 'none', '0'),
 (968, 'Karrod''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'karoyds_letter', 'none', '0'),
 (969, 'Cecktinon''s First Voucher', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cecktinons_voucher1', 'none', '0'),
 (970, 'Cecktinon''s Second Voucher', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cecktinons_voucher2', 'none', '0'),
 (971, 'Soul Catcher', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'soul_catcher', 'none', '0'),
 (972, 'Preserving Oil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'preserve_oil', 'none', '0'),
 (973, 'Zombie Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'zombie_head', 'none', '0'),
 (974, 'Steelbender Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'steelbenders_head', 'none', '0'),
 (976, '1st Mark of Sentinel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_sentinel1', 'none', '0'),
 (977, '2nd Mark of Sentinel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_sentinel2', 'none', '0'),
 (978, 'Skullcrusher Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'skullcrusher_amulet', 'none', '0'),
 (979, 'Bloodspear Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloodspear_amulet', 'none', '0'),
 (980, '0', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_red_sunset_staff', 'none', '0'),
 (982, 'Esrandell''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'eso_letter', 'none', '0'),
 (983, 'Kendell''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kendnell_letter', 'none', '0'),
 (984, '1st Onyx Talisman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'onyx_talisman1', 'none', '0'),
 (985, '2nd Onyx Talisman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'onyx_talisman2', 'none', '0'),
 (986, 'Ancient Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ancient_scroll', 'none', '0'),
 (987, 'Ancient Clay Tablet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ancient_clay_tablet', 'none', '0'),
 (988, 'Kartia''s Translation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kartas_translation', 'none', '0'),
 (1001, 'Book of Aklantoth - Part 4', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p4', 'none', '0'),
 (1002, 'Book of Aklantoth - Part 5', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p5', 'none', '0'),
 (1003, 'Book of Aklantoth - Part 6', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p6', 'none', '0'),
 (1004, 'Book of Aklantoth - Part 7', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p7', 'none', '0'),
 (1005, 'Book of Aklantoth - Part 8', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p8', 'none', '0'),
 (1006, 'Book of Aklantoth - Part 9', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p9', 'none', '0'),
 (1007, 'Book of Aklantoth - Part 10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_book_of_aklantoth_p10', 'none', '0'),
 (1008, 'Harrys''s 1st Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'harrys_receipt1', 'none', '0'),
 (1009, 'Harrys''s 2nd Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'harrys_receipt2', 'none', '0'),
 (1010, 'Golem Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'golem_shard', 'none', '0'),
 (1011, 'Tool Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tool_box', 'none', '0'),
 (1012, 'Delivery List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'delivery_list', 'none', '0'),
 (1013, 'Heavy Wood Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'heavy_wood_box', 'none', '0'),
 (1014, 'Cloth Bundle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cloth_bundle', 'none', '0'),
 (1015, 'Clay Pot', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'clay_pot', 'none', '0'),
 (1016, 'Jackson''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'jacksons_receipt', 'none', '0'),
 (1017, 'Silvia''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'silvias_receipt', 'none', '0'),
 (1018, 'Rant''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rants_receipt', 'none', '0'),
 (1019, 'official Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'official_letter', 'none', '0'),
 (1020, 'Flame Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'flame_shard', 'none', '0'),
 (1021, 'Ice Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ice_shard', 'none', '0'),
 (1022, 'Lilith''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ryliths_letter', 'none', '0'),
 (1023, 'Theon''s Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'theons_diary', 'none', '0'),
 (1024, 'Adamantite Ore', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'adamantite_ore', 'none', '0'),
 (1025, 'Clay Tablet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'clay_tablet', 'none', '0'),
 (1026, 'Silvery Spidersilk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'silvery_spidersilk', 'none', '0'),
 (1027, 'Unoren''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'unos_receipt', 'none', '0'),
 (1028, 'Creamees''s Ticket', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cels_ticket', 'none', '0'),
 (1029, 'Nightshade Leaf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nightshade_leaf', 'none', '0'),
 (1030, 'Cracked Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cracked_skull', 'none', '0'),
 (1031, 'Perfect Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'perfect_skull', 'none', '0'),
 (1032, 'Fox Fur', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fur', 'none', '0'),
 (1033, 'Fox Fur Yarn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fur_yarn', 'none', '0'),
 (1034, 'Maiden Doll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'maiden_doll', 'none', '0'),
 (1035, 'Plague Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'plague_dust', 'none', '0'),
 (1036, 'Andellia''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'andellrias_letter', 'none', '0'),
 (1037, 'Fruit of The Mother Tree', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mothertree_fruit', 'none', '0'),
 (1038, 'Rumiel''s 1st Poem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rumiels_poem_1', 'none', '0'),
 (1039, 'Rumiel''s 2nd Poem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rumiels_poem_3', 'none', '0'),
 (1040, 'Rumiel''s 3rd Poem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rumiels_poem_4', 'none', '0'),
 (1041, 'Rumiel''s 4th Poem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rumiels_poem_5', 'none', '0'),
 (1042, 'Wererat''s Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wererat_fang', 'none', '0'),
 (1043, 'Varool Foulclaw''s Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'varool_foulclaws_fang', 'none', '0'),
 (1044, 'Kirunak Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunak_skull', 'none', '0'),
 (1045, 'Zombie''s Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'zombie_skin', 'none', '0'),
 (1046, 'Nightmare Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nightmare_crystal', 'none', '0'),
 (1047, 'Spellbook: Light', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_light', 'none', '2'),
 (1048, 'Spellbook: Might', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_might1', 'none', '2'),
 (1049, 'Spellbook: Ice Bolt', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_ice_bolt1', 'none', '2'),
 (1050, 'Spellbook: Battle Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_battle_heal1', 'none', '2'),
 (1051, 'Spellbook: Vampiric Touch', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_vampiric_touch1', 'none', '2'),
 (1052, 'Spellbook: Flame Strike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_flame_strike1', 'none', '2'),
 (1053, 'Spellbook: Cure Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_cure_poison1', 'none', '2'),
 (1054, 'Spellbook: Group Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_group_heal1', 'none', '2'),
 (1055, 'Spellbook: Curse: Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_curse:poison1', 'none', '2'),
 (1056, 'Spellbook: Curse: Weakness', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_curse:weakness', 'none', '2'),
 (1057, 'Spellbook: Summon Meal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_summon_meal', 'none', '2'),
 (1058, 'Spellbook: Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_shield1', 'none', '2'),
 (1059, 'Spellbook: Know Enemy', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_know_enemy', 'none', '2'),
 (1060, 'Lesser Healing Potion', 'false', 'potion', 5, 'stackable', 'liquid', 'none', 0, 90, 0, 'true', 'lesser_healing_potion', 'potion', '2'),
 (1061, 'Healing Potion', 'false', 'potion', 5, 'stackable', 'liquid', 'none', 0, 330, 0, 'true', 'healing_potion', 'potion', '2'),
 (1062, 'Haste Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'haste_potion', 'potion', '2'),
 (1063, 'Tutorial Parchment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_tutorial_parchment_01', 'none', '0'),
 (1064, 'Tutorial Parchment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_tutorial_parchment_02', 'none', '0'),
 (1065, 'Tutorial Parchment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_tutorial_parchment_03', 'none', '0'),
 (1066, 'Tutorial Parchment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_tutorial_parchment_04', 'none', '0'),
 (1067, 'Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_01', 'none', '0'),
 (1068, 'Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_02', 'none', '0'),
 (1069, 'Leaf of the Mother Tree', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leaf_of_mothertree', 'none', '0'),
 (1070, 'Blood of Mitraell', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blood_of_jundin', 'none', '0'),
 (1071, 'Hyacinth Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hyacinth_charm1', 'none', '0'),
 (1072, 'Hyacinth Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hyacinth_charm2', 'none', '0'),
 (1073, 'Beginner''s Potion', 'false', 'potion', 5, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'beginners_potion', 'potion', '2'),
 (1074, 'Boat Ticket: Talking Island to Gludin', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 1000, 0, 'true', 'boat_ticket_talk_glu', 'none', '2'),
 (1075, 'Boat Ticket: Gludin to Talking Island', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 1000, 0, 'true', 'boat_ticket_glu_talk', 'none', '2'),
 (1076, 'Collette''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'calculains_letter', 'none', '0'),
 (1077, 'Venom Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'venom_sac', 'none', '0'),
 (1078, 'Wind Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wind_shard', 'none', '0'),
 (1079, 'Darin''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'darings_receipt', 'none', '0'),
 (1080, 'Baulro''s Potion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bauls_potion', 'none', '0'),
 (1081, 'Omen Beast''s Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'onyx_beast_eye', 'none', '0'),
 (1082, 'Taint Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'taint_stone', 'none', '0'),
 (1083, 'Succubus Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'succubus_blood', 'none', '0'),
 (1084, 'Gludio Lord''s Mark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gludio_lords_mark', 'none', '0'),
 (1085, 'Orc''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_necklace', 'none', '0'),
 (1086, 'Werewolf''s Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'werewolf_fang', 'none', '0'),
 (1087, 'Giant Spider Leg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'giant_spider_leg', 'none', '0'),
 (1088, 'Undrias''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'undres_letter', 'none', '0'),
 (1089, 'Ceremonial Dagger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ceremonial_dagger', 'none', '0'),
 (1090, 'Dreviant Wine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dreviant_wine', 'none', '0'),
 (1091, 'Garmiel''s Scripture', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'garmiels_scripture', 'none', '0'),
 (1092, 'Arujien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arujiens_letter1', 'none', '0'),
 (1093, 'Arujien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arujiens_letter2', 'none', '0'),
 (1094, 'Arujien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arujiens_letter3', 'none', '0'),
 (1095, 'Spellbook: Aura Attack', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 75, 0, 'true', 'sb_advanced_attack_power1', 'none', '2'),
 (1096, 'Spellbook: Elemental Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 550, 0, 'true', 'sb_elemental_heal1', 'none', '2'),
 (1097, 'Spellbook: Drain Health', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 550, 0, 'true', 'sb_drain_energy1', 'none', '2'),
 (1098, 'Spellbook: Wind Walk', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_wind_walk1', 'none', '2'),
 (1099, 'Spellbook: Wind Shackle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_breeze1', 'none', '2'),
 (1106, 'Norman''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'normans_letter', 'none', '0'),
 (1107, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment1', 'none', '0'),
 (1108, 'Arbon''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_arbons_letter1', 'none', '0'),
 (1109, 'Roien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_roiens_letter1', 'none', '0'),
 (1110, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '_bone_fragment2', 'none', '0'),
 (1111, 'Adamantite Ore', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', '__adamantite_ore1', 'none', '0'),
 (1112, 'Leaf of the Mother Tree', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leaf_of_mothertree_01', 'none', '0'),
 (1113, 'Blood of Mitraell', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blood_of_jundin_01', 'none', '0'),
 (1114, 'Orc Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_amulet1', 'none', '0'),
 (1115, 'Orc''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_necklace1', 'none', '0'),
 (1116, 'Orc Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_amulet2', 'none', '0'),
 (1117, 'Orc''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orc_necklace2', 'none', '0'),
 (1118, 'Spore Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fungus_sac1', 'none', '0'),
 (1130, 'Cobendell''s Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine1', 'none', '0'),
 (1131, 'Cobendell''s Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine2', 'none', '0'),
 (1132, 'Cobendell''s Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine3', 'none', '0'),
 (1133, 'Cobendell''s Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine4', 'none', '0'),
 (1134, 'Cobendell''s Medicine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cobs_medicine5', 'none', '0'),
 (1135, 'Spiritbound Wand', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wand_spiritbound1', 'none', '0'),
 (1136, 'Spiritbound Wand', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wand_spiritbound2', 'none', '0'),
 (1137, 'Spiritbound Wand', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wand_spiritbound3', 'none', '0'),
 (1138, 'Auron''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'eins_letter', 'none', '0'),
 (1139, 'Warrior Guild Mark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'warrior_guild_mark', 'none', '0'),
 (1140, 'Rusted Bronze Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rusted_bronze_sword1', 'none', '0'),
 (1141, 'Rusted Bronze Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rusted_bronze_sword2', 'none', '0'),
 (1143, 'Simplon''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'simplons_letter', 'none', '0'),
 (1144, 'Poison Spider''s Leg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'poison_spider_leg2', 'none', '0'),
 (1145, 'Medallion of Warrior', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medallion_of_warrior', 'none', '0'),
 (1150, 'Spellbook: Wind Strike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 50, 0, 'true', 'sb_wind_strike1', 'none', '2'),
 (1151, 'Spellbook: Self Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 50, 0, 'true', 'sb_self_heal', 'none', '2'),
 (1152, 'Spellbook: Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_heal1', 'none', '2'),
 (1153, 'Jenna''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'jennies_letter', 'none', '0'),
 (1154, 'Sentry Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sentry_blade1', 'none', '0'),
 (1155, 'Sentry Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sentry_blade2', 'none', '0'),
 (1156, 'Sentry Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sentry_blade3', 'none', '0'),
 (1157, 'Old Bronze Sword', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'old_bronze_sword', 'none', '0'),
 (1158, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment3', 'none', '0'),
 (1159, 'Elf Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'elf_skull', 'none', '0'),
 (1160, 'Dark Bezoar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dark_bezoar', 'none', '0'),
 (1161, 'Sword of Ritual', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sword_of_ritual', 'none', '0'),
 (1162, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords1', 'none', '0'),
 (1163, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords2', 'none', '0'),
 (1164, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords3', 'none', '0'),
 (1165, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords4', 'none', '0'),
 (1166, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords5', 'none', '0'),
 (1167, 'Coin of Lords', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coin_of_lords6', 'none', '0'),
 (1168, 'Gludio Guard''s 1st Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gludio_guards_mark1', 'none', '0'),
 (1169, 'Bugbear Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bugbear_necklace', 'none', '0'),
 (1170, 'Einhasad''s 1st Temple Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'einhasad_church_mark1', 'none', '0'),
 (1171, 'Einhasad''s Crucifix', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'einhasad_crucifix', 'none', '0'),
 (1172, 'Gludio Guard''s 2nd Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gludio_guards_mark2', 'none', '0'),
 (1173, 'Poison Spider Leg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'poison_spider_leg1', 'none', '0'),
 (1174, 'Einhasad''s 2nd Temple Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'true', 'einhasad_church_mark2', 'none', '0'),
 (1175, 'Lizardman''s Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lizardman_totem', 'none', '0'),
 (1176, 'Gludio Guard''s 3rd Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gludio_guards_mark3', 'none', '0'),
 (1177, 'Giant Spider''s Husk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'giant_spider_husk', 'none', '0'),
 (1178, 'Einhasad''s 3rd Temple Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'einhasad_church_mark3', 'none', '0'),
 (1179, 'Skull of Silent Horror', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'horrible_skull', 'none', '0'),
 (1180, 'Bezique''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'beziques_letter', 'none', '0'),
 (1183, 'Spartoi''s Bones', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spatois_bones', 'none', '0'),
 (1184, 'Horseshoe of Light', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'horseshoe_of_light', 'none', '0'),
 (1185, 'Most Wanted List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wanted_bill', 'none', '0'),
 (1186, 'Stolen Jewelry', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stolen_jewelry', 'none', '0'),
 (1187, 'Stolen Tomes', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stolen_tomes', 'none', '0'),
 (1188, 'Stolen Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stolen_ring', 'none', '0'),
 (1189, 'Stolen Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stolen_necklace', 'none', '0'),
 (1190, 'Bezique''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'beziques_recommendation', 'none', '0'),
 (1191, '1st Letter of Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_order1', 'none', '0'),
 (1192, '2nd Letter of Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_order2', 'none', '0'),
 (1193, 'Lionel''s Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_lemoniell', 'none', '0'),
 (1194, 'Book of Vivyan', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_vivi', 'none', '0'),
 (1195, 'Book of Simplon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_simlon', 'none', '0'),
 (1196, 'Book of Praga', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_praga', 'none', '0'),
 (1197, 'Certificate of Gallint', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'certificate_of_gallint', 'none', '0'),
 (1198, 'Pendant of Mother', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pendant_of_mother', 'none', '0'),
 (1199, 'Necklace of Mother', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'necklace_of_mother', 'none', '0'),
 (1200, 'Lionel''s Covenant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lemoniells_covenant', 'none', '0'),
 (1201, 'Mark of Faith', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_faith', 'none', '0'),
 (1202, 'Sorius''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sorius_letter1', 'none', '0'),
 (1203, 'Kluto Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kluto_box', 'none', '0'),
 (1204, 'Elven Knight Brooch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'elven_knight_brooch', 'none', '0'),
 (1205, 'Topaz Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'topaz_piece', 'none', '0'),
 (1206, 'Emerald Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'emerald_piece', 'none', '0'),
 (1207, 'Reisa''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'reoria_letter2', 'none', '0'),
 (1208, 'Prias''s 1st Torn Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'priguns_tear_letter1', 'none', '0'),
 (1209, 'Prias''s 2nd Torn Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'priguns_tear_letter2', 'none', '0'),
 (1210, 'Prias''s 3rd Torn Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'priguns_tear_letter3', 'none', '0'),
 (1211, 'Prias''s 4th Torn Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'priguns_tear_letter4', 'none', '0'),
 (1212, 'Moretti''s Herb', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'morettis_herb', 'none', '0'),
 (1214, 'Moretti''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'morettis_letter', 'none', '0'),
 (1215, 'Prias''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'priguns_letter', 'none', '0'),
 (1216, 'Honorary Guard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'honorary_guard', 'none', '0'),
 (1217, 'Reisa''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'reoria_recommendation', 'none', '0'),
 (1218, 'Rosella''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rogellias_letter', 'none', '0'),
 (1219, 'Red Down', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'red_down', 'none', '0'),
 (1220, 'Magical Powers Ruby', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'magical_powers_ruby', 'none', '0'),
 (1221, 'Pure Aquamarine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pure_aquamarine', 'none', '0'),
 (1222, 'Appetizing Apple', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'appetizing_apple', 'none', '0'),
 (1223, 'Gold Leaves', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gold_leaves', 'none', '0'),
 (1224, 'Immortal Love', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'immortal_love', 'none', '0'),
 (1225, 'Amethyst', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'amethyst', 'none', '0'),
 (1226, 'Nobility Amethyst', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nobility_amethyst', 'none', '0'),
 (1227, 'Rosella''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rogellias_recommend', 'none', '0'),
 (1228, 'Peridot', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'peridot', 'none', '0'),
 (1229, 'Fertility Peridot', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fertility_peridot', 'none', '0'),
 (1230, 'Eternity Diamond', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'eternity_diamond', 'none', '0'),
 (1231, 'Crystal Medallion', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_medallion', 'none', '2'),
 (1232, 'Swindler''s Money', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'money_of_swindler', 'none', '0'),
 (1233, 'Allana''s Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dairy_of_allana', 'none', '0'),
 (1234, 'Lizard Captain Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lizard_captain_order', 'none', '0'),
 (1235, 'Leaf of Oracle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leaf_of_oracle', 'none', '0'),
 (1236, 'Half of Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'half_of_dairy', 'none', '0'),
 (1237, 'Palus Talisman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pallus_talisman', 'none', '0'),
 (1238, 'Lycanthrope Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lycanthrope_skull', 'none', '0'),
 (1239, 'Virgil''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'virgils_letter', 'none', '0'),
 (1240, 'Morte Talisman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'morte_talisman', 'none', '0'),
 (1241, 'Predator''s Carapace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'predator_carapace', 'none', '0'),
 (1242, 'Arachnid Tracker Silk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'trimden_silk', 'none', '0'),
 (1243, 'Coffin of Eternal Rest', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'coffin_eternal_rest', 'none', '0'),
 (1244, 'Gaze of Abyss', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gaze_of_abyss', 'none', '0'),
 (1245, 'Shilen''s Call', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'shilens_call', 'none', '0'),
 (1246, 'Arkenia''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenias_letter', 'none', '0'),
 (1247, 'Leikan''s Note', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leikans_note', 'none', '0'),
 (1248, 'Moonstone Beast''s Molar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'onyx_beasts_molar', 'none', '0'),
 (1249, 'Leikan''s Knife', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leikans_knife', 'none', '0'),
 (1250, 'Shilen''s Tears', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'shilens_tears', 'none', '0'),
 (1251, 'Arkenia''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenia_recommend', 'none', '0'),
 (1252, 'Iron Heart', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'iron_heart', 'none', '0'),
 (1253, 'Seed of Anger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'seeds_of_anger', 'none', '0'),
 (1254, 'Seed of Despair', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'seeds_of_despair', 'none', '0'),
 (1255, 'Seed of Horror', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'seeds_of_horror', 'none', '0'),
 (1256, 'Seed of Lunacy', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'seeds_of_lunacy', 'none', '0'),
 (1257, 'Family''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'familys_ashes', 'none', '0'),
 (1258, 'Varika''s Liquor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'varikas_liquor', 'none', '0'),
 (1259, 'Knee Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'knee_bone', 'none', '0'),
 (1260, 'Heart of Lunacy', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'heart_of_lunacy', 'none', '0'),
 (1261, 'Jewel of Darkness', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'jewel_of_darkness', 'none', '0'),
 (1262, 'Sidra''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sidras_letter1', 'none', '0'),
 (1263, 'Blank Sheet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blank_sheet1', 'none', '0'),
 (1264, 'Bloody Rune', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_rune1', 'none', '0'),
 (1265, 'Garmiel Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'garmiel_book', 'none', '0'),
 (1266, 'Prayer of Adonius', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'prayer_of_adon', 'none', '0'),
 (1267, 'Penitent''s Mark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'penitents_mark', 'none', '0'),
 (1268, 'Ashen Bones', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ashen_bones', 'none', '0'),
 (1269, 'Andariel Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'andariel_book', 'none', '0'),
 (1270, 'Orb of Abyss', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orb_of_abyss', 'none', '0'),
 (1271, 'Mark of Esquire', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_esquire', 'none', '0'),
 (1272, 'Charm of Grain', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'charm_of_grain', 'none', '0'),
 (1273, 'Sap of the Mother Tree', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sap_of_world_tree', 'none', '0'),
 (1274, 'Lucky Potpourri', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lucky_potpouri', 'none', '0'),
 (1275, 'Tamil''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamatos_necklace', 'none', '0'),
 (1276, 'Kluto''s Memo', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kluto_memo', 'none', '0'),
 (1277, 'Lucky Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lucky_key', 'none', '0'),
 (1278, 'Candle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'candle', 'none', '0'),
 (1279, 'Hub Scent', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hub_scent', 'none', '0'),
 (1280, 'Map of Luster', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'map_of_luster', 'none', '0'),
 (1281, 'Key of Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'key_of_flame', 'none', '0'),
 (1282, 'Flame Earring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'flame_earing', 'none', '0'),
 (1283, 'Broken Bronze Mirror', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_bronze_mirror', 'none', '0'),
 (1284, 'Wind Feather', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wind_feather', 'none', '0'),
 (1285, 'Wind Bangle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wind_bangel', 'none', '0'),
 (1286, 'Rama''s Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ramas_diary', 'none', '0'),
 (1287, 'Sparkle Pebble', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sparkle_pebble', 'none', '0'),
 (1288, 'Water Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'water_necklace', 'none', '0'),
 (1289, 'Rust Gold Coin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rust_gold_coin', 'none', '0'),
 (1290, 'Red Soil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'red_soil', 'none', '0'),
 (1291, 'Earth Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'earth_ring', 'none', '0'),
 (1292, 'Bead of Season', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bead_of_season', 'none', '0'),
 (1293, 'Rusted Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rusted_key', 'none', '0'),
 (1294, 'Spellbook: Aura Defense', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 75, 0, 'true', 'sb_adv_defence_power1', 'none', '2'),
 (1334, 'Predator''s Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'predators_fang', 'none', '0'),
 (1335, 'Goblin Club', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'goblin_club', 'none', '0'),
 (1336, 'Glass Shard', 'false', 'none', 80, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'glass_shard', 'none', '2'),
 (1337, 'Emerald', 'false', 'none', 80, 'stackable', 'liquid', 'none', 0, 20000, 0, 'true', 'emerald', 'none', '2'),
 (1338, 'Blue Onyx', 'false', 'none', 80, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'blue_onyx', 'none', '2'),
 (1339, 'Onyx', 'false', 'none', 80, 'stackable', 'liquid', 'none', 0, 600, 0, 'true', 'onyx', 'none', '2'),
 (1340, 'Silvery Leaf', 'false', 'none', 3, 'stackable', 'liquid', 'none', 0, 20, 0, 'true', 'silvery_leaf', 'none', '2'),
 (1341, 'Bone Arrow', 'false', 'arrow', 5, 'stackable', 'bone', 'd', 0, 3, 0, 'true', 'bone_arrow', 'arrow', '2'),
 (1342, 'Fine Steel Arrow', 'false', 'arrow', 4, 'stackable', 'fine_steel', 'c', 0, 5, 0, 'true', 'fine_steel_arrow', 'arrow', '2'),
 (1343, 'Silver Arrow', 'false', 'arrow', 4, 'stackable', 'silver', 'b', 0, 7, 0, 'true', 'silver_arrow', 'arrow', '2'),
 (1344, 'Mithril Arrow', 'false', 'arrow', 3, 'stackable', 'mithril', 'a', 0, 8, 0, 'true', 'mithril_arrow', 'arrow', '2'),
 (1345, 'Shining Arrow', 'false', 'arrow', 3, 'stackable', 'adamantaite', 's', 0, 10, 0, 'true', 'shining_arrow', 'arrow', '2'),
 (1346, 'Golem''s Stoneheart', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'golem_heartstone', 'none', '0'),
 (1347, 'Monster Eye Carcass', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'monster_eye_carcass', 'none', '0'),
 (1348, 'Basilisk''s Gizzard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'basilisk_gizzard', 'none', '0'),
 (1349, 'Anatomy Diagram', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'anatomy_diagram', 'none', '0'),
 (1350, 'Zombie Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'zombie_head1', 'none', '0'),
 (1351, 'Zombie Heart', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'zombie_heart1', 'none', '0'),
 (1352, 'Zombie Liver', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'zombie_liver1', 'none', '0'),
 (1353, 'Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'skull1', 'none', '0'),
 (1354, 'Rib Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'rib_bone1', 'none', '0'),
 (1355, 'Spine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'spine1', 'none', '0'),
 (1356, 'Arm Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'arm_bone1', 'none', '0'),
 (1357, 'Thigh Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'thigh_bone1', 'none', '0'),
 (1358, 'Complete Skeleton', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'complete_skeleton', 'none', '0'),
 (1359, 'Red Cross Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'red_cross_badge', 'none', '0'),
 (1360, 'Blue Cross Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'blue_cross_badge', 'none', '0'),
 (1361, 'Black Cross Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'black_cross_badge', 'none', '0');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (1362, 'Spider''s Carapace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spider_carapace', 'none', '0'),
 (1363, 'Spider Silk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spider_silk', 'none', '0'),
 (1364, 'Spider Venom Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spider_venom_sac', 'none', '0'),
 (1365, 'Broken Stoneheart', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_heartstone', 'none', '0'),
 (1366, 'Monster Eye''s Lens', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'monster_eye_lens', 'none', '0'),
 (1367, 'Wolf Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wolf_claw1', 'none', '0'),
 (1368, 'Imp Shackles', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'imp_shackles', 'none', '0'),
 (1369, 'Black Lion Mark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'black_lion_mark', 'none', '0'),
 (1370, 'Spellbook: Aqua Swirl', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_aqua_swirl1', 'none', '2'),
 (1371, 'Spellbook: Twister', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_twister1', 'none', '2'),
 (1372, 'Spellbook: Blaze', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_blaze1', 'none', '2'),
 (1373, 'Magic Gem', 'false', 'none', 80, 'stackable', 'liquid', 'none', 0, 600, 0, 'false', 'magic_gem', 'none', '2'),
 (1374, 'Greater Haste Potion', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 3600, 0, 'true', 'adv_quick_step_potion', 'potion', '2'),
 (1375, 'Greater Swift Attack Potion', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 7200, 0, 'true', 'adv_swift_attack_potion', 'potion', '2'),
 (1377, 'Spellbook: Poison Recovery', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_poison_recovery1', 'none', '2'),
 (1378, 'Spellbook: Divine Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1600, 0, 'true', 'sb_touch_of_god1', 'none', '2'),
 (1379, 'Spellbook: Cure Bleeding', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1150, 0, 'true', 'sb_cure_bleeding1', 'none', '2'),
 (1380, 'Spellbook: Entangle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 500, 0, 'true', 'sb_zero_g1', 'none', '2'),
 (1381, 'Spellbook: Freezing Strike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2600, 0, 'true', 'sb_freezing_strike1', 'none', '2'),
 (1382, 'Spellbook: Power Break', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2600, 0, 'true', 'sb_power_break1', 'none', '2'),
 (1383, 'Spellbook: Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_poison1', 'none', '2'),
 (1384, 'Spellbook: Sprint', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2600, 0, 'true', 'sb_speed_walk1', 'none', '2'),
 (1385, 'Spellbook: Recharge', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_recharge1', 'none', '2'),
 (1386, 'Spellbook: Disrupt Undead', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_disrupt_undead1', 'none', '2'),
 (1387, 'Spellbook: Resist Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_resist_poison1', 'none', '2'),
 (1388, 'Spellbook: Mental Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_mental_shield1', 'none', '2'),
 (1389, 'Spellbook: Holy Weapon', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_holy_weapon1', 'none', '2'),
 (1390, 'Spellbook: Regeneration', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_regeneration1', 'none', '2'),
 (1391, 'Spellbook: Empower', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_empower1', 'none', '2'),
 (1392, 'Spellbook: Berserker Spirit', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_berserker_spirit1', 'none', '2'),
 (1393, 'Spellbook: Quickness', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_quickness1', 'none', '2'),
 (1394, 'Spellbook: Sleep', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_sleep1', 'none', '2'),
 (1395, 'Spellbook: Surrender to Water', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', '__sb_surrender_to_water1', 'none', '2'),
 (1396, 'Spellbook: Surrender to Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', '__sb_surrender_to_wind1', 'none', '2'),
 (1397, 'Spellbook: Peace', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_erase_hostility1', 'none', '2'),
 (1398, 'Spellbook: Focus', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_focus1', 'none', '2'),
 (1399, 'Spellbook: Concentration', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_concentration1', 'none', '2'),
 (1400, 'Spellbook: Surrender To Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_surrender_to_fire1', 'none', '2'),
 (1401, 'Spellbook: Acumen', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_arcane_acumen1', 'none', '2'),
 (1402, 'Spellbook: Agility', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_agility1', 'none', '2'),
 (1403, 'Spellbook: Summon Kat the Cat', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_summon_blackcat1', 'none', '2'),
 (1404, 'Spellbook: Servitor Recharge', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_servitor_mana_charge1', 'none', '2'),
 (1405, 'Spellbook: Servitor Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_servitor_heal1', 'none', '2'),
 (1406, 'Spellbook: Servitor Wind Walk', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_fast_servitor1', 'none', '2'),
 (1407, 'Spellbook: Servitor Magic Boost', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_bright_servitor1', 'none', '2'),
 (1408, 'Spellbook: Mighty Servitor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_mighty_servitor1', 'none', '2'),
 (1409, 'Spellbook: Slow', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_slow1', 'none', '2'),
 (1410, 'Spellbook: Poisonous Cloud', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_poison_cloud1', 'none', '2'),
 (1411, 'Spellbook: Aura Burn', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_aura_burn1', 'none', '2'),
 (1412, 'Spellbook: Resist Aqua', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_auqa_resist1', 'none', '2'),
 (1413, 'Spellbook: Resist Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_wind_resist1', 'none', '2'),
 (1414, 'Spellbook: Resist Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_fire_resist1', 'none', '2'),
 (1415, 'Spellbook: Dryad Root', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_dryad_root1', 'none', '2'),
 (1416, 'Spellbook: Curse of Chaos', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_curse_bleary1', 'none', '2'),
 (1417, 'Spellbook: Surrender To Earth', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_surrender_to_earth1', 'none', '2'),
 (1418, 'Spellbook: Surrender To Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_surrender_to_poison1', 'none', '2'),
 (1419, 'Proof of Blood', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'proof_of_blood', 'none', '2'),
 (1420, 'Ingredient List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'ingredient_list', 'none', '0'),
 (1421, 'Sonia''s Botany Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'sonias_botanybook', 'none', '0'),
 (1422, 'Red Mandragora Root', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'red_mandragora_root', 'none', '0'),
 (1423, 'White Mandragora Root', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'white_mandragora_root', 'none', '0'),
 (1424, 'Red Mandragora Sap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'red_mandragora_sap', 'none', '0'),
 (1425, 'White Mandragora Sap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'white_mandragora_sap', 'none', '0'),
 (1426, 'Jacob''s Insect Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jaycubs_insectbook', 'none', '0'),
 (1427, 'Nectar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'nectar', 'none', '0'),
 (1428, 'Royal Jelly', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'royal_jelly', 'none', '0'),
 (1429, 'Honey', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'honey', 'none', '0'),
 (1430, 'Golden Honey', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'golden_honey', 'none', '0'),
 (1431, 'Pano''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'panos_contract', 'none', '0'),
 (1432, 'Hobgoblin Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hobgoblin_amulet', 'none', '0'),
 (1433, 'Dionian Potato', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'dionian_potato', 'none', '0'),
 (1434, 'Glyvka''s Botany Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'glyvkas_botanybook', 'none', '0'),
 (1435, 'Green Marsh Moss', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'green_marsh_moss', 'none', '0'),
 (1436, 'Brown Marsh Moss', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'brown_marsh_moss', 'none', '0'),
 (1437, 'Green Moss Bundle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'green_moss_bundle', 'none', '0'),
 (1438, 'Brown Moss Bundle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'brown_moss_bundle', 'none', '0'),
 (1439, 'Rollant''s Creature Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'rolants_creaturebook', 'none', '0'),
 (1440, 'Body of Monster Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'monster_eye_body', 'none', '0'),
 (1441, 'Meat of Monster Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'monster_eye_meat', 'none', '0'),
 (1442, 'Jonas''s 1st Steak Dish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jonas_steak_dish1', 'none', '0'),
 (1443, 'Jonas''s 2nd Steak Dish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jonas_steak_dish2', 'none', '0'),
 (1444, 'Jonas''s 3rd Steak Dish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jonas_steak_dish3', 'none', '0'),
 (1445, 'Jonas''s 4th Steak Dish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jonas_steak_dish4', 'none', '0'),
 (1446, 'Jonas''s 5th Steak Dish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'jonas_steak_dish5', 'none', '0'),
 (1447, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review1', 'none', '0'),
 (1448, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review2', 'none', '0'),
 (1449, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review3', 'none', '0'),
 (1450, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review4', 'none', '0'),
 (1451, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review5', 'none', '0'),
 (1452, 'Harpy Feather', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'harpy_feather', 'none', '0'),
 (1453, 'Medusa Venom', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'medusa_venom', 'none', '0'),
 (1454, 'Wyrm''s Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'wyrms_tooth', 'none', '0'),
 (1455, 'Jonas''s Salad Recipe', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 9000, 0, 'false', 'jonas_salad_recipe', 'none', '0'),
 (1456, 'Jonas''s Sauce Recipe', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 11250, 0, 'false', 'jonas_sauce_recipe', 'none', '0'),
 (1457, 'Jonas''s Steak Recipe', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 13500, 0, 'false', 'jonas_steak_recipe', 'none', '0'),
 (1458, 'Crystal: D Grade', 'false', 'none', 0, 'stackable', 'paper', 'd', 0, 650, 0, 'true', 'crystal_d', 'none', '2'),
 (1459, 'Crystal: C Grade', 'false', 'none', 0, 'stackable', 'paper', 'c', 0, 3000, 0, 'true', 'crystal_c', 'none', '2'),
 (1460, 'Crystal: B Grade', 'false', 'none', 0, 'stackable', 'paper', 'b', 0, 9000, 0, 'true', 'crystal_b', 'none', '2'),
 (1461, 'Crystal: A Grade', 'false', 'none', 0, 'stackable', 'paper', 'a', 0, 15000, 0, 'true', 'crystal_a', 'none', '2'),
 (1462, 'Crystal: S Grade', 'false', 'none', 0, 'stackable', 'paper', 's', 0, 25000, 0, 'true', 'crystal_s', 'none', '2'),
 (1463, 'Soulshot: D-grade', 'false', 'shot', 3, 'stackable', 'paper', 'd', 0, 10, 0, 'true', 'Soulshot: D-Grade', 'none', '2'),
 (1464, 'Soulshot: C-grade', 'false', 'shot', 3, 'stackable', 'paper', 'c', 0, 15, 0, 'true', 'Soulshot: C-Grade', 'none', '2'),
 (1465, 'Soulshot: B-grade', 'false', 'shot', 2, 'stackable', 'paper', 'b', 0, 50, 0, 'true', 'Soulshot: B-Grade', 'none', '2'),
 (1466, 'Soulshot: A-grade', 'false', 'shot', 2, 'stackable', 'paper', 'a', 0, 80, 0, 'true', 'Soulshot: A-Grade', 'none', '2'),
 (1467, 'Soulshot: S-grade', 'false', 'shot', 2, 'stackable', 'paper', 's', 0, 100, 0, 'true', 'Soulshot: S-Grade', 'none', '2'),
 (1468, 'Gludin Panacen', 'false', 'quest', 0, 'stackable', 'paper', 's', 0, 0, 0, 'false', 'gludin_panacen', 'none', '0'),
 (1469, 'Gludin Vermouth', 'false', 'quest', 0, 'stackable', 'paper', 's', 0, 0, 0, 'false', 'gludin_vermouth', 'none', '0'),
 (1470, 'Artemeter', 'false', 'quest', 0, 'stackable', 'paper', 's', 0, 0, 0, 'false', 'artemeter', 'none', '0'),
 (1473, 'Kasha Wolf Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_wolf_fang', 'none', '0'),
 (1474, 'Grave Robber''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'grave_robbers_head', 'none', '0'),
 (1475, 'Black Soulstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'black_soulstone', 'none', '0'),
 (1476, 'Red Soulstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'red_soulstone', 'none', '0'),
 (1477, 'Maraku Werewolf Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'maraku_werewolf_head', 'none', '0'),
 (1478, 'Darkwing Bat Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'darkwing_bat_fang', 'none', '0'),
 (1479, 'Varangka''s Parasite', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'varangkas_parasite', 'none', '0'),
 (1480, 'Kasha Parasite', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_parasite', 'none', '0'),
 (1481, 'Kasha Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_crystal', 'none', '0'),
 (1482, 'Black Wolf Pelt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'black_wolf_pelt', 'none', '0'),
 (1483, 'Goblin Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'goblin_necklace', 'none', '0'),
 (1484, 'Goblin Pendant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'goblin_pendant', 'none', '0'),
 (1485, 'Goblin Lord Pendant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'goblin_lord_pendant', 'none', '0'),
 (1486, 'Suspicious Memo', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'suspicious_memo', 'none', '0'),
 (1487, 'Suspicious Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'suspicious_contract', 'none', '0'),
 (1488, 'Chrysolite Ore', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'oriharukon_ore_1', 'none', '0'),
 (1489, 'Torn Map Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'torn_map_fragment', 'none', '0'),
 (1490, 'Hidden Ore Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hidden_vein_map', 'none', '0'),
 (1491, 'Bat Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bat_fang', 'none', '0'),
 (1492, 'Floating Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'floating_stone', 'none', '0'),
 (1493, 'Tarantula Spider Silk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'tarantula_spider_silk', 'none', '0'),
 (1494, 'Tarantula Spinnerette', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'tarantula_spinnerette', 'none', '0'),
 (1495, 'Giant Spider Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'giant_spider_skin', 'none', '0'),
 (1496, 'Voucher of Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'voucher_of_flame', 'none', '0'),
 (1497, 'Necklace of Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'neckless_of_flame', 'none', '0'),
 (1498, 'License of Miner', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'license_of_miner', 'none', '0'),
 (1499, 'Laferon''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'laferons_recommend', 'none', '0'),
 (1500, 'Totem of Hestui', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 11000, 0, 'true', 'hestuis_totem', 'none', '2'),
 (1501, 'Maraku Werewolf Totem', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'maraku_wolfmen_totem', 'none', '2'),
 (1502, 'Grandma''s Pearl', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'grandmas_pearl', 'none', '2'),
 (1503, 'Grandma''s Mirror', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'grandmas_mirror', 'none', '2'),
 (1504, 'Grandma''s Necklace', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', 'grandmas_necklace', 'none', '2'),
 (1505, 'Grandma''s Hairpin', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'grandmas_hairpin', 'none', '2'),
 (1512, 'Spellbook: Confusion', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1150, 0, 'true', 'sb_confusion1', 'none', '2'),
 (1513, 'Spellbook: Charm', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_charm11', 'none', '2'),
 (1514, 'Spellbook: Resurrection', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_resurrection1', 'none', '2'),
 (1515, 'Spellbook: Kiss of Eva', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_water_breathing', 'none', '2'),
 (1516, 'Spellbook: Corpse Life Drain', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_corpse_life_drain1', 'none', '2'),
 (1517, 'Spellbook: Body To Mind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_body_to_mind1', 'none', '2'),
 (1518, 'Amulet: Flame Chant', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_pure_inspiration1', 'none', '2'),
 (1519, 'Amulet: Power Of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_power_of_paagrio1', 'none', '2'),
 (1520, 'Amulet: Blessing Of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_blessing_of_paagrio1', 'none', '2'),
 (1521, 'Amulet: Chant of Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_burning_spirit1', 'none', '2'),
 (1522, 'Amulet: Chant of Battle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 750, 0, 'true', 'sb_mass_frenzy1', 'none', '2'),
 (1523, 'Amulet: Chant of Shielding', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_devotioin_of_soul1', 'none', '2'),
 (1524, 'Amulet: Soul Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_devotioin_of_shine1', 'none', '2'),
 (1525, 'Amulet: Life Drain', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_blood_lust1', 'none', '2'),
 (1526, 'Amulet: Fear', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 400, 0, 'true', 'sb_external_fear1', 'none', '2'),
 (1527, 'Amulet: Venom', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_pain_thorn1', 'none', '2'),
 (1528, 'Amulet: Seal of Chaos', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_engrave_seal_of_timid1', 'none', '2'),
 (1529, 'Amulet: Dreaming Spirit', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_night_murmur1', 'none', '2'),
 (1530, 'Amulet: Seal of Slow', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_engrave_seal_of_lazy1', 'none', '2'),
 (1531, 'Amulet: Chill Flame', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 100, 0, 'true', 'sb_chill_flame1', 'none', '2'),
 (1532, 'Amulet: Blaze Quake', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_eternal_flame1', 'none', '2'),
 (1533, 'Amulet: Aura Sink', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_aura_sway1', 'none', '2'),
 (1534, 'Amulet: Madness', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_entice_madness1', 'none', '2'),
 (1535, 'Amulet: Frost Flame', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_blaze_quake1', 'none', '2'),
 (1536, 'Amulet: Seal of Binding', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_bind_will1', 'none', '2'),
 (1537, 'Amulet: Seal of Poison', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_pain_edge1', 'none', '2'),
 (1538, 'Blessed Scroll of Escape', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 150000, 0, 'true', 'blessed_scroll_of_escape', 'scroll', '2'),
 (1539, 'Greater Healing Potion', 'false', 'potion', 5, 'stackable', 'liquid', 'none', 0, 1080, 0, 'true', 'greater_healing_potion', 'potion', '2'),
 (1540, 'Quick Healing Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 10000, 0, 'true', 'quick_healing_potion', 'potion', '2'),
 (1541, 'Honey Khandar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'honey_khandar', 'none', '0'),
 (1542, 'Bear Fur Cloak', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bear_fur_cloak', 'none', '0'),
 (1543, 'Bloody Axe', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bloody_axe', 'none', '0'),
 (1544, 'Ancestor Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'ancestor_skull', 'none', '0'),
 (1545, 'Spider Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'spider_dust', 'none', '0'),
 (1546, 'Deep Sea Orb', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'deep_sea_orb', 'none', '0'),
 (1547, 'Bolter''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bolters_list', 'none', '0'),
 (1548, 'Mining Boots', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'mining_boots', 'none', '0'),
 (1549, 'Miner''s Pick', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miners_pick', 'none', '0'),
 (1550, 'Boomboom Powder', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'boomboom_powder', 'none', '0'),
 (1551, 'Redstone Beer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'redstone_beer', 'none', '0'),
 (1552, 'Bolter''s Smelly Socks', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bolters_smelly_socks', 'none', '0'),
 (1553, 'Hatos''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hatoss_order1', 'none', '0'),
 (1554, 'Hatos''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hatoss_order2', 'none', '0'),
 (1555, 'Hatos''s 3rd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hatoss_order3', 'none', '0'),
 (1556, 'Letter to Dark Elf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'letter_to_darkelf1', 'none', '0'),
 (1557, 'Letter to Human', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'letter_to_human', 'none', '0'),
 (1558, 'Letter to Elf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'letter_to_elf1', 'none', '0'),
 (1559, 'Gouph''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'gouphs_contract', 'none', '0'),
 (1560, 'Reep''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'reeps_contract', 'none', '0'),
 (1561, 'Elven Wine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'elven_wine', 'none', '0'),
 (1562, 'Brunon''s Dice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bronps_dice', 'none', '0'),
 (1563, 'Brunon''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bronps_contract', 'none', '0'),
 (1564, 'Aquamarine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'aquamarine', 'none', '0'),
 (1565, 'Chrysoberyl', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'chrysoberyl', 'none', '0'),
 (1566, 'Gem Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'gem_box1', 'none', '0'),
 (1567, 'Coal Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'coal_piece', 'none', '0'),
 (1568, 'Brunon''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bronps_letter', 'none', '0'),
 (1569, 'Berry Tart', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'berry_tart', 'none', '0'),
 (1570, 'Bat Diagram', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bat_diagram', 'none', '0'),
 (1571, 'Star Diamond', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'star_diamond', 'none', '0'),
 (1572, 'Starstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'starstone1', 'none', '0'),
 (1573, 'Starstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'starstone2', 'none', '0'),
 (1574, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review2', 'none', '0'),
 (1575, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review3', 'none', '0'),
 (1576, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review4', 'none', '0'),
 (1577, 'Mirien''s Review', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'miriens_review5', 'none', '0'),
 (1578, 'Green Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'green_blood', 'none', '0'),
 (1579, 'Goblin Dwelling Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'goblin_dwelling_map', 'none', '0'),
 (1580, 'Kuruka Ratman Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kuruka_ratman_tooth', 'none', '0'),
 (1581, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_sue_report', 'none', '0'),
 (1582, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_wanuk_report', 'none', '0'),
 (1583, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_chewba_report', 'none', '0'),
 (1584, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_heitafu_report', 'none', '0'),
 (1585, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_picubo_report', 'none', '0'),
 (1586, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_bumbum_report', 'none', '0'),
 (1587, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_minsku_report', 'none', '0'),
 (1588, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_chuchu_report', 'none', '0'),
 (1589, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_umbar_report', 'none', '0'),
 (1590, 'Betrayer''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'betrayer_zakan_report', 'none', '0'),
 (1591, 'Head of Betrayer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'head_of_betrayer', 'none', '0'),
 (1592, 'Mark of Raider', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'mark_of_raider', 'none', '0'),
 (1593, 'Pomegranate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'pomegranate', 'none', '0'),
 (1594, '1st Leather Pouch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch1', 'none', '0'),
 (1595, '2nd Leather Pouch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch2', 'none', '0'),
 (1596, '3rd Leather Pouch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch3', 'none', '0'),
 (1597, '1st Leather Pouch (Full)', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch1full', 'none', '0'),
 (1598, '2nd Leather Pouch (Full)', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch2full', 'none', '0'),
 (1599, '3rd Leather Pouch (Full)', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch3full', 'none', '0'),
 (1600, 'Kasha Bear Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_bear_claw', 'none', '0'),
 (1601, 'Kasha Blade Spider Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_bspider_talon', 'none', '0'),
 (1602, 'Scarlet Salamander Scale', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 's_salamander_scale', 'none', '0'),
 (1603, 'Fiery Spirit Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'scroll_fiery_spirit', 'none', '0'),
 (1604, 'Rosheek''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'rosheeks_letter', 'none', '0'),
 (1605, 'Gantaki''s Letter of Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'gantakis_letter', 'none', '0'),
 (1606, 'Fig', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'fig', 'none', '0'),
 (1607, '4th Leather Pouch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_purse4', 'none', '0'),
 (1608, '4th Leather Pouch (Full)', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'leather_pouch4full', 'none', '0'),
 (1609, 'Vuku Orc Tusk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'vuku_tusk', 'none', '0'),
 (1610, 'Ratman Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'ratman_fang', 'none', '0'),
 (1611, 'Langk Lizardman Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'langk_tooth', 'none', '0'),
 (1612, 'Felim Lizardman Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'felim_tooth', 'none', '0'),
 (1613, 'Iron Will Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'scroll_iron_will', 'none', '0'),
 (1614, 'Toruku''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'torukus_letter', 'none', '0'),
 (1615, 'Khavatari Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'khavatari_totem', 'none', '0'),
 (1616, 'Fire Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'fire_charm', 'none', '0'),
 (1617, 'Kasha Bear Pelt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_bear_pelt', 'none', '0'),
 (1618, 'Kasha Blade Spider Husk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kasha_bspider_husk', 'none', '0'),
 (1619, '1st Fiery Egg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'fiery_egg1', 'none', '0'),
 (1620, 'Hestui Mask', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'hestui_mask', 'none', '0'),
 (1621, '2nd Fiery Egg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'fiery_egg2', 'none', '0'),
 (1622, 'Totem Spirit Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'totem_spirit_claw', 'none', '0'),
 (1623, 'Tataru''s Letter of Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'tatarus_letter', 'none', '0'),
 (1624, 'Flame Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'flame_charm', 'none', '0'),
 (1625, 'Grizzly Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'grizzly_blood', 'none', '0'),
 (1626, 'Blood Cauldron', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'blood_cauldron', 'none', '0'),
 (1627, 'Spirit Net', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'spirit_net', 'none', '0'),
 (1628, 'Bound Durka Spirit', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bound_durka_spirit', 'none', '0'),
 (1629, 'Durka Parasite', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'durka_parasite', 'none', '0'),
 (1630, 'Totem Spirit Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'totem_spirit_blood', 'none', '0'),
 (1631, 'Mask of Medium', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'mask_of_medium', 'none', '0'),
 (1632, 'Silvera''s Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'silverys_ring', 'none', '0'),
 (1633, '1st Pass Certificate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'pass_1st', 'none', '0'),
 (1634, '2nd Pass Certificate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'pass_2nd', 'none', '0'),
 (1635, 'Final Pass Certificate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'pass_final', 'none', '0'),
 (1636, 'Boogle Ratman Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'ratman_tooth', 'none', '0'),
 (1637, 'Boogle Ratman Leader''s Tooth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'big_ratman_tooth', 'none', '0'),
 (1638, 'Kluto''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'klutos_letter', 'none', '0'),
 (1639, 'Footprint of Thief', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'footprint', 'none', '0'),
 (1640, 'Stolen Secret Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'secret_box1', 'none', '0'),
 (1641, 'Secret Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'secret_box2', 'none', '0'),
 (1642, 'Ring of Raven', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'ring_of_raven', 'none', '0'),
 (1643, 'Pippi''s Letter of Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'pipis_letter', 'none', '0'),
 (1644, 'Raut''s Teleport Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'routs_tp_scroll', 'none', '0'),
 (1645, 'Succubus Undies', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'succubus_undies', 'none', '0'),
 (1646, 'Mion''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'mions_letter', 'none', '0'),
 (1647, 'Bronk''s Ingot', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bronks_ingot', 'none', '0'),
 (1648, 'Shari''s Axe', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'chalis_axe', 'none', '0'),
 (1649, 'Zimenf''s Potion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'zimenfs_potion', 'none', '0'),
 (1650, 'Bronk''s Pay', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bronks_pay', 'none', '0'),
 (1651, 'Shari''s Pay', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'chalis_pay', 'none', '0'),
 (1652, 'Zimenf''s Pay', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'zimenfs_pay', 'none', '0'),
 (1653, 'Bear Picture', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bear_pic', 'none', '0'),
 (1654, 'Tarantula Picture', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'tarantula_pic', 'none', '0'),
 (1655, 'Honey Jar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'honey_jar', 'none', '0'),
 (1656, 'Bead', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bead', 'none', '0'),
 (1657, 'Bead Parcel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'bead_parcel', 'none', '0'),
 (1658, 'Gatekeeper Charm', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'gatekeeper_charm', 'none', '2'),
 (1659, 'Gatekeeper Token', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'gatekeeper_token', 'none', '2'),
 (1661, 'Key of Thief', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'key_of_thief', 'none', '2'),
 (1662, 'Wood', 'false', 'none', 2, 'stackable', 'liquid', 'none', 0, 20, 0, 'false', '__wood', 'none', '2'),
 (1663, 'Stem', 'false', 'none', 2, 'stackable', 'liquid', 'none', 0, 20, 0, 'false', '__stem', 'none', '2'),
 (1664, 'Steel Powder', 'false', 'none', 2, 'stackable', 'liquid', 'none', 0, 80, 0, 'false', '__steel_powder', 'none', '2'),
 (1665, 'World Map', 'false', 'none', 0, 'normal', 'liquid', 'none', 0, 500, 0, 'true', 'world_map', 'none', '2'),
 (1666, 'Recipe: Wooden Arrow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 600, 0, 'true', 'rp_wooden_arrow', 'recipe', '2'),
 (1667, 'Spellbook: Summon Shadow', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_summon_shadow1', 'none', '2'),
 (1668, 'Spellbook: Summon Mew the Cat', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_summon_cuti_cat1', 'none', '2'),
 (1669, 'Spellbook: Summon Unicorn Boxer', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_summon_unicorn_boxer1', 'none', '2'),
 (1670, 'Spellbook: Summon Unicorn Mirage', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1250, 0, 'true', 'sb_summon_unicorn_mirage1', 'none', '2'),
 (1671, 'Spellbook: Summon Silhouette', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 800, 0, 'true', 'sb_summon_silhouette1', 'none', '2'),
 (1672, '__', 'false', 'none', 40, 'normal', 'paper', 'none', 0, 800, 0, 'false', '__1', 'none', '2'),
 (1673, '__', 'false', 'none', 40, 'normal', 'paper', 'none', 0, 800, 0, 'false', '__2', 'none', '2'),
 (1674, 'Twig of Treant', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 80, 0, 'false', '__twig_of_ent', 'material', '2'),
 (1675, 'Beast Blood', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 40, 0, 'false', '__beast_blood', 'material', '2'),
 (1676, 'Beast Bone', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 20, 0, 'false', '__beast_bone', 'material', '2'),
 (1677, 'Hot Oil', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 40, 0, 'false', '__hot_oil', 'material', '2'),
 (1678, 'Thread', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 10, 0, 'true', '__thread', 'material', '2'),
 (1679, 'Bronze', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 150, 0, 'false', '__bronze', 'material', '2'),
 (1680, 'Fur', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 40, 0, 'false', '__fur', 'material', '2'),
 (1681, 'Elf Stone', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1500, 0, 'false', '__elf_stone', 'material', '2'),
 (1682, 'Tear of Holy Spirit', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1000, 0, 'false', '__tear_of_holyspirit', 'material', '2'),
 (1683, 'Mithril', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 400, 0, 'false', '__mythril', 'material', '2'),
 (1684, 'Durable Stem', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 220, 0, 'false', '__durable_stem', 'material', '2'),
 (1685, 'Wooden Frame', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 2000, 0, 'false', '__wooden_frame', 'material', '2'),
 (1686, 'Bark of Treant', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 480, 0, 'false', '__bark_of_ent', 'material', '2'),
 (1687, 'Rough Bone Powder', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 80, 0, 'false', '__rough_bone_powder', 'material', '2'),
 (1688, 'Refined Steel', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 480, 0, 'false', '__refined_steel', 'material', '2'),
 (1689, 'Leather', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', '__leather', 'material', '2'),
 (1690, 'Bowstring', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 300, 0, 'false', '__bowstring', 'material', '2'),
 (1691, 'Steel Frame', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 4400, 0, 'true', '__steel_frame', 'material', '2'),
 (1692, 'Cord', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 45, 0, 'true', '__cord', 'material', '2'),
 (1693, 'Refined Bronze', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 890, 0, 'false', '__refined_bronze', 'material', '2'),
 (1694, 'Treant Potion', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 800, 0, 'false', '__ent_potion', 'material', '2'),
 (1695, 'Spell Paper', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 580, 0, 'false', '__spell_paper', 'material', '2'),
 (1696, 'Flaming Oil', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 500, 0, 'false', '__flaming_oil', 'material', '2'),
 (1697, 'Magic Powder', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3080, 0, 'false', '__magic_powder', 'material', '2'),
 (1698, 'Refined Mithril', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 2100, 0, 'false', '__refined_mythril', 'material', '2'),
 (1699, 'Fortified Steel', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1860, 0, 'false', '__fortified_steel', 'material', '2'),
 (1700, 'Oriharukon', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 6300, 0, 'true', '__oriharukon', 'material', '2'),
 (1701, 'Spell Solution', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 8160, 0, 'false', '__spell_solution', 'material', '2'),
 (1702, 'Metal Frame', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 12500, 0, 'true', '__metal_frame', 'material', '2'),
 (1703, 'Steel of The Highest Grade', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3720, 0, 'false', '__steel_of_highestgrade', 'material', '2'),
 (1704, 'Stone of Anguish', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 157, 0, 'true', '__stone_of_anguish', 'material', '2'),
 (1705, 'Sprig of Wisdom', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 258, 0, 'false', '__sprig_of_wisdom', 'material', '2'),
 (1706, 'Blue Diamond Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 471, 0, 'false', '__blue_diamond_fragment', 'material', '2'),
 (1707, 'Saint''s Molar', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 568, 0, 'false', '__saint''s_molar', 'material', '2'),
 (1708, 'Smoky Quartz', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1136, 0, 'false', '__smoky_quartz', 'material', '2'),
 (1709, 'Blood of Manticore', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 568, 0, 'false', '__blood_of_manticor', 'material', '2'),
 (1710, 'Tiger''s Eye Crystal', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3215, 0, 'false', '__tiger''seye_crystal', 'material', '2'),
 (1711, 'Claw of Leopard', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 402, 0, 'false', '__claw_of_leopard', 'material', '2'),
 (1712, 'Leather Shoes Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 87, 0, 'true', '__leather_shoes_material', 'material', '1'),
 (1713, 'Leather Tunic Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 261, 0, 'true', '__leather_tunic_material', 'material', '1'),
 (1714, 'Leather Stockings Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 129, 0, 'true', '__leather_hose_material', 'material', '1'),
 (1715, 'Leather Helmet Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 240, 0, 'true', '__leather_helmet_material', 'material', '1'),
 (1716, 'Leather Gloves Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 226, 0, 'true', '__leather_gloves_texture', 'material', '1'),
 (1717, 'Leather Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 113, 0, 'true', '__leather_gloves_lining', 'material', '1'),
 (1718, 'Black Bone Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 693, 0, 'false', '__black_bone_fragment', 'material', '2'),
 (1719, 'Hard Leather Shirt Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 963, 0, 'true', '__hard_leather_shirt_material', 'material', '1'),
 (1720, 'Blue-Black Bone Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1493, 0, 'true', '__blue-black_bone_fragment', 'material', '2'),
 (1721, 'Hard Leather Gaiter Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__hard_leather_gaiters_material', 'material', '2'),
 (1722, 'Boots Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 271, 0, 'true', '__boots_material', 'material', '1'),
 (1723, 'Leather Boots Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 364, 0, 'true', '__leather_boots_material', 'material', '1'),
 (1724, 'Skull Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 512, 0, 'false', '__skull_fragment', 'material', '2'),
 (1725, 'Dark Stockings Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 632, 0, 'true', '__dark_hose_material', 'material', '1'),
 (1726, 'Excellent Leather Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 523, 0, 'true', '__excellence_leather_gloves_lining', 'material', '1'),
 (1727, 'Excellent Leather Gloves Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 261, 0, 'true', '__excellence_leather_gloves_texture', 'material', '1'),
 (1728, 'Steel Scale', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1790, 0, 'false', '__steel_scale', 'material', '2'),
 (1729, 'Pure White Cloth', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 833, 0, 'false', '__purewhite_cloth', 'material', '2'),
 (1730, 'Purifying Potion', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3330, 0, 'false', '__purifying_potion', 'material', '2'),
 (1731, 'Steel Scale Gaiters', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1148, 0, 'true', '__gaiters_steel_scale', 'material', '1'),
 (1732, 'Leather Fittings', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1520, 0, 'false', '__leather_fittings', 'material', '2'),
 (1733, 'Large Sheet Iron', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1900, 0, 'false', '__large_sheet_iron', 'material', '2'),
 (1734, 'Small Leather Fittings', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 952, 0, 'false', '__small_leather_fittings', 'material', '2'),
 (1735, 'Small Sheet Iron', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1190, 0, 'true', '__small_sheet_iron', 'material', '2'),
 (1736, 'Iron Boots Binding', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 635, 0, 'true', '__iron_boots_binding', 'material', '1'),
 (1737, 'Iron Boots Frame', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 508, 0, 'true', '__iron_boots_frame', 'material', '1'),
 (1738, 'Wide Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 625, 0, 'true', '__wide_blade', 'material', '2'),
 (1739, 'Broadsword Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1250, 0, 'true', '__broad_sword_mold', 'material', '2'),
 (1740, 'Crafted Willow Branch', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 833, 0, 'true', '__crafted_willow_branch', 'material', '2'),
 (1741, 'Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 900, 0, 'true', '__stave', 'material', '2'),
 (1742, 'Red Cedar Branch', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1797, 0, 'true', '__red_cedar_branch', 'material', '2'),
 (1743, 'Dirk Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1082, 0, 'true', '__dirk_blade', 'material', '2'),
 (1744, 'Dirk Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5410, 0, 'true', '__dirk_mold', 'material', '2'),
 (1745, 'Brandish Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1880, 0, 'true', '__brandish_blade', 'material', '2'),
 (1746, 'Short Spear Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3000, 0, 'true', '__short_spear_blade', 'material', '2'),
 (1747, 'Shining Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1700, 0, 'true', '__shining_blade', 'material', '2'),
 (1748, 'Sword of Reflection Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13600, 0, 'true', '__sword_of_reflexion_mold', 'material', '2'),
 (1749, 'Branch of The Mother Tree', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4533, 0, 'true', '__branch_of_the_mothertree', 'material', '2'),
 (1750, 'Dark Forest Leaf', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2267, 0, 'true', '__darkforest_leaf', 'material', '2'),
 (1751, 'Lump of Iron', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5278, 0, 'true', '__lump_of_iron', 'material', '2'),
 (1752, 'Piece of Sword Breaker', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3050, 0, 'true', '__piece_of_sword_breaker', 'material', '2'),
 (1753, 'Sword Breaker Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24400, 0, 'true', '__sword_breaker_mold', 'material', '2'),
 (1754, 'Steel Bow Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4067, 0, 'true', '__steel_bow_mold', 'material', '2'),
 (1755, 'Metal Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8133, 0, 'true', '__metal_stave', 'material', '2'),
 (1756, 'Spirit of The Saber Smith', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4544, 0, 'true', '__spirit_of_the_saber_smith', 'material', '2'),
 (1757, 'Saber Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5453, 0, 'true', '__saber_blade', 'material', '2'),
 (1758, 'Saber Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13633, 0, 'true', '__saber_mold', 'material', '2'),
 (1759, 'Blood of Assassin', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4544, 0, 'true', '__blood_of_the_assassin', 'material', '2'),
 (1760, 'Assassin Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5453, 0, 'true', '__assassin_blade', 'material', '1'),
 (1761, 'Assassin Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 27267, 0, 'true', '__assassin_mold', 'material', '2'),
 (1762, 'Piece of Trident', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6850, 0, 'true', '__piece_of_trident', 'material', '1'),
 (1763, 'Ruby Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5113, 0, 'false', '__ruby_fragment', 'material', '1'),
 (1764, 'Deep Sea Water', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10225, 0, 'false', '__deepsea_water', 'material', '2'),
 (1765, 'Spinebone Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6440, 0, 'true', '__spinebone_fragment', 'material', '1'),
 (1766, 'Spinebone Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', '__spinebone_pattern', 'material', '1'),
 (1767, 'Piece of Mace of Judgment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 7156, 0, 'true', '__piece_of_mage_of_judgement', 'material', '1'),
 (1768, 'Pattern of Judgment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10733, 0, 'true', '__pattern_of_judgement', 'material', '1'),
 (1769, 'Piece of Conjuror''s Staff', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6440, 0, 'true', '__piece_of_conjure_staff', 'material', '1'),
 (1770, 'Magic Flute', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12880, 0, 'false', '__magic_flute', 'material', '2'),
 (1771, 'Elven Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21467, 0, 'false', '__elven_stave', 'material', '2'),
 (1772, 'Leaf of the Mother Tree', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5367, 0, 'true', '__leaf_of_the_mothertree', 'material', '1'),
 (1773, 'Piece of Dwarven Trident', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8613, 0, 'true', '__piece_of_dwarven_trident', 'material', '1'),
 (1774, 'Piece of Two-Handed Sword', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5688, 0, 'true', '__piece_of_two-handed_sword', 'material', '1'),
 (1775, 'Two-Handed Sword Mold', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 96700, 0, 'true', '__two-handed_sword_mold', 'material', '2'),
 (1776, 'Piece of Spiked Club', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 32233, 0, 'true', '__piece_of_spike_club', 'material', '1'),
 (1777, 'Steel Piece of Club', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6447, 0, 'true', '__steel_piece_of_club', 'material', '1'),
 (1778, 'Shillien Bone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6447, 0, 'false', '__bone_of_silenus', 'material', '2'),
 (1779, 'Shillien Mane', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 64467, 0, 'false', '__mane_of_silenus', 'material', '2'),
 (1780, 'Purity Bronze', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9210, 0, 'false', '__purity_bronze', 'material', '2'),
 (1781, 'Gastraphetes Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 32233, 0, 'true', '__gastraphetes_stave', 'material', '2'),
 (1782, 'Gastraphetes Addendum', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6447, 0, 'false', '__gastraphetes_addendum', 'material', '2'),
 (1783, 'Blood of Fiend', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10744, 0, 'false', '__blood_of_fiend', 'material', '2'),
 (1784, 'Cursed Leather', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10744, 0, 'false', '__cursed_leather', 'material', '2'),
 (1785, 'Soul Ore', 'false', 'material', 10, 'stackable', 'liquid', 'none', 0, 250, 0, 'true', 'soul_ore', 'material', '2'),
 (1786, 'Recipe: Broad Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250, 0, 'true', 'rp_broad_sword', 'recipe', '2'),
 (1787, 'Recipe: Willow Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250, 0, 'true', 'rp_willow_staff', 'recipe', '2'),
 (1788, 'Recipe: Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250, 0, 'true', 'rp_bow', 'recipe', '2'),
 (1789, 'Recipe: Cedar Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1082, 0, 'true', 'rp_cedar_staff', 'recipe', '2'),
 (1790, 'Recipe: Dirk', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1082, 0, 'true', 'rp_dirk', 'recipe', '2'),
 (1791, 'Recipe: Brandish', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1082, 0, 'true', 'rp_brandish', 'recipe', '2'),
 (1792, 'Recipe: Short Spear', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2720, 0, 'true', 'rp_short_spear', 'recipe', '2'),
 (1793, 'Recipe: Sword of Reflection', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2720, 0, 'true', 'rp_sword_of_reflexion', 'recipe', '2'),
 (1794, 'Recipe: Forest Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2720, 0, 'true', 'rp_bow_of_forest', 'recipe', '2'),
 (1795, 'Recipe:Leather Shoes', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 53, 0, 'true', 'rp_leather_shoes', 'recipe', '2'),
 (1796, 'Recipe: Leather Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 159, 0, 'true', 'rp_leather_tunic', 'recipe', '2'),
 (1797, 'Recipe: Leather Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 99, 0, 'true', 'rp_leather_hose', 'recipe', '2'),
 (1798, 'Recipe: Leather Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 204, 0, 'true', 'rp_leather_helmet', 'recipe', '2'),
 (1799, 'Recipe: Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 135, 0, 'true', 'rp_leather_gloves', 'recipe', '2'),
 (1800, 'Recipe: Piece Bone Breastplate', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 636, 0, 'true', 'rp_piece_bone_breastplate', 'recipe', '2'),
 (1801, 'Recipe: Piece Bone Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 397, 0, 'true', 'rp_piece_bone_gaiters', 'recipe', '2'),
 (1802, 'Recipe: Necklace of Anguish', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 93, 0, 'true', 'rp_necklace_of_anguish', 'recipe', '2'),
 (1803, 'Recipe: Necklace of Wisdom', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 238, 0, 'true', 'rp_necklace_of_wisdom', 'recipe', '2'),
 (1804, 'Recipe: Soulshot: D Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_soulshot_d', 'recipe', '2'),
 (1805, 'Recipe: Soulshot: C Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_soulshot_c', 'recipe', '2'),
 (1806, 'Recipe: Soulshot: B Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_soulshot_b', 'recipe', '2'),
 (1807, 'Recipe: Soulshot: A Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_soulshot_a', 'recipe', '2'),
 (1808, 'Recipe: Soulshot: S Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 450000, 0, 'true', 'rp_soulshot_s', 'recipe', '2'),
 (1809, 'Recipe: Durable Stem', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_durable_stem', 'recipe', '2'),
 (1810, 'Recipe: Wooden Frame', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_wooden_frame', 'recipe', '2'),
 (1811, 'Recipe: Bark of Treant', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_bark_of_ent', 'recipe', '2'),
 (1812, 'Recipe: Rough Bone Powder', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_rough_bone_powder', 'recipe', '2'),
 (1813, 'Recipe: Refined Steel', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_refined_steel', 'recipe', '2'),
 (1814, 'Recipe: Leather', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 380, 0, 'true', 'rp_leather', 'recipe', '2'),
 (1815, 'Recipe: Bowstring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', '__rp_bowstring', 'recipe', '2'),
 (1816, 'Recipe: Steel Frame', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__rp_steel_frame', 'recipe', '2'),
 (1817, 'Recipe: Cord', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_cord', 'recipe', '2'),
 (1818, 'Recipe: Refined Bronze', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__rp_refined_bronze', 'recipe', '2'),
 (1819, 'Recipe: Treant Potion', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__rp_ent_potion', 'recipe', '2'),
 (1820, 'Recipe: Spell Paper', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__rp_spell_paper', 'recipe', '2'),
 (1821, 'Recipe: Flaming Oil', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', '__rp_flaming_oil', 'recipe', '2'),
 (1822, 'Recipe: Magic Powder', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_magic_powder', 'recipe', '2'),
 (1823, 'Recipe: Refined Mythril', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_refined_mythril', 'recipe', '2'),
 (1824, 'Recipe: Fortified Steel', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_fortified_steel', 'recipe', '2'),
 (1825, 'Recipe: Oriharukon', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_oriharukon', 'recipe', '2'),
 (1826, 'Recipe: Spell Solution', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_spell_solution', 'recipe', '2'),
 (1827, 'Recipe: Metal Frame', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_metal_frame', 'recipe', '2'),
 (1828, 'Recipe: Steel of Highest Grade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', '__rp_steel_of_highestgrade', 'recipe', '2'),
 (1829, 'Scroll of Escape: Clan Hall', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'scroll_of_escape_to_agit', 'scroll', '2'),
 (1830, 'Scroll of Escape: Castle', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'scroll_of_escape_to_castle', 'scroll', '2'),
 (1831, 'Antidote', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 75, 0, 'true', 'antidote', 'potion', '2'),
 (1832, 'Greater Antidote', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 180, 0, 'true', 'advanced_antidote', 'potion', '2'),
 (1833, 'Bandage', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 75, 0, 'true', 'bandage', 'potion', '2'),
 (1834, 'Emergency Dressing', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 180, 0, 'true', 'emergency_dressing', 'potion', '2'),
 (1835, 'Soulshot: No Grade', 'false', 'shot', 4, 'stackable', 'paper', 'none', 0, 7, 0, 'true', 'soulshot_none', 'none', '2'),
 (1836, 'Kendell''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order1', 'none', '0'),
 (1837, 'Kendell''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order2', 'none', '0'),
 (1838, 'Kendell''s 3rd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order3', 'none', '0'),
 (1839, 'Kendell''s 4th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order4', 'none', '0'),
 (1840, 'Kendell''s 5th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order5', 'none', '0'),
 (1841, 'Kendell''s 6th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order6', 'none', '0'),
 (1842, 'Kendell''s 7th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order7', 'none', '0'),
 (1843, 'Kendell''s 8th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kendnells_order8', 'none', '0'),
 (1844, 'Kaboo Chief''s 1st Torque', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kaboo_chief_torc1', 'none', '0'),
 (1845, 'Kaboo Chief''s 2nd Torque', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'kaboo_chief_torc2', 'none', '0'),
 (1846, 'Turek Dog Tag', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'turek_dogtag', 'none', '0'),
 (1847, 'Turek Medallion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'turek_medallion', 'none', '0'),
 (1848, 'Clay Urn Fragment', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 200, 0, 'false', 'clay_urn_fragment', 'none', '2'),
 (1849, 'Brass Trinket Piece', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 240, 0, 'false', 'brass_trinket_piece', 'none', '2'),
 (1850, 'Bronze Mirror Piece', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 240, 0, 'false', 'bronze_mirror_piece', 'none', '2'),
 (1851, 'Jade Necklace Bead', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 280, 0, 'false', 'jade_necklace_bead', 'none', '2'),
 (1852, 'Ancient Clay Urn', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'false', 'ancient_clay_urn', 'none', '2'),
 (1853, 'Ancient Brass Tiara', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1400, 0, 'false', 'ancient_brass_tiara', 'none', '2'),
 (1854, 'Ancient Bronze Mirror', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1400, 0, 'false', 'ancient_bronze_mirror', 'none', '2'),
 (1855, 'Ancient Jade Necklace', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1700, 0, 'false', 'ancient_jade_necklace', 'none', '2'),
 (1856, 'Amulet: Chant of Life', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1600, 0, 'true', 'sb_inspire_life_force1', 'none', '2'),
 (1857, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang1', 'none', '0'),
 (1858, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang2', 'none', '0'),
 (1859, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang3', 'none', '0'),
 (1860, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang4', 'none', '0'),
 (1861, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang5', 'none', '0'),
 (1862, 'Keltir Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fox_fang6', 'none', '0'),
 (1863, 'Map: Elmore', 'false', 'none', 0, 'normal', 'liquid', 'none', 0, 500, 0, 'true', 'world_map_2', 'none', '2'),
 (1864, 'Stem', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'stem', 'material', '2'),
 (1865, 'Varnish', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'varnish', 'material', '2'),
 (1866, 'Suede', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', 'suede', 'material', '2'),
 (1867, 'Animal Skin', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 150, 0, 'true', 'animal_skin', 'material', '2'),
 (1868, 'Thread', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'thread', 'material', '2'),
 (1869, 'Iron Ore', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'iron_ore', 'material', '2'),
 (1870, 'Coal', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'coal', 'material', '2'),
 (1871, 'Charcoal', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'charcoal', 'material', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (1872, 'Animal Bone', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 150, 0, 'true', 'animal_bone', 'material', '2'),
 (1873, 'Silver Nugget', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'silver_nugget', 'material', '2'),
 (1874, 'Oriharukon Ore', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3000, 0, 'true', 'oriharukon_ore', 'material', '2'),
 (1875, 'Stone of Purity', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3000, 0, 'true', 'stone_of_purity', 'material', '2'),
 (1876, 'Mithril Ore', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'mithril_ore', 'material', '2'),
 (1877, 'Adamantite Nugget', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'admantite_nugget', 'material', '2'),
 (1878, 'Braided Hemp', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'braided_hemp', 'material', '2'),
 (1879, 'Cokes', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'cokes', 'material', '2'),
 (1880, 'Steel', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 2000, 0, 'true', 'steel', 'material', '2'),
 (1881, 'Coarse Bone Powder', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1500, 0, 'true', 'coarse_bone_powder', 'material', '2'),
 (1882, 'Leather', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 900, 0, 'true', 'leather', 'material', '2'),
 (1883, 'Steel Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 4500, 0, 'true', 'steel_mold', 'material', '2'),
 (1884, 'Cord', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 325, 0, 'true', 'cord', 'material', '2'),
 (1885, 'High Grade Suede', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 2400, 0, 'true', 'high_grade_suede', 'material', '2'),
 (1886, 'Silver Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 13500, 0, 'true', 'silver_mold', 'material', '2'),
 (1887, 'Varnish of Purity', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 8100, 0, 'true', 'varnish_of_purity', 'material', '2'),
 (1888, 'Synthetic Cokes', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 6600, 0, 'true', 'synthesis_cokes', 'material', '2'),
 (1889, 'Compound Braid', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3000, 0, 'true', 'compound_braid', 'material', '2'),
 (1890, 'Mithril Alloy', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 13100, 0, 'true', 'mithirl_alloy', 'material', '2'),
 (1891, 'Artisan''s Frame', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 95000, 0, 'true', 'artisan''s_frame', 'material', '2'),
 (1892, 'Blacksmith''s Frame', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 64000, 0, 'true', 'blacksmith''s_frame', 'material', '2'),
 (1893, 'Oriharukon', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'oriharukon', 'material', '2'),
 (1894, 'Crafted Leather', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 5700, 0, 'true', 'crafted_leather', 'material', '2'),
 (1895, 'Metallic Fiber', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 700, 0, 'true', 'metallic_fiber', 'material', '2'),
 (1896, 'Necklace of Anguish Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 472, 0, 'true', 'necklace_of_anguish_chain', 'material', '1'),
 (1897, 'Necklace of Wisdom Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 840, 0, 'true', 'necklace_of_wisdom_chain', 'material', '1'),
 (1898, 'Blue Diamond Necklace Gem', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1947, 0, 'true', 'blue_diamond_necklace_gem', 'material', '1'),
 (1899, 'Necklace of Devotion Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1280, 0, 'true', 'necklace_of_devotion_chain', 'material', '1'),
 (1900, 'Enchanted Necklace Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1828, 0, 'true', 'enchanted_necklace_chain', 'material', '1'),
 (1901, 'Tiger''s Eye Earring Stone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1448, 0, 'true', 'tiger''seye_earing_stone', 'material', '1'),
 (1902, 'Elven Earring Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1974, 0, 'true', 'elven_earing_beads', 'material', '1'),
 (1903, 'Elven Ring Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1199, 0, 'true', 'elven_ring_piece', 'material', '1'),
 (1904, 'Elven Necklace Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2143, 0, 'true', 'elven_necklace_beads', 'material', '1'),
 (1905, 'Omen Beast''s Eye Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2056, 0, 'true', 'onyxbeast''seye_earing_gemstone', 'material', '1'),
 (1906, 'Mithril Ring Wire', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1455, 0, 'true', 'mithril_ring_wire', 'material', '1'),
 (1907, 'Necklace of Darkness Gem', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2875, 0, 'true', 'necklace_of_darkness_gem', 'material', '1'),
 (1908, 'Moonstone Earring Wire', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2112, 0, 'true', 'moonstone_earing_wire', 'material', '1'),
 (1909, 'Aquastone Ring Wire', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1481, 0, 'true', 'aquastone_ring_wire', 'material', '1'),
 (1910, 'Aquastone Necklace Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2656, 0, 'true', 'aquastone_necklace_chain', 'material', '1'),
 (1911, 'Earring of Protection Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2689, 0, 'true', 'earing_of_protection_gemstone', 'material', '1'),
 (1912, 'Ring of Protection Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1856, 0, 'true', 'ring_of_protection_gemstone', 'material', '1'),
 (1913, 'Necklace of Protection Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3289, 0, 'true', 'necklace_of_protection_gemstone', 'material', '1'),
 (1914, 'Earring of Binding Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3560, 0, 'true', 'earing_of_binding_gemstone', 'material', '1'),
 (1915, 'Ring of Ages Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2270, 0, 'true', 'ring_of_ages_gemstone', 'material', '1'),
 (1916, 'Necklace of Mermaid Teardrop', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4700, 0, 'true', 'necklace_of_mermaid_teardrop', 'material', '1'),
 (1917, 'Sage''s Necklace Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5845, 0, 'true', 'sage''s_necklace_chain', 'material', '1'),
 (1918, 'Nassen''s Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4618, 0, 'true', 'nassen''s_earing_gemstone', 'material', '1'),
 (1919, 'Ring of Sage Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3482, 0, 'true', 'ring_of_sage_gemstone', 'material', '1'),
 (1920, 'Necklace of Binding Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5845, 0, 'true', 'necklace_of_binding_chain', 'material', '1'),
 (1921, 'Leather Shoes Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 310, 0, 'true', 'leather_shoes_texture', 'material', '1'),
 (1922, 'Leather Tunic Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 784, 0, 'true', 'leather_tunic_pattern', 'material', '1'),
 (1923, 'Leather Stocking Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 488, 0, 'true', 'leather_hose_pattern', 'material', '1'),
 (1924, 'Leather Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 620, 0, 'true', 'leather_helmet_design', 'material', '1'),
 (1925, 'Leather Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 305, 0, 'true', 'leather_gloves_lining', 'material', '1'),
 (1926, 'Piece Bone Breastplate Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1980, 0, 'true', 'piece_bone_breastplate_fragment', 'material', '1'),
 (1927, 'Hard Leather Shirt Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2507, 0, 'true', 'hard_leather_shirt_pattern', 'material', '1'),
 (1928, 'Piece Bone Gaiters Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1373, 0, 'true', 'piece_bone_gaiters_fragment', 'material', '1'),
 (1929, 'Hard Leather Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1550, 0, 'true', 'hard_leather_gaiters_material', 'material', '1'),
 (1930, 'Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 780, 0, 'true', 'boots_lining', 'material', '1'),
 (1931, 'Leather Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1530, 0, 'true', 'leather_boots_lining', 'material', '1'),
 (1932, 'Bone Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1260, 0, 'true', 'bone_helmet_design', 'material', '1'),
 (1933, 'Dark Stocking Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1700, 0, 'true', 'dark_hose_fabric', 'material', '1'),
 (1934, 'Excellent Leather Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1530, 0, 'true', 'excellence_leather_gloves_lining', 'material', '1'),
 (1935, 'Scale Mail Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3580, 0, 'true', 'scale_mail_fragment', 'material', '1'),
 (1936, 'White Tunic Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2444, 0, 'true', 'white_tunic_pattern', 'material', '1'),
 (1937, 'Scale Gaiters Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2328, 0, 'true', 'scale_gaiters_fragment', 'material', '1'),
 (1938, 'Mithril Banded Mail Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2975, 0, 'true', 'mithril_banded_mail_material', 'material', '1'),
 (1939, 'Mithril Banded Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2277, 0, 'true', 'mithril_banded_gaiters_material', 'material', '1'),
 (1940, 'Iron Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1340, 0, 'true', 'iron_boots_design', 'material', '1'),
 (1941, 'Brigandine Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5029, 0, 'true', 'brigandine_temper', 'material', '1'),
 (1942, 'Manticore Skin Shirt Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3921, 0, 'true', 'manticor_skin_shirt_texture', 'material', '1'),
 (1943, 'Manticore Skin Gaiters Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2518, 0, 'true', 'manticor_skin_gaiters_pattern', 'material', '1'),
 (1944, 'Mithril Tunic Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3921, 0, 'true', 'mithril_tunic_fabric', 'material', '1'),
 (1945, 'Mithril Stocking Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2518, 0, 'true', 'mithril_hose_design', 'material', '1'),
 (1946, 'Rip Gauntlets Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'gauntlet_of_repose_of_the_soul_pattern', 'material', '1'),
 (1947, 'Kite Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1389, 0, 'true', 'kite_shield_fragment', 'material', '1'),
 (1948, 'Boots of Power Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'boots_of_power_pattern', 'material', '1'),
 (1949, 'Mithril Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'mithril_glove_design', 'material', '1'),
 (1950, 'Half Plate Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6162, 0, 'true', 'half_plate_temper', 'material', '1'),
 (1951, 'Plate Gaiters Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3962, 0, 'true', 'plate_gaiters_part', 'material', '1'),
 (1952, 'Salamander Skin Mail Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6244, 0, 'true', 'slamander_skin_mail_texture', 'material', '1'),
 (1953, 'Sage''s Rag Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6244, 0, 'true', 'sage''s_rag_lining', 'material', '1'),
 (1954, 'Karmian Stocking Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3762, 0, 'true', 'karmian_hose_pattern', 'material', '1'),
 (1955, 'Chain Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2481, 0, 'true', 'chain_helmet_design', 'material', '1'),
 (1956, 'Square Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1762, 0, 'true', 'square_shield_fragment', 'material', '1'),
 (1957, 'Assault Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'assault_boots_part', 'material', '1'),
 (1958, 'Mithril Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1120, 0, 'true', 'mithril_boots_design', 'material', '1'),
 (1959, 'Chain Mail Shirt Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 7425, 0, 'true', 'chain_mail_shirt_material', 'material', '1'),
 (1960, 'Chain Gaiters Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3650, 0, 'true', 'chain_gaiters_part', 'material', '1'),
 (1961, 'Mithril Shirt Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6250, 0, 'true', 'tempered_mithril_shirt_fabric', 'material', '1'),
 (1962, 'Karmian Tunic Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6250, 0, 'true', 'karmian_tunic_pattern', 'material', '1'),
 (1963, 'Ogre Power Gauntlets Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'ogre_power_gauntlet_part', 'material', '1'),
 (1964, 'Eldarake Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2475, 0, 'true', 'eldarake_temper', 'material', '1'),
 (1965, 'Metal Plate Helmet Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2967, 0, 'true', 'metal_plate_helmet_material', 'material', '1'),
 (1966, 'Plated Leather Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5478, 0, 'true', 'plate_leather_fragment', 'material', '1'),
 (1967, 'Plated Leather Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3667, 0, 'true', 'plate_leather_gaiters_material', 'material', '1'),
 (1968, 'Dwarven Chain Mail Shirt Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8300, 0, 'true', 'dwarven_chain_mail_shirt_material', 'material', '1'),
 (1969, 'Dwarven Chain Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5233, 0, 'true', 'dwarven_chain_gaiters_material', 'material', '1'),
 (1970, 'Robe of Seal Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8956, 0, 'true', 'robe_of_seal_fabric', 'material', '1'),
 (1971, 'Great Helmet Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3267, 0, 'true', 'great_helmet_material', 'material', '1'),
 (1972, 'Knight Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'knight_shield_fragment', 'material', '1'),
 (1973, 'Paagrio Hand Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'paagrio_hand_design', 'material', '1'),
 (1974, 'Crimson Boot Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'crimson_boots_fabric', 'material', '1'),
 (1975, 'Rind Leather Mail Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6089, 0, 'true', 'rind_leather_mail_design', 'material', '1'),
 (1976, 'Rind Leather Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3289, 0, 'true', 'rind_leather_gaiters_material', 'material', '1'),
 (1977, 'Composite Armor Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13520, 0, 'true', 'composite_armor_temper', 'material', '1'),
 (1978, 'Tower Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3120, 0, 'true', 'tower_shield_fragment', 'material', '1'),
 (1979, 'Demon''s Tunic Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8240, 0, 'true', 'demon''s_tunic_fabric', 'material', '1'),
 (1980, 'Demon''s Stocking Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4700, 0, 'true', 'demon''s_hose_pattern', 'material', '1'),
 (1981, 'Mithril Gauntlets Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3400, 0, 'true', 'mithril_gauntlet_design', 'material', '1'),
 (1982, 'Forgotten Boots Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3400, 0, 'true', 'forgotten_boots_pattern', 'material', '1'),
 (1983, 'Shining Circlet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4560, 0, 'true', 'shining_circlet_pattern', 'material', '1'),
 (1984, 'Theca Leather Mail Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9330, 0, 'true', 'theca_leather_mail_pattern', 'material', '1'),
 (1985, 'Theca Leather Gaiters Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5800, 0, 'true', 'theca_leather_gaiters_pattern', 'material', '1'),
 (1986, 'Full Plate Armor Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 18927, 0, 'true', 'full_plate_armor_temper', 'material', '1'),
 (1987, 'Drake Leather Mail Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13109, 0, 'true', 'drake_leather_mail_texture', 'material', '1'),
 (1988, 'Divine Tunic Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10409, 0, 'true', 'divine_tunic_fabric', 'material', '1'),
 (1989, 'Divine Stocking Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6636, 0, 'true', 'divine_hose_pattern', 'material', '1'),
 (1990, 'Mithril Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'mithril_helmet_design', 'material', '1'),
 (1991, 'Cap of Mana Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'cap_of_mana_pattern', 'material', '1'),
 (1992, 'Paradia Hood Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'paradia_hood_material', 'material', '1'),
 (1993, 'Hood of Solar Eclipse Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'hood_of_sola_eclipse_texture', 'material', '1'),
 (1994, 'Hood of Summoning Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'hood_of_summons_texture', 'material', '1'),
 (1995, 'Elemental Hood Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'elemental_hood_material', 'material', '1'),
 (1996, 'Hood of Grace Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'hood_of_grace_texture', 'material', '1'),
 (1997, 'Phoenix Hood Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'phoenix''s_hood_material', 'material', '1'),
 (1998, 'Hood of Aid Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'hood_of_assistance_material', 'material', '1'),
 (1999, 'Flame Helm Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'flame_bonnet_design', 'material', '1'),
 (2000, 'Tallum Helm Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'tallum_bonnet_design', 'material', '1'),
 (2001, 'Helm of Avadon Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'bonnet_o''_avadon_design', 'material', '1'),
 (2002, 'Helmet of Pledge Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'helmet_of_pledge_pattern', 'material', '1'),
 (2003, 'Gauntlets of Ghost Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'gauntlet_of_ghost_pattern', 'material', '1'),
 (2004, 'Adamantite Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'adamantite_boots_design', 'material', '1'),
 (2005, 'Broadsword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'broad_sword_blade', 'material', '1'),
 (2006, 'Willow Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'willow_staff_head', 'material', '1'),
 (2007, 'Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'bow_shaft', 'material', '1'),
 (2008, 'Cedar Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5140, 0, 'true', 'cedar_staff_head', 'material', '1'),
 (2009, 'Dirk Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5640, 0, 'true', 'dirk_blade', 'material', '1'),
 (2010, 'Brandish Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5140, 0, 'true', 'brandish_blade', 'material', '1'),
 (2011, 'Short Spear Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8767, 0, 'true', 'short_spear_edge', 'material', '1'),
 (2012, 'Sword of Reflection Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9600, 0, 'true', 'sword_of_reflexion_blade', 'material', '1'),
 (2013, 'Forest Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9267, 0, 'true', 'bow_of_forest_shaft', 'material', '1'),
 (2014, 'Iron Hammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17400, 0, 'true', 'iron_hammer_head', 'material', '1'),
 (2015, 'Sword Breaker Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16400, 0, 'true', 'sword_breaker_edge', 'material', '1'),
 (2016, 'Composition Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17067, 0, 'true', 'composition_bow_shaft', 'material', '1'),
 (2017, 'Saber Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15050, 0, 'true', 'saber_blade', 'material', '1'),
 (2018, 'Assassin Knife Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15050, 0, 'true', 'assassin_knife_edge', 'material', '1'),
 (2019, 'Trident Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9300, 0, 'true', 'trident_edge', 'material', '1'),
 (2020, 'Temptation of Abyss Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11425, 0, 'true', 'temptation_of_abyss_piece', 'material', '1'),
 (2021, 'Spinebone Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15840, 0, 'true', 'spinebone_sword_blade', 'material', '1'),
 (2022, 'Mace of Judgment Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12840, 0, 'true', 'mace_of_judgment_head', 'material', '1'),
 (2023, 'Conjuror''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16140, 0, 'true', 'conjure_staff_head', 'material', '1'),
 (2024, 'Elven Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14040, 0, 'true', 'elven_bow_shaft', 'material', '1'),
 (2025, 'Dwarven Trident Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14440, 0, 'true', 'dwarven_trident_edge', 'material', '1'),
 (2026, 'Two-Handed Sword Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16617, 0, 'true', 'two-handed_sword_edge', 'material', '1'),
 (2027, 'Spiked Club Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15267, 0, 'true', 'spike_club_head', 'material', '1'),
 (2028, 'Shillien Knife Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16833, 0, 'true', 'knife_o''_silenus_edge', 'material', '1'),
 (2029, 'Gastraphetes Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16767, 0, 'true', 'gastraphetes_shaft', 'material', '1'),
 (2030, 'Tome of Blood Page', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17100, 0, 'true', 'tome_of_blood_page', 'material', '1'),
 (2031, 'Morning Star Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 19757, 0, 'true', 'morning_star_head', 'material', '1'),
 (2032, 'Goat Head Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21643, 0, 'true', 'goathead_staff_head', 'material', '1'),
 (2033, 'Winged Spear Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17929, 0, 'true', 'winged_spear_blade', 'material', '1'),
 (2034, 'Sword of Revolution Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 18929, 0, 'true', 'sword_of_revolution_blade', 'material', '1'),
 (2035, 'Tarbar Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 19757, 0, 'true', 'tarbar_head', 'material', '1'),
 (2036, 'Skull Breaker Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 19757, 0, 'true', 'skull_breaker_head', 'material', '1'),
 (2037, 'Heavy Bone Club Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 19757, 0, 'true', 'heavy_bone_club_head', 'material', '1'),
 (2038, 'Maingauche Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 18929, 0, 'true', 'maingauche_edge', 'material', '1'),
 (2039, 'Bich''Hwa Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 19757, 0, 'true', 'bich''hwa_edge', 'material', '1'),
 (2040, 'Strengthened Long Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17286, 0, 'true', 'strengthening_long_bow_shaft', 'material', '1'),
 (2041, 'War Pick Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17929, 0, 'true', 'hammer_in_flames_head', 'material', '1'),
 (2042, 'Crucifix of Blood Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21643, 0, 'true', 'crucifix_of_blood_piece', 'material', '1'),
 (2043, 'Eye of Infinity Stone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21643, 0, 'true', 'eye_of_infinity_stone', 'material', '1'),
 (2044, 'Cursed Maingauche Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 18929, 0, 'true', 'cursed_maingauche_edge', 'material', '1'),
 (2045, 'Blue Crystal Skull Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21786, 0, 'true', 'blue_crystal_skull_part', 'material', '1'),
 (2046, 'Demon Fangs Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 21786, 0, 'true', 'demon_fangs_part', 'material', '1'),
 (2047, 'Claymore Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'claymore_blade', 'material', '1'),
 (2048, 'Bonebreaker Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24188, 0, 'true', 'bonebreaker_head', 'material', '1'),
 (2049, 'Atuba Hammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24188, 0, 'true', 'atuba_hammer_head', 'material', '1'),
 (2050, 'Ghost Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22812, 0, 'true', 'ghost_staff_head', 'material', '1'),
 (2051, 'Staff of Life Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22812, 0, 'true', 'life_stick_shaft', 'material', '1'),
 (2052, 'Mithril Dagger Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 23062, 0, 'true', 'mithril_dagger_blade', 'material', '1'),
 (2053, 'Scallop Jamadhr Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24188, 0, 'true', 'scallop_jamadhr_edge', 'material', '1'),
 (2054, 'Light Crossbow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 23500, 0, 'true', 'cyclone_bow_shaft', 'material', '1'),
 (2055, 'Glaive Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24188, 0, 'true', 'glaive_edge', 'material', '1'),
 (2056, 'Vajra Wand Frame', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22812, 0, 'true', 'vajra_wands_frame', 'material', '2'),
 (2057, 'Ancient Reagent Remnant', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22812, 0, 'true', 'ancient_reagent_remnant', 'material', '2'),
 (2058, 'Atuba Mace Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24188, 0, 'true', 'atuba_mace_head', 'material', '1'),
 (2059, 'Flamberge Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24125, 0, 'true', 'flamberge_blade', 'material', '1'),
 (2060, 'Stormbringer Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24425, 0, 'true', 'stormbringer_blade', 'material', '1'),
 (2061, 'Big Hammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26800, 0, 'true', 'big_hammer_head', 'material', '1'),
 (2062, 'Scythe Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'scythe_edge', 'material', '1'),
 (2063, 'Battle Axe Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26800, 0, 'true', 'battle_axe_head', 'material', '1'),
 (2064, 'Silver Axe Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26800, 0, 'true', 'war_pick_head', 'material', '1'),
 (2065, 'Skull Graver Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26800, 0, 'true', 'skull_graver_head', 'material', '1'),
 (2066, 'Heavy Doom Hammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'heavy_doom_hammer_head', 'material', '1'),
 (2067, 'Crystal Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'crystal_staff_head', 'material', '1'),
 (2068, 'Stick of Faith Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'stick_of_faith_shaft', 'material', '1'),
 (2069, 'Heavy Doom Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'heavy_doom_axe_blade', 'material', '1'),
 (2070, 'Cursed Dagger Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24425, 0, 'true', 'cursed_dagger_blade', 'material', '1'),
 (2071, 'Wolverine Needle Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24425, 0, 'true', 'needle_wolverine_edge', 'material', '1'),
 (2072, 'Dark Elven Dagger Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 24425, 0, 'true', 'darkelven_dagger_edge', 'material', '1'),
 (2073, 'Chakram Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26800, 0, 'true', 'chakram_edge', 'material', '1'),
 (2074, 'Crystallized Ice Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26538, 0, 'true', 'crystallized_ice_bow_shaft', 'material', '1'),
 (2075, 'Orcish Glaive Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'orcish_glaive_blade', 'material', '1'),
 (2076, 'Body Slasher Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 22750, 0, 'true', 'body_slasher_blade', 'material', '1'),
 (2077, 'Shamshir Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'shamshir_blade', 'material', '1'),
 (2078, 'Katana Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'katana_blade', 'material', '1'),
 (2079, 'Bec De Corbin Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 31667, 0, 'true', 'bech_de_corbin_blade', 'material', '1'),
 (2080, 'Spirit Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'spirits_sword_blade', 'material', '1'),
 (2081, 'Raid Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'raid_sword_blade', 'material', '1'),
 (2082, 'Cursed Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 30911, 0, 'true', 'cursed_staff_head', 'material', '1'),
 (2083, 'Stiletto Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'stiletto_edge', 'material', '1'),
 (2084, 'Soulfire Dirk Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29556, 0, 'true', 'dagger_of_magicflame_blade', 'material', '1'),
 (2085, 'Crossbow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26189, 0, 'true', 'elemental_bow_shaft', 'material', '1'),
 (2086, 'Elven Bow of Nobility Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 26189, 0, 'true', 'noble_elven_bow_shaft', 'material', '1'),
 (2087, 'Tears of Fairy Drop', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 30911, 0, 'true', 'tears_of_fairy_drop', 'material', '1'),
 (2088, 'Horn of Glory Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 30911, 0, 'true', 'horn_of_glory_fragment', 'material', '1'),
 (2089, 'Caliburs Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'caliburs_edge', 'material', '1'),
 (2090, 'Sword of Delusion Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'sword_of_delusion_blade', 'material', '1'),
 (2091, 'Tsurugi Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'tsurugi_blade', 'material', '1'),
 (2092, 'Homunkulus''s Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'homunkulus''s_sword_blade', 'material', '1'),
 (2093, 'Poleaxe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 34200, 0, 'true', 'poleaxe_blade', 'material', '1'),
 (2094, 'Sword of Limit Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'sword_of_limit_blade', 'material', '1'),
 (2095, 'Sword of Nightmare Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'sword_of_nightmare_blade', 'material', '1'),
 (2096, 'Sword of Whispering Death Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'deathbreath_sword_blade', 'material', '1'),
 (2097, 'War Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37000, 0, 'true', 'war_axe_blade', 'material', '1'),
 (2098, 'Nirvana Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37000, 0, 'true', 'nirvana_axe_blade', 'material', '1'),
 (2099, 'Stick of Eternity Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'stick_of_eternity_shaft', 'material', '1'),
 (2100, 'Paradia Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'paradia_staff_head', 'material', '1'),
 (2101, 'Inferno Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'inferno_staff_head', 'material', '1'),
 (2102, 'Paagrio Hammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 34200, 0, 'true', 'paagrio_hammer_head', 'material', '1'),
 (2103, 'Sage''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'sage''s_staff_head', 'material', '1'),
 (2104, 'Club of Nature Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'club_of_nature_head', 'material', '1'),
 (2105, 'Mace of The Underworld Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37000, 0, 'true', 'mace_of_underworld_head', 'material', '1'),
 (2106, 'Grace Dagger Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'grace_dagger_edge', 'material', '1'),
 (2107, 'Dark Screamer Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37450, 0, 'true', 'dark_screamer_edge', 'material', '1'),
 (2108, 'Fist Blade Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37000, 0, 'true', 'fist_blade_piece', 'material', '1'),
 (2109, 'Akat Longbow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 41130, 0, 'true', 'akat_long_bow_shaft', 'material', '1'),
 (2110, 'Heathen''s Book Page', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'heathen''s_book_page', 'material', '1'),
 (2111, 'Hex Doll Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35900, 0, 'true', 'hex_doll_fragment', 'material', '1'),
 (2112, 'Paagrio Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 39900, 0, 'true', 'paagrio_axe_blade', 'material', '1'),
 (2113, 'Scorpion Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 39900, 0, 'true', 'scorpion_blade', 'material', '1'),
 (2114, 'Widowmaker Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 39900, 0, 'true', 'widow_maker_head', 'material', '1'),
 (2115, 'Samurai Longsword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 46636, 0, 'true', 'samurai_longsword_blade', 'material', '1'),
 (2116, 'Deadman''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'deadman''s_staff_head', 'material', '1'),
 (2117, 'Ghoul''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'ghoul''s_staff_head', 'material', '1'),
 (2118, 'Demon''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'demon''s_staff_head', 'material', '1'),
 (2119, 'Crystal Dagger Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43136, 0, 'true', 'crystal_dagger_blade', 'material', '1'),
 (2120, 'Great Pata Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45964, 0, 'true', 'great_pata_blade', 'material', '1'),
 (2121, 'Eminence Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 47218, 0, 'true', 'eminence_bow_shaft', 'material', '1'),
 (2122, 'Orcish Poleaxe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'orcish_poleaxe_blade', 'material', '1'),
 (2123, 'Candle of Wisdom Model', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'candle_of_wisdom_model', 'material', '1'),
 (2124, 'Blessed Branch Splinter', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'blessed_branch_splinter', 'material', '1'),
 (2125, 'Phoenix Feather Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'phoenix''s_feather_piece', 'material', '1'),
 (2126, 'Cerberus Eye Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'cerberus''s_eye_fragment', 'material', '1'),
 (2127, 'Scroll of Destruction Page', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'scroll_of_destruction_page', 'material', '1'),
 (2128, 'Claws of Black Dragon Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'claws_of_blackdragon_piece', 'material', '1'),
 (2129, 'Three Eyed Crow''s Feather Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43818, 0, 'true', 'three_eye_crow''s_feather_piece', 'material', '1'),
 (2130, 'Gemstone D', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'gemstone_d', 'material', '2'),
 (2131, 'Gemstone C', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 3000, 0, 'true', 'gemstone_c', 'material', '2'),
 (2132, 'Gemstone B', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 10000, 0, 'true', 'gemstone_b', 'material', '2'),
 (2133, 'Gemstone A', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'gemstone_a', 'material', '2'),
 (2134, 'Gemstone S', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'gemstone_s', 'material', '2'),
 (2135, 'Recipe: Braided Hemp', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 680, 0, 'true', 'rp_braided_hemp', 'recipe', '2'),
 (2136, 'Recipe: Cokes', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 680, 0, 'true', 'rp_cokes', 'recipe', '2'),
 (2137, 'Recipe: Steel', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 680, 0, 'true', 'rp_steel', 'recipe', '2'),
 (2138, 'Recipe: Coarse Bone Powder', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 680, 0, 'true', 'rp_coarse_bone_powder', 'recipe', '2'),
 (2139, 'Recipe: Steel Mold', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_steel_mold', 'recipe', '2'),
 (2140, 'Recipe: High Grade Suede', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_high_grade_suede', 'recipe', '2'),
 (2141, 'Recipe: Silver Mold', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_silver_mold', 'recipe', '2'),
 (2142, 'Recipe: Varnish of Purity', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_varnish_of_purity', 'recipe', '2'),
 (2143, 'Recipe: Synthetic Cokes', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_synthesis_cokes', 'recipe', '2'),
 (2144, 'Recipe: Compound Braid', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1000, 0, 'true', 'rp_compound_braid', 'recipe', '2'),
 (2145, 'Recipe: Mithril Alloy', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_mithirl_alloy', 'recipe', '2'),
 (2146, 'Recipe: Artisan''s frame', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_artisan''s_frame', 'recipe', '2'),
 (2147, 'Recipe: Blacksmith''s frame', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_blacksmith''s_frame', 'recipe', '2'),
 (2148, 'Recipe: Crafted Leather', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_crafted_leather', 'recipe', '2'),
 (2149, 'Recipe: Metallic Fiber', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_metallic_fiber', 'recipe', '2'),
 (2150, 'Recipe: Blue Diamond Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 426, 0, 'true', 'rp_blue_diamond_necklace', 'recipe', '2'),
 (2151, 'Recipe: Necklace of Devotion', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 718, 0, 'true', 'rp_necklace_of_devotion', 'recipe', '2'),
 (2152, 'Recipe: Enchanted Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1136, 0, 'true', 'rp_enchanted_necklace', 'recipe', '2'),
 (2153, 'Recipe: Tiger''s Eye Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1286, 0, 'true', 'rp_tiger''seye_earing', 'recipe', '2'),
 (2154, 'Recipe: Elven Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1868, 0, 'true', 'rp_elven_earing', 'recipe', '2'),
 (2155, 'Recipe: Elven Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1246, 0, 'true', 'rp_elven_ring', 'recipe', '2'),
 (2156, 'Recipe: Elven Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'rp_elven_necklace', 'recipe', '2'),
 (2157, 'Recipe: Omen Beast''s Eye Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2420, 0, 'true', 'rp_onyxbeast''seye_earing', 'recipe', '2'),
 (2158, 'Recipe: Mithril Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1616, 0, 'true', 'rp_mithril_ring', 'recipe', '2'),
 (2159, 'Recipe: Necklace of Darkness', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3240, 0, 'true', 'rp_necklace_of_darkness', 'recipe', '2'),
 (2160, 'Recipe: Moonstone Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3100, 0, 'true', 'rp_moonstone_earing', 'recipe', '2'),
 (2161, 'Recipe: Aquastone Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2060, 0, 'true', 'rp_aquastone_ring', 'recipe', '2'),
 (2162, 'Recipe: Aquastone Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4140, 0, 'true', 'rp_aquastone_necklace', 'recipe', '2'),
 (2163, 'Recipe: Earring of Protection', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3920, 0, 'true', 'rp_earing_of_protection', 'recipe', '2'),
 (2164, 'Recipe: Ring of Protection', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2600, 0, 'true', 'rp_ring_of_protection', 'recipe', '2'),
 (2165, 'Recipe: Necklace of Protection', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5220, 0, 'true', 'rp_necklace_of_protection', 'recipe', '2'),
 (2166, 'Recipe: Earring of Binding(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5900, 0, 'true', 'rp_earing_of_binding', 'recipe', '2'),
 (2167, 'Recipe: Ring of Ages', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3920, 0, 'true', 'rp_ring_of_ages', 'recipe', '2'),
 (2168, 'Recipe: Necklace of Mermaid', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7860, 0, 'true', 'rp_necklace_of_mermaid', 'recipe', '2'),
 (2169, 'Recipe: Necklace of Binding', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 11300, 0, 'true', 'rp_necklace_of_binding', 'recipe', '2'),
 (2170, 'Recipe: Nassen''s Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8480, 0, 'true', 'rp_nassen''s_earing', 'recipe', '2'),
 (2171, 'Recipe: Sage''s Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5640, 0, 'true', 'rp_ring_of_sage', 'recipe', '2'),
 (2172, 'Recipe: Sage''s Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 11300, 0, 'true', 'rp_sage''s_necklace', 'recipe', '2'),
 (2173, 'Recipe: Hard Leather Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 738, 0, 'true', 'rp_hard_leather_shirt', 'recipe', '2'),
 (2174, 'Recipe: Hard Leather Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 460, 0, 'true', 'rp_hard_leather_gaiters', 'recipe', '2'),
 (2175, 'Recipe: Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 246, 0, 'true', 'rp_boots', 'recipe', '2'),
 (2176, 'Recipe: Leather Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 418, 0, 'true', 'rp_leather_boots', 'recipe', '2'),
 (2177, 'Recipe: Bone Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 626, 0, 'true', 'rp_bone_helmet', 'recipe', '2'),
 (2178, 'Recipe: Dark Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1250, 0, 'true', 'rp_dark_hose', 'recipe', '2'),
 (2179, 'Recipe: Excellent Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 418, 0, 'true', 'rp_excellence_leather_gloves', 'recipe', '2'),
 (2180, 'Recipe: Scale Mail', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2660, 0, 'true', 'rp_scale_mail', 'recipe', '2'),
 (2181, 'Recipe: White Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1998, 0, 'true', 'rp_white_tunic', 'recipe', '2'),
 (2182, 'Recipe: Scale Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1666, 0, 'true', 'rp_scale_gaiters', 'recipe', '2'),
 (2183, 'Recipe: Mithril Banded Mail', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3040, 0, 'true', 'rp_mithril_banded_mail', 'recipe', '2'),
 (2184, 'Recipe: Mithril Banded Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1904, 0, 'true', 'rp_mithril_banded_gaiters', 'recipe', '2'),
 (2185, 'Recipe: Iron Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1016, 0, 'true', 'rp_iron_boots', 'recipe', '2'),
 (2186, 'Recipe: Brigandine Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5980, 0, 'true', 'rp_brigandine', 'recipe', '2'),
 (2187, 'Recipe: Manticore Skin Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4480, 0, 'true', 'rp_manticor_skin_shirt', 'recipe', '2'),
 (2188, 'Recipe: Manticore Skin Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_manticor_skin_gaiters', 'recipe', '2'),
 (2189, 'Recipe: Mithril Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4480, 0, 'true', 'rp_mithril_tunic', 'recipe', '2'),
 (2190, 'Recipe: Mithril Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_mithril_hose', 'recipe', '2'),
 (2191, 'Recipe: RIP Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_gauntlet_of_repose_of_the_soul', 'recipe', '2'),
 (2192, 'Recipe: Kite Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1568, 0, 'true', 'rp_kite_shield', 'recipe', '2'),
 (2193, 'Recipe: Boots of Power', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_boots_of_power', 'recipe', '2'),
 (2194, 'Recipe: Mithril Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_mithril_glove', 'recipe', '2'),
 (2195, 'Recipe: Half Plate Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7820, 0, 'true', 'rp_half_plate', 'recipe', '2'),
 (2196, 'Recipe: Plate Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4880, 0, 'true', 'rp_plate_gaiters', 'recipe', '2'),
 (2197, 'Recipe: Salamander Skin Mail', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 9540, 0, 'true', 'rp_slamander_skin_mail', 'recipe', '2'),
 (2198, 'Recipe: Sage''s Rag', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 9540, 0, 'true', 'rp_sage''s_rag', 'recipe', '2'),
 (2199, 'Recipe: Karmian Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4740, 0, 'true', 'rp_karmian_hose', 'recipe', '2'),
 (2200, 'Recipe: Chain Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2940, 0, 'true', 'rp_chain_helmet', 'recipe', '2'),
 (2201, 'Recipe: Square Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2060, 0, 'true', 'rp_square_shield', 'recipe', '2'),
 (2202, 'Recipe: Assault Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_assault_boots', 'recipe', '2'),
 (2203, 'Recipe: Mithril Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 918, 0, 'true', 'rp_mithril_boots', 'recipe', '2'),
 (2204, 'Recipe: Chain Mail Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10100, 0, 'true', 'rp_chain_mail_shirt', 'recipe', '2'),
 (2205, 'Recipe: Chain Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 6320, 0, 'true', 'rp_chain_gaiters', 'recipe', '2'),
 (2206, 'Recipe: Mithril Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7580, 0, 'true', 'rp_tempered_mithril_shirt', 'recipe', '2'),
 (2207, 'Recipe: Karmian Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7580, 0, 'true', 'rp_karmian_tunic', 'recipe', '2'),
 (2208, 'Recipe: Ogre Power Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_ogre_power_gauntlet', 'recipe', '2'),
 (2209, 'Recipe: Eldarake', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2660, 0, 'true', 'rp_eldarake', 'recipe', '2'),
 (2210, 'Recipe: Steel Plate Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4120, 0, 'true', 'rp_metal_plate_helmet', 'recipe', '2'),
 (2211, 'Recipe: Plate Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8920, 0, 'true', 'rp_plate_leather', 'recipe', '2'),
 (2212, 'Recipe: Plate Leather Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5580, 0, 'true', 'rp_plate_leather_gaiters', 'recipe', '2'),
 (2213, 'Recipe: Dwarven Chain Mail Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_dwarven_chain_mail_shirt', 'recipe', '2'),
 (2214, 'Recipe: Dwarven Chain Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8060, 0, 'true', 'rp_dwarven_chain_gaiters', 'recipe', '2'),
 (2215, 'Recipe: Robe of Seal', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 15700, 0, 'true', 'rp_robe_of_seal', 'recipe', '2'),
 (2216, 'Recipe: Great Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4840, 0, 'true', 'rp_great_helmet', 'recipe', '2'),
 (2217, 'Recipe: Knight Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3380, 0, 'true', 'rp_knight_shield', 'recipe', '2'),
 (2218, 'Recipe: Paagrio Hand', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_paagrio_hand', 'recipe', '2'),
 (2219, 'Recipe: Crimson Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_crimson_boots', 'recipe', '2'),
 (2220, 'Recipe: Rind Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 9660, 0, 'true', 'rp_rind_leather_mail', 'recipe', '2'),
 (2221, 'Recipe: Rind Leather Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 6040, 0, 'true', 'rp_rind_leather_gaiters', 'recipe', '2'),
 (2222, 'Recipe: Composite Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 32000, 0, 'true', 'rp_composite_armor', 'recipe', '2'),
 (2223, 'Recipe: Tower Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5160, 0, 'true', 'rp_tower_shield', 'recipe', '2'),
 (2224, 'Recipe: Demon''s Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 14720, 0, 'true', 'rp_demon''s_tunic', 'recipe', '2'),
 (2225, 'Recipe: Demon''s Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 9200, 0, 'true', 'rp_demon''s_hose', 'recipe', '2'),
 (2226, 'Recipe: Mithril Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4900, 0, 'true', 'rp_mithril_gauntlet', 'recipe', '2'),
 (2227, 'Recipe: Forgotten Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4900, 0, 'true', 'rp_forgotten_boots', 'recipe', '2'),
 (2228, 'Recipe: Shining Circlet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7360, 0, 'true', 'rp_shining_circlet', 'recipe', '2'),
 (2229, 'Recipe: Theca Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16500, 0, 'true', 'rp_theca_leather_mail', 'recipe', '2'),
 (2230, 'Recipe: Theca Leather Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10320, 0, 'true', 'rp_theca_leather_gaiters', 'recipe', '2'),
 (2231, 'Recipe: Full Plate Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 46400, 0, 'true', 'rp_full_plate_armor', 'recipe', '2'),
 (2232, 'Recipe: Drake Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 34800, 0, 'true', 'rp_drake_leather_mail', 'recipe', '2'),
 (2233, 'Recipe: Divine Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 21400, 0, 'true', 'rp_divine_tunic', 'recipe', '2'),
 (2234, 'Recipe: Divine Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 13420, 0, 'true', 'rp_divine_hose', 'recipe', '2'),
 (2235, 'Recipe: Mithril Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_mithril_helmet', 'recipe', '2'),
 (2236, 'Recipe: Cap of Mana', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_cap_of_mana', 'recipe', '2'),
 (2237, 'Recipe: Paradia Hood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_paradia_hood', 'recipe', '2'),
 (2238, 'Recipe: Hood of Solar Eclipse', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_hood_of_sola_eclipse', 'recipe', '2'),
 (2239, 'Recipe: Hood of Summoning', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_hood_of_summons', 'recipe', '2'),
 (2240, 'Recipe: Elemental Hood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_elemental_hood', 'recipe', '2'),
 (2241, 'Recipe: Hood of Grace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_hood_of_grace', 'recipe', '2'),
 (2242, 'Recipe: Phoenix Hood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_phoenix''s_hood', 'recipe', '2'),
 (2243, 'Recipe: Hood of Aid', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_hood_of_assistance', 'recipe', '2'),
 (2244, 'Recipe: Flame Helm', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_flame_bonnet', 'recipe', '2'),
 (2245, 'Recipe: Tallum Helm', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_tallum_bonnet', 'recipe', '2'),
 (2246, 'Recipe: Helm of Avadon', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_bonnet_o''_avadon', 'recipe', '2'),
 (2247, 'Recipe: Helmet of Pledge', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_helmet_of_pledge', 'recipe', '2'),
 (2248, 'Recipe: Gauntlets of Ghost', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_gauntlet_of_ghost', 'recipe', '2'),
 (2249, 'Recipe: Adamantite Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_adamantite_boots', 'recipe', '2'),
 (2250, 'Recipe: Bone Arrow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 800, 0, 'true', 'rp_bone_arrow', 'recipe', '2'),
 (2251, 'Recipe: Steel Arrow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'rp_fine_steel_arrow', 'recipe', '2'),
 (2252, 'Recipe: Iron Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4880, 0, 'true', 'rp_iron_hammer', 'recipe', '2'),
 (2253, 'Recipe: Sword Breaker', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4880, 0, 'true', 'rp_sword_breaker', 'recipe', '2'),
 (2254, 'Recipe: Composition Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4880, 0, 'true', 'rp_composition_bow', 'recipe', '2'),
 (2255, 'Recipe: Saber', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8180, 0, 'true', 'rp_saber', 'recipe', '2'),
 (2256, 'Recipe: Assassin Knife', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8180, 0, 'true', 'rp_assassin_knife', 'recipe', '2'),
 (2257, 'Recipe: Trident', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8180, 0, 'true', 'rp_trident', 'recipe', '2'),
 (2258, 'Recipe: Temptation of Abyss', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8180, 0, 'true', 'rp_temptation_of_abyss', 'recipe', '2'),
 (2259, 'Recipe: Spinebone Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_spinebone_sword', 'recipe', '2'),
 (2260, 'Recipe: Mace of Judgment', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_mace_of_judgment', 'recipe', '2'),
 (2261, 'Recipe: Conjuror''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_conjure_staff', 'recipe', '2'),
 (2262, 'Recipe: Elven Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_elven_bow', 'recipe', '2'),
 (2263, 'Recipe: Dwarven Trident', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12880, 0, 'true', 'rp_dwarven_trident', 'recipe', '2'),
 (2264, 'Recipe: Two-handed Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19340, 0, 'true', 'rp_two-handed_sword', 'recipe', '2'),
 (2265, 'Recipe: Spiked Club', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19340, 0, 'true', 'rp_spike_club', 'recipe', '2'),
 (2266, 'Recipe: Shillien Knife', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19340, 0, 'true', 'rp_knife_o''_silenus', 'recipe', '2'),
 (2267, 'Recipe: Gastraphetes', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19340, 0, 'true', 'rp_gastraphetes', 'recipe', '2'),
 (2268, 'Recipe: Tome of Blood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19340, 0, 'true', 'rp_tome_of_blood', 'recipe', '2'),
 (2269, 'Recipe: Morning Star', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_morning_star', 'recipe', '2'),
 (2270, 'Recipe: Goat Head Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_goathead_staff', 'recipe', '2'),
 (2271, 'Recipe: Winged Spear', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_winged_spear', 'recipe', '2'),
 (2272, 'Recipe: Sword of Revolution', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_sword_of_revolution', 'recipe', '2'),
 (2273, 'Recipe: Tarbar', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_tarbar', 'recipe', '2'),
 (2274, 'Recipe: Skull Breaker', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_skull_breaker', 'recipe', '2'),
 (2275, 'Recipe: Heavy Bone Club', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_heavy_bone_club', 'recipe', '2'),
 (2276, 'Recipe: Maingauche', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_maingauche', 'recipe', '2'),
 (2277, 'Recipe: Bich''hwa', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_bich''hwa', 'recipe', '2'),
 (2278, 'Recipe: Strengthened Long Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_strengthening_long_bow', 'recipe', '2'),
 (2279, 'Recipe: War Pick', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_hammer_in_flames', 'recipe', '2'),
 (2280, 'Recipe: Crucifix of Blood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_crucifix_of_blood', 'recipe', '2'),
 (2281, 'Recipe: Eye of Infinity', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_eye_of_infinity', 'recipe', '2'),
 (2282, 'Recipe: Cursed Maingauche', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 28000, 0, 'true', 'rp_cursed_maingauche', 'recipe', '2'),
 (2283, 'Recipe: Blue Crystal Skull', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30400, 0, 'true', 'rp_blue_crystal_skull', 'recipe', '2'),
 (2284, 'Recipe: Demon Fangs', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30400, 0, 'true', 'rp_demon_fangs', 'recipe', '2'),
 (2285, 'Recipe: Claymore', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_claymore', 'recipe', '2'),
 (2286, 'Recipe: Bonebreaker', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_bonebreaker', 'recipe', '2'),
 (2287, 'Recipe: Atuba Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_atuba_hammer', 'recipe', '2'),
 (2288, 'Recipe: Ghost Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_ghost_staff', 'recipe', '2'),
 (2289, 'Recipe: Staff of Life', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_life_stick', 'recipe', '2'),
 (2290, 'Recipe: Mithril Dagger', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_mithril_dagger', 'recipe', '2'),
 (2291, 'Recipe: Scallop Jamadhr', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_scallop_jamadhr', 'recipe', '2'),
 (2292, 'Recipe: Light Crossbow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_cyclone_bow', 'recipe', '2'),
 (2293, 'Recipe: Glaive', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_glaive', 'recipe', '2'),
 (2294, 'Recipe: Vajra Wands', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_vajra_wands', 'recipe', '2'),
 (2295, 'Recipe: Ancient Reagent', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_ancient_reagent', 'recipe', '2'),
 (2296, 'Recipe: Atuba Mace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_atuba_mace', 'recipe', '2'),
 (2297, 'Recipe: Flamberge', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_flamberge', 'recipe', '2'),
 (2298, 'Recipe: Stormbringer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_stormbringer', 'recipe', '2'),
 (2299, 'Recipe: Big Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_big_hammer', 'recipe', '2'),
 (2300, 'Recipe: Scythe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_scythe', 'recipe', '2'),
 (2301, 'Recipe: Battle Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_battle_axe', 'recipe', '2'),
 (2302, 'Recipe: Silver Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_war_pick', 'recipe', '2'),
 (2303, 'Recipe: Skull Graver', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_skull_graver', 'recipe', '2'),
 (2304, 'Recipe: Heavy Doom Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_heavy_doom_hammer', 'recipe', '2'),
 (2305, 'Recipe: Crystal Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_crystal_staff', 'recipe', '2'),
 (2306, 'Recipe: Stick of Faith', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_stick_of_faith', 'recipe', '2'),
 (2307, 'Recipe: Heavy Doom Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_heavy_doom_axe', 'recipe', '2'),
 (2308, 'Recipe: Cursed Dagger', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_cursed_dagger', 'recipe', '2'),
 (2309, 'Recipe: Wolverine Needle', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_needle_wolverine', 'recipe', '2'),
 (2310, 'Recipe: Dark Elven Dagger', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_darkelven_dagger', 'recipe', '2'),
 (2311, 'Recipe: Chakram', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_chakram', 'recipe', '2'),
 (2312, 'Recipe: Crystallized Ice Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_crystallized_ice_bow', 'recipe', '2'),
 (2313, 'Recipe: Orcish Glaive', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_orcish_glaive', 'recipe', '2'),
 (2314, 'Recipe: Body Slasher', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45800, 0, 'true', 'rp_body_slasher', 'recipe', '2'),
 (2315, 'Recipe: Shamshir', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_shamshir', 'recipe', '2'),
 (2316, 'Recipe: Katana', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_katana', 'recipe', '2'),
 (2317, 'Recipe: Bec de Corbin', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_bech_de_corbin', 'recipe', '2'),
 (2318, 'Recipe: Spirit Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_spirits_sword', 'recipe', '2'),
 (2319, 'Recipe: Raid Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_raid_sword', 'recipe', '2'),
 (2320, 'Recipe: Cursed Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_cursed_staff', 'recipe', '2'),
 (2321, 'Recipe: Stiletto', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_stiletto', 'recipe', '2'),
 (2322, 'Recipe: Soulfire Dirk', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_dagger_of_magicflame', 'recipe', '2'),
 (2323, 'Recipe: Elemental Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_elemental_bow', 'recipe', '2'),
 (2324, 'Recipe: Elven Bow of Nobility', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_noble_elven_bow', 'recipe', '2'),
 (2325, 'Recipe: Tears of Fairy', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_tears_of_fairy', 'recipe', '2'),
 (2326, 'Recipe: Horn of Glory', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_horn_of_glory', 'recipe', '2'),
 (2327, 'Recipe: Caliburs', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_caliburs', 'recipe', '2'),
 (2328, 'Recipe: Sword of Delusion', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_sword_of_delusion', 'recipe', '2'),
 (2329, 'Recipe: Tsurugi', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_tsurugi', 'recipe', '2'),
 (2330, 'Recipe: Homunkulus''s Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_homunkulus''s_sword', 'recipe', '2'),
 (2331, 'Recipe: Poleaxe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_poleaxe', 'recipe', '2'),
 (2332, 'Recipe: Sword of Limit', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_sword_of_limit', 'recipe', '2'),
 (2333, 'Recipe: Sword of Nightmare', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_sword_of_nightmare', 'recipe', '2'),
 (2334, 'Recipe: Sword of Whispering Death', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_deathbreath_sword', 'recipe', '2'),
 (2335, 'Recipe: War Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_war_axe', 'recipe', '2'),
 (2336, 'Recipe: Nirvana Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_nirvana_axe', 'recipe', '2'),
 (2337, 'Recipe: Stick of Eternity', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_stick_of_eternity', 'recipe', '2'),
 (2338, 'Recipe: Paradia Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_paradia_staff', 'recipe', '2'),
 (2339, 'Recipe: Inferno Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_inferno_staff', 'recipe', '2'),
 (2340, 'Recipe: Paagrio Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_paagrio_hammer', 'recipe', '2'),
 (2341, 'Recipe: Sage''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_sage''s_staff', 'recipe', '2'),
 (2342, 'Recipe: Club of Nature', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_club_of_nature', 'recipe', '2'),
 (2343, 'Recipe: Mace of the Underworld', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_mace_of_underworld', 'recipe', '2'),
 (2344, 'Recipe: Grace Dagger', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_grace_dagger', 'recipe', '2'),
 (2345, 'Recipe: Dark Screamer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_dark_screamer', 'recipe', '2'),
 (2346, 'Recipe: Fist Blade', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_fist_blade', 'recipe', '2'),
 (2347, 'Recipe: Akat Long Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_akat_long_bow', 'recipe', '2'),
 (2348, 'Recipe: Heathen''s Book', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_heathen''s_book', 'recipe', '2'),
 (2349, 'Recipe: Hex Doll', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 86000, 0, 'true', 'rp_hex_doll', 'recipe', '2'),
 (2350, 'Recipe: Paagrio Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 95600, 0, 'true', 'rp_paagrio_axe', 'recipe', '2'),
 (2351, 'Recipe: Scorpion', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 95600, 0, 'true', 'rp_scorpion', 'recipe', '2'),
 (2352, 'Recipe: Widow Maker', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 95600, 0, 'true', 'rp_widow_maker', 'recipe', '2'),
 (2353, 'Recipe: Samurai Longsword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_samurai_longsword', 'recipe', '2'),
 (2354, 'Recipe: Deadman''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_deadman''s_staff', 'recipe', '2'),
 (2355, 'Recipe: Ghoul''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_ghoul''s_staff', 'recipe', '2'),
 (2356, 'Recipe: Demon''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_demon''s_staff', 'recipe', '2'),
 (2357, 'Recipe: Crystal Dagger', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_crystal_dagger', 'recipe', '2'),
 (2358, 'Recipe: Great Pata', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_great_pata', 'recipe', '2'),
 (2359, 'Recipe: Eminence Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_eminence_bow', 'recipe', '2'),
 (2360, 'Recipe: Orcish Poleaxe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_orcish_poleaxe', 'recipe', '2'),
 (2361, 'Recipe: Candle of Wisdom', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_candle_of_wisdom', 'recipe', '2'),
 (2362, 'Recipe: Blessed Branch', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_blessed_branch', 'recipe', '2'),
 (2363, 'Recipe: Phoenix Feather', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_phoenix''s_feather', 'recipe', '2'),
 (2364, 'Recipe: Cerberus Eye', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_cerberus''s_eye', 'recipe', '2'),
 (2365, 'Recipe: Scroll of Destruction', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_scroll_of_destruction', 'recipe', '2'),
 (2366, 'Recipe: Claws of Black Dragon', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_claws_of_blackdragon', 'recipe', '2'),
 (2367, 'Recipe: Three Eyed Crow''s Feather', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_three_eye_crow''s_feather', 'recipe', '2'),
 (2375, 'Wolf Collar', 'false', 'pet_collar', 10, 'normal', 'leather', 'none', 0, 0, 0, 'true', 'wolf_collar', 'pet_collar', '2'),
 (2508, 'Cursed Bone', 'false', 'material', 3, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', 'cursed_bone', 'material', '2'),
 (2509, 'Spiritshot: No Grade', 'false', 'shot', 5, 'stackable', 'paper', 'none', 0, 15, 0, 'true', 'spiritshot_none', 'none', '2'),
 (2510, 'Spiritshot: D-grade', 'false', 'shot', 5, 'stackable', 'paper', 'd', 0, 18, 0, 'true', 'spiritshot_d', 'none', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (2511, 'Spiritshot: C-grade', 'false', 'shot', 3, 'stackable', 'paper', 'c', 0, 35, 0, 'true', 'spiritshot_c', 'none', '2'),
 (2512, 'Spiritshot: B-grade', 'false', 'shot', 3, 'stackable', 'paper', 'b', 0, 100, 0, 'true', 'spiritshot_b', 'none', '2'),
 (2513, 'Spiritshot: A-grade', 'false', 'shot', 2, 'stackable', 'paper', 'a', 0, 120, 0, 'true', 'spiritshot_a', 'none', '2'),
 (2514, 'Spiritshot: S-grade', 'false', 'shot', 2, 'stackable', 'paper', 's', 0, 150, 0, 'true', 'spiritshot_s', 'none', '2'),
 (2515, 'Food For Wolves', 'false', 'none', 40, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'food_for_wolves', 'none', '2'),
 (2627, 'Mark of Challenger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_challenger', 'none', '0'),
 (2628, 'Letter of Kash', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_kash', 'none', '0'),
 (2629, 'Watcher''s 1st Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'watchers_eye1', 'none', '0'),
 (2630, 'Watcher''s 2nd Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'watchers_eye2', 'none', '0'),
 (2631, 'Scroll of Shyslassys', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scroll_of_shyslassy', 'none', '0'),
 (2632, 'Broken Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_key', 'none', '0'),
 (2633, 'Mark of Duty', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_duty', 'none', '0'),
 (2634, 'Letter of Dustin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_dustin', 'none', '0'),
 (2635, 'Knights Tear', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'knights_tear', 'none', '0'),
 (2636, 'Mirror of Orpic', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mirror_of_orpic', 'none', '0'),
 (2637, 'Tear of Confession', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tear_of_confession', 'none', '0'),
 (2638, 'Report Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'report_piece', 'none', '0'),
 (2639, 'Report Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talianuss_report', 'none', '0'),
 (2640, 'Tear of Loyalty', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tear_of_loyalty', 'none', '0'),
 (2641, 'Militas Article', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'militas_article', 'none', '0'),
 (2642, 'Saints Ashes Urn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'saints_ashes_urn', 'none', '0'),
 (2643, 'Athebaldt''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'atebalts_skull', 'none', '0'),
 (2644, 'Athebaldt''s Ribs', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'atebalts_ribs', 'none', '0'),
 (2645, 'Athebaldt''s Shin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'atebalts_shin', 'none', '0'),
 (2646, 'Letter of Windawood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_windawood', 'none', '0'),
 (2647, 'Dufners Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dufners_letter', 'none', '0'),
 (2648, 'Terry''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_order1', 'none', '0'),
 (2649, 'Terry''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_order2', 'none', '0'),
 (2650, 'Terry''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_letter', 'none', '0'),
 (2651, 'Viktor''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'viktors_letter', 'none', '0'),
 (2652, 'Hawkeye''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hawkeyes_letter', 'none', '0'),
 (2653, 'Mysterious Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mysterious_runestone', 'none', '0'),
 (2654, 'Ol Mahum Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ol_mahum_runestone', 'none', '0'),
 (2655, 'Turek Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'turek_runestone', 'none', '0'),
 (2656, 'Ant Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ant_runestone', 'none', '0'),
 (2657, 'Turak Bugbear Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'turak_bugbear_runestone', 'none', '0'),
 (2658, 'Terry''s Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_box', 'none', '0'),
 (2659, 'Viktor''s Request', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'viktors_request', 'none', '0'),
 (2660, 'Medusa Scales', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medusas_scales', 'none', '0'),
 (2661, 'Silen''s Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'silens_runestone', 'none', '0'),
 (2662, 'Analysis Request', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'analysis_request', 'none', '0'),
 (2663, 'Marina''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'marinas_letter', 'none', '0'),
 (2664, 'Experiment Tools', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'experiment_tools', 'none', '0'),
 (2665, 'Analysis Result', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'analysis_result', 'none', '0'),
 (2666, 'Terry''s 3rd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_order3', 'none', '0'),
 (2667, 'List of Host', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'list_of_host', 'none', '0'),
 (2668, 'Abyss Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'abyss_runestone1', 'none', '0'),
 (2669, 'Abyss Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'abyss_runestone2', 'none', '0'),
 (2670, 'Abyss Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'abyss_runestone3', 'none', '0'),
 (2671, 'Abyss Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'abyss_runestone4', 'none', '0'),
 (2672, 'Terry''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'terys_report', 'none', '0'),
 (2673, 'Mark of Seeker', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_seeker', 'none', '0'),
 (2674, 'Mark of Scholar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_scholar', 'none', '0'),
 (2675, 'Mirien''s 1st Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'miriens_sigil1', 'none', '0'),
 (2676, 'Mirien''s 2nd Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'miriens_sigil2', 'none', '0'),
 (2677, 'Mirien''s 3rd Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'miriens_sigil3', 'none', '0'),
 (2678, 'Mirien''s Instruction', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'miriens_instruction', 'none', '0'),
 (2679, 'Maria''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'maryas_letter1', 'none', '0'),
 (2680, 'Maria''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'maryas_letter2', 'none', '0'),
 (2681, 'Lucas''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lukas_letter', 'none', '0'),
 (2682, 'Lucilla''s Handbag', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lucillas_handbag', 'none', '0'),
 (2683, 'Creta''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cretas_letter1', 'none', '0'),
 (2684, 'Creta''s Painting1', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cretas_painting1', 'none', '0'),
 (2685, 'Creta''s Painting2', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cretas_painting2', 'none', '0'),
 (2686, 'Creta''s Painting3', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cretas_painting3', 'none', '0'),
 (2687, 'Brown Scroll Scrap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brown_scroll_scrap', 'none', '0'),
 (2688, 'Crystal of Purity', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_purity1', 'none', '2'),
 (2689, 'High Priest''s Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'highpriests_sigil', 'none', '0'),
 (2690, 'Grand Magister''s Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gmagisters_sigil', 'none', '0'),
 (2691, 'Crono''s Sigil', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cronos_sigil', 'none', '0'),
 (2692, 'Sylvain''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sylvains_letter', 'none', '0'),
 (2693, 'Symbol of Sylvain', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'symbol_of_sylvain', 'none', '0'),
 (2694, 'Jurek''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'jureks_list', 'none', '0'),
 (2695, 'Monster Eye Destroyer Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'beamers_skin', 'none', '0'),
 (2696, 'Shaman''s Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'shamans_necklace', 'none', '0'),
 (2697, 'Shackle''s Scalp', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'shackles_scalp', 'none', '0'),
 (2698, 'Symbol of Jurek', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'symbol_of_jurek', 'none', '0'),
 (2699, 'Cronos Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cronos_letter', 'none', '0'),
 (2700, 'Dieter''s Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dieters_key', 'none', '0'),
 (2701, 'Creta''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cretas_letter2', 'none', '0'),
 (2702, 'Dieter''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dieters_letter', 'none', '0'),
 (2703, 'Dieter''s Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dieters_diary', 'none', '0'),
 (2704, 'Raut''s Letter Envelope', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rauts_letter_envelope', 'none', '0'),
 (2705, 'Triff''s Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'treafs_ring', 'none', '0'),
 (2706, 'Scripture Chapter 1', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scripture_chapter_1', 'none', '0'),
 (2707, 'Scripture Chapter 2', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scripture_chapter_2', 'none', '0'),
 (2708, 'Scripture Chapter 3', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scripture_chapter_3', 'none', '0'),
 (2709, 'Scripture Chapter 4', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scripture_chapter_4', 'none', '0'),
 (2710, 'Valkon''s Request', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'valkons_request', 'none', '0'),
 (2711, 'Poitan''s Notes', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'poitans_notes', 'none', '0'),
 (2712, 'Scripture of Knowledge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scripture_of_knowledge', 'none', '0'),
 (2713, 'Strong Liquor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'strong_liquor', 'none', '0'),
 (2714, 'Crystal of Purity', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_purity2', 'none', '2'),
 (2715, 'Casian''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kasians_list', 'none', '0'),
 (2716, 'Ghoul''s Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ghouls_skin', 'none', '0'),
 (2717, 'Medusa''s Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medusas_blood', 'none', '0'),
 (2718, 'Fettered Soul''s Ichor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fetteredsouls_ichor', 'none', '0'),
 (2719, 'Enchanted Gargoyle''s Nail', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'encht_gargoyles_nail', 'none', '0'),
 (2720, 'Symbol of Cronos', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'symbol_of_cronos', 'none', '0'),
 (2721, 'Mark of Pilgrim', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_pilgrim', 'none', '0'),
 (2722, 'Book of Sage', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_sage', 'none', '0'),
 (2723, 'Voucher of Trial', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'voucher_of_trial', 'none', '0'),
 (2724, 'Spirit of Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spirit_of_flame', 'none', '0'),
 (2725, 'Essence of Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'essense_of_flame', 'none', '0'),
 (2726, 'Book of Gerald', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_gerald', 'none', '0'),
 (2727, 'Gray Badge', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'grey_badge', 'none', '0'),
 (2728, 'Picture of Nahir', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'picture_of_nahir', 'none', '0'),
 (2729, 'Hair of Nahir', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hair_of_nahir', 'none', '0'),
 (2730, 'Statue of Einhasad', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'statue_of_Einhasad', 'none', '0'),
 (2731, 'Book of Darkness', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_darkness', 'none', '0'),
 (2732, 'Debris of Willow', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'debris_of_willow', 'none', '0'),
 (2733, 'Tag of Rumor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tag_of_rumor', 'none', '0'),
 (2734, 'Mark of Trust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_trust', 'none', '0'),
 (2735, 'Letter to Elf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_elf', 'none', '0'),
 (2736, 'Letter to Darkelf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_darkelf', 'none', '0'),
 (2737, 'Letter to Dwarf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_dwarf', 'none', '0'),
 (2738, 'Letter to Orc', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_orc', 'none', '0'),
 (2739, 'Letter to Seresin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_seresin', 'none', '0'),
 (2740, 'Scroll of Dark Elf Trust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scroll_of_darkelf_trust', 'none', '0'),
 (2741, 'Scroll of Elf Trust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scroll_of_elf_trust', 'none', '0'),
 (2742, 'Scroll of Dwarf Trust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scroll_of_dwarf_trust', 'none', '0'),
 (2743, 'Scroll of Orc Trust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scroll_of_orc_trust', 'none', '0'),
 (2744, 'Recommendation of Hollint', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_of_hollin', 'none', '0'),
 (2745, 'Order of Asterios', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_of_ozzy', 'none', '0'),
 (2746, 'Breath of Winds', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'breath_of_winds', 'none', '0'),
 (2747, 'Seed of Verdure', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'seed_of_verdure', 'none', '0'),
 (2748, 'Letter of Thifiell', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_thifiell', 'none', '0'),
 (2749, 'Blood of Guardian Basilisk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blood_of_guardian_basilisk', 'none', '0'),
 (2750, 'Giant Aphid', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'giant_aphid', 'none', '0'),
 (2751, 'Stakatos Fluids', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stakatos_fluids', 'none', '0'),
 (2752, 'Basilisk Plasma', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'basilisk_plasma', 'none', '0'),
 (2753, 'Honey Dew', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'honey_dew', 'none', '0'),
 (2754, 'Stakato Ichor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stakato_ichor', 'none', '0'),
 (2755, 'Order of Clayton', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_of_clayton', 'none', '0'),
 (2756, 'Parasite of Lota', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'parasite_of_lota', 'none', '0'),
 (2757, 'Letter to Manakia', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_manakia', 'none', '0'),
 (2758, 'Letter of Manakia', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_manakia', 'none', '0'),
 (2759, 'Letter to Nikola', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_to_nichola', 'none', '0'),
 (2760, 'Order of Nikola', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_of_nichola', 'none', '0'),
 (2761, 'Heartstone of Porta', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'heart_of_porta', 'none', '0'),
 (2762, 'Mark of Duelist', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_duelist', 'none', '0'),
 (2763, 'Order Gludio', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_gludio', 'none', '0'),
 (2764, 'Order Dion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_dion', 'none', '0'),
 (2765, 'Order Giran', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_giran', 'none', '0'),
 (2766, 'Order Oren', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_oren', 'none', '0'),
 (2767, 'Order Aden', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_aden', 'none', '0'),
 (2768, 'Puncher''s Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'punchers_shard', 'none', '0'),
 (2769, 'Noble Ant''s Feeler', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'noble_ants_feeler', 'none', '0'),
 (2770, 'Drone''s Chitin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'drones_chitin', 'none', '0'),
 (2771, 'Dead Seeker Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'deadseeker_fang', 'none', '0'),
 (2772, 'Overlord Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'overlord_necklace', 'none', '0'),
 (2773, 'Fettered Soul''s Chain', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crimsonbinds_chain', 'none', '0'),
 (2774, 'Chief''s Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chiefs_amulet', 'none', '0'),
 (2775, 'Enchanted Eye Meat', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tempered_eye_meat', 'none', '0'),
 (2776, 'Tamrin Orc''s Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamrin_orcs_ring', 'none', '0'),
 (2777, 'Tamrin Orc''s Arrow', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamrin_orcs_arrow', 'none', '0'),
 (2778, 'Final Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'final_order', 'none', '0'),
 (2779, 'Excuro''s Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'excuros_skin', 'none', '0'),
 (2780, 'Krator''s Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'krators_shard', 'none', '0'),
 (2781, 'Grandi''s Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'grandis_skin', 'none', '0'),
 (2782, 'Timak Orc''s Belt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'timak_orcs_belt', 'none', '0'),
 (2783, 'Lakin''s Mace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rakins_mace', 'none', '0'),
 (2784, 'Luther''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'luthers_letter', 'none', '0'),
 (2785, 'Alex''s Warrant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alankells_warrant', 'none', '0'),
 (2786, 'Leirynn''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leirynns_order1', 'none', '0'),
 (2787, 'Delu Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'delu_totem', 'none', '0'),
 (2788, 'Leirynn''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leirynns_order2', 'none', '0'),
 (2789, 'Chief Kalki''s Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chief_kalkis_fang', 'none', '0'),
 (2790, 'Leirynn''s Report', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leirynns_report', 'none', '0'),
 (2791, 'Strange Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'strange_map', 'none', '0'),
 (2792, 'Lambert''s Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lamberts_map', 'none', '0'),
 (2793, 'Alex''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alankells_letter', 'none', '0'),
 (2794, 'Alex''s Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alankells_order', 'none', '0'),
 (2795, 'Wine Catalog', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wine_catalog', 'none', '0'),
 (2796, 'Tyra''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tweetys_contract', 'none', '0'),
 (2797, 'Red Spore Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'red_spore_dust', 'none', '0'),
 (2798, 'Malrukian Wine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'malrukian_wine', 'none', '0'),
 (2799, 'Old Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'old_order', 'none', '0'),
 (2800, 'Jax''s Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rexs_diary', 'none', '0'),
 (2801, '1st Torn Map Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'torn_map_piece1', 'none', '0'),
 (2802, '2nd Torn Map Piece', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'torn_map_piece2', 'none', '0'),
 (2803, 'Solt''s Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'solts_map', 'none', '0'),
 (2804, 'Makel''s Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'makels_map', 'none', '0'),
 (2805, 'Combined Map', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'combined_map', 'none', '0'),
 (2806, 'Rusted Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rusted_key1', 'none', '0'),
 (2807, 'Gold Bar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gold_bar', 'none', '0'),
 (2808, 'Alex''s Recommend', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alankells_recommend', 'none', '0'),
 (2809, 'Mark of Searcher', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_searcher', 'none', '0'),
 (2810, 'Report of Perrin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'report_of_perrin', 'none', '0'),
 (2811, 'Kristina''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cristinas_letter', 'none', '0'),
 (2812, 'Picture of Windy', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'picture_of_windy', 'none', '0'),
 (2813, 'Golden Statue', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'golden_statue', 'none', '0'),
 (2814, 'Windy''s Pebbles', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'windys_pebbles', 'none', '0'),
 (2815, 'Order of Sorius', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'order_of_sorius', 'none', '0'),
 (2816, '1st Secret Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'secret_letter1', 'none', '0'),
 (2817, '2nd Secret Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'secret_letter2', 'none', '0'),
 (2818, '3rd Secret Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'secret_letter3', 'none', '0'),
 (2819, '4th Secret Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'secret_letter4', 'none', '0'),
 (2820, 'Mark of Healer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_healer', 'none', '0'),
 (2821, 'Mark of Reformer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_reformer', 'none', '0'),
 (2822, 'Book of Reform', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'book_of_reform', 'none', '0'),
 (2823, 'Letter of Introduction', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_introduction', 'none', '0'),
 (2824, 'Sla''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'slas_letter', 'none', '0'),
 (2825, 'Greetings', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'greetings', 'none', '0'),
 (2826, 'Ol Mahum''s Money', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'olmahums_money', 'none', '0'),
 (2827, 'Katari''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kataris_letter', 'none', '0'),
 (2828, 'Nyakuri''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nyakuris_letter', 'none', '0'),
 (2829, 'Undead List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'undead_list', 'none', '0'),
 (2830, 'Ramus''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ramuss_letter', 'none', '0'),
 (2831, 'Ripped Diary', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ripped_diary', 'none', '0'),
 (2832, 'Huge Nail', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'huge_nail', 'none', '0'),
 (2833, 'Letter of Betrayer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_betrayer', 'none', '0'),
 (2834, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment4', 'none', '0'),
 (2835, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment5', 'none', '0'),
 (2836, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment6', 'none', '0'),
 (2837, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment7', 'none', '0'),
 (2838, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment8', 'none', '0'),
 (2839, 'Bone Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bone_fragment9', 'none', '0'),
 (2840, 'Mark of Magus', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_magus', 'none', '0'),
 (2841, 'Rukal''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rukals_letter', 'none', '0'),
 (2842, 'Parina''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'parinas_letter', 'none', '0'),
 (2843, 'Lilac Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lilac_charm', 'none', '0'),
 (2844, '1st Golden Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'golden_seed1', 'none', '0'),
 (2845, '2nd Golden Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'golden_seed2', 'none', '0'),
 (2846, '3rd Golden Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'golden_seed3', 'none', '0'),
 (2847, 'Score of Elements', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'score_of_elements', 'none', '0'),
 (2848, 'Dazzling Drop', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dazzling_drop', 'none', '0'),
 (2849, 'Flame Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'flame_crystal', 'none', '0'),
 (2850, 'Harpy''s Feather', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'harpys_feather', 'none', '0'),
 (2851, 'Wyrm''s Wingbone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wyrms_wingbone', 'none', '0'),
 (2852, 'Windsus Mane', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'windsus_mane', 'none', '0'),
 (2853, 'Enchanted Monster Eye Shell', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'en_monstereye_shell', 'none', '0'),
 (2854, 'Enchanted Stone Golem Powder', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'en_stonegolem_powder', 'none', '0'),
 (2855, 'Enchanted Iron Golem Scrap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'en_irongolem_scrap', 'none', '0'),
 (2856, 'Tone of Water', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tone_of_water', 'none', '0'),
 (2857, 'Tone of Fire', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tone_of_fire', 'none', '0'),
 (2858, 'Tone of Wind', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tone_of_wind', 'none', '0'),
 (2859, 'Tone of Earth', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tone_of_earth', 'none', '0'),
 (2860, 'Salamander Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'salamander_charm', 'none', '0'),
 (2861, 'Sylph Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sylph_charm', 'none', '0'),
 (2862, 'Undine Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'undine_charm', 'none', '0'),
 (2863, 'Serpent Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'serpent_charm', 'none', '0'),
 (2864, 'Recommendation of Balanki', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_of_balanki', 'none', '0'),
 (2865, 'Recommendation of Filaur', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_of_filaur', 'none', '0'),
 (2866, 'Recommendation of Arin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recommendation_of_arin', 'none', '0'),
 (2867, 'Mark of Maestro', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_maestro', 'none', '0'),
 (2868, 'Letter of Solder Detachment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_solder_detachment', 'none', '0'),
 (2869, 'Paint of Kamuru', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'paint_of_kamuru', 'none', '0'),
 (2870, 'Necklace of Kamuru', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'necklace_of_kamuru', 'none', '0'),
 (2871, 'Paint of Teleport Device', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'paint_of_teleport_device', 'none', '0'),
 (2872, 'Teleport Device', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'teleport_device', 'none', '0'),
 (2873, 'Architecture of Kruma', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'architecture_of_kruma', 'none', '0'),
 (2874, 'Report of Kruma', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'report_of_kruma', 'none', '0'),
 (2875, 'Ingredients of Antidote', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ingredients_of_antidote', 'none', '0'),
 (2876, 'Stinger Wasp Needle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'weird_bees_needle', 'none', '0'),
 (2877, 'Marsh Spider''s Web', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'marsh_spiders_web', 'none', '0'),
 (2878, 'Blood of Leech', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blood_of_leech', 'none', '0'),
 (2879, 'Mark of Warspirit', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_warspirit', 'none', '0'),
 (2880, 'Vendetta Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vendetta_totem', 'none', '0'),
 (2881, 'Tamlin Orc Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamlin_orc_head', 'none', '0'),
 (2882, 'Warspirit Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'warspirit_totem', 'none', '0'),
 (2883, 'Orim''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orims_contract', 'none', '0'),
 (2884, 'Porta''s Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'portas_eye', 'none', '0'),
 (2885, 'Excuro''s Scale', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'excuros_scale', 'none', '0'),
 (2886, 'Mordeos Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mordeos_talon', 'none', '0'),
 (2887, 'Braki''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brakis_remains1', 'none', '0'),
 (2888, 'Pekiron''s Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pekirons_totem', 'none', '0'),
 (2889, 'Tonar''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_skull', 'none', '0'),
 (2890, 'Tonar''s Rib Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_rib_bone', 'none', '0'),
 (2891, 'Tonar''s Spine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_spine', 'none', '0'),
 (2892, 'Tonar''s Arm Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_arm_bone', 'none', '0'),
 (2893, 'Tonar''s Thigh Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_thigh_bone', 'none', '0'),
 (2894, 'Tonar''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_remains1', 'none', '0'),
 (2895, 'Manakia''s Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manakias_totem', 'none', '0'),
 (2896, 'Hermodt''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_skull', 'none', '0'),
 (2897, 'Hermodt''s Rib Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_rib_bone', 'none', '0'),
 (2898, 'Hermodt''s Spine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_spine', 'none', '0'),
 (2899, 'Hermodt''s Arm Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_arm_bone', 'none', '0'),
 (2900, 'Hermodt''s Thigh Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_thigh_bone', 'none', '0'),
 (2901, 'Hermodt''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_remains1', 'none', '0'),
 (2902, 'Racoy''s Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'racoys_totem', 'none', '0'),
 (2903, 'Vivyan''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'viviantes_letter', 'none', '0'),
 (2904, 'Insect Diagram Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'insect_diagram_book', 'none', '0'),
 (2905, 'Kiruna''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_skull', 'none', '0'),
 (2906, 'Kiruna''s Rib Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_rib_bone', 'none', '0'),
 (2907, 'Kiruna''s Spine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_spine', 'none', '0'),
 (2908, 'Kiruna''s Arm Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_arm_bone', 'none', '0'),
 (2909, 'Kiruna''s Thigh Bone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_thigh_bone', 'none', '0'),
 (2910, 'Kiruna''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_remains1', 'none', '0'),
 (2911, 'Braki''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brakis_remains2', 'none', '0'),
 (2912, 'Tonar''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tonars_remains2', 'none', '0'),
 (2913, 'Hermodt''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hermodts_remains2', 'none', '0'),
 (2914, 'Kiruna''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kirunas_remains2', 'none', '0'),
 (2916, 'Broken Teleport Device', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'broken_teleport_device', 'none', '0'),
 (2917, 'Ring of Binding Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3482, 0, 'true', 'ring_of_binding_gemstone', 'material', '1'),
 (2918, 'Mithril Scale Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3371, 0, 'true', 'mithril_scale_gaiters_material', 'material', '1'),
 (2919, 'Brigandine Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3371, 0, 'true', 'brigandine_gaiters_material', 'material', '1'),
 (2920, 'Elven Mithril Tunic Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3921, 0, 'true', 'elven_mithril_tunic_pattern', 'material', '1'),
 (2921, 'Elven Mithril Stockings Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2518, 0, 'true', 'elven_mithril_hose_pattern', 'material', '1'),
 (2922, 'Brigandine Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5193, 0, 'true', 'brigandine_helmet_design', 'material', '1'),
 (2923, 'Manticore Skin Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'manticor_skin_boots_lining', 'material', '1'),
 (2924, 'Brigandine Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'brigandine_boots_design', 'material', '1'),
 (2925, 'Elven Mithril Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'elven_mithril_boots_design', 'material', '1'),
 (2926, 'Manticore Skin Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'manticor_skin_gloves_linging', 'material', '1'),
 (2927, 'Brigandine Gauntlets Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'brigandine_gauntlet_pattern', 'material', '1'),
 (2928, 'Elven Mithril Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1480, 0, 'true', 'elven_mithril_gloves_design', 'material', '1'),
 (2929, 'Brigandine Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1389, 0, 'true', 'brigandine_shield_fragment', 'material', '1'),
 (2930, 'Plate Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2481, 0, 'true', 'plate_helmet_design', 'material', '1'),
 (2931, 'Salamander Skin Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'slamander_skin_boots_lining', 'material', '1'),
 (2932, 'Plate Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'plate_boots_design', 'material', '1'),
 (2933, 'Sage''s Worn Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1792, 0, 'true', 'sage''s_worn_gloves_lining', 'material', '1'),
 (2934, 'Plate Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 1762, 0, 'true', 'plate_shield_fragment', 'material', '1'),
 (2935, 'Tempered Mithril Gaiters Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3763, 0, 'true', 'tempered_mithril_gaiters_fragment', 'material', '1'),
 (2936, 'Chain Hood Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2725, 0, 'true', 'chain_hood_pattern', 'material', '1'),
 (2937, 'Chain Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'chain_boots_part', 'material', '1'),
 (2938, 'Karmian Boots Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'karmian_boots_fabric', 'material', '1'),
 (2939, 'Plate Leather Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'plate_leather_boots_lining', 'material', '1'),
 (2940, 'Dwarven Chain Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'dwarven_chain_boots_part', 'material', '1'),
 (2941, 'Boots of Seal Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'boots_of_seal_pattern', 'material', '1'),
 (2942, 'Reinforced Mithril Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'reinforce_mithril_gloves_design', 'material', '1'),
 (2943, 'Chain Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'chain_gloves_design', 'material', '1'),
 (2944, 'Karmian Gloves Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2225, 0, 'true', 'karmian_gloves_fabric', 'material', '1'),
 (2945, 'Chain Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2475, 0, 'true', 'chain_shield_fragment', 'material', '1'),
 (2946, 'Plate Leather Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3578, 0, 'true', 'plate_leather_gloves_design', 'material', '1'),
 (2947, 'Dwarven Chain Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'dwarven_chain_shield_fragment', 'material', '1'),
 (2948, 'Rind Leather Boot Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'rind_leather_boots_lining', 'material', '1'),
 (2949, 'Dwarven Chain Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'dwarven_chain_gloves_design', 'material', '1'),
 (2950, 'Gloves of Seal Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'gloves_of_seal_pattern', 'material', '1'),
 (2951, 'Rind Leather Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2378, 0, 'true', 'rind_leather_gloves_design', 'material', '1'),
 (2952, 'Demon''s Boots Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3400, 0, 'true', 'demon''s_boots_fabric', 'material', '1'),
 (2953, 'Demon''s Gloves Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3400, 0, 'true', 'demon''s_gloves_fabric', 'material', '1'),
 (2954, 'Theca Leather Boots Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3160, 0, 'true', 'theca_leather_boots_texture', 'material', '1'),
 (2955, 'Theca Leather Gloves Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3160, 0, 'true', 'theca_leather_gloves_texture', 'material', '1'),
 (2956, 'Composite Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3400, 0, 'true', 'composite_boots_part', 'material', '1'),
 (2957, 'Composite Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4560, 0, 'true', 'composite_helmet_design', 'material', '1'),
 (2958, 'Divine Boots Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'divine_boots_fabric', 'material', '1'),
 (2959, 'Full Plate Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5782, 0, 'true', 'full_plate_helmet_design', 'material', '1'),
 (2960, 'Drake Leather Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'drake_leather_boots_design', 'material', '1'),
 (2961, 'Full Plate Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'full_plate_boots_part', 'material', '1'),
 (2962, 'Drake Leather Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'drake_leather_gloves_design', 'material', '1'),
 (2963, 'Full Plate Gauntlets Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'full_plate_gauntlet_part', 'material', '1'),
 (2964, 'Divine Gloves Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'blessed_gloves_pattern', 'material', '1'),
 (2965, 'Blessed Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3673, 0, 'true', 'divine_gloves_design', 'material', '1'),
 (2966, 'Full Plate Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3655, 0, 'true', 'full_plate_shield_fragment', 'material', '1'),
 (2967, 'Elven Long Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 23062, 0, 'true', 'elven_long_sword_blade', 'material', '1'),
 (2968, 'Dwarven Warhammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 30067, 0, 'true', 'dwarven_warhammer_head', 'material', '1'),
 (2969, 'Yaksa Mace Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 38364, 0, 'true', 'yaksa_mace_head', 'material', '1'),
 (2970, 'Recipe: Ring of Binding', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5640, 0, 'true', 'rp_ring_of_binding', 'recipe', '2'),
 (2971, 'Recipe: Mithril Scale Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3740, 0, 'true', 'rp_mithril_scale_gaiters', 'recipe', '2'),
 (2972, 'Recipe: Brigandine Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3740, 0, 'true', 'rp_brigandine_gaiters', 'recipe', '2'),
 (2973, 'Recipe: Elven Mithril Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4480, 0, 'true', 'rp_elven_mithril_tunic', 'recipe', '2'),
 (2974, 'Recipe: Elven Mithril Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2800, 0, 'true', 'rp_elven_mithril_hose', 'recipe', '2'),
 (2975, 'Recipe: Brigandine Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2240, 0, 'true', 'rp_brigandine_helmet', 'recipe', '2'),
 (2976, 'Recipe: Manticore Skin Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_manticor_skin_boots', 'recipe', '2'),
 (2977, 'Recipe: Brigandine Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_brigandine_boots', 'recipe', '2'),
 (2978, 'Recipe: Elven Mithril Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_elven_mithril_boots', 'recipe', '2'),
 (2979, 'Recipe: Manticore Skin Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_manticor_skin_gloves', 'recipe', '2'),
 (2980, 'Recipe: Brigandine Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_brigandine_gauntlet', 'recipe', '2'),
 (2981, 'Recipe: Elven Mithril Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1494, 0, 'true', 'rp_elven_mithril_gloves', 'recipe', '2'),
 (2982, 'Recipe: Brigandine Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1568, 0, 'true', 'rp_brigandine_shield', 'recipe', '2'),
 (2983, 'Recipe: Plate Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2940, 0, 'true', 'rp_plate_helmet', 'recipe', '2'),
 (2984, 'Recipe: Salamander Skin Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_slamander_skin_boots', 'recipe', '2'),
 (2985, 'Recipe: Plate Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_plate_boots', 'recipe', '2'),
 (2986, 'Recipe: Sage''s Worn Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1956, 0, 'true', 'rp_sage''s_worn_gloves', 'recipe', '2'),
 (2987, 'Recipe: Plate Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2060, 0, 'true', 'rp_plate_shield', 'recipe', '2'),
 (2988, 'Recipe: Tempered Mithril Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4740, 0, 'true', 'rp_tempered_mithril_gaiters', 'recipe', '2'),
 (2989, 'Recipe: Chain Hood', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3780, 0, 'true', 'rp_chain_hood', 'recipe', '2'),
 (2990, 'Recipe: Chain Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_chain_boots', 'recipe', '2'),
 (2991, 'Recipe: Karmian Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_karmian_boots', 'recipe', '2'),
 (2992, 'Recipe: Plated Leather Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_plate_leather_boots', 'recipe', '2'),
 (2993, 'Recipe: Dwarven Chain Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_dwarven_chain_boots', 'recipe', '2'),
 (2994, 'Recipe: Boots of Seal', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_boots_of_seal', 'recipe', '2'),
 (2995, 'Recipe: Reinforced Mithril Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_reinforce_mithril_gloves', 'recipe', '2'),
 (2996, 'Recipe: Chain Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_chain_gloves', 'recipe', '2'),
 (2997, 'Recipe: Karmian Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2520, 0, 'true', 'rp_karmian_gloves', 'recipe', '2'),
 (2998, 'Recipe: Chain Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2660, 0, 'true', 'rp_chain_shield', 'recipe', '2'),
 (2999, 'Recipe: Plated Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 2980, 0, 'true', 'rp_plate_leather_gloves', 'recipe', '2'),
 (3000, 'Recipe: Dwarven Chain Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3120, 0, 'true', 'rp_dwarven_chain_shield', 'recipe', '2'),
 (3001, 'Recipe: Rind Leather Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_rind_leather_boots', 'recipe', '2'),
 (3002, 'Recipe: Dwarven Chain Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_dwarven_chain_gloves', 'recipe', '2'),
 (3003, 'Recipe: Gloves of Seal', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_gloves_of_seal', 'recipe', '2'),
 (3004, 'Recipe: Rind Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 3220, 0, 'true', 'rp_rind_leather_gloves', 'recipe', '2'),
 (3005, 'Recipe: Demon''s Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4900, 0, 'true', 'rp_demon''s_boots', 'recipe', '2'),
 (3006, 'Recipe: Demon''s Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4900, 0, 'true', 'rp_demon''s_gloves', 'recipe', '2'),
 (3007, 'Recipe: Theca Leather Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5500, 0, 'true', 'rp_theca_leather_boots', 'recipe', '2'),
 (3008, 'Recipe: Theca Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5500, 0, 'true', 'rp_theca_leather_gloves', 'recipe', '2'),
 (3009, 'Recipe: Composite Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4900, 0, 'true', 'rp_composite_boots', 'recipe', '2'),
 (3010, 'Recipe: Composite Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7360, 0, 'true', 'rp_composite_helmet', 'recipe', '2'),
 (3011, 'Recipe: Divine Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_divine_boots', 'recipe', '2'),
 (3012, 'Recipe: Full Plate Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10720, 0, 'true', 'rp_full_plate_helmet', 'recipe', '2'),
 (3013, 'Recipe: Drake Leather Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_drake_leather_boots', 'recipe', '2'),
 (3014, 'Recipe: Full Plate Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_full_plate_boots', 'recipe', '2'),
 (3015, 'Recipe: Drake Leather Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_drake_leather_gloves', 'recipe', '2'),
 (3016, 'Recipe: Full Plate Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_full_plate_gauntlet', 'recipe', '2'),
 (3017, 'Recipe: Divine Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_blessed_gloves', 'recipe', '2'),
 (3018, 'Recipe: Blessed Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7160, 0, 'true', 'rp_divine_gloves', 'recipe', '2'),
 (3019, 'Recipe: Full Plate Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 7500, 0, 'true', 'rp_full_plate_shield', 'recipe', '2'),
 (3020, 'Recipe: Elven Long Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'rp_elven_long_sword', 'recipe', '2'),
 (3021, 'Recipe: Dwarven War Hammer', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_dwarven_warhammer', 'recipe', '2'),
 (3022, 'Recipe: Yaksa Mace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 122600, 0, 'true', 'rp_yaksa_mace', 'recipe', '2'),
 (3023, 'Recipe: Titan Key', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'rp_titan_key', 'recipe', '2'),
 (3024, 'Recipe: Journeyman Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'rp_journeyman_ring', 'recipe', '2'),
 (3025, 'Recipe: Amber Bead', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'rp_amber_bead', 'recipe', '2'),
 (3030, 'Key of Titan', 'false', 'none', 10, 'stackable', 'bronze', 'none', 0, 0, 0, 'false', 'key_of_titan', 'none', '2'),
 (3031, 'Spirit Ore', 'false', 'material', 10, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'spirit_ore', 'material', '2'),
 (3032, 'Recipe: Spiritshot D', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_spiritshot_d', 'recipe', '2'),
 (3033, 'Recipe: Spiritshot C', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_spiritshot_c', 'recipe', '2'),
 (3034, 'Recipe: Spiritshot B', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_spiritshot_b', 'recipe', '2'),
 (3035, 'Recipe: Spiritshot A', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_spiritshot_a', 'recipe', '2'),
 (3036, 'Recipe: Spiritshot S', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 450000, 0, 'true', 'rp_spiritshot_s', 'recipe', '2'),
 (3037, 'Kakan''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kakans_letter', 'none', '0'),
 (3038, 'Blueprint: Summon Mechanic Golem', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1550, 0, 'true', 'sb_summon_mechanic_golem1', 'none', '2'),
 (3039, 'Spellbook: Summon Storm Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_storm_cubic1', 'none', '2'),
 (3040, 'Spellbook: Summon Vampiric Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3700, 0, 'true', 'sb_summon_vampiric_cubic1', 'none', '2'),
 (3041, 'Spellbook: Summon Phantom Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_poltergeist_cubic1', 'none', '2'),
 (3042, 'Spellbook: Life Scavenge', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_life_scavenge1', 'none', '2'),
 (3043, 'Spellbook: Holy Strike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4250, 0, 'true', 'sb_holy_strike1', 'none', '2'),
 (3044, 'Spellbook: Horror', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4250, 0, 'true', 'sb_horror1', 'none', '2'),
 (3045, 'Spellbook: Summon Life Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3700, 0, 'true', 'sb_summon_life_cubic1', 'none', '2'),
 (3046, 'Spellbook: Sacrifice', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5400, 0, 'true', 'sb_sacrifice1', 'none', '2'),
 (3047, 'Spellbook: Iron Will', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3700, 0, 'true', 'sb_iron_will1', 'none', '2'),
 (3048, 'Spellbook: Reflect Damage', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_reflect_damage1', 'none', '2'),
 (3049, 'Spellbook: Corpse Plague', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4250, 0, 'true', 'sb_corpse_plague1', 'none', '2'),
 (3050, 'Spellbook: Hex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_hex1', 'none', '2'),
 (3051, 'Spellbook: Spirit Barrier', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_spirit_barrier1', 'none', '2'),
 (3052, 'Spellbook: Hamstring', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3700, 0, 'true', 'sb_hamstring1', 'none', '2'),
 (3053, 'Spellbook: Holy Blessing', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_holy_blessing11', 'none', '2'),
 (3054, 'Spellbook: Summon Viper Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4800, 0, 'true', 'sb_summon_viper_cubic1', 'none', '2'),
 (3055, 'Spellbook: Lightening Strike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_lightening_strike1', 'none', '2'),
 (3056, 'Spellbook: Summon Dark Panther', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_dark_panther1', 'none', '2'),
 (3057, 'Spellbook: Summon Reanimated Man', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_summon_skeletonwarrior1', 'none', '2'),
 (3058, 'Spellbook: Summon Corrupted Man', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_zombi1', 'none', '2'),
 (3059, 'Spellbook: Corpse Burst', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_corpse_burst1', 'none', '2'),
 (3060, 'Spellbook: Forget', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_forget', 'none', '2'),
 (3061, 'Spellbook: Curse Discord', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_curse_discord1', 'none', '2'),
 (3062, 'Spellbook: Curse Fear', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_curse_fear1', 'none', '2'),
 (3063, 'Spellbook: Anchor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_anchor1', 'none', '2'),
 (3064, 'Spellbook: Silence', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_silence1', 'none', '2'),
 (3065, 'Spellbook: Death Spike', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_death_spike1', 'none', '2'),
 (3066, 'Spellbook: Curse Death Link', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5400, 0, 'true', 'sb_curse_death_link1', 'none', '2'),
 (3067, 'Spellbook: Vampiric Claw', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_vampiric_claw11', 'none', '2'),
 (3068, 'Spellbook: Vitalize', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_vitalize1', 'none', '2'),
 (3069, 'Spellbook: Repose', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_repose1', 'none', '2'),
 (3070, 'Spellbook: Hold Undead', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_hold_undead1', 'none', '2'),
 (3071, 'Spellbook: Requiem', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_requiem1', 'none', '2'),
 (3072, 'Spellbook: Purify', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_purify1', 'none', '2'),
 (3073, 'Spellbook: Might Of Heaven', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_might_of_heaven11', 'none', '2'),
 (3074, 'Spellbook: Surrender to Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_surrender_to_wind1', 'none', '2'),
 (3075, 'Spellbook: Blazing Circle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_blazing_circle1', 'none', '2'),
 (3076, 'Spellbook: Prominence', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_prominence11', 'none', '2'),
 (3077, 'Spellbook: Blazing Skin', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_blazing_skin1', 'none', '2'),
 (3078, 'Spellbook: Decay', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_decay1', 'none', '2'),
 (3079, 'Spellbook: Cancel', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_cancel1', 'none', '2'),
 (3080, 'Spellbook: Sleeping Cloud', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_sleeping_cloud1', 'none', '2'),
 (3081, 'Spellbook: Aura Flare', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_aura_flare11', 'none', '2'),
 (3082, 'Spellbook: Surrender to Water', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_surrender_to_water1', 'none', '2'),
 (3083, 'Spellbook: Frost Wall', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5400, 0, 'true', 'sb_frost_wall1', 'none', '2'),
 (3084, 'Spellbook: Freezing Shackle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_freezing_shackle1', 'none', '2'),
 (3085, 'Spellbook: Hydro Blast', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_hydro_blast11', 'none', '2'),
 (3086, 'Spellbook: Frost Bolt', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_frost_bolt11', 'none', '2'),
 (3087, 'Spellbook: Ice Dagger', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_ice_dagger1', 'none', '2'),
 (3088, 'Spellbook: Freezing Skin', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_freezing_skin1', 'none', '2'),
 (3089, 'Spellbook: Tempest', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_tempest1', 'none', '2'),
 (3090, 'Spellbook: Hurricane', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_hurricane11', 'none', '2'),
 (3091, 'Spellbook: Servitor Magic Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_servitor_magic_shield1', 'none', '2'),
 (3092, 'Spellbook: Servitor Physical Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_servitor_physical_shield1', 'none', '2'),
 (3093, 'Spellbook: Servitor Haste', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_servitor_haste1', 'none', '2'),
 (3094, 'Spellbook: Invigor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_invigor1', 'none', '2'),
 (3095, 'Spellbook: Magic Barrier', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_magic_barrier1', 'none', '2'),
 (3096, 'Spellbook: Bless the Body', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_bless_the_body1', 'none', '2'),
 (3097, 'Spellbook: Bless the Soul', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_bless_the_soul1', 'none', '2'),
 (3098, 'Spellbook: Return', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_return1', 'none', '2'),
 (3099, 'Spellbook: Haste', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_haste1', 'none', '2'),
 (3100, 'Spellbook: Guidance', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_guidance1', 'none', '2'),
 (3101, 'Spellbook: Death Whisper', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_death_whisper1', 'none', '2'),
 (3102, 'Spellbook: Bless Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_bless_shield1', 'none', '2'),
 (3103, 'Amulet: Wisdom of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_wisdom_of_paagrio1', 'none', '2'),
 (3104, 'Amulet: Glory of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_glory_of_paagrio1', 'none', '2'),
 (3105, 'Amulet: Seal of Winter', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_seal_of_winter1', 'none', '2'),
 (3106, 'Amulet: Seal of Flame', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_seal_of_flame1', 'none', '2'),
 (3107, 'Amulet: Seal of Gloom', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_seal_of_gloom1', 'none', '2'),
 (3108, 'Amulet: Seal of Mirage', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_seal_of_mirage1', 'none', '2'),
 (3109, 'Amulet: Seal of Silence', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_seal_of_silence1', 'none', '2'),
 (3110, 'Amulet: Seal of Scourge', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_seal_of_scourge1', 'none', '2'),
 (3111, 'Amulet: Seal of Suspension', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_seal_of_suspension1', 'none', '2'),
 (3112, 'Amulet: Sight of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_sight_of_paagrio1', 'none', '2'),
 (3113, 'Amulet: Shield of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_shield_of_paagrio1', 'none', '2'),
 (3114, 'Amulet: Steal Essence', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_steal_essence1', 'none', '2'),
 (3115, 'Amulet: Freezing Flame', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_freezing_flame1', 'none', '2'),
 (3116, 'Amulet: Chant of Fury', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_chant_of_fury1', 'none', '2'),
 (3117, 'Amulet: Chant of Evasion', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_chant_of_evasion1', 'none', '2'),
 (3118, 'Amulet: Chant of Rage', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_chant_of_rage1', 'none', '2'),
 (3119, 'Mark of Guildsman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_guildsman', 'none', '0'),
 (3120, 'Valkon''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'valkons_recommend', 'none', '0'),
 (3121, 'Mandragora Berry', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mandragora_berry', 'none', '0'),
 (3122, 'Altran''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alltrans_instructions', 'none', '0'),
 (3123, 'Altran''s 1st Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alltrans_recommend1', 'none', '0'),
 (3124, 'Altran''s 2nd Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alltrans_recommend2', 'none', '0'),
 (3125, 'Norman''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'normans_instructions', 'none', '0'),
 (3126, 'Norman''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'normans_receipt', 'none', '0');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (3127, 'Duning''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dunings_instructions', 'none', '0'),
 (3128, 'Duning''s Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dunings_key', 'none', '0'),
 (3129, 'Norman''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'normans_list', 'none', '0'),
 (3130, 'Gray Bone Powder', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'gray_bone_powder', 'none', '0'),
 (3131, 'Granite Whetstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'granite_whetstone', 'none', '0'),
 (3132, 'Red Pigment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'red_pigment', 'none', '0'),
 (3133, 'Braided Yarn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'braided_yarn', 'none', '0'),
 (3134, 'Journeyman Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'journeyman_gem', 'none', '0'),
 (3135, 'Pinter''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pinters_instructions', 'none', '0'),
 (3136, 'Amber Bead', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'amber_bead', 'none', '0'),
 (3137, 'Amber Lump', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'amber_lump', 'none', '0'),
 (3138, 'Journeyman Deco Beads', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'journeyman_deco_beads', 'none', '0'),
 (3139, 'Journeyman Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'journeyman_ring', 'none', '0'),
 (3140, 'Mark of Life', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_life', 'none', '0'),
 (3141, 'Cardien''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cardiens_letter', 'none', '0'),
 (3142, 'Camomile Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'camomile_charm', 'none', '0'),
 (3143, 'Hierarch''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hierarchs_letter', 'none', '0'),
 (3144, 'Moonflower Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'moonflower_charm', 'none', '0'),
 (3145, 'Grail Diagram', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'grail_diagram', 'none', '0'),
 (3146, 'Thalia''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'thalyas_letter1', 'none', '0'),
 (3147, 'Thalia''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'thalyas_letter2', 'none', '0'),
 (3148, 'Thalia''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'thalyas_instructions', 'none', '0'),
 (3149, 'Pushkin''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pushkins_list', 'none', '0'),
 (3150, 'Pure Mithril Cup', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pure_mithril_cup', 'none', '0'),
 (3151, 'Arkenia''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenias_contract', 'none', '0'),
 (3152, 'Arkenia''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenias_instructions', 'none', '0'),
 (3153, 'Adonius''s list', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'adonius_list', 'none', '0'),
 (3154, 'Andariel Scripture Copy', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'andariel_scripture_copy', 'none', '0'),
 (3155, 'Stardust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stardust', 'none', '0'),
 (3156, 'Isael''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'isaels_instructions', 'none', '0'),
 (3157, 'Isael''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'isaels_letter', 'none', '0'),
 (3158, 'Grail of Purity', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'grail_of_purity', 'none', '0'),
 (3159, 'Tears of Unicorn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tears_of_unicorn', 'none', '0'),
 (3160, 'Water of Life', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'water_of_life', 'none', '0'),
 (3161, 'Pure Mithril Ore', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pure_mithril_ore', 'none', '0'),
 (3162, 'Ant Soldier Acid', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ant_soldier_acid', 'none', '0'),
 (3163, 'Wyrm''s Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wyrms_talon1', 'none', '0'),
 (3164, 'Spider Ichor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spider_ichor', 'none', '0'),
 (3165, 'Harpy''s Down', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'harpys_down', 'none', '0'),
 (3166, 'Talin''s Spear Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_spear_blade', 'none', '0'),
 (3167, 'Talin''s Spear Shaft', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_spear_shaft', 'none', '0'),
 (3168, 'Talin''s Ruby', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_ruby', 'none', '0'),
 (3169, 'Talin''s Aquamarine', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_aquamarine', 'none', '0'),
 (3170, 'Talin''s Amethyst', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_amethyst', 'none', '0'),
 (3171, 'Talin''s Peridot', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talins_peridot', 'none', '0'),
 (3172, 'Mark of Fate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_fate', 'none', '0'),
 (3173, 'Kaira''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kairas_letter1', 'none', '0'),
 (3174, 'Metheus''s Funeral Jar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'metheus_funeral_jar', 'none', '0'),
 (3175, 'Kasandra''s Remains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kasandras_remains', 'none', '0'),
 (3176, 'Herbalism Textbook', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'herbalism_textbook', 'none', '0'),
 (3177, 'Ixia''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ixias_list', 'none', '0'),
 (3178, 'Medusa''s Ichor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medusa_ichor', 'none', '0'),
 (3179, 'Marsh Spider Fluids', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'm_spider_fluids', 'none', '0'),
 (3180, 'Dead Seeker Dung', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dead_seeker_dung', 'none', '0'),
 (3181, 'Tyrant''s Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tyrants_blood', 'none', '0'),
 (3182, 'Nightshade Root', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nightshade_root', 'none', '0'),
 (3183, 'Belladonna', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'belladonna', 'none', '0'),
 (3184, 'Alder''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alders_skull1', 'none', '0'),
 (3185, 'Alders Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alders_skull2', 'none', '0'),
 (3186, 'Alder''s Receipt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alders_receipt', 'none', '0'),
 (3187, 'Revelations Manuscript', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'revelations_manuscript', 'none', '0'),
 (3188, 'Kaira''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kairas_instructions', 'none', '0'),
 (3189, 'Kaira''s Recommendation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kairas_recommend', 'none', '0'),
 (3190, 'Palus Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'palus_charm', 'none', '0'),
 (3191, 'Thifiel''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'thifiels_letter', 'none', '0'),
 (3192, 'Arkenia''s Note', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenias_note', 'none', '0'),
 (3193, 'Pixy Garnet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pixy_garnet', 'none', '0'),
 (3194, 'Grandis''s Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'grandis_skull', 'none', '0'),
 (3195, 'Karul Bugbear Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'karul_bugbear_skull', 'none', '0'),
 (3196, 'Breka Overlord Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'breka_overlord_skull', 'none', '0'),
 (3197, 'Leto Overlord Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leto_overlord_skull', 'none', '0'),
 (3198, 'Red Fairy Dust', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'red_fairy_dust', 'none', '0'),
 (3199, 'Blight Treant Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'timiriran_seed', 'none', '0'),
 (3200, 'Black Willow Leaf', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'black_willow_leaf', 'none', '0'),
 (3201, 'Blight Treant Sap', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'timiriran_sap', 'none', '0'),
 (3202, 'Arkenia''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'arkenias_letter1', 'none', '0'),
 (3203, 'Mark of Glory', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_glory', 'none', '0'),
 (3204, 'Vokian''s Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vokiyans_order1', 'none', '0'),
 (3205, 'Manashen Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manashen_shard', 'none', '0'),
 (3206, 'Tyrant Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tyrant_talon', 'none', '0'),
 (3207, 'Guardian Basilisk Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'guardian_basilisk_fang', 'none', '0'),
 (3208, 'Vokian''s Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vokiyans_order2', 'none', '0'),
 (3209, 'Necklace of Authority', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'necklace_of_authority', 'none', '0'),
 (3210, 'Chianta''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chiantas_order1', 'none', '0'),
 (3211, 'Scepter of Breka', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_breka', 'none', '0'),
 (3212, 'Scepter of Enku', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_enku', 'none', '0'),
 (3213, 'Scepter of Vuku', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_vuku', 'none', '0'),
 (3214, 'Scepter of Turek', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_turek', 'none', '0'),
 (3215, 'Scepter of Tunath', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_lennunt', 'none', '0'),
 (3216, 'Chianta''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chiantas_order2', 'none', '0'),
 (3217, 'Chianta''s 3rd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chiantas_order3', 'none', '0'),
 (3218, 'Tamlin Orc Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamlin_orc_skull', 'none', '0'),
 (3219, 'Timak Orc Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'timak_orc_head', 'none', '0'),
 (3220, 'Scepter Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_box', 'none', '0'),
 (3221, 'Pashika''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pashikas_head', 'none', '0'),
 (3222, 'Vultus'' Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vultus_head', 'none', '0'),
 (3223, 'Glove of Voltar', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'glove_of_voltar', 'none', '0'),
 (3224, 'Enku Overlord Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'enku_overlord_head', 'none', '0'),
 (3225, 'Glove of Kepra', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'glove_of_kepra', 'none', '0'),
 (3226, 'Makum Bugbear Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'makum_bugbear_head', 'none', '0'),
 (3227, 'Glove of Burai', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'glove_of_burai', 'none', '0'),
 (3228, 'Manakia''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manakias_letter1', 'none', '0'),
 (3229, 'Manakia''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manakias_letter2', 'none', '0'),
 (3230, 'Kasman''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kasmans_letter1', 'none', '0'),
 (3231, 'Kasman''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kasmans_letter2', 'none', '0'),
 (3232, 'Kasman''s 3rd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'kasmans_letter3', 'none', '0'),
 (3233, 'Driko''s Contract', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'drikos_contract', 'none', '0'),
 (3234, 'Stakato Drone Husk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stakato_drone_husk1', 'none', '0'),
 (3235, 'Tanapi''s Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tanapis_order1', 'none', '0'),
 (3236, 'Scepter of Tantos', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'scepter_of_tantos', 'none', '0'),
 (3237, 'Ritual Box', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ritual_box', 'none', '0'),
 (3238, 'Mark of Prosperity', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_prosperity', 'none', '0'),
 (3239, '1st Ring of Testimony', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ring_of_testimony1', 'none', '0'),
 (3240, '2nd Ring of Testimony', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ring_of_testimony2', 'none', '0'),
 (3241, 'Old Account Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'old_account_book', 'none', '0'),
 (3242, 'Blessed Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blessed_seed', 'none', '0'),
 (3243, 'Emily''s Recipe', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'recipe_of_emilly', 'none', '0'),
 (3244, 'Lilith''s Elven Wafer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'rylith_elven_wafer', 'none', '0'),
 (3245, 'Maphr Tablet Fragment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'maphr_tablet_fragment', 'none', '0'),
 (3246, 'Collection License', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'collection_license', 'none', '0'),
 (3247, 'Lockirin''s 1st Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lockirins_notice1', 'none', '0'),
 (3248, 'Lockirin''s 2nd Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lockirins_notice2', 'none', '0'),
 (3249, 'Lockirin''s 3rd Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lockirins_notice3', 'none', '0'),
 (3250, 'Lockirin''s 4th Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lockirins_notice4', 'none', '0'),
 (3251, 'Lockirin''s 5th Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lockirins_notice5', 'none', '0'),
 (3252, 'Contribution of Shari', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'contribution_of_chali', 'none', '0'),
 (3253, 'Contribution of Mion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'contribution_of_mion', 'none', '0'),
 (3254, 'Contribution of Maryse', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'contribution_of_marife', 'none', '0'),
 (3255, 'Maryse''s Request', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'marifes_request', 'none', '0'),
 (3256, 'Contribution of Toma', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'contribution_of_toma', 'none', '0'),
 (3257, 'Receipt of Bolter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_bolter', 'none', '0'),
 (3258, '1st Receipt of Contribution', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_contribution1', 'none', '0'),
 (3259, '2nd Receipt of Contribution', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_contribution2', 'none', '0'),
 (3260, '3rd Receipt of Contribution', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_contribution3', 'none', '0'),
 (3261, '4th Receipt of Contribution', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_contribution4', 'none', '0'),
 (3262, '5th Receipt of Contribution', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'receipt_of_contribution5', 'none', '0'),
 (3263, 'Procuration of Torocco', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'procuration_of_torocco', 'none', '0'),
 (3264, 'Bright''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brights_list', 'none', '0'),
 (3265, 'Mandragora Petal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mandragora_petal', 'none', '0'),
 (3266, 'Crimson Moss', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crimson_moss', 'none', '0'),
 (3267, 'Mandragora Bouquet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mandragora_bouquet', 'none', '0'),
 (3268, 'Parman''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'parmans_instructions', 'none', '0'),
 (3269, 'Parman''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'parmans_letter', 'none', '0'),
 (3270, 'Clay Dough', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'clay_dough', 'none', '0'),
 (3271, 'Pattern of Keyhole', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'pattern_of_keyhole', 'none', '0'),
 (3272, 'Nikolas'' List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nikolas_list', 'none', '0'),
 (3273, 'Stakato Shell', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stakato_shell', 'none', '0'),
 (3274, 'Toad Lord Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'inpicio_sac', 'none', '0'),
 (3275, 'Spider Thorn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'spider_thorn', 'none', '0'),
 (3276, 'Mark of Champion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_champion', 'none', '0'),
 (3277, 'Ascalon''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ascalons_letter1', 'none', '0'),
 (3278, 'Mason''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'masons_letter', 'none', '0'),
 (3279, 'Iron Rose Ring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'iron_rose_ring', 'none', '0'),
 (3280, 'Ascalon''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ascalons_letter2', 'none', '0'),
 (3281, 'White Rose Insignia', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'white_rose_insignia', 'none', '0'),
 (3282, 'Groot''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'groots_letter', 'none', '0'),
 (3283, 'Ascalon''s 3rd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ascalons_letter3', 'none', '0'),
 (3284, 'Mouen''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mouens_order1', 'none', '0'),
 (3285, 'Mouen''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mouens_order2', 'none', '0'),
 (3286, 'Mouen''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mouens_letter', 'none', '0'),
 (3287, 'Harpy''s Egg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'harpys_egg1', 'none', '0'),
 (3288, 'Medusa''s Venom', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medusa_venom1', 'none', '0'),
 (3289, 'Windsus Bile', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'windsus_bile1', 'none', '0'),
 (3290, 'Bloody Axe Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_axe_head', 'none', '0'),
 (3291, 'Road Ratman Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'road_ratman_head', 'none', '0'),
 (3292, 'Leto Lizardman Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leto_lizardman_fang1', 'none', '0'),
 (3293, 'Mark of Sagittarius', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_sagittarius', 'none', '0'),
 (3294, 'Bernard''s Introduction', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bernards_introduction', 'none', '0'),
 (3295, 'Hamil''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_hamil1', 'none', '0'),
 (3296, 'Hamil''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_hamil2', 'none', '0'),
 (3297, 'Hamil''s 3rd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letter_of_hamil3', 'none', '0'),
 (3298, 'Hunter''s 1st Rune', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hunters_rune1', 'none', '0'),
 (3299, 'Hunter''s 2nd Rune', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hunters_rune2', 'none', '0'),
 (3300, 'Talisman of Kadesh', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talisman_of_kadesh', 'none', '0'),
 (3301, 'Talisman of Snake', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talisman_of_snake', 'none', '0'),
 (3302, 'Mithril Clip', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mithril_clip', 'none', '0'),
 (3303, 'Stakato Chitin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'stakato_chitin', 'none', '0'),
 (3304, 'Reinforced Bowstring', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'st_bowstring', 'none', '0'),
 (3305, 'Manashen''s Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manashens_horn', 'none', '0'),
 (3306, 'Blood of Lizardman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'blood_of_lizardman', 'none', '0'),
 (3307, 'Mark of Witchcraft', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_witchcraft', 'none', '0'),
 (3308, 'Orim''s Diagram', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orims_diagram', 'none', '0'),
 (3309, 'Alexandria''s Book', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'alexandrias_book', 'none', '0'),
 (3310, 'Iker''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ikers_list', 'none', '0'),
 (3311, 'Dire Wyrm Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'dire_wyrm_fang', 'none', '0'),
 (3312, 'Leto Lizardman Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leto_lizardman_charm', 'none', '0'),
 (3313, 'Enchanted Golem Heartstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'en_golem_heartstone', 'none', '0'),
 (3314, 'Lara''s Memo', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_memo1', 'none', '0'),
 (3315, 'Nestle''s Memo', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'nestle_memo1', 'none', '0'),
 (3316, 'Leopold''s Journal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'leopolds_journal1', 'none', '0'),
 (3317, 'Aklantoth 1st Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem1', 'none', '0'),
 (3318, 'Aklantoth 2nd Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem2', 'none', '0'),
 (3319, 'Aklantoth 3rd Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem3', 'none', '0'),
 (3320, 'Aklantoth 4th Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem4', 'none', '0'),
 (3321, 'Aklantoth 5th Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem5', 'none', '0'),
 (3322, 'Aklantoth 6th Gem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'aklantos_gem6', 'none', '0'),
 (3323, '1st Brimstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brimstone1', 'none', '0'),
 (3324, 'Orim''s Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orims_instructions', 'none', '0'),
 (3325, 'Orim''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orims_letter1', 'none', '0'),
 (3326, 'Orim''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'orims_letter2', 'none', '0'),
 (3327, 'Sir Vasper''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sir_vaspers_letter', 'none', '0'),
 (3328, 'Vadin''s Crucifix', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vadins_crucifix', 'none', '0'),
 (3329, 'Tamlin Orc Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tamlin_orc_amulet', 'none', '0'),
 (3330, 'Vadin''s Sanctions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'vadins_sanctions', 'none', '0'),
 (3331, 'Iker''s Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ikers_amulet', 'none', '0'),
 (3332, 'Soultrap Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'soultrap_crystal', 'none', '0'),
 (3333, 'Purgatory Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'purgatory_key', 'none', '0'),
 (3334, 'Zeruel Bind Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'zeruel_bind_crystal', 'none', '0'),
 (3335, '2nd Brimstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brimstone2', 'none', '0'),
 (3336, 'Mark of Summoner', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_summoner', 'none', '0'),
 (3337, 'Leto Lizardman Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'letolizardman_amulet', 'none', '0'),
 (3338, 'Sac of Redspores', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sac_of_redspores', 'none', '0'),
 (3339, 'Karul Bugbear Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'karulbugbear_totem', 'none', '0'),
 (3340, 'Shards of Manashen', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'shards_of_manashen', 'none', '0'),
 (3341, 'Breka Orc Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brekaorc_totem', 'none', '0'),
 (3342, 'Crimson Bloodstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crimson_bloodstone', 'none', '0'),
 (3343, 'Talons of Tyrant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'talons_of_tyrant', 'none', '0'),
 (3344, 'Wings of Droneant', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'wings_of_droneant', 'none', '0'),
 (3345, 'Tusk of Windsus', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tusk_of_windsus', 'none', '0'),
 (3346, 'Fangs of Wyrm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'fangs_of_wyrm', 'none', '0'),
 (3347, 'Lara''s 1st List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_list1', 'none', '0'),
 (3348, 'Lara''s 2nd List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_list2', 'none', '0'),
 (3349, 'Lara''s 3rd List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_list3', 'none', '0'),
 (3350, 'Lara''s 4th List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_list4', 'none', '0'),
 (3351, 'Lara''s 5th List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'lars_list5', 'none', '0'),
 (3352, 'Galatea''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'galateas_letter', 'none', '0'),
 (3353, 'Beginner''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'beginners_arcana', 'none', '0'),
 (3354, 'Almors''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'almors_arcana', 'none', '0'),
 (3355, 'Camoniell''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'camoniell_arcana', 'none', '0'),
 (3356, 'Belthus''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'belthus_arcana', 'none', '0'),
 (3357, 'Basillia''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'basillia_arcana', 'none', '0'),
 (3358, 'Celestiel''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'celestiel_arcana', 'none', '0'),
 (3359, 'Brynthea''s Arcana', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'brynthea_arcana', 'none', '0'),
 (3360, '1st Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting1', 'none', '2'),
 (3361, '1st Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress1', 'none', '2'),
 (3362, '1st Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul1', 'none', '2'),
 (3363, '1st Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat1', 'none', '2'),
 (3364, '1st Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory1', 'none', '2'),
 (3365, '2nd Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting2', 'none', '2'),
 (3366, '2nd Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress2', 'none', '2'),
 (3367, '2nd Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul2', 'none', '2'),
 (3368, '2nd Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat2', 'none', '2'),
 (3369, '2nd Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory2', 'none', '2'),
 (3370, '3rd Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting3', 'none', '2'),
 (3371, '3rd Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress3', 'none', '2'),
 (3372, '3rd Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul3', 'none', '2'),
 (3373, '3rd Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat3', 'none', '2'),
 (3374, '3rd Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory3', 'none', '2'),
 (3375, '4th Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting4', 'none', '2'),
 (3376, '4th Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress4', 'none', '2'),
 (3377, '4th Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul4', 'none', '2'),
 (3378, '4th Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat4', 'none', '2'),
 (3379, '4th Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory4', 'none', '2'),
 (3380, '5th Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting5', 'none', '2'),
 (3381, '5th Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress5', 'none', '2'),
 (3382, '5th Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul5', 'none', '2'),
 (3383, '5th Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat5', 'none', '2'),
 (3384, '5th Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory5', 'none', '2'),
 (3385, '6th Crystal of Starting', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_starting6', 'none', '2'),
 (3386, '6th Crystal of Inprogress', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_inprogress6', 'none', '2'),
 (3387, '6th Crystal of Foul', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_foul6', 'none', '2'),
 (3388, '6th Crystal of Defeat', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_defeat6', 'none', '2'),
 (3389, '6th Crystal of Victory', 'false', 'none', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_of_victory6', 'none', '2'),
 (3390, 'Mark of Lord', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'mark_of_lord', 'none', '0'),
 (3391, 'Ordeal Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ordeal_necklace', 'none', '0'),
 (3392, 'Varkee''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'varkees_charm', 'none', '0'),
 (3393, 'Tantus''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'tantus_charm', 'none', '0'),
 (3394, 'Hatos''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'hatos_charm', 'none', '0'),
 (3395, 'Takuna''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'takuna_charm', 'none', '0'),
 (3396, 'Chianta''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'chianta_charm', 'none', '0'),
 (3397, 'Manakia''s Orders', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manakias_orders', 'none', '0'),
 (3398, 'Breka Orc Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'breka_orc_fang', 'none', '0'),
 (3399, 'Manakia''s Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'manakias_amulet', 'none', '0'),
 (3400, 'Huge Orc Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'huge_orc_fang', 'none', '0'),
 (3401, 'Sumari''s Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sumaris_letter', 'none', '0'),
 (3402, 'Urutu Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'urutu_blade', 'none', '0'),
 (3403, 'Timak Orc Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'timak_orc_skull', 'none', '0'),
 (3404, 'Sword Into Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'sword_into_skull', 'none', '0'),
 (3405, 'Neruga Axe Blade', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'neruga_axe_blade', 'none', '0'),
 (3406, 'Axe of Ceremony', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'axe_of_ceremony', 'none', '0'),
 (3407, 'Marsh Spider Feeler', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'marsh_spider_feeler', 'none', '0'),
 (3408, 'Marsh Spider Feet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'marsh_spider_feet', 'none', '0'),
 (3409, 'Handiwork Spider Brooch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'handiwork_spider_brooch', 'none', '0'),
 (3410, 'Cornea of Enchanted Monster Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'cornea_of_en_monstereye', 'none', '0'),
 (3411, 'Monster Eye Woodcarving', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'monstereye_woodcarving', 'none', '0'),
 (3412, 'Bear Fang Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bear_fang_necklace', 'none', '0'),
 (3413, 'Martankus''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'martankus_charm', 'none', '0'),
 (3414, 'Ragna Orc Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ragna_orc_head', 'none', '0'),
 (3415, 'Ragna Chief Notice', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'ragna_chief_notice', 'none', '0'),
 (3416, 'Immortal Flame', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'immortal_flame', 'none', '0'),
 (3417, 'Animal Lover''s List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_lovers_list', 'none', '0'),
 (3418, 'Animal Slayer''s 1st List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_slayer_list1', 'none', '0'),
 (3419, 'Animal Slayer''s 2nd List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_slayer_list2', 'none', '0'),
 (3420, 'Animal Slayer''s 3rd List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_slayer_list3', 'none', '0'),
 (3421, 'Animal Slayer''s 4th List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_slayer_list4', 'none', '0'),
 (3422, 'Animal Slayer''s 5th List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'animal_slayer_list5', 'none', '0'),
 (3423, 'Bloody Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_fang', 'none', '0'),
 (3424, 'Bloody Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_claw', 'none', '0'),
 (3425, 'Bloody Nail', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_nail', 'none', '0'),
 (3426, 'Bloody Kasha Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_kasha_fang', 'none', '0'),
 (3427, 'Bloody Tarantula Nail', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'bloody_tarantula_nail', 'none', '0'),
 (3428, 'Crystal Brooch', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'crystal_brooch', 'none', '2'),
 (3429, 'Spellbook: Greater Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_greater_heal11', 'none', '2'),
 (3430, 'Spellbook: Greater Battle Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_greater_battle_heal11', 'none', '2'),
 (3431, 'Spellbook: Greater Group Heal', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_greater_group_heal11', 'none', '2'),
 (3432, 'Spellbook: Remedy', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_remedy1', 'none', '2'),
 (3433, 'Elf Figure', 'false', 'quest', 0, 'normal', 'steel', 'none', 100, 0, 0, 'false', 'elf_figure', 'none', '0'),
 (3434, 'Coke', 'false', 'quest', 0, 'normal', 'steel', 'none', 100, 0, 0, 'false', 'coke', 'none', '0'),
 (3435, 'Nvidia', 'false', 'quest', 0, 'normal', 'steel', 'none', 100, 0, 0, 'false', 'nvidia', 'none', '0'),
 (3436, 'Mouse', 'false', 'quest', 0, 'normal', 'steel', 'none', 100, 0, 0, 'false', 'mouse', 'none', '0'),
 (3437, 'Trade Book of Merchant', 'false', 'none', 120, 'normal', 'paper', 'none', 0, 20000, 0, 'false', 'trade_book_of_merchant', 'none', '2'),
 (3438, 'Trade Book of Great Merchant', 'false', 'none', 120, 'normal', 'paper', 'none', 0, 20000, 0, 'false', 'trade_book_of_great_merchant', 'none', '2'),
 (3440, 'Cargo Box', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 10, 0, 'false', 'q_cargo_box1', 'none', '2'),
 (3441, 'Cargo Box', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 10, 0, 'false', 'q_cargo_box2', 'none', '2'),
 (3442, 'Cargo Box', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 10, 0, 'false', 'q_cargo_box3', 'none', '2'),
 (3443, 'Cargo Box', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 10, 0, 'false', 'q_cargo_box4', 'none', '2'),
 (3444, 'Gludio Apples', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1000, 0, 'true', 'q_loot_1', 'none', '2'),
 (3445, 'Dion Corn Meal', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1000, 0, 'true', 'q_loot_2', 'none', '2'),
 (3446, 'Dire Wolf Pelts', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1000, 0, 'true', 'q_loot_3', 'none', '2'),
 (3447, 'Moonstone', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1500, 0, 'true', 'q_loot_4', 'none', '2'),
 (3448, 'Gludio Wheat Flour', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1500, 0, 'true', 'q_loot_5', 'none', '2'),
 (3449, 'Spidersilk Rope', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 1500, 0, 'true', 'q_loot_6', 'none', '2'),
 (3450, 'Alexandrite', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_7', 'none', '2'),
 (3451, 'Silver Tea Service', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_8', 'none', '2'),
 (3452, 'Mechanic Golem Spare Parts', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_9', 'none', '2'),
 (3453, 'Fire Emerald', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 5000, 0, 'true', 'q_loot_10', 'none', '2'),
 (3454, 'Avellan Silk Frock', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 5000, 0, 'true', 'q_loot_11', 'none', '2'),
 (3455, 'Feriotic Porcelain Urn', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 20000, 0, 'true', 'q_loot_12', 'none', '2'),
 (3456, 'Imperial Diamond', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 20000, 0, 'true', 'q_loot_13', 'none', '2'),
 (3457, 'Statue of Shilen - Head', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_14', 'none', '2'),
 (3458, 'Statue of Shilen - Torso', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_15', 'none', '2'),
 (3459, 'Statue of Shilen - Arm', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_16', 'none', '2'),
 (3460, 'Statue of Shilen - Leg', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_17', 'none', '2'),
 (3461, 'Complete Statue of Shilen', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 20000, 0, 'true', 'q_loot_18', 'none', '2'),
 (3462, 'Fragment of Ancient Tablet - 1st Piece', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_19', 'none', '2'),
 (3463, 'Fragment of Ancient Tablet - 2nd Piece', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_20', 'none', '2'),
 (3464, 'Fragment of Ancient Tablet - 3rd Piece', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_21', 'none', '2'),
 (3465, 'Fragment of Ancient Tablet - 4th Piece', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 2000, 0, 'true', 'q_loot_22', 'none', '2'),
 (3466, 'Complete Ancient Tablet', 'false', 'none', 20, 'stackable', 'steel', 'none', 0, 20000, 0, 'true', 'q_loot_23', 'none', '2'),
 (3467, 'Wish Potion', 'false', 'none', 60, 'normal', 'paper', 'none', 0, 10, 0, 'true', 'q_wish_potion', 'none', '2'),
 (3468, 'Ancient Crown', 'false', 'none', 0, 'normal', 'paper', 'none', 0, 1000, 0, 'true', 'q_ancient_crown', 'none', '2'),
 (3469, 'Certificate of Royalty', 'false', 'none', 0, 'normal', 'paper', 'none', 0, 10, 0, 'true', 'q_certificate_of_royalty', 'none', '2'),
 (3470, 'Gold Bar', 'false', 'none', 0, 'stackable', 'paper', 'none', 0, 10000, 0, 'true', 'q_gold_bar', 'none', '2'),
 (3472, 'Blood Medusa', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 50, 0, 'true', 'q_blood_medusa', 'none', '0'),
 (3473, 'Blood Werewolf', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_blood_werewolf', 'none', '0'),
 (3474, 'Blood Basilisk', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_blood_basilisk', 'none', '0'),
 (3475, 'Blood Drevanul', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_blood_drevanul', 'none', '0'),
 (3476, 'Blood Succubus', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_blood_succubus', 'none', '0'),
 (3477, 'Blood Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 200, 0, 'true', 'q_blood_dragon', 'none', '0'),
 (3478, 'Beleth''s Blood Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 300, 0, 'true', 'q_bereths_blood_dragon', 'none', '0'),
 (3479, 'Manak''s Blood Werewolf', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_manaks_blood_werewolf', 'none', '0'),
 (3480, 'Nia''s Blood Medusa', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_nias_blood_medusa', 'none', '0'),
 (3481, 'Gold Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 200, 0, 'true', 'q_gold_dragon', 'none', '0'),
 (3482, 'Gold Wyvern', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 50, 0, 'true', 'q_gold_wyvern', 'none', '0'),
 (3483, 'Gold Knight', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_gold_knight', 'none', '0'),
 (3484, 'Gold Giant', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_gold_giant', 'none', '0'),
 (3485, 'Gold Drake', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_gold_drake', 'none', '0'),
 (3486, 'Gold Wyrm', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_gold_wyrm', 'none', '0'),
 (3487, 'Beleth''s Gold Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 300, 0, 'true', 'q_bereths_gold_dragon', 'none', '0'),
 (3488, 'Manak''s Gold Giant', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_manaks_gold_giant', 'none', '0'),
 (3489, 'Nia''s Gold Wyvern', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_nias_gold_wyvern', 'none', '0'),
 (3490, 'Silver Unicorn', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 50, 0, 'true', 'q_silver_unicorn', 'none', '0'),
 (3491, 'Silver Fairy', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_silver_fairy', 'none', '0'),
 (3492, 'Silver Dryad', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_silver_dryad', 'none', '0'),
 (3493, 'Silver Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 200, 0, 'true', 'q_silver_dragon', 'none', '0'),
 (3494, 'Silver Golem', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_silver_golem', 'none', '0'),
 (3495, 'Silver Undine', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_silver_undine', 'none', '0'),
 (3496, 'Beleth''s Silver Dragon', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 300, 0, 'true', 'q_bereths_silver_dragon', 'none', '0'),
 (3497, 'Manak''s Silver Dryad', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 150, 0, 'true', 'q_manaks_silver_dryad', 'none', '0'),
 (3498, 'Nia''s Silver Fairy', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'q_nias_silver_fairy', 'none', '0'),
 (3499, 'Fairy Dust', 'false', 'quest', 0, 'normal', 'steel', 'none', 0, 10000, 0, 'false', 'q_fairy_dust', 'none', '0'),
 (3500, 'Dragonflute of Wind', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 1000, 0, 'false', 'dragonflute_of_wind', 'pet_collar', '2'),
 (3501, 'Dragonflute of Star', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 1000, 0, 'false', 'dragonflute_of_star', 'pet_collar', '2'),
 (3502, 'Dragonflute of Twilight', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 1000, 0, 'false', 'dragonflute_of_twilight', 'pet_collar', '2'),
 (3503, 'Deliverymen Decertificate', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_deliverymen_decertificate', 'none', '0'),
 (3504, 'Kirunas Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kirunas_horn', 'none', '0'),
 (3505, 'Mithril Mold', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_mithril_mold', 'none', '0'),
 (3506, 'Bloody Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_bloody_letter', 'none', '0'),
 (3507, 'Supplies to Alex', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_supplies_to_alankell', 'none', '0'),
 (3508, 'Supplies to Endrigo', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_supplies_to_endrigo', 'none', '0'),
 (3509, 'Alex''s Coins', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_alankells_coins', 'none', '0'),
 (3510, 'Wardens Appreciation', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_wardens_appreciation', 'none', '0'),
 (3511, 'Blackbox to Orim', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blackbox_to_orim', 'none', '0'),
 (3512, 'Deluxe Windsus Ham', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delux_windsus_ham', 'none', '0'),
 (3513, 'Heart of Silenos', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_heart_of_silenos', 'none', '0'),
 (3514, 'Request Giran', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_giran', 'none', '0'),
 (3515, 'Request Gludin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_gludin', 'none', '0'),
 (3516, 'Request Hunters', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_hunters', 'none', '0'),
 (3517, 'Delivery Score Red', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_score_red', 'none', '0'),
 (3518, 'Delivery Score Blue', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_score_blue', 'none', '0'),
 (3519, 'Deliverymen Advanced Certificate Super', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_deliverymen_decertificate_super', 'none', '0'),
 (3520, '1st Confirmation Document', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_1st', 'none', '0'),
 (3521, '2nd Confirmation Document', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_2nd', 'none', '0'),
 (3522, 'Delivery Goods 01', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_01', 'none', '0'),
 (3523, 'Delivery Goods 02', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_02', 'none', '0'),
 (3524, 'Delivery Goods 03', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_03', 'none', '0'),
 (3525, 'Delivery Goods 04', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_04', 'none', '0'),
 (3526, 'Delivery Goods 05', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_05', 'none', '0'),
 (3527, 'Delivery Goods 06', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_06', 'none', '0'),
 (3528, 'Delivery Goods 07', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_07', 'none', '0'),
 (3529, 'Delivery Goods 08', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_08', 'none', '0'),
 (3530, 'Delivery Goods 09', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_09', 'none', '0'),
 (3531, 'Delivery Goods 10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_10', 'none', '0'),
 (3532, 'Delivery Goods 11', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_11', 'none', '0'),
 (3533, 'Delivery Goods 12', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_12', 'none', '0'),
 (3534, 'Delivery Goods 13', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_13', 'none', '0'),
 (3535, 'Delivery Goods 14', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_14', 'none', '0'),
 (3536, 'Delivery Goods 15', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_15', 'none', '0'),
 (3537, 'Delivery Goods 16', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_16', 'none', '0'),
 (3538, 'Delivery Goods 17', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_17', 'none', '0'),
 (3539, 'Delivery Goods 18', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_18', 'none', '0'),
 (3540, 'Delivery Goods 19', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_19', 'none', '0'),
 (3541, 'Delivery Goods 20', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_20', 'none', '0'),
 (3542, 'Delivery Goods 21', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_21', 'none', '0'),
 (3543, 'Delivery Goods 22', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_22', 'none', '0'),
 (3544, 'Delivery Goods 23', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_23', 'none', '0'),
 (3545, 'Delivery Goods 24', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_24', 'none', '0'),
 (3546, 'Delivery Goods 25', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_25', 'none', '0'),
 (3547, 'Delivery Goods 26', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_26', 'none', '0'),
 (3548, 'Delivery Goods 27', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_27', 'none', '0'),
 (3549, 'Delivery Goods 28', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_28', 'none', '0'),
 (3550, 'Delivery Goods 29', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_29', 'none', '0'),
 (3551, 'Delivery Goods 30', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_30', 'none', '0'),
 (3552, 'Delivery Goods 31', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_31', 'none', '0'),
 (3553, 'Delivery Goods 32', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_32', 'none', '0'),
 (3554, 'Delivery Goods 33', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_33', 'none', '0'),
 (3555, 'Delivery Goods 34', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_34', 'none', '0'),
 (3556, 'Delivery Goods 35', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_35', 'none', '0'),
 (3557, 'Delivery Goods 36', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_36', 'none', '0'),
 (3558, 'Delivery Goods 37', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_37', 'none', '0'),
 (3559, 'Delivery Goods 38', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_38', 'none', '0'),
 (3560, 'Delivery Goods 39', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_39', 'none', '0'),
 (3561, 'Delivery Goods 40', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_40', 'none', '0'),
 (3562, 'Delivery Goods 41', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_41', 'none', '0'),
 (3563, 'Delivery Goods 42', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_42', 'none', '0'),
 (3564, 'Delivery Goods 43', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_43', 'none', '0'),
 (3565, 'Delivery Goods 44', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_44', 'none', '0'),
 (3566, 'Delivery Goods 45', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_45', 'none', '0'),
 (3567, 'Delivery Goods 46', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_46', 'none', '0'),
 (3568, 'Delivery Goods 47', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_47', 'none', '0'),
 (3569, 'Delivery Goods 48', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_48', 'none', '0'),
 (3570, 'Delivery Goods 49', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_49', 'none', '0'),
 (3571, 'Delivery Goods 50', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_50', 'none', '0'),
 (3572, 'Delivery Goods 51', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_51', 'none', '0'),
 (3573, 'Delivery Goods 52', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_52', 'none', '0'),
 (3574, 'Delivery Goods 53', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_53', 'none', '0'),
 (3575, 'Delivery Goods 54', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_54', 'none', '0'),
 (3576, 'Delivery Goods 55', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_55', 'none', '0'),
 (3577, 'Delivery Goods 56', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_56', 'none', '0'),
 (3578, 'Delivery Goods 57', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_57', 'none', '0'),
 (3579, 'Delivery Goods 58', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_58', 'none', '0'),
 (3580, 'Delivery Goods 59', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_59', 'none', '0'),
 (3581, 'Delivery Goods 60', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_60', 'none', '0'),
 (3582, 'Delivery Goods 61', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_61', 'none', '0'),
 (3583, 'Delivery Goods 62', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_62', 'none', '0'),
 (3584, 'Delivery Goods 63', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_63', 'none', '0'),
 (3585, 'Delivery Goods 64', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_64', 'none', '0'),
 (3586, 'Delivery Goods 65', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_65', 'none', '0'),
 (3587, 'Delivery Goods 66', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_66', 'none', '0'),
 (3588, 'Delivery Goods 67', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delivery_goods_67', 'none', '0'),
 (3589, 'Confirmation Document 01', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_01', 'none', '0'),
 (3590, 'Confirmation Document 02', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_02', 'none', '0'),
 (3591, 'Confirmation Document 03', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_03', 'none', '0'),
 (3592, 'Confirmation Document 04', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_04', 'none', '0'),
 (3593, 'Confirmation Document 05', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_05', 'none', '0'),
 (3594, 'Confirmation Document 06', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_06', 'none', '0'),
 (3595, 'Confirmation Document 07', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_07', 'none', '0'),
 (3596, 'Confirmation Document 08', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_08', 'none', '0'),
 (3597, 'Confirmation Document 09', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_09', 'none', '0'),
 (3598, 'Confirmation Document 10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_10', 'none', '0'),
 (3599, 'Confirmation Document 11', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_11', 'none', '0'),
 (3600, 'Confirmation Document 12', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_12', 'none', '0'),
 (3601, 'Confirmation Document 13', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_13', 'none', '0'),
 (3602, 'Confirmation Document 14', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_14', 'none', '0'),
 (3603, 'Confirmation Document 15', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_15', 'none', '0'),
 (3604, 'Confirmation Document 16', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_16', 'none', '0'),
 (3605, 'Confirmation Document 17', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_17', 'none', '0'),
 (3606, 'Confirmation Document 18', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_18', 'none', '0'),
 (3607, 'Confirmation Document 19', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_19', 'none', '0'),
 (3608, 'Confirmation Document 20', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_20', 'none', '0'),
 (3609, 'Confirmation Document 21', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_21', 'none', '0'),
 (3610, 'Confirmation Document 22', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_22', 'none', '0'),
 (3611, 'Confirmation Document 23', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_23', 'none', '0'),
 (3612, 'Confirmation Document 24', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_24', 'none', '0'),
 (3613, 'Confirmation Document 25', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_25', 'none', '0'),
 (3614, 'Confirmation Document 26', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_26', 'none', '0'),
 (3615, 'Confirmation Document 27', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_27', 'none', '0'),
 (3616, 'Confirmation Document 28', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_28', 'none', '0'),
 (3617, 'Confirmation Document 29', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_29', 'none', '0'),
 (3618, 'Confirmation Document 30', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_30', 'none', '0'),
 (3619, 'Confirmation Document 31', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_31', 'none', '0'),
 (3620, 'Confirmation Document 32', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_32', 'none', '0'),
 (3621, 'Confirmation Document 33', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_33', 'none', '0'),
 (3622, 'Confirmation Document 34', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_34', 'none', '0'),
 (3623, 'Confirmation Document 35', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_35', 'none', '0'),
 (3624, 'Confirmation Document 36', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_36', 'none', '0'),
 (3625, 'Confirmation Document 37', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_37', 'none', '0'),
 (3626, 'Confirmation Document 38', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_38', 'none', '0'),
 (3627, 'Confirmation Document 39', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_39', 'none', '0'),
 (3628, 'Confirmation Document 40', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_40', 'none', '0');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (3629, 'Confirmation Document 41', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_41', 'none', '0'),
 (3630, 'Confirmation Document 42', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_42', 'none', '0'),
 (3631, 'Confirmation Document 43', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_43', 'none', '0'),
 (3632, 'Confirmation Document 44', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_44', 'none', '0'),
 (3633, 'Confirmation Document 45', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_45', 'none', '0'),
 (3634, 'Confirmation Document 46', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_46', 'none', '0'),
 (3635, 'Confirmation Document 47', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_47', 'none', '0'),
 (3636, 'Confirmation Document 48', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_48', 'none', '0'),
 (3637, 'Confirmation Document 49', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_49', 'none', '0'),
 (3638, 'Confirmation Document 50', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_50', 'none', '0'),
 (3639, 'Confirmation Document 51', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_51', 'none', '0'),
 (3640, 'Confirmation Document 52', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_52', 'none', '0'),
 (3641, 'Confirmation Document 53', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_53', 'none', '0'),
 (3642, 'Confirmation Document 54', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_54', 'none', '0'),
 (3643, 'Confirmation Document 55', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_55', 'none', '0'),
 (3644, 'Confirmation Document 56', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_56', 'none', '0'),
 (3645, 'Confirmation Document 57', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_57', 'none', '0'),
 (3646, 'Confirmation Document 58', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_58', 'none', '0'),
 (3647, 'Confirmation Document 59', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_59', 'none', '0'),
 (3648, 'Confirmation Document 60', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_60', 'none', '0'),
 (3649, 'Confirmation Document 61', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_61', 'none', '0'),
 (3650, 'Confirmation Document 62', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_62', 'none', '0'),
 (3651, 'Confirmation Document 63', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_63', 'none', '0'),
 (3652, 'Confirmation Document 64', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_64', 'none', '0'),
 (3653, 'Confirmation Document 65', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_65', 'none', '0'),
 (3654, 'Confirmation Document 66', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_66', 'none', '0'),
 (3655, 'Confirmation Document 67', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_confirmation_document_67', 'none', '0'),
 (3656, 'Eye of Seer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_eye_of_seer', 'none', '0'),
 (3657, 'Pincher Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_claw_of_pinrul_roader', 'none', '0'),
 (3658, 'Ol Mahum Uniform', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_ol_mahum_uniform', 'none', '0'),
 (3659, 'Enku Orc Champion''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_enku_orc_champions_head', 'none', '0'),
 (3660, 'Bloody Bee Stinger', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_sting_of_bloody_bee', 'none', '0'),
 (3661, 'Ignition of Ghost Fire', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_ignition_of_ghost_fire', 'none', '0'),
 (3662, 'Ethereal Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_ethereal_blood', 'none', '0'),
 (3663, 'Returned Delivery Goods 10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_10', 'none', '0'),
 (3664, 'Returned Delivery Goods 15', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_15', 'none', '0'),
 (3665, 'Returned Delivery Goods 30', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_30', 'none', '0'),
 (3666, 'Returned Delivery Goods 33', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_33', 'none', '0'),
 (3667, 'Returned Delivery Goods 37', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_37', 'none', '0'),
 (3668, 'Returned Delivery Goods 45', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_45', 'none', '0'),
 (3669, 'Returned Delivery Goods 55', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_55', 'none', '0'),
 (3670, 'Returned Delivery Goods 60', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_returned_delivery_goods_60', 'none', '0'),
 (3671, 'Sophya''s 1st Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_sophias_order1', 'none', '0'),
 (3672, 'Sophya''s 2nd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_sophias_order2', 'none', '0'),
 (3673, 'Sophya''s 3rd Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_sophias_order3', 'none', '0'),
 (3674, 'Sophya''s 4th Order', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_sophias_order4', 'none', '0'),
 (3675, 'Lion''s Claw', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_lions_claw', 'none', '0'),
 (3676, 'Lion''s Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_lions_eye', 'none', '0'),
 (3677, 'Guild Coin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_guild_coin', 'none', '0'),
 (3678, 'Alchemy Text', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_alchemy_text', 'none', '0'),
 (3679, 'Secret Book of Potion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_secret_book_of_potion', 'none', '0'),
 (3680, '1st Potion Recipe', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_potion_recipe_1', 'none', '0'),
 (3681, '2nd Potion Recipe', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_potion_recipe_2', 'none', '0'),
 (3682, 'Matild''s Orb', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_matilds_orb', 'none', '0'),
 (3683, 'Forbidden Love Scroll', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_fobbiden_love_scroll', 'none', '0'),
 (3684, 'Amber Scale', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_amber_scale', 'none', '0'),
 (3685, 'Wind Soulstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_wind_soulstone', 'none', '0'),
 (3686, 'Glass Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_glass_eye', 'none', '0'),
 (3687, 'Horror Ectoplasm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_horror_ectoplasm', 'none', '0'),
 (3688, 'Silenos Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_silenos_horn', 'none', '0'),
 (3689, 'Ant Soldier Aphid', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_ant_soldier_aphid', 'none', '0'),
 (3690, 'Tyrant''s Chitin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_tyrants_chitin', 'none', '0'),
 (3691, 'Bugbear Blood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_bugbear_blood', 'none', '0'),
 (3692, '1st Circle Hunter License', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_hunter_license_1', 'none', '0'),
 (3693, '2nd Circle Hunter License', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_hunter_license_2', 'none', '0'),
 (3694, 'Laurel Leaf Pin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_laurel_leaf_pin', 'none', '0'),
 (3695, '1st Test Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_test_instructions_1', 'none', '0'),
 (3696, '2nd Test Instructions', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_test_instructions_2', 'none', '0'),
 (3697, 'Cybellin''s Request', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_cybellins_request', 'none', '0'),
 (3698, 'Blood Crystal: Purity 1', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_1', 'none', '0'),
 (3699, 'Blood Crystal: Purity 2', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_2', 'none', '0'),
 (3700, 'Blood Crystal: Purity 3', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_3', 'none', '0'),
 (3701, 'Blood Crystal: Purity 4', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_4', 'none', '0'),
 (3702, 'Blood Crystal: Purity 5', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_5', 'none', '0'),
 (3703, 'Blood Crystal: Purity 6', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_6', 'none', '0'),
 (3704, 'Blood Crystal: Purity 7', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_7', 'none', '0'),
 (3705, 'Blood Crystal: Purity 8', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_8', 'none', '0'),
 (3706, 'Blood Crystal: Purity 9', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_9', 'none', '0'),
 (3707, 'Blood Crystal: Purity 10', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_10', 'none', '0'),
 (3708, 'Blood Crystal: Broken', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_blood_crystal_x', 'none', '0'),
 (3709, 'Guardian Basilisk Scale', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_g_basil_scale', 'none', '0'),
 (3710, 'Karut Weed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_karut_weed', 'none', '0'),
 (3711, 'Haka''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_hakas_head', 'none', '0'),
 (3712, 'Jakas'' Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_jakas_head', 'none', '0'),
 (3713, 'Marka''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_markas_head', 'none', '0'),
 (3714, 'Windsus Aleph Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_windsus_aleph_skin', 'none', '0'),
 (3715, 'Indigo Runestone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_indigo_runestone', 'none', '0'),
 (3716, 'Sporesea Seed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_sporesea_seed', 'none', '0'),
 (3717, 'Timak Orc Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_timak_orc_totem', 'none', '0'),
 (3718, 'Trisalim Silk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_trisalim_silk', 'none', '0'),
 (3719, 'Ambrosius Fruit', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_ambrosius_fruit', 'none', '0'),
 (3720, 'Balefire Crystal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_balefire_crystal', 'none', '0'),
 (3721, 'Imperial Arrowhead', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_imperial_arrowhead', 'none', '0'),
 (3722, 'Athu''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_athus_head', 'none', '0'),
 (3723, 'Lanka''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_lankas_head', 'none', '0'),
 (3724, 'Triska''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_triskas_head', 'none', '0'),
 (3725, 'Motura''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_moturas_head', 'none', '0'),
 (3726, 'Kalath''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kalaths_head', 'none', '0'),
 (3727, '1st Circle Request: 1C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_1', 'none', '0'),
 (3728, '1st Circle Request: 2C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_2', 'none', '0'),
 (3729, '1st Circle Request: 3C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_3', 'none', '0'),
 (3730, '1st Circle Request: 4C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_4', 'none', '0'),
 (3731, '1st Circle Request: 5C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_5', 'none', '0'),
 (3732, '1st Circle Request: 6C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_6', 'none', '0'),
 (3733, '1st Circle Request: 7C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_7', 'none', '0'),
 (3734, '1st Circle Request: 8C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_8', 'none', '0'),
 (3735, '1st Circle Request: 9C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_9', 'none', '0'),
 (3736, '1st Circle Request: 10C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_10', 'none', '0'),
 (3737, '1st Circle Request: 11C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_11', 'none', '0'),
 (3738, '1st Circle Request: 12C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1c_12', 'none', '0'),
 (3739, '1st Circle Request: 1B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_1', 'none', '0'),
 (3740, '1st Circle Request: 2B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_2', 'none', '0'),
 (3741, '1st Circle Request: 3B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_3', 'none', '0'),
 (3742, '1st Circle Request: 4B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_4', 'none', '0'),
 (3743, '1st Circle Request: 5B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_5', 'none', '0'),
 (3744, '1st Circle Request: 6B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1u_6', 'none', '0'),
 (3745, '1st Circle Request: 1A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1r_1', 'none', '0'),
 (3746, '1st Circle Request: 2A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1r_2', 'none', '0'),
 (3747, '1st Circle Request: 3A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_1r_3', 'none', '0'),
 (3748, '2nd Circle Request: 1C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_1', 'none', '0'),
 (3749, '2nd Circle Request 2C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_2', 'none', '0'),
 (3750, '2nd Circle Request 3C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_3', 'none', '0'),
 (3751, '2nd Circle Request: 4C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_4', 'none', '0'),
 (3752, '2nd Circle Request: 5C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_5', 'none', '0'),
 (3753, '2nd Circle Request: 6C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_6', 'none', '0'),
 (3754, '2nd Circle Request: 7C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_7', 'none', '0'),
 (3755, '2nd Circle Request: 8C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_8', 'none', '0'),
 (3756, '2nd Circle Request: 9C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_9', 'none', '0'),
 (3757, '2nd Circle Request: 10C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_10', 'none', '0'),
 (3758, '2nd Circle Request: 11C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_11', 'none', '0'),
 (3759, '2nd Circle Request: 12C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2c_12', 'none', '0'),
 (3760, '2nd Circle Request: 1B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_1', 'none', '0'),
 (3761, '2nd Circle Request: 2B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_2', 'none', '0'),
 (3762, '2nd Circle Request: 3B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_3', 'none', '0'),
 (3763, '2nd Circle Request: 4B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_4', 'none', '0'),
 (3764, '2nd Circle Request: 5B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_5', 'none', '0'),
 (3765, '2nd Circle Request: 6B', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2u_6', 'none', '0'),
 (3766, '2nd Circle Request: 1A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2r_1', 'none', '0'),
 (3767, '2nd Circle Request: 2A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2r_2', 'none', '0'),
 (3768, '2nd Circle Request: 3A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_request_2r_3', 'none', '0'),
 (3769, 'Charm of Kadesh', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_charm_of_kadesh', 'none', '0'),
 (3770, 'Timak Jade Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_timak_jade_necklace', 'none', '0'),
 (3771, 'Enchanted Golem Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_en_golem_shard', 'none', '0'),
 (3772, 'Giant Monster Eye Meat', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_g_monstereye_meat', 'none', '0'),
 (3773, 'Dire Wyrm Egg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_dire_wyrm_egg', 'none', '0'),
 (3774, 'Grd Basilisk Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_grd_basilisk_talon', 'none', '0'),
 (3775, 'Revenant''s Chains', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_revenants_chains', 'none', '0'),
 (3776, 'Windsus Tusk', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_windsus_tusk', 'none', '0'),
 (3777, 'Grandis Skull', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_grandis_skull', 'none', '0'),
 (3778, 'Taik Obsidian Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_taik_obsidian_amulet', 'none', '0'),
 (3779, 'Karul Bugbear Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_karul_bugbear_head', 'none', '0'),
 (3780, 'Tamlin Ivory Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_tamlin_ivory_charm', 'none', '0'),
 (3781, 'Fang of Narak', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_fang_of_narak', 'none', '0'),
 (3782, 'Enchanted Gargoyle Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_en_gargoyle_horn', 'none', '0'),
 (3783, 'Coiled Serpent Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_coiled_serpent_totem', 'none', '0'),
 (3784, 'Totem of Kadesh', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_totem_of_kadesh', 'none', '0'),
 (3785, 'Kaiki''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kaikis_head', 'none', '0'),
 (3786, 'Kronbe Venom Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kronbe_venom_sac', 'none', '0'),
 (3787, 'Eva''s Charm', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_evas_charm', 'none', '0'),
 (3788, 'Titan''s Tablet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_titans_tablet', 'none', '0'),
 (3789, 'Book of Shunaiman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_book_of_shunaiman', 'none', '0'),
 (3790, 'Rotting Tree Spores', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_rot_tree_spores', 'none', '0'),
 (3791, 'Trisalim Venom Sac', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_trisalim_venom_sac', 'none', '0'),
 (3792, 'Taik Orc Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_taik_orc_totem', 'none', '0'),
 (3793, 'Harit Barbed Necklace', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_harit_barbed_necklace', 'none', '0'),
 (3794, 'Coin of Old Empire', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_coin_of_old_empire', 'none', '0'),
 (3795, 'Skin of Farcran', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_skin_of_farcran', 'none', '0'),
 (3796, 'Tempest Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_tempest_shard', 'none', '0'),
 (3797, 'Tsunami Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_tsunami_shard', 'none', '0'),
 (3798, 'Satyr Mane', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_pan_ruem_mane', 'none', '0'),
 (3799, 'Hamadryad Shard', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_hamadryad_shard', 'none', '0'),
 (3800, 'Vanor Silenos Mane', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_vanor_silenos_mane', 'none', '0'),
 (3801, 'Talk Bugbear Totem', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_talk_bugbear_totem', 'none', '0'),
 (3802, 'Okun''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_okuns_head', 'none', '0'),
 (3803, 'Kakran''s Head', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kakrans_head', 'none', '0'),
 (3804, 'Narcissus''s Soulstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_narcissus_soulstone', 'none', '0'),
 (3805, 'Deprive Eye', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_diprive_eye', 'none', '0'),
 (3806, 'Unicorn''s Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_unicorns_horn', 'none', '0'),
 (3807, 'Kerunos''s Gold Mane', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kerunos_gold_mane', 'none', '0'),
 (3808, 'Skull of Executed', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_skull_of_executed', 'none', '0'),
 (3809, 'Bust of Travis', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_bust_of_travis', 'none', '0'),
 (3810, 'Sword of Cadmus', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_sword_of_cadmus', 'none', '0'),
 (3811, 'Coin Diagram', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_coin_diagram', 'none', '0'),
 (3812, 'Kaldis Gold Dragon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kaldis_gold_dragon', 'none', '0'),
 (3813, 'Coin Collector Membership 1', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_cc_membership_1', 'none', '0'),
 (3814, 'Coin Collector Membership 2', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_cc_membership_2', 'none', '0'),
 (3815, 'Coin Collector Membership 3', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_cc_membership_3', 'none', '0'),
 (3816, 'Fairy Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_fairy_stone', 'none', '0'),
 (3817, 'Deluxe Fairy Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_fairy_stone_delux', 'none', '0'),
 (3818, 'Fairy Stone List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_list_of_stuff_for_fs', 'none', '0'),
 (3819, 'Deluxe Fairy Stone List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_list_of_stuff_for_fsd', 'none', '0'),
 (3820, 'Toad Lord Back Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_inpicios_back_skin', 'none', '0'),
 (3821, 'Juice of Monkshood', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_juice_of_monkshood', 'none', '0'),
 (3822, 'Scale of Drake Exarion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scale_of_drake_exarion', 'none', '0'),
 (3823, 'Egg of Drake Exarion', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_egg_of_drake_exarion', 'none', '0'),
 (3824, 'Scale of Drake Zwov', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scale_of_drake_zwov', 'none', '0'),
 (3825, 'Egg of Drake Zwov', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_egg_of_drake_zwov', 'none', '0'),
 (3826, 'Scale of Drake Kalibran', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scale_of_drake_kalibran', 'none', '0'),
 (3827, 'Egg of Drake Kalibran', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_egg_of_drake_kalibran', 'none', '0'),
 (3828, 'Scale of Wyvern Suzet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scale_of_wyrm_suzet', 'none', '0'),
 (3829, 'Egg of Wyvern Suzet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_egg_of_wyrm_suzet', 'none', '0'),
 (3830, 'Scale of Wyvern Shamhai', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scale_of_wyrm_shamhai', 'none', '0'),
 (3831, 'Egg of Wyvern Shamhai', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_egg_of_wyrm_shamhai', 'none', '0'),
 (3832, 'Herb of Harit', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_herb_of_breka', 'none', '2'),
 (3833, 'Herb of Vanor', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_herb_of_vanor', 'none', '2'),
 (3834, 'Herb of Oel Mahum', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_herb_of_oel_mahum', 'none', '2'),
 (3835, 'Blood of Eva', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_blood_of_eva', 'none', '2'),
 (3836, 'Athrea''s Coin', 'false', 'quest', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_athreas_coin', 'none', '0'),
 (3837, 'Symbol of Loyalty', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'q_symbol_of_loyalty', 'none', '2'),
 (3838, 'Recipe: Titan''s Powerstone', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_rp_titans_powerstone', 'recipe', '2'),
 (3839, 'Mist Drake Egg', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_mist_drake_egg', 'none', '0'),
 (3840, 'Blitz Wyrm Egg', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_blitz_wyrm_egg', 'none', '0'),
 (3841, 'Drake Egg', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_drake_egg', 'none', '0'),
 (3842, 'Thunder Wyrm Egg', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_thunderwyrm_egg', 'none', '0'),
 (3843, 'Brooch of the Magpie', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 1000, 0, 'true', 'q_magipie_brooch', 'none', '0'),
 (3844, 'Nebulite Crystals', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_nebulite_crystals', 'none', '0'),
 (3845, 'Broken Titan''s Powerstone', 'false', 'material', 0, 'stackable', 'steel', 'none', 0, 500, 0, 'true', 'q_bk_titan_powerstone', 'none', '2'),
 (3846, 'Titan''s Powerstone', 'false', 'material', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'q_titan_powerstone', 'none', '2'),
 (3847, 'Imperial Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_imperial_key', 'none', '0'),
 (3848, 'Undead Ash', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_undead_ash', 'none', '0'),
 (3849, 'Bloody Axe Insignia', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_bloodyaxe_insignia', 'none', '0'),
 (3850, 'Delu Lizardman Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_delu_lizardman_fang', 'none', '0'),
 (3851, 'Stakato Talon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_stakato_talon', 'none', '0'),
 (3852, 'Feather of Gabrielle', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_feather_of_gabrielle', 'none', '0'),
 (3853, 'Marsh Stalker Horn', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_marsh_stalker_horn', 'none', '0'),
 (3854, 'Marsh Drake Talons', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_marsh_drake_talon', 'none', '0'),
 (3855, 'Kranrot Skin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_kranrot_skin', 'none', '0'),
 (3856, 'Hamrut Leg', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_hamrut_leg', 'none', '0'),
 (3857, 'Remains of Sacrified', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_remains_of_sacrificed', 'none', '0'),
 (3858, 'Totem of Land Dragon', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_totem_of_earthdragon', 'none', '0'),
 (3859, '1st Fragment of Abyss Jewel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_frag_of_abyss_jewel1', 'none', '0'),
 (3860, '2nd Fragment of Abyss Jewel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_frag_of_abyss_jewel2', 'none', '0'),
 (3861, '3rd Fragment of Abyss Jewel', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_frag_of_abyss_jewel3', 'none', '0'),
 (3862, 'Mara Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_mara_fang', 'none', '0'),
 (3863, 'Musfel Fang', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_musfel_fang', 'none', '0'),
 (3864, 'Mark of Watchman', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_mark_of_watchers', 'none', '0'),
 (3865, 'Portal Stone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_portal_stone_1', 'none', '0'),
 (3866, 'Gustaf''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_gustafs_letter1', 'none', '0'),
 (3867, 'Gustaf''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_gustafs_letter2', 'none', '0'),
 (3868, 'Gustaf''s 1st Letter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_gustafs_letter3', 'none', '0'),
 (3869, 'Scepter of Judgment', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_scepter_of_judgemnt', 'none', '0'),
 (3870, 'Proof of Aspiration', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_proof_of_aspiration', 'none', '0'),
 (3871, 'Black Anvil Coin', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_black_anvil_coin', 'none', '0'),
 (3872, 'Antidote Recipe List', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_antidote_recipe_list', 'none', '0'),
 (3873, 'Voucher of Faith', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_voucher_of_faith', 'none', '0'),
 (3874, 'Proof of Alliance', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_proof_of_alliance', 'none', '0'),
 (3875, 'L2Day - A', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_a', 'none', '0'),
 (3876, 'L2Day - C', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_c', 'none', '0'),
 (3877, 'L2Day - E', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_e', 'none', '0'),
 (3878, 'L2Day - F', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_f', 'none', '0'),
 (3879, 'L2Day - G', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_g', 'none', '0'),
 (3880, 'L2Day - H', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_h', 'none', '0'),
 (3881, 'L2Day - I', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_i', 'none', '0'),
 (3882, 'L2Day - L', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_l', 'none', '0'),
 (3883, 'L2Day - N', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_n', 'none', '0'),
 (3884, 'L2Day - O', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_o', 'none', '0'),
 (3885, 'L2Day - R', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_r', 'none', '0'),
 (3886, 'L2Day - S', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_s', 'none', '0'),
 (3887, 'L2Day - T', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_t', 'none', '0'),
 (3888, 'L2Day - II', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'alphabet_ii', 'none', '0'),
 (3889, 'Potion of Recovery', 'false', 'quest', 180, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q_potion_of_recovery', 'potion', '0'),
 (3890, 'Herald of Slayer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_herald_of_slayer', 'none', '0'),
 (3926, 'L2Day - Scroll of Guidance', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_guidance', 'scroll', '2'),
 (3927, 'L2Day - Scroll of Death Whisper', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_death_whisper', 'scroll', '2'),
 (3928, 'L2Day - Scroll of Focus', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_focus', 'scroll', '2'),
 (3929, 'L2Day - Scroll of Greater Acumen', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_greater_acumen', 'scroll', '2'),
 (3930, 'L2Day - Scroll of Haste', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_haste', 'scroll', '2'),
 (3931, 'L2Day - Scroll of Agility', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_agility', 'scroll', '2'),
 (3932, 'L2Day - Scroll of Mystic Empower', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_empower', 'scroll', '2'),
 (3933, 'L2Day - Scroll of Might', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_might', 'scroll', '2'),
 (3934, 'L2Day - Scroll of Windwalk', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_wind_walk', 'scroll', '2'),
 (3935, 'L2Day - Scroll of Shield', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_shield', 'scroll', '2'),
 (3936, 'Blessed Scroll of Resurrection', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 400000, 0, 'true', 'blessed_scroll_of_resurrection', 'scroll', '2'),
 (3940, 'Blueprint: Summon Siege Golem', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4800, 0, 'true', 'sb_summon_siege_golem', 'none', '2'),
 (3941, 'Spellbook: Mass Resurrection', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_mass_ressurection1', 'none', '2'),
 (3942, 'Spellbook: Party Return', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'sb_party_recall1', 'none', '2'),
 (3943, 'Amulet: Heart of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_heart_of_paagrio1', 'none', '2'),
 (3944, 'Spellbook: Decrease Weight', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 2450, 0, 'true', 'sb_decrease_weight1', 'none', '2'),
 (3945, 'Boat Ticket', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 8000, 0, 'true', 'boat_ticket_talk_kiran', 'none', '2'),
 (3946, 'Boat Ticket', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 8000, 0, 'true', 'boat_ticket_kiran_talk', 'none', '2'),
 (3947, 'Blessed Spiritshot: No Grade', 'false', 'shot', 5, 'stackable', 'paper', 'none', 0, 35, 0, 'true', 'blessed_spiritshot_none', 'none', '2'),
 (3948, 'Blessed Spiritshot: D Grade', 'false', 'shot', 5, 'stackable', 'paper', 'd', 0, 45, 0, 'true', 'blessed_spiritshot_d', 'none', '2'),
 (3949, 'Blessed Spiritshot: C Grade', 'false', 'shot', 3, 'stackable', 'paper', 'c', 0, 90, 0, 'true', 'blessed_spiritshot_c', 'none', '2'),
 (3950, 'Blessed Spiritshot: B Grade', 'false', 'shot', 3, 'stackable', 'paper', 'b', 0, 245, 0, 'true', 'blessed_spiritshot_b', 'none', '2'),
 (3951, 'Blessed Spiritshot: A Grade', 'false', 'shot', 2, 'stackable', 'paper', 'a', 0, 290, 0, 'true', 'blessed_spiritshot_a', 'none', '2'),
 (3952, 'Blessed Spiritshot: S Grade', 'false', 'shot', 2, 'stackable', 'paper', 's', 0, 350, 0, 'true', 'blessed_spiritshot_s', 'none', '2'),
 (3953, 'Recipe: Blessed Spiritshot D', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_blessed_spiritshot_d', 'recipe', '2'),
 (3954, 'Recipe: Blessed Spiritshot C', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_blessed_spiritshot_c', 'recipe', '2'),
 (3955, 'Recipe: Blessed Spiritshot B', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_blessed_spiritshot_b', 'recipe', '2'),
 (3956, 'Recipe: Blessed Spiritshot A', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_blessed_spiritshot_a', 'recipe', '2'),
 (3957, 'Recipe: Blessed Spiritshot S', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 450000, 0, 'true', 'rp_blessed_spiritshot_s', 'recipe', '2'),
 (3958, 'L2Day - Blessed Scroll of Escape', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_escape', 'scroll', '2'),
 (3959, 'L2Day - Blessed Scroll of Resurrection', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'l2day_scroll_of_resurrection', 'scroll', '2'),
 (3960, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_gludio_sword_fix', 'castle_guard', '2'),
 (3961, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_gludio_pole_fix', 'castle_guard', '2'),
 (3962, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_gludio_bow_fix', 'castle_guard', '2'),
 (3963, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_gludio_cleric_fix', 'castle_guard', '2'),
 (3964, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_gludio_wizard_fix', 'castle_guard', '2'),
 (3965, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_gludio_sword_move', 'castle_guard', '2'),
 (3966, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_gludio_pole_move', 'castle_guard', '2'),
 (3967, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_gludio_bow_move', 'castle_guard', '2'),
 (3968, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_gludio_cleric_move', 'castle_guard', '2'),
 (3969, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_gludio_wizard_move', 'castle_guard', '2'),
 (3970, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_gludio_teleporter1', 'castle_guard', '2'),
 (3971, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_gludio_teleporter2', 'castle_guard', '2'),
 (3972, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_gludio_teleporter3', 'castle_guard', '2'),
 (3973, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_dion_sword_fix', 'castle_guard', '2'),
 (3974, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_dion_pole_fix', 'castle_guard', '2'),
 (3975, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_dion_bow_fix', 'castle_guard', '2'),
 (3976, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_dion_cleric_fix', 'castle_guard', '2'),
 (3977, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_dion_wizard_fix', 'castle_guard', '2'),
 (3978, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_dion_sword_move', 'castle_guard', '2'),
 (3979, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_dion_pole_move', 'castle_guard', '2'),
 (3980, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_dion_bow_move', 'castle_guard', '2'),
 (3981, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_dion_cleric_move', 'castle_guard', '2'),
 (3982, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_dion_wizard_move', 'castle_guard', '2'),
 (3983, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_dion_teleporter1', 'castle_guard', '2'),
 (3984, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_dion_teleporter2', 'castle_guard', '2'),
 (3985, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_dion_teleporter3', 'castle_guard', '2'),
 (3986, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_giran_sword_fix', 'castle_guard', '2'),
 (3987, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_giran_pole_fix', 'castle_guard', '2'),
 (3988, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_giran_bow_fix', 'castle_guard', '2'),
 (3989, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_giran_cleric_fix', 'castle_guard', '2'),
 (3990, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_giran_wizard_fix', 'castle_guard', '2'),
 (3991, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_giran_sword_move', 'castle_guard', '2'),
 (3992, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_giran_pole_move', 'castle_guard', '2'),
 (3993, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_giran_bow_move', 'castle_guard', '2'),
 (3994, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_giran_cleric_move', 'castle_guard', '2'),
 (3995, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_giran_wizard_move', 'castle_guard', '2'),
 (3996, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_giran_teleporter1', 'castle_guard', '2'),
 (3997, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_giran_teleporter2', 'castle_guard', '2'),
 (3998, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_giran_teleporter3', 'castle_guard', '2'),
 (3999, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_oren_sword_fix', 'castle_guard', '2'),
 (4000, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_oren_pole_fix', 'castle_guard', '2'),
 (4001, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_oren_bow_fix', 'castle_guard', '2'),
 (4002, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_oren_cleric_fix', 'castle_guard', '2'),
 (4003, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_oren_wizard_fix', 'castle_guard', '2'),
 (4004, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_oren_sword_move', 'castle_guard', '2'),
 (4005, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_oren_pole_move', 'castle_guard', '2'),
 (4006, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_oren_bow_move', 'castle_guard', '2'),
 (4007, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_oren_cleric_move', 'castle_guard', '2'),
 (4008, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_oren_wizard_move', 'castle_guard', '2'),
 (4009, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_oren_teleporter1', 'castle_guard', '2'),
 (4010, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_oren_teleporter2', 'castle_guard', '2'),
 (4011, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_oren_teleporter3', 'castle_guard', '2'),
 (4012, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_aden_sword_fix', 'castle_guard', '2'),
 (4013, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_aden_pole_fix', 'castle_guard', '2'),
 (4014, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_aden_bow_fix', 'castle_guard', '2'),
 (4015, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_aden_cleric_fix', 'castle_guard', '2'),
 (4016, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_aden_wizard_fix', 'castle_guard', '2'),
 (4017, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 30000, 0, 'false', 'mticket_aden_sword_move', 'castle_guard', '2'),
 (4018, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 40000, 0, 'false', 'mticket_aden_pole_move', 'castle_guard', '2'),
 (4019, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'mticket_aden_bow_move', 'castle_guard', '2'),
 (4020, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_aden_cleric_move', 'castle_guard', '2'),
 (4021, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 150000, 0, 'false', 'mticket_aden_wizard_move', 'castle_guard', '2'),
 (4022, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_aden_teleporter1', 'castle_guard', '2'),
 (4023, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_aden_teleporter2', 'castle_guard', '2'),
 (4024, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_aden_teleporter3', 'castle_guard', '2'),
 (4025, 'Mercenary Posting Ticket (Teleporter4)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_aden_teleporter4', 'castle_guard', '2'),
 (4026, 'Mercenary Posting Ticket (Teleporter5)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 100000, 0, 'false', 'mticket_aden_teleporter5', 'castle_guard', '2'),
 (4029, 'Red Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_red', 'none', '0'),
 (4030, 'Orange Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_orange', 'none', '0'),
 (4031, 'Yellow Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_yellow', 'none', '0'),
 (4032, 'Green Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_green', 'none', '0'),
 (4033, 'Blue Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_blue', 'none', '0'),
 (4034, 'Purple Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_purple', 'none', '0'),
 (4035, 'White Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_white', 'none', '0'),
 (4036, 'Black Paper', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'paper_black', 'none', '0'),
 (4037, 'Coin of Luck', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'false', 'coin_of_luck', 'none', '0'),
 (4038, 'Food For Hatchling', 'false', 'none', 40, 'stackable', 'liquid', 'none', 0, 150, 0, 'true', 'food_for_hatchling', 'none', '2'),
 (4039, 'Mold Glue', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 6000, 0, 'true', 'mold_glue', 'material', '2'),
 (4040, 'Mold Lubricant', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 10000, 0, 'true', 'mold_lubricant', 'material', '2'),
 (4041, 'Mold Hardener', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 23000, 0, 'true', 'mold_hardener', 'material', '2'),
 (4042, 'Enria', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'enria', 'material', '2'),
 (4043, 'Asofe', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 6000, 0, 'true', 'asofe', 'material', '2'),
 (4044, 'Thons', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 6000, 0, 'true', 'thons', 'material', '2'),
 (4045, 'Maestro Holder', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 411000, 0, 'true', 'maestro_holder', 'material', '2'),
 (4046, 'Maestro Anvil Lock', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 90400, 0, 'true', 'maestro_anvil_lock', 'material', '2'),
 (4047, 'Craftsman Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 710000, 0, 'true', 'craftsman_mold', 'material', '2'),
 (4048, 'Maestro Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 154000, 0, 'true', 'maestro_mold', 'material', '2'),
 (4049, 'Adamantite Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3813, 0, 'true', 'adamantite_earing_gemstone', 'material', '1'),
 (4050, 'Adamantite Ring Wire', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3228, 0, 'true', 'adamantite_ring_wire', 'material', '1'),
 (4051, 'Adamantite Necklace Chain', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5157, 0, 'true', 'adamantite_necklace_chain', 'material', '1'),
 (4052, 'Earring of Black Ore Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5649, 0, 'true', 'earing_of_black_ore_piece', 'material', '1'),
 (4053, 'Ring of Black Ore Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4666, 0, 'true', 'ring_of_black_ore_gemstone', 'material', '1'),
 (4054, 'Necklace of Black Ore Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10154, 0, 'true', 'necklace_of_black_ore_beads', 'material', '1'),
 (4055, 'Composite Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3120, 0, 'true', 'composite_shield_fragment', 'material', '1'),
 (4056, 'Zubei''s Breastplate Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11050, 0, 'true', 'shrnoen''s_breastplate_part', 'material', '1'),
 (4057, 'Zubei''s Gaiter Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 7150, 0, 'true', 'shrnoen''s_gaiters_material', 'material', '1'),
 (4058, 'Implosion Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'implosion_boots_part', 'material', '1'),
 (4059, 'Boots of Silence Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'silent_boots_fabric', 'material', '1'),
 (4060, 'Guardian''s Boots Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'guardian''s_boots_fabric', 'material', '1'),
 (4061, 'Paradia Boots Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'paradia_boots_pattern', 'material', '1'),
 (4062, 'Elemental Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'elemental_boots_lining', 'material', '1'),
 (4063, 'Boots of Grace Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'boots_of_grace_lining', 'material', '1'),
 (4064, 'Avadon Breastplate Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11050, 0, 'true', 'avadon_breastplate_part', 'material', '1'),
 (4065, 'Avadon Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 7150, 0, 'true', 'avadon_gaiters_material', 'material', '1'),
 (4066, 'Zubei''s Leather Shirt Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8483, 0, 'true', 'shrnoen''s_leather_shirts_fabric', 'material', '1'),
 (4067, 'Zubei''s Leather Gaiter Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5587, 0, 'true', 'shrnoen''s_leather_gaiters_texture', 'material', '1'),
 (4068, 'Avadon Leather Mail Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11042, 0, 'true', 'avadon_leather_mail_lining', 'material', '1'),
 (4069, 'Tunic of Zubei Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8483, 0, 'true', 'tunic_of_shrnoen_fabric', 'material', '1'),
 (4070, 'Stockings of Zubei Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5587, 0, 'true', 'hose_of_shrnoen_fabric', 'material', '1'),
 (4071, 'Avadon Robe Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11042, 0, 'true', 'avadon_robe_fabric', 'material', '1'),
 (4072, 'Avadon Circlet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4453, 0, 'true', 'avadon_circlet_pattern', 'material', '1'),
 (4073, 'Avadon Gloves Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'avadon_gloves_part', 'material', '1'),
 (4074, 'Chain Gloves of Silence Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'silent_chain_gloves_design', 'material', '1'),
 (4075, 'Guardian''s Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'guardian''s_gloves_design', 'material', '1'),
 (4076, 'Gloves of Blessing Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'gloves_of_blessing_pattern', 'material', '1'),
 (4077, 'Doom Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4446, 0, 'true', 'doom_shield_fragment', 'material', '1'),
 (4078, 'Blue Wolf Breastplate Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13692, 0, 'true', 'blue_wolve''s_breastplate_part', 'material', '1'),
 (4079, 'Boots of Blessing Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'boots_of_blessing_design', 'material', '1'),
 (4080, 'Blue Wolf Gaiters Material', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9723, 0, 'true', 'blue_wolve''s_gaiters_material', 'material', '1'),
 (4081, 'Doom Plate Armor Temper', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 20292, 0, 'true', 'doom_plate_armor_temper', 'material', '1'),
 (4082, 'Blue Wolf Leather Armor Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17700, 0, 'true', 'blue_wolve''s_leather_mail_texture', 'material', '1'),
 (4083, 'Leather Mail of Doom Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 17700, 0, 'true', 'leather_mail_of_doom_design', 'material', '1'),
 (4084, 'Blue Wolf Tunic Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11508, 0, 'true', 'blue_wolve''s_tunic_fabric', 'material', '1'),
 (4085, 'Tunic of Doom Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11508, 0, 'true', 'tunic_of_doom_pattern', 'material', '1'),
 (4086, 'Blue Wolf Stockings Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8523, 0, 'true', 'blue_wolve''s_hose_pattern', 'material', '1'),
 (4087, 'Stockings of Doom Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8523, 0, 'true', 'hose_of_doom_pattern', 'material', '1'),
 (4088, 'Blue Wolf Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5292, 0, 'true', 'blue_wolve''s_helmet_design', 'material', '1'),
 (4089, 'Doom Helmet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5292, 0, 'true', 'doom_helmet_pattern', 'material', '1'),
 (4090, 'Blue Wolf Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'blue_wolve''s_boots_design', 'material', '1'),
 (4091, 'Doom Gloves Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'doom_gloves_part', 'material', '1'),
 (4092, 'Elemental Gloves Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'elemental_gloves_lining', 'material', '1'),
 (4093, 'Gloves of Grace Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'gloves_of_grace_lining', 'material', '1'),
 (4094, 'Implosion Gauntlet Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'implosion_gauntlet_fabric', 'material', '1'),
 (4095, 'Paradia Gloves Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'paradia_gloves_pattern', 'material', '1'),
 (4096, 'Blue Wolf Gloves Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'blue_wolve''s_gloves_fabric', 'material', '1'),
 (4097, 'Zubei''s Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'shrnoen''s_boots_design', 'material', '1'),
 (4098, 'Avadon Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'avadon_boots_design', 'material', '1'),
 (4099, 'Doom Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4455, 0, 'true', 'doom_boots_part', 'material', '1'),
 (4100, 'Zubei''s Gauntlet Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3843, 0, 'true', 'shrnoen''s_gauntlet_part', 'material', '1'),
 (4101, 'Zubei''s Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 3450, 0, 'true', 'shrnoen''s_shield_fragment', 'material', '1'),
 (4102, 'Zubei''s Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 4453, 0, 'true', 'shrnoen''s_helmet_design', 'material', '1'),
 (4103, 'Pata Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 32950, 0, 'true', 'pata_blade', 'material', '1'),
 (4104, 'Great Sword Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 34950, 0, 'true', 'great_sword_blade', 'material', '1'),
 (4105, 'Heavy War Axe Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 34950, 0, 'true', 'heavy_war_axe_head', 'material', '1'),
 (4106, 'Sprite''s Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35533, 0, 'true', 'sprite''s_staff_head', 'material', '1'),
 (4107, 'Keshanberk Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35500, 0, 'true', 'kshanberk_blade', 'material', '1'),
 (4108, 'Sword of Valhalla Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35500, 0, 'true', 'sword_of_valhalla_blade', 'material', '1'),
 (4109, 'Kris Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35500, 0, 'true', 'kris_edge', 'material', '1'),
 (4110, 'Hell Knife Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35500, 0, 'true', 'hell_knife_edge', 'material', '1'),
 (4111, 'Arthro Nail Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 34950, 0, 'true', 'arthro_nail_blade', 'material', '1'),
 (4112, 'Dark Elven Long Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 35325, 0, 'true', 'dark_elven_long_bow_shaft', 'material', '1'),
 (4113, 'Great Axe Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 38867, 0, 'true', 'great_axe_head', 'material', '1'),
 (4114, 'Sword of Damascus Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45692, 0, 'true', 'sword_of_damascus_blade', 'material', '1'),
 (4115, 'Lance Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45846, 0, 'true', 'lancia_blade', 'material', '1'),
 (4116, 'Deadman''s Glory Stone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45769, 0, 'true', 'deadman''s_glory_stone', 'material', '1'),
 (4117, 'Art of Battle Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45769, 0, 'true', 'art_of_battle_axe_blade', 'material', '1'),
 (4118, 'Staff of Evil Spirit Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 48308, 0, 'true', 'staff_of_evil_sprit_head', 'material', '1'),
 (4119, 'Demon''s Sword Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45692, 0, 'true', 'demon''s_sword_edge', 'material', '1'),
 (4120, 'Bellion Cestus Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45769, 0, 'true', 'bellion_cestus_edge', 'material', '1'),
 (4121, 'Bow of Peril Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 45923, 0, 'true', 'hazard_bow_shaft', 'material', '1'),
 (4122, 'Recipe: Maestro Holder', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4500, 0, 'true', 'rp_maestro_holder', 'recipe', '2'),
 (4123, 'Recipe: Maestro Anvil Lock', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4500, 0, 'true', 'rp_maestro_anvil_lock', 'recipe', '2'),
 (4124, 'Recipe: Craftsman Mold', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4500, 0, 'true', 'rp_craftsman_mold', 'recipe', '2'),
 (4125, 'Recipe: Maestro Mold', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 4500, 0, 'true', 'rp_maestro_mold', 'recipe', '2'),
 (4126, 'Recipe: Adamantite Earring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12120, 0, 'true', 'rp_adamantite_earing', 'recipe', '2'),
 (4127, 'Recipe: Adamantite Ring', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8080, 0, 'true', 'rp_adamantite_ring', 'recipe', '2'),
 (4128, 'Recipe: Adamantite Necklace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16160, 0, 'true', 'rp_adamantite_necklace', 'recipe', '2'),
 (4129, 'Recipe: Earring of Black Ore', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 18480, 0, 'true', 'rp_earing_of_black_ore', 'recipe', '2'),
 (4130, 'Recipe: Ring of Black Ore', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12320, 0, 'true', 'rp_ring_of_black_ore', 'recipe', '2'),
 (4131, 'Recipe: Necklace of Black Ore', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'rp_necklace_of_black_ore', 'recipe', '2'),
 (4132, 'Recipe: Composite Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5160, 0, 'true', 'rp_composite_shield', 'recipe', '2'),
 (4133, 'Recipe: Zubei''s Breastplate', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 41600, 0, 'true', 'rp_shrnoen''s_breastplate', 'recipe', '2'),
 (4134, 'Recipe: Zubei''s Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 26000, 0, 'true', 'rp_shrnoen''s_gaiters', 'recipe', '2'),
 (4135, 'Recipe: Implosion Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_implosion_boots', 'recipe', '2'),
 (4136, 'Recipe: Boots of Silence', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_silent_boots', 'recipe', '2'),
 (4137, 'Recipe: Guardian''s Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_guardian''s_boots', 'recipe', '2'),
 (4138, 'Recipe: Paradia Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_paradia_boots', 'recipe', '2'),
 (4139, 'Recipe: Elemental Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_elemental_boots', 'recipe', '2'),
 (4140, 'Recipe: Boots of Grace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_boots_of_grace', 'recipe', '2'),
 (4141, 'Recipe: Avadon Breastplate', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 41600, 0, 'true', 'rp_avadon_breastplate', 'recipe', '2'),
 (4142, 'Recipe: Avadon Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 26000, 0, 'true', 'rp_avadon_gaiters', 'recipe', '2'),
 (4143, 'Recipe: Zubei''s Leather Shirt', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 31200, 0, 'true', 'rp_shrnoen''s_leather_shirts', 'recipe', '2'),
 (4144, 'Recipe: Zubei''s Leather Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19460, 0, 'true', 'rp_shrnoen''s_leather_gaiters', 'recipe', '2'),
 (4145, 'Recipe: Avadon Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45600, 0, 'true', 'rp_avadon_leather_mail', 'recipe', '2'),
 (4146, 'Recipe: Tunic of Zubei', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 31200, 0, 'true', 'rp_tunic_of_shrnoen', 'recipe', '2'),
 (4147, 'Recipe: Stockings of Zubei', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19460, 0, 'true', 'rp_hose_of_shrnoen', 'recipe', '2'),
 (4148, 'Recipe: Avadon Robe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45600, 0, 'true', 'rp_avadon_robe', 'recipe', '2'),
 (4149, 'Recipe: Avadon Circlet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 15560, 0, 'true', 'rp_avadon_circlet', 'recipe', '2'),
 (4150, 'Recipe: Avadon Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_avadon_gloves', 'recipe', '2'),
 (4151, 'Recipe: Chain Gloves of Silence', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_silent_chain_gloves', 'recipe', '2'),
 (4152, 'Recipe: Guardian''s Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_guardian''s_gloves', 'recipe', '2'),
 (4153, 'Recipe: Gloves of Blessing', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_gloves_of_blessing', 'recipe', '2'),
 (4154, 'Recipe: Doom Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16900, 0, 'true', 'rp_doom_shield', 'recipe', '2'),
 (4155, 'Recipe: Blue Wolf Breastplate', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 64400, 0, 'true', 'rp_blue_wolve''s_breastplate', 'recipe', '2'),
 (4156, 'Recipe: Boots of Blessing', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_boots_of_blessing', 'recipe', '2'),
 (4157, 'Recipe: Blue Wolf Gaiters', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 40200, 0, 'true', 'rp_blue_wolve''s_gaiters', 'recipe', '2'),
 (4158, 'Recipe: Doom Plate Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 94200, 0, 'true', 'rp_doom_plate_armor', 'recipe', '2'),
 (4159, 'Recipe: Blue Wolf Leather Armor', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 70600, 0, 'true', 'rp_blue_wolve''s_leather_mail', 'recipe', '2'),
 (4160, 'Recipe: Leather Armor of Doom', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 70600, 0, 'true', 'rp_leather_mail_of_doom', 'recipe', '2'),
 (4161, 'Recipe: Blue Wolf Tunic', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 48200, 0, 'true', 'rp_blue_wolve''s_tunic', 'recipe', '2'),
 (4162, 'Recipe: Tunic of Doom', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 48200, 0, 'true', 'rp_tunic_of_doom', 'recipe', '2'),
 (4163, 'Recipe: Blue Wolf Stockings', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30200, 0, 'true', 'rp_blue_wolve''s_hose', 'recipe', '2'),
 (4164, 'Recipe: Stockings of Doom', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30200, 0, 'true', 'rp_hose_of_doom', 'recipe', '2'),
 (4165, 'Recipe: Blue Wolf Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24200, 0, 'true', 'rp_blue_wolve''s_helmet', 'recipe', '2'),
 (4166, 'Recipe: Doom Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24200, 0, 'true', 'rp_doom_helmet', 'recipe', '2'),
 (4167, 'Recipe: Blue Wolf Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_blue_wolve''s_boots', 'recipe', '2'),
 (4168, 'Recipe: Doom Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_doom_gloves', 'recipe', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (4169, 'Recipe: Elemental Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_elemental_gloves', 'recipe', '2'),
 (4170, 'Recipe: Gloves of Grace', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_gloves_of_grace', 'recipe', '2'),
 (4171, 'Recipe: Implosion Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_implosion_gauntlet', 'recipe', '2'),
 (4172, 'Recipe: Paradia Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_paradia_gloves', 'recipe', '2'),
 (4173, 'Recipe: Blue Wolf Gloves', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_blue_wolve''s_gloves', 'recipe', '2'),
 (4174, 'Recipe: Zubei''s Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_shrnoen''s_boots', 'recipe', '2'),
 (4175, 'Recipe: Avadon Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_avadon_boots', 'recipe', '2'),
 (4176, 'Recipe: Doom Boots', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_doom_boots', 'recipe', '2'),
 (4177, 'Recipe: Zubei''s Gauntlets', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_shrnoen''s_gauntlet', 'recipe', '2'),
 (4178, 'Recipe: Zubei''s Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10900, 0, 'true', 'rp_shrnoen''s_shield', 'recipe', '2'),
 (4179, 'Recipe: Zubei''s Helmet', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 15560, 0, 'true', 'rp_shrnoen''s_helmet', 'recipe', '2'),
 (4180, 'Recipe: Silver Arrow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 1800, 0, 'true', 'rp_silver_arrow', 'recipe', '2'),
 (4181, 'Recipe: Pata', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 156600, 0, 'true', 'rp_pata', 'recipe', '2'),
 (4182, 'Recipe: Great Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_great_sword', 'recipe', '2'),
 (4183, 'Recipe: Heavy War Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_heavy_war_axe', 'recipe', '2'),
 (4184, 'Recipe: Sprite''s Staff', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_sprite''s_staff', 'recipe', '2'),
 (4185, 'Recipe: Keshanberk', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_kshanberk', 'recipe', '2'),
 (4186, 'Recipe: Sword of Valhalla', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_sword_of_valhalla', 'recipe', '2'),
 (4187, 'Recipe: Kris', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_kris', 'recipe', '2'),
 (4188, 'Recipe: Hell Knife', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_hell_knife', 'recipe', '2'),
 (4189, 'Recipe: Arthro Nail', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_arthro_nail', 'recipe', '2'),
 (4190, 'Recipe: Dark Elven Long Bow', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_dark_elven_long_bow', 'recipe', '2'),
 (4191, 'Recipe: Great Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_great_axe', 'recipe', '2'),
 (4192, 'Recipe: Sword of Damascus', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_sword_of_damascus', 'recipe', '2'),
 (4193, 'Recipe: Lance', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_lancia', 'recipe', '2'),
 (4194, 'Recipe: Deadman''s Glory', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_deadman''s_glory', 'recipe', '2'),
 (4195, 'Recipe: Art of Battle Axe', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_art_of_battle_axe', 'recipe', '2'),
 (4196, 'Recipe: Staff of Evil Spirit', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_staff_of_evil_sprit', 'recipe', '2'),
 (4197, 'Recipe: Demon''s Sword', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_demon''s_sword', 'recipe', '2'),
 (4198, 'Recipe: Bellion Cestus', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_bellion_cestus', 'recipe', '2'),
 (4199, 'Recipe: Bow of Peril', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_hazard_bow', 'recipe', '2'),
 (4200, 'Spellbook: Restore Life', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_restore_life1', 'none', '2'),
 (4201, 'Spellbook: Resist Shock', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_resist_shock1', 'none', '2'),
 (4203, 'Spellbook: Life Leech', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_life_leech', 'none', '2'),
 (4204, 'Amulet: Tact of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_tact_of_paagrio', 'none', '2'),
 (4205, 'Amulet: Rage of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_rage_of_paagrio', 'none', '2'),
 (4206, 'Spellbook: Transfer Pain', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_transfer_pain', 'none', '2'),
 (4207, 'Spellbook: Mana Regeneration', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_mana_regeneration', 'none', '2'),
 (4208, 'Spellbook: Curse Gloom', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_curse_gloom', 'none', '2'),
 (4209, 'L2 Day - Heart Piece 1', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_1', 'none', '0'),
 (4210, 'L2 Day - Heart Piece 2', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_2', 'none', '0'),
 (4211, 'L2 Day - Heart Piece 3', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_3', 'none', '0'),
 (4212, 'L2 Day - Heart Piece 4', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_4', 'none', '0'),
 (4213, 'L2 Day - Heart Piece 5', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_5', 'none', '0'),
 (4214, 'L2 Day - Heart Piece 6', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_6', 'none', '0'),
 (4215, 'L2 Day - Heart Piece 7', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_7', 'none', '0'),
 (4216, 'L2 Day - Heart Piece 8', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_8', 'none', '0'),
 (4217, 'L2 Day - Heart Piece 9', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'heart_9', 'none', '0'),
 (4218, 'L2 Day - Scroll of Mana Regeneration', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'l2day_scroll_of_mana_regeneration', 'scroll', '2'),
 (4232, 'Dice', 'false', 'quest', 0, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'dice', 'none', '0'),
 (4239, 'Blade Mold', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q_blade_mold', 'none', '0'),
 (4240, 'Tyra''s Bill', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_tweetys_bill', 'none', '0'),
 (4241, 'Ranger''s Report - Part 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_rangers_report1', 'none', '0'),
 (4242, 'Ranger''s Report - Part 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_rangers_report2', 'none', '0'),
 (4243, 'Ranger''s Report - Part 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_rangers_report3', 'none', '0'),
 (4244, 'Ranger''s Report - Part 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_rangers_report4', 'none', '0'),
 (4245, 'Weapons Trade Contract', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_weaponsdeal_contract', 'none', '0'),
 (4246, 'Attack Directives', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_attack_directives', 'none', '0'),
 (4247, 'Certificate of the Silver Scale Guild', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_silver_balance_mark', 'none', '0'),
 (4248, 'Rolento''s Cargobox', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_rolentos_cargobox', 'none', '0'),
 (4249, 'Ol Mahum Captain''s Head', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q_olmahum_cptn_head', 'none', '0'),
 (4250, 'Jade Crystal', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_jade_crystal', 'none', '0'),
 (4251, 'Ancient Statue of Goddess', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q_ancient_idol', 'none', '0'),
 (4252, 'Galfredo Romer''s Bust', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q_ancient_portrait', 'none', '0'),
 (4253, 'Eye of the Shadow', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_eye_of_shadow', 'none', '0'),
 (4254, 'Certificate of Participation: Battle Royal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_battle_royal', 'none', '0'),
 (4255, 'Trade Cargo', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_merchant_league_cargo', 'none', '0'),
 (4256, 'Agnes''s Holy Symbol', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_agnes_holysymbol', 'none', '0'),
 (4257, 'Agnes''s Rosary', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_agnes_rosary', 'none', '0'),
 (4258, 'Sinister Totem', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_sinister_totem', 'none', '0'),
 (4259, 'Bear Skin', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q_bear_skin', 'none', '0'),
 (4260, 'Enku Orc''s Head', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0342_orks_head', 'none', '0'),
 (4261, 'Orc Heads Bouquet -1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_1', 'none', '0'),
 (4262, 'Orc Heads Bouquet -2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_2', 'none', '0'),
 (4263, 'Orc Heads Bouquet -3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_3', 'none', '0'),
 (4264, 'Orc Heads Bouquet -4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_4', 'none', '0'),
 (4265, 'Orc Heads Bouquet -5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_5', 'none', '0'),
 (4266, 'Orc Heads Bouquet -6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_6', 'none', '0'),
 (4267, 'Orc Heads Bouquet -7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_bloody_bouquet_7', 'none', '0'),
 (4268, 'Jennifer''s Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0342_box_to_orclady', 'none', '0'),
 (4269, 'Articles of Dead Heroes', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0344_left_thing_of_heroes', 'none', '0'),
 (4270, 'Old Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0344_old_key', 'none', '0'),
 (4271, 'Old Hilt', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0344_old_hilt', 'none', '0'),
 (4272, 'Totem Necklace', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0344_totem_necklace', 'none', '0'),
 (4273, 'Einhasad Crucifix', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0344_holy_symbol_of_light', 'none', '0'),
 (4274, 'Victim''s Arm Bone', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_arm', 'none', '0'),
 (4275, 'Victim''s Thigh Bone', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_leg', 'none', '0'),
 (4276, 'Victim''s Skull', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_skull', 'none', '0'),
 (4277, 'Victim''s Rib Bone', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_rib', 'none', '0'),
 (4278, 'Victim''s Spine', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_spine', 'none', '0'),
 (4279, 'Jar of Bones', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_jar_of_bone', 'none', '0'),
 (4280, 'Useless Bone Pieces', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_bone_useless', 'none', '0'),
 (4281, 'Powder to Summon Dead Souls', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_calling_spirit_powder', 'none', '0'),
 (4282, 'Sack of the Dead', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0345_sack_ot_the_dead', 'none', '0'),
 (4283, 'Frog Prince', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_frogged_prince', 'none', '0'),
 (4284, 'Fly Powder', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q_fly_powder', 'none', '0'),
 (4285, 'Calculator', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_calculator', 'none', '0'),
 (4286, 'Gemstone Beast''s Crystal', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_gemstone', 'none', '0'),
 (4287, 'Titan''s Powerstone', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0348_engine_of_lgiant', 'none', '0'),
 (4288, 'Hanellin''s 1st Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0348_hanellins_letter1', 'none', '0'),
 (4289, 'Hanellin''s 2nd Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0348_hanellins_letter2', 'none', '0'),
 (4290, 'Hanellin''s 3rd Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0348_hanellins_letter3', 'none', '0'),
 (4291, '1st Key of Ark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0348_key_of_ark1', 'none', '0'),
 (4292, '2nd Key of Ark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0348_key_of_ark2', 'none', '0'),
 (4293, '3rd Key of Ark', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0348_key_of_ark3', 'none', '0'),
 (4294, 'White Fabric', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q0348_white_fabric', 'none', '0'),
 (4295, 'Blooded Fabric', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q0348_blooded_fabric', 'none', '0'),
 (4296, 'Order of Gosta', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_order_of_gosta', 'none', '0'),
 (4297, 'Lizard Fang', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0351_lizard_fang', 'none', '0'),
 (4298, 'Barrel of League', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q0351_barrel_of_league', 'none', '0'),
 (4299, 'Operation Document - 1/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_01', 'none', '0'),
 (4300, 'Operation Document - 2/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_02', 'none', '0'),
 (4301, 'Operation Document - 3/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_03', 'none', '0'),
 (4302, 'Operation Document - 4/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_04', 'none', '0'),
 (4303, 'Operation Document - 5/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_05', 'none', '0'),
 (4304, 'Operation Document - 6/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_06', 'none', '0'),
 (4305, 'Operation Document - 7/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_07', 'none', '0'),
 (4306, 'Operation Document - 8/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_08', 'none', '0'),
 (4307, 'Operation Document - 9/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_09', 'none', '0'),
 (4308, 'Operation Document - 10/10', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_10', 'none', '0'),
 (4309, 'Completed Operation Order', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_ope_doc_all', 'none', '0'),
 (4310, 'Bill of Iason Heine', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0351_bill_of_iason', 'none', '0'),
 (4311, 'Gillian''s Diary', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_gillians_diary', 'none', '0'),
 (4312, 'Gillian''s Notes', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_gillians_notes', 'none', '0'),
 (4313, 'Unfinished Music', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_unfinished_music', 'none', '0'),
 (4314, 'Gillian''s Heart', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q_gillians_heart', 'none', '0'),
 (4315, 'Gandi Tribe''s Relic', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_gandi_tribe_relic', 'none', '0'),
 (4316, 'Swan''s Flute', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_swans_flute', 'none', '0'),
 (4317, 'Swan''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_letter_of_swan', 'none', '0'),
 (4318, 'Event Clothes', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q_event_cloth', 'none', '0'),
 (4319, 'Nanarin''s Flute', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q_nanarins_flute', 'none', '0'),
 (4320, 'Sabrin''s Black Beer', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q_sabrin_black_beer', 'none', '0'),
 (4321, 'Stolen Black Beer', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q_stolen_black_beer', 'none', '0'),
 (4322, 'Stolen Event Clothes', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q_stolen_event_cloth', 'none', '0'),
 (4323, 'Clothes Chest Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_cloth_chest_key', 'none', '0'),
 (4324, 'Beer Chest Key', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_beer_chest_key', 'none', '0'),
 (4325, 'Fairy Leaf', 'false', 'quest', 0, 'stackable', 'wood', 'none', 100, 0, 0, 'false', 'q0421_fairy_leaf', 'none', '0'),
 (4326, 'Ratman Scavenger''s Skull', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0422_rats_head', 'none', '0'),
 (4327, 'Turek War Hound''s Tail', 'false', 'quest', 0, 'stackable', 'bone', 'none', 100, 0, 0, 'false', 'q0422_dogs_tail', 'none', '0'),
 (4328, 'Tyrant Kingpin''s Heart', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q0422_tyrants_heart', 'none', '0'),
 (4329, 'Trisalim Tarantula''s Venom Sac', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q0422_trisalims_poison', 'none', '0'),
 (4330, 'Penitent''s Manacles', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q0422_manacles', 'none', '0'),
 (4331, 'Manual of manacles', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0422_manual_of_manacles', 'none', '0'),
 (4332, 'Tarlk Amulet', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_tarlk_amulet', 'none', '0'),
 (4333, 'Contest Certificate', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_contest_certificate', 'none', '0'),
 (4334, 'Ant''s Ichor', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q0332_ants_ichor', 'none', '0'),
 (4335, 'Noble Ant''s Nerve Tissue', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 100, 0, 0, 'false', 'q0332_ants_central_nerve', 'none', '0'),
 (4336, 'Casian''s Enzyme', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0332_kasians_enzyme', 'none', '0'),
 (4337, 'Alligator Leather', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q0338_crocodile_leather', 'none', '0'),
 (4338, 'Blue Back Alligator Leather', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q0338_crocodile_leather_bb', 'none', '0'),
 (4339, 'Jewel Studded Alligator Leather', 'false', 'quest', 0, 'stackable', 'leather', 'none', 100, 0, 0, 'false', 'q0338_crocodile_leather_jw', 'none', '0'),
 (4340, 'Certificate of Approval to Create a Belt', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0338_recipe_for_belt', 'none', '0'),
 (4341, 'Certificate of Approval to Create a Purse', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q0338_recipe_for_handbag', 'none', '0'),
 (4342, 'Crystal of Water', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_water', 'none', '0'),
 (4343, 'Crystal of Fire', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_fire', 'none', '0'),
 (4344, 'Crystal of Wind', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_wind', 'none', '0'),
 (4345, 'Crystal of Earth', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_earth', 'none', '0'),
 (4346, 'Crystal of Darkness', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_darkness', 'none', '0'),
 (4347, 'Crystal of Light', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q0339_crystal_of_light', 'none', '0'),
 (4348, 'Jade Crystal', 'false', 'quest', 1, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'q_jade_crystal', 'none', '0'),
 (4349, 'Bust of Ancient Goddess', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 0, 0, 'false', 'q_beronas_goddess_idol', 'none', '0'),
 (4350, 'The Work of the ancient sculptor Berona -?', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 3400, 0, 'true', 'q_beronas_sculpture_0', 'none', '0'),
 (4351, 'Ancient Statue of Goddess - Prototype', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 10000, 0, 'true', 'q_beronas_sculpture_s', 'none', '0'),
 (4352, 'Ancient Statue of Goddess - Original', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 6800, 0, 'true', 'q_beronas_sculpture_a', 'none', '0'),
 (4353, 'Ancient Statue of Goddess - Replica', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 850, 0, 'true', 'q_beronas_sculpture_b', 'none', '0'),
 (4354, 'Ancient Statue of Goddess - Forgery', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 850, 0, 'true', 'q_beronas_sculpture_c', 'none', '0'),
 (4355, 'Blue Eva', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_blue_eva', 'none', '0'),
 (4356, 'Gold Einhasad', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_gold_einhasad', 'none', '0'),
 (4357, 'Silver Shilen', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_silver_shilen', 'none', '0'),
 (4358, 'Blood Paagrio', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_blood_paagrio', 'none', '0'),
 (4359, 'Barrel of Liquor', 'false', 'none', 2000, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'barrel_of_liquor', 'none', '2'),
 (4360, 'Precious Scarab', 'false', 'quest', 0, 'normal', 'crystal', 'none', 0, 0, 0, 'false', 'precious_scarab', 'none', '0'),
 (4361, 'Simbelmyne', 'false', 'quest', 0, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'simbelmyne', 'none', '0'),
 (4362, 'Odd (looking) Doll', 'false', 'none', 500, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'odd_doll', 'none', '2'),
 (4363, 'Scarlet Dress', 'false', 'none', 20, 'normal', 'cloth', 'none', 0, 0, 0, 'false', 'scalet_dress', 'none', '2'),
 (4364, 'Nebulite Orb', 'false', 'quest', 2, 'stackable', 'crystal', 'none', 0, 10, 0, 'true', 'q_nebulite_orb', 'none', '0'),
 (4365, 'Ectoplasm Liqueur', 'false', 'quest', 10, 'normal', 'crystal', 'none', 0, 0, 0, 'false', 'q_ectoplasm_liqueur', 'none', '0'),
 (4366, 'Prince''s Trophy', 'false', 'quest', 20, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_princes_trophy', 'none', '0'),
 (4367, 'Prince''s Autobiography', 'false', 'quest', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'q_princes_autobiography', 'none', '0'),
 (4368, 'Prince''s Bust', 'false', 'quest', 20, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_princes_bust', 'none', '0'),
 (4369, 'Silk Handkerchief', 'false', 'quest', 5, 'stackable', 'cloth', 'none', 0, 0, 0, 'false', 'q_silk_handkerchief', 'none', '0'),
 (4370, 'Luxurious Goblet', 'false', 'quest', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_luxurious_goblet', 'none', '0'),
 (4371, 'Scepter of Darkness', 'false', 'quest', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_scepter_of_darkness', 'none', '0'),
 (4372, 'Succubus Perfume', 'false', 'quest', 5, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_succubus_perfume', 'none', '0'),
 (4373, 'Succubus Mirror', 'false', 'quest', 10, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_succubus_mirror', 'none', '0'),
 (4374, 'Heart of Darkness', 'false', 'quest', 30, 'stackable', 'wood', 'none', 0, 0, 0, 'false', 'q_heart_of_darkness', 'none', '0'),
 (4375, 'Royal Orc Totem', 'false', 'quest', 30, 'stackable', 'wood', 'none', 0, 0, 0, 'false', 'q_royal_orc_totem', 'none', '0'),
 (4376, 'Pearl Trodden/Trampled By A Wild Hog', 'false', 'quest', 5, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'q_pearl_from_pigpen', 'none', '0'),
 (4377, 'Boar''s Tusk', 'false', 'quest', 10, 'stackable', 'bone', 'none', 0, 0, 0, 'false', 'q_boar_tusk', 'none', '0'),
 (4378, 'Sweet Potato', 'false', 'quest', 5, 'stackable', 'bone', 'none', 0, 0, 0, 'false', 'q_sweet_potato', 'none', '0'),
 (4379, 'Beast''s Claws', 'false', 'quest', 5, 'stackable', 'bone', 'none', 0, 0, 0, 'false', 'q_beasts_claws', 'none', '0'),
 (4380, 'Beast''s Mane', 'false', 'quest', 10, 'stackable', 'leather', 'none', 0, 0, 0, 'false', 'q_beasts_mane', 'none', '0'),
 (4381, 'Ginseng Root', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 0, 0, 'false', 'q_ginseng_root', 'none', '0'),
 (4382, 'Honey Jar', 'false', 'quest', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_honey_jar', 'none', '0'),
 (4383, 'Bear''s Gall', 'false', 'quest', 5, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_bears_gall', 'none', '0'),
 (4384, 'Fresh Samon', 'false', 'quest', 5, 'stackable', 'bone', 'none', 0, 0, 0, 'false', 'q_fresh_salmon', 'none', '0'),
 (4385, 'Sushi Riceball', 'false', 'quest', 5, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_sushi_riceball', 'none', '0'),
 (4386, 'Avellan Spice', 'false', 'quest', 5, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_avellan_spice', 'none', '0'),
 (4387, 'Lucky Rabbit Weed', 'false', 'quest', 5, 'stackable', 'wood', 'none', 0, 0, 0, 'false', 'q_lucky_rabbit_weed', 'none', '0'),
 (4388, 'Malcom''s Check', 'false', 'quest', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'q_malcoms_check', 'none', '0'),
 (4389, 'Deposit Box Key', 'false', 'quest', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_deposit_key', 'none', '0'),
 (4390, 'Dwarven Royal Seal', 'false', 'quest', 20, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_dwarven_royal_seal', 'none', '0'),
 (4391, 'Dwarven Royal Crown', 'false', 'quest', 20, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_dwarven_royal_crown', 'none', '0'),
 (4392, 'Dwarven Dance Manual', 'false', 'quest', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'q_dwarven_dance_manual', 'none', '0'),
 (4393, 'Calculator', 'false', 'none', 20, 'normal', 'steel', 'none', 0, 200, 0, 'true', 'calculator', 'none', '2'),
 (4394, 'Hanellin''s White Flower', 'false', 'quest', 0, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'hanellins_white_flower', 'none', '0'),
 (4395, 'Hanellin''s Red Flower', 'false', 'quest', 0, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'hanellins_red_flower', 'none', '0'),
 (4396, 'Hanellin''s Yellow Flower', 'false', 'quest', 0, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'hanellins_yellow_flower', 'none', '0'),
 (4397, 'Book of Saint', 'false', 'none', 20, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'book_of_saint', 'none', '2'),
 (4398, 'Blood of Saint', 'false', 'none', 20, 'normal', 'liquid', 'none', 0, 0, 0, 'false', 'blood_of_saint', 'none', '2'),
 (4399, 'Bough of Saint', 'false', 'none', 20, 'normal', 'wood', 'none', 0, 0, 0, 'false', 'bough_of_saint', 'none', '2'),
 (4400, 'White Fabric', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 0, 0, 0, 'false', 'white_fabric', 'none', '0'),
 (4401, 'Green Dimension Stone', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 100000, 0, 'true', 'green_dimension_stone', 'none', '2'),
 (4402, 'Blue Dimension Stone', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 100000, 0, 'true', 'blue_dimension_stone', 'none', '2'),
 (4403, 'Red Dimension Stone', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 100000, 0, 'true', 'red_dimension_stone', 'none', '2'),
 (4404, 'Green Dimension Stone - Shard', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'green_d_stone_shard', 'none', '2'),
 (4405, 'Blue Dimension Stone - Shard', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'blue_d_stone_shard', 'none', '2'),
 (4406, 'Red Dimension Stone - Shard', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'red_d_stone_shard', 'none', '2'),
 (4407, 'Bill of Iason Heine', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'bill_of_iason', 'none', '0'),
 (4408, 'Musical Score - Theme of Love', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_love', 'none', '2'),
 (4409, 'Musical Score - Theme of Battle', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_battle', 'none', '2'),
 (4410, 'Musical Score - Theme of Journey', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_journey', 'none', '2'),
 (4411, 'Echo Crystal - Theme of Journey', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_journey', 'none', '2'),
 (4412, 'Echo Crystal - Theme of Battle', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_battle', 'none', '2'),
 (4413, 'Echo Crystal - Theme of Love', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_love', 'none', '2'),
 (4414, 'Echo Crystal - Theme of Solitude', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_solitude', 'none', '2'),
 (4415, 'Echo Crystal - Theme of Feast', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_feast', 'none', '2'),
 (4416, 'Echo Crystal - Theme of Celebration', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_celebration', 'none', '2'),
 (4417, 'Echo Crystal - Theme of Comedy', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_comedy', 'none', '2'),
 (4418, 'Musical Score - Theme of Celebration', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_celebration', 'none', '2'),
 (4419, 'Musical Score - Theme of Comedy', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_comedy', 'none', '2'),
 (4420, 'Musical Score - Theme of Solitude', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_solitude', 'none', '2'),
 (4421, 'Musical Score - Theme of Feast', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'q_musicnote_feast', 'none', '2'),
 (4422, 'Dragon Bugle of Wind', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'dragon_bugle_wind', 'pet_collar', '2'),
 (4423, 'Dragon Bugle of Star', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'dragon_bugle_star', 'pet_collar', '2'),
 (4424, 'Dragon Bugle of Dusk', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'dragon_bugle_dusk', 'pet_collar', '2'),
 (4425, 'Penitent''s Manacles', 'false', 'pet_collar', 800, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'manacles_of_redemption', 'pet_collar', '2'),
 (4426, 'Manacles of Penitent', 'false', 'none', 50, 'normal', 'steel', 'none', 0, 22000, 0, 'false', 'manacles_of_redeemed', 'none', '2'),
 (4427, 'Alligator Leather Belt', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_belt', 'none', '2'),
 (4428, 'Blue Alligator Leather Belt', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_belt_bb', 'none', '2'),
 (4429, 'Bejeweled Leather Belt', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_belt_jw', 'none', '2'),
 (4430, 'Alligator Leather Purse', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_bag', 'none', '2'),
 (4431, 'Blue Alligator Leather Purse', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_bag_bb', 'none', '2'),
 (4432, 'Bejeweled Purse', 'false', 'none', 20, 'normal', 'leather', 'none', 0, 0, 0, 'false', 'croc_leather_bag_jw', 'none', '2'),
 (4433, 'Elemental Stone Powder', 'false', 'none', 10, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'elemental_stone_powder', 'none', '2'),
 (4434, 'Elemental Stone Shards', 'false', 'none', 100, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'elemental_stone_shards', 'none', '2'),
 (4435, 'Elemental Stone Lump', 'false', 'none', 1000, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'elemental_stone_lump', 'none', '2'),
 (4436, 'Bentley''s Request', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'false', 'q_bentleys_request', 'none', '0'),
 (4437, 'Carson''s Request', 'false', 'quest', 0, 'stackable', 'paper', 'none', 100, 0, 0, 'true', 'q_carsons_request', 'none', '0'),
 (4438, 'Knuckle Duster Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 28044, 0, 'true', 'knuckle_dust_edge', 'material', '2'),
 (4439, 'Avadon Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 2900, 0, 'true', 'avadon_shield_fragment', 'material', '1'),
 (4440, 'Recipe: Knuckle Duster', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 57400, 0, 'true', 'rp_knuckle_dust', 'recipe', '2'),
 (4441, 'Recipe: Avadon Shield', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10900, 0, 'true', 'rp_avadon_shield', 'recipe', '2'),
 (4442, 'Lottery Ticket', 'false', 'lotto', 20, 'normal', 'paper', 'none', 0, 0, 0, 'true', 'lottery_ticket', 'lotto', '2'),
 (4443, 'Monster Race Ticket - Single', 'false', 'race_ticket', 20, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'monster_race_ticket_single', 'race_ticket', '2'),
 (4444, 'Monster Race Ticket - Double', 'false', 'race_ticket', 20, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'monster_race_ticket_double', 'race_ticket', '2'),
 (4445, 'Dye of Strength <Str+1 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 5100, 0, 'true', 'dye_s1c3_d', 'dye', '2'),
 (4446, 'Dye of Strength <Str+1 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_s1d3_d', 'dye', '2'),
 (4447, 'Dye of Constitution <Con+1 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 5100, 0, 'true', 'dye_c1s3_d', 'dye', '2'),
 (4448, 'Dye of Constitution <Con+1 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c1d3_d', 'dye', '2'),
 (4449, 'Dye of Dexterity <Dex+1 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d1s3_d', 'dye', '2'),
 (4450, 'Dye of Dexterity <Dex+1 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d1c3_d', 'dye', '2'),
 (4451, 'Dye of Intelligence <Int+1 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 5100, 0, 'true', 'dye_i1m3_d', 'dye', '2'),
 (4452, 'Dye of Intelligence <Int+1 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 5100, 0, 'true', 'dye_i1w3_d', 'dye', '2'),
 (4453, 'Dye of Mental Strength <Men+1 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m1i3_d', 'dye', '2'),
 (4454, 'Dye of Mental Strength <Men+1 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m1w3_d', 'dye', '2'),
 (4455, 'Dye of Wit <Wit+1 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w1i3_d', 'dye', '2'),
 (4456, 'Dye of Wit <Wit+1 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w1m3_d', 'dye', '2'),
 (4457, 'Dye of Strength <Str+1 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_s1c2_d', 'dye', '2'),
 (4458, 'Dye of Strength <Str+1 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_s1d2_d', 'dye', '2'),
 (4459, 'Dye of Constitution <Con+1 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c1s2_d', 'dye', '2'),
 (4460, 'Dye of Constitution <Con+1 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_c1d2_d', 'dye', '2'),
 (4461, 'Dye of Dexterity <Dex+1 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d1s2_d', 'dye', '2'),
 (4462, 'Dye of Dexterity <Dex+1 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_d1c2_d', 'dye', '2'),
 (4463, 'Dye of Intelligence <Int+1 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_i1m2_d', 'dye', '2'),
 (4464, 'Dye of Intelligence <Int+1 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i1w2_d', 'dye', '2'),
 (4465, 'Dye of Mental Strength <Men+1 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m1i2_d', 'dye', '2'),
 (4466, 'Dye of Mental Strength <Men+1 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_m1w2_d', 'dye', '2'),
 (4467, 'Dye of Wit <Wit+1 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_w1i2_d', 'dye', '2'),
 (4468, 'Dye of Wit <Wit+1 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_w1m2_d', 'dye', '2'),
 (4469, 'Dye of Strength <Str+1 Con-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_s1c1_d', 'dye', '2'),
 (4470, 'Dye of Strength <Str+1 Dex-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_s1d1_d', 'dye', '2'),
 (4471, 'Dye of Constitution <Con+1 Str-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_c1s1_d', 'dye', '2'),
 (4472, 'Dye of Constitution <Con+1 Dex-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_c1d1_d', 'dye', '2'),
 (4473, 'Dye of Dexterity <Dex+1 Str-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_d1s1_d', 'dye', '2'),
 (4474, 'Dye of Dexterity <Dex+1 Con-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_d1c1_d', 'dye', '2'),
 (4475, 'Dye of Intelligence <Int+1 Men-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_i1m1_d', 'dye', '2'),
 (4476, 'Dye of Intelligence <Int+1 Wit-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_i1w1_d', 'dye', '2'),
 (4477, 'Dye of Mental Strength <Men+1 Int-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_m1i1_d', 'dye', '2'),
 (4478, 'Dye of Mental Strength <Men+1 Wit-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_m1w1_d', 'dye', '2'),
 (4479, 'Dye of Wit <Wit+1 Int-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_w1i1_d', 'dye', '2'),
 (4480, 'Dye of Wit <Wit+1 Men-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 42000, 0, 'true', 'dye_w1m1_d', 'dye', '2'),
 (4481, 'Greater Dye of Strength <Str+1 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_s1c3_c', 'dye', '2'),
 (4482, 'Greater Dye of Strength <Str+1 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_s1d3_c', 'dye', '2'),
 (4483, 'Greater Dye of Constitution<Con+1 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c1s3_c', 'dye', '2'),
 (4484, 'Greater Dye of Constitution<Con+1 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_c1c3_c', 'dye', '2'),
 (4485, 'Greater Dye of Dexterity <Dex+1 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_d1s3_c', 'dye', '2'),
 (4486, 'Greater Dye of Dexterity <Dex+1 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d1c3_c', 'dye', '2'),
 (4487, 'Greater Dye of Intelligence <Int+1 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i1m3_c', 'dye', '2'),
 (4488, 'Greater Dye of Intelligence <Int+1 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_i1w3_c', 'dye', '2'),
 (4489, 'Greater Dye of Mental Strength <Men+1 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m1i3_c', 'dye', '2'),
 (4490, 'Greater Dye of Mental Strength <Men+1 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_m1w3_c', 'dye', '2'),
 (4491, 'Greater Dye of Wit <Wit+1 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_w1i3_c', 'dye', '2'),
 (4492, 'Greater Dye of Wit <Wit+1 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'dye_w1m3_c', 'dye', '2'),
 (4493, 'Greater Dye of Strength <Str+1 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 21000, 0, 'true', 'dye_s1c2_c', 'dye', '2'),
 (4494, 'Greater Dye of Strength <Str+1 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 21000, 0, 'true', 'dye_s1d2_c', 'dye', '2'),
 (4495, 'Greater Dye of Constitution <Con+1 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c1s2_c', 'dye', '2'),
 (4496, 'Greater Dye of Constitution <Con+1 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c1c2_c', 'dye', '2'),
 (4497, 'Greater Dye of Dexterity <Dex+1 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 21000, 0, 'true', 'dye_d1s2_c', 'dye', '2'),
 (4498, 'Greater Dye of Dexterity <Dex+1 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 21000, 0, 'true', 'dye_d1c2_c', 'dye', '2'),
 (4499, 'Greater Dye of Intelligence <Int+1 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i1m2_c', 'dye', '2'),
 (4500, 'Greater Dye of Intelligence <Int+1 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i1w2_c', 'dye', '2'),
 (4501, 'Greater Dye of Mental Strength <Men+1 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m1i2_c', 'dye', '2'),
 (4502, 'Greater Dye of Mental Strength <Men+1 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 21000, 0, 'true', 'dye_m1w2_c', 'dye', '2'),
 (4503, 'Greater Dye of Wit <Wit+1 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w1i2_c', 'dye', '2'),
 (4504, 'Greater Dye of Wit <Wit+1 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w1m2_c', 'dye', '2'),
 (4505, 'Greater Dye of Strength <Str+2 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_s2c4_c', 'dye', '2'),
 (4506, 'Greater Dye of Strength <Str+2 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_s2d4_c', 'dye', '2'),
 (4507, 'Greater Dye of Constitution <Con+2 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_c2s4_c', 'dye', '2'),
 (4508, 'Greater Dye of Constitution <Con+2 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_c2c4_c', 'dye', '2'),
 (4509, 'Greater Dye of Dexterity <Dex+2 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_d2s4_c', 'dye', '2'),
 (4510, 'Greater Dye of Dexterity <Dex+2 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_d2c4_c', 'dye', '2'),
 (4511, 'Greater Dye of Intelligence <Int+2 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_i2m4_c', 'dye', '2'),
 (4512, 'Greater Dye of Intelligence <Int+2 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_i2w4_c', 'dye', '2'),
 (4513, 'Greater Dye of Mental Strength <Men+2 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_m2i4_c', 'dye', '2'),
 (4514, 'Greater Dye of Mental Strength <Men+2 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'dye_m2w4_c', 'dye', '2'),
 (4515, 'Greater Dye of Wit <Wit+2 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w2i4_c', 'dye', '2'),
 (4516, 'Greater Dye of Wit <Wit+2 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w2m4_c', 'dye', '2'),
 (4517, 'Greater Dye of Strength <Str+2 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_s2c3_c', 'dye', '2'),
 (4518, 'Greater Dye of Strength <Str+2 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_s2d3_c', 'dye', '2'),
 (4519, 'Greater Dye of Constitution <Con+2 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_c2s3_c', 'dye', '2'),
 (4520, 'Greater Dye of Constitution <Con+2 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c2c3_c', 'dye', '2'),
 (4521, 'Greater Dye of Dexterity <Dex+2 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_d2s3_c', 'dye', '2'),
 (4522, 'Greater Dye of Dexterity <Dex+2 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_d2c3_c', 'dye', '2'),
 (4523, 'Greater Dye of Intelligence <Int+2 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_i2m3_c', 'dye', '2'),
 (4524, 'Greater Dye of Intelligence <Int+2 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i2w3_c', 'dye', '2'),
 (4525, 'Greater Dye of Mental Strength <Men+2 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m2i3_c', 'dye', '2'),
 (4526, 'Greater Dye of Mental Strength <Men+2 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m2w3_c', 'dye', '2'),
 (4527, 'Greater Dye of Wit <Wit+2 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 27000, 0, 'true', 'dye_w2i3_c', 'dye', '2'),
 (4528, 'Greater Dye of Wit <Wit+2 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w2m3_c', 'dye', '2'),
 (4529, 'Greater Dye of Strength <Str+3 Con-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_s3c5_c', 'dye', '2'),
 (4530, 'Greater Dye of Strength <Str+3 Dex-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_s3d5_c', 'dye', '2'),
 (4531, 'Greater Dye of Constitution <Con+3 Str-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c3s5_c', 'dye', '2'),
 (4532, 'Greater Dye of Constitution <Con+3 Dex-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c3c5_c', 'dye', '2'),
 (4533, 'Greater Dye of Dexterity <Dex+3 Str-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d3s5_c', 'dye', '2'),
 (4534, 'Greater Dye of Dexterity <Dex+3 Con-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d3c5_c', 'dye', '2'),
 (4535, 'Greater Dye of Intelligence <Int+3 Men-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i3m5_c', 'dye', '2'),
 (4536, 'Greater Dye of Intelligence <Int+3 Wit-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i3w5_c', 'dye', '2'),
 (4537, 'Greater Dye of Mental Strength <Men+3 Int-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m3i5_c', 'dye', '2'),
 (4538, 'Greater Dye of Mental Strength <Men+3 Wit-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_m3w5_c', 'dye', '2'),
 (4539, 'Greater Dye of Wit <Wit+3 Int-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w3i5_c', 'dye', '2'),
 (4540, 'Greater Dye of Wit <Wit+3 Men-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w3m5_c', 'dye', '2'),
 (4541, 'Greater Dye of Strength <Str+3 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_s3c4_c', 'dye', '2'),
 (4542, 'Greater Dye of Strength <Str+3 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_s3d4_c', 'dye', '2'),
 (4543, 'Greater Dye of Constitution <Con+3 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c3s4_c', 'dye', '2'),
 (4544, 'Greater Dye of Constitution <Con+3 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c3c4_c', 'dye', '2'),
 (4545, 'Greater Dye of Dexterity <Dex+3 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_d3s4_c', 'dye', '2'),
 (4546, 'Greater Dye of Dexterity <Dex+3 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d3c4_c', 'dye', '2'),
 (4547, 'Greater Dye of Intelligence <Int+3 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i3m4_c', 'dye', '2'),
 (4548, 'Greater Dye of Intelligence <Int+3 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_i3w4_c', 'dye', '2'),
 (4549, 'Greater Dye of Mental Strength <Men+3 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m3i4_c', 'dye', '2'),
 (4550, 'Greater Dye of Mental Strength <Men+3 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m3w4_c', 'dye', '2'),
 (4551, 'Greater Dye of Wit <Wit+3 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w3i4_c', 'dye', '2'),
 (4552, 'Greater Dye of Wit <Wit+3 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'dye_w3m4_c', 'dye', '2'),
 (4553, 'Greater Dye of Strength <Str+1 Con-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_s1c1_c', 'dye', '2'),
 (4554, 'Greater Dye of Strength <Str+1 Dex-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_s1d1_c', 'dye', '2'),
 (4555, 'Greater Dye of Constitution <Con+1 Str-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_c1s1_c', 'dye', '2'),
 (4556, 'Greater Dye of Constitution <Con+1 Dex-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_c1c1_c', 'dye', '2'),
 (4557, 'Greater Dye of Dexterity <Dex+1 Str-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_d1s1_c', 'dye', '2'),
 (4558, 'Greater Dye of Dexterity <Dex+1 Con-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_d1c1_c', 'dye', '2'),
 (4559, 'Greater Dye of Intelligence <Int+1 Men-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_i1m1_c', 'dye', '2'),
 (4560, 'Greater Dye of Intelligence <Int+1 Wit-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_i1w1_c', 'dye', '2'),
 (4561, 'Greater Dye of Mental Strength <Men+1 Int-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_m1i1_c', 'dye', '2'),
 (4562, 'Greater Dye of Mental Strength <Men+1 Wit-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_m1w1_c', 'dye', '2'),
 (4563, 'Greater Dye of Wit <Wit+1 Int-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_w1i1_c', 'dye', '2'),
 (4564, 'Greater Dye of Wit <Wit+1 Men-1>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'dye_w1m1_c', 'dye', '2'),
 (4565, 'Greater Dye of Strength <Str+4 Con-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_s4c6_c', 'dye', '2'),
 (4566, 'Greater Dye of Strength <Str+4 Dex-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_s4d6_c', 'dye', '2'),
 (4567, 'Greater Dye of Constitution <Con+4 Str-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_c4s6_c', 'dye', '2'),
 (4568, 'Greater Dye of Constitution <Con+4 Dex-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_c4c6_c', 'dye', '2'),
 (4569, 'Greater Dye of Dexterity <Dex+4 Str-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_d4s6_c', 'dye', '2'),
 (4570, 'Greater Dye of Dexterity <Dex+4 Con-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_d4c6_c', 'dye', '2'),
 (4571, 'Greater Dye of Intelligence <Int+4 Men-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_i4m6_c', 'dye', '2'),
 (4572, 'Greater Dye of Intelligence <Int+4 Wit-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i4w6_c', 'dye', '2'),
 (4573, 'Greater Dye of Mental Strength <Men+4 Int-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_m4i6_c', 'dye', '2'),
 (4574, 'Greater Dye of Mental Strength <Men+4 Wit-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_m4w6_c', 'dye', '2'),
 (4575, 'Greater Dye of Wit <Wit+4 Int-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_w4i6_c', 'dye', '2'),
 (4576, 'Greater Dye of Wit <Wit+4 Men-6>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_w4m6_c', 'dye', '2'),
 (4577, 'Greater Dye of Strength <Str+4 Con-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_s4c5_c', 'dye', '2'),
 (4578, 'Greater Dye of Strength <Str+4 Dex-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_s4d5_c', 'dye', '2'),
 (4579, 'Greater Dye of Constitution <Con+4 Str-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_c4s5_c', 'dye', '2'),
 (4580, 'Greater Dye of Constitution <Con+4 Dex-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_c4c5_c', 'dye', '2'),
 (4581, 'Greater Dye of Dexterity <Dex+4 Str-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_d4s5_c', 'dye', '2'),
 (4582, 'Greater Dye of Dexterity <Dex+4 Con-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_d4c5_c', 'dye', '2'),
 (4583, 'Greater Dye of Intelligence <Int+4 Men-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_i4m5_c', 'dye', '2'),
 (4584, 'Greater Dye of Intelligence <Int+4 Wit-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_i4w5_c', 'dye', '2'),
 (4585, 'Greater Dye of Mental Strength <Men+4 Int-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_m4i5_c', 'dye', '2'),
 (4586, 'Greater Dye of Mental Strength <Men+4 Wit-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dye_m4w5_c', 'dye', '2'),
 (4587, 'Greater Dye of Wit <Wit+4 Int-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_w4i5_c', 'dye', '2'),
 (4588, 'Greater Dye of Wit <Wit+4 Men-5>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 36000, 0, 'true', 'dye_w4m5_c', 'dye', '2'),
 (4589, 'Greater Dye of Strength <Str+2 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_s2c2_c', 'dye', '2'),
 (4590, 'Greater Dye of Strength <Str+2 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_s2d2_c', 'dye', '2'),
 (4591, 'Greater Dye of Constitution <Con+2 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_c2s2_c', 'dye', '2'),
 (4592, 'Greater Dye of Constitution <Con+2 Dex-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_c2c2_c', 'dye', '2'),
 (4593, 'Greater Dye of Dexterity <Dex+2 Str-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_d2s2_c', 'dye', '2'),
 (4594, 'Greater Dye of Dexterity <Dex+2 Con-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_d2c2_c', 'dye', '2'),
 (4595, 'Greater Dye of Intelligence <Int+2 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_i2m2_c', 'dye', '2'),
 (4596, 'Greater Dye of Intelligence <Int+2 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_i2w2_c', 'dye', '2'),
 (4597, 'Greater Dye of Mental Strength <Men+2 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_m2i2_c', 'dye', '2'),
 (4598, 'Greater Dye of Mental Strength <Men+2 Wit-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_m2w2_c', 'dye', '2'),
 (4599, 'Greater Dye of Wit <Wit+2 Int-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_w2i2_c', 'dye', '2'),
 (4600, 'Greater Dye of Wit <Wit+2 Men-2>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 72000, 0, 'true', 'dye_w2m2_c', 'dye', '2'),
 (4601, 'Greater Dye of Strength <Str+3 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_s3c3_c', 'dye', '2'),
 (4602, 'Greater Dye of Strength <Str+3 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_s3d3_c', 'dye', '2'),
 (4603, 'Greater Dye of Constitution <Con+3 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_c3s3_c', 'dye', '2'),
 (4604, 'Greater Dye of Constitution <Con+3 Dex-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_c3c3_c', 'dye', '2'),
 (4605, 'Greater Dye of Dexterity <Dex+3 Str-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_d3s3_c', 'dye', '2'),
 (4606, 'Greater Dye of Dexterity <Dex+3 Con-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_d3c3_c', 'dye', '2'),
 (4607, 'Greater Dye of Intelligence <Int+3 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_i3m3_c', 'dye', '2'),
 (4608, 'Greater Dye of Intelligence <Int+3 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_i3w3_c', 'dye', '2'),
 (4609, 'Greater Dye of Mental Strength <Men+3 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_m3i3_c', 'dye', '2'),
 (4610, 'Greater Dye of Mental Strength <Men+3 Wit-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_m3w3_c', 'dye', '2'),
 (4611, 'Greater Dye of Wit <Wit+3 Int-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_w3i3_c', 'dye', '2'),
 (4612, 'Greater Dye of Wit <Wit+3 Men-3>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 108000, 0, 'true', 'dye_w3m3_c', 'dye', '2'),
 (4613, 'Greater Dye of Strength <Str+4 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_s4c4_c', 'dye', '2'),
 (4614, 'Greater Dye of Strength <Str+4 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_s4d4_c', 'dye', '2'),
 (4615, 'Greater Dye of Constitution <Con+4 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_c4s4_c', 'dye', '2'),
 (4616, 'Greater Dye of Constitution <Con+4 Dex-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_c4c4_c', 'dye', '2'),
 (4617, 'Greater Dye of Dexterity <Dex+4 Str-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_d4s4_c', 'dye', '2'),
 (4618, 'Greater Dye of Dexterity <Dex+4 Con-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_d4c4_c', 'dye', '2'),
 (4619, 'Greater Dye of Intelligence <Int+4 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_i4m4_c', 'dye', '2'),
 (4620, 'Greater Dye of Intelligence <Int+4 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_i4w4_c', 'dye', '2'),
 (4621, 'Greater Dye of Mental Strength <Men+4 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_m4i4_c', 'dye', '2'),
 (4622, 'Greater Dye of Mental Strength <Men+4 Wit-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_m4w4_c', 'dye', '2'),
 (4623, 'Greater Dye of Wit <Wit+4 Int-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_w4i4_c', 'dye', '2'),
 (4624, 'Greater Dye of Wit <Wit+4 Men-4>', 'false', 'dye', 150, 'stackable', 'liquid', 'none', 0, 174000, 0, 'true', 'dye_w4m4_c', 'dye', '2'),
 (4625, 'Dice (Heart)', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 500, 0, 'true', 'dice_heart', 'none', '2'),
 (4626, 'Dice (Spade)', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 500, 0, 'true', 'dice_spade', 'none', '2'),
 (4627, 'Dice (Clover)', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 500, 0, 'true', 'dice_clover', 'none', '2'),
 (4628, 'Dice (Diamond)', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 500, 0, 'true', 'dice_diamond', 'none', '2'),
 (4629, 'Red Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_0', 'scroll', '2'),
 (4630, 'Red Soul Crystal - Stage 1', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_1', 'scroll', '2'),
 (4631, 'Red Soul Crystal - Stage 2', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_2', 'scroll', '2'),
 (4632, 'Red Soul Crystal - Stage 3', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_3', 'scroll', '2'),
 (4633, 'Red Soul Crystal - Stage 4', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_4', 'scroll', '2'),
 (4634, 'Red Soul Crystal - Stage 5', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_5', 'scroll', '2'),
 (4635, 'Red Soul Crystal - Stage 6', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_6', 'scroll', '2'),
 (4636, 'Red Soul Crystal - Stage 7', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_7', 'scroll', '2'),
 (4637, 'Red Soul Crystal - Stage 8', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_8', 'scroll', '2'),
 (4638, 'Red Soul Crystal - Stage 9', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_9', 'scroll', '2'),
 (4639, 'Red Soul Crystal - Stage 10', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_10', 'scroll', '2'),
 (4640, 'Green Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_0', 'scroll', '2'),
 (4641, 'Green Soul Crystal - Stage 1', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_1', 'scroll', '2'),
 (4642, 'Green Soul Crystal - Stage 2', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_2', 'scroll', '2'),
 (4643, 'Green Soul Crystal - Stage 3', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_3', 'scroll', '2'),
 (4644, 'Green Soul Crystal - Stage 4', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_4', 'scroll', '2'),
 (4645, 'Green Soul Crystal - Stage 5', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_5', 'scroll', '2'),
 (4646, 'Green Soul Crystal - Stage 6', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_6', 'scroll', '2'),
 (4647, 'Green Soul Crystal - Stage 7', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_7', 'scroll', '2'),
 (4648, 'Green Soul Crystal - Stage 8', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_8', 'scroll', '2'),
 (4649, 'Green Soul Crystal - Stage 9', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_9', 'scroll', '2'),
 (4650, 'Green Soul Crystal - Stage 10', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_10', 'scroll', '2'),
 (4651, 'Blue Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_0', 'scroll', '2'),
 (4652, 'Blue Soul Crystal - Stage 1', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_1', 'scroll', '2'),
 (4653, 'Blue Soul Crystal - Stage 2', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_2', 'scroll', '2'),
 (4654, 'Blue Soul Crystal - Stage 3', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_3', 'scroll', '2'),
 (4655, 'Blue Soul Crystal - Stage 4', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_4', 'scroll', '2'),
 (4656, 'Blue Soul Crystal - Stage 5', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_5', 'scroll', '2'),
 (4657, 'Blue Soul Crystal - Stage 6', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_6', 'scroll', '2'),
 (4658, 'Blue Soul Crystal - Stage 7', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_7', 'scroll', '2'),
 (4659, 'Blue Soul Crystal - Stage 8', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_8', 'scroll', '2'),
 (4660, 'Blue Soul Crystal - Stage 9', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_9', 'scroll', '2'),
 (4661, 'Blue Soul Crystal - Stage 10', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_10', 'scroll', '2'),
 (4662, 'Broken Red Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_x', 'scroll', '2'),
 (4663, 'Broken Green Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_x', 'scroll', '2'),
 (4664, 'Broken Blue Soul Crystal', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_x', 'scroll', '2'),
 (4666, 'Reiria''s Soul Orb', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_reirias_soulorb', 'none', '0'),
 (4667, 'Kernon''s Infernium Scepter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_infernium_scepter_1', 'none', '0'),
 (4668, 'Golconda''s Infernium Scepter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_infernium_scepter_2', 'none', '0'),
 (4669, 'Hallate''s Infernium Scepter', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_infernium_scepter_3', 'none', '0'),
 (4670, 'Maestro Reorin''s Hammer', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_maestro_reorins_hammer', 'none', '0'),
 (4671, 'Maestro Reorin''s Mold', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_maestro_reorins_mold', 'none', '0'),
 (4672, 'Infernium Varnish', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_infernium_varnish', 'none', '0'),
 (4673, 'Red Pipette Knife', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'q_red_pipette_knife', 'none', '0'),
 (4674, 'Medal of Honor', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medal_of_honor', 'none', '0'),
 (4675, 'Medal of Friendship', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medal_of_friendship', 'none', '0'),
 (4676, 'Medal of Victory', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'medal_of_victory', 'none', '0'),
 (4677, 'Potion of Critical Escape', 'false', 'potion', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'potion_of_critical_escape', 'potion', '2'),
 (4678, 'Decrease Haste Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'decrease_hate_potion', 'potion', '2'),
 (4679, 'Bless of Eva', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'bless_of_eva', 'potion', '2'),
 (4680, 'Potion of Revenge', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rsk.damage_shield_potion', 'potion', '2'),
 (4906, 'Spellbook: Solar Spark', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_solar_spark1', 'none', '2'),
 (4907, 'Spellbook: Solar Flare', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_solar_flare1', 'none', '2'),
 (4908, 'Spellbook: Shadow Spark', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_shadow_spark1', 'none', '2'),
 (4909, 'Spellbook: Shadow Flare', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_shadow_flare1', 'none', '2'),
 (4910, 'Spellbook: Vampiric Rage', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 1800, 0, 'true', 'sb_vampiric_rage1', 'none', '2'),
 (4911, 'Spellbook: Curse Disease', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_curse_disease1', 'none', '2'),
 (4912, 'Spellbook: Benediction', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 8200, 0, 'true', 'sb_benediction', 'none', '2'),
 (4913, 'Spellbook: Word of Fear', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_word_of_fear1', 'none', '2'),
 (4914, 'Spellbook: Serenade of Eva', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_serenade_of_eva1', 'none', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (4915, 'Blueprint: Summon Wild Hog Cannon', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_summon_wild_hog_cannon', 'none', '2'),
 (4916, 'Spellbook: Energy Bolt', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_energy_bolt1', 'none', '2'),
 (4917, 'Spellbook: Aura Bolt', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 900, 0, 'true', 'sb_aura_bolt1', 'none', '2'),
 (4918, 'Spellbook: Summon Kai the Cat', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_kai_the_cat1', 'none', '2'),
 (4919, 'Spellbook: Summon Unicorn Merrow', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_unicorn_merrow1', 'none', '2'),
 (4920, 'Spellbook: Summon Soulless', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_soulless1', 'none', '2'),
 (4921, 'Blueprint: Summon Big Boom', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_summon_bigboom1', 'none', '2'),
 (4922, 'Spellbook: Summon Binding Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_binding_cubic1', 'none', '2'),
 (4923, 'Spellbook: Summon Aqua Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_aqua_cubic1', 'none', '2'),
 (4924, 'Spellbook: Summon Spark Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_summon_spark_cubic1', 'none', '2'),
 (4925, 'Amulet: Speed of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_speed_of_paagrio1', 'none', '2'),
 (4926, 'Amulet: Soul Guard', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'sb_soul_guard1', 'none', '2'),
 (4927, 'Amulet: Chant of Revenge', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7700, 0, 'true', 'sb_chant_of_revenge1', 'none', '2'),
 (4928, 'Spellbook: Seed of Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_seed_of_fire', 'none', '2'),
 (4929, 'Spellbook: Seed of Water', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_seed_of_water', 'none', '2'),
 (4930, 'Spellbook: Seed of Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_seed_of_wind', 'none', '2'),
 (4931, 'Spellbook: Aura Symphony', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_aura_symphony1', 'none', '2'),
 (4932, 'Spellbook: Inferno', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_inferno1', 'none', '2'),
 (4933, 'Spellbook: Blizzard', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_blizzard1', 'none', '2'),
 (4934, 'Spellbook: Demon Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_demon_wind1', 'none', '2'),
 (4935, 'Spellbook: Elemental Symphony', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 0, 0, 'true', 'sb_elemental_symphony', 'none', '2'),
 (4936, 'Recipe: Avadon Shield (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10900, 0, 'true', 'rp_avadon_shield_i', 'recipe', '2'),
 (4937, 'Recipe: Adamantite Earring (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12120, 0, 'true', 'rp_adamantite_earing_i', 'recipe', '2'),
 (4938, 'Recipe: Adamantite Ring (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8080, 0, 'true', 'rp_adamantite_ring_i', 'recipe', '2'),
 (4939, 'Recipe: Adamantite Necklace (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16160, 0, 'true', 'rp_adamantite_necklace_i', 'recipe', '2'),
 (4940, 'Recipe: Zubei''s Breastplate (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 41600, 0, 'true', 'rp_shrnoen''s_breastplate_i', 'recipe', '2'),
 (4941, 'Recipe: Zubei''s Gaiters  (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 26000, 0, 'true', 'rp_shrnoen''s_gaiters_i', 'recipe', '2'),
 (4942, 'Recipe: Boots of Silence (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_silent_boots_i', 'recipe', '2'),
 (4943, 'Recipe: Guardian''s Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_guardian''s_boots_i', 'recipe', '2'),
 (4944, 'Recipe: Avadon Breastplate (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 41600, 0, 'true', 'rp_avadon_breastplate_i', 'recipe', '2'),
 (4945, 'Recipe: Avadon Gaiters (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 26000, 0, 'true', 'rp_avadon_gaiters_i', 'recipe', '2'),
 (4946, 'Recipe: Zubei''s Leather Shirt (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 31200, 0, 'true', 'rp_shrnoen''s_leather_shirts_i', 'recipe', '2'),
 (4947, 'Recipe: Zubei''s Leather Gaiters (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19460, 0, 'true', 'rp_shrnoen''s_leather_gaiters_i', 'recipe', '2'),
 (4948, 'Recipe: Avadon Leather Mail (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45600, 0, 'true', 'rp_avadon_leather_mail_i', 'recipe', '2'),
 (4949, 'Recipe: Tunic of Zubei (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 31200, 0, 'true', 'rp_tunic_of_shrnoen_i', 'recipe', '2'),
 (4950, 'Recipe: Stockings of Zubei (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 19460, 0, 'true', 'rp_hose_of_shrnoen_i', 'recipe', '2'),
 (4951, 'Recipe: Avadon Robe (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 45600, 0, 'true', 'rp_avadon_robe_i', 'recipe', '2'),
 (4952, 'Recipe: Avadon Circlet (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 15560, 0, 'true', 'rp_avadon_circlet_i', 'recipe', '2'),
 (4953, 'Recipe: Avadon Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_avadon_gloves_i', 'recipe', '2'),
 (4954, 'Recipe: Chain Gloves of Silence (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_silent_chain_gloves_i', 'recipe', '2'),
 (4955, 'Recipe: Guardian''s Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_guardian''s_gloves_i', 'recipe', '2'),
 (4956, 'Recipe: Gloves of Blessing (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_gloves_of_blessing_i', 'recipe', '2'),
 (4957, 'Recipe: Boots of Blessing (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_boots_of_blessing_i', 'recipe', '2'),
 (4958, 'Recipe: Zubei''s Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_shrnoen''s_boots_i', 'recipe', '2'),
 (4959, 'Recipe: Avadon Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_avadon_boots_i', 'recipe', '2'),
 (4960, 'Recipe: Zubei''s Gauntlets (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10380, 0, 'true', 'rp_shrnoen''s_gauntlet_i', 'recipe', '2'),
 (4961, 'Recipe: Zubei''s Shield (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 10900, 0, 'true', 'rp_shrnoen''s_shield_i', 'recipe', '2'),
 (4962, 'Recipe: Zubei''s Helmet (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 15560, 0, 'true', 'rp_shrnoen''s_helmet_i', 'recipe', '2'),
 (4963, 'Recipe: Great Sword (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_great_sword_i', 'recipe', '2'),
 (4964, 'Recipe: Heavy War Axe (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_heavy_war_axe_i', 'recipe', '2'),
 (4965, 'Recipe: Spirit''s Staff (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_sprite''s_staff_i', 'recipe', '2'),
 (4966, 'Recipe: Keshanberk (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_kshanberk_i', 'recipe', '2'),
 (4967, 'Recipe: Sword of Valhalla (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_sword_of_valhalla_i', 'recipe', '2'),
 (4968, 'Recipe: Kris (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_kris_i', 'recipe', '2'),
 (4969, 'Recipe: Hell Knife (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_hell_knife_i', 'recipe', '2'),
 (4970, 'Recipe: Arthro Nail (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_arthro_nail_i', 'recipe', '2'),
 (4971, 'Recipe: Dark Elven Long Bow (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 173600, 0, 'true', 'rp_dark_elven_long_bow_i', 'recipe', '2'),
 (4972, 'Recipe: Great Axe (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_great_axe_i', 'recipe', '2'),
 (4973, 'Recipe: Earring of Black Ore (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 18480, 0, 'true', 'rp_earing_of_black_ore_i', 'recipe', '2'),
 (4974, 'Recipe: Ring of Black Ore (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 12320, 0, 'true', 'rp_ring_of_black_ore_i', 'recipe', '2'),
 (4975, 'Recipe: Necklace of Black Ore (70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24600, 0, 'true', 'rp_necklace_of_black_ore_i', 'recipe', '2'),
 (4976, 'Recipe: Implosion Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_implosion_boots_i', 'recipe', '2'),
 (4977, 'Recipe: Paradia Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_paradia_boots_i', 'recipe', '2'),
 (4978, 'Recipe: Elemental Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_elemental_boots_i', 'recipe', '2'),
 (4979, 'Recipe: Boots of Grace (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_boots_of_grace_i', 'recipe', '2'),
 (4980, 'Recipe: Doom Shield (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16900, 0, 'true', 'rp_doom_shield_i', 'recipe', '2'),
 (4981, 'Recipe: Blue Wolf Breastplate (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 64400, 0, 'true', 'rp_blue_wolve''s_breastplate_i', 'recipe', '2'),
 (4982, 'Recipe: Blue Wolf Gaiters (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 40200, 0, 'true', 'rp_blue_wolve''s_gaiters_i', 'recipe', '2'),
 (4983, 'Recipe: Doom Plate Armor (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 94200, 0, 'true', 'rp_doom_plate_armor_i', 'recipe', '2'),
 (4984, 'Recipe: Blue Wolf Leather Armor (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 70600, 0, 'true', 'rp_blue_wolve''s_leather_mail_i', 'recipe', '2'),
 (4985, 'Recipe: Leather Armor of Doom (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 70600, 0, 'true', 'rp_leather_mail_of_doom_i', 'recipe', '2'),
 (4986, 'Recipe: Blue Wolf Tunic (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 48200, 0, 'true', 'rp_blue_wolve''s_tunic_i', 'recipe', '2'),
 (4987, 'Recipe: Tunic of Doom (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 48200, 0, 'true', 'rp_tunic_of_doom_i', 'recipe', '2'),
 (4988, 'Recipe: Blue Wolf Stockings (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30200, 0, 'true', 'rp_blue_wolve''s_hose_i', 'recipe', '2'),
 (4989, 'Recipe: Stockings of Doom (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30200, 0, 'true', 'rp_hose_of_doom_i', 'recipe', '2'),
 (4990, 'Recipe: Blue Wolf Helmet (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24200, 0, 'true', 'rp_blue_wolve''s_helmet_i', 'recipe', '2'),
 (4991, 'Recipe: Doom Helmet (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 24200, 0, 'true', 'rp_doom_helmet_i', 'recipe', '2'),
 (4992, 'Recipe: Blue Wolf Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_blue_wolve''s_boots_i', 'recipe', '2'),
 (4993, 'Recipe: Doom Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_doom_gloves_i', 'recipe', '2'),
 (4994, 'Recipe: Elemental Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_elemental_gloves_i', 'recipe', '2'),
 (4995, 'Recipe: Gloves of Grace (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_gloves_of_grace_i', 'recipe', '2'),
 (4996, 'Recipe: Implosion Gauntlets (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_implosion_gauntlet_i', 'recipe', '2'),
 (4997, 'Recipe: Paradia Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_paradia_gloves_i', 'recipe', '2'),
 (4998, 'Recipe: Blue Wolf Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_blue_wolve''s_gloves_i', 'recipe', '2'),
 (4999, 'Recipe: Doom Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 16080, 0, 'true', 'rp_doom_boots_i', 'recipe', '2'),
 (5000, 'Recipe: Sword of Damascus (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_sword_of_damascus_i', 'recipe', '2'),
 (5001, 'Recipe: Lance (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_lancia_i', 'recipe', '2'),
 (5002, 'Recipe: Deadman''s Glory (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_deadman''s_glory_i', 'recipe', '2'),
 (5003, 'Recipe: Art of Battle Axe (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_art_of_battle_axe_i', 'recipe', '2'),
 (5004, 'Recipe: Staff of Evil Spirit (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_staff_of_evil_sprit_i', 'recipe', '2'),
 (5005, 'Recipe: Demon''s Sword (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_demon''s_sword_i', 'recipe', '2'),
 (5006, 'Recipe: Bellion Cestus (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_bellion_cestus_i', 'recipe', '2'),
 (5007, 'Recipe: Bow of Peril (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 262000, 0, 'true', 'rp_hazard_bow_i', 'recipe', '2'),
 (5008, 'Recipe: Pata (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'rp_pata_i', 'recipe', '2'),
 (5009, 'Trophy of Alliance', 'false', 'quest', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'trophy_of_alliance', 'none', '0'),
 (5010, 'Echo Crystal - Theme of Victory', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_victory', 'none', '2'),
 (5011, 'Star of Destiny', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'false', 'q_star_of_destiny', 'none', '0'),
 (5012, 'Leikan''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'leikans_letter', 'none', '0'),
 (5013, 'Spellbook: Elemental Assault', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_elemental_symphony_h1', 'none', '2'),
 (5014, 'Spellbook: Elemental Symphony', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_elemental_symphony_e1', 'none', '2'),
 (5015, 'Spellbook: Elemental Storm', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7200, 0, 'true', 'sb_elemental_symphony_d1', 'none', '2'),
 (5016, 'Seed: Dark Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 5, 0, 'true', 'dark_coda_seed_1', 'seed', '2'),
 (5017, 'Seed: Red Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 5, 0, 'true', 'red_coda_seed_1', 'seed', '2'),
 (5018, 'Seed: Chilly Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 5, 0, 'true', 'chilly_coda_seed_1', 'seed', '2'),
 (5019, 'Seed: Blue Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 10, 0, 'true', 'blue_coda_seed_1', 'seed', '2'),
 (5020, 'Seed: Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'golden_coda_seed_1', 'seed', '2'),
 (5021, 'Seed: Lute Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 30, 0, 'true', 'lute_coda_seed_1', 'seed', '2'),
 (5022, 'Seed: Desert Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 20, 0, 'true', 'desert_coda_seed_1', 'seed', '2'),
 (5023, 'Seed: Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'blue_cobol_seed_1', 'seed', '2'),
 (5024, 'Seed: Blue Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 10, 0, 'true', 'blue_coda_seed_2', 'seed', '2'),
 (5025, 'Seed: Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 20, 0, 'true', 'golden_coda_seed_2', 'seed', '2'),
 (5026, 'Seed: Lute Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 30, 0, 'true', 'lute_coda_seed_2', 'seed', '2'),
 (5027, 'Seed: Desert Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'desert_coda_seed_2', 'seed', '2'),
 (5028, 'Seed: Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 20, 0, 'true', 'red_cobol_seed_2', 'seed', '2'),
 (5029, 'Seed: Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 25, 0, 'true', 'chilly_cobol_seed_2', 'seed', '2'),
 (5030, 'Seed: Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'bur_cobol_seed_2', 'seed', '2'),
 (5031, 'Seed: Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'golden_cobol_seed_2', 'seed', '2'),
 (5032, 'Seed: Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'great_cobol_seed_2', 'seed', '2'),
 (5033, 'Seed: Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 20, 0, 'true', 'red_cobol_seed_3', 'seed', '2'),
 (5034, 'Seed: Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 25, 0, 'true', 'chilly_cobol_seed_3', 'seed', '2'),
 (5035, 'Seed: Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'blue_cobol_seed_3', 'seed', '2'),
 (5036, 'Seed: Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'bur_cobol_seed_3', 'seed', '2'),
 (5037, 'Seed: Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'golden_cobol_seed_3', 'seed', '2'),
 (5038, 'Seed: Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'great_cobol_seed_3', 'seed', '2'),
 (5039, 'Seed: Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'red_codran_seed_3', 'seed', '2'),
 (5040, 'Seed: Twin Codra', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'twin_codran_seed_3', 'seed', '2'),
 (5041, 'Seed: Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'desert_codran_seed_3', 'seed', '2'),
 (5042, 'Seed: Dark Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'dark_coda_seed_4', 'seed', '2'),
 (5043, 'Seed: Red Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 5, 0, 'true', 'red_coda_seed_4', 'seed', '2'),
 (5044, 'Seed: Blue Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'blue_coda_seed_4', 'seed', '2'),
 (5045, 'Seed: Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'red_cobol_seed_4', 'seed', '2'),
 (5046, 'Seed: Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 25, 0, 'true', 'chilly_cobol_seed_4', 'seed', '2'),
 (5047, 'Seed: Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'blue_cobol_seed_4', 'seed', '2'),
 (5048, 'Seed: Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'bur_cobol_seed_4', 'seed', '2'),
 (5049, 'Seed: Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'sea_codran_seed_4', 'seed', '2'),
 (5050, 'Seed: Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 40, 0, 'true', 'chilly_codran_seed_4', 'seed', '2'),
 (5051, 'Seed: Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'blue_codran_seed_4', 'seed', '2'),
 (5052, 'Seed: Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'twin_codran_seed_4', 'seed', '2'),
 (5053, 'Seed: Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'bur_cobol_seed_5', 'seed', '2'),
 (5054, 'Seed: Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'golden_cobol_seed_5', 'seed', '2'),
 (5055, 'Seed: Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'great_cobol_seed_5', 'seed', '2'),
 (5056, 'Seed: Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'red_codran_seed_5', 'seed', '2'),
 (5057, 'Seed: Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 40, 0, 'true', 'chilly_codran_seed_5', 'seed', '2'),
 (5058, 'Seed: Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'blue_codran_seed_5', 'seed', '2'),
 (5059, 'Seed: Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'twin_codran_seed_5', 'seed', '2'),
 (5060, 'Seed: Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 75, 0, 'true', 'great_codran_seed_5', 'seed', '2'),
 (5061, 'Seed: Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'desert_codran_seed_5', 'seed', '2'),
 (5062, 'Trash', 'false', 'seed', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'seed', '2'),
 (5063, 'Trash', 'false', 'seed', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_cobol_seed_5', 'seed', '2'),
 (5064, 'Trash', 'false', 'seed', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__desert_codran_seed_5', 'seed', '2'),
 (5065, 'Chilly Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'chilly_coda', 'seed', '2'),
 (5066, 'Burning Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'burning_coda', 'seed', '2'),
 (5067, 'Blue Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'blue_coda', 'seed', '2'),
 (5068, 'Red Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'red_coda', 'seed', '2'),
 (5069, 'Golden Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 200, 0, 'true', 'golden_coda', 'seed', '2'),
 (5070, 'Desert Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 200, 0, 'true', 'desert_coda', 'seed', '2'),
 (5071, 'Lute Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 300, 0, 'true', 'lute_coda', 'seed', '2'),
 (5072, 'Twin Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'twin_coda', 'seed', '2'),
 (5073, 'Dark Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'dark_coda', 'seed', '2'),
 (5074, 'Shining Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'shining_coda', 'seed', '2'),
 (5075, 'Chilly Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 250, 0, 'true', 'chilly_cobol', 'seed', '2'),
 (5076, 'Burning Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'burning_cobol', 'seed', '2'),
 (5077, 'Blue Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'blue_cobol', 'seed', '2'),
 (5078, 'Red Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 200, 0, 'true', 'red_cobol', 'seed', '2'),
 (5079, 'Golden Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'golden_cobol', 'seed', '2'),
 (5080, 'Desert Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'desert_cobol', 'seed', '2'),
 (5081, 'Sea Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'sea_cobol', 'seed', '2'),
 (5082, 'Thorn Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'bur_cobol', 'seed', '2'),
 (5083, 'Dapple Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'dapple_cobol', 'seed', '2'),
 (5084, 'Great Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'great_cobol', 'seed', '2'),
 (5085, 'Chilly Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'chilly_codran', 'seed', '2'),
 (5086, 'Burning Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'burning_codran', 'seed', '2'),
 (5087, 'Blue Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'blue_codran', 'seed', '2'),
 (5088, 'Red Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'red_codran', 'seed', '2'),
 (5089, 'Dapple Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'dapple_codran', 'seed', '2'),
 (5090, 'Desert Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 1000, 0, 'true', 'desert_codran', 'seed', '2'),
 (5091, 'Sea Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'sea_codran', 'seed', '2'),
 (5092, 'Twin Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'twin_codran', 'seed', '2'),
 (5093, 'Thorn Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'bur_codran', 'seed', '2'),
 (5094, 'Great Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 750, 0, 'true', 'great_codran', 'seed', '2'),
 (5095, 'Mature Chilly Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_chilly_coda', 'seed', '2'),
 (5096, 'Mature Burning Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_burning_coda', 'seed', '2'),
 (5097, 'Mature Blue Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_blue_coda', 'seed', '2'),
 (5098, 'Mature Red Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_red_coda', 'seed', '2'),
 (5099, 'Mature Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_golden_coda', 'seed', '2'),
 (5100, 'Mature Desert Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_desert_coda', 'seed', '2'),
 (5101, 'Mature Lute Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 300, 0, 'true', 'mature_lute_coda', 'seed', '2'),
 (5102, 'Mature Twin Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_twin_coda', 'seed', '2'),
 (5103, 'Mature Dark Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_dark_coda', 'seed', '2'),
 (5104, 'Mature Shining Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_shining_coda', 'seed', '2'),
 (5105, 'Mature Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_chilly_cobol', 'seed', '2'),
 (5106, 'Mature Burning Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_burning_cobol', 'seed', '2'),
 (5107, 'Mature Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_blue_cobol', 'seed', '2'),
 (5108, 'Mature Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_red_cobol', 'seed', '2'),
 (5109, 'Mature Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_golden_cobol', 'seed', '2'),
 (5110, 'Mature Desert Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_desert_cobol', 'seed', '2'),
 (5111, 'Mature Sea Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_sea_cobol', 'seed', '2'),
 (5112, 'Mature Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_bur_cobol', 'seed', '2'),
 (5113, 'Mature Dapple Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_dapple_cobol', 'seed', '2'),
 (5114, 'Mature Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_great_cobol', 'seed', '2'),
 (5115, 'Mature Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_chilly_codran', 'seed', '2'),
 (5116, 'Mature Burning Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_burning_codran', 'seed', '2'),
 (5117, 'Mature Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_blue_codran', 'seed', '2'),
 (5118, 'Mature Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_red_codran', 'seed', '2'),
 (5119, 'Mature Dapple Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_dapple_codran', 'seed', '2'),
 (5120, 'Mature Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_desert_codran', 'seed', '2'),
 (5121, 'Mature Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_sea_codran', 'seed', '2'),
 (5122, 'Mature Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_twin_codran', 'seed', '2'),
 (5123, 'Mature Thorn Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_bur_codran', 'seed', '2'),
 (5124, 'Mature Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'mature_great_codran', 'seed', '2'),
 (5125, 'Harvester', 'false', 'harvest', 20, 'normal', 'steel', 'none', 0, 500, 0, 'true', 'reaping_machine', 'harvest', '2'),
 (5126, 'Dualsword Craft Stamp', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 10000, 0, 'true', 'dualsword_craft_stamp', 'none', '2'),
 (5134, 'Compressed Package of Soulshots: No Grade', 'false', 'shot', 600, 'normal', 'steel', 'none', 0, 2300, 0, 'true', 'comp_soulshot_none', 'none', '2'),
 (5135, 'Compressed Package of Soulshots: D-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 3300, 0, 'true', 'comp_soulshot_d', 'none', '2'),
 (5136, 'Compressed Package of Soulshots: C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 4950, 0, 'true', 'comp_soulshot_c', 'none', '2'),
 (5137, 'Compressed Package of Soulshots: B-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 16500, 0, 'true', 'comp_soulshot_b', 'none', '2'),
 (5138, 'Compressed Package of Soulshots: A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 26400, 0, 'true', 'comp_soulshot_a', 'none', '2'),
 (5139, 'Compressed Package of Soulshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 33000, 0, 'true', 'comp_soulshot_s', 'none', '2'),
 (5140, 'Compressed Package of Spiritshots: No Grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 4950, 0, 'true', 'comp_spiritshot_none', 'none', '2'),
 (5141, 'Compressed Package of Spiritshots: D-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 5940, 0, 'true', 'comp_spiritshot_d', 'none', '2'),
 (5142, 'Compressed Package of Spiritshots: C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 11550, 0, 'true', 'comp_spiritshot_c', 'none', '2'),
 (5143, 'Compressed Package of Spiritshots: B-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 33000, 0, 'true', 'comp_spiritshot_b', 'none', '2'),
 (5144, 'Compressed Package of Spiritshots: A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 39600, 0, 'true', 'comp_spiritshot_a', 'none', '2'),
 (5145, 'Compressed Package of Spiritshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 49500, 0, 'true', 'comp_spiritshot_s', 'none', '2'),
 (5146, 'Compressed Package of Blessed Spiritshots: No Grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 11550, 0, 'true', 'comp_bspiritshot_none', 'none', '2'),
 (5147, 'Compressed Package of Blessed Spiritshots: D-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 14850, 0, 'true', 'comp_bspiritshot_d', 'none', '2'),
 (5148, 'Compressed Package of Blessed Spiritshots: C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 29700, 0, 'true', 'comp_bspiritshot_c', 'none', '2'),
 (5149, 'Compressed Package of Blessed Spiritshots: B-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 80850, 0, 'true', 'comp_bspiritshot_b', 'none', '2'),
 (5150, 'Compressed Package of Blessed Spiritshots: A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 95700, 0, 'true', 'comp_bspiritshot_a', 'none', '2'),
 (5151, 'Compressed Package of Blessed Spiritshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 115500, 0, 'true', 'comp_bspiritshot_s', 'none', '2'),
 (5152, 'Magic Compressor', 'false', 'none', 10, 'normal', 'steel', 'none', 0, 0, 0, 'false', 'magic_compressor', 'none', '2'),
 (5153, 'Recipe: Soulshot (D) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_comp_soulshot_d', 'recipe', '2'),
 (5154, 'Recipe: Soulshot (C) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 25000, 0, 'true', 'rp_comp_soulshot_c', 'recipe', '2'),
 (5155, 'Recipe: Soulshot (B) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_comp_soulshot_b', 'recipe', '2'),
 (5156, 'Recipe: Soulshot (A) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_comp_soulshot_a', 'recipe', '2'),
 (5157, 'Recipe: Soulshot (S) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250000, 0, 'true', 'rp_comp_soulshot_s', 'recipe', '2'),
 (5158, 'Recipe: Spiritshot (D) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_comp_spiritshot_d', 'recipe', '2'),
 (5159, 'Recipe: Spiritshot (C) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 25000, 0, 'true', 'rp_comp_spiritshot_c', 'recipe', '2'),
 (5160, 'Recipe: Spiritshot (B) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_comp_spiritshot_b', 'recipe', '2'),
 (5161, 'Recipe: Spiritshot (A) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_comp_spiritshot_a', 'recipe', '2'),
 (5162, 'Recipe: Spiritshot (S) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250000, 0, 'true', 'rp_comp_spiritshot_s', 'recipe', '2'),
 (5163, 'Recipe: Blessed Spiritshot (D) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 30000, 0, 'true', 'rp_comp_bspiritshot_d', 'recipe', '2'),
 (5164, 'Recipe: Blessed Spiritshot (C) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_comp_bspiritshot_c', 'recipe', '2'),
 (5165, 'Recipe: Blessed Spiritshot (B) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_comp_bspiritshot_b', 'recipe', '2'),
 (5166, 'Recipe: Blessed Spiritshot (A) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 180000, 0, 'true', 'rp_comp_bspiritshot_a', 'recipe', '2'),
 (5167, 'Recipe: Blessed Spiritshot (S) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 290000, 0, 'true', 'rp_comp_bspiritshot_s', 'recipe', '2'),
 (5168, 'Food for strider', 'false', 'none', 40, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'food_for_strider', 'none', '2'),
 (5169, 'Deluxe Food for strider', 'false', 'none', 30, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', 'deluxe_food_for_strider', 'none', '2'),
 (5192, 'Rope of Magic: D Grade', 'false', 'none', 2, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'rope_of_magic_d', 'none', '2'),
 (5193, 'Rope of Magic: C Grade', 'false', 'none', 2, 'stackable', 'paper', 'none', 0, 150, 0, 'true', 'rope_of_magic_c', 'none', '2'),
 (5194, 'Rope of Magic: B Grade', 'false', 'none', 2, 'stackable', 'paper', 'none', 0, 250, 0, 'true', 'rope_of_magic_b', 'none', '2'),
 (5195, 'Rope of Magic: A Grade', 'false', 'none', 2, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'rope_of_magic_a', 'none', '2'),
 (5196, 'Rope of Magic: S Grade', 'false', 'none', 2, 'stackable', 'paper', 'none', 0, 1500, 0, 'true', 'rope_of_magic_s', 'none', '2'),
 (5197, 'Chest Key - Grade 8', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box0', 'none', '2'),
 (5198, 'Chest Key - Grade 7', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box1', 'none', '2'),
 (5199, 'Chest Key - Grade 6', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box2', 'none', '2'),
 (5200, 'Chest Key - Grade 5', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box3', 'none', '2'),
 (5201, 'Chest Key - Grade 4', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box4', 'none', '2'),
 (5202, 'Chest Key - Grade 3', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box5', 'none', '2'),
 (5203, 'Chest Key - Grade 2', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box6', 'none', '2'),
 (5204, 'Chest Key - Grade 1', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 1200, 0, 'true', 'key_of_box7', 'none', '2'),
 (5205, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_sword_fix', 'castle_guard', '2'),
 (5206, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_pole_fix', 'castle_guard', '2'),
 (5207, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_bow_fix', 'castle_guard', '2'),
 (5208, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_cleric_fix', 'castle_guard', '2'),
 (5209, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_wizard_fix', 'castle_guard', '2'),
 (5210, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_sword_move', 'castle_guard', '2'),
 (5211, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_pole_move', 'castle_guard', '2'),
 (5212, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_bow_move', 'castle_guard', '2'),
 (5213, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_cleric_move', 'castle_guard', '2'),
 (5214, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (5215, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_teleporter1', 'castle_guard', '2'),
 (5218, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_teleporter2', 'castle_guard', '2'),
 (5219, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'mticket_innadrile_teleporter3', 'castle_guard', '2'),
 (5220, 'Metal Hardener', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'metal_hardener', 'material', '2'),
 (5221, 'Seed: Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'chilly_cobol_seed_6', 'seed', '2'),
 (5222, 'Seed: Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'blue_cobol_seed_6', 'seed', '2'),
 (5223, 'Seed: Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'bur_cobol_seed_6', 'seed', '2'),
 (5224, 'Seed: Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'golden_cobol_seed_6', 'seed', '2'),
 (5225, 'Seed: Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'great_cobol_seed_6', 'seed', '2'),
 (5226, 'Seed: Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'red_codran_seed_6', 'seed', '2'),
 (5227, 'Seed: Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'sea_codran_seed_6', 'seed', '2'),
 (5228, 'Trash', 'false', 'seed', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__sea_codran_seed_6', 'seed', '2'),
 (5229, 'Trash', 'false', 'seed', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__desert_codran_seed_6', 'seed', '2'),
 (5230, 'Recipe: Mithril Arrow (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 80000, 0, 'true', 'rp_mithril_arrow', 'recipe', '2'),
 (5231, 'Recipe: Metal Hardener (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 2800, 0, 'true', 'rp_metal_hardener', 'recipe', '2'),
 (5232, 'White Fabric', 'false', 'quest', 0, 'stackable', 'cloth', 'none', 100, 0, 0, 'false', 'q0348_white_fabric_a', 'none', '0'),
 (5234, 'Mystery Potion', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 12000, 0, 'true', 'Mystery Potion', 'potion', '2'),
 (5235, 'Facelifting Potion - A', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Facelifting Potion - A', 'potion', '2'),
 (5236, 'Facelifting Potion - B', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Facelifting Potion - B', 'potion', '2'),
 (5237, 'Facelifting Potion - C', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Facelifting Potion - C', 'potion', '2'),
 (5238, 'Dye Potion - A', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Dye Potion - A', 'potion', '2'),
 (5239, 'Dye Potion - B', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Dye Potion - B', 'potion', '2'),
 (5240, 'Dye Potion - C', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Dye Potion - C', 'potion', '2'),
 (5241, 'Dye Potion - D', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Dye Potion - D', 'potion', '2'),
 (5242, 'Hair Style Change Potion - A', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - A', 'potion', '2'),
 (5243, 'Hair Style Change Potion - B', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - B', 'potion', '2'),
 (5244, 'Hair Style Change Potion - C', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - C', 'potion', '2'),
 (5245, 'Hair Style Change Potion - D', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - D', 'potion', '2'),
 (5246, 'Hair Style Change Potion - E', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - E', 'potion', '2'),
 (5247, 'Hair Style Change Potion - F', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - F', 'potion', '2'),
 (5248, 'Hair Style Change Potion - G', 'false', 'potion', 50, 'stackable', 'liquid', 'none', 0, 24000, 0, 'true', 'Hair Style Change Potion - G', 'potion', '2'),
 (5249, 'Commemorative Item: First Anniversary of Lineage II Service', 'false', 'quest', 0, 'normal', 'cloth', 'none', 100, 0, 0, 'false', 'event_the_first_anniversary', 'none', '0'),
 (5250, 'Greater Compressed Package of Soulshots: No-grade', 'false', 'shot', 600, 'normal', 'steel', 'none', 0, 7700, 0, 'true', 'adv_comp_soulshot_none', 'none', '2'),
 (5251, 'Greater Compressed Package of Soulshots:  D-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 11000, 0, 'true', 'adv_comp_soulshot_d', 'none', '2'),
 (5252, 'Greater Compressed Package of Soulshots:  C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 16500, 0, 'true', 'adv_comp_soulshot_c', 'none', '2'),
 (5253, 'Greater Compressed Package of Soulshots:  B-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 55000, 0, 'true', 'adv_comp_soulshot_b', 'none', '2'),
 (5254, 'Greater Compressed Package of Soulshots:  A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 88000, 0, 'true', 'adv_comp_soulshot_a', 'none', '2'),
 (5255, 'Greater Compressed Package of Soulshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 120000, 0, 'true', 'adv_comp_soulshot_s', 'none', '2'),
 (5256, 'Greater Compressed Package of Spiritshots:  No-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 16500, 0, 'true', 'adv_comp_spiritshot_none', 'none', '2'),
 (5257, 'Greater Compressed Package of Spiritshots:  D-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 19800, 0, 'true', 'adv_comp_spiritshot_d', 'none', '2'),
 (5258, 'Greater Compressed Package of Spiritshots:  C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 38500, 0, 'true', 'adv_comp_spiritshot_c', 'none', '2'),
 (5259, 'Greater Compressed Package of Spiritshots:  B-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 110000, 0, 'true', 'adv_comp_spiritshot_b', 'none', '2'),
 (5260, 'Greater Compressed Package of Spiritshots: A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 132000, 0, 'true', 'adv_comp_spiritshot_a', 'none', '2'),
 (5261, 'Greater Compressed Package of Spiritshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 180000, 0, 'true', 'adv_comp_spiritshot_s', 'none', '2'),
 (5262, 'Greater Compressed Package of Blessed Spiritshots:  No-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 38500, 0, 'true', 'adv_comp_bspiritshot_none', 'none', '2'),
 (5263, 'Greater Compressed Package of Blessed Spiritshots:  D-grade', 'false', 'shot', 750, 'normal', 'steel', 'none', 0, 49500, 0, 'true', 'adv_comp_bspiritshot_d', 'none', '2'),
 (5264, 'Greater Compressed Package of Blessed Spiritshots:  C-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 99000, 0, 'true', 'adv_comp_bspiritshot_c', 'none', '2'),
 (5265, 'Greater Compressed Package of Blessed Spiritshots:  B-grade', 'false', 'shot', 450, 'normal', 'steel', 'none', 0, 269500, 0, 'true', 'adv_comp_bspiritshot_b', 'none', '2'),
 (5266, 'Greater Compressed Package of Blessed Spiritshots: A-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 319000, 0, 'true', 'adv_comp_bspiritshot_a', 'none', '2'),
 (5267, 'Greater Compressed Package of Blessed Spiritshots: S-grade', 'false', 'shot', 300, 'normal', 'steel', 'none', 0, 419000, 0, 'true', 'adv_comp_bspiritshot_s', 'none', '2'),
 (5268, 'Recipe: Greater Soulshot (D) Compressed Package (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_adv_comp_soulshot_d', 'recipe', '2'),
 (5269, 'Recipe: Greater Soulshot (C) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_adv_comp_soulshot_c', 'recipe', '2'),
 (5270, 'Recipe: Greater Soulshot (B) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_adv_comp_soulshot_b', 'recipe', '2'),
 (5271, 'Recipe: Greater Soulshot (A) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_adv_comp_soulshot_a', 'recipe', '2'),
 (5272, 'Recipe: Greater Soulshot (S) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250000, 0, 'true', 'rp_adv_comp_soulshot_s', 'recipe', '2'),
 (5273, 'Recipe: Greater Spiritshot (D) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'rp_adv_comp_spiritshot_d', 'recipe', '2'),
 (5274, 'Recipe: Greater Spiritshot (C) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 60000, 0, 'true', 'rp_adv_comp_spiritshot_c', 'recipe', '2'),
 (5275, 'Recipe: Greater Spiritshot (B) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 100000, 0, 'true', 'rp_adv_comp_spiritshot_b', 'recipe', '2'),
 (5276, 'Recipe: Greater Spiritshot (A) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 150000, 0, 'true', 'rp_adv_comp_spiritshot_a', 'recipe', '2'),
 (5277, 'Recipe: Greater Spiritshot (S) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 250000, 0, 'true', 'rp_adv_comp_spiritshot_s', 'recipe', '2'),
 (5278, 'Recipe: Greater Blessed Spiritshot (D) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 8000, 0, 'true', 'rp_adv_comp_bspiritshot_d', 'recipe', '2'),
 (5279, 'Recipe: Greater Blessed Spiritshot (C) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 80000, 0, 'true', 'rp_adv_comp_bspiritshot_c', 'recipe', '2'),
 (5280, 'Recipe: Greater Blessed Spiritshot (B) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 130000, 0, 'true', 'rp_adv_comp_bspiritshot_b', 'recipe', '2'),
 (5281, 'Recipe: Greater Blessed Spiritshot (A) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 170000, 0, 'true', 'rp_adv_comp_bspiritshot_a', 'recipe', '2'),
 (5282, 'Recipe: Greater Blessed Spiritshot (S) Compressed Package(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 0, 285000, 0, 'true', 'rp_adv_comp_bspiritshot_s', 'recipe', '2'),
 (5283, 'Rice Cake', 'false', 'potion', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'cake_mochi', 'potion', '2'),
 (5332, 'Recipe: Sealed Dark Crystal Leather Armor(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 69400, 0, 'true', 'rp_sealed_dark_crystal_leather_mail_i', 'recipe', '2'),
 (5333, 'Recipe: Sealed Dark Crystal Leather Armor(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_leather_mail', 'recipe', '2'),
 (5334, 'Recipe: Sealed Tallum Leather Armor(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 101600, 0, 'true', 'rp_sealed_tallum_leather_mail_i', 'recipe', '2'),
 (5335, 'Recipe: Sealed Tallum Leather Armor(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_leather_mail', 'recipe', '2'),
 (5336, 'Recipe: Sealed Leather Armor of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 154600, 0, 'true', 'rp_sealed_leather_mail_of_nightmare_i', 'recipe', '2'),
 (5337, 'Recipe: Sealed Leather Armor of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_leather_mail_of_nightmare', 'recipe', '2'),
 (5338, 'Recipe: Sealed Majestic Leather Armor(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 154600, 0, 'true', 'rp_sealed_majestic_leather_mail_i', 'recipe', '2'),
 (5339, 'Recipe: Sealed Majestic Leather Armor(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_majestic_leather_mail', 'recipe', '2'),
 (5340, 'Recipe: Sealed Dark Crystalline Leggings(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 43400, 0, 'true', 'rp_sealed_legging_of_dark_crystal_i', 'recipe', '2'),
 (5341, 'Recipe: Sealed Dark Crystalline Leggings(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_legging_of_dark_crystal', 'recipe', '2'),
 (5342, 'Recipe: Phoenix Earring(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_earing_i', 'recipe', '2'),
 (5343, 'Recipe: Phoenix Earring(100%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_earing', 'recipe', '2'),
 (5344, 'Recipe: Inferno Earring(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_earing_i', 'recipe', '2'),
 (5345, 'Recipe: Inferno Earring(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_earing', 'recipe', '2'),
 (5346, 'Recipe: Sealed Tallum Tunic(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 69400, 0, 'true', 'rp_sealed_tallum_tunic_i', 'recipe', '2'),
 (5347, 'Recipe: Sealed Tallum Tunic(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_tunic', 'recipe', '2'),
 (5348, 'Recipe: Sealed Dark Crystal Robe(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 101600, 0, 'true', 'rp_sealed_dark_crystal_robe_i', 'recipe', '2'),
 (5349, 'Recipe: Sealed Dark Crystal Robe(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_robe', 'recipe', '2'),
 (5350, 'Recipe: Sealed Robe of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 154600, 0, 'true', 'rp_sealed_robe_of_nightmare_i', 'recipe', '2'),
 (5351, 'Recipe: Sealed Robe of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_robe_of_nightmare', 'recipe', '2'),
 (5352, 'Recipe: Sealed Majestic Robe(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 154600, 0, 'true', 'rp_sealed_majestic_robe_i', 'recipe', '2'),
 (5353, 'Recipe: Sealed Majestic Robe(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_majestic_robe', 'recipe', '2'),
 (5354, 'Recipe: Sealed Tallum Stockings(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 43400, 0, 'true', 'rp_sealed_tallum_hose_i', 'recipe', '2'),
 (5355, 'Recipe: Sealed Tallum Stockings(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_hose', 'recipe', '2'),
 (5356, 'Recipe: Phoenix Necklace(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_necklace_i', 'recipe', '2'),
 (5357, 'Recipe: Phoenix Necklace(100%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_necklace', 'recipe', '2'),
 (5358, 'Recipe: Inferno Necklace(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_necklace_i', 'recipe', '2'),
 (5359, 'Recipe: Inferno Necklace(100%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_necklace', 'recipe', '2'),
 (5360, 'Recipe: Phoenix Ring(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_ring_i', 'recipe', '2'),
 (5361, 'Recipe: Phoenix Ring(100%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_phoenix''s_ring', 'recipe', '2'),
 (5362, 'Recipe: Inferno Ring(70%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_ring_i', 'recipe', '2'),
 (5363, 'Recipe: Inferno Ring(100%)', 'false', 'recipe', 20, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'rp_majestic_ring', 'recipe', '2'),
 (5364, 'Recipe: Sealed Dark Crystal Shield(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 24400, 0, 'true', 'rp_sealed_dark_crystal_shield_i', 'recipe', '2'),
 (5365, 'Recipe: Sealed Dark Crystal Shield(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_shield', 'recipe', '2'),
 (5366, 'Recipe: Sealed Shield of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 37000, 0, 'true', 'rp_sealed_shield_of_nightmare_i', 'recipe', '2'),
 (5367, 'Recipe: Sealed Shield of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_shield_of_nightmare', 'recipe', '2'),
 (5368, 'Recipe: Sealed Dark Crystal Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 23200, 0, 'true', 'rp_sealed_dark_crystal_boots_i', 'recipe', '2'),
 (5369, 'Recipe: Sealed Dark Crystal Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_boots', 'recipe', '2'),
 (5370, 'Recipe: Sealed Tallum Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 23200, 0, 'true', 'rp_sealed_tallum_boots_i', 'recipe', '2'),
 (5371, 'Recipe: Sealed Tallum Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_boots', 'recipe', '2'),
 (5372, 'Recipe: Sealed Boots of The Underworld(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_boots_of_underworld_i', 'recipe', '2'),
 (5373, 'Recipe: Sealed Boots of The Underworld(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_boots_of_underworld', 'recipe', '2'),
 (5374, 'Recipe: Sealed Gust Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gust_boots_i', 'recipe', '2'),
 (5375, 'Recipe: Sealed Gust Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gust_boots', 'recipe', '2'),
 (5376, 'Recipe: Sealed Red Flame Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_red_flame_boots_i', 'recipe', '2'),
 (5377, 'Recipe: Sealed Red Flame Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_red_flame_boots', 'recipe', '2'),
 (5378, 'Recipe: Sealed Phoenix Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_phoenix''s_boots_i', 'recipe', '2'),
 (5379, 'Recipe: Sealed Phoenix Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_phoenix''s_boots', 'recipe', '2'),
 (5380, 'Recipe: Sealed Boots of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 35200, 0, 'true', 'rp_sealed_boots_of_nightmare_i', 'recipe', '2'),
 (5381, 'Recipe: Sealed Boots of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_boots_of_nightmare', 'recipe', '2'),
 (5382, 'Recipe: Sealed Majestic Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 35200, 0, 'true', 'rp_sealed_magestic_boots_i', 'recipe', '2'),
 (5383, 'Recipe: Sealed Majestic Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_magestic_boots', 'recipe', '2'),
 (5384, 'Recipe: Sealed Dark Legion Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_legion_boots_i', 'recipe', '2'),
 (5385, 'Recipe: Sealed Dark Legion Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_legion_boots', 'recipe', '2'),
 (5386, 'Recipe: Sealed Boots of Phantom(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_boots_of_phantom_i', 'recipe', '2'),
 (5387, 'Recipe: Sealed Boots of Phantom(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_boots_of_phantom', 'recipe', '2'),
 (5388, 'Recipe: Sealed Cerberus Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_cerberus''s_boots_i', 'recipe', '2'),
 (5389, 'Recipe: Sealed Cerberus Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_cerberus''s_boots', 'recipe', '2'),
 (5390, 'Recipe: Sealed Dasparion''s Boots Boots(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dasparion''s_boots_i', 'recipe', '2'),
 (5391, 'Recipe: Sealed Dasparion''s Boots Boots(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dasparion''s_boots', 'recipe', '2'),
 (5392, 'Recipe: Sealed Dark Crystal Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 23200, 0, 'true', 'rp_sealed_dark_crystal_gloves_i', 'recipe', '2'),
 (5393, 'Recipe: Sealed Dark Crystal Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_gloves', 'recipe', '2'),
 (5394, 'Recipe: Sealed Tallum Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 23200, 0, 'true', 'rp_sealed_tallum_gloves_i', 'recipe', '2'),
 (5395, 'Recipe: Sealed Tallum Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_gloves', 'recipe', '2'),
 (5396, 'Recipe: Sealed Gloves of The Underworld(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_underworld_i', 'recipe', '2'),
 (5397, 'Recipe: Sealed Gloves of The Underworld(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_underworld', 'recipe', '2'),
 (5398, 'Recipe: Sealed Gust Bracer(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gust_bracer_i', 'recipe', '2'),
 (5399, 'Recipe: Sealed Gust Bracer(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gust_bracer', 'recipe', '2'),
 (5400, 'Recipe: Sealed Gloves of Black Ore(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_black_ore_i', 'recipe', '2'),
 (5401, 'Recipe: Sealed Gloves of Black Ore(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_black_ore', 'recipe', '2'),
 (5402, 'Recipe: Sealed Phoenix Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_phoenix''s_gloves_i', 'recipe', '2'),
 (5403, 'Recipe: Sealed Phoenix Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_phoenix''s_gloves', 'recipe', '2'),
 (5404, 'Recipe: Sealed Gloves of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 35200, 0, 'true', 'rp_sealed_gloves_of_nightmare_i', 'recipe', '2'),
 (5405, 'Recipe: Sealed Gloves of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_nightmare', 'recipe', '2'),
 (5406, 'Recipe: Sealed Majestic Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 35200, 0, 'true', 'rp_sealed_magestic_gloves_i', 'recipe', '2'),
 (5407, 'Recipe: Sealed Majestic Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_magestic_gloves', 'recipe', '2'),
 (5408, 'Recipe: Sealed Dark Legion Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_legion_gloves_i', 'recipe', '2'),
 (5409, 'Recipe: Sealed Dark Legion Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_legion_gloves', 'recipe', '2'),
 (5410, 'Recipe: Sealed Gloves of Phantom(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_phantom_i', 'recipe', '2'),
 (5411, 'Recipe: Sealed Gloves of Phantom(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_gloves_of_phantom', 'recipe', '2'),
 (5412, 'Recipe: Sealed Cerberus Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_cerberus''s_gloves_i', 'recipe', '2'),
 (5413, 'Recipe: Sealed Cerberus Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_cerberus''s_gloves', 'recipe', '2'),
 (5414, 'Recipe: Sealed Dasparion''s Gloves(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dasparion''s_gloves_i', 'recipe', '2'),
 (5415, 'Recipe: Sealed Dasparion''s Gloves(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dasparion''s_gloves', 'recipe', '2'),
 (5416, 'Recipe: Sealed Dark Crystal Breastplate(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 92600, 0, 'true', 'rp_sealed_dark_crystal_breastplate_i', 'recipe', '2'),
 (5417, 'Recipe: Sealed Dark Crystal Breastplate(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_breastplate', 'recipe', '2'),
 (5418, 'Recipe: Sealed Tallum Plate Armor(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 135400, 0, 'true', 'rp_sealed_tallum_plate_armor_i', 'recipe', '2'),
 (5419, 'Recipe: Sealed Tallum Plate Armor(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_plate_armor', 'recipe', '2'),
 (5420, 'Recipe: Sealed Armor of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 206000, 0, 'true', 'rp_sealed_armor_of_nightmare_i', 'recipe', '2'),
 (5421, 'Recipe: Sealed Armor of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_armor_of_nightmare', 'recipe', '2'),
 (5422, 'Recipe: Sealed Majestic Plate Armor(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 206000, 0, 'true', 'rp_sealed_majestic_platte_armor_i', 'recipe', '2'),
 (5423, 'Recipe: Sealed Majestic Plate Armor(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_majestic_platte_armor', 'recipe', '2'),
 (5424, 'Recipe: Sealed Dark Crystal Gaiters(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 57800, 0, 'true', 'rp_sealed_dark_crystal_gaiters_i', 'recipe', '2'),
 (5425, 'Recipe: Sealed Dark Crystal Gaiters(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_gaiters', 'recipe', '2'),
 (5426, 'Recipe: Sealed Dark Crystal Helmet(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 34800, 0, 'true', 'rp_sealed_dark_crystal_helmet_i', 'recipe', '2'),
 (5427, 'Recipe: Sealed Dark Crystal Helmet(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_dark_crystal_helmet', 'recipe', '2'),
 (5428, 'Recipe: Sealed Tallum Helmet(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 34800, 0, 'true', 'rp_sealed_tallum_bonnet_i', 'recipe', '2'),
 (5429, 'Recipe: Sealed Tallum Helmet(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_tallum_bonnet', 'recipe', '2'),
 (5430, 'Recipe: Sealed Helm of Nightmare(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 52800, 0, 'true', 'rp_sealed_helm_of_nightmare_i', 'recipe', '2'),
 (5431, 'Recipe: Sealed Helm of Nightmare(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_helm_of_nightmare', 'recipe', '2'),
 (5432, 'Recipe: Sealed Majestic Circlet(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 52800, 0, 'true', 'rp_sealed_magestic_circlet_i', 'recipe', '2'),
 (5433, 'Recipe: Sealed Majestic Circlet(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_magestic_circlet', 'recipe', '2'),
 (5434, 'Recipe: Dragon Slayer(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_dragon_slayer_i', 'recipe', '2'),
 (5435, 'Recipe: Dragon Slayer(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_dragon_slayer', 'recipe', '2'),
 (5436, 'Recipe: Berserker Blade(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 122600, 0, 'true', 'rp_berserker_blade', 'recipe', '2'),
 (5437, 'Recipe: Heavy Sword(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 8180, 0, 'true', 'rp_heavy_sword', 'recipe', '2'),
 (5438, 'Recipe: Meteor Shower(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_meteor_shower_i', 'recipe', '2'),
 (5439, 'Recipe: Meteor Shower(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_meteor_shower', 'recipe', '2'),
 (5440, 'Recipe: Elysian(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_elysian_i', 'recipe', '2'),
 (5441, 'Recipe: Elysian(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_elysian', 'recipe', '2'),
 (5442, 'Recipe: Soul Bow(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_soul_bow_i', 'recipe', '2'),
 (5443, 'Recipe: Soul Bow(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_soul_bow', 'recipe', '2'),
 (5444, 'Recipe: Carnage Bow(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_carnium_bow_i', 'recipe', '2'),
 (5445, 'Recipe: Carnage Bow(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_carnium_bow', 'recipe', '2'),
 (5446, 'Recipe: Bloody Orchid(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_bloody_orchid_i', 'recipe', '2'),
 (5447, 'Recipe: Bloody Orchid(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_bloody_orchid', 'recipe', '2'),
 (5448, 'Recipe: Soul Separator(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_soul_separator_i', 'recipe', '2'),
 (5449, 'Recipe: Soul Separator(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_soul_separator', 'recipe', '2'),
 (5450, 'Recipe: Dragon Grinder(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_dragon_grinder_i', 'recipe', '2'),
 (5451, 'Recipe: Dragon Grinder(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_dragon_grinder', 'recipe', '2'),
 (5452, 'Recipe: Blood Tornado(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_blood_tornado_i', 'recipe', '2'),
 (5453, 'Recipe: Blood Tornado(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_blood_tornado', 'recipe', '2'),
 (5454, 'Recipe: Orcish Halberd(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_orcish_halbard_i', 'recipe', '2'),
 (5455, 'Recipe: Orcish Halberd(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_orcish_halbard', 'recipe', '2'),
 (5456, 'Recipe: Tallum Glaive(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_tallum_glaive_i', 'recipe', '2'),
 (5457, 'Recipe: Tallum Glaive(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_tallum_glaive', 'recipe', '2'),
 (5458, 'Recipe: Halberd(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_halbard_i', 'recipe', '2'),
 (5459, 'Recipe: Halberd(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_halbard', 'recipe', '2'),
 (5460, 'Recipe: Dasparion''s Staff(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_dasparion''s_staff_i', 'recipe', '2'),
 (5461, 'Recipe: Dasparion''s Staff(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_dasparion''s_staff', 'recipe', '2'),
 (5462, 'Recipe: Branch of The Mother Tree(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_worldtree''s_branch_i', 'recipe', '2'),
 (5463, 'Recipe: Branch of The Mother Tree(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_worldtree''s_branch', 'recipe', '2'),
 (5464, 'Recipe: Dark Legion''s Edge(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_dark_legion''s_edge_i', 'recipe', '2'),
 (5465, 'Recipe: Dark Legion''s Edge(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_dark_legion''s_edge', 'recipe', '2'),
 (5466, 'Recipe: Sword of Miracle(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 540000, 0, 'true', 'rp_sword_of_miracle_i', 'recipe', '2'),
 (5467, 'Recipe: Sword of Miracle(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sword_of_miracle', 'recipe', '2'),
 (5468, 'Recipe: Elemental Sword(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_elemental_sword_i', 'recipe', '2'),
 (5469, 'Recipe: Elemental Sword(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_elemental_sword', 'recipe', '2'),
 (5470, 'Recipe: Tallum Blade(60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 366000, 0, 'true', 'rp_tallum_blade_i', 'recipe', '2'),
 (5471, 'Recipe: Tallum Blade(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_tallum_blade', 'recipe', '2'),
 (5472, 'Recipe: Metallic Thread(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 2800, 0, 'true', 'rp_iron_thread', 'recipe', '2'),
 (5473, 'Recipe: Durable Metal Plate(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 2800, 0, 'true', 'rp_reinforcing_plate', 'recipe', '2'),
 (5474, 'Recipe: Leolin''s Mold(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_reorins_mold', 'recipe', '2'),
 (5475, 'Recipe: Warsmith''s Mold(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_warsmith_mold', 'recipe', '2'),
 (5476, 'Recipe: Arcsmith''s Anvil(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_arcsmith_anvil', 'recipe', '2'),
 (5477, 'Recipe: Warsmith''s Holder(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_warsmith_holder', 'recipe', '2'),
 (5478, 'Sealed Dark Crystal Leather Armor Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 23784, 0, 'true', 'sealed_dark_crystal_leather_mail_patte', 'material', '1'),
 (5479, 'Sealed Tallum Leather Armor Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 33800, 0, 'true', 'sealed_tallum_leather_mail_pattern', 'material', '1'),
 (5480, 'Sealed Leather Armor of Nightmare Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 44571, 0, 'true', 'sealed_leather_mail_of_nightmare_fabri', 'material', '1'),
 (5481, 'Sealed Majestic Leather Armor Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 44571, 0, 'true', 'sealed_majestic_leather_mail_fabric', 'material', '1'),
 (5482, 'Sealed Dark Crystalline Leggings Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15153, 0, 'true', 'sealed_legging_of_dark_crystal_design', 'material', '1'),
 (5483, 'Phoenix Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'phoenix''s_earing_gemstone', 'material', '1'),
 (5484, 'Inferno Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'majestic_earing_gemstone', 'material', '1'),
 (5485, 'Sealed Tallum Tunic Texture', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 23784, 0, 'true', 'sealed_tallum_tunic_texture', 'material', '1'),
 (5486, 'Sealed Dark Crystal Robe Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 33800, 0, 'true', 'sealed_dark_crystal_robe_fabric', 'material', '1'),
 (5487, 'Sealed Robe of Nightmare Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 44414, 0, 'true', 'sealed_robe_of_nightmare_fabric', 'material', '1'),
 (5488, 'Sealed Majestic Robe Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 44414, 0, 'true', 'sealed_majestic_robe_fabric', 'material', '1'),
 (5489, 'Sealed Tallum Stockings Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 15153, 0, 'true', 'sealed_tallum_hose_fabric', 'material', '1'),
 (5490, 'Phoenix Necklace Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'phoenix''s_necklace_beads', 'material', '1'),
 (5491, 'Inferno Necklace Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'majestic_necklace_beads', 'material', '1'),
 (5492, 'Phoenix Ring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'phoenix''s_ring_gemstone', 'material', '1'),
 (5493, 'Inferno Ring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'majestic_ring_gemstone', 'material', '1'),
 (5494, 'Sealed Dark Crystal Shield Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9523, 0, 'true', 'sealed_dark_crystal_shield_fragment', 'material', '1');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (5495, 'Sealed Shield of Nightmare Fragment', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13171, 0, 'true', 'sealed_shield_of_nightmare_fragment', 'material', '1'),
 (5496, 'Sealed Dark Crystal Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8530, 0, 'true', 'sealed_dark_crystal_boots_lining', 'material', '1'),
 (5497, 'Sealed Tallum Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8530, 0, 'true', 'sealed_tallum_boots_lining', 'material', '1'),
 (5498, 'Sealed Boots of the Underworld Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_boots_of_underworld_lining', 'material', '1'),
 (5499, 'Sealed Gust Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_gust_boots_lining', 'material', '1'),
 (5500, 'Sealed Red Flame Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_red_flame_boots_lining', 'material', '1'),
 (5501, 'Sealed Phoenix Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_phoenix''s_boots_lining', 'material', '1'),
 (5502, 'Sealed Boots of Nightmare Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11842, 0, 'true', 'sealed_boots_of_nightmare_lining', 'material', '1'),
 (5503, 'Sealed Majestic Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11842, 0, 'true', 'sealed_magestic_boots_lining', 'material', '1'),
 (5504, 'Sealed Dark Legion Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_dark_legion_boots_lining', 'material', '1'),
 (5505, 'Sealed Boots of Phantom Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_boots_of_phantom_lining', 'material', '1'),
 (5506, 'Sealed Cerberus Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_cerberus''s_boots_lining', 'material', '1'),
 (5507, 'Sealed Dasparion''s Boots Lining', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_dasparion''s_boots_lining', 'material', '1'),
 (5508, 'Sealed Dark Crystal Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8530, 0, 'true', 'sealed_dark_crystal_gloves_design', 'material', '1'),
 (5509, 'Sealed Tallum Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8530, 0, 'true', 'sealed_tallum_gloves_design', 'material', '1'),
 (5510, 'Sealed Gloves of the Underworld Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_gloves_of_underworld_design', 'material', '1'),
 (5511, 'Sealed Gust Bracer design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_gust_bracer_design', 'material', '1'),
 (5512, 'Sealed Gloves of Black Ore Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_gloves_of_black_ore_design', 'material', '1'),
 (5513, 'Sealed Phoenix Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_phoenix''s_gloves_design', 'material', '1'),
 (5514, 'Sealed Gloves of Nightmare Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11842, 0, 'true', 'sealed_gloves_of_nightmare_design', 'material', '1'),
 (5515, 'Sealed Majestic Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11842, 0, 'true', 'sealed_magestic_gloves_design', 'material', '1'),
 (5516, 'Sealed Dark Legion Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_dark_legion_gloves_design', 'material', '1'),
 (5517, 'Sealed Gloves of Phantom Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_gloves_of_phantom_design', 'material', '1'),
 (5518, 'Sealed Cerberus Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_cerberus''s_gloves_design', 'material', '1'),
 (5519, 'Sealed Dasparion''s Gloves Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_dasparion''s_gloves_design', 'material', '1'),
 (5520, 'Sealed Dark Crystal Breastplate Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 31015, 0, 'true', 'sealed_dark_crystal_breastplate_patter', 'material', '1'),
 (5521, 'Sealed Tallum Plate Armor Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43953, 0, 'true', 'sealed_tallum_plate_armor_pattern', 'material', '1'),
 (5522, 'Sealed Armor of Nightmare Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58728, 0, 'true', 'sealed_armor_of_nightmare_pattern', 'material', '1'),
 (5523, 'Sealed Majestic Plate Armor Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58728, 0, 'true', 'sealed_majestic_platte_armor_pattern', 'material', '1'),
 (5524, 'Sealed Dark Crystal Gaiters Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 20292, 0, 'true', 'sealed_dark_crystal_gaiters_pattern', 'material', '1'),
 (5525, 'Sealed Dark Crystal Helmet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12938, 0, 'true', 'sealed_dark_crystal_helmet_design', 'material', '1'),
 (5526, 'Sealed Tallum Helm Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12938, 0, 'true', 'sealed_tallum_bonnet_design', 'material', '1'),
 (5527, 'Sealed Helm of Nightmare Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16728, 0, 'true', 'sealed_helm_of_nightmare_design', 'material', '1'),
 (5528, 'Sealed Majestic Circlet Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16728, 0, 'true', 'sealed_magestic_circlet_design', 'material', '1'),
 (5529, 'Dragon Slayer Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72900, 0, 'true', 'dragon_slayer_edge', 'material', '1'),
 (5530, 'Berserker Blade Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 43600, 0, 'true', 'berserker_blade_edge', 'material', '1'),
 (5531, 'Heavy Sword Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 11912, 0, 'true', 'heavy_sword_edge', 'material', '1'),
 (5532, 'Meteor Shower Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 59308, 0, 'true', 'meteor_shower_head', 'material', '1'),
 (5533, 'Elysian Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72914, 0, 'true', 'elysian_head', 'material', '1'),
 (5534, 'Soul Bow Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72850, 0, 'true', 'soul_bow_shaft', 'material', '1'),
 (5535, 'Carnage Bow Stave', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58615, 0, 'true', 'carnium_bow_shaft', 'material', '1'),
 (5536, 'Bloody Orchid Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58785, 0, 'true', 'bloody_orchid_head', 'material', '1'),
 (5537, 'Soul Separator Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72900, 0, 'true', 'soul_separator_head', 'material', '1'),
 (5538, 'Dragon Grinder Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72914, 0, 'true', 'dragon_grinder_edge', 'material', '1'),
 (5539, 'Blood Tornado Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 59308, 0, 'true', 'blood_tornado_edge', 'material', '1'),
 (5540, 'Orcish Halberd Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 62500, 0, 'true', 'orcish_halbard_edge', 'material', '1'),
 (5541, 'Tallum Glaive Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72929, 0, 'true', 'tallum_glaive_edge', 'material', '1'),
 (5542, 'Halberd Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 59308, 0, 'true', 'halbard_edge', 'material', '1'),
 (5543, 'Dasparion''s Staff Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58754, 0, 'true', 'dasparion''s_staff_head', 'material', '1'),
 (5544, 'Branch of The Mother Tree Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72986, 0, 'true', 'worldtree''s_branch_head', 'material', '1'),
 (5545, 'Dark Legion''s Edge Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 72900, 0, 'true', 'dark_legion''s_edge_edge', 'material', '1'),
 (5546, 'Sword of Miracles Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 66369, 0, 'true', 'sword_of_miracle_edge', 'material', '1'),
 (5547, 'Elemental Sword Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58785, 0, 'true', 'elemental_sword_edge', 'material', '1'),
 (5548, 'Tallum Blade Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 58785, 0, 'true', 'tallum_blade_edge', 'material', '1'),
 (5549, 'Metallic Thread', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 2000, 0, 'true', 'iron_thread', 'material', '2'),
 (5550, 'Durable Metal Plate', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 15000, 0, 'true', 'reinforcing_plate', 'material', '2'),
 (5551, 'Leolin''s Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 238000, 0, 'true', 'reorins_mold', 'material', '2'),
 (5552, 'Warsmith''s Mold', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 385000, 0, 'true', 'warsmith_mold', 'material', '2'),
 (5553, 'Arcsmith''s Anvil', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 531200, 0, 'true', 'arcsmith_anvil', 'material', '2'),
 (5554, 'Warsmith''s Holder', 'false', 'material', 2, 'stackable', 'liquid', 'none', 0, 884000, 0, 'true', 'warsmith_holder', 'material', '2'),
 (5555, 'Token of Love', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'x_mas_2004', 'none', '0'),
 (5556, 'Star Ornament', 'false', 'material', 0, 'stackable', 'liquid', 'none', 0, 1, 0, 'true', 'deco_star', 'material', '2'),
 (5557, 'Bead Ornament', 'false', 'material', 0, 'stackable', 'liquid', 'none', 0, 1, 0, 'true', 'deco_bead', 'material', '2'),
 (5558, 'Fir Tree Branch', 'false', 'material', 0, 'stackable', 'liquid', 'none', 0, 1, 0, 'true', 'fir_spring', 'material', '2'),
 (5559, 'Flower Pot', 'false', 'material', 0, 'stackable', 'liquid', 'none', 0, 1, 0, 'true', 'flowerpot', 'material', '2'),
 (5560, 'Christmas Tree', 'false', 'potion', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'true', 'x_mas_tree1', 'potion', '2'),
 (5561, 'Special Christmas Tree', 'false', 'potion', 0, 'stackable', 'paper', 'none', 0, 1, 0, 'true', 'x_mas_tree2', 'potion', '2'),
 (5562, 'Echo Crystal - 1st Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol1', 'none', '2'),
 (5563, 'Echo Crystal - 2nd Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol2', 'none', '2'),
 (5564, 'Echo Crystal - 3rd Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol3', 'none', '2'),
 (5565, 'Echo Crystal - 4th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol4', 'none', '2'),
 (5566, 'Echo Crystal - 5th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol5', 'none', '2'),
 (5567, 'Letter of Greetings', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'greetings1', 'none', '0'),
 (5568, 'Letter of Greetings', 'false', 'quest', 0, 'stackable', 'steel', 'none', 100, 0, 0, 'false', 'greetings2', 'none', '0'),
 (5569, 'Water Rune', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'rune_of_water', 'none', '0'),
 (5570, 'Water Mantra', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'mantra_of_water', 'none', '0'),
 (5571, 'Wind Rune', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'rune_of_wind', 'none', '0'),
 (5572, 'Wind Mantra', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'mantra_of_wind', 'none', '0'),
 (5573, 'Fire Rune', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'rune_of_fire', 'none', '0'),
 (5574, 'Fire Mantra', 'false', 'quest', 0, 'stackable', 'gold', 'none', 0, 0, 0, 'false', 'mantra_of_fire', 'none', '0'),
 (5575, 'Ancient Adena', 'false', 'none', 0, 'asset', 'gold', 'none', 0, 0, 0, 'true', 'adena_of_ancient', 'none', '0'),
 (5577, 'Red Soul Crystal - Stage 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_11', 'scroll', '2'),
 (5578, 'Green Soul Crystal - Stage 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_11', 'scroll', '2'),
 (5579, 'Blue Soul Crystal - Stage 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_11', 'scroll', '2'),
 (5580, 'Red Soul Crystal - Stage 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_12', 'scroll', '2'),
 (5581, 'Green Soul Crystal - Stage 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_12', 'scroll', '2'),
 (5582, 'Blue Soul Crystal - Stage 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_12', 'scroll', '2'),
 (5583, 'Echo Crystal - 6th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol6', 'none', '2'),
 (5584, 'Echo Crystal - 7th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol7', 'none', '2'),
 (5585, 'Echo Crystal - 8th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol8', 'none', '2'),
 (5586, 'Echo Crystal - 9th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol9', 'none', '2'),
 (5587, 'Echo Crystal - 10th Carol', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'echo_crystal_carol10', 'none', '2'),
 (5588, 'Tutorial Guide', 'false', 'none', 10, 'normal', 'liquid', 'none', 0, 1, 0, 'true', 'tutorial_guide', 'none', '2'),
 (5589, 'Energy Stone', 'false', 'potion', 10, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'energy_stone', 'potion', '2'),
 (5591, 'CP Potion', 'false', 'potion', 110, 'stackable', 'liquid', 'none', 0, 240, 0, 'true', 'CP Potion', 'potion', '2'),
 (5592, 'Greater CP Potion', 'false', 'potion', 500, 'stackable', 'liquid', 'none', 0, 600, 0, 'true', 'Advanced CP Potion', 'potion', '2'),
 (5593, 'SP Scroll: Low Grade', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 2400, 0, 'true', 'sp_scroll1', 'scroll', '2'),
 (5594, 'SP Scroll: Medium Grade', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 24000, 0, 'true', 'sp_scroll2', 'scroll', '2'),
 (5595, 'SP Scroll: High Grade', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 480000, 0, 'true', 'sp_scroll3', 'scroll', '2'),
 (5650, 'Alternative Dark Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_dark_coda_seed_1', 'ch3type1', '2'),
 (5651, 'Alternative Red Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_coda_seed_1', 'ch3type1', '2'),
 (5652, 'Alternative Chilly Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_coda_seed_1', 'ch3type1', '2'),
 (5653, 'Alternative Blue Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_coda_seed_1', 'ch3type1', '2'),
 (5654, 'Alternative Golden Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_coda_seed_1', 'ch3type1', '2'),
 (5655, 'Alternative Lute Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_lute_coda_seed_1', 'ch3type1', '2'),
 (5656, 'Alternative Desert Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_desert_coda_seed_1', 'ch3type1', '2'),
 (5657, 'Alternative Blue Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_cobol_seed_1', 'ch3type1', '2'),
 (5658, 'Alternative Blue Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_coda_seed_2', 'ch3type1', '2'),
 (5659, 'Alternative Golden Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_coda_seed_2', 'ch3type1', '2'),
 (5660, 'Alternative Lute Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_lute_coda_seed_2', 'ch3type1', '2'),
 (5661, 'Alternative Desert Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_desert_coda_seed_2', 'ch3type1', '2'),
 (5662, 'Alternative Red Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_cobol_seed_2', 'ch3type1', '2'),
 (5663, 'Alternative Chilly Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_cobol_seed_2', 'ch3type1', '2'),
 (5664, 'Alternative Thorn Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_bur_cobol_seed_2', 'ch3type1', '2'),
 (5665, 'Alternative Golden Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_cobol_seed_2', 'ch3type1', '2'),
 (5666, 'Alternative Great Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_great_cobol_seed_2', 'ch3type1', '2'),
 (5667, 'Alternative Red Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_cobol_seed_3', 'ch3type1', '2'),
 (5668, 'Alternative Chilly Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_cobol_seed_3', 'ch3type1', '2'),
 (5669, 'Alternative Blue Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_cobol_seed_3', 'ch3type1', '2'),
 (5670, 'Alternative Thorn Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_bur_cobol_seed_3', 'ch3type1', '2'),
 (5671, 'Alternative Golden Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_cobol_seed_3', 'ch3type1', '2'),
 (5672, 'Alternative Great Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_great_cobol_seed_3', 'ch3type1', '2'),
 (5673, 'Alternative Red Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_codran_seed_3', 'ch3type1', '2'),
 (5674, 'Alternative Twin Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_twin_codran_seed_3', 'ch3type1', '2'),
 (5675, 'Alternative Desert Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_desert_codran_seed_3', 'ch3type1', '2'),
 (5676, 'Alternative Dark Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_dark_coda_seed_4', 'ch3type1', '2'),
 (5677, 'Alternative Red Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_coda_seed_4', 'ch3type1', '2'),
 (5678, 'Alternative Blue Coda Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_coda_seed_4', 'ch3type1', '2'),
 (5679, 'Alternative Red Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_cobol_seed_4', 'ch3type1', '2'),
 (5680, 'Alternative Chilly Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_cobol_seed_4', 'ch3type1', '2'),
 (5681, 'Alternative Blue Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_cobol_seed_4', 'ch3type1', '2'),
 (5682, 'Alternative Thorn Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_bur_cobol_seed_4', 'ch3type1', '2'),
 (5683, 'Alternative Sea Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_sea_codran_seed_4', 'ch3type1', '2'),
 (5684, 'Alternative Chilly Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_codran_seed_4', 'ch3type1', '2'),
 (5685, 'Alternative Blue Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_codran_seed_4', 'ch3type1', '2'),
 (5686, 'Alternative Twin Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_twin_codran_seed_4', 'ch3type1', '2'),
 (5687, 'Alternative Thorn Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_bur_cobol_seed_5', 'ch3type1', '2'),
 (5688, 'Alternative Golden Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_cobol_seed_5', 'ch3type1', '2'),
 (5689, 'Alternative Great Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_great_cobol_seed_5', 'ch3type1', '2'),
 (5690, 'Alternative Red Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_codran_seed_5', 'ch3type1', '2'),
 (5691, 'Alternative Chilly Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_codran_seed_5', 'ch3type1', '2'),
 (5692, 'Alternative Blue Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_codran_seed_5', 'ch3type1', '2'),
 (5693, 'Alternative Twin Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_twin_codran_seed_5', 'ch3type1', '2'),
 (5694, 'Alternative Great Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 75, 0, 'true', 'improve_great_codran_seed_5', 'ch3type1', '2'),
 (5695, 'Alternative Desert Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_desert_codran_seed_5', 'ch3type1', '2'),
 (5696, 'Alternative Chilly Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_chilly_cobol_seed_6', 'ch3type1', '2'),
 (5697, 'Alternative Blue Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_blue_cobol_seed_6', 'ch3type1', '2'),
 (5698, 'Alternative Thorn Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_bur_cobol_seed_6', 'ch3type1', '2'),
 (5699, 'Alternative Golden Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_golden_cobol_seed_6', 'ch3type1', '2'),
 (5700, 'Alternative Great Cobol Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_great_cobol_seed_6', 'ch3type1', '2'),
 (5701, 'Alternative Red Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_red_codran_seed_6', 'ch3type1', '2'),
 (5702, 'Alternative Sea Codran Seed', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'improve_sea_codran_seed_6', 'ch3type1', '2'),
 (5703, 'Charm of Luck', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'charm_of_luck_none', 'scroll', '2'),
 (5707, 'Record of Seven Signs', 'false', 'none', 0, 'normal', 'liquid', 'none', 0, 600, 0, 'true', 'record_of_seven_sign', 'none', '2'),
 (5708, 'Lord of the Manor''s Certificate of Approval', 'false', 'ch3type2', 0, 'normal', 'liquid', 'none', 0, 0, 0, 'true', 'the_lord_of_manor''s_agreement', 'ch3type2', '2'),
 (5741, 'Recipe: Sealed Zubei''s Gauntlets (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_shrnoen''s_gauntlet', 'recipe', '2'),
 (5742, 'Recipe: Zubei''s Gauntlets (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_shrnoen''s_gauntlet_i', 'recipe', '2'),
 (5743, 'Recipe: Sealed Avadon Gloves (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_avadon_gloves', 'recipe', '2'),
 (5744, 'Recipe: Sealed Avadon Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_avadon_gloves_i', 'recipe', '2'),
 (5745, 'Recipe: Sealed Blue Wolf Gloves (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_blue_wolve''s_gloves', 'recipe', '2'),
 (5746, 'Recipe: Sealed Blue Wolf Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_blue_wolve''s_gloves_i', 'recipe', '2'),
 (5747, 'Recipe: Sealed Doom Gloves (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_doom_gloves', 'recipe', '2'),
 (5748, 'Recipe: Sealed Doom Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_doom_gloves_i', 'recipe', '2'),
 (5749, 'Recipe: Sealed Zubei''s Boots (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_shrnoen''s_boots', 'recipe', '2'),
 (5750, 'Recipe: Sealed Zubei''s Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_shrnoen''s_boots_i', 'recipe', '2'),
 (5751, 'Recipe: Sealed Avadon Boots (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_avadon_boots', 'recipe', '2'),
 (5752, 'Recipe: Sealed Avadon Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_avadon_boots_i', 'recipe', '2'),
 (5753, 'Recipe: Sealed Blue Wolf Boots (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_blue_wolve''s_boots', 'recipe', '2'),
 (5754, 'Recipe: Sealed Blue Wolf Boots (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_blue_wolve''s_boots_i', 'recipe', '2'),
 (5755, 'Recipe: Sealed Boots of Doom (100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_doom_boots', 'recipe', '2'),
 (5756, 'Recipe: Sealed Boots of Doom (60%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 0, 0, 'true', 'rp_sealed_doom_boots_i', 'recipe', '2'),
 (5757, 'Sealed Zubei''s Gauntlet Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_shrnoen''s_gauntlet_part', 'material', '1'),
 (5758, 'Sealed Avadon Gloves Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_avadon_gloves_part', 'material', '1'),
 (5759, 'Sealed Blue Wolf Gloves Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_blue_wolve''s_gloves_fabric', 'material', '1'),
 (5760, 'Sealed Doom Gloves Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_doom_gloves_part', 'material', '1'),
 (5761, 'Sealed Zubei''s Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_shrnoen''s_boots_design', 'material', '1'),
 (5762, 'Sealed Avadon Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_avadon_boots_design', 'material', '1'),
 (5763, 'Sealed Blue Wolf Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_blue_wolve''s_boots_design', 'material', '1'),
 (5764, 'Sealed Doom Boots Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'sealed_doom_boots_part', 'material', '1'),
 (5789, 'Soulshot: No Grade For Novices', 'false', 'shot', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'soulshot_for_novices', 'none', '2'),
 (5790, 'Spiritshot: No Grade For Novices', 'false', 'shot', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'spiritshot_for_novices', 'none', '2'),
 (5803, 'Charm of Luck: D Grade', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 300, 0, 'true', 'charm_of_luck_d', 'scroll', '2'),
 (5804, 'Charm of Luck: C Grade', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 660, 0, 'true', 'charm_of_luck_c', 'scroll', '2'),
 (5805, 'Charm of Luck: B Grade', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 1300, 0, 'true', 'charm_of_luck_b', 'scroll', '2'),
 (5806, 'Charm of Luck: A Grade', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 2700, 0, 'true', 'charm_of_luck_a', 'scroll', '2'),
 (5807, 'Charm of Luck: S Grade', 'false', 'scroll', 10, 'stackable', 'paper', 'none', 0, 5000, 0, 'true', 'charm_of_luck_s', 'scroll', '2'),
 (5809, 'Spellbook: Aqua Splash', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_aqua_splash1', 'none', '2'),
 (5810, 'Spellbook: Rain of Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_rain_of_fire1', 'none', '2'),
 (5811, 'Spellbook: Mass Slow', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7700, 0, 'true', 'sb_mass_slow1', 'none', '2'),
 (5812, 'Spellbook: Servitor Empower', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5400, 0, 'true', 'sb_servitor_empower1', 'none', '2'),
 (5813, 'Spellbook: Servitor Cure', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3200, 0, 'true', 'sb_servitor_cure1', 'none', '2'),
 (5814, 'Spellbook: Servitor Blessing', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7700, 0, 'true', 'sb_servitor_blessing', 'none', '2'),
 (5815, 'Spellbook: Wild Magic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 7700, 0, 'true', 'sb_wild_magic1', 'none', '2'),
 (5816, 'Spellbook: Advanced Block', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 6750, 0, 'true', 'sb_advanced_block1', 'none', '2'),
 (5818, 'Alternative Dark Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_dark_coda', 'ch3type1', '2'),
 (5819, 'Alternative Red Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_red_coda', 'ch3type1', '2'),
 (5820, 'Alternative Chilly Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_chilly_coda', 'ch3type1', '2'),
 (5821, 'Alternative Blue Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_blue_coda', 'ch3type1', '2'),
 (5822, 'Alternative Golden Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_golden_coda', 'ch3type1', '2'),
 (5823, 'Alternative Lute Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_lute_coda', 'ch3type1', '2'),
 (5824, 'Alternative Desert Coda', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_desert_coda', 'ch3type1', '2'),
 (5825, 'Alternative Red Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_red_cobol', 'ch3type1', '2'),
 (5826, 'Alternative Chilly Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_chilly_cobol', 'ch3type1', '2'),
 (5827, 'Alternative Blue Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_blue_cobol', 'ch3type1', '2'),
 (5828, 'Alternative Thorn Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_bur_cobol', 'ch3type1', '2'),
 (5829, 'Alternative Golden Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_golden_cobol', 'ch3type1', '2'),
 (5830, 'Alternative Great Cobol', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_great_cobol', 'ch3type1', '2'),
 (5831, 'Alternative Red Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_red_codran', 'ch3type1', '2'),
 (5832, 'Alternative Sea Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_sea_codran', 'ch3type1', '2'),
 (5833, 'Alternative Chilly Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_chilly_codran', 'ch3type1', '2'),
 (5834, 'Alternative Blue Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_blue_codran', 'ch3type1', '2'),
 (5835, 'Alternative Twin Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_twin_codran', 'ch3type1', '2'),
 (5836, 'Alternative Great Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_great_codran', 'ch3type1', '2'),
 (5837, 'Alternative Desert Codran', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_desert_codran', 'ch3type1', '2'),
 (5838, 'Mature Alternative Dark Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_dark_coda', 'ch3type1', '2'),
 (5839, 'Mature Alternative Red Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_red_coda', 'ch3type1', '2'),
 (5840, 'Mature Alternative Chilly Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_chilly_coda', 'ch3type1', '2'),
 (5841, 'Mature Alternative Blue Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_blue_coda', 'ch3type1', '2'),
 (5842, 'Mature Alternative Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_golden_coda', 'ch3type1', '2'),
 (5843, 'Mature Alternative Lute Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_lute_coda', 'ch3type1', '2'),
 (5844, 'Mature Alternative Desert Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_desert_coda', 'ch3type1', '2'),
 (5845, 'Mature Alternative Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_red_cobol', 'ch3type1', '2'),
 (5846, 'Mature Alternative Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_chilly_cobol', 'ch3type1', '2'),
 (5847, 'Mature Alternative Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_blue_cobol', 'ch3type1', '2'),
 (5848, 'Mature Alternative Thorn Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_bur_cobol', 'ch3type1', '2'),
 (5849, 'Mature Alternative Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_golden_cobol', 'ch3type1', '2'),
 (5850, 'Mature Alternative Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_great_cobol', 'ch3type1', '2'),
 (5851, 'Mature Alternative Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_red_codran', 'ch3type1', '2'),
 (5852, 'Mature Alternative Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_sea_codran', 'ch3type1', '2'),
 (5853, 'Mature Alternative Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_chilly_codran', 'ch3type1', '2'),
 (5854, 'Mature Alternative Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_blue_codran', 'ch3type1', '2'),
 (5855, 'Mature Alternative Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_twin_codran', 'ch3type1', '2'),
 (5856, 'Mature Alternative Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_great_codran', 'ch3type1', '2'),
 (5857, 'Mature Alternative Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'im_mature_desert_codran', 'ch3type1', '2'),
 (5858, 'Blessed Scroll of Escape: Clan Hall', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'blessed_scroll_of_escape_to_agit', 'scroll', '2'),
 (5859, 'Blessed Scroll of Escape: Castle', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'blessed_scroll_of_escape_to_castle', 'scroll', '2'),
 (5860, 'Lienrik Egg', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'lienlik_egg1', 'none', '0'),
 (5861, 'Lienrik Egg', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'lienlik_egg2', 'none', '0'),
 (5862, 'Stone of Contract', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'stone_of_contract', 'none', '0'),
 (5863, 'Alligator Tooth', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'croc_tooth', 'none', '0'),
 (5864, 'Mysterious Map Piece', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'mysterious_map_piece', 'none', '0'),
 (5865, 'Carnivore Spore', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'carnivore_spore', 'none', '0'),
 (5866, 'Herbivorous Spore', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 0, 0, 0, 'false', 'herbivorous_spore', 'none', '0'),
 (5867, 'Jade Crystal', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'jade_crystal', 'none', '0'),
 (5868, 'Snake Scale', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'snake_scale', 'none', '0'),
 (5869, 'Remains of Aden Residents', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'ash_of_doom_peoples', 'none', '0'),
 (5870, 'Receipt of Supply', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'receipt_of_supply', 'none', '0'),
 (5871, 'Suspicious Document Piece', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'piece_of_receipt', 'none', '0'),
 (5872, 'Supply Items', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'supply', 'none', '0'),
 (5873, 'Pirate''s Treasure Chest', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_pirates_trbox', 'none', '0'),
 (5874, 'Sairon''s Silver Hair', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_saitnns_silver_hair', 'none', '0'),
 (5875, 'Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_lamp1', 'none', '0'),
 (5876, 'Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_lamp2', 'none', '0'),
 (5877, 'Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_lamp3', 'none', '0'),
 (5878, 'Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_lamp4', 'none', '0'),
 (5879, 'Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_lamp5', 'none', '0'),
 (5880, 'Broken Titan Lamp', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_giants_broken_lamp', 'none', '0'),
 (5881, 'Blade Stakato Fang', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_blade_stakatos_fang', 'none', '0'),
 (5882, 'Flare Shard', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'flair_shard', 'none', '0'),
 (5883, 'Freezing Shard', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'freezing_shard', 'none', '0'),
 (5884, 'Cave Beast Tooth', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_cave_beast_tooth', 'none', '0'),
 (5885, 'Death Wave Light', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_death_wave_light', 'none', '0'),
 (5886, 'Sealed Mysterious Stone', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_sealed_mysterius_stone', 'none', '0'),
 (5887, 'Mysterious Stone', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_mysterius_stone', 'none', '0'),
 (5888, 'Karik Horn', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_karik_horn', 'none', '0'),
 (5889, 'Cave Howler Skull', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_cave_howler_skull', 'none', '0'),
 (5890, 'Mysterious Book', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_mysterius_book', 'none', '0'),
 (5891, 'Ancient Language Dictionary: Basic Level', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_ancient_lang_dic1', 'none', '0'),
 (5892, 'Ancient Language Dictionary: Intermediate Level', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_ancient_lang_dic2', 'none', '0'),
 (5893, 'Leaf of Eucalyptus', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'leaf_of_eucalyptus', 'none', '0'),
 (5894, 'Stone of Chill', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'stone_of_chill', 'none', '0'),
 (5895, 'Ritron''s Fruit', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'ritron', 'none', '0'),
 (5896, 'Moon Face Flower', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'moon_face_flower', 'none', '0'),
 (5897, 'Leech Fluids', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'body_fluid_of_leech', 'none', '0'),
 (5898, 'Royal Membership', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_royal_membership', 'none', '0'),
 (5899, 'Kail''s Coin', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_kails_coin', 'none', '0'),
 (5900, 'Coin Collecting Album', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'q_book_of_coin_collect', 'none', '0'),
 (5901, 'Blood Offering', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_blood_of_offering', 'none', '0'),
 (5902, 'Scroll of Ancient Magic', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'q_scroll_of_ancient_magic', 'none', '0'),
 (5903, 'Ancient Ash Urn', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'ancient_funeral_urn', 'none', '0'),
 (5904, 'Wesley''s Mixing Stone', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'wesleys_mixing_stone', 'none', '0'),
 (5905, 'Magister''s Mixing Stone', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'magisters_mixing_stone', 'none', '0'),
 (5906, 'Red Soul Crystal: Grade 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_red_soul_crystal_11', 'scroll', '2'),
 (5907, 'Red Soul Crystal: Grade 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_red_soul_crystal_12', 'scroll', '2'),
 (5908, 'Red Soul Crystal: Grade 13', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'red_soul_crystal_13', 'scroll', '2'),
 (5909, 'Green Soul Crystal: Grade 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_green_soul_crystal_11', 'scroll', '2'),
 (5910, 'Green Soul Crystal: Grade 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_green_soul_crystal_12', 'scroll', '2'),
 (5911, 'Green Soul Crystal: Grade 13', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'green_soul_crystal_13', 'scroll', '2'),
 (5912, 'Blue Soul Crystal: Grade 11', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_blue_soul_crystal_11', 'scroll', '2'),
 (5913, 'Blue Soul Crystal: Grade 12', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', '_blue_soul_crystal_12', 'scroll', '2'),
 (5914, 'Blue Soul Crystal: Grade 13', 'false', 'scroll', 20, 'normal', 'crystal', 'none', 0, 0, 0, 'true', 'blue_soul_crystal_13', 'scroll', '2'),
 (5915, 'Pirate''s Treasure Map', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'false', 'pirates_treasure_map', 'none', '0'),
 (5916, 'Spellbook Page', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'page_of_spellbook', 'none', '0'),
 (5917, 'Kranvel''s Spellbook: Chapter of Fire', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'kranvels_spellbook_chpt_fire', 'none', '0'),
 (5918, 'Kranvel''s Spellbook: Chapter of Water', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'kranvels_spellbook_chpt_water', 'none', '0'),
 (5919, 'Kranvel''s Spellbook: Chapter of Wind', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'kranvels_spellbook_chpt_wind', 'none', '0'),
 (5920, 'Kranvel''s Spellbook: Chapter of Earth', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'kranvels_spellbook_chpt_earth', 'none', '0'),
 (5921, 'Worthless Piece of Paper', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'useless_piece_of_paper', 'none', '0'),
 (5922, 'Blueprint: Giants Golem 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_plan_of_golem1', 'none', '2'),
 (5923, 'Blueprint: Giants Golem 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_plan_of_golem2', 'none', '2'),
 (5924, 'Blueprint: Giants Golem 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_plan_of_golem3', 'none', '2'),
 (5925, 'Blueprint: Giants Golem 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_plan_of_golem4', 'none', '2'),
 (5926, 'Blueprint: Giants Golem 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_plan_of_golem5', 'none', '2'),
 (5927, 'Book: Basics of Giants Magic, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_basis_of_magic1', 'none', '2'),
 (5928, 'Book: Basics of Giants Magic, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_basis_of_magic2', 'none', '2'),
 (5929, 'Book: Basics of Giants Magic, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_basis_of_magic3', 'none', '2'),
 (5930, 'Book: Basics of Giants Magic, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_basis_of_magic4', 'none', '2'),
 (5931, 'Book: Basics of Giants Magic, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_basis_of_magic5', 'none', '2'),
 (5932, 'Handbook: Giants Architecture, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_construction_tech1', 'none', '2'),
 (5933, 'Handbook: Giants Architecture, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_construction_tech2', 'none', '2'),
 (5934, 'Handbook: Giants Architecture, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_construction_tech3', 'none', '2'),
 (5935, 'Handbook: Giants Architecture, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_construction_tech4', 'none', '2'),
 (5936, 'Handbook: Giants Architecture, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_construction_tech5', 'none', '2'),
 (5937, 'Book: Giants Medical Science, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_medical_theory1', 'none', '2'),
 (5938, 'Book: Giants Medical Science, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_medical_theory2', 'none', '2'),
 (5939, 'Book: Giants Medical Science, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_medical_theory3', 'none', '2'),
 (5940, 'Book: Giants Medical Science, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_medical_theory4', 'none', '2'),
 (5941, 'Book: Giants Medical Science, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_medical_theory5', 'none', '2'),
 (5942, 'Giant''s Love Letter', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_love_letter', 'none', '2'),
 (5943, 'Giants'' Doodle', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_scribble', 'none', '2'),
 (5944, 'Ancient Parchment', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_scroll', 'none', '2'),
 (5945, 'Book: Giants Science & Technology, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_science_basis1', 'none', '2'),
 (5946, 'Book: Giants Science & Technology, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_science_basis2', 'none', '2'),
 (5947, 'Book: Giants Science & Technology, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_science_basis3', 'none', '2'),
 (5948, 'Book: Giants Science & Technology, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_science_basis4', 'none', '2'),
 (5949, 'Book: Giants Science & Technology, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_science_basis5', 'none', '2'),
 (5950, 'Almanac: Titan Culture, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_culture1', 'none', '2'),
 (5951, 'Almanac: Titan Culture, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_culture2', 'none', '2'),
 (5952, 'Almanac: Titan Culture, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_culture3', 'none', '2'),
 (5953, 'Almanac: Titan Culture, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_culture4', 'none', '2'),
 (5954, 'Almanac: Titan Culture, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_culture5', 'none', '2'),
 (5955, 'Ancient Titan Book', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'q_giants_book', 'none', '2'),
 (5956, '15 Year Old Wine', 'false', 'none', 20, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'sound_wine1', 'none', '2'),
 (5957, '30 Year Old Wine', 'false', 'none', 20, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'sound_wine2', 'none', '2'),
 (5958, '60 Year Old Wine', 'false', 'none', 20, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'sound_wine3', 'none', '2'),
 (5959, 'Ritron''s Dessert Recipe', 'false', 'none', 10, 'normal', 'liquid', 'none', 0, 5000, 0, 'false', 'recipe_of_ritron', 'none', '2'),
 (5960, 'Ritron Jelly', 'false', 'none', 10, 'normal', 'liquid', 'none', 0, 5000, 0, 'false', 'dessert_of_ritron', 'none', '2'),
 (5961, 'Kail''s Silver Basilisk', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 1000, 0, 'false', 'q_kails_silver_basilisk', 'none', '0'),
 (5962, 'Kail''s Gold Golem', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 1000, 0, 'false', 'q_kails_gold_golem', 'none', '0'),
 (5963, 'Kail''s Blood Dragon', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 1000, 0, 'false', 'q_kails_blood_dragon', 'none', '0'),
 (5964, 'Warehouse Keeper''s Medal', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'false', 'q_irongate_medal', 'none', '0'),
 (5965, 'Blank Scroll', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 500, 0, 'true', 'q_blank_scrl', 'none', '2'),
 (5966, 'Ancient Red Papyrus', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_papyrus1', 'none', '2'),
 (5967, 'Ancient Blue Papyrus', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_papyrus2', 'none', '2'),
 (5968, 'Ancient Black Papyrus', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_papyrus3', 'none', '2'),
 (5969, 'Ancient White Papyrus', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_papyrus4', 'none', '2'),
 (5970, 'Ancient Chain Letter', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_chain_letter', 'none', '2'),
 (5971, 'Ancient Joke Book', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_joke_book', 'none', '2'),
 (5972, 'Revelation of the Seals: Chapter of Avarice', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_avarice', 'none', '2'),
 (5973, 'Revelation of the Seals: Chapter of Gnosis', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_gnosis', 'none', '2'),
 (5974, 'Revelation of the Seals: Chapter of Strife', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_strife', 'none', '2'),
 (5975, 'Revelation of the Seals: Chapter of Vengeance', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_vengeance', 'none', '2'),
 (5976, 'Revelation of the Seals: Chapter of Awakening', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_awakening', 'none', '2'),
 (5977, 'Revelation of the Seals: Chapter of Calamity', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_calamity', 'none', '2'),
 (5978, 'Revelation of the Seals: Chapter of Descent', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'revelation_descent', 'none', '2'),
 (5979, 'Ancient Epic, Chapter 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_epic_part1', 'none', '2'),
 (5980, 'Ancient Epic, Chapter 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_epic_part2', 'none', '2'),
 (5981, 'Ancient Epic, Chapter 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_epic_part3', 'none', '2'),
 (5982, 'Ancient Epic, Chapter 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_epic_part4', 'none', '2'),
 (5983, 'Ancient Epic, Chapter 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'ancient_epic_part5', 'none', '2'),
 (5984, 'Imperial Genealogy 1', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'imperial_genealogy1', 'none', '2'),
 (5985, 'Imperial Genealogy 2', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'imperial_genealogy2', 'none', '2'),
 (5986, 'Imperial Genealogy 3', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'imperial_genealogy3', 'none', '2'),
 (5987, 'Imperial Genealogy 4', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'imperial_genealogy4', 'none', '2'),
 (5988, 'Imperial Genealogy 5', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'imperial_genealogy5', 'none', '2'),
 (5989, 'Blueprint: Tower of Insolence, 1st Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint1', 'none', '2'),
 (5990, 'Blueprint: Tower of Insolence, 2nd Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint2', 'none', '2'),
 (5991, 'Blueprint: Tower of Insolence, 3rd Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint3', 'none', '2'),
 (5992, 'Blueprint: Tower of Insolence, 4th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint4', 'none', '2'),
 (5993, 'Blueprint: Tower of Insolence, 5th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint5', 'none', '2'),
 (5994, 'Blueprint: Tower of Insolence, 6th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint6', 'none', '2'),
 (5995, 'Blueprint: Tower of Insolence, 7th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint7', 'none', '2'),
 (5996, 'Blueprint: Tower of Insolence, 8th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint8', 'none', '2'),
 (5997, 'Blueprint: Tower of Insolence, 9th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint9', 'none', '2'),
 (5998, 'Blueprint: Tower of Insolence, 10th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint10', 'none', '2'),
 (5999, 'Blueprint: Tower of Insolence, 11th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint11', 'none', '2'),
 (6000, 'Blueprint: Tower of Insolence, 12th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint12', 'none', '2'),
 (6001, 'Blueprint: Tower of Insolence, 13th Floor', 'false', 'none', 0, 'stackable', 'liquid', 'none', 0, 400, 0, 'true', 'tower_blueprint13', 'none', '2'),
 (6002, 'Ancient Porcelain', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 8000, 0, 'false', 'ancient_porcelain', 'none', '2'),
 (6003, 'Ancient Porcelain: Excellent', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 12000, 0, 'false', 'ancient_porcelain_s', 'none', '2'),
 (6004, 'Ancient Porcelain: High Quality', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 8000, 0, 'false', 'ancient_porcelain_a', 'none', '2'),
 (6005, 'Ancient Porcelain: Low Quality', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'ancient_porcelain_b', 'none', '2'),
 (6006, 'Ancient Porcelain: Lowest Quality', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 2000, 0, 'false', 'ancient_porcelain_c', 'none', '2'),
 (6007, 'Reagent Pouch', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'ingredient_pouch1', 'none', '0'),
 (6008, 'Reagent Pouch', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'ingredient_pouch2', 'none', '0'),
 (6009, 'Reagent Pouch', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'ingredient_pouch3', 'none', '0'),
 (6010, 'Reagent Box', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'ingredient_box', 'none', '0'),
 (6011, 'Wyrm''s Blood', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'wyrms_blood', 'none', '0'),
 (6012, 'Lava Stone', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'lava_stone', 'none', '0'),
 (6013, 'Moonstone Shard', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'moonstone_shard', 'none', '0'),
 (6014, 'Rotten Bone Piece', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'decaying_bone', 'none', '0'),
 (6015, 'Demon''s Blood', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'demons_blood', 'none', '0'),
 (6016, 'Infernium Ore', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'infernium_ore', 'none', '0'),
 (6017, 'Blood Root', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'blood_root', 'none', '0'),
 (6018, 'Volcanic Ash', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 100, 0, 'true', 'volcanic_ash', 'none', '0'),
 (6019, 'Quicksilver', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'quicksilver', 'none', '0'),
 (6020, 'Sulfur', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 200, 0, 'true', 'sulfur', 'none', '0'),
 (6021, 'Dracoplasm', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'dracoplasm', 'none', '0'),
 (6022, 'Magma Dust', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'magma_dust', 'none', '0'),
 (6023, 'Moon Dust', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'moon_dust', 'none', '0'),
 (6024, 'Necroplasm', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'necroplasm', 'none', '0'),
 (6025, 'Demonplasm', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'demonplasm', 'none', '0'),
 (6026, 'Inferno Dust', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'inferno_dust', 'none', '0'),
 (6027, 'Draconic Essence', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'draconic_essence', 'none', '0'),
 (6028, 'Fire Essence', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'fire_essence', 'none', '0'),
 (6029, 'Lunargent', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'lunargent', 'none', '0'),
 (6030, 'Midnight Oil', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'midnight_oil', 'none', '0'),
 (6031, 'Demonic Essence', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 2500, 0, 'true', 'demonic_essence', 'none', '0'),
 (6032, 'Abyss Oil', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'abyss_oil', 'none', '0'),
 (6033, 'Hellfire Oil', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'hellfire_oil', 'none', '0'),
 (6034, 'Nightmare Oil', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 5000, 0, 'true', 'nightmare_oil', 'none', '0'),
 (6035, 'Magic Haste Potion', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 2400, 0, 'true', 'potion_of_acumen2', 'potion', '2'),
 (6036, 'Greater Magic Haste Potion', 'false', 'potion', 20, 'stackable', 'liquid', 'none', 0, 7200, 0, 'true', 'potion_of_acumen3', 'potion', '2'),
 (6037, 'Waking Scroll', 'false', 'scroll', 5, 'stackable', 'paper', 'none', 0, 120, 0, 'true', 'scroll_of_awake', 'scroll', '2'),
 (6038, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_sword_fix', 'castle_guard', '2'),
 (6039, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_pole_fix', 'castle_guard', '2'),
 (6040, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_bow_fix', 'castle_guard', '2'),
 (6041, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_cleric_fix', 'castle_guard', '2'),
 (6042, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_wizard_fix', 'castle_guard', '2'),
 (6043, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_sword_move', 'castle_guard', '2'),
 (6044, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_pole_move', 'castle_guard', '2'),
 (6045, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_bow_move', 'castle_guard', '2'),
 (6046, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_cleric_move', 'castle_guard', '2'),
 (6047, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_gludio_wizard_move', 'castle_guard', '2'),
 (6048, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6049, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6050, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6051, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_sword_fix', 'castle_guard', '2'),
 (6052, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_pole_fix', 'castle_guard', '2'),
 (6053, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_bow_fix', 'castle_guard', '2'),
 (6054, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_cleric_fix', 'castle_guard', '2'),
 (6055, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_wizard_fix', 'castle_guard', '2'),
 (6056, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_sword_move', 'castle_guard', '2'),
 (6057, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_pole_move', 'castle_guard', '2'),
 (6058, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_bow_move', 'castle_guard', '2'),
 (6059, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_cleric_move', 'castle_guard', '2'),
 (6060, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_dion_wizard_move', 'castle_guard', '2'),
 (6061, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6062, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6063, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6064, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_sword_fix', 'castle_guard', '2'),
 (6065, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_pole_fix', 'castle_guard', '2'),
 (6066, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_bow_fix', 'castle_guard', '2'),
 (6067, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_cleric_fix', 'castle_guard', '2'),
 (6068, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_wizard_fix', 'castle_guard', '2'),
 (6069, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_sword_move', 'castle_guard', '2'),
 (6070, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_pole_move', 'castle_guard', '2'),
 (6071, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_bow_move', 'castle_guard', '2'),
 (6072, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_cleric_move', 'castle_guard', '2'),
 (6073, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_giran_wizard_move', 'castle_guard', '2'),
 (6074, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6075, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6076, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6077, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_sword_fix', 'castle_guard', '2'),
 (6078, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_pole_fix', 'castle_guard', '2'),
 (6079, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_bow_fix', 'castle_guard', '2'),
 (6080, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_cleric_fix', 'castle_guard', '2'),
 (6081, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_wizard_fix', 'castle_guard', '2'),
 (6082, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_sword_move', 'castle_guard', '2'),
 (6083, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_pole_move', 'castle_guard', '2'),
 (6084, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_bow_move', 'castle_guard', '2'),
 (6085, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_cleric_move', 'castle_guard', '2'),
 (6086, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_oren_wizard_move', 'castle_guard', '2'),
 (6087, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6088, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6089, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6090, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_sword_fix', 'castle_guard', '2'),
 (6091, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_pole_fix', 'castle_guard', '2'),
 (6092, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_bow_fix', 'castle_guard', '2'),
 (6093, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_cleric_fix', 'castle_guard', '2'),
 (6094, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_wizard_fix', 'castle_guard', '2'),
 (6095, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_sword_move', 'castle_guard', '2'),
 (6096, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_pole_move', 'castle_guard', '2'),
 (6097, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_bow_move', 'castle_guard', '2'),
 (6098, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_cleric_move', 'castle_guard', '2'),
 (6099, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_aden_wizard_move', 'castle_guard', '2'),
 (6100, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6101, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6102, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6103, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6104, 'Trash', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', '__golden_coda_seed_5', 'castle_guard', '2'),
 (6105, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_sword_fix', 'castle_guard', '2'),
 (6106, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_pole_fix', 'castle_guard', '2'),
 (6107, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_bow_fix', 'castle_guard', '2'),
 (6108, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_cleric_fix', 'castle_guard', '2'),
 (6109, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_wizard_fix', 'castle_guard', '2'),
 (6110, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_sword_move', 'castle_guard', '2'),
 (6111, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_pole_move', 'castle_guard', '2'),
 (6112, 'Greater  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_bow_move', 'castle_guard', '2'),
 (6113, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_cleric_move', 'castle_guard', '2'),
 (6114, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'adv_mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (6115, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_sword_fix', 'castle_guard', '2'),
 (6116, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_pole_fix', 'castle_guard', '2'),
 (6117, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_bow_fix', 'castle_guard', '2'),
 (6118, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_cleric_fix', 'castle_guard', '2'),
 (6119, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_wizard_fix', 'castle_guard', '2'),
 (6120, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_sword_move', 'castle_guard', '2'),
 (6121, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_pole_move', 'castle_guard', '2'),
 (6122, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_bow_move', 'castle_guard', '2'),
 (6123, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_cleric_move', 'castle_guard', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (6124, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_gludio_wizard_move', 'castle_guard', '2'),
 (6125, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_sword_fix', 'castle_guard', '2'),
 (6126, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_pole_fix', 'castle_guard', '2'),
 (6127, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_bow_fix', 'castle_guard', '2'),
 (6128, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_cleric_fix', 'castle_guard', '2'),
 (6129, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_wizard_fix', 'castle_guard', '2'),
 (6130, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_sword_move', 'castle_guard', '2'),
 (6131, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_pole_move', 'castle_guard', '2'),
 (6132, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_bow_move', 'castle_guard', '2'),
 (6133, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_cleric_move', 'castle_guard', '2'),
 (6134, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_dion_wizard_move', 'castle_guard', '2'),
 (6135, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_sword_fix', 'castle_guard', '2'),
 (6136, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_pole_fix', 'castle_guard', '2'),
 (6137, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_bow_fix', 'castle_guard', '2'),
 (6138, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_cleric_fix', 'castle_guard', '2'),
 (6139, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_wizard_fix', 'castle_guard', '2'),
 (6140, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_sword_move', 'castle_guard', '2'),
 (6141, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_pole_move', 'castle_guard', '2'),
 (6142, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_bow_move', 'castle_guard', '2'),
 (6143, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_cleric_move', 'castle_guard', '2'),
 (6144, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_giran_wizard_move', 'castle_guard', '2'),
 (6145, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_sword_fix', 'castle_guard', '2'),
 (6146, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_pole_fix', 'castle_guard', '2'),
 (6147, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_bow_fix', 'castle_guard', '2'),
 (6148, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_cleric_fix', 'castle_guard', '2'),
 (6149, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_wizard_fix', 'castle_guard', '2'),
 (6150, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_sword_move', 'castle_guard', '2'),
 (6151, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_pole_move', 'castle_guard', '2'),
 (6152, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_bow_move', 'castle_guard', '2'),
 (6153, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_cleric_move', 'castle_guard', '2'),
 (6154, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_oren_wizard_move', 'castle_guard', '2'),
 (6155, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_sword_fix', 'castle_guard', '2'),
 (6156, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_pole_fix', 'castle_guard', '2'),
 (6157, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_bow_fix', 'castle_guard', '2'),
 (6158, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_cleric_fix', 'castle_guard', '2'),
 (6159, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_wizard_fix', 'castle_guard', '2'),
 (6160, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_sword_move', 'castle_guard', '2'),
 (6161, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_pole_move', 'castle_guard', '2'),
 (6162, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_bow_move', 'castle_guard', '2'),
 (6163, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_cleric_move', 'castle_guard', '2'),
 (6164, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_aden_wizard_move', 'castle_guard', '2'),
 (6165, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_sword_fix', 'castle_guard', '2'),
 (6166, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_pole_fix', 'castle_guard', '2'),
 (6167, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_bow_fix', 'castle_guard', '2'),
 (6168, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_cleric_fix', 'castle_guard', '2'),
 (6169, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_wizard_fix', 'castle_guard', '2'),
 (6170, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_sword_move', 'castle_guard', '2'),
 (6171, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_pole_move', 'castle_guard', '2'),
 (6172, 'Dawn  Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_bow_move', 'castle_guard', '2'),
 (6173, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_cleric_move', 'castle_guard', '2'),
 (6174, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'dawn_mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (6175, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_sword_fix', 'castle_guard', '2'),
 (6176, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_pole_fix', 'castle_guard', '2'),
 (6177, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_bow_fix', 'castle_guard', '2'),
 (6178, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_cleric_fix', 'castle_guard', '2'),
 (6179, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_wizard_fix', 'castle_guard', '2'),
 (6180, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_sword_move', 'castle_guard', '2'),
 (6181, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_pole_move', 'castle_guard', '2'),
 (6182, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_bow_move', 'castle_guard', '2'),
 (6183, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_cleric_move', 'castle_guard', '2'),
 (6184, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_gludio_wizard_move', 'castle_guard', '2'),
 (6185, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_sword_fix', 'castle_guard', '2'),
 (6186, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_pole_fix', 'castle_guard', '2'),
 (6187, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_bow_fix', 'castle_guard', '2'),
 (6188, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_cleric_fix', 'castle_guard', '2'),
 (6189, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_wizard_fix', 'castle_guard', '2'),
 (6190, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_sword_move', 'castle_guard', '2'),
 (6191, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_pole_move', 'castle_guard', '2'),
 (6192, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_bow_move', 'castle_guard', '2'),
 (6193, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_cleric_move', 'castle_guard', '2'),
 (6194, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_dion_wizard_move', 'castle_guard', '2'),
 (6195, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_sword_fix', 'castle_guard', '2'),
 (6196, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_pole_fix', 'castle_guard', '2'),
 (6197, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_bow_fix', 'castle_guard', '2'),
 (6198, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_cleric_fix', 'castle_guard', '2'),
 (6199, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_wizard_fix', 'castle_guard', '2'),
 (6200, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_sword_move', 'castle_guard', '2'),
 (6201, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_pole_move', 'castle_guard', '2'),
 (6202, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_bow_move', 'castle_guard', '2'),
 (6203, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_cleric_move', 'castle_guard', '2'),
 (6204, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_giran_wizard_move', 'castle_guard', '2'),
 (6205, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_sword_fix', 'castle_guard', '2'),
 (6206, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_pole_fix', 'castle_guard', '2'),
 (6207, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_bow_fix', 'castle_guard', '2'),
 (6208, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_cleric_fix', 'castle_guard', '2'),
 (6209, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_wizard_fix', 'castle_guard', '2'),
 (6210, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_sword_move', 'castle_guard', '2'),
 (6211, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_pole_move', 'castle_guard', '2'),
 (6212, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_bow_move', 'castle_guard', '2'),
 (6213, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_cleric_move', 'castle_guard', '2'),
 (6214, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_oren_wizard_move', 'castle_guard', '2'),
 (6215, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_sword_fix', 'castle_guard', '2'),
 (6216, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_pole_fix', 'castle_guard', '2'),
 (6217, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_bow_fix', 'castle_guard', '2'),
 (6218, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_cleric_fix', 'castle_guard', '2'),
 (6219, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_wizard_fix', 'castle_guard', '2'),
 (6220, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_sword_move', 'castle_guard', '2'),
 (6221, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_pole_move', 'castle_guard', '2'),
 (6222, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_bow_move', 'castle_guard', '2'),
 (6223, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_cleric_move', 'castle_guard', '2'),
 (6224, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_aden_wizard_move', 'castle_guard', '2'),
 (6225, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_sword_fix', 'castle_guard', '2'),
 (6226, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_pole_fix', 'castle_guard', '2'),
 (6227, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_bow_fix', 'castle_guard', '2'),
 (6228, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_cleric_fix', 'castle_guard', '2'),
 (6229, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_wizard_fix', 'castle_guard', '2'),
 (6230, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_sword_move', 'castle_guard', '2'),
 (6231, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_pole_move', 'castle_guard', '2'),
 (6232, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_bow_move', 'castle_guard', '2'),
 (6233, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_cleric_move', 'castle_guard', '2'),
 (6234, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'twilight_mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (6235, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_sword_fix', 'castle_guard', '2'),
 (6236, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_pole_fix', 'castle_guard', '2'),
 (6237, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_bow_fix', 'castle_guard', '2'),
 (6238, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_cleric_fix', 'castle_guard', '2'),
 (6239, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_wizard_fix', 'castle_guard', '2'),
 (6240, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_sword_move', 'castle_guard', '2'),
 (6241, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_pole_move', 'castle_guard', '2'),
 (6242, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_bow_move', 'castle_guard', '2'),
 (6243, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_cleric_move', 'castle_guard', '2'),
 (6244, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_gludio_wizard_move', 'castle_guard', '2'),
 (6245, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_sword_fix', 'castle_guard', '2'),
 (6246, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_pole_fix', 'castle_guard', '2'),
 (6247, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_bow_fix', 'castle_guard', '2'),
 (6248, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_cleric_fix', 'castle_guard', '2'),
 (6249, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_wizard_fix', 'castle_guard', '2'),
 (6250, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_sword_move', 'castle_guard', '2'),
 (6251, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_pole_move', 'castle_guard', '2'),
 (6252, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_bow_move', 'castle_guard', '2'),
 (6253, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_cleric_move', 'castle_guard', '2'),
 (6254, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_dion_wizard_move', 'castle_guard', '2'),
 (6255, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_sword_fix', 'castle_guard', '2'),
 (6256, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_pole_fix', 'castle_guard', '2'),
 (6257, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_bow_fix', 'castle_guard', '2'),
 (6258, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_cleric_fix', 'castle_guard', '2'),
 (6259, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_wizard_fix', 'castle_guard', '2'),
 (6260, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_sword_move', 'castle_guard', '2'),
 (6261, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_pole_move', 'castle_guard', '2'),
 (6262, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_bow_move', 'castle_guard', '2'),
 (6263, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_cleric_move', 'castle_guard', '2'),
 (6264, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_giran_wizard_move', 'castle_guard', '2'),
 (6265, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_sword_fix', 'castle_guard', '2'),
 (6266, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_pole_fix', 'castle_guard', '2'),
 (6267, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_bow_fix', 'castle_guard', '2'),
 (6268, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_cleric_fix', 'castle_guard', '2'),
 (6269, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_wizard_fix', 'castle_guard', '2'),
 (6270, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_sword_move', 'castle_guard', '2'),
 (6271, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_pole_move', 'castle_guard', '2'),
 (6272, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_bow_move', 'castle_guard', '2'),
 (6273, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_cleric_move', 'castle_guard', '2'),
 (6274, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_oren_wizard_move', 'castle_guard', '2'),
 (6275, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_sword_fix', 'castle_guard', '2'),
 (6276, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_pole_fix', 'castle_guard', '2'),
 (6277, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_bow_fix', 'castle_guard', '2'),
 (6278, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_cleric_fix', 'castle_guard', '2'),
 (6279, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_wizard_fix', 'castle_guard', '2'),
 (6280, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_sword_move', 'castle_guard', '2'),
 (6281, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_pole_move', 'castle_guard', '2'),
 (6282, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_bow_move', 'castle_guard', '2'),
 (6283, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_cleric_move', 'castle_guard', '2'),
 (6284, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_aden_wizard_move', 'castle_guard', '2'),
 (6285, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_sword_fix', 'castle_guard', '2'),
 (6286, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_pole_fix', 'castle_guard', '2'),
 (6287, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_bow_fix', 'castle_guard', '2'),
 (6288, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_cleric_fix', 'castle_guard', '2'),
 (6289, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_wizard_fix', 'castle_guard', '2'),
 (6290, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_sword_move', 'castle_guard', '2'),
 (6291, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_pole_move', 'castle_guard', '2'),
 (6292, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_bow_move', 'castle_guard', '2'),
 (6293, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_cleric_move', 'castle_guard', '2'),
 (6294, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'gloom_mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (6295, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_gludio_sword_move', 'castle_guard', '2'),
 (6296, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_gludio_wizard_move', 'castle_guard', '2'),
 (6297, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_dion_sword_move', 'castle_guard', '2'),
 (6298, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_dion_wizard_move', 'castle_guard', '2'),
 (6299, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_giran_sword_move', 'castle_guard', '2'),
 (6300, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_giran_wizard_move', 'castle_guard', '2'),
 (6301, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_oren_sword_move', 'castle_guard', '2'),
 (6302, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_oren_wizard_move', 'castle_guard', '2'),
 (6303, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_aden_sword_move', 'castle_guard', '2'),
 (6304, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_aden_wizard_move', 'castle_guard', '2'),
 (6305, 'Nephilim Warrior Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_innadrile_sword_move', 'castle_guard', '2'),
 (6306, 'Nephilim Shaman Posting Ticket', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'nephilim_mticket_innadrile_wizard_move', 'castle_guard', '2'),
 (6316, 'Food for Wyvern', 'false', 'none', 30, 'stackable', 'liquid', 'none', 0, 300, 0, 'true', 'advdeluxe_food_for_strider', 'none', '2'),
 (6317, 'Mixing Manual', 'false', 'none', 20, 'normal', 'liquid', 'none', 0, 0, 0, 'false', 'mixing_manual', 'none', '2'),
 (6318, 'Blood Fire', 'false', 'none', 50, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'bloodfire', 'none', '2'),
 (6319, 'Mimir''s Elixir', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'mimirs_elixir', 'none', '0'),
 (6320, 'Pure Silver', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'false', 'pure_silver', 'none', '0'),
 (6321, 'True Gold', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'false_gold', 'none', '0'),
 (6322, 'Sage''s Stone', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'false', 'philosophers_stone', 'none', '0'),
 (6329, 'Recipe: Sealed Phoenix Necklace(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 34800, 0, 'true', 'rp_sealed_phoenix''s_necklace_i', 'recipe', '2'),
 (6330, 'Recipe: Sealed Phoenix Necklace(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 69600, 0, 'true', 'rp_sealed_phoenix''s_necklace', 'recipe', '2'),
 (6331, 'Recipe: Sealed Phoenix Earring(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 26200, 0, 'true', 'rp_sealed_phoenix''s_earing_i', 'recipe', '2'),
 (6332, 'Recipe: Sealed Phoenix Earring(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 52400, 0, 'true', 'rp_sealed_phoenix''s_earing', 'recipe', '2'),
 (6333, 'Recipe: Sealed Phoenix Ring(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 17420, 0, 'true', 'rp_sealed_phoenix''s_ring_i', 'recipe', '2'),
 (6334, 'Recipe: Sealed Phoenix Ring(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 34840, 0, 'true', 'rp_sealed_phoenix''s_ring', 'recipe', '2'),
 (6335, 'Recipe: Sealed Majestic Necklace(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 52000, 0, 'true', 'rp_sealed_majestic_necklace_i', 'recipe', '2'),
 (6336, 'Recipe: Sealed Majestic Necklace(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 104000, 0, 'true', 'rp_sealed_majestic_necklace', 'recipe', '2'),
 (6337, 'Recipe: Sealed Majestic Earring(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 39000, 0, 'true', 'rp_sealed_majestic_earing_i', 'recipe', '2'),
 (6338, 'Recipe: Sealed Majestic Earring(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 78000, 0, 'true', 'rp_sealed_majestic_earing', 'recipe', '2'),
 (6339, 'Recipe: Sealed Majestic Ring(70%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 26000, 0, 'true', 'rp_sealed_majestic_ring_i', 'recipe', '2'),
 (6340, 'Recipe: Sealed Majestic Ring(100%)', 'false', 'recipe', 30, 'stackable', 'liquid', 'none', 90, 52000, 0, 'true', 'rp_sealed_majestic_ring', 'recipe', '2'),
 (6341, 'Sealed Phoenix Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 7231, 0, 'true', 'sealed_phoenix''s_earing_gemstone', 'material', '1'),
 (6342, 'Sealed Majestic Earring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 8829, 0, 'true', 'sealed_majestic_earing_gemstone', 'material', '1'),
 (6343, 'Sealed Phoenix Necklace Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9354, 0, 'true', 'sealed_phoenix''s_necklace_beads', 'material', '1'),
 (6344, 'Sealed Majestic Necklace Beads', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 13643, 0, 'true', 'sealed_majestic_necklace_beads', 'material', '1'),
 (6345, 'Sealed Phoenix Ring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5228, 0, 'true', 'sealed_phoenix''s_ring_gemstone', 'material', '1'),
 (6346, 'Sealed Majestic Ring Gemstone', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 6143, 0, 'true', 'sealed_majestic_ring_gemstrone', 'material', '1'),
 (6350, 'Amulet: Honor Of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 8700, 0, 'true', 'sb_honor_of_paagrio1', 'none', '2'),
 (6351, 'Amulet: Ritual of Life', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 8200, 0, 'true', 'sb_ritual_of_life1', 'none', '2'),
 (6352, 'Spellbook: Prayer', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 8700, 0, 'true', 'sb_prayer1', 'none', '2'),
 (6353, 'Blue Gemstone', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'blue_gem', 'none', '0'),
 (6360, 'Blue Seal Stone', 'false', 'none', 0, 'asset', 'gold', 'none', 0, 3, 0, 'true', 'blue_seal_stone', 'none', '0'),
 (6361, 'Green Seal Stone', 'false', 'none', 0, 'asset', 'gold', 'none', 0, 5, 0, 'true', 'green_seal_stone', 'none', '0'),
 (6362, 'Red Seal Stone', 'false', 'none', 0, 'asset', 'gold', 'none', 0, 10, 0, 'true', 'red_seal_stone', 'none', '0'),
 (6363, 'Stolen Infernium Ore', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 100, 0, 'true', 'stolen_infernium_ore', 'none', '2'),
 (6387, 'Blessed Scroll of Resurrection for Pets', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 6000, 0, 'true', 'blessed_scroll_of_resurrection_for_pet', 'scroll', '2'),
 (6388, 'Lord of the Manor''s Certificate of Approval', 'false', 'quest', 0, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6389, 'Pumpkin Seed', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6390, 'Large Pumpkin Seed', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6391, 'Nectar', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6392, 'Event - Medal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6393, 'Event - Glittering Medal', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6395, 'Amulet: Chant of Predator', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'predator_amulet', 'none', '2'),
 (6396, 'Amulet: Chant of Eagle', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'eagle_amulet', 'none', '2'),
 (6397, 'Amulet: Chant of Vampire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 3850, 0, 'true', 'vampire_amulet', 'none', '2'),
 (6398, 'Spellbook: Body of Avatar', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 4600, 0, 'true', 'avatar_of_spellbook', 'none', '2'),
 (6399, 'Badge of Rabbit', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6400, 'Badge of Hyena', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6401, 'Badge of Fox', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6402, 'Badge of Wolf', 'false', 'quest', 0, 'stackable', 'crystal', 'none', 100, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6403, 'Elven Firecracker', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'elven_firecracker', 'none', '2'),
 (6404, 'Gunpowder', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'gunpowder', 'none', '2'),
 (6405, 'Magnesium', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'magnesium', 'none', '2'),
 (6406, 'Firework', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'firework', 'none', '2'),
 (6407, 'Large Firework', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'large_firework', 'none', '2'),
 (6409, '2005 Battle Tournament - CP Potion', 'false', 'potion', 500, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'C4Item', 'potion', '2'),
 (6410, '2005 Battle Tournament - Quick Healing Potion', 'false', 'potion', 180, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'C4Item', 'potion', '2'),
 (6411, 'Small green nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6412, 'Small green ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6413, 'Small green fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6414, 'Green nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6415, 'Green ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6416, 'Green fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6417, 'Big nimble green fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6418, 'Big green ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6419, 'Big green fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6420, 'Small jade nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 285, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6421, 'Small jade ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6422, 'Small jade fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 310, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6423, 'Jade nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6424, 'Jade ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 340, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6425, 'Jade fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6426, 'Big jade nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 365, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6427, 'Big jade ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6428, 'Big jade fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6429, 'Small blue nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 395, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6430, 'Small blue ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6431, 'Small blue fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 410, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6432, 'Blue nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6433, 'Blue ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6434, 'Blue fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6435, 'Big blue nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 425, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6436, 'Big blue ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6437, 'Big blue fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6438, 'Small yellow nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6439, 'Small yellow ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6440, 'Small yellow fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6441, 'Yellow nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 540, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6442, 'Yellow ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6443, 'Yellow fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6444, 'Big yellow nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6445, 'Big yellow ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6446, 'Big yellow fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6447, 'Small orange nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6448, 'Small orange ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6449, 'Small orange fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6450, 'Orange nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6451, 'Orange ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6452, 'Orange fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6453, 'Big orange nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 816, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6454, 'Big orange ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6455, 'Big orange fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 858, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6456, 'Small Purple nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6457, 'Small Purple ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6458, 'Small Purple fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 910, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6459, 'Purple nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6460, 'Purple ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6461, 'Purple fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6462, 'Big purple nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6463, 'Big purple ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6464, 'Big purple fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6465, 'Small red nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6466, 'Small red ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6467, 'Small red fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6468, 'Red nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6469, 'Red ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6470, 'Red fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6471, 'Big red nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6472, 'Big red ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6473, 'Big red fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6474, 'Small white nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1747, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6475, 'Small white ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6476, 'Small white fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6477, 'White nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6478, 'White ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6479, 'White fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6480, 'Big white nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1961, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6481, 'Big white ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6482, 'Big white fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 2039, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6483, 'Small black nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6484, 'Small black ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6485, 'Small black fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6486, 'Black nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6487, 'Black ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6488, 'Black fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6489, 'Big black nimble fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6490, 'Big black ugly fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6491, 'Big black fat fish', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6492, 'Small green treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 153, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6493, 'green treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6494, 'Big green treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 265, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6495, 'Small jade treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 285, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6496, 'jade treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 315, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6497, 'Big jade treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 345, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6498, 'Small blue treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 395, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6499, 'blue treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 419, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6500, 'Big blue treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 435, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6501, 'Small yellow treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 452, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6502, 'yellow treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 568, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6503, 'Big yellow treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 608, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6504, 'Small orange treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 649, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6505, 'orange treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 792, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6506, 'Big orange treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 858, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6507, 'Small Purple treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 910, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6508, 'Purple treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1090, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6509, 'Big Purple treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1157, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6510, 'Small red treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1326, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6511, 'red treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1402, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6512, 'Big red treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1715, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6513, 'Small white treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1814, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6514, 'white treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 1923, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6515, 'Big white treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 2039, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6516, 'Small black treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 2166, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6517, 'black treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 2403, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6518, 'Big black treasure chest', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6519, 'Green Colored Lure - Low Grade', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 60, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6520, 'Green Colored Lure - Medium Grade', 'false', 'lure', 4, 'stackable', 'liquid', 'none', 0, 72, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6521, 'Green Colored Lure - High Grade', 'false', 'lure', 3, 'stackable', 'liquid', 'none', 0, 90, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6522, 'Purple Colored Lure - Low Grade', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 90, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6523, 'Purple Colored Lure - Medium Grade', 'false', 'lure', 4, 'stackable', 'liquid', 'none', 0, 108, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6524, 'Purple Colored Lure - High Grade', 'false', 'lure', 3, 'stackable', 'liquid', 'none', 0, 120, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6525, 'Yellow Colored Lure - Low Grade', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 72, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6526, 'Yellow Colored Lure - Medium Grade', 'false', 'lure', 4, 'stackable', 'liquid', 'none', 0, 90, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6527, 'Yellow Colored Lure - High Grade', 'false', 'lure', 3, 'stackable', 'liquid', 'none', 0, 108, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6528, 'Event bait', 'false', 'none', 3, 'stackable', 'liquid', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6535, 'Fishing Shot: non-grade', 'false', 'shot', 3, 'stackable', 'paper', 'none', 0, 3, 0, 'true', 'Fishing Shot: non-grade', 'none', '2'),
 (6536, 'Fishing Shot: D-grade', 'false', 'shot', 3, 'stackable', 'paper', 'd', 0, 5, 0, 'true', 'Fishing Shot: D-grade', 'none', '2'),
 (6537, 'Fishing Shot: C-grade', 'false', 'shot', 3, 'stackable', 'paper', 'c', 0, 7, 0, 'true', 'Fishing Shot: C-grade', 'none', '2'),
 (6538, 'Fishing Shot: B-grade', 'false', 'shot', 3, 'stackable', 'paper', 'b', 0, 25, 0, 'true', 'Fishing Shot: B-grade', 'none', '2'),
 (6539, 'Fishing Shot: A-grade', 'false', 'shot', 3, 'stackable', 'paper', 'a', 0, 40, 0, 'true', 'Fishing Shot: A-grade', 'none', '2'),
 (6540, 'Fishing Shot: S-grade', 'false', 'shot', 3, 'stackable', 'paper', 's', 0, 50, 0, 'true', 'Fishing Shot: S-grade', 'none', '2'),
 (6541, 'Blue Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6542, 'Red Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6543, 'Gold Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6544, 'Desert Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6545, 'Sea Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6546, 'Twin Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6547, 'King Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6548, 'Alternative Blue Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6549, 'Alternative Red Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6550, 'Alternative Gold Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6551, 'Alternative Desert Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6552, 'Alternative Sea Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6553, 'Alternative Twin Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6554, 'Alternative King Coba', 'false', 'seed', 2, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6555, 'Ripe Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6556, 'Ripe Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6557, 'Ripe Gold Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6558, 'Ripe Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6559, 'Ripe Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6560, 'Ripe Twin Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6561, 'Ripe King Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6562, 'Ripe Alternative Clue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6563, 'Ripe Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6564, 'Ripe Alternative Gold Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6565, 'Ripe Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6566, 'Ripe Alternative Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6567, 'Ripe Alternative Twin Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6568, 'Ripe Alternative King Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6569, 'Blessed Scroll: Enchant Weapon (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 1750000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6570, 'Blessed Scroll: Enchant Armor (Grade A)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 750000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6571, 'Blessed Scroll: Enchant Weapon (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 1250000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6572, 'Blessed Scroll: Enchant Armor (Grade B)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 250000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6573, 'Blessed Scroll: Enchant Weapon (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 250000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6574, 'Blessed Scroll: Enchant Armor (Grade C)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6575, 'Blessed Scroll: Enchant Weapon (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 150000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6576, 'Blessed Scroll: Enchant Armor (Grade D)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 50000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6577, 'Blessed Scroll: Enchant Weapon (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 2250000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6578, 'Blessed Scroll: Enchant Armor (Grade S)', 'false', 'scroll', 120, 'normal', 'paper', 'none', 0, 1250000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6622, 'Secret Book of Giants', 'false', 'none', 10, 'normal', 'paper', 'none', 0, 500000, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6623, 'Dummy - Quest Item 1', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6624, 'Dummy - Quest Item 2', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6625, 'Dummy - Quest Item 3', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6626, 'Dummy - Quest Item 4', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6627, 'Dummy - Quest Item 5', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6628, 'Dummy - Quest Item 6', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6629, 'Dummy - Quest Item 7', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6630, 'Dummy - Quest Item 8', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6631, 'Dummy - Quest Item 9', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6632, 'Dummy - Quest Item 10', 'false', 'none', 0, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6633, 'Dummy - General Item 1', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6634, 'Dummy - General Item 2', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6635, 'Dummy - General Item 3', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6636, 'Dummy - General Item 4', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6637, 'Dummy - General Item 5', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6638, 'Dummy - General Item 6', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6639, 'Dummy - General Item 7', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6640, 'Dummy - General Item 8', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6641, 'Dummy - General Item 9', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6642, 'Dummy - General Item 10', 'false', 'none', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6643, 'Golden Spice', 'false', 'none', 40, 'stackable', 'paper', 'none', 0, 25, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6644, 'Crystal Spice', 'false', 'none', 40, 'stackable', 'paper', 'none', 0, 25, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6645, 'Beast Soulshot', 'false', 'shot', 1, 'stackable', 'paper', 'none', 0, 8, 0, 'true', 'Beast Soulshot', 'none', '2'),
 (6646, 'Beast Spiritshot', 'false', 'shot', 2, 'stackable', 'paper', 'none', 0, 10, 0, 'true', 'Beast Spiritshot', 'none', '2'),
 (6647, 'Blessed Beast Spiritshot', 'false', 'shot', 2, 'stackable', 'paper', 'none', 0, 12, 0, 'true', 'Blessed Beast Spiritshot', 'none', '2'),
 (6648, 'Baby Buffalo Panpipe', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'pet_collar', '2'),
 (6649, 'Baby Cougar Chime', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'pet_collar', '2'),
 (6650, 'Baby Kookaburra Ocarina', 'false', 'pet_collar', 20, 'normal', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'pet_collar', '2'),
 (6651, 'Noblesse Gate Pass', 'false', 'none', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6652, 'Amulet: Protection of Valakas', 'false', 'spellbook', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6653, 'Amulet: Flames of Valakas', 'false', 'spellbook', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6654, 'Amulet: Flames of Valakas', 'false', 'spellbook', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6655, 'Amulet: Slay Valakas', 'false', 'spellbook', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6663, 'Scroll of Escape: Orc Village', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6664, 'Scroll of Escape: Silenos Village', 'false', 'scroll', 120, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6665, 'Deluxe Chest Key - Grade 1', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6666, 'Deluxe Chest Key - Grade 2', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6667, 'Deluxe Chest Key - Grade 3', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6668, 'Deluxe Chest Key - Grade 4', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6669, 'Deluxe Chest Key - Grade 5', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6670, 'Deluxe Chest Key - Grade 6', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6671, 'Deluxe Chest Key - Grade 7', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6672, 'Deluxe Chest Key - Grade 8', 'false', 'none', 10, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'castle_guard', '2'),
 (6673, 'Festival Adena', 'false', 'quest', 0, 'stackable', 'steel', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6688, 'Forgotten Blade Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 92529, 0, 'true', 'C4Item', 'none', '1'),
 (6689, 'Basalt Battlehammer Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 94306, 0, 'true', 'C4Item', 'none', '1'),
 (6690, 'Imperial Staff Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 92353, 0, 'true', 'C4Item', 'none', '1'),
 (6691, 'Angel Slayer Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 92529, 0, 'true', 'C4Item', 'none', '1'),
 (6692, 'Shining Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 90882, 0, 'true', 'C4Item', 'none', '1'),
 (6693, 'Dragon Hunter Axe Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 90882, 0, 'true', 'C4Item', 'none', '1'),
 (6694, 'Saint Spear Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 90882, 0, 'true', 'C4Item', 'none', '1'),
 (6695, 'Demon Splinter Blade', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 94306, 0, 'true', 'C4Item', 'none', '1'),
 (6696, 'Heavens Divider Edge', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 91082, 0, 'true', 'C4Item', 'none', '1'),
 (6697, 'Arcana Mace Head', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 94306, 0, 'true', 'C4Item', 'none', '1'),
 (6698, 'Sealed Tateossian Earring  Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 10182, 0, 'true', 'C4Item', 'none', '1'),
 (6699, 'Sealed Tateossian Ring Gem', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 9176, 0, 'true', 'C4Item', 'none', '1'),
 (6700, 'Sealed Tateossian Ring Wire', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 16706, 0, 'true', 'C4Item', 'none', '1'),
 (6701, 'Sealed Imperial Crusader Breastplate Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 37565, 0, 'true', 'C4Item', 'none', '1'),
 (6702, 'Sealed Imperial Crusader Gaiters Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 29182, 0, 'true', 'C4Item', 'none', '1'),
 (6703, 'Sealed Imperial Crusader Gauntlets Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6704, 'Sealed Imperial Crusader Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6705, 'Sealed Imperial Crusader Shield Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14341, 0, 'true', 'C4Item', 'none', '1'),
 (6706, 'Sealed Imperial Crusader Helmet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12329, 0, 'true', 'C4Item', 'none', '1'),
 (6707, 'Sealed Draconic Leather Armor Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 40365, 0, 'true', 'C4Item', 'none', '1'),
 (6708, 'Sealed Draconic Leather Gloves Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6709, 'Sealed Draconic Leather Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6710, 'Sealed Draconic Leather Helmet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12329, 0, 'true', 'C4Item', 'none', '1'),
 (6711, 'Sealed Major Arcana Robe Part', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 40365, 0, 'true', 'C4Item', 'none', '1'),
 (6712, 'Sealed Major Arcana Gloves fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6713, 'Sealed Major Arcana Boots Design', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 14047, 0, 'true', 'C4Item', 'none', '1'),
 (6714, 'Sealed Major Arcana Circlet Pattern', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 12329, 0, 'true', 'C4Item', 'none', '1'),
 (6727, 'Seed: Alternative Great Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6728, 'Seed: Alternative Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6729, 'Seed: Alternative Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6730, 'Seed: Alternative Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6731, 'Seed: Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6732, 'Seed: Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6733, 'Seed: Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6734, 'Seed: Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6735, 'Seed: Alternative Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6736, 'Seed: Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6737, 'Seed: Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6738, 'Seed: Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6739, 'Seed: Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6740, 'Seed: Alternative Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6741, 'Seed: Alternative Twin Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6742, 'Seed: Alternative Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6743, 'Seed: Alternative Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6744, 'Seed: Alternative Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6745, 'Seed: Alternative Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6746, 'Seed: Alternative Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6747, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6748, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6749, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6750, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6751, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6752, 'Seed: Alternative Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6753, 'Seed: Great Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6754, 'Seed: Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (6755, 'Seed: Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6756, 'Seed: Sea Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6757, 'Seed: Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6758, 'Seed: Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6759, 'Seed: Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6760, 'Seed: Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 500, 0, 'true', 'C4Item', 'none', '2'),
 (6761, 'Seed: Red Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6762, 'Seed: Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6763, 'Seed: Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6764, 'Seed: Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6765, 'Seed: Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6766, 'Seed: Desert Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6767, 'Seed: Twin Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 1000, 0, 'true', 'C4Item', 'none', '2'),
 (6768, 'Seed: Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6769, 'Seed: Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6770, 'Seed: Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6771, 'Seed: Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 400, 0, 'true', 'C4Item', 'none', '2'),
 (6772, 'Seed: Blue Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6773, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6774, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6775, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6776, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6777, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6778, 'Seed: Golden Coba', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6779, 'Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6780, 'Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6781, 'Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6782, 'Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6783, 'Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6784, 'Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6785, 'Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6786, 'Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6787, 'Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6788, 'Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6789, 'Mercenary Posting Ticket (Teleporter1)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6790, 'Mercenary Posting Ticket (Teleporter2)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6791, 'Mercenary Posting Ticket (Teleporter3)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6792, 'Greater Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6793, 'Greater Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6794, 'Greater Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6795, 'Greater Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6796, 'Greater Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6797, 'Greater Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6798, 'Greater Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6799, 'Greater Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6800, 'Greater Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6801, 'Greater Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6802, 'Dawn Mercenary Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6803, 'Dawn Mercenary Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6804, 'Dawn Mercenary Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6805, 'Dawn Mercenary Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6806, 'Dawn Mercenary Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6807, 'Dawn Mercenary Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6808, 'Dawn Mercenary Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6809, 'Dawn Mercenary Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6810, 'Dawn Mercenary Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6811, 'Dawn Mercenary Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6812, 'Greater Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6813, 'Greater Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6814, 'Greater Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6815, 'Greater Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6816, 'Greater Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6817, 'Greater Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6818, 'Greater Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6819, 'Greater Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6820, 'Greater Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6821, 'Greater Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6822, 'Recruit Posting Ticket (Sword/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6823, 'Recruit Posting Ticket (Spear/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6824, 'Recruit Posting Ticket (Bow/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6825, 'Recruit Posting Ticket (Cleric/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6826, 'Recruit Posting Ticket (Wizard/Stationary)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6827, 'Recruit Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6828, 'Recruit Posting Ticket (Spear/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6829, 'Recruit Posting Ticket (Bow/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6830, 'Recruit Posting Ticket (Cleric/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6831, 'Recruit Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6832, 'Nephilim Warrior Posting Ticket (Sword/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6833, 'Nephilim Shaman Posting Ticket (Wizard/Mobile)', 'false', 'castle_guard', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '2'),
 (6847, 'Recipe: Sealed Tateossian Earring (70%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6848, 'Recipe: Sealed Tateossian Earring (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6849, 'Recipe: Sealed Tateossian Ring(70%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6850, 'Recipe: Sealed Tateossian Ring(100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6851, 'Recipe: Sealed Tateossian Necklace(70%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6852, 'Recipe: Sealed Tateossian Necklace(100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6853, 'Recipe: Sealed Imperial Crusader Breastplate (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 150000, 0, 'true', 'C4Item', 'none', '2'),
 (6854, 'Recipe: Sealed Imperial Crusader Breastplate (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6855, 'Recipe: Sealed Imperial Crusader Gaiters (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6856, 'Recipe: Sealed Imperial Crusader Gaiters (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6857, 'Recipe: Sealed Imperial Crusader Gauntlets (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6858, 'Recipe: Sealed Imperial Crusader Gauntlets (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6859, 'Recipe: Sealed Imperial Crusader Boots (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6860, 'Recipe: Sealed Imperial Crusader Boots (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6861, 'Recipe: Sealed Imperial Crusader Shield (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6862, 'Recipe: Sealed Imperial Crusader Shield (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6863, 'Recipe: Sealed Imperial Crusader Helmet (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6864, 'Recipe: Sealed Imperial Crusader Helmet (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6865, 'Recipe: Sealed Draconic Leather Armor (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6866, 'Recipe: Sealed Draconic Leather Armor (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6867, 'Recipe: Sealed Draconic Leather Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6868, 'Recipe: Sealed Draconic Leather Gloves (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6869, 'Recipe: Sealed Draconic Leather Boots (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6870, 'Recipe: Sealed Draconic Leather Boots (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6871, 'Recipe: Sealed Draconic Leather Helmet (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6872, 'Recipe: Sealed Draconic Leather Helmet (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6873, 'Recipe: Sealed Major Arcana Robe (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6874, 'Recipe: Sealed Major Arcana Robe (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6875, 'Recipe: Sealed Major Arcana Gloves (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6876, 'Recipe: Sealed Major Arcana Gloves (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6877, 'Recipe: Sealed Major Arcana Boots (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6878, 'Recipe: Sealed Major Arcana Boots (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6879, 'Recipe: Sealed Major Arcana Circlet (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 100000, 0, 'true', 'C4Item', 'none', '2'),
 (6880, 'Recipe: Sealed Major Arcana Circlet (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 200000, 0, 'true', 'C4Item', 'none', '2'),
 (6881, 'Recipe: Forgotten Blade (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6882, 'Recipe: Forgotten Blade (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6883, 'Recipe: Basalt Battlehammer (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6884, 'Recipe: Basalt Battlehammer (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6885, 'Recipe: Imperial Staff (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6886, 'Recipe: Imperial Staff(100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6887, 'Recipe: Angel Slayer (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6888, 'Recipe: Angel Slayer (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6889, 'Recipe: Shining Bow (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6890, 'Recipe: Shining Bow (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6891, 'Recipe: Dragon Hunter Axe (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6892, 'Recipe: Dragon Hunter Axe (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6893, 'Recipe: Saint Spear (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6894, 'Recipe: Saint Spear (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6895, 'Recipe: Demon Splinter (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6896, 'Recipe: Demon Splinter (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6897, 'Recipe: Heavens Divider (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6898, 'Recipe: Heavens Divider (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6899, 'Recipe: Arcana Mace (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'true', 'C4Item', 'none', '2'),
 (6900, 'Recipe: Arcana Mace (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'true', 'C4Item', 'none', '2'),
 (6901, 'Recipe: Shining Arrow (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 60000, 0, 'true', 'C4Item', 'none', '2'),
 (6903, 'Music Box M', 'false', 'quest', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'true', 'C4Item', 'none', '0'),
 (6904, 'Party Mask Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (6905, 'Hair Pin Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (6906, 'Eye Patch of Pirate Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (6907, 'Monocle Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (6908, 'Fish Oil', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 50, 0, 'false', 'C4Item', 'none', '2'),
 (6909, 'Greater Fish Oil', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 250, 0, 'false', 'C4Item', 'none', '2'),
 (6910, 'Premium Fish Oil', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 1250, 0, 'false', 'C4Item', 'none', '2'),
 (6911, 'Fish Scale', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 200, 0, 'false', 'C4Item', 'none', '2'),
 (6912, 'Shiny Fish Scale', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 300, 0, 'false', 'C4Item', 'none', '2'),
 (6913, 'Fish Gem', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 500, 0, 'false', 'C4Item', 'none', '2'),
 (6914, 'Shiny Fish Gem', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 1000, 0, 'false', 'C4Item', 'none', '2'),
 (6915, 'Thin Fish Bone', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 300, 0, 'false', 'C4Item', 'none', '2'),
 (6916, 'Thick Fish Bone', 'false', 'none', 60, 'stackable', 'liquid', 'none', 0, 450, 0, 'false', 'C4Item', 'none', '2'),
 (6920, 'Recipe: Greater Fish Oil (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6921, 'Recipe: Premium Fish Oil(100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6922, 'Recipe: Party Mask (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6923, 'Recipe: Hair Pin (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6924, 'Recipe: Eye Patch of Pirate (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6925, 'Recipe: Monocle (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6926, 'Recipe: Lesser Healing Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6927, 'Recipe: Healing Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6928, 'Recipe: Greater Healing Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6929, 'Recipe: Antidote (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6930, 'Recipe: Greater Antidote (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6931, 'Recipe: Bandage (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6932, 'Recipe: Emergency Dressing (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6933, 'Recipe: Haste Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6934, 'Recipe: Potion of Alacrity (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6935, 'Recipe: Greater Haste Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6936, 'Recipe: Greater Swift Attack Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6937, 'Recipe: Magic Haste Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6938, 'Recipe: Greater Magic Haste Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6939, 'Recipe: Mystery Potion (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6940, 'Recipe: Facelifting Potion - A 100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6941, 'Recipe: Facelifting Potion - B (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6942, 'Recipe: Facelifting Potion - C (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6943, 'Recipe: Dye Potion - A (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6944, 'Recipe: Dye Potion - B (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6945, 'Recipe: Dye Potion - C (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6946, 'Recipe: Dye Potion - D (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6947, 'Recipe: Hair Style Change Potion - A (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6948, 'Recipe: Hair Style Change Potion - B (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6949, 'Recipe: Hair Style Change Potion - C (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6950, 'Recipe: Hair Style Change Potion - D (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6951, 'Recipe: Hair Style Change Potion - E (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6952, 'Recipe: Hair Style Change Potion - F (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6953, 'Recipe: Hair Style Change Potion - G (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6954, 'Recipe: Dye of Strength  <Str+1 Con-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6955, 'Recipe: Dye of Strength  <Str+1 Dex-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6956, 'Recipe: Dye of Constitution <Con+1 Str-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6957, 'Recipe: Dye of Constitution <Con+1 Dex-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6958, 'Recipe: Dye of Dexterity <Dex+1 Str-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6959, 'Recipe: Dye of Dexterity <Dex+1 Con-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6960, 'Recipe: Dye of Intelligence <Int+1 Men-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6961, 'Recipe: Dye of Intelligence <Int+1 Wit-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6962, 'Recipe: Dye of Mental Strength <Men+1 Int-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6963, 'Recipe: Dye of Mental Strength <Men+1 Wit-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6964, 'Recipe: Dye of Wit<Wit+1 Int-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6965, 'Recipe: Dye of Wit<Wit+1 Men-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6966, 'Recipe: Greater Dye of Strength <Str+1 Con-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6967, 'Recipe: Greater Dye of Strength <Str+1 Dex-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6968, 'Recipe: Greater Dye of Constitution <Con+1 Str-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6969, 'Recipe: Greater Dye of Constitution <Con+1 Dex-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6970, 'Recipe: Greater Dye of Dexterity <Dex+1 Str-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6971, 'Recipe: Greater Dye of Dexterity <Dex+1 Con-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6972, 'Recipe: Greater Dye of Intelligence <Int+1 Men-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6973, 'Recipe: Greater Dye of Intelligence <Int+1 Wit-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6974, 'Recipe: Greater Dye of Mental Strength <Men+1 Int-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6975, 'Recipe: Greater Dye of Mental Strength <Men+1 Wit-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6976, 'Recipe: Greater Dye of Wit<Wit+1 Int-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6977, 'Recipe: Greater Dye of Wit<Wit+1 Men-1> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6978, 'Recipe: Greater Dye of Strength <Str+2 Con-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6979, 'Recipe: Greater Dye of Strength <Str+2 Dex-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6980, 'Recipe: Greater Dye of Constitution <Con+2 Str-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6981, 'Recipe: Greater Dye of Constitution <Con+2 Dex-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6982, 'Recipe: Greater Dye of Dexterity <Dex+2 Str-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6983, 'Recipe: Greater Dye of Dexterity <Dex+2 Con-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6984, 'Recipe: Greater Dye of Intelligence <Int+2 Men-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6985, 'Recipe: Greater Dye of Intelligence <Int+2 Wit-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6986, 'Recipe: Greater Dye of Mental Strength <Men+2 Int-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6987, 'Recipe: Greater Dye of Mental Strength <Men+2 Wit-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6988, 'Recipe: Greater Dye of Wit<Wit+2 Int-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6989, 'Recipe: Greater Dye of Wit<Wit+2 Men-2> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6990, 'Recipe: Greater Dye of Strength <Str+3 Con-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6991, 'Recipe: Greater Dye of Strength <Str+3 Dex-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6992, 'Recipe: Greater Dye of Constitution <Con+3 Str-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6993, 'Recipe: Greater Dye of Constitution <Con+3 Dex-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6994, 'Recipe: Greater Dye of Dexterity <Dex+3 Str-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6995, 'Recipe: Greater Dye of Dexterity <Dex+3 Con-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6996, 'Recipe: Greater Dye of Intelligence <Int+3 Men-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6997, 'Recipe: Greater Dye of Intelligence <Int+3 Wit-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6998, 'Recipe: Greater Dye of Mental Strength <Men+3 Int-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (6999, 'Recipe: Greater Dye of Mental Strength <Men+3 Wit-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7000, 'Recipe: Greater Dye of Wit<Wit+3 Int-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7001, 'Recipe: Greater Dye of Wit<Wit+3 Men-3> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7002, 'Recipe: Greater Dye of Strength <Str+4 Con-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7003, 'Recipe: Greater Dye of Strength <Str+4 Dex-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7004, 'Recipe: Greater Dye of Constitution <Con+4 Str-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7005, 'Recipe: Greater Dye of Constitution <Con+4 Dex-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7006, 'Recipe: Greater Dye of Dexterity <Dex+4 Str-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7007, 'Recipe: Greater Dye of Dexterity <Dex+4 Con-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7008, 'Recipe: Greater Dye of Intelligence <Int+4 Men-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7009, 'Recipe: Greater Dye of Intelligence <Int+4 Wit-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7010, 'Recipe: Greater Dye of Mental Strength <Men+4 Int-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7011, 'Recipe: Greater Dye of Mental Strength <Men+4 Wit-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7012, 'Recipe: Greater Dye of Wit<Wit+4 Int-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7013, 'Recipe: Greater Dye of Wit<Wit+4 Men-4> (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7016, 'Seed: Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'C4Item', 'none', '2'),
 (7017, 'Seed: Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7018, 'Seed: Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7019, 'Seed: Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7020, 'Seed: Chilly Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7021, 'Seed: Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7022, 'Seed: Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7023, 'Seed: Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7024, 'Seed: Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 100, 0, 'true', 'C4Item', 'none', '2'),
 (7025, 'Seed: Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7026, 'Seed: Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7027, 'Seed: Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7028, 'Seed: Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7029, 'Seed: Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7030, 'Seed: Alternative Blue Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7031, 'Seed: Alternative Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7032, 'Seed: Alternative Blue Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7033, 'Seed: Alternative Chilly Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7034, 'Seed: Alternative Chilly Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7035, 'Seed: Alternative Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7036, 'Seed: Alternative Chilly Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 40, 0, 'true', 'C4Item', 'none', '2'),
 (7037, 'Seed: Alternative Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7038, 'Seed: Alternative Desert Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7039, 'Seed: Alternative Golden Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7040, 'Seed: Alternative Golden Coda', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7041, 'Seed: Alternative Great Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7042, 'Seed: Alternative Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7043, 'Seed: Alternative Great Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7044, 'Seed: Alternative Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7045, 'Seed: Alternative Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7046, 'Seed: Alternative Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7047, 'Seed: Alternative Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7048, 'Seed: Alternative Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7049, 'Seed: Alternative Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7050, 'Seed: Alternative Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7051, 'Seed: Red Cobol', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7052, 'Seed: Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7053, 'Seed: Red Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7054, 'Seed: Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7055, 'Seed: Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7056, 'Seed: Sea Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 50, 0, 'true', 'C4Item', 'none', '2'),
 (7057, 'Seed: Twin Codran', 'false', 'seed', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7061, 'Echo Crystal - Theme of Birthday', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7062, 'Echo Crystal - Theme of Wedding', 'false', 'none', 10, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7063, 'Map - Forest of the Dead', 'false', 'quest', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7064, 'Lidia''s Diary', 'false', 'quest', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7065, 'Lidia''s Letter', 'false', 'quest', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7066, 'Contract', 'false', 'quest', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7067, 'Special Bait 1', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7068, 'Special Bait 2', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7069, 'Special Bait 3', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7070, 'Special Bait 4', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7071, 'Special Fish 1', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7072, 'Special Fish 2', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7073, 'Special Fish 3', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7074, 'Special Fish 4', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7075, 'Entrance Pass to the Sepulcher', 'false', 'scroll', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7076, 'Mysterious Cloth', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7077, 'Jewel Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7078, 'Sewing kit', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7079, 'Fragment of Dimension', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7080, 'Cryolite', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7081, 'Divine Stone of Wisdom', 'false', 'quest', 10, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7082, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7083, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7084, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7085, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7086, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7087, 'Tattered Book', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7088, 'Tattered Book', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7089, 'Tattered Book', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7090, 'Tattered Book', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7091, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7092, 'Guild Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7093, 'Sculpture of the Fallen Knight', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7094, 'Record of Mother Tree Guardian', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7095, 'Criticism of Biel''s Song', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7096, 'The Last Days of Swordsman Iron', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7097, 'Contemplation of White Wing Army', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7098, 'Record of Traitor Muhark', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7099, 'Secret Book of Khavatari', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7100, 'Importance of Strain', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7101, 'Danger of Ice Spirit', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7102, 'Guardian Angel of the Tablet - Vol. 1', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7103, 'Guardian Angel of the Tablet - Vol. 1', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7104, 'Guardian Angel of the Tablet - Vol. 1', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7105, 'Guardian Angel of the Tablet - Vol. 2', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7106, 'Guardian Angel of the Tablet - Vol. 2', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7107, 'Guardian Angel of the Tablet - Vol. 2', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7108, 'Guild''s Secret Report', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7109, 'Guild''s Secret Report', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7110, 'Research Report', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7111, 'Research Report', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7112, 'Research Report', 'false', 'quest', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7113, 'Dress Shoe Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7114, 'Voucher - Buffalo', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7115, 'Voucher - Cougar', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7116, 'Voucher - Kookaburra', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7117, 'Scroll of Escape to Talking Island', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7118, 'Scroll of Escape to Elven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7119, 'Scroll of Escape to Dark Elven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7120, 'Scroll of Escape to Orc Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7121, 'Scroll of Escape to Dwarven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7122, 'Scroll of Escape to Gludin Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7123, 'Scroll of Escape to Gludio Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7124, 'Scroll of Escape to Dion Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7125, 'Scroll of Escape to Floran', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7126, 'Scroll of Escape to Giran Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7127, 'Scroll of Escape to Hardin''s Private Academy', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7128, 'Scroll of Escape to Heine', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7129, 'Scroll of Escape to Oren Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7130, 'Scroll of Escape to Ivory Tower', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7131, 'Scroll of Escape to Hunters Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7132, 'Scroll of Escape to Aden Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7133, 'Scroll of Escape to Goddard Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7134, 'Scroll of Escape to Rune Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7135, 'Scroll of Escape to Schuttgart Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7136, 'Fruit Basket', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7137, 'Avellan Spice', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7138, 'Honey Pouch', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7139, 'Bracelet of Lizardman', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7140, 'Cross of Einhasad', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7141, 'Cross of Einhasad', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7142, 'Lost Skull of Elf', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7143, 'Letter of Innocentin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7144, 'Jewel of Adventurer', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7145, 'Jewel of Adventurer', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7146, 'Sealed Report Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7147, 'Report Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7148, 'Lidia''s Hairpin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7149, 'Silver Key', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7150, 'Silver Spear', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7151, 'Suspicious Totem Doll', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7152, 'Flower Bouquet', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7153, 'Silver Cross of Einhasad', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7154, 'Broken Silver Cross of Einhasad', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7155, 'Lidia''s Dress', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7156, 'Suspicious Totem Doll', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7157, 'Gemstone Key', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7158, 'Suspicious Totem Doll', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7159, 'Box of Cookies', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7160, 'Luxury Wine', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7161, 'Skein of Yarn', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7162, 'Rough Jewel', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7163, 'Enchanted Iron', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7164, 'Signet Ring', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7165, 'Map', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7166, 'Medicinal Herb', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7167, 'Crystal of Seal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7168, 'Blood of Saint', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7169, 'Blood of Saint', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7170, 'Seal of Light', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7171, 'Gem of Submission', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7172, 'Gem of Saints', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7173, 'Feather Ornament', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7174, 'Tooth of Totem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7175, 'Tooth of Dragon', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7176, 'Letter of Iris', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7177, 'Letter of Rohmer', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7178, 'Black Bone Necklace', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7179, 'Red Bone Necklace', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7180, 'Incense Pouch', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7181, 'Gem of Maille Lizardman', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7182, 'Patrol''s Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7183, 'Shining Gem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7184, 'Shining Red Gem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7185, 'Jewel of Innocence', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7186, 'Horn of Buffalo', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7187, 'Nepenthes Seed', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7188, 'Proof of Avenger', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7189, 'Eye of Darkness', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7190, 'Evil Spirit of Darkness', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7191, 'Broken Crystal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7192, 'Unfinished Summon Crystal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7193, 'Summon Crystal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7194, 'Essence of Daimon', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7195, 'Boiled Eggs', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7196, 'Fee of Boiled Egg', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7197, 'Special Drink', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7198, 'Fee of Special Drink', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7199, 'Leaf of Flava', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7200, 'Buffalo Meat', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7201, 'Antelope Horn', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7202, 'Trunk of Nepenthes', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7203, 'Foot of Bandersnatchling', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7204, 'Secret Spice', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7205, 'Soy Sauce Jar', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7206, 'Boiled Eggs for Delivery', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7207, 'Special Drink for Delivery', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7208, 'Hot Food Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7209, 'Food for Bumbalump', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7210, 'Special Yeti Meat', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7211, 'Mark of Ketra''s Alliance - Level 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7212, 'Mark of Ketra''s Alliance - Level 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7213, 'Mark of Ketra''s Alliance - Level 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7214, 'Mark of Ketra''s Alliance - Level 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7215, 'Mark of Ketra''s Alliance - Level 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7216, 'Varka''s Badge - Soldier', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7217, 'Varka''s Badge - Captain', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7218, 'Varka''s Badge - General', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7219, 'Totem of Valor', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7220, 'Totem of Wisdom', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7221, 'Mark of Varka''s Alliance - Level 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7222, 'Mark of Varka''s Alliance - Level 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7223, 'Mark of Varka''s Alliance - Level 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7224, 'Mark of Varka''s Alliance - Level 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7225, 'Mark of Varka''s Alliance - Level 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7226, 'Ketra''s Badge - Soldier', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7227, 'Ketra''s Badge - Captain', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7228, 'Ketra''s Badge - General', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7229, 'Feather of Valor', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7230, 'Feather of Wisdom', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7231, 'Munitions Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7232, 'Munitions Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7233, 'Varka''s Mane', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7234, 'Molar of Ketra Orc', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7235, 'Head of Shadith', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7236, 'Head of Mos', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7237, 'Stolen Green Totem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7238, 'Green Totem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7239, 'Ice Heart of Ashutar', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7240, 'Head of Hekaton', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7241, 'Head of Tayr', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7242, 'Stolen Red Totem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7243, 'Red Totem', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7244, 'Fire Heart of Nastron', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7245, 'Supply Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7246, 'Golden Ram Badge - Recruit', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7247, 'Golden Ram Badge - Soldier', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7248, 'Splinter Stakato Chitin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7249, 'Needle Stakato Chitin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7250, 'Talon of Stakato', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7251, 'Golden Ram Coin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7252, 'Krorin''s Journal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7253, 'Letter to Archaeologist', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7254, 'Broken Relic Part', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7255, 'Sealed Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7256, 'Goblet of Alectia', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7257, 'Goblet of Tishas', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7258, 'Goblet of Mekara', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7259, 'Goblet of Morigul', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7260, 'Chapel Key', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7261, 'Used Grave Pass', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7262, 'Antique Brooch', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7263, 'Package to Vulcan', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7264, 'Torch', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7265, 'Vacualite Ore', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7266, 'Vacualite', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7267, 'Floating Stone', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7268, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7269, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7270, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7271, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7272, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7273, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7274, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7275, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7276, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (7277, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7278, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7279, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7280, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7281, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7282, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7283, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7284, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7285, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7286, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7287, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7288, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7289, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7290, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7291, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7292, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7293, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7294, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7295, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7296, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7297, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7298, 'Resonance Amulet - 1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7299, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7300, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7301, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7302, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7303, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7304, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7305, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7306, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7307, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7308, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7309, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7310, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7311, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7312, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7313, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7314, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7315, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7316, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7317, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7318, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7319, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7320, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7321, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7322, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7323, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7324, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7325, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7326, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7327, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7328, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7329, 'Resonance Amulet - 2', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7330, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7331, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7332, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7333, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7334, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7335, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7336, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7337, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7338, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7339, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7340, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7341, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7342, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7343, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7344, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7345, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7346, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7347, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7348, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7349, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7350, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7351, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7352, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7353, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7354, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7355, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7356, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7357, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7358, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7359, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7360, 'Resonance Amulet - 3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7361, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7362, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7363, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7364, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7365, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7366, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7367, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7368, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7369, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7370, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7371, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7372, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7373, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7374, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7375, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7376, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7377, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7378, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7379, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7380, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7381, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7382, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7383, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7384, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7385, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7386, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7387, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7388, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7389, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7390, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7391, 'Resonance Amulet - 4', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7392, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7393, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7394, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7395, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7396, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7397, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7398, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7399, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7400, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7401, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7402, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7403, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7404, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7405, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7406, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7407, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7408, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7409, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7410, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7411, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7412, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7413, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7414, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7415, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7416, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7417, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7418, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7419, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7420, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7421, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7422, 'Resonance Amulet - 5', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7423, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7424, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7425, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7426, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7427, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7428, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7429, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7430, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7431, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7432, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7433, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7434, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7435, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7436, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7437, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7438, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7439, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7440, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7441, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7442, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7443, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7444, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7445, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7446, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7447, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7448, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7449, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7450, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7451, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7452, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7453, 'Resonance Amulet - 6', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7454, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7455, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7456, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7457, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7458, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7459, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7460, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7461, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7462, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7463, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7464, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7465, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7466, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7467, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7468, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7469, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7470, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7471, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7472, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7473, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7474, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7475, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7476, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7477, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7478, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7479, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7480, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7481, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7482, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7483, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7484, 'Resonance Amulet - 7', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7485, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7486, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7487, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7488, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7489, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7490, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7491, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7492, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7493, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7494, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7495, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7496, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7497, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7498, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7499, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7500, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7501, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7502, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7503, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7504, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7505, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7506, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7507, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7508, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7509, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7510, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7511, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7512, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7513, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7514, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7515, 'Halisha''s Mark', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7516, 'Ice Wine', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7517, 'Donath''s'' Dish', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7518, 'Donath''s'' Note - Vol.1', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7519, 'Shaved Ice', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7520, 'Ice Cream', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7521, 'Ice Crystal Gemstone', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7522, 'Offering', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7523, 'Offering', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7524, 'Offering', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7525, 'Offering', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7526, 'Ancient Language Dictionary', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7527, 'Ancient Language Dictionary', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7528, 'Spinneret', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7529, 'Investigative Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7530, 'Investigative Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7531, 'Investigative Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7532, 'Investigative Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7533, 'Investigative Report', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7534, 'Ice Cold Flower', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7535, 'Pure Ice', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7536, 'Bitter Cold Beer', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7537, 'Multiple Course Meal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7538, 'Dead Souls Fish Soup', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7539, 'Bitter Cold Vodka', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7540, 'Silver Crystal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7541, 'Red Crystal', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7542, 'Vampire''s Heart', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7543, 'Zombie''s Brain', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7544, 'Rib Bone of a Black Magus', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7545, 'Zombie''s Liver', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7546, 'Top Quality Meat', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7547, 'Young Wild Beast Meat', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7548, 'Map Piece', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7549, 'Yellow Map', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7550, 'Map Piece', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7551, 'Ivory Colored Map', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7552, 'Broken Gemstone Fragment', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7553, 'Gold Colored Gemstone', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7554, 'Scroll of Escape to Talking Island', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7555, 'Scroll of Escape to Elven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7556, 'Scroll of Escape to Dark Elven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7557, 'Scroll of Escape to Orc Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7558, 'Scroll of Escape to Dwarven Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7559, 'Scroll of Escape to Giran Castle Town', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7561, 'Fishing Manual', 'false', 'none', 0, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7562, 'Dimension Diamond', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7563, 'Galladucci''s Order Document', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7564, 'Galladucci''s Order Document', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7565, 'Galladucci''s Order Document', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7566, 'Purified Magic Necklace', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7567, 'Gemstone Powder', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7568, 'Magic Sword Hilt', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7569, 'Four-leaf Golden Clover Coin', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7570, 'Mark of Traveler', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7571, 'Baulro''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7572, 'Ariel''s Recommendation', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7573, 'Roselyn''s Note', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7574, 'Very Expensive Necklace', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7579, 'Draconic Bow Shaft', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 91471, 0, 'false', 'C4Item', 'none', '2'),
 (7580, 'Recipe: Draconic Bow (60%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 350000, 0, 'false', 'C4Item', 'none', '2'),
 (7581, 'Recipe: Draconic Bow (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 700000, 0, 'false', 'C4Item', 'none', '2'),
 (7582, 'Baby Spice', 'false', 'none', 10, 'stackable', 'liquid', 'none', 0, 10, 0, 'true', 'C4Item', 'none', '2'),
 (7583, 'Pet Exchange Ticket: Buffalo', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '2'),
 (7584, 'Pet Exchange Ticket: Cougar', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '2'),
 (7585, 'Pet Exchange Ticket: Kookaburra', 'false', 'none', 20, 'stackable', 'paper', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '2'),
 (7586, 'Sweet Fluid', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7587, 'Legend of Seventeen', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7588, 'Faded Poetry Book', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7589, 'Echo Crystal - Forgotten Song', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7590, 'Strand of Golden Hair', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7591, 'Ring of Goddess: Waterbinder', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7592, 'Necklace of Goddess: Evergreen', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7593, 'Staff of Goddess: Rain Song', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7594, 'Relic Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7595, 'Orb of Binding', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7596, 'Sorcery Ingredient', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7597, 'Malruk Succubus Claw', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7598, 'Crimson Moss', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7599, 'Rahorakti''s Miraculous Medicine', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7600, 'Worn Tarot Card - Wealth', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7601, 'Worn Tarot Card - Power', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7602, 'Worn Tarot Card - Love', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7603, 'Worn Tarot Card - Knowledge', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7604, 'Summoner Keats'' Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7605, 'Miracle Potion of Transferred Life', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7606, 'Kamilen''s Antidote', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7607, 'Coolant of the Repaired Wilma #3', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7608, 'Sealed Envelope', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7609, 'Proof of Catching a Fish', 'false', 'none', 0, 'stackable', 'paper', 'none', 0, 500, 0, 'false', 'C4Item', 'none', '2'),
 (7610, 'Wind Fishing Lure', 'false', 'lure', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7611, 'Icy Air Fishing Lure', 'false', 'lure', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7612, 'Earth Fishing Lure', 'false', 'lure', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7613, 'Flame Fishing Lure', 'false', 'lure', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7614, 'Chest Caught by Wind Fishing Lure', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7615, 'Chest Caught by Icy Air Fishing Lure', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7616, 'Chest Caught by Earth Fishing Lure', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7617, 'Chest Caught by Flame Fishing Lure', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7618, 'Scroll of Escape - Ketra Orc Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7619, 'Scroll of Escape - Varka Silenos Village', 'false', 'scroll', 30, 'stackable', 'paper', 'none', 0, 400, 0, 'false', 'C4Item', 'none', '2'),
 (7620, 'Trash', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7621, 'Essence of Wind', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7622, 'Lost Bait Ingredient', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7623, 'Eye of Tarlk Basilisk', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7624, 'Heart of Crimson Drake', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7625, 'Strange Golem Blueprint', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7626, 'Kiki''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7627, 'Small Glass Box', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7628, 'Rukal''s Musical Score', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7629, 'Looted Goods - White Cargo box', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7630, 'Looted Goods - Blue Cargo box', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7631, 'Looted Goods - Yellow Cargo box', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7632, 'Looted Goods - Red Filing Cabinet', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7633, 'Looted Goods - Purple Filing Cabinet', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7634, 'Looted Goods - Brown Pouch', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7635, 'Looted Goods - Gray Pouch', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7636, 'Booty - Yellow Pouch', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7637, 'Booty - Brown Pouch', 'false', 'quest', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7638, 'Spellbook - Mass Summon Storm Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7639, 'Spellbook - Mass Summon Aqua Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7640, 'Spellbook - Mass Summon Poltergeist Cubic', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7641, 'Spellbook - Summon Queen of Cat', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7642, 'Spellbook - Summon Unicorn Seraphim', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7643, 'Spellbook - Summon Nightshade', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7644, 'Spellbook - Summon Cursed Man', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7645, 'Spellbook - Balance Life', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7646, 'Spellbook - Curse of Doom', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7647, 'Spellbook - Curse of Abyss', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7648, 'Spellbook - Arcane Chaos', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7649, 'Spellbook - Fire Vortex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7650, 'Spellbook - Ice Vortex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7651, 'Spellbook - Wind Vortex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7652, 'Spellbook - Light Vortex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7653, 'Spellbook - Dark Vortex', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7654, 'Spellbook - Mass Warrior Bane', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7655, 'Spellbook - Mass Mage Bane', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7656, 'Spellbook - Warrior Servitor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7657, 'Spellbook - Wizard Servitor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7658, 'Spellbook - Assassin Servitor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7659, 'Spellbook - Final Servitor', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7660, 'Spellbook - Warrior Bane', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7661, 'Spellbook - Mage Bane', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7662, 'Spellbook - Elemental Protection', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7663, 'Spellbook - Divine Protection', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7664, 'Spellbook - Arcane Protection', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7665, 'Spellbook - Prophecy of Water', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7666, 'Spellbook - Prophecy of Fire', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7667, 'Spellbook - Prophecy of Wind', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7668, 'Spellbook - Block Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7669, 'Spellbook - Block Wind Walk', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7670, 'Spellbook - Mass Block Shield', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7671, 'Spellbook - Mass Block Wind Walk', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7672, 'Amulet - Chant of Spirit', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7673, 'Amulet - Chant of Victory', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7674, 'Amulet - Eye of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7675, 'Amulet - Soul of Paagrio', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7676, 'Amulet - Seal of Despair', 'false', 'spellbook', 120, 'normal', 'paper', 'none', 0, 5000, 0, 'true', 'C4Item', 'none', '2'),
 (7677, 'Virgil''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7678, 'Caradine''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7679, 'Caradine''s Letter', 'false', 'quest', 0, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '0'),
 (7684, 'Raccoon Ear Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7685, 'Outlaw''s Eyepatch Strap', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7686, 'Maiden''s Hairpin Piece', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7687, 'Rabbit Ear Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7688, 'Cat Ear Fabric', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7689, 'Recipe - Raccoon Ear (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7690, 'Recipe - Outlaw''s Eyepatch (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7691, 'Recipe - Maiden''s Hairpin (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7692, 'Recipe - Rabbit Ear (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7693, 'Recipe - Cat Ear (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7697, 'Piece of Forget-me-not Hairpin', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7698, 'Piece of Daisy Hairpin', 'false', 'material', 60, 'stackable', 'liquid', 'none', 0, 5000, 0, 'false', 'C4Item', 'none', '1'),
 (7699, 'Recipe: Forget-me-not Hairpin (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7700, 'Recipe: Daisy Hairpin (100%)', 'false', 'recipe', 30, 'stackable', 'paper', 'none', 0, 50000, 0, 'false', 'C4Item', 'none', '2'),
 (7725, 'Loot - Gray Pouch', 'false', 'none', 1, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7726, 'Small green nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7727, 'Small green ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 71, 0, 'true', 'C4Item', 'none', '2'),
 (7728, 'Small green fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7729, 'Green nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 84, 0, 'true', 'C4Item', 'none', '2'),
 (7730, 'Green ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7731, 'Green fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 104, 0, 'true', 'C4Item', 'none', '2'),
 (7732, 'Large green nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 113, 0, 'true', 'C4Item', 'none', '2'),
 (7733, 'Large green ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 124, 0, 'true', 'C4Item', 'none', '2'),
 (7734, 'Large green fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7735, 'Small jade nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7736, 'Small jade ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7737, 'Small jade fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7738, 'Jade nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7739, 'Jade ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7740, 'Jade fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7741, 'Large jade nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7742, 'Large jade ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7743, 'Large jade fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7744, 'Small blue nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7745, 'Small blue ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7746, 'Small blue fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7747, 'Blue nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7748, 'Blue ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7749, 'Blue fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7750, 'Large blue nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7751, 'Large blue ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7752, 'Large blue fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7753, 'Small yellow nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7754, 'Small yellow ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7755, 'Small yellow fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7756, 'Yellow nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7757, 'Yellow ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 277, 0, 'true', 'C4Item', 'none', '2'),
 (7758, 'Yellow fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7759, 'Large yellow nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7760, 'Large yellow ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7761, 'Large yellow fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7762, 'Small orange nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7763, 'Small orange ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7764, 'Small orange fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7765, 'Orange nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7766, 'Orange ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7767, 'Orange fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7768, 'Large orange nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7769, 'Large orange ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7770, 'Large orange fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7771, 'Small purple nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7772, 'Small purple ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7773, 'Small purple fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7774, 'Purple nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7775, 'Purple ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7776, 'Purple fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7777, 'Large purple nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7778, 'Large purple ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7779, 'Large purple fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7780, 'Small red nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7781, 'Small red ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7782, 'Small red fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7783, 'Red nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7784, 'Red ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7785, 'Red fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7786, 'Large red nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7787, 'Large red ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7788, 'Large red fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7789, 'Small white nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7790, 'Small white ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7791, 'Small white fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7792, 'White nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7793, 'White ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7794, 'White fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7795, 'Large white nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7796, 'Large white ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7797, 'Large white fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7798, 'Small black nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7799, 'Small black ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7800, 'Small black fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7801, 'Black nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7802, 'Black ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7803, 'Black fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7804, 'Large black nimble fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7805, 'Large black ugly fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7806, 'Large black fat fish - For Beginners', 'false', 'none', 100, 'stackable', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7807, 'Green Colored Lure - For Beginners', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 30, 0, 'false', 'C4Item', 'none', '2'),
 (7808, 'Purple Colored Lure - For Beginners', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 42, 0, 'false', 'C4Item', 'none', '2'),
 (7809, 'Yellow Colored Lure - For Beginners', 'false', 'lure', 5, 'stackable', 'liquid', 'none', 0, 36, 0, 'false', 'C4Item', 'none', '2'),
 (7832, 'Apprentice Adventurer''s Weapon Exchange Coupon', 'false', 'none', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7833, 'Adventurer''s Weapon Exchange Coupon', 'false', 'none', 1, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2'),
 (7835, 'Amulet: Seal of Disease', 'false', 'none', 120, 'normal', 'paper', 'none', 0, 11600, 0, 'true', 'C4Item', 'none', '2');

COMMIT;

INSERT INTO `etcitem` (`item_id`, `name`, `crystallizable`, `item_type`, `weight`, `consume_type`, `material`, `crystal_type`, `durability`, `price`, `crystal_count`, `sellable`, `oldname`, `oldtype`, `drop_category`) VALUES 
 (7838, 'Santa''s Hat', 'false', 'none', 10, 'normal', 'paper', 'none', 0, 0, 0, 'false', 'C4Item', 'none', '2');