DROP TABLE IF EXISTS skill_trees;
CREATE TABLE skill_trees (
  class_id int(10) unsigned NOT NULL default '0',
  skill_id int(10) unsigned NOT NULL default '0',
  level int(10) unsigned NOT NULL default '0',
  name varchar(25) NOT NULL default '',
  sp int(10) unsigned NOT NULL default '0',
  min_level int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (class_id,skill_id,level)
) TYPE=MyISAM;

-- 
-- Dumping data for table `skill_trees`
-- 

/* GLOSSARY FOR CLASS ID'S (thx Mr_Pleb_Mgoo)

HUMANS
0=Human Fighter       | 1=Human Warrior    | 2=Gladiator        | 3=Warlord          | 4=Human Knight 
5=Paladin             | 6=Dark Avenger     | 7=Rogue            | 8=Treasure Hunter  | 9=Hawkeye      
10=Human Mage         | 11=Human Wizard    | 12=Sorcerer        | 13=Necromancer     | 14=Warlock
15=Cleric             | 16=Bishop          | 17=Prophet 

ELVES 
18=Elven Fighter      | 19=Elven Knight    | 20=Temple Knight   | 21=Swordsinger     | 22=Elven Scout      
23=Plainswalker       | 24=Silver Ranger   | 25=Elven Mage      | 26=Elven Wizard    | 27=Spellsinger 
28=Elemental Summoner | 29=Elven Oracle    | 30=Elven Elder 

DARK ELVES
31=Dark Elven Fighter | 32=Assassin        | 33=Bladedancer     | 34=Shillien Knight | 35=Assassin 
36=Abyss Walker       | 37=Phantom Ranger  | 38=Dark Elven Mage | 39=Dark Wizard     | 40=Spellhowler 
41=Phantom Summoner   | 42=Shillien Oracle | 43=Shillien Elder 

ORCS 
44=Orc Fighter        | 45=Orc Raider      | 46=Destroyer       | 47=Monk            | 48=Tyrant 
49=Orc Mage           | 50=Orc Shaman      | 51=Overlord        | 52=Warcryer 

DWARVES 
53=Dwarven Fighter    | 54=Scavenger       | 55=Bounty Hunter   | 56=Artisan         |57=Warsmith

HUMANS 3rd Professions
89=Dread Nought       | 88=Duelist         | 90=Phoenix Knight  | 91=Hell Knight     |93=Adventurer
92=Sagittarius        | 94=Archmage        | 95=Soul Traker     | 96=Arcane Lord     |97=Cardinal
98=Hierophant

ELVES 3rd Professions
99=Evas Templar      | 100=Sword Muse      | 101=Wind Rider     | 102=Moonlight Sentinel
103=Mystic Muse      | 104=Elemental Master                     | 105=Evas Saint

DARK ELVES 3rd Professions
106=Shillien Templar | 107=Spectral Dancer | 108=Ghost Hunter   | 109=Ghost Sentinel
110=Storm Screamer   | 111=Spectral Master | 112=Shillien Saint

ORCS 3rd Professions
113=Titan            | 114=Grand Khauatari
115=Dominator        | 116=Doomcryer

DWARVES 3rd Professions
117=Fortune Seeker   | 118=Maestro */

INSERT INTO skill_trees VALUES (0,3,1,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (0,3,2,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (0,3,3,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (0,3,4,'Power Strike',370,10);
INSERT INTO skill_trees VALUES (0,3,5,'Power Strike',370,10);
INSERT INTO skill_trees VALUES (0,3,6,'Power Strike',370,10);
INSERT INTO skill_trees VALUES (0,3,7,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (0,3,8,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (0,3,9,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (0,16,1,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (0,16,2,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (0,16,3,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (0,16,4,'Mortal Blow',370,10);
INSERT INTO skill_trees VALUES (0,16,5,'Mortal Blow',370,10);
INSERT INTO skill_trees VALUES (0,16,6,'Mortal Blow',370,10);
INSERT INTO skill_trees VALUES (0,16,7,'Mortal Blow',1300,15);
INSERT INTO skill_trees VALUES (0,16,8,'Mortal Blow',1300,15);
INSERT INTO skill_trees VALUES (0,16,9,'Mortal Blow',1300,15);
INSERT INTO skill_trees VALUES (0,56,1,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (0,56,2,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (0,56,3,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (0,56,4,'Power Shot',370,10);
INSERT INTO skill_trees VALUES (0,56,5,'Power Shot',370,10);
INSERT INTO skill_trees VALUES (0,56,6,'Power Shot',370,10);
INSERT INTO skill_trees VALUES (0,56,7,'Power Shot',1300,15);
INSERT INTO skill_trees VALUES (0,56,8,'Power Shot',1300,15);
INSERT INTO skill_trees VALUES (0,56,9,'Power Shot',1300,15);
INSERT INTO skill_trees VALUES (0,141,1,'Weapon Mastery',160,5);
INSERT INTO skill_trees VALUES (0,141,2,'Weapon Mastery',1100,10);
INSERT INTO skill_trees VALUES (0,141,3,'Weapon Mastery',4000,15);
INSERT INTO skill_trees VALUES (0,142,1,'Armor Mastery',160,5);
INSERT INTO skill_trees VALUES (0,142,2,'Armor Mastery',550,10);
INSERT INTO skill_trees VALUES (0,142,3,'Armor Mastery',550,10);
INSERT INTO skill_trees VALUES (0,142,4,'Armor Mastery',2000,15);
INSERT INTO skill_trees VALUES (0,142,5,'Armor Mastery',2000,15);
INSERT INTO skill_trees VALUES (0,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (0,226,1,'Relax',160,5);
INSERT INTO skill_trees VALUES (1,75,1,'Detect Insect Weakness',18000,32);
INSERT INTO skill_trees VALUES (1,78,1,'War Cry',3700,20);
INSERT INTO skill_trees VALUES (1,100,1,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (1,100,2,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (1,100,3,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (1,100,4,'Stun Attack',2100,24);
INSERT INTO skill_trees VALUES (1,100,5,'Stun Attack',2100,24);
INSERT INTO skill_trees VALUES (1,100,6,'Stun Attack',2100,24);
INSERT INTO skill_trees VALUES (1,100,7,'Stun Attack',4000,28);
INSERT INTO skill_trees VALUES (1,100,8,'Stun Attack',4000,28);
INSERT INTO skill_trees VALUES (1,100,9,'Stun Attack',4000,28);
INSERT INTO skill_trees VALUES (1,100,10,'Stun Attack',6100,32);
INSERT INTO skill_trees VALUES (1,100,11,'Stun Attack',6100,32);
INSERT INTO skill_trees VALUES (1,100,12,'Stun Attack',6100,32);
INSERT INTO skill_trees VALUES (1,100,13,'Stun Attack',10000,36);
INSERT INTO skill_trees VALUES (1,100,14,'Stun Attack',10000,36);
INSERT INTO skill_trees VALUES (1,100,15,'Stun Attack',10000,36);
INSERT INTO skill_trees VALUES (1,121,1,'Battle Roar',12000,28);
INSERT INTO skill_trees VALUES (1,148,1,'Vital Force',6400,24);
INSERT INTO skill_trees VALUES (1,148,2,'Vital Force',18000,32);
INSERT INTO skill_trees VALUES (1,211,1,'Boost HP',3700,20);
INSERT INTO skill_trees VALUES (1,211,2,'Boost HP',12000,28);
INSERT INTO skill_trees VALUES (1,211,3,'Boost HP',31000,36);
INSERT INTO skill_trees VALUES (1,212,1,'Fast HP Recovery',6400,24);
INSERT INTO skill_trees VALUES (1,212,2,'Fast HP Recovery',18000,32);
INSERT INTO skill_trees VALUES (1,216,1,'Polearm Mastery',3700,20);
INSERT INTO skill_trees VALUES (1,216,2,'Polearm Mastery',6400,24);
INSERT INTO skill_trees VALUES (1,216,3,'Polearm Mastery',6000,28);
INSERT INTO skill_trees VALUES (1,216,4,'Polearm Mastery',6000,28);
INSERT INTO skill_trees VALUES (1,216,5,'Polearm Mastery',9100,32);
INSERT INTO skill_trees VALUES (1,216,6,'Polearm Mastery',9100,32);
INSERT INTO skill_trees VALUES (1,216,7,'Polearm Mastery',16000,36);
INSERT INTO skill_trees VALUES (1,216,8,'Polearm Mastery',16000,36);
INSERT INTO skill_trees VALUES (1,227,1,'Light Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (1,227,2,'Light Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (1,227,3,'Light Armor Mastery',3200,24);
INSERT INTO skill_trees VALUES (1,227,4,'Light Armor Mastery',3200,24);
INSERT INTO skill_trees VALUES (1,227,5,'Light Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,227,6,'Light Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,227,7,'Light Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,227,8,'Light Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,227,9,'Light Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,227,10,'Light Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,227,11,'Light Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,227,12,'Light Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,227,13,'Light Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,231,1,'Heavy Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (1,231,2,'Heavy Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (1,231,3,'Heavy Armor Mastery',3200,24);
INSERT INTO skill_trees VALUES (1,231,4,'Heavy Armor Mastery',3200,24);
INSERT INTO skill_trees VALUES (1,231,5,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,231,6,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,231,7,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (1,231,8,'Heavy Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,231,9,'Heavy Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,231,10,'Heavy Armor Mastery',6100,32);
INSERT INTO skill_trees VALUES (1,231,11,'Heavy Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,231,12,'Heavy Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,231,13,'Heavy Armor Mastery',10000,36);
INSERT INTO skill_trees VALUES (1,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (1,245,1,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (1,245,2,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (1,245,3,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (1,245,4,'Wild Sweep',2100,24);
INSERT INTO skill_trees VALUES (1,245,5,'Wild Sweep',2100,24);
INSERT INTO skill_trees VALUES (1,245,6,'Wild Sweep',2100,24);
INSERT INTO skill_trees VALUES (1,245,7,'Wild Sweep',4000,28);
INSERT INTO skill_trees VALUES (1,245,8,'Wild Sweep',4000,28);
INSERT INTO skill_trees VALUES (1,245,9,'Wild Sweep',4000,28);
INSERT INTO skill_trees VALUES (1,245,10,'Wild Sweep',6100,32);
INSERT INTO skill_trees VALUES (1,245,11,'Wild Sweep',6100,32);
INSERT INTO skill_trees VALUES (1,245,12,'Wild Sweep',6100,32);
INSERT INTO skill_trees VALUES (1,245,13,'Wild Sweep',10000,36);
INSERT INTO skill_trees VALUES (1,245,14,'Wild Sweep',10000,36);
INSERT INTO skill_trees VALUES (1,245,15,'Wild Sweep',10000,36);
INSERT INTO skill_trees VALUES (1,255,1,'Power Smash',1200,20);
INSERT INTO skill_trees VALUES (1,255,2,'Power Smash',1200,20);
INSERT INTO skill_trees VALUES (1,255,3,'Power Smash',1200,20);
INSERT INTO skill_trees VALUES (1,255,4,'Power Smash',2100,24);
INSERT INTO skill_trees VALUES (1,255,5,'Power Smash',2100,24);
INSERT INTO skill_trees VALUES (1,255,6,'Power Smash',2100,24);
INSERT INTO skill_trees VALUES (1,255,7,'Power Smash',4000,28);
INSERT INTO skill_trees VALUES (1,255,8,'Power Smash',4000,28);
INSERT INTO skill_trees VALUES (1,255,9,'Power Smash',4000,28);
INSERT INTO skill_trees VALUES (1,255,10,'Power Smash',6100,32);
INSERT INTO skill_trees VALUES (1,255,11,'Power Smash',6100,32);
INSERT INTO skill_trees VALUES (1,255,12,'Power Smash',6100,32);
INSERT INTO skill_trees VALUES (1,255,13,'Power Smash',10000,36);
INSERT INTO skill_trees VALUES (1,255,14,'Power Smash',10000,36);
INSERT INTO skill_trees VALUES (1,255,15,'Power Smash',10000,36);
INSERT INTO skill_trees VALUES (1,256,1,'Accuracy',6400,24);
INSERT INTO skill_trees VALUES (1,257,1,'Sword Blunt Mastery',3700,20);
INSERT INTO skill_trees VALUES (1,257,2,'Sword Blunt Mastery',6400,24);
INSERT INTO skill_trees VALUES (1,257,3,'Sword Blunt Mastery',6000,28);
INSERT INTO skill_trees VALUES (1,257,4,'Sword Blunt Mastery',6000,28);
INSERT INTO skill_trees VALUES (1,257,5,'Sword Blunt Mastery',9100,32);
INSERT INTO skill_trees VALUES (1,257,6,'Sword Blunt Mastery',9100,32);
INSERT INTO skill_trees VALUES (1,257,7,'Sword Blunt Mastery',16000,36);
INSERT INTO skill_trees VALUES (1,257,8,'Sword Blunt Mastery',16000,36);
INSERT INTO skill_trees VALUES (1,287,1,'Lionheart',31000,36);
INSERT INTO skill_trees VALUES (1,312,1,'Vicious Stance',3700,20);
INSERT INTO skill_trees VALUES (1,312,2,'Vicious Stance',6400,24);
INSERT INTO skill_trees VALUES (1,312,3,'Vicious Stance',12000,28);
INSERT INTO skill_trees VALUES (1,312,4,'Vicious Stance',18000,32);
INSERT INTO skill_trees VALUES (1,312,5,'Vicious Stance',31000,36);
INSERT INTO skill_trees VALUES (2,1,1,'Triple Slash',11000,40);
INSERT INTO skill_trees VALUES (2,1,2,'Triple Slash',11000,40);
INSERT INTO skill_trees VALUES (2,1,3,'Triple Slash',11000,40);
INSERT INTO skill_trees VALUES (2,1,4,'Triple Slash',12000,43);
INSERT INTO skill_trees VALUES (2,1,5,'Triple Slash',12000,43);
INSERT INTO skill_trees VALUES (2,1,6,'Triple Slash',12000,43);
INSERT INTO skill_trees VALUES (2,1,7,'Triple Slash',14000,46);
INSERT INTO skill_trees VALUES (2,1,8,'Triple Slash',14000,46);
INSERT INTO skill_trees VALUES (2,1,9,'Triple Slash',14000,46);
INSERT INTO skill_trees VALUES (2,1,10,'Triple Slash',22000,49);
INSERT INTO skill_trees VALUES (2,1,11,'Triple Slash',22000,49);
INSERT INTO skill_trees VALUES (2,1,12,'Triple Slash',22000,49);
INSERT INTO skill_trees VALUES (2,1,13,'Triple Slash',33000,52);
INSERT INTO skill_trees VALUES (2,1,14,'Triple Slash',33000,52);
INSERT INTO skill_trees VALUES (2,1,15,'Triple Slash',33000,52);
INSERT INTO skill_trees VALUES (2,1,16,'Triple Slash',49000,55);
INSERT INTO skill_trees VALUES (2,1,17,'Triple Slash',49000,55);
INSERT INTO skill_trees VALUES (2,1,18,'Triple Slash',49000,55);
INSERT INTO skill_trees VALUES (2,1,19,'Triple Slash',50000,58);
INSERT INTO skill_trees VALUES (2,1,20,'Triple Slash',50000,58);
INSERT INTO skill_trees VALUES (2,1,21,'Triple Slash',50000,58);
INSERT INTO skill_trees VALUES (2,1,22,'Triple Slash',97000,60);
INSERT INTO skill_trees VALUES (2,1,23,'Triple Slash',97000,60);
INSERT INTO skill_trees VALUES (2,1,24,'Triple Slash',130000,62);
INSERT INTO skill_trees VALUES (2,1,25,'Triple Slash',130000,62);
INSERT INTO skill_trees VALUES (2,1,26,'Triple Slash',160000,64);
INSERT INTO skill_trees VALUES (2,1,27,'Triple Slash',160000,64);
INSERT INTO skill_trees VALUES (2,1,28,'Triple Slash',230000,66);
INSERT INTO skill_trees VALUES (2,1,29,'Triple Slash',230000,66);
INSERT INTO skill_trees VALUES (2,1,30,'Triple Slash',260000,68);
INSERT INTO skill_trees VALUES (2,1,31,'Triple Slash',260000,68);
INSERT INTO skill_trees VALUES (2,1,32,'Triple Slash',310000,70);
INSERT INTO skill_trees VALUES (2,1,33,'Triple Slash',310000,70);
INSERT INTO skill_trees VALUES (2,1,34,'Triple Slash',500000,72);
INSERT INTO skill_trees VALUES (2,1,35,'Triple Slash',500000,72);
INSERT INTO skill_trees VALUES (2,1,36,'Triple Slash',770000,74);
INSERT INTO skill_trees VALUES (2,1,37,'Triple Slash',770000,74);
INSERT INTO skill_trees VALUES (2,5,1,'Double Sonic Slash',14000,46);
INSERT INTO skill_trees VALUES (2,5,2,'Double Sonic Slash',14000,46);
INSERT INTO skill_trees VALUES (2,5,3,'Double Sonic Slash',14000,46);
INSERT INTO skill_trees VALUES (2,5,4,'Double Sonic Slash',22000,49);
INSERT INTO skill_trees VALUES (2,5,5,'Double Sonic Slash',22000,49);
INSERT INTO skill_trees VALUES (2,5,6,'Double Sonic Slash',22000,49);
INSERT INTO skill_trees VALUES (2,5,7,'Double Sonic Slash',33000,52);
INSERT INTO skill_trees VALUES (2,5,8,'Double Sonic Slash',33000,52);
INSERT INTO skill_trees VALUES (2,5,9,'Double Sonic Slash',33000,52);
INSERT INTO skill_trees VALUES (2,5,10,'Double Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,5,11,'Double Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,5,12,'Double Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,5,13,'Double Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,5,14,'Double Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,5,15,'Double Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,5,16,'Double Sonic Slash',97000,60);
INSERT INTO skill_trees VALUES (2,5,17,'Double Sonic Slash',97000,60);
INSERT INTO skill_trees VALUES (2,5,18,'Double Sonic Slash',130000,62);
INSERT INTO skill_trees VALUES (2,5,19,'Double Sonic Slash',130000,62);
INSERT INTO skill_trees VALUES (2,5,20,'Double Sonic Slash',160000,64);
INSERT INTO skill_trees VALUES (2,5,21,'Double Sonic Slash',160000,64);
INSERT INTO skill_trees VALUES (2,5,22,'Double Sonic Slash',230000,66);
INSERT INTO skill_trees VALUES (2,5,23,'Double Sonic Slash',230000,66);
INSERT INTO skill_trees VALUES (2,5,24,'Double Sonic Slash',260000,68);
INSERT INTO skill_trees VALUES (2,5,25,'Double Sonic Slash',260000,68);
INSERT INTO skill_trees VALUES (2,5,26,'Double Sonic Slash',310000,70);
INSERT INTO skill_trees VALUES (2,5,27,'Double Sonic Slash',310000,70);
INSERT INTO skill_trees VALUES (2,5,28,'Double Sonic Slash',500000,72);
INSERT INTO skill_trees VALUES (2,5,29,'Double Sonic Slash',500000,72);
INSERT INTO skill_trees VALUES (2,5,30,'Double Sonic Slash',770000,74);
INSERT INTO skill_trees VALUES (2,5,31,'Double Sonic Slash',770000,74);
INSERT INTO skill_trees VALUES (2,6,1,'Sonic Blaster',11000,40);
INSERT INTO skill_trees VALUES (2,6,2,'Sonic Blaster',11000,40);
INSERT INTO skill_trees VALUES (2,6,3,'Sonic Blaster',11000,40);
INSERT INTO skill_trees VALUES (2,6,4,'Sonic Blaster',12000,43);
INSERT INTO skill_trees VALUES (2,6,5,'Sonic Blaster',12000,43);
INSERT INTO skill_trees VALUES (2,6,6,'Sonic Blaster',12000,43);
INSERT INTO skill_trees VALUES (2,6,7,'Sonic Blaster',14000,46);
INSERT INTO skill_trees VALUES (2,6,8,'Sonic Blaster',14000,46);
INSERT INTO skill_trees VALUES (2,6,9,'Sonic Blaster',14000,46);
INSERT INTO skill_trees VALUES (2,6,10,'Sonic Blaster',22000,49);
INSERT INTO skill_trees VALUES (2,6,11,'Sonic Blaster',22000,49);
INSERT INTO skill_trees VALUES (2,6,12,'Sonic Blaster',22000,49);
INSERT INTO skill_trees VALUES (2,6,13,'Sonic Blaster',33000,52);
INSERT INTO skill_trees VALUES (2,6,14,'Sonic Blaster',33000,52);
INSERT INTO skill_trees VALUES (2,6,15,'Sonic Blaster',33000,52);
INSERT INTO skill_trees VALUES (2,6,16,'Sonic Blaster',49000,55);
INSERT INTO skill_trees VALUES (2,6,17,'Sonic Blaster',49000,55);
INSERT INTO skill_trees VALUES (2,6,18,'Sonic Blaster',49000,55);
INSERT INTO skill_trees VALUES (2,6,19,'Sonic Blaster',50000,58);
INSERT INTO skill_trees VALUES (2,6,20,'Sonic Blaster',50000,58);
INSERT INTO skill_trees VALUES (2,6,21,'Sonic Blaster',50000,58);
INSERT INTO skill_trees VALUES (2,6,22,'Sonic Blaster',97000,60);
INSERT INTO skill_trees VALUES (2,6,23,'Sonic Blaster',97000,60);
INSERT INTO skill_trees VALUES (2,6,24,'Sonic Blaster',130000,62);
INSERT INTO skill_trees VALUES (2,6,25,'Sonic Blaster',130000,62);
INSERT INTO skill_trees VALUES (2,6,26,'Sonic Blaster',160000,64);
INSERT INTO skill_trees VALUES (2,6,27,'Sonic Blaster',160000,64);
INSERT INTO skill_trees VALUES (2,6,28,'Sonic Blaster',230000,66);
INSERT INTO skill_trees VALUES (2,6,29,'Sonic Blaster',230000,66);
INSERT INTO skill_trees VALUES (2,6,30,'Sonic Blaster',260000,68);
INSERT INTO skill_trees VALUES (2,6,31,'Sonic Blaster',260000,68);
INSERT INTO skill_trees VALUES (2,6,32,'Sonic Blaster',310000,70);
INSERT INTO skill_trees VALUES (2,6,33,'Sonic Blaster',310000,70);
INSERT INTO skill_trees VALUES (2,6,34,'Sonic Blaster',500000,72);
INSERT INTO skill_trees VALUES (2,6,35,'Sonic Blaster',500000,72);
INSERT INTO skill_trees VALUES (2,6,36,'Sonic Blaster',770000,74);
INSERT INTO skill_trees VALUES (2,6,37,'Sonic Blaster',770000,74);
INSERT INTO skill_trees VALUES (2,7,1,'Sonic Storm',22000,49);
INSERT INTO skill_trees VALUES (2,7,2,'Sonic Storm',22000,49);
INSERT INTO skill_trees VALUES (2,7,3,'Sonic Storm',22000,49);
INSERT INTO skill_trees VALUES (2,7,4,'Sonic Storm',33000,52);
INSERT INTO skill_trees VALUES (2,7,5,'Sonic Storm',33000,52);
INSERT INTO skill_trees VALUES (2,7,6,'Sonic Storm',33000,52);
INSERT INTO skill_trees VALUES (2,7,7,'Sonic Storm',49000,55);
INSERT INTO skill_trees VALUES (2,7,8,'Sonic Storm',49000,55);
INSERT INTO skill_trees VALUES (2,7,9,'Sonic Storm',49000,55);
INSERT INTO skill_trees VALUES (2,7,10,'Sonic Storm',50000,58);
INSERT INTO skill_trees VALUES (2,7,11,'Sonic Storm',50000,58);
INSERT INTO skill_trees VALUES (2,7,12,'Sonic Storm',50000,58);
INSERT INTO skill_trees VALUES (2,7,13,'Sonic Storm',97000,60);
INSERT INTO skill_trees VALUES (2,7,14,'Sonic Storm',97000,60);
INSERT INTO skill_trees VALUES (2,7,15,'Sonic Storm',130000,62);
INSERT INTO skill_trees VALUES (2,7,16,'Sonic Storm',130000,62);
INSERT INTO skill_trees VALUES (2,7,17,'Sonic Storm',160000,64);
INSERT INTO skill_trees VALUES (2,7,18,'Sonic Storm',160000,64);
INSERT INTO skill_trees VALUES (2,7,19,'Sonic Storm',230000,66);
INSERT INTO skill_trees VALUES (2,7,20,'Sonic Storm',230000,66);
INSERT INTO skill_trees VALUES (2,7,21,'Sonic Storm',260000,68);
INSERT INTO skill_trees VALUES (2,7,22,'Sonic Storm',260000,68);
INSERT INTO skill_trees VALUES (2,7,23,'Sonic Storm',310000,70);
INSERT INTO skill_trees VALUES (2,7,24,'Sonic Storm',310000,70);
INSERT INTO skill_trees VALUES (2,7,25,'Sonic Storm',500000,72);
INSERT INTO skill_trees VALUES (2,7,26,'Sonic Storm',500000,72);
INSERT INTO skill_trees VALUES (2,7,27,'Sonic Storm',770000,74);
INSERT INTO skill_trees VALUES (2,7,28,'Sonic Storm',770000,74);
INSERT INTO skill_trees VALUES (2,8,1,'Focus Sonic',33000,40);
INSERT INTO skill_trees VALUES (2,8,2,'Focus Sonic',35000,43);
INSERT INTO skill_trees VALUES (2,8,3,'Focus Sonic',65000,49);
INSERT INTO skill_trees VALUES (2,8,4,'Focus Sonic',150000,55);
INSERT INTO skill_trees VALUES (2,8,5,'Focus Sonic',190000,60);
INSERT INTO skill_trees VALUES (2,8,6,'Focus Sonic',470000,66);
INSERT INTO skill_trees VALUES (2,8,7,'Focus Sonic',620000,70);
INSERT INTO skill_trees VALUES (2,9,1,'Sonic Buster',12000,43);
INSERT INTO skill_trees VALUES (2,9,2,'Sonic Buster',12000,43);
INSERT INTO skill_trees VALUES (2,9,3,'Sonic Buster',12000,43);
INSERT INTO skill_trees VALUES (2,9,4,'Sonic Buster',14000,46);
INSERT INTO skill_trees VALUES (2,9,5,'Sonic Buster',14000,46);
INSERT INTO skill_trees VALUES (2,9,6,'Sonic Buster',14000,46);
INSERT INTO skill_trees VALUES (2,9,7,'Sonic Buster',22000,49);
INSERT INTO skill_trees VALUES (2,9,8,'Sonic Buster',22000,49);
INSERT INTO skill_trees VALUES (2,9,9,'Sonic Buster',22000,49);
INSERT INTO skill_trees VALUES (2,9,10,'Sonic Buster',33000,52);
INSERT INTO skill_trees VALUES (2,9,11,'Sonic Buster',33000,52);
INSERT INTO skill_trees VALUES (2,9,12,'Sonic Buster',33000,52);
INSERT INTO skill_trees VALUES (2,9,13,'Sonic Buster',49000,55);
INSERT INTO skill_trees VALUES (2,9,14,'Sonic Buster',49000,55);
INSERT INTO skill_trees VALUES (2,9,15,'Sonic Buster',49000,55);
INSERT INTO skill_trees VALUES (2,9,16,'Sonic Buster',50000,58);
INSERT INTO skill_trees VALUES (2,9,17,'Sonic Buster',50000,58);
INSERT INTO skill_trees VALUES (2,9,18,'Sonic Buster',50000,58);
INSERT INTO skill_trees VALUES (2,9,19,'Sonic Buster',97000,60);
INSERT INTO skill_trees VALUES (2,9,20,'Sonic Buster',97000,60);
INSERT INTO skill_trees VALUES (2,9,21,'Sonic Buster',130000,62);
INSERT INTO skill_trees VALUES (2,9,22,'Sonic Buster',130000,62);
INSERT INTO skill_trees VALUES (2,9,23,'Sonic Buster',160000,64);
INSERT INTO skill_trees VALUES (2,9,24,'Sonic Buster',160000,64);
INSERT INTO skill_trees VALUES (2,9,25,'Sonic Buster',230000,66);
INSERT INTO skill_trees VALUES (2,9,26,'Sonic Buster',230000,66);
INSERT INTO skill_trees VALUES (2,9,27,'Sonic Buster',260000,68);
INSERT INTO skill_trees VALUES (2,9,28,'Sonic Buster',260000,68);
INSERT INTO skill_trees VALUES (2,9,29,'Sonic Buster',310000,70);
INSERT INTO skill_trees VALUES (2,9,30,'Sonic Buster',310000,70);
INSERT INTO skill_trees VALUES (2,9,31,'Sonic Buster',500000,72);
INSERT INTO skill_trees VALUES (2,9,32,'Sonic Buster',500000,72);
INSERT INTO skill_trees VALUES (2,9,33,'Sonic Buster',770000,74);
INSERT INTO skill_trees VALUES (2,9,34,'Sonic Buster',770000,74);
INSERT INTO skill_trees VALUES (2,78,2,'War Cry',35000,43);
INSERT INTO skill_trees VALUES (2,80,1,'Detect Monster Weakness',100000,52);
INSERT INTO skill_trees VALUES (2,87,1,'Detect Animal Weakness',33000,40);
INSERT INTO skill_trees VALUES (2,88,1,'Detect  Dragon Weakness',150000,58);
INSERT INTO skill_trees VALUES (2,104,1,'Detect Plant Weakness',43000,46);
INSERT INTO skill_trees VALUES (2,144,1,'Dual Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,144,2,'Dual Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,144,3,'Dual Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,144,4,'Dual Weapon Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,144,5,'Dual Weapon Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,144,6,'Dual Weapon Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,144,7,'Dual Weapon Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,144,8,'Dual Weapon Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,144,9,'Dual Weapon Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,144,10,'Dual Weapon Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,144,11,'Dual Weapon Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,144,12,'Dual Weapon Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,144,13,'Dual Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,144,14,'Dual Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,144,15,'Dual Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,144,16,'Dual Weapon Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,144,17,'Dual Weapon Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,144,18,'Dual Weapon Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,144,19,'Dual Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,144,20,'Dual Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,144,21,'Dual Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,144,22,'Dual Weapon Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,144,23,'Dual Weapon Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,144,24,'Dual Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,144,25,'Dual Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,144,26,'Dual Weapon Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,144,27,'Dual Weapon Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,144,28,'Dual Weapon Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,144,29,'Dual Weapon Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,144,30,'Dual Weapon Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,144,31,'Dual Weapon Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,144,32,'Dual Weapon Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,144,33,'Dual Weapon Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,144,34,'Dual Weapon Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,144,35,'Dual Weapon Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,144,36,'Dual Weapon Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,144,37,'Dual Weapon Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,190,1,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (2,190,2,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (2,190,3,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (2,190,4,'Fatal Strike',12000,43);
INSERT INTO skill_trees VALUES (2,190,5,'Fatal Strike',12000,43);
INSERT INTO skill_trees VALUES (2,190,6,'Fatal Strike',12000,43);
INSERT INTO skill_trees VALUES (2,190,7,'Fatal Strike',14000,46);
INSERT INTO skill_trees VALUES (2,190,8,'Fatal Strike',14000,46);
INSERT INTO skill_trees VALUES (2,190,9,'Fatal Strike',14000,46);
INSERT INTO skill_trees VALUES (2,190,10,'Fatal Strike',22000,49);
INSERT INTO skill_trees VALUES (2,190,11,'Fatal Strike',22000,49);
INSERT INTO skill_trees VALUES (2,190,12,'Fatal Strike',22000,49);
INSERT INTO skill_trees VALUES (2,190,13,'Fatal Strike',33000,52);
INSERT INTO skill_trees VALUES (2,190,14,'Fatal Strike',33000,52);
INSERT INTO skill_trees VALUES (2,190,15,'Fatal Strike',33000,52);
INSERT INTO skill_trees VALUES (2,190,16,'Fatal Strike',49000,55);
INSERT INTO skill_trees VALUES (2,190,17,'Fatal Strike',49000,55);
INSERT INTO skill_trees VALUES (2,190,18,'Fatal Strike',49000,55);
INSERT INTO skill_trees VALUES (2,190,19,'Fatal Strike',50000,58);
INSERT INTO skill_trees VALUES (2,190,20,'Fatal Strike',50000,58);
INSERT INTO skill_trees VALUES (2,190,21,'Fatal Strike',50000,58);
INSERT INTO skill_trees VALUES (2,190,22,'Fatal Strike',97000,60);
INSERT INTO skill_trees VALUES (2,190,23,'Fatal Strike',97000,60);
INSERT INTO skill_trees VALUES (2,190,24,'Fatal Strike',130000,62);
INSERT INTO skill_trees VALUES (2,190,25,'Fatal Strike',130000,62);
INSERT INTO skill_trees VALUES (2,190,26,'Fatal Strike',160000,64);
INSERT INTO skill_trees VALUES (2,190,27,'Fatal Strike',160000,64);
INSERT INTO skill_trees VALUES (2,190,28,'Fatal Strike',230000,66);
INSERT INTO skill_trees VALUES (2,190,29,'Fatal Strike',230000,66);
INSERT INTO skill_trees VALUES (2,190,30,'Fatal Strike',260000,68);
INSERT INTO skill_trees VALUES (2,190,31,'Fatal Strike',260000,68);
INSERT INTO skill_trees VALUES (2,190,32,'Fatal Strike',310000,70);
INSERT INTO skill_trees VALUES (2,190,33,'Fatal Strike',310000,70);
INSERT INTO skill_trees VALUES (2,190,34,'Fatal Strike',500000,72);
INSERT INTO skill_trees VALUES (2,190,35,'Fatal Strike',500000,72);
INSERT INTO skill_trees VALUES (2,190,36,'Fatal Strike',770000,74);
INSERT INTO skill_trees VALUES (2,190,37,'Fatal Strike',770000,74);
INSERT INTO skill_trees VALUES (2,212,3,'Fast HP Recovery',33000,40);
INSERT INTO skill_trees VALUES (2,212,4,'Fast HP Recovery',43000,46);
INSERT INTO skill_trees VALUES (2,212,5,'Fast HP Recovery',100000,52);
INSERT INTO skill_trees VALUES (2,212,6,'Fast HP Recovery',150000,58);
INSERT INTO skill_trees VALUES (2,212,7,'Fast HP Recovery',520000,68);
INSERT INTO skill_trees VALUES (2,212,8,'Fast HP Recovery',1500000,74);
INSERT INTO skill_trees VALUES (2,227,14,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,227,15,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,227,16,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,227,17,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,227,18,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,227,19,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,227,20,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,227,21,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,227,22,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,227,23,'Light Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,227,24,'Light Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,227,25,'Light Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,227,26,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,227,27,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,227,28,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,227,29,'Light Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,227,30,'Light Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,227,31,'Light Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,227,32,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,227,33,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,227,34,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,227,35,'Light Armor Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,227,36,'Light Armor Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,227,37,'Light Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,227,38,'Light Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,227,39,'Light Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,227,40,'Light Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,227,41,'Light Armor Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,227,42,'Light Armor Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,227,43,'Light Armor Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,227,44,'Light Armor Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,227,45,'Light Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,227,46,'Light Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,227,47,'Light Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,227,48,'Light Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,227,49,'Light Armor Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,227,50,'Light Armor Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,231,14,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,231,15,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,231,16,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,231,17,'Heavy Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,231,18,'Heavy Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,231,19,'Heavy Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,231,20,'Heavy Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,231,21,'Heavy Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,231,22,'Heavy Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,231,23,'Heavy Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,231,24,'Heavy Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,231,25,'Heavy Armor Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,231,26,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,231,27,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,231,28,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,231,29,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,231,30,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,231,31,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,231,32,'Heavy Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,231,33,'Heavy Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,231,34,'Heavy Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,231,35,'Heavy Armor Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,231,36,'Heavy Armor Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,231,37,'Heavy Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,231,38,'Heavy Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,231,39,'Heavy Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,231,40,'Heavy Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,231,41,'Heavy Armor Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,231,42,'Heavy Armor Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,231,43,'Heavy Armor Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,231,44,'Heavy Armor Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,231,45,'Heavy Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,231,46,'Heavy Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,231,47,'Heavy Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,231,48,'Heavy Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,231,49,'Heavy Armor Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,231,50,'Heavy Armor Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (2,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (2,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (2,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (2,257,9,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,257,10,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,257,11,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (2,257,12,'Sword Blunt Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,257,13,'Sword Blunt Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,257,14,'Sword Blunt Mastery',12000,43);
INSERT INTO skill_trees VALUES (2,257,15,'Sword Blunt Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,257,16,'Sword Blunt Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,257,17,'Sword Blunt Mastery',14000,46);
INSERT INTO skill_trees VALUES (2,257,18,'Sword Blunt Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,257,19,'Sword Blunt Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,257,20,'Sword Blunt Mastery',22000,49);
INSERT INTO skill_trees VALUES (2,257,21,'Sword Blunt Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,257,22,'Sword Blunt Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,257,23,'Sword Blunt Mastery',33000,52);
INSERT INTO skill_trees VALUES (2,257,24,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,257,25,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,257,26,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (2,257,27,'Sword Blunt Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,257,28,'Sword Blunt Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,257,29,'Sword Blunt Mastery',50000,58);
INSERT INTO skill_trees VALUES (2,257,30,'Sword Blunt Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,257,31,'Sword Blunt Mastery',97000,60);
INSERT INTO skill_trees VALUES (2,257,32,'Sword Blunt Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,257,33,'Sword Blunt Mastery',130000,62);
INSERT INTO skill_trees VALUES (2,257,34,'Sword Blunt Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,257,35,'Sword Blunt Mastery',160000,64);
INSERT INTO skill_trees VALUES (2,257,36,'Sword Blunt Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,257,37,'Sword Blunt Mastery',230000,66);
INSERT INTO skill_trees VALUES (2,257,38,'Sword Blunt Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,257,39,'Sword Blunt Mastery',260000,68);
INSERT INTO skill_trees VALUES (2,257,40,'Sword Blunt Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,257,41,'Sword Blunt Mastery',310000,70);
INSERT INTO skill_trees VALUES (2,257,42,'Sword Blunt Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,257,43,'Sword Blunt Mastery',500000,72);
INSERT INTO skill_trees VALUES (2,257,44,'Sword Blunt Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,257,45,'Sword Blunt Mastery',770000,74);
INSERT INTO skill_trees VALUES (2,260,1,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (2,260,2,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (2,260,3,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (2,260,4,'Hammer Crush',12000,43);
INSERT INTO skill_trees VALUES (2,260,5,'Hammer Crush',12000,43);
INSERT INTO skill_trees VALUES (2,260,6,'Hammer Crush',12000,43);
INSERT INTO skill_trees VALUES (2,260,7,'Hammer Crush',14000,46);
INSERT INTO skill_trees VALUES (2,260,8,'Hammer Crush',14000,46);
INSERT INTO skill_trees VALUES (2,260,9,'Hammer Crush',14000,46);
INSERT INTO skill_trees VALUES (2,260,10,'Hammer Crush',22000,49);
INSERT INTO skill_trees VALUES (2,260,11,'Hammer Crush',22000,49);
INSERT INTO skill_trees VALUES (2,260,12,'Hammer Crush',22000,49);
INSERT INTO skill_trees VALUES (2,260,13,'Hammer Crush',33000,52);
INSERT INTO skill_trees VALUES (2,260,14,'Hammer Crush',33000,52);
INSERT INTO skill_trees VALUES (2,260,15,'Hammer Crush',33000,52);
INSERT INTO skill_trees VALUES (2,260,16,'Hammer Crush',49000,55);
INSERT INTO skill_trees VALUES (2,260,17,'Hammer Crush',49000,55);
INSERT INTO skill_trees VALUES (2,260,18,'Hammer Crush',49000,55);
INSERT INTO skill_trees VALUES (2,260,19,'Hammer Crush',50000,58);
INSERT INTO skill_trees VALUES (2,260,20,'Hammer Crush',50000,58);
INSERT INTO skill_trees VALUES (2,260,21,'Hammer Crush',50000,58);
INSERT INTO skill_trees VALUES (2,260,22,'Hammer Crush',97000,60);
INSERT INTO skill_trees VALUES (2,260,23,'Hammer Crush',97000,60);
INSERT INTO skill_trees VALUES (2,260,24,'Hammer Crush',130000,62);
INSERT INTO skill_trees VALUES (2,260,25,'Hammer Crush',130000,62);
INSERT INTO skill_trees VALUES (2,260,26,'Hammer Crush',160000,64);
INSERT INTO skill_trees VALUES (2,260,27,'Hammer Crush',160000,64);
INSERT INTO skill_trees VALUES (2,260,28,'Hammer Crush',230000,66);
INSERT INTO skill_trees VALUES (2,260,29,'Hammer Crush',230000,66);
INSERT INTO skill_trees VALUES (2,260,30,'Hammer Crush',260000,68);
INSERT INTO skill_trees VALUES (2,260,31,'Hammer Crush',260000,68);
INSERT INTO skill_trees VALUES (2,260,32,'Hammer Crush',310000,70);
INSERT INTO skill_trees VALUES (2,260,33,'Hammer Crush',310000,70);
INSERT INTO skill_trees VALUES (2,260,34,'Hammer Crush',500000,72);
INSERT INTO skill_trees VALUES (2,260,35,'Hammer Crush',500000,72);
INSERT INTO skill_trees VALUES (2,260,36,'Hammer Crush',770000,74);
INSERT INTO skill_trees VALUES (2,260,37,'Hammer Crush',770000,74);
INSERT INTO skill_trees VALUES (2,261,1,'Triple Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,261,2,'Triple Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,261,3,'Triple Sonic Slash',49000,55);
INSERT INTO skill_trees VALUES (2,261,4,'Triple Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,261,5,'Triple Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,261,6,'Triple Sonic Slash',50000,58);
INSERT INTO skill_trees VALUES (2,261,7,'Triple Sonic Slash',97000,60);
INSERT INTO skill_trees VALUES (2,261,8,'Triple Sonic Slash',97000,60);
INSERT INTO skill_trees VALUES (2,261,9,'Triple Sonic Slash',130000,62);
INSERT INTO skill_trees VALUES (2,261,10,'Triple Sonic Slash',130000,62);
INSERT INTO skill_trees VALUES (2,261,11,'Triple Sonic Slash',160000,64);
INSERT INTO skill_trees VALUES (2,261,12,'Triple Sonic Slash',160000,64);
INSERT INTO skill_trees VALUES (2,261,13,'Triple Sonic Slash',230000,66);
INSERT INTO skill_trees VALUES (2,261,14,'Triple Sonic Slash',230000,66);
INSERT INTO skill_trees VALUES (2,261,15,'Triple Sonic Slash',260000,68);
INSERT INTO skill_trees VALUES (2,261,16,'Triple Sonic Slash',260000,68);
INSERT INTO skill_trees VALUES (2,261,17,'Triple Sonic Slash',310000,70);
INSERT INTO skill_trees VALUES (2,261,18,'Triple Sonic Slash',310000,70);
INSERT INTO skill_trees VALUES (2,261,19,'Triple Sonic Slash',500000,72);
INSERT INTO skill_trees VALUES (2,261,20,'Triple Sonic Slash',500000,72);
INSERT INTO skill_trees VALUES (2,261,21,'Triple Sonic Slash',770000,74);
INSERT INTO skill_trees VALUES (2,261,22,'Triple Sonic Slash',770000,74);
INSERT INTO skill_trees VALUES (2,287,2,'Lionheart',65000,49);
INSERT INTO skill_trees VALUES (2,287,3,'Lionheart',270000,62);
INSERT INTO skill_trees VALUES (2,290,1,'Final Frenzy',35000,43);
INSERT INTO skill_trees VALUES (2,290,2,'Final Frenzy',43000,46);
INSERT INTO skill_trees VALUES (2,290,3,'Final Frenzy',65000,49);
INSERT INTO skill_trees VALUES (2,290,4,'Final Frenzy',100000,52);
INSERT INTO skill_trees VALUES (2,290,5,'Final Frenzy',150000,55);
INSERT INTO skill_trees VALUES (2,290,6,'Final Frenzy',150000,58);
INSERT INTO skill_trees VALUES (2,290,7,'Final Frenzy',190000,60);
INSERT INTO skill_trees VALUES (2,290,8,'Final Frenzy',270000,62);
INSERT INTO skill_trees VALUES (2,290,9,'Final Frenzy',320000,64);
INSERT INTO skill_trees VALUES (2,290,10,'Final Frenzy',470000,66);
INSERT INTO skill_trees VALUES (2,290,11,'Final Frenzy',520000,68);
INSERT INTO skill_trees VALUES (2,290,12,'Final Frenzy',620000,70);
INSERT INTO skill_trees VALUES (2,290,13,'Final Frenzy',1000000,72);
INSERT INTO skill_trees VALUES (2,290,14,'Final Frenzy',1500000,74);
INSERT INTO skill_trees VALUES (2,297,1,'Duelist Spirit',320000,64);
INSERT INTO skill_trees VALUES (2,297,2,'Duelist Spirit',1000000,72);
INSERT INTO skill_trees VALUES (2,312,6,'Vicious Stance',33000,40);
INSERT INTO skill_trees VALUES (2,312,7,'Vicious Stance',35000,43);
INSERT INTO skill_trees VALUES (2,312,8,'Vicious Stance',43000,46);
INSERT INTO skill_trees VALUES (2,312,9,'Vicious Stance',65000,49);
INSERT INTO skill_trees VALUES (2,312,10,'Vicious Stance',100000,52);
INSERT INTO skill_trees VALUES (2,312,11,'Vicious Stance',150000,55);
INSERT INTO skill_trees VALUES (2,312,12,'Vicious Stance',150000,58);
INSERT INTO skill_trees VALUES (2,312,13,'Vicious Stance',190000,60);
INSERT INTO skill_trees VALUES (2,312,14,'Vicious Stance',270000,62);
INSERT INTO skill_trees VALUES (2,312,15,'Vicious Stance',320000,64);
INSERT INTO skill_trees VALUES (2,312,16,'Vicious Stance',470000,66);
INSERT INTO skill_trees VALUES (2,312,17,'Vicious Stance',520000,68);
INSERT INTO skill_trees VALUES (2,312,18,'Vicious Stance',620000,70);
INSERT INTO skill_trees VALUES (2,312,19,'Vicious Stance',1000000,72);
INSERT INTO skill_trees VALUES (2,312,20,'Vicious Stance',1500000,74);
INSERT INTO skill_trees VALUES (3,36,1,'Whirlwind',13000,40);
INSERT INTO skill_trees VALUES (3,36,2,'Whirlwind',13000,40);
INSERT INTO skill_trees VALUES (3,36,3,'Whirlwind',13000,40);
INSERT INTO skill_trees VALUES (3,36,4,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (3,36,5,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (3,36,6,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (3,36,7,'Whirlwind',18000,46);
INSERT INTO skill_trees VALUES (3,36,8,'Whirlwind',18000,46);
INSERT INTO skill_trees VALUES (3,36,9,'Whirlwind',18000,46);
INSERT INTO skill_trees VALUES (3,36,10,'Whirlwind',30000,49);
INSERT INTO skill_trees VALUES (3,36,11,'Whirlwind',30000,49);
INSERT INTO skill_trees VALUES (3,36,12,'Whirlwind',30000,49);
INSERT INTO skill_trees VALUES (3,36,13,'Whirlwind',50000,52);
INSERT INTO skill_trees VALUES (3,36,14,'Whirlwind',50000,52);
INSERT INTO skill_trees VALUES (3,36,15,'Whirlwind',50000,52);
INSERT INTO skill_trees VALUES (3,36,16,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (3,36,17,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (3,36,18,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (3,36,19,'Whirlwind',73000,58);
INSERT INTO skill_trees VALUES (3,36,20,'Whirlwind',73000,58);
INSERT INTO skill_trees VALUES (3,36,21,'Whirlwind',73000,58);
INSERT INTO skill_trees VALUES (3,36,22,'Whirlwind',160000,60);
INSERT INTO skill_trees VALUES (3,36,23,'Whirlwind',160000,60);
INSERT INTO skill_trees VALUES (3,36,24,'Whirlwind',200000,62);
INSERT INTO skill_trees VALUES (3,36,25,'Whirlwind',200000,62);
INSERT INTO skill_trees VALUES (3,36,26,'Whirlwind',270000,64);
INSERT INTO skill_trees VALUES (3,36,27,'Whirlwind',270000,64);
INSERT INTO skill_trees VALUES (3,36,28,'Whirlwind',350000,66);
INSERT INTO skill_trees VALUES (3,36,29,'Whirlwind',350000,66);
INSERT INTO skill_trees VALUES (3,36,30,'Whirlwind',390000,68);
INSERT INTO skill_trees VALUES (3,36,31,'Whirlwind',390000,68);
INSERT INTO skill_trees VALUES (3,36,32,'Whirlwind',420000,70);
INSERT INTO skill_trees VALUES (3,36,33,'Whirlwind',420000,70);
INSERT INTO skill_trees VALUES (3,36,34,'Whirlwind',830000,72);
INSERT INTO skill_trees VALUES (3,36,35,'Whirlwind',830000,72);
INSERT INTO skill_trees VALUES (3,36,36,'Whirlwind',1000000,74);
INSERT INTO skill_trees VALUES (3,36,37,'Whirlwind',1000000,74);
INSERT INTO skill_trees VALUES (3,48,1,'Thunder Storm',13000,40);
INSERT INTO skill_trees VALUES (3,48,2,'Thunder Storm',13000,40);
INSERT INTO skill_trees VALUES (3,48,3,'Thunder Storm',13000,40);
INSERT INTO skill_trees VALUES (3,48,4,'Thunder Storm',15000,43);
INSERT INTO skill_trees VALUES (3,48,5,'Thunder Storm',15000,43);
INSERT INTO skill_trees VALUES (3,48,6,'Thunder Storm',15000,43);
INSERT INTO skill_trees VALUES (3,48,7,'Thunder Storm',18000,46);
INSERT INTO skill_trees VALUES (3,48,8,'Thunder Storm',18000,46);
INSERT INTO skill_trees VALUES (3,48,9,'Thunder Storm',18000,46);
INSERT INTO skill_trees VALUES (3,48,10,'Thunder Storm',30000,49);
INSERT INTO skill_trees VALUES (3,48,11,'Thunder Storm',30000,49);
INSERT INTO skill_trees VALUES (3,48,12,'Thunder Storm',30000,49);
INSERT INTO skill_trees VALUES (3,48,13,'Thunder Storm',50000,52);
INSERT INTO skill_trees VALUES (3,48,14,'Thunder Storm',50000,52);
INSERT INTO skill_trees VALUES (3,48,15,'Thunder Storm',50000,52);
INSERT INTO skill_trees VALUES (3,48,16,'Thunder Storm',61000,55);
INSERT INTO skill_trees VALUES (3,48,17,'Thunder Storm',61000,55);
INSERT INTO skill_trees VALUES (3,48,18,'Thunder Storm',61000,55);
INSERT INTO skill_trees VALUES (3,48,19,'Thunder Storm',73000,58);
INSERT INTO skill_trees VALUES (3,48,20,'Thunder Storm',73000,58);
INSERT INTO skill_trees VALUES (3,48,21,'Thunder Storm',73000,58);
INSERT INTO skill_trees VALUES (3,48,22,'Thunder Storm',160000,60);
INSERT INTO skill_trees VALUES (3,48,23,'Thunder Storm',160000,60);
INSERT INTO skill_trees VALUES (3,48,24,'Thunder Storm',200000,62);
INSERT INTO skill_trees VALUES (3,48,25,'Thunder Storm',200000,62);
INSERT INTO skill_trees VALUES (3,48,26,'Thunder Storm',270000,64);
INSERT INTO skill_trees VALUES (3,48,27,'Thunder Storm',270000,64);
INSERT INTO skill_trees VALUES (3,48,28,'Thunder Storm',350000,66);
INSERT INTO skill_trees VALUES (3,48,29,'Thunder Storm',350000,66);
INSERT INTO skill_trees VALUES (3,48,30,'Thunder Storm',390000,68);
INSERT INTO skill_trees VALUES (3,48,31,'Thunder Storm',390000,68);
INSERT INTO skill_trees VALUES (3,48,32,'Thunder Storm',420000,70);
INSERT INTO skill_trees VALUES (3,48,33,'Thunder Storm',420000,70);
INSERT INTO skill_trees VALUES (3,48,34,'Thunder Storm',830000,72);
INSERT INTO skill_trees VALUES (3,48,35,'Thunder Storm',830000,72);
INSERT INTO skill_trees VALUES (3,48,36,'Thunder Storm',1000000,74);
INSERT INTO skill_trees VALUES (3,48,37,'Thunder Storm',1000000,74);
INSERT INTO skill_trees VALUES (3,80,1,'Detect Monster Weakness',150000,52);
INSERT INTO skill_trees VALUES (3,87,1,'Detect Animal Weakness',39000,40);
INSERT INTO skill_trees VALUES (3,88,1,'Detect  Dragon Weakness',210000,58);
INSERT INTO skill_trees VALUES (3,104,1,'Detect Plant Weakness',55000,46);
INSERT INTO skill_trees VALUES (3,116,1,'Howl',46000,43);
INSERT INTO skill_trees VALUES (3,116,2,'Howl',55000,46);
INSERT INTO skill_trees VALUES (3,116,3,'Howl',89000,49);
INSERT INTO skill_trees VALUES (3,116,4,'Howl',150000,52);
INSERT INTO skill_trees VALUES (3,116,5,'Howl',180000,55);
INSERT INTO skill_trees VALUES (3,116,6,'Howl',210000,58);
INSERT INTO skill_trees VALUES (3,116,7,'Howl',320000,60);
INSERT INTO skill_trees VALUES (3,116,8,'Howl',400000,62);
INSERT INTO skill_trees VALUES (3,116,9,'Howl',530000,64);
INSERT INTO skill_trees VALUES (3,116,10,'Howl',700000,66);
INSERT INTO skill_trees VALUES (3,116,11,'Howl',780000,68);
INSERT INTO skill_trees VALUES (3,116,12,'Howl',850000,70);
INSERT INTO skill_trees VALUES (3,116,13,'Howl',1700000,72);
INSERT INTO skill_trees VALUES (3,116,14,'Howl',2100000,74);
INSERT INTO skill_trees VALUES (3,121,2,'Battle Roar',39000,40);
INSERT INTO skill_trees VALUES (3,121,3,'Battle Roar',89000,49);
INSERT INTO skill_trees VALUES (3,121,4,'Battle Roar',210000,58);
INSERT INTO skill_trees VALUES (3,121,5,'Battle Roar',530000,64);
INSERT INTO skill_trees VALUES (3,121,6,'Battle Roar',850000,70);
INSERT INTO skill_trees VALUES (3,130,1,'Thrill Fight',55000,46);
INSERT INTO skill_trees VALUES (3,130,2,'Thrill Fight',180000,55);
INSERT INTO skill_trees VALUES (3,181,1,'Revival',180000,55);
INSERT INTO skill_trees VALUES (3,211,4,'Boost HP',46000,43);
INSERT INTO skill_trees VALUES (3,211,5,'Boost HP',89000,49);
INSERT INTO skill_trees VALUES (3,211,6,'Boost HP',180000,55);
INSERT INTO skill_trees VALUES (3,211,7,'Boost HP',400000,62);
INSERT INTO skill_trees VALUES (3,211,8,'Boost HP',700000,66);
INSERT INTO skill_trees VALUES (3,211,9,'Boost HP',850000,70);
INSERT INTO skill_trees VALUES (3,211,10,'Boost HP',2100000,74);
INSERT INTO skill_trees VALUES (3,212,3,'Fast HP Recovery',39000,40);
INSERT INTO skill_trees VALUES (3,212,4,'Fast HP Recovery',55000,46);
INSERT INTO skill_trees VALUES (3,212,5,'Fast HP Recovery',150000,52);
INSERT INTO skill_trees VALUES (3,212,6,'Fast HP Recovery',210000,58);
INSERT INTO skill_trees VALUES (3,212,7,'Fast HP Recovery',780000,68);
INSERT INTO skill_trees VALUES (3,212,8,'Fast HP Recovery',2100000,74);
INSERT INTO skill_trees VALUES (3,216,9,'Polearm Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,216,10,'Polearm Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,216,11,'Polearm Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,216,12,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,216,13,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,216,14,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,216,15,'Polearm Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,216,16,'Polearm Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,216,17,'Polearm Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,216,18,'Polearm Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,216,19,'Polearm Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,216,20,'Polearm Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,216,21,'Polearm Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,216,22,'Polearm Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,216,23,'Polearm Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,216,24,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,216,25,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,216,26,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,216,27,'Polearm Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,216,28,'Polearm Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,216,29,'Polearm Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,216,30,'Polearm Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,216,31,'Polearm Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,216,32,'Polearm Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,216,33,'Polearm Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,216,34,'Polearm Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,216,35,'Polearm Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,216,36,'Polearm Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,216,37,'Polearm Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,216,38,'Polearm Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,216,39,'Polearm Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,216,40,'Polearm Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,216,41,'Polearm Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,216,42,'Polearm Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,216,43,'Polearm Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,216,44,'Polearm Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,216,45,'Polearm Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,227,14,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,227,15,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,227,16,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,227,17,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,227,18,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,227,19,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,227,20,'Light Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,227,21,'Light Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,227,22,'Light Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,227,23,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,227,24,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,227,25,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,227,26,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,227,27,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,227,28,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,227,29,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,227,30,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,227,31,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,227,32,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,227,33,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,227,34,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,227,35,'Light Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,227,36,'Light Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,227,37,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,227,38,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,227,39,'Light Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,227,40,'Light Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,227,41,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,227,42,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,227,43,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,227,44,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,227,45,'Light Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,227,46,'Light Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,227,47,'Light Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,227,48,'Light Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,227,49,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,227,50,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,231,14,'Heavy Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,231,15,'Heavy Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,231,16,'Heavy Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (3,231,17,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,231,18,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,231,19,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (3,231,20,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,231,21,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,231,22,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (3,231,23,'Heavy Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,231,24,'Heavy Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,231,25,'Heavy Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (3,231,26,'Heavy Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,231,27,'Heavy Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,231,28,'Heavy Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (3,231,29,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,231,30,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,231,31,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (3,231,32,'Heavy Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,231,33,'Heavy Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,231,34,'Heavy Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (3,231,35,'Heavy Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,231,36,'Heavy Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (3,231,37,'Heavy Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,231,38,'Heavy Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (3,231,39,'Heavy Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,231,40,'Heavy Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (3,231,41,'Heavy Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,231,42,'Heavy Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (3,231,43,'Heavy Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,231,44,'Heavy Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (3,231,45,'Heavy Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,231,46,'Heavy Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (3,231,47,'Heavy Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,231,48,'Heavy Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (3,231,49,'Heavy Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,231,50,'Heavy Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (3,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (3,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (3,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (3,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (3,286,1,'Provoke',46000,43);
INSERT INTO skill_trees VALUES (3,286,2,'Provoke',180000,55);
INSERT INTO skill_trees VALUES (3,286,3,'Provoke',320000,60);
INSERT INTO skill_trees VALUES (3,287,2,'Lionheart',89000,49);
INSERT INTO skill_trees VALUES (3,287,3,'Lionheart',400000,62);
INSERT INTO skill_trees VALUES (3,290,1,'Final Frenzy',46000,43);
INSERT INTO skill_trees VALUES (3,290,2,'Final Frenzy',55000,46);
INSERT INTO skill_trees VALUES (3,290,3,'Final Frenzy',89000,49);
INSERT INTO skill_trees VALUES (3,290,4,'Final Frenzy',150000,52);
INSERT INTO skill_trees VALUES (3,290,5,'Final Frenzy',180000,55);
INSERT INTO skill_trees VALUES (3,290,6,'Final Frenzy',210000,58);
INSERT INTO skill_trees VALUES (3,290,7,'Final Frenzy',320000,60);
INSERT INTO skill_trees VALUES (3,290,8,'Final Frenzy',400000,62);
INSERT INTO skill_trees VALUES (3,290,9,'Final Frenzy',530000,64);
INSERT INTO skill_trees VALUES (3,290,10,'Final Frenzy',700000,66);
INSERT INTO skill_trees VALUES (3,290,11,'Final Frenzy',780000,68);
INSERT INTO skill_trees VALUES (3,290,12,'Final Frenzy',850000,70);
INSERT INTO skill_trees VALUES (3,290,13,'Final Frenzy',1700000,72);
INSERT INTO skill_trees VALUES (3,290,14,'Final Frenzy',2100000,74);
INSERT INTO skill_trees VALUES (3,312,6,'Vicious Stance',39000,40);
INSERT INTO skill_trees VALUES (3,312,7,'Vicious Stance',46000,43);
INSERT INTO skill_trees VALUES (3,312,8,'Vicious Stance',55000,46);
INSERT INTO skill_trees VALUES (3,312,9,'Vicious Stance',89000,49);
INSERT INTO skill_trees VALUES (3,312,10,'Vicious Stance',150000,52);
INSERT INTO skill_trees VALUES (3,312,11,'Vicious Stance',180000,55);
INSERT INTO skill_trees VALUES (3,312,12,'Vicious Stance',210000,58);
INSERT INTO skill_trees VALUES (3,312,13,'Vicious Stance',320000,60);
INSERT INTO skill_trees VALUES (3,312,14,'Vicious Stance',400000,62);
INSERT INTO skill_trees VALUES (3,312,15,'Vicious Stance',530000,64);
INSERT INTO skill_trees VALUES (3,312,16,'Vicious Stance',700000,66);
INSERT INTO skill_trees VALUES (3,312,17,'Vicious Stance',780000,68);
INSERT INTO skill_trees VALUES (3,312,18,'Vicious Stance',850000,70);
INSERT INTO skill_trees VALUES (3,312,19,'Vicious Stance',1700000,72);
INSERT INTO skill_trees VALUES (3,312,20,'Vicious Stance',2100000,74);
INSERT INTO skill_trees VALUES (3,317,1,'Focus Attack',39000,40);
INSERT INTO skill_trees VALUES (3,320,1,'Wrath',350000,66);
INSERT INTO skill_trees VALUES (3,320,2,'Wrath',350000,66);
INSERT INTO skill_trees VALUES (3,320,3,'Wrath',390000,68);
INSERT INTO skill_trees VALUES (3,320,4,'Wrath',390000,68);
INSERT INTO skill_trees VALUES (3,320,5,'Wrath',420000,70);
INSERT INTO skill_trees VALUES (3,320,6,'Wrath',420000,70);
INSERT INTO skill_trees VALUES (3,320,7,'Wrath',830000,72);
INSERT INTO skill_trees VALUES (3,320,8,'Wrath',830000,72);
INSERT INTO skill_trees VALUES (3,320,9,'Wrath',1000000,74);
INSERT INTO skill_trees VALUES (3,320,10,'Wrath',1000000,74);
INSERT INTO skill_trees VALUES (4,28,1,'Aggression',3300,24);
INSERT INTO skill_trees VALUES (4,28,2,'Aggression',3300,24);
INSERT INTO skill_trees VALUES (4,28,3,'Aggression',3300,24);
INSERT INTO skill_trees VALUES (4,28,4,'Aggression',4000,28);
INSERT INTO skill_trees VALUES (4,28,5,'Aggression',4000,28);
INSERT INTO skill_trees VALUES (4,28,6,'Aggression',4000,28);
INSERT INTO skill_trees VALUES (4,28,7,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (4,28,8,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (4,28,9,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (4,28,10,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (4,28,11,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (4,28,12,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (4,45,1,'Divine Heal',4000,28);
INSERT INTO skill_trees VALUES (4,45,2,'Divine Heal',4000,28);
INSERT INTO skill_trees VALUES (4,45,3,'Divine Heal',4000,28);
INSERT INTO skill_trees VALUES (4,45,4,'Divine Heal',8300,32);
INSERT INTO skill_trees VALUES (4,45,5,'Divine Heal',8300,32);
INSERT INTO skill_trees VALUES (4,45,6,'Divine Heal',8300,32);
INSERT INTO skill_trees VALUES (4,45,7,'Divine Heal',13000,36);
INSERT INTO skill_trees VALUES (4,45,8,'Divine Heal',13000,36);
INSERT INTO skill_trees VALUES (4,45,9,'Divine Heal',13000,36);
INSERT INTO skill_trees VALUES (4,70,1,'Drain Health',2300,20);
INSERT INTO skill_trees VALUES (4,70,2,'Drain Health',2300,20);
INSERT INTO skill_trees VALUES (4,70,3,'Drain Health',5000,24);
INSERT INTO skill_trees VALUES (4,70,4,'Drain Health',5000,24);
INSERT INTO skill_trees VALUES (4,70,5,'Drain Health',4000,28);
INSERT INTO skill_trees VALUES (4,70,6,'Drain Health',4000,28);
INSERT INTO skill_trees VALUES (4,70,7,'Drain Health',4000,28);
INSERT INTO skill_trees VALUES (4,70,8,'Drain Health',8300,32);
INSERT INTO skill_trees VALUES (4,70,9,'Drain Health',8300,32);
INSERT INTO skill_trees VALUES (4,70,10,'Drain Health',8300,32);
INSERT INTO skill_trees VALUES (4,70,11,'Drain Health',13000,36);
INSERT INTO skill_trees VALUES (4,70,12,'Drain Health',13000,36);
INSERT INTO skill_trees VALUES (4,70,13,'Drain Health',13000,36);
INSERT INTO skill_trees VALUES (4,82,1,'Majesty',4700,20);
INSERT INTO skill_trees VALUES (4,92,1,'Shield Stun',1500,20);
INSERT INTO skill_trees VALUES (4,92,2,'Shield Stun',1500,20);
INSERT INTO skill_trees VALUES (4,92,3,'Shield Stun',1500,20);
INSERT INTO skill_trees VALUES (4,92,4,'Shield Stun',3300,24);
INSERT INTO skill_trees VALUES (4,92,5,'Shield Stun',3300,24);
INSERT INTO skill_trees VALUES (4,92,6,'Shield Stun',3300,24);
INSERT INTO skill_trees VALUES (4,92,7,'Shield Stun',4000,28);
INSERT INTO skill_trees VALUES (4,92,8,'Shield Stun',4000,28);
INSERT INTO skill_trees VALUES (4,92,9,'Shield Stun',4000,28);
INSERT INTO skill_trees VALUES (4,92,10,'Shield Stun',8300,32);
INSERT INTO skill_trees VALUES (4,92,11,'Shield Stun',8300,32);
INSERT INTO skill_trees VALUES (4,92,12,'Shield Stun',8300,32);
INSERT INTO skill_trees VALUES (4,92,13,'Shield Stun',13000,36);
INSERT INTO skill_trees VALUES (4,92,14,'Shield Stun',13000,36);
INSERT INTO skill_trees VALUES (4,92,15,'Shield Stun',13000,36);
INSERT INTO skill_trees VALUES (4,110,1,'Ultimate Defense',4700,20);
INSERT INTO skill_trees VALUES (4,112,1,'Deflect Arrow',10000,24);
INSERT INTO skill_trees VALUES (4,112,2,'Deflect Arrow',25000,32);
INSERT INTO skill_trees VALUES (4,147,1,'Magic Resistance',2300,20);
INSERT INTO skill_trees VALUES (4,147,2,'Magic Resistance',2300,20);
INSERT INTO skill_trees VALUES (4,147,3,'Magic Resistance',3300,24);
INSERT INTO skill_trees VALUES (4,147,4,'Magic Resistance',3300,24);
INSERT INTO skill_trees VALUES (4,147,5,'Magic Resistance',3300,24);
INSERT INTO skill_trees VALUES (4,147,6,'Magic Resistance',4000,28);
INSERT INTO skill_trees VALUES (4,147,7,'Magic Resistance',4000,28);
INSERT INTO skill_trees VALUES (4,147,8,'Magic Resistance',4000,28);
INSERT INTO skill_trees VALUES (4,147,9,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (4,147,10,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (4,147,11,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (4,147,12,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (4,147,13,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (4,147,14,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (4,153,1,'Shield Mastery',4700,20);
INSERT INTO skill_trees VALUES (4,153,2,'Shield Mastery',12000,28);
INSERT INTO skill_trees VALUES (4,191,1,'Focus Mind',39000,36);
INSERT INTO skill_trees VALUES (4,217,1,'Sword Blunt Mastery',4700,20);
INSERT INTO skill_trees VALUES (4,217,2,'Sword Blunt Mastery',10000,24);
INSERT INTO skill_trees VALUES (4,217,3,'Sword Blunt Mastery',6000,28);
INSERT INTO skill_trees VALUES (4,217,4,'Sword Blunt Mastery',6000,28);
INSERT INTO skill_trees VALUES (4,217,5,'Sword Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (4,217,6,'Sword Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (4,217,7,'Sword Blunt Mastery',19000,36);
INSERT INTO skill_trees VALUES (4,217,8,'Sword Blunt Mastery',19000,36);
INSERT INTO skill_trees VALUES (4,232,1,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (4,232,2,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (4,232,3,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (4,232,4,'Heavy Armor Mastery',3300,24);
INSERT INTO skill_trees VALUES (4,232,5,'Heavy Armor Mastery',3300,24);
INSERT INTO skill_trees VALUES (4,232,6,'Heavy Armor Mastery',3300,24);
INSERT INTO skill_trees VALUES (4,232,7,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (4,232,8,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (4,232,9,'Heavy Armor Mastery',4000,28);
INSERT INTO skill_trees VALUES (4,232,10,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (4,232,11,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (4,232,12,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (4,232,13,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (4,232,14,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (4,232,15,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (4,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (5,18,1,'Hate Aura',12000,40);
INSERT INTO skill_trees VALUES (5,18,2,'Hate Aura',12000,40);
INSERT INTO skill_trees VALUES (5,18,3,'Hate Aura',12000,40);
INSERT INTO skill_trees VALUES (5,18,4,'Hate Aura',14000,43);
INSERT INTO skill_trees VALUES (5,18,5,'Hate Aura',14000,43);
INSERT INTO skill_trees VALUES (5,18,6,'Hate Aura',14000,43);
INSERT INTO skill_trees VALUES (5,18,7,'Hate Aura',18000,46);
INSERT INTO skill_trees VALUES (5,18,8,'Hate Aura',18000,46);
INSERT INTO skill_trees VALUES (5,18,9,'Hate Aura',18000,46);
INSERT INTO skill_trees VALUES (5,18,10,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (5,18,11,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (5,18,12,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (5,18,13,'Hate Aura',42000,52);
INSERT INTO skill_trees VALUES (5,18,14,'Hate Aura',42000,52);
INSERT INTO skill_trees VALUES (5,18,15,'Hate Aura',42000,52);
INSERT INTO skill_trees VALUES (5,18,16,'Hate Aura',49000,55);
INSERT INTO skill_trees VALUES (5,18,17,'Hate Aura',49000,55);
INSERT INTO skill_trees VALUES (5,18,18,'Hate Aura',49000,55);
INSERT INTO skill_trees VALUES (5,18,19,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (5,18,20,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (5,18,21,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (5,18,22,'Hate Aura',130000,60);
INSERT INTO skill_trees VALUES (5,18,23,'Hate Aura',130000,60);
INSERT INTO skill_trees VALUES (5,18,24,'Hate Aura',170000,62);
INSERT INTO skill_trees VALUES (5,18,25,'Hate Aura',170000,62);
INSERT INTO skill_trees VALUES (5,18,26,'Hate Aura',190000,64);
INSERT INTO skill_trees VALUES (5,18,27,'Hate Aura',190000,64);
INSERT INTO skill_trees VALUES (5,18,28,'Hate Aura',290000,66);
INSERT INTO skill_trees VALUES (5,18,29,'Hate Aura',290000,66);
INSERT INTO skill_trees VALUES (5,18,30,'Hate Aura',330000,68);
INSERT INTO skill_trees VALUES (5,18,31,'Hate Aura',330000,68);
INSERT INTO skill_trees VALUES (5,18,32,'Hate Aura',390000,70);
INSERT INTO skill_trees VALUES (5,18,33,'Hate Aura',390000,70);
INSERT INTO skill_trees VALUES (5,18,34,'Hate Aura',580000,72);
INSERT INTO skill_trees VALUES (5,18,35,'Hate Aura',580000,72);
INSERT INTO skill_trees VALUES (5,18,36,'Hate Aura',960000,74);
INSERT INTO skill_trees VALUES (5,18,37,'Hate Aura',960000,74);
INSERT INTO skill_trees VALUES (5,28,13,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (5,28,14,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (5,28,15,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (5,28,16,'Aggression',14000,43);
INSERT INTO skill_trees VALUES (5,28,17,'Aggression',14000,43);
INSERT INTO skill_trees VALUES (5,28,18,'Aggression',14000,43);
INSERT INTO skill_trees VALUES (5,28,19,'Aggression',18000,46);
INSERT INTO skill_trees VALUES (5,28,20,'Aggression',18000,46);
INSERT INTO skill_trees VALUES (5,28,21,'Aggression',18000,46);
INSERT INTO skill_trees VALUES (5,28,22,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (5,28,23,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (5,28,24,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (5,28,25,'Aggression',42000,52);
INSERT INTO skill_trees VALUES (5,28,26,'Aggression',42000,52);
INSERT INTO skill_trees VALUES (5,28,27,'Aggression',42000,52);
INSERT INTO skill_trees VALUES (5,28,28,'Aggression',49000,55);
INSERT INTO skill_trees VALUES (5,28,29,'Aggression',49000,55);
INSERT INTO skill_trees VALUES (5,28,30,'Aggression',49000,55);
INSERT INTO skill_trees VALUES (5,28,31,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (5,28,32,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (5,28,33,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (5,28,34,'Aggression',130000,60);
INSERT INTO skill_trees VALUES (5,28,35,'Aggression',130000,60);
INSERT INTO skill_trees VALUES (5,28,36,'Aggression',170000,62);
INSERT INTO skill_trees VALUES (5,28,37,'Aggression',170000,62);
INSERT INTO skill_trees VALUES (5,28,38,'Aggression',190000,64);
INSERT INTO skill_trees VALUES (5,28,39,'Aggression',190000,64);
INSERT INTO skill_trees VALUES (5,28,40,'Aggression',290000,66);
INSERT INTO skill_trees VALUES (5,28,41,'Aggression',290000,66);
INSERT INTO skill_trees VALUES (5,28,42,'Aggression',330000,68);
INSERT INTO skill_trees VALUES (5,28,43,'Aggression',330000,68);
INSERT INTO skill_trees VALUES (5,28,44,'Aggression',390000,70);
INSERT INTO skill_trees VALUES (5,28,45,'Aggression',390000,70);
INSERT INTO skill_trees VALUES (5,28,46,'Aggression',580000,72);
INSERT INTO skill_trees VALUES (5,28,47,'Aggression',580000,72);
INSERT INTO skill_trees VALUES (5,28,48,'Aggression',960000,74);
INSERT INTO skill_trees VALUES (5,28,49,'Aggression',960000,74);
INSERT INTO skill_trees VALUES (5,44,1,'Remedy',35000,40);
INSERT INTO skill_trees VALUES (5,44,2,'Remedy',82000,49);
INSERT INTO skill_trees VALUES (5,44,3,'Remedy',330000,62);
INSERT INTO skill_trees VALUES (5,49,1,'Holy Strike',27000,46);
INSERT INTO skill_trees VALUES (5,49,2,'Holy Strike',27000,46);
INSERT INTO skill_trees VALUES (5,49,3,'Holy Strike',41000,49);
INSERT INTO skill_trees VALUES (5,49,4,'Holy Strike',41000,49);
INSERT INTO skill_trees VALUES (5,49,5,'Holy Strike',63000,52);
INSERT INTO skill_trees VALUES (5,49,6,'Holy Strike',63000,52);
INSERT INTO skill_trees VALUES (5,49,7,'Holy Strike',73000,55);
INSERT INTO skill_trees VALUES (5,49,8,'Holy Strike',73000,55);
INSERT INTO skill_trees VALUES (5,49,9,'Holy Strike',100000,58);
INSERT INTO skill_trees VALUES (5,49,10,'Holy Strike',100000,58);
INSERT INTO skill_trees VALUES (5,49,11,'Holy Strike',130000,60);
INSERT INTO skill_trees VALUES (5,49,12,'Holy Strike',130000,60);
INSERT INTO skill_trees VALUES (5,49,13,'Holy Strike',170000,62);
INSERT INTO skill_trees VALUES (5,49,14,'Holy Strike',170000,62);
INSERT INTO skill_trees VALUES (5,49,15,'Holy Strike',190000,64);
INSERT INTO skill_trees VALUES (5,49,16,'Holy Strike',190000,64);
INSERT INTO skill_trees VALUES (5,49,17,'Holy Strike',290000,66);
INSERT INTO skill_trees VALUES (5,49,18,'Holy Strike',290000,66);
INSERT INTO skill_trees VALUES (5,49,19,'Holy Strike',330000,68);
INSERT INTO skill_trees VALUES (5,49,20,'Holy Strike',330000,68);
INSERT INTO skill_trees VALUES (5,49,21,'Holy Strike',390000,70);
INSERT INTO skill_trees VALUES (5,49,22,'Holy Strike',390000,70);
INSERT INTO skill_trees VALUES (5,49,23,'Holy Strike',580000,72);
INSERT INTO skill_trees VALUES (5,49,24,'Holy Strike',580000,72);
INSERT INTO skill_trees VALUES (5,49,25,'Holy Strike',960000,74);
INSERT INTO skill_trees VALUES (5,49,26,'Holy Strike',960000,74);
INSERT INTO skill_trees VALUES (5,69,1,'Sacrifice',42000,52);
INSERT INTO skill_trees VALUES (5,69,2,'Sacrifice',42000,52);
INSERT INTO skill_trees VALUES (5,69,3,'Sacrifice',42000,52);
INSERT INTO skill_trees VALUES (5,69,4,'Sacrifice',49000,55);
INSERT INTO skill_trees VALUES (5,69,5,'Sacrifice',49000,55);
INSERT INTO skill_trees VALUES (5,69,6,'Sacrifice',49000,55);
INSERT INTO skill_trees VALUES (5,69,7,'Sacrifice',67000,58);
INSERT INTO skill_trees VALUES (5,69,8,'Sacrifice',67000,58);
INSERT INTO skill_trees VALUES (5,69,9,'Sacrifice',67000,58);
INSERT INTO skill_trees VALUES (5,69,10,'Sacrifice',130000,60);
INSERT INTO skill_trees VALUES (5,69,11,'Sacrifice',130000,60);
INSERT INTO skill_trees VALUES (5,69,12,'Sacrifice',170000,62);
INSERT INTO skill_trees VALUES (5,69,13,'Sacrifice',170000,62);
INSERT INTO skill_trees VALUES (5,69,14,'Sacrifice',190000,64);
INSERT INTO skill_trees VALUES (5,69,15,'Sacrifice',190000,64);
INSERT INTO skill_trees VALUES (5,69,16,'Sacrifice',290000,66);
INSERT INTO skill_trees VALUES (5,69,17,'Sacrifice',290000,66);
INSERT INTO skill_trees VALUES (5,69,18,'Sacrifice',330000,68);
INSERT INTO skill_trees VALUES (5,69,19,'Sacrifice',330000,68);
INSERT INTO skill_trees VALUES (5,69,20,'Sacrifice',390000,70);
INSERT INTO skill_trees VALUES (5,69,21,'Sacrifice',390000,70);
INSERT INTO skill_trees VALUES (5,69,22,'Sacrifice',580000,72);
INSERT INTO skill_trees VALUES (5,69,23,'Sacrifice',580000,72);
INSERT INTO skill_trees VALUES (5,69,24,'Sacrifice',960000,74);
INSERT INTO skill_trees VALUES (5,69,25,'Sacrifice',960000,74);
INSERT INTO skill_trees VALUES (5,72,1,'Iron Will',41000,43);
INSERT INTO skill_trees VALUES (5,72,2,'Iron Will',82000,49);
INSERT INTO skill_trees VALUES (5,72,3,'Iron Will',150000,55);
INSERT INTO skill_trees VALUES (5,82,2,'Majesty',35000,40);
INSERT INTO skill_trees VALUES (5,82,3,'Majesty',200000,58);
INSERT INTO skill_trees VALUES (5,92,16,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (5,92,17,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (5,92,18,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (5,92,19,'Shield Stun',14000,43);
INSERT INTO skill_trees VALUES (5,92,20,'Shield Stun',14000,43);
INSERT INTO skill_trees VALUES (5,92,21,'Shield Stun',14000,43);
INSERT INTO skill_trees VALUES (5,92,22,'Shield Stun',18000,46);
INSERT INTO skill_trees VALUES (5,92,23,'Shield Stun',18000,46);
INSERT INTO skill_trees VALUES (5,92,24,'Shield Stun',18000,46);
INSERT INTO skill_trees VALUES (5,92,25,'Shield Stun',27000,49);
INSERT INTO skill_trees VALUES (5,92,26,'Shield Stun',27000,49);
INSERT INTO skill_trees VALUES (5,92,27,'Shield Stun',27000,49);
INSERT INTO skill_trees VALUES (5,92,28,'Shield Stun',42000,52);
INSERT INTO skill_trees VALUES (5,92,29,'Shield Stun',42000,52);
INSERT INTO skill_trees VALUES (5,92,30,'Shield Stun',42000,52);
INSERT INTO skill_trees VALUES (5,92,31,'Shield Stun',49000,55);
INSERT INTO skill_trees VALUES (5,92,32,'Shield Stun',49000,55);
INSERT INTO skill_trees VALUES (5,92,33,'Shield Stun',49000,55);
INSERT INTO skill_trees VALUES (5,92,34,'Shield Stun',67000,58);
INSERT INTO skill_trees VALUES (5,92,35,'Shield Stun',67000,58);
INSERT INTO skill_trees VALUES (5,92,36,'Shield Stun',67000,58);
INSERT INTO skill_trees VALUES (5,92,37,'Shield Stun',130000,60);
INSERT INTO skill_trees VALUES (5,92,38,'Shield Stun',130000,60);
INSERT INTO skill_trees VALUES (5,92,39,'Shield Stun',170000,62);
INSERT INTO skill_trees VALUES (5,92,40,'Shield Stun',170000,62);
INSERT INTO skill_trees VALUES (5,92,41,'Shield Stun',190000,64);
INSERT INTO skill_trees VALUES (5,92,42,'Shield Stun',190000,64);
INSERT INTO skill_trees VALUES (5,92,43,'Shield Stun',290000,66);
INSERT INTO skill_trees VALUES (5,92,44,'Shield Stun',290000,66);
INSERT INTO skill_trees VALUES (5,92,45,'Shield Stun',330000,68);
INSERT INTO skill_trees VALUES (5,92,46,'Shield Stun',330000,68);
INSERT INTO skill_trees VALUES (5,92,47,'Shield Stun',390000,70);
INSERT INTO skill_trees VALUES (5,92,48,'Shield Stun',390000,70);
INSERT INTO skill_trees VALUES (5,92,49,'Shield Stun',580000,72);
INSERT INTO skill_trees VALUES (5,92,50,'Shield Stun',580000,72);
INSERT INTO skill_trees VALUES (5,92,51,'Shield Stun',960000,74);
INSERT INTO skill_trees VALUES (5,92,52,'Shield Stun',960000,74);
INSERT INTO skill_trees VALUES (5,97,1,'Sanctuary',120000,52);
INSERT INTO skill_trees VALUES (5,97,2,'Sanctuary',150000,55);
INSERT INTO skill_trees VALUES (5,97,3,'Sanctuary',200000,58);
INSERT INTO skill_trees VALUES (5,97,4,'Sanctuary',270000,60);
INSERT INTO skill_trees VALUES (5,97,5,'Sanctuary',330000,62);
INSERT INTO skill_trees VALUES (5,97,6,'Sanctuary',370000,64);
INSERT INTO skill_trees VALUES (5,97,7,'Sanctuary',580000,66);
INSERT INTO skill_trees VALUES (5,97,8,'Sanctuary',650000,68);
INSERT INTO skill_trees VALUES (5,97,9,'Sanctuary',780000,70);
INSERT INTO skill_trees VALUES (5,97,10,'Sanctuary',1200000,72);
INSERT INTO skill_trees VALUES (5,97,11,'Sanctuary',1900000,74);
INSERT INTO skill_trees VALUES (5,110,2,'Ultimate Defense',55000,46);
INSERT INTO skill_trees VALUES (5,112,3,'Deflect Arrow',41000,43);
INSERT INTO skill_trees VALUES (5,112,4,'Deflect Arrow',82000,49);
INSERT INTO skill_trees VALUES (5,147,15,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (5,147,16,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (5,147,17,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (5,147,18,'Magic Resistance',14000,43);
INSERT INTO skill_trees VALUES (5,147,19,'Magic Resistance',14000,43);
INSERT INTO skill_trees VALUES (5,147,20,'Magic Resistance',14000,43);
INSERT INTO skill_trees VALUES (5,147,21,'Magic Resistance',18000,46);
INSERT INTO skill_trees VALUES (5,147,22,'Magic Resistance',18000,46);
INSERT INTO skill_trees VALUES (5,147,23,'Magic Resistance',18000,46);
INSERT INTO skill_trees VALUES (5,147,24,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (5,147,25,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (5,147,26,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (5,147,27,'Magic Resistance',42000,52);
INSERT INTO skill_trees VALUES (5,147,28,'Magic Resistance',42000,52);
INSERT INTO skill_trees VALUES (5,147,29,'Magic Resistance',42000,52);
INSERT INTO skill_trees VALUES (5,147,30,'Magic Resistance',49000,55);
INSERT INTO skill_trees VALUES (5,147,31,'Magic Resistance',49000,55);
INSERT INTO skill_trees VALUES (5,147,32,'Magic Resistance',49000,55);
INSERT INTO skill_trees VALUES (5,147,33,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (5,147,34,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (5,147,35,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (5,147,36,'Magic Resistance',130000,60);
INSERT INTO skill_trees VALUES (5,147,37,'Magic Resistance',130000,60);
INSERT INTO skill_trees VALUES (5,147,38,'Magic Resistance',170000,62);
INSERT INTO skill_trees VALUES (5,147,39,'Magic Resistance',170000,62);
INSERT INTO skill_trees VALUES (5,147,40,'Magic Resistance',190000,64);
INSERT INTO skill_trees VALUES (5,147,41,'Magic Resistance',190000,64);
INSERT INTO skill_trees VALUES (5,147,42,'Magic Resistance',290000,66);
INSERT INTO skill_trees VALUES (5,147,43,'Magic Resistance',290000,66);
INSERT INTO skill_trees VALUES (5,147,44,'Magic Resistance',330000,68);
INSERT INTO skill_trees VALUES (5,147,45,'Magic Resistance',330000,68);
INSERT INTO skill_trees VALUES (5,147,46,'Magic Resistance',390000,70);
INSERT INTO skill_trees VALUES (5,147,47,'Magic Resistance',390000,70);
INSERT INTO skill_trees VALUES (5,147,48,'Magic Resistance',580000,72);
INSERT INTO skill_trees VALUES (5,147,49,'Magic Resistance',580000,72);
INSERT INTO skill_trees VALUES (5,147,50,'Magic Resistance',960000,74);
INSERT INTO skill_trees VALUES (5,147,51,'Magic Resistance',960000,74);
INSERT INTO skill_trees VALUES (5,153,3,'Shield Mastery',35000,40);
INSERT INTO skill_trees VALUES (5,153,4,'Shield Mastery',120000,52);
INSERT INTO skill_trees VALUES (5,191,2,'Focus Mind',41000,43);
INSERT INTO skill_trees VALUES (5,191,3,'Focus Mind',82000,49);
INSERT INTO skill_trees VALUES (5,191,4,'Focus Mind',150000,55);
INSERT INTO skill_trees VALUES (5,191,5,'Focus Mind',370000,64);
INSERT INTO skill_trees VALUES (5,191,6,'Focus Mind',1200000,72);
INSERT INTO skill_trees VALUES (5,196,1,'Holy Blade',41000,43);
INSERT INTO skill_trees VALUES (5,197,1,'Holy Armor',35000,40);
INSERT INTO skill_trees VALUES (5,197,2,'Holy Armor',55000,46);
INSERT INTO skill_trees VALUES (5,217,9,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,217,10,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,217,11,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,217,12,'Sword Blunt Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,217,13,'Sword Blunt Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,217,14,'Sword Blunt Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,217,15,'Sword Blunt Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,217,16,'Sword Blunt Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,217,17,'Sword Blunt Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,217,18,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,217,19,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,217,20,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,217,21,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,217,22,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,217,23,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,217,24,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,217,25,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,217,26,'Sword Blunt Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,217,27,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,217,28,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,217,29,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,217,30,'Sword Blunt Mastery',130000,60);
INSERT INTO skill_trees VALUES (5,217,31,'Sword Blunt Mastery',130000,60);
INSERT INTO skill_trees VALUES (5,217,32,'Sword Blunt Mastery',170000,62);
INSERT INTO skill_trees VALUES (5,217,33,'Sword Blunt Mastery',170000,62);
INSERT INTO skill_trees VALUES (5,217,34,'Sword Blunt Mastery',190000,64);
INSERT INTO skill_trees VALUES (5,217,35,'Sword Blunt Mastery',190000,64);
INSERT INTO skill_trees VALUES (5,217,36,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (5,217,37,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (5,217,38,'Sword Blunt Mastery',330000,68);
INSERT INTO skill_trees VALUES (5,217,39,'Sword Blunt Mastery',330000,68);
INSERT INTO skill_trees VALUES (5,217,40,'Sword Blunt Mastery',390000,70);
INSERT INTO skill_trees VALUES (5,217,41,'Sword Blunt Mastery',390000,70);
INSERT INTO skill_trees VALUES (5,217,42,'Sword Blunt Mastery',580000,72);
INSERT INTO skill_trees VALUES (5,217,43,'Sword Blunt Mastery',580000,72);
INSERT INTO skill_trees VALUES (5,217,44,'Sword Blunt Mastery',960000,74);
INSERT INTO skill_trees VALUES (5,217,45,'Sword Blunt Mastery',960000,74);
INSERT INTO skill_trees VALUES (5,232,16,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,232,17,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,232,18,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (5,232,19,'Heavy Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,232,20,'Heavy Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,232,21,'Heavy Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (5,232,22,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,232,23,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,232,24,'Heavy Armor Mastery',18000,46);
INSERT INTO skill_trees VALUES (5,232,25,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,232,26,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,232,27,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (5,232,28,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,232,29,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,232,30,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (5,232,31,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,232,32,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,232,33,'Heavy Armor Mastery',49000,55);
INSERT INTO skill_trees VALUES (5,232,34,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,232,35,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,232,36,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (5,232,37,'Heavy Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (5,232,38,'Heavy Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (5,232,39,'Heavy Armor Mastery',170000,62);
INSERT INTO skill_trees VALUES (5,232,40,'Heavy Armor Mastery',170000,62);
INSERT INTO skill_trees VALUES (5,232,41,'Heavy Armor Mastery',190000,64);
INSERT INTO skill_trees VALUES (5,232,42,'Heavy Armor Mastery',190000,64);
INSERT INTO skill_trees VALUES (5,232,43,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (5,232,44,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (5,232,45,'Heavy Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (5,232,46,'Heavy Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (5,232,47,'Heavy Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (5,232,48,'Heavy Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (5,232,49,'Heavy Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (5,232,50,'Heavy Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (5,232,51,'Heavy Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (5,232,52,'Heavy Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (5,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (5,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (5,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (5,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (5,262,1,'Holy Blessing',12000,40);
INSERT INTO skill_trees VALUES (5,262,2,'Holy Blessing',12000,40);
INSERT INTO skill_trees VALUES (5,262,3,'Holy Blessing',12000,40);
INSERT INTO skill_trees VALUES (5,262,4,'Holy Blessing',14000,43);
INSERT INTO skill_trees VALUES (5,262,5,'Holy Blessing',14000,43);
INSERT INTO skill_trees VALUES (5,262,6,'Holy Blessing',14000,43);
INSERT INTO skill_trees VALUES (5,262,7,'Holy Blessing',18000,46);
INSERT INTO skill_trees VALUES (5,262,8,'Holy Blessing',18000,46);
INSERT INTO skill_trees VALUES (5,262,9,'Holy Blessing',18000,46);
INSERT INTO skill_trees VALUES (5,262,10,'Holy Blessing',27000,49);
INSERT INTO skill_trees VALUES (5,262,11,'Holy Blessing',27000,49);
INSERT INTO skill_trees VALUES (5,262,12,'Holy Blessing',27000,49);
INSERT INTO skill_trees VALUES (5,262,13,'Holy Blessing',42000,52);
INSERT INTO skill_trees VALUES (5,262,14,'Holy Blessing',42000,52);
INSERT INTO skill_trees VALUES (5,262,15,'Holy Blessing',42000,52);
INSERT INTO skill_trees VALUES (5,262,16,'Holy Blessing',49000,55);
INSERT INTO skill_trees VALUES (5,262,17,'Holy Blessing',49000,55);
INSERT INTO skill_trees VALUES (5,262,18,'Holy Blessing',49000,55);
INSERT INTO skill_trees VALUES (5,262,19,'Holy Blessing',67000,58);
INSERT INTO skill_trees VALUES (5,262,20,'Holy Blessing',67000,58);
INSERT INTO skill_trees VALUES (5,262,21,'Holy Blessing',67000,58);
INSERT INTO skill_trees VALUES (5,262,22,'Holy Blessing',130000,60);
INSERT INTO skill_trees VALUES (5,262,23,'Holy Blessing',130000,60);
INSERT INTO skill_trees VALUES (5,262,24,'Holy Blessing',170000,62);
INSERT INTO skill_trees VALUES (5,262,25,'Holy Blessing',170000,62);
INSERT INTO skill_trees VALUES (5,262,26,'Holy Blessing',190000,64);
INSERT INTO skill_trees VALUES (5,262,27,'Holy Blessing',190000,64);
INSERT INTO skill_trees VALUES (5,262,28,'Holy Blessing',290000,66);
INSERT INTO skill_trees VALUES (5,262,29,'Holy Blessing',290000,66);
INSERT INTO skill_trees VALUES (5,262,30,'Holy Blessing',330000,68);
INSERT INTO skill_trees VALUES (5,262,31,'Holy Blessing',330000,68);
INSERT INTO skill_trees VALUES (5,262,32,'Holy Blessing',390000,70);
INSERT INTO skill_trees VALUES (5,262,33,'Holy Blessing',390000,70);
INSERT INTO skill_trees VALUES (5,262,34,'Holy Blessing',580000,72);
INSERT INTO skill_trees VALUES (5,262,35,'Holy Blessing',580000,72);
INSERT INTO skill_trees VALUES (5,262,36,'Holy Blessing',960000,74);
INSERT INTO skill_trees VALUES (5,262,37,'Holy Blessing',960000,74);
INSERT INTO skill_trees VALUES (5,291,1,'Final Fortress',120000,52);
INSERT INTO skill_trees VALUES (5,291,2,'Final Fortress',150000,55);
INSERT INTO skill_trees VALUES (5,291,3,'Final Fortress',200000,58);
INSERT INTO skill_trees VALUES (5,291,4,'Final Fortress',270000,60);
INSERT INTO skill_trees VALUES (5,291,5,'Final Fortress',330000,62);
INSERT INTO skill_trees VALUES (5,291,6,'Final Fortress',370000,64);
INSERT INTO skill_trees VALUES (5,291,7,'Final Fortress',580000,66);
INSERT INTO skill_trees VALUES (5,291,8,'Final Fortress',650000,68);
INSERT INTO skill_trees VALUES (5,291,9,'Final Fortress',780000,70);
INSERT INTO skill_trees VALUES (5,291,10,'Final Fortress',1200000,72);
INSERT INTO skill_trees VALUES (5,291,11,'Final Fortress',1900000,74);
INSERT INTO skill_trees VALUES (5,318,1,'Aegis Stance',55000,46);
INSERT INTO skill_trees VALUES (5,322,1,'Shield Fortress',370000,64);
INSERT INTO skill_trees VALUES (5,322,2,'Shield Fortress',580000,66);
INSERT INTO skill_trees VALUES (5,322,3,'Shield Fortress',650000,68);
INSERT INTO skill_trees VALUES (5,322,4,'Shield Fortress',780000,70);
INSERT INTO skill_trees VALUES (5,322,5,'Shield Fortress',1200000,72);
INSERT INTO skill_trees VALUES (5,322,6,'Shield Fortress',1900000,74);
INSERT INTO skill_trees VALUES (6,18,1,'Hate Aura',11000,40);
INSERT INTO skill_trees VALUES (6,18,2,'Hate Aura',11000,40);
INSERT INTO skill_trees VALUES (6,18,3,'Hate Aura',11000,40);
INSERT INTO skill_trees VALUES (6,18,4,'Hate Aura',13000,43);
INSERT INTO skill_trees VALUES (6,18,5,'Hate Aura',13000,43);
INSERT INTO skill_trees VALUES (6,18,6,'Hate Aura',13000,43);
INSERT INTO skill_trees VALUES (6,18,7,'Hate Aura',15000,46);
INSERT INTO skill_trees VALUES (6,18,8,'Hate Aura',15000,46);
INSERT INTO skill_trees VALUES (6,18,9,'Hate Aura',15000,46);
INSERT INTO skill_trees VALUES (6,18,10,'Hate Aura',23000,49);
INSERT INTO skill_trees VALUES (6,18,11,'Hate Aura',23000,49);
INSERT INTO skill_trees VALUES (6,18,12,'Hate Aura',23000,49);
INSERT INTO skill_trees VALUES (6,18,13,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (6,18,14,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (6,18,15,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (6,18,16,'Hate Aura',56000,55);
INSERT INTO skill_trees VALUES (6,18,17,'Hate Aura',56000,55);
INSERT INTO skill_trees VALUES (6,18,18,'Hate Aura',56000,55);
INSERT INTO skill_trees VALUES (6,18,19,'Hate Aura',57000,58);
INSERT INTO skill_trees VALUES (6,18,20,'Hate Aura',57000,58);
INSERT INTO skill_trees VALUES (6,18,21,'Hate Aura',57000,58);
INSERT INTO skill_trees VALUES (6,18,22,'Hate Aura',130000,60);
INSERT INTO skill_trees VALUES (6,18,23,'Hate Aura',130000,60);
INSERT INTO skill_trees VALUES (6,18,24,'Hate Aura',150000,62);
INSERT INTO skill_trees VALUES (6,18,25,'Hate Aura',150000,62);
INSERT INTO skill_trees VALUES (6,18,26,'Hate Aura',180000,64);
INSERT INTO skill_trees VALUES (6,18,27,'Hate Aura',180000,64);
INSERT INTO skill_trees VALUES (6,18,28,'Hate Aura',270000,66);
INSERT INTO skill_trees VALUES (6,18,29,'Hate Aura',270000,66);
INSERT INTO skill_trees VALUES (6,18,30,'Hate Aura',320000,68);
INSERT INTO skill_trees VALUES (6,18,31,'Hate Aura',320000,68);
INSERT INTO skill_trees VALUES (6,18,32,'Hate Aura',330000,70);
INSERT INTO skill_trees VALUES (6,18,33,'Hate Aura',330000,70);
INSERT INTO skill_trees VALUES (6,18,34,'Hate Aura',570000,72);
INSERT INTO skill_trees VALUES (6,18,35,'Hate Aura',570000,72);
INSERT INTO skill_trees VALUES (6,18,36,'Hate Aura',880000,74);
INSERT INTO skill_trees VALUES (6,18,37,'Hate Aura',880000,74);
INSERT INTO skill_trees VALUES (6,28,13,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (6,28,14,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (6,28,15,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (6,28,16,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (6,28,17,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (6,28,18,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (6,28,19,'Aggression',15000,46);
INSERT INTO skill_trees VALUES (6,28,20,'Aggression',15000,46);
INSERT INTO skill_trees VALUES (6,28,21,'Aggression',15000,46);
INSERT INTO skill_trees VALUES (6,28,22,'Aggression',23000,49);
INSERT INTO skill_trees VALUES (6,28,23,'Aggression',23000,49);
INSERT INTO skill_trees VALUES (6,28,24,'Aggression',23000,49);
INSERT INTO skill_trees VALUES (6,28,25,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (6,28,26,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (6,28,27,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (6,28,28,'Aggression',56000,55);
INSERT INTO skill_trees VALUES (6,28,29,'Aggression',56000,55);
INSERT INTO skill_trees VALUES (6,28,30,'Aggression',56000,55);
INSERT INTO skill_trees VALUES (6,28,31,'Aggression',57000,58);
INSERT INTO skill_trees VALUES (6,28,32,'Aggression',57000,58);
INSERT INTO skill_trees VALUES (6,28,33,'Aggression',57000,58);
INSERT INTO skill_trees VALUES (6,28,34,'Aggression',130000,60);
INSERT INTO skill_trees VALUES (6,28,35,'Aggression',130000,60);
INSERT INTO skill_trees VALUES (6,28,36,'Aggression',150000,62);
INSERT INTO skill_trees VALUES (6,28,37,'Aggression',150000,62);
INSERT INTO skill_trees VALUES (6,28,38,'Aggression',180000,64);
INSERT INTO skill_trees VALUES (6,28,39,'Aggression',180000,64);
INSERT INTO skill_trees VALUES (6,28,40,'Aggression',270000,66);
INSERT INTO skill_trees VALUES (6,28,41,'Aggression',270000,66);
INSERT INTO skill_trees VALUES (6,28,42,'Aggression',320000,68);
INSERT INTO skill_trees VALUES (6,28,43,'Aggression',320000,68);
INSERT INTO skill_trees VALUES (6,28,44,'Aggression',330000,70);
INSERT INTO skill_trees VALUES (6,28,45,'Aggression',330000,70);
INSERT INTO skill_trees VALUES (6,28,46,'Aggression',570000,72);
INSERT INTO skill_trees VALUES (6,28,47,'Aggression',570000,72);
INSERT INTO skill_trees VALUES (6,28,48,'Aggression',880000,74);
INSERT INTO skill_trees VALUES (6,28,49,'Aggression',880000,74);
INSERT INTO skill_trees VALUES (6,46,1,'Life Scavenge',33000,40);
INSERT INTO skill_trees VALUES (6,46,2,'Life Scavenge',38000,43);
INSERT INTO skill_trees VALUES (6,46,3,'Life Scavenge',47000,46);
INSERT INTO skill_trees VALUES (6,46,4,'Life Scavenge',70000,49);
INSERT INTO skill_trees VALUES (6,46,5,'Life Scavenge',120000,52);
INSERT INTO skill_trees VALUES (6,46,6,'Life Scavenge',170000,55);
INSERT INTO skill_trees VALUES (6,46,7,'Life Scavenge',170000,58);
INSERT INTO skill_trees VALUES (6,46,8,'Life Scavenge',260000,60);
INSERT INTO skill_trees VALUES (6,46,9,'Life Scavenge',310000,62);
INSERT INTO skill_trees VALUES (6,46,10,'Life Scavenge',370000,64);
INSERT INTO skill_trees VALUES (6,46,11,'Life Scavenge',540000,66);
INSERT INTO skill_trees VALUES (6,46,12,'Life Scavenge',650000,68);
INSERT INTO skill_trees VALUES (6,46,13,'Life Scavenge',660000,70);
INSERT INTO skill_trees VALUES (6,46,14,'Life Scavenge',1200000,72);
INSERT INTO skill_trees VALUES (6,46,15,'Life Scavenge',1800000,74);
INSERT INTO skill_trees VALUES (6,65,1,'Horror',47000,46);
INSERT INTO skill_trees VALUES (6,65,2,'Horror',70000,49);
INSERT INTO skill_trees VALUES (6,65,3,'Horror',120000,52);
INSERT INTO skill_trees VALUES (6,65,4,'Horror',170000,55);
INSERT INTO skill_trees VALUES (6,65,5,'Horror',170000,58);
INSERT INTO skill_trees VALUES (6,65,6,'Horror',260000,60);
INSERT INTO skill_trees VALUES (6,65,7,'Horror',310000,62);
INSERT INTO skill_trees VALUES (6,65,8,'Horror',370000,64);
INSERT INTO skill_trees VALUES (6,65,9,'Horror',540000,66);
INSERT INTO skill_trees VALUES (6,65,10,'Horror',650000,68);
INSERT INTO skill_trees VALUES (6,65,11,'Horror',660000,70);
INSERT INTO skill_trees VALUES (6,65,12,'Horror',1200000,72);
INSERT INTO skill_trees VALUES (6,65,13,'Horror',1800000,74);
INSERT INTO skill_trees VALUES (6,70,14,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,15,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,16,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,17,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,18,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,19,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (6,70,20,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (6,70,21,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (6,70,22,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (6,70,23,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (6,70,24,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (6,70,25,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (6,70,26,'Drain Health',23000,49);
INSERT INTO skill_trees VALUES (6,70,27,'Drain Health',23000,49);
INSERT INTO skill_trees VALUES (6,70,28,'Drain Health',23000,49);
INSERT INTO skill_trees VALUES (6,70,29,'Drain Health',38000,52);
INSERT INTO skill_trees VALUES (6,70,30,'Drain Health',38000,52);
INSERT INTO skill_trees VALUES (6,70,31,'Drain Health',38000,52);
INSERT INTO skill_trees VALUES (6,70,32,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (6,70,33,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (6,70,34,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (6,70,35,'Drain Health',57000,58);
INSERT INTO skill_trees VALUES (6,70,36,'Drain Health',57000,58);
INSERT INTO skill_trees VALUES (6,70,37,'Drain Health',57000,58);
INSERT INTO skill_trees VALUES (6,70,38,'Drain Health',130000,60);
INSERT INTO skill_trees VALUES (6,70,39,'Drain Health',130000,60);
INSERT INTO skill_trees VALUES (6,70,40,'Drain Health',150000,62);
INSERT INTO skill_trees VALUES (6,70,41,'Drain Health',150000,62);
INSERT INTO skill_trees VALUES (6,70,42,'Drain Health',180000,64);
INSERT INTO skill_trees VALUES (6,70,43,'Drain Health',180000,64);
INSERT INTO skill_trees VALUES (6,70,44,'Drain Health',270000,66);
INSERT INTO skill_trees VALUES (6,70,45,'Drain Health',270000,66);
INSERT INTO skill_trees VALUES (6,70,46,'Drain Health',320000,68);
INSERT INTO skill_trees VALUES (6,70,47,'Drain Health',320000,68);
INSERT INTO skill_trees VALUES (6,70,48,'Drain Health',330000,70);
INSERT INTO skill_trees VALUES (6,70,49,'Drain Health',330000,70);
INSERT INTO skill_trees VALUES (6,70,50,'Drain Health',570000,72);
INSERT INTO skill_trees VALUES (6,70,51,'Drain Health',570000,72);
INSERT INTO skill_trees VALUES (6,70,52,'Drain Health',880000,74);
INSERT INTO skill_trees VALUES (6,70,53,'Drain Health',880000,74);
INSERT INTO skill_trees VALUES (6,72,1,'Iron Will',38000,43);
INSERT INTO skill_trees VALUES (6,72,2,'Iron Will',70000,49);
INSERT INTO skill_trees VALUES (6,72,3,'Iron Will',170000,55);
INSERT INTO skill_trees VALUES (6,82,2,'Majesty',33000,40);
INSERT INTO skill_trees VALUES (6,82,3,'Majesty',170000,58);
INSERT INTO skill_trees VALUES (6,86,1,'Reflect Damage',33000,40);
INSERT INTO skill_trees VALUES (6,86,2,'Reflect Damage',47000,46);
INSERT INTO skill_trees VALUES (6,86,3,'Reflect Damage',120000,52);
INSERT INTO skill_trees VALUES (6,92,16,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (6,92,17,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (6,92,18,'Shield Stun',14000,40);
INSERT INTO skill_trees VALUES (6,92,19,'Shield Stun',15000,43);
INSERT INTO skill_trees VALUES (6,92,20,'Shield Stun',15000,43);
INSERT INTO skill_trees VALUES (6,92,21,'Shield Stun',15000,43);
INSERT INTO skill_trees VALUES (6,92,22,'Shield Stun',15000,46);
INSERT INTO skill_trees VALUES (6,92,23,'Shield Stun',15000,46);
INSERT INTO skill_trees VALUES (6,92,24,'Shield Stun',15000,46);
INSERT INTO skill_trees VALUES (6,92,25,'Shield Stun',23000,49);
INSERT INTO skill_trees VALUES (6,92,26,'Shield Stun',23000,49);
INSERT INTO skill_trees VALUES (6,92,27,'Shield Stun',23000,49);
INSERT INTO skill_trees VALUES (6,92,28,'Shield Stun',38000,52);
INSERT INTO skill_trees VALUES (6,92,29,'Shield Stun',38000,52);
INSERT INTO skill_trees VALUES (6,92,30,'Shield Stun',38000,52);
INSERT INTO skill_trees VALUES (6,92,31,'Shield Stun',56000,55);
INSERT INTO skill_trees VALUES (6,92,32,'Shield Stun',56000,55);
INSERT INTO skill_trees VALUES (6,92,33,'Shield Stun',56000,55);
INSERT INTO skill_trees VALUES (6,92,34,'Shield Stun',57000,58);
INSERT INTO skill_trees VALUES (6,92,35,'Shield Stun',57000,58);
INSERT INTO skill_trees VALUES (6,92,36,'Shield Stun',57000,58);
INSERT INTO skill_trees VALUES (6,92,37,'Shield Stun',130000,60);
INSERT INTO skill_trees VALUES (6,92,38,'Shield Stun',130000,60);
INSERT INTO skill_trees VALUES (6,92,39,'Shield Stun',150000,62);
INSERT INTO skill_trees VALUES (6,92,40,'Shield Stun',150000,62);
INSERT INTO skill_trees VALUES (6,92,41,'Shield Stun',180000,64);
INSERT INTO skill_trees VALUES (6,92,42,'Shield Stun',180000,64);
INSERT INTO skill_trees VALUES (6,92,43,'Shield Stun',270000,66);
INSERT INTO skill_trees VALUES (6,92,44,'Shield Stun',270000,66);
INSERT INTO skill_trees VALUES (6,92,45,'Shield Stun',320000,68);
INSERT INTO skill_trees VALUES (6,92,46,'Shield Stun',320000,68);
INSERT INTO skill_trees VALUES (6,92,47,'Shield Stun',330000,70);
INSERT INTO skill_trees VALUES (6,92,48,'Shield Stun',330000,70);
INSERT INTO skill_trees VALUES (6,92,49,'Shield Stun',570000,72);
INSERT INTO skill_trees VALUES (6,92,50,'Shield Stun',570000,72);
INSERT INTO skill_trees VALUES (6,92,51,'Shield Stun',880000,74);
INSERT INTO skill_trees VALUES (6,92,52,'Shield Stun',880000,74);
INSERT INTO skill_trees VALUES (6,103,1,'Corpse Plague',47000,46);
INSERT INTO skill_trees VALUES (6,103,2,'Corpse Plague',170000,58);
INSERT INTO skill_trees VALUES (6,103,3,'Corpse Plague',310000,62);
INSERT INTO skill_trees VALUES (6,103,4,'Corpse Plague',660000,70);
INSERT INTO skill_trees VALUES (6,110,2,'Ultimate Defense',47000,46);
INSERT INTO skill_trees VALUES (6,112,3,'Deflect Arrow',38000,43);
INSERT INTO skill_trees VALUES (6,112,4,'Deflect Arrow',70000,49);
INSERT INTO skill_trees VALUES (6,127,1,'Hamstring',38000,43);
INSERT INTO skill_trees VALUES (6,127,2,'Hamstring',47000,46);
INSERT INTO skill_trees VALUES (6,127,3,'Hamstring',70000,49);
INSERT INTO skill_trees VALUES (6,127,4,'Hamstring',120000,52);
INSERT INTO skill_trees VALUES (6,127,5,'Hamstring',170000,55);
INSERT INTO skill_trees VALUES (6,127,6,'Hamstring',170000,58);
INSERT INTO skill_trees VALUES (6,127,7,'Hamstring',260000,60);
INSERT INTO skill_trees VALUES (6,127,8,'Hamstring',310000,62);
INSERT INTO skill_trees VALUES (6,127,9,'Hamstring',370000,64);
INSERT INTO skill_trees VALUES (6,127,10,'Hamstring',540000,66);
INSERT INTO skill_trees VALUES (6,127,11,'Hamstring',650000,68);
INSERT INTO skill_trees VALUES (6,127,12,'Hamstring',660000,70);
INSERT INTO skill_trees VALUES (6,127,13,'Hamstring',1200000,72);
INSERT INTO skill_trees VALUES (6,127,14,'Hamstring',1800000,74);
INSERT INTO skill_trees VALUES (6,147,15,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (6,147,16,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (6,147,17,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (6,147,18,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (6,147,19,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (6,147,20,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (6,147,21,'Magic Resistance',15000,46);
INSERT INTO skill_trees VALUES (6,147,22,'Magic Resistance',15000,46);
INSERT INTO skill_trees VALUES (6,147,23,'Magic Resistance',15000,46);
INSERT INTO skill_trees VALUES (6,147,24,'Magic Resistance',23000,49);
INSERT INTO skill_trees VALUES (6,147,25,'Magic Resistance',23000,49);
INSERT INTO skill_trees VALUES (6,147,26,'Magic Resistance',23000,49);
INSERT INTO skill_trees VALUES (6,147,27,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (6,147,28,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (6,147,29,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (6,147,30,'Magic Resistance',56000,55);
INSERT INTO skill_trees VALUES (6,147,31,'Magic Resistance',56000,55);
INSERT INTO skill_trees VALUES (6,147,32,'Magic Resistance',56000,55);
INSERT INTO skill_trees VALUES (6,147,33,'Magic Resistance',57000,58);
INSERT INTO skill_trees VALUES (6,147,34,'Magic Resistance',57000,58);
INSERT INTO skill_trees VALUES (6,147,35,'Magic Resistance',57000,58);
INSERT INTO skill_trees VALUES (6,147,36,'Magic Resistance',130000,60);
INSERT INTO skill_trees VALUES (6,147,37,'Magic Resistance',130000,60);
INSERT INTO skill_trees VALUES (6,147,38,'Magic Resistance',150000,62);
INSERT INTO skill_trees VALUES (6,147,39,'Magic Resistance',150000,62);
INSERT INTO skill_trees VALUES (6,147,40,'Magic Resistance',180000,64);
INSERT INTO skill_trees VALUES (6,147,41,'Magic Resistance',180000,64);
INSERT INTO skill_trees VALUES (6,147,42,'Magic Resistance',270000,66);
INSERT INTO skill_trees VALUES (6,147,43,'Magic Resistance',270000,66);
INSERT INTO skill_trees VALUES (6,147,44,'Magic Resistance',320000,68);
INSERT INTO skill_trees VALUES (6,147,45,'Magic Resistance',320000,68);
INSERT INTO skill_trees VALUES (6,147,46,'Magic Resistance',330000,70);
INSERT INTO skill_trees VALUES (6,147,47,'Magic Resistance',330000,70);
INSERT INTO skill_trees VALUES (6,147,48,'Magic Resistance',570000,72);
INSERT INTO skill_trees VALUES (6,147,49,'Magic Resistance',570000,72);
INSERT INTO skill_trees VALUES (6,147,50,'Magic Resistance',880000,74);
INSERT INTO skill_trees VALUES (6,147,51,'Magic Resistance',880000,74);
INSERT INTO skill_trees VALUES (6,153,3,'Shield Mastery',33000,40);
INSERT INTO skill_trees VALUES (6,153,4,'Shield Mastery',120000,52);
INSERT INTO skill_trees VALUES (6,191,2,'Focus Mind',38000,43);
INSERT INTO skill_trees VALUES (6,191,3,'Focus Mind',70000,49);
INSERT INTO skill_trees VALUES (6,191,4,'Focus Mind',170000,55);
INSERT INTO skill_trees VALUES (6,191,5,'Focus Mind',370000,64);
INSERT INTO skill_trees VALUES (6,191,6,'Focus Mind',1200000,72);
INSERT INTO skill_trees VALUES (6,217,9,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,217,10,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,217,11,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,217,12,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,217,13,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,217,14,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,217,15,'Sword Blunt Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,217,16,'Sword Blunt Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,217,17,'Sword Blunt Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,217,18,'Sword Blunt Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,217,19,'Sword Blunt Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,217,20,'Sword Blunt Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,217,21,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,217,22,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,217,23,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,217,24,'Sword Blunt Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,217,25,'Sword Blunt Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,217,26,'Sword Blunt Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,217,27,'Sword Blunt Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,217,28,'Sword Blunt Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,217,29,'Sword Blunt Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,217,30,'Sword Blunt Mastery',130000,60);
INSERT INTO skill_trees VALUES (6,217,31,'Sword Blunt Mastery',130000,60);
INSERT INTO skill_trees VALUES (6,217,32,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (6,217,33,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (6,217,34,'Sword Blunt Mastery',180000,64);
INSERT INTO skill_trees VALUES (6,217,35,'Sword Blunt Mastery',180000,64);
INSERT INTO skill_trees VALUES (6,217,36,'Sword Blunt Mastery',270000,66);
INSERT INTO skill_trees VALUES (6,217,37,'Sword Blunt Mastery',270000,66);
INSERT INTO skill_trees VALUES (6,217,38,'Sword Blunt Mastery',320000,68);
INSERT INTO skill_trees VALUES (6,217,39,'Sword Blunt Mastery',320000,68);
INSERT INTO skill_trees VALUES (6,217,40,'Sword Blunt Mastery',330000,70);
INSERT INTO skill_trees VALUES (6,217,41,'Sword Blunt Mastery',330000,70);
INSERT INTO skill_trees VALUES (6,217,42,'Sword Blunt Mastery',570000,72);
INSERT INTO skill_trees VALUES (6,217,43,'Sword Blunt Mastery',570000,72);
INSERT INTO skill_trees VALUES (6,217,44,'Sword Blunt Mastery',880000,74);
INSERT INTO skill_trees VALUES (6,217,45,'Sword Blunt Mastery',880000,74);
INSERT INTO skill_trees VALUES (6,232,16,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,232,17,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,232,18,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (6,232,19,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,232,20,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,232,21,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (6,232,22,'Heavy Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,232,23,'Heavy Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,232,24,'Heavy Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (6,232,25,'Heavy Armor Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,232,26,'Heavy Armor Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,232,27,'Heavy Armor Mastery',23000,49);
INSERT INTO skill_trees VALUES (6,232,28,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,232,29,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,232,30,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (6,232,31,'Heavy Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,232,32,'Heavy Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,232,33,'Heavy Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (6,232,34,'Heavy Armor Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,232,35,'Heavy Armor Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,232,36,'Heavy Armor Mastery',57000,58);
INSERT INTO skill_trees VALUES (6,232,37,'Heavy Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (6,232,38,'Heavy Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (6,232,39,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (6,232,40,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (6,232,41,'Heavy Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (6,232,42,'Heavy Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (6,232,43,'Heavy Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (6,232,44,'Heavy Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (6,232,45,'Heavy Armor Mastery',320000,68);
INSERT INTO skill_trees VALUES (6,232,46,'Heavy Armor Mastery',320000,68);
INSERT INTO skill_trees VALUES (6,232,47,'Heavy Armor Mastery',330000,70);
INSERT INTO skill_trees VALUES (6,232,48,'Heavy Armor Mastery',330000,70);
INSERT INTO skill_trees VALUES (6,232,49,'Heavy Armor Mastery',570000,72);
INSERT INTO skill_trees VALUES (6,232,50,'Heavy Armor Mastery',570000,72);
INSERT INTO skill_trees VALUES (6,232,51,'Heavy Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (6,232,52,'Heavy Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (6,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (6,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (6,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (6,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (6,283,1,'Summon Dark Panther',33000,40);
INSERT INTO skill_trees VALUES (6,283,2,'Summon Dark Panther',70000,49);
INSERT INTO skill_trees VALUES (6,283,3,'Summon Dark Panther',170000,58);
INSERT INTO skill_trees VALUES (6,283,4,'Summon Dark Panther',310000,62);
INSERT INTO skill_trees VALUES (6,283,5,'Summon Dark Panther',540000,66);
INSERT INTO skill_trees VALUES (6,283,6,'Summon Dark Panther',660000,70);
INSERT INTO skill_trees VALUES (6,283,7,'Summon Dark Panther',1800000,74);
INSERT INTO skill_trees VALUES (6,291,1,'Final Fortress',120000,52);
INSERT INTO skill_trees VALUES (6,291,2,'Final Fortress',170000,55);
INSERT INTO skill_trees VALUES (6,291,3,'Final Fortress',170000,58);
INSERT INTO skill_trees VALUES (6,291,4,'Final Fortress',260000,60);
INSERT INTO skill_trees VALUES (6,291,5,'Final Fortress',310000,62);
INSERT INTO skill_trees VALUES (6,291,6,'Final Fortress',370000,64);
INSERT INTO skill_trees VALUES (6,291,7,'Final Fortress',540000,66);
INSERT INTO skill_trees VALUES (6,291,8,'Final Fortress',650000,68);
INSERT INTO skill_trees VALUES (6,291,9,'Final Fortress',660000,70);
INSERT INTO skill_trees VALUES (6,291,10,'Final Fortress',1200000,72);
INSERT INTO skill_trees VALUES (6,291,11,'Final Fortress',1800000,74);
INSERT INTO skill_trees VALUES (6,322,1,'Shield Fortress',370000,64);
INSERT INTO skill_trees VALUES (6,322,2,'Shield Fortress',540000,66);
INSERT INTO skill_trees VALUES (6,322,3,'Shield Fortress',650000,68);
INSERT INTO skill_trees VALUES (6,322,4,'Shield Fortress',660000,70);
INSERT INTO skill_trees VALUES (6,322,5,'Shield Fortress',1200000,72);
INSERT INTO skill_trees VALUES (6,322,6,'Shield Fortress',1800000,74);
INSERT INTO skill_trees VALUES (7,4,1,'Dash',3400,20);
INSERT INTO skill_trees VALUES (7,16,10,'Mortal Blow',1400,20);
INSERT INTO skill_trees VALUES (7,16,11,'Mortal Blow',1400,20);
INSERT INTO skill_trees VALUES (7,16,12,'Mortal Blow',1400,20);
INSERT INTO skill_trees VALUES (7,16,13,'Mortal Blow',1900,24);
INSERT INTO skill_trees VALUES (7,16,14,'Mortal Blow',1900,24);
INSERT INTO skill_trees VALUES (7,16,15,'Mortal Blow',1900,24);
INSERT INTO skill_trees VALUES (7,16,16,'Mortal Blow',3600,28);
INSERT INTO skill_trees VALUES (7,16,17,'Mortal Blow',3600,28);
INSERT INTO skill_trees VALUES (7,16,18,'Mortal Blow',3600,28);
INSERT INTO skill_trees VALUES (7,16,19,'Mortal Blow',6100,32);
INSERT INTO skill_trees VALUES (7,16,20,'Mortal Blow',6100,32);
INSERT INTO skill_trees VALUES (7,16,21,'Mortal Blow',6100,32);
INSERT INTO skill_trees VALUES (7,16,22,'Mortal Blow',10000,36);
INSERT INTO skill_trees VALUES (7,16,23,'Mortal Blow',10000,36);
INSERT INTO skill_trees VALUES (7,16,24,'Mortal Blow',10000,36);
INSERT INTO skill_trees VALUES (7,27,1,'Unlock',3400,20);
INSERT INTO skill_trees VALUES (7,27,2,'Unlock',5900,24);
INSERT INTO skill_trees VALUES (7,27,3,'Unlock',11000,28);
INSERT INTO skill_trees VALUES (7,27,4,'Unlock',18000,32);
INSERT INTO skill_trees VALUES (7,27,5,'Unlock',31000,36);
INSERT INTO skill_trees VALUES (7,56,10,'Power Shot',1400,20);
INSERT INTO skill_trees VALUES (7,56,11,'Power Shot',1400,20);
INSERT INTO skill_trees VALUES (7,56,12,'Power Shot',1400,20);
INSERT INTO skill_trees VALUES (7,56,13,'Power Shot',1900,24);
INSERT INTO skill_trees VALUES (7,56,14,'Power Shot',1900,24);
INSERT INTO skill_trees VALUES (7,56,15,'Power Shot',1900,24);
INSERT INTO skill_trees VALUES (7,56,16,'Power Shot',3600,28);
INSERT INTO skill_trees VALUES (7,56,17,'Power Shot',3600,28);
INSERT INTO skill_trees VALUES (7,56,18,'Power Shot',3600,28);
INSERT INTO skill_trees VALUES (7,56,19,'Power Shot',6100,32);
INSERT INTO skill_trees VALUES (7,56,20,'Power Shot',6100,32);
INSERT INTO skill_trees VALUES (7,56,21,'Power Shot',6100,32);
INSERT INTO skill_trees VALUES (7,56,22,'Power Shot',10000,36);
INSERT INTO skill_trees VALUES (7,56,23,'Power Shot',10000,36);
INSERT INTO skill_trees VALUES (7,56,24,'Power Shot',10000,36);
INSERT INTO skill_trees VALUES (7,96,1,'Bleed',5900,24);
INSERT INTO skill_trees VALUES (7,96,2,'Bleed',18000,32);
INSERT INTO skill_trees VALUES (7,99,1,'Rapid Shot',18000,32);
INSERT INTO skill_trees VALUES (7,101,1,'Stun Shot',10000,36);
INSERT INTO skill_trees VALUES (7,101,2,'Stun Shot',10000,36);
INSERT INTO skill_trees VALUES (7,101,3,'Stun Shot',10000,36);
INSERT INTO skill_trees VALUES (7,111,1,'Ultimate Evasion',11000,28);
INSERT INTO skill_trees VALUES (7,113,1,'Long Shot',3400,20);
INSERT INTO skill_trees VALUES (7,137,1,'Critical Chance',11000,28);
INSERT INTO skill_trees VALUES (7,148,1,'Vital Force',5900,24);
INSERT INTO skill_trees VALUES (7,148,2,'Vital Force',18000,32);
INSERT INTO skill_trees VALUES (7,168,1,'Boost Attack Speed',31000,36);
INSERT INTO skill_trees VALUES (7,169,1,'Quick Step',11000,28);
INSERT INTO skill_trees VALUES (7,171,1,'Esprit',31000,36);
INSERT INTO skill_trees VALUES (7,173,1,'Acrobat',3400,20);
INSERT INTO skill_trees VALUES (7,193,1,'Critical Power',5900,24);
INSERT INTO skill_trees VALUES (7,193,2,'Critical Power',18000,32);
INSERT INTO skill_trees VALUES (7,195,1,'Boost Breath',3400,20);
INSERT INTO skill_trees VALUES (7,198,1,'Boost Evasion',5900,24);
INSERT INTO skill_trees VALUES (7,208,1,'Bow Mastery',1100,20);
INSERT INTO skill_trees VALUES (7,208,2,'Bow Mastery',1100,20);
INSERT INTO skill_trees VALUES (7,208,3,'Bow Mastery',1100,20);
INSERT INTO skill_trees VALUES (7,208,4,'Bow Mastery',1900,24);
INSERT INTO skill_trees VALUES (7,208,5,'Bow Mastery',1900,24);
INSERT INTO skill_trees VALUES (7,208,6,'Bow Mastery',1900,24);
INSERT INTO skill_trees VALUES (7,208,7,'Bow Mastery',3600,28);
INSERT INTO skill_trees VALUES (7,208,8,'Bow Mastery',3600,28);
INSERT INTO skill_trees VALUES (7,208,9,'Bow Mastery',3600,28);
INSERT INTO skill_trees VALUES (7,208,10,'Bow Mastery',6100,32);
INSERT INTO skill_trees VALUES (7,208,11,'Bow Mastery',6100,32);
INSERT INTO skill_trees VALUES (7,208,12,'Bow Mastery',6100,32);
INSERT INTO skill_trees VALUES (7,208,13,'Bow Mastery',10000,36);
INSERT INTO skill_trees VALUES (7,208,14,'Bow Mastery',10000,36);
INSERT INTO skill_trees VALUES (7,208,15,'Bow Mastery',10000,36);
INSERT INTO skill_trees VALUES (7,209,1,'Dagger Mastery',3400,20);
INSERT INTO skill_trees VALUES (7,209,2,'Dagger Mastery',5900,24);
INSERT INTO skill_trees VALUES (7,209,3,'Dagger Mastery',5500,28);
INSERT INTO skill_trees VALUES (7,209,4,'Dagger Mastery',5500,28);
INSERT INTO skill_trees VALUES (7,209,5,'Dagger Mastery',9100,32);
INSERT INTO skill_trees VALUES (7,209,6,'Dagger Mastery',9100,32);
INSERT INTO skill_trees VALUES (7,209,7,'Dagger Mastery',16000,36);
INSERT INTO skill_trees VALUES (7,209,8,'Dagger Mastery',16000,36);
INSERT INTO skill_trees VALUES (7,225,1,'Acrobatic Move',11000,28);
INSERT INTO skill_trees VALUES (7,233,1,'Light Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (7,233,2,'Light Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (7,233,3,'Light Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (7,233,4,'Light Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (7,233,5,'Light Armor Mastery',5500,28);
INSERT INTO skill_trees VALUES (7,233,6,'Light Armor Mastery',5500,28);
INSERT INTO skill_trees VALUES (7,233,7,'Light Armor Mastery',9100,32);
INSERT INTO skill_trees VALUES (7,233,8,'Light Armor Mastery',9100,32);
INSERT INTO skill_trees VALUES (7,233,9,'Light Armor Mastery',16000,36);
INSERT INTO skill_trees VALUES (7,233,10,'Light Armor Mastery',16000,36);
INSERT INTO skill_trees VALUES (7,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (7,256,1,'Accuracy',5900,24);
INSERT INTO skill_trees VALUES (7,312,1,'Vicious Stance',3400,20);
INSERT INTO skill_trees VALUES (7,312,2,'Vicious Stance',5900,24);
INSERT INTO skill_trees VALUES (7,312,3,'Vicious Stance',11000,28);
INSERT INTO skill_trees VALUES (7,312,4,'Vicious Stance',18000,32);
INSERT INTO skill_trees VALUES (7,312,5,'Vicious Stance',31000,36);
INSERT INTO skill_trees VALUES (8,4,2,'Dash',47000,46);
INSERT INTO skill_trees VALUES (8,11,1,'Trick',89000,49);
INSERT INTO skill_trees VALUES (8,11,2,'Trick',120000,52);
INSERT INTO skill_trees VALUES (8,11,3,'Trick',170000,55);
INSERT INTO skill_trees VALUES (8,11,4,'Trick',200000,58);
INSERT INTO skill_trees VALUES (8,11,5,'Trick',320000,60);
INSERT INTO skill_trees VALUES (8,11,6,'Trick',440000,62);
INSERT INTO skill_trees VALUES (8,11,7,'Trick',450000,64);
INSERT INTO skill_trees VALUES (8,11,8,'Trick',770000,66);
INSERT INTO skill_trees VALUES (8,11,9,'Trick',780000,68);
INSERT INTO skill_trees VALUES (8,11,10,'Trick',1000000,70);
INSERT INTO skill_trees VALUES (8,11,11,'Trick',1400000,72);
INSERT INTO skill_trees VALUES (8,11,12,'Trick',2600000,74);
INSERT INTO skill_trees VALUES (8,12,1,'Switch',41000,43);
INSERT INTO skill_trees VALUES (8,12,2,'Switch',47000,46);
INSERT INTO skill_trees VALUES (8,12,3,'Switch',89000,49);
INSERT INTO skill_trees VALUES (8,12,4,'Switch',120000,52);
INSERT INTO skill_trees VALUES (8,12,5,'Switch',170000,55);
INSERT INTO skill_trees VALUES (8,12,6,'Switch',200000,58);
INSERT INTO skill_trees VALUES (8,12,7,'Switch',320000,60);
INSERT INTO skill_trees VALUES (8,12,8,'Switch',440000,62);
INSERT INTO skill_trees VALUES (8,12,9,'Switch',450000,64);
INSERT INTO skill_trees VALUES (8,12,10,'Switch',770000,66);
INSERT INTO skill_trees VALUES (8,12,11,'Switch',780000,68);
INSERT INTO skill_trees VALUES (8,12,12,'Switch',1000000,70);
INSERT INTO skill_trees VALUES (8,12,13,'Switch',1400000,72);
INSERT INTO skill_trees VALUES (8,12,14,'Switch',2600000,74);
INSERT INTO skill_trees VALUES (8,27,6,'Unlock',35000,40);
INSERT INTO skill_trees VALUES (8,27,7,'Unlock',41000,43);
INSERT INTO skill_trees VALUES (8,27,8,'Unlock',47000,46);
INSERT INTO skill_trees VALUES (8,27,9,'Unlock',120000,52);
INSERT INTO skill_trees VALUES (8,27,10,'Unlock',170000,55);
INSERT INTO skill_trees VALUES (8,27,11,'Unlock',320000,60);
INSERT INTO skill_trees VALUES (8,27,12,'Unlock',430000,64);
INSERT INTO skill_trees VALUES (8,27,13,'Unlock',780000,68);
INSERT INTO skill_trees VALUES (8,27,14,'Unlock',1400000,72);
INSERT INTO skill_trees VALUES (8,30,1,'Backstab',12000,40);
INSERT INTO skill_trees VALUES (8,30,2,'Backstab',12000,40);
INSERT INTO skill_trees VALUES (8,30,3,'Backstab',12000,40);
INSERT INTO skill_trees VALUES (8,30,4,'Backstab',14000,43);
INSERT INTO skill_trees VALUES (8,30,5,'Backstab',14000,43);
INSERT INTO skill_trees VALUES (8,30,6,'Backstab',14000,43);
INSERT INTO skill_trees VALUES (8,30,7,'Backstab',15000,46);
INSERT INTO skill_trees VALUES (8,30,8,'Backstab',15000,46);
INSERT INTO skill_trees VALUES (8,30,9,'Backstab',15000,46);
INSERT INTO skill_trees VALUES (8,30,10,'Backstab',30000,49);
INSERT INTO skill_trees VALUES (8,30,11,'Backstab',30000,49);
INSERT INTO skill_trees VALUES (8,30,12,'Backstab',30000,49);
INSERT INTO skill_trees VALUES (8,30,13,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (8,30,14,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (8,30,15,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (8,30,16,'Backstab',56000,55);
INSERT INTO skill_trees VALUES (8,30,17,'Backstab',56000,55);
INSERT INTO skill_trees VALUES (8,30,18,'Backstab',56000,55);
INSERT INTO skill_trees VALUES (8,30,19,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (8,30,20,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (8,30,21,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (8,30,22,'Backstab',160000,60);
INSERT INTO skill_trees VALUES (8,30,23,'Backstab',160000,60);
INSERT INTO skill_trees VALUES (8,30,24,'Backstab',220000,62);
INSERT INTO skill_trees VALUES (8,30,25,'Backstab',220000,62);
INSERT INTO skill_trees VALUES (8,30,26,'Backstab',220000,64);
INSERT INTO skill_trees VALUES (8,30,27,'Backstab',220000,64);
INSERT INTO skill_trees VALUES (8,30,28,'Backstab',390000,66);
INSERT INTO skill_trees VALUES (8,30,29,'Backstab',390000,66);
INSERT INTO skill_trees VALUES (8,30,30,'Backstab',390000,68);
INSERT INTO skill_trees VALUES (8,30,31,'Backstab',390000,68);
INSERT INTO skill_trees VALUES (8,30,32,'Backstab',520000,70);
INSERT INTO skill_trees VALUES (8,30,33,'Backstab',520000,70);
INSERT INTO skill_trees VALUES (8,30,34,'Backstab',680000,72);
INSERT INTO skill_trees VALUES (8,30,35,'Backstab',680000,72);
INSERT INTO skill_trees VALUES (8,30,36,'Backstab',1300000,74);
INSERT INTO skill_trees VALUES (8,30,37,'Backstab',1300000,74);
INSERT INTO skill_trees VALUES (8,51,1,'Lure',120000,52);
INSERT INTO skill_trees VALUES (8,60,1,'Fake Death',35000,40);
INSERT INTO skill_trees VALUES (8,96,3,'Bleed',89000,49);
INSERT INTO skill_trees VALUES (8,96,4,'Bleed',200000,58);
INSERT INTO skill_trees VALUES (8,96,5,'Bleed',770000,66);
INSERT INTO skill_trees VALUES (8,96,6,'Bleed',1000000,70);
INSERT INTO skill_trees VALUES (8,106,1,'Veil',41000,43);
INSERT INTO skill_trees VALUES (8,106,2,'Veil',47000,46);
INSERT INTO skill_trees VALUES (8,106,3,'Veil',89000,49);
INSERT INTO skill_trees VALUES (8,106,4,'Veil',120000,52);
INSERT INTO skill_trees VALUES (8,106,5,'Veil',170000,55);
INSERT INTO skill_trees VALUES (8,106,6,'Veil',200000,58);
INSERT INTO skill_trees VALUES (8,106,7,'Veil',320000,60);
INSERT INTO skill_trees VALUES (8,106,8,'Veil',440000,62);
INSERT INTO skill_trees VALUES (8,106,9,'Veil',450000,64);
INSERT INTO skill_trees VALUES (8,106,10,'Veil',770000,66);
INSERT INTO skill_trees VALUES (8,106,11,'Veil',780000,68);
INSERT INTO skill_trees VALUES (8,106,12,'Veil',1000000,70);
INSERT INTO skill_trees VALUES (8,106,13,'Veil',1400000,72);
INSERT INTO skill_trees VALUES (8,106,14,'Veil',2600000,74);
INSERT INTO skill_trees VALUES (8,111,2,'Ultimate Evasion',170000,55);
INSERT INTO skill_trees VALUES (8,137,2,'Critical Chance',35000,40);
INSERT INTO skill_trees VALUES (8,137,3,'Critical Chance',89000,49);
INSERT INTO skill_trees VALUES (8,148,3,'Vital Force',35000,40);
INSERT INTO skill_trees VALUES (8,148,4,'Vital Force',47000,46);
INSERT INTO skill_trees VALUES (8,148,5,'Vital Force',120000,52);
INSERT INTO skill_trees VALUES (8,148,6,'Vital Force',200000,58);
INSERT INTO skill_trees VALUES (8,148,7,'Vital Force',430000,64);
INSERT INTO skill_trees VALUES (8,148,8,'Vital Force',1400000,72);
INSERT INTO skill_trees VALUES (8,168,2,'Boost Attack Speed',47000,46);
INSERT INTO skill_trees VALUES (8,168,3,'Boost Attack Speed',200000,58);
INSERT INTO skill_trees VALUES (8,169,2,'Quick Step',41000,43);
INSERT INTO skill_trees VALUES (8,171,2,'Esprit',41000,43);
INSERT INTO skill_trees VALUES (8,171,3,'Esprit',47000,46);
INSERT INTO skill_trees VALUES (8,171,4,'Esprit',89000,49);
INSERT INTO skill_trees VALUES (8,171,5,'Esprit',120000,52);
INSERT INTO skill_trees VALUES (8,171,6,'Esprit',440000,62);
INSERT INTO skill_trees VALUES (8,171,7,'Esprit',780000,68);
INSERT INTO skill_trees VALUES (8,171,8,'Esprit',2600000,74);
INSERT INTO skill_trees VALUES (8,173,2,'Acrobat',170000,55);
INSERT INTO skill_trees VALUES (8,193,3,'Critical Power',35000,40);
INSERT INTO skill_trees VALUES (8,193,4,'Critical Power',120000,52);
INSERT INTO skill_trees VALUES (8,193,5,'Critical Power',430000,64);
INSERT INTO skill_trees VALUES (8,193,6,'Critical Power',1400000,72);
INSERT INTO skill_trees VALUES (8,195,2,'Boost Breath',170000,55);
INSERT INTO skill_trees VALUES (8,198,2,'Boost Evasion',47000,46);
INSERT INTO skill_trees VALUES (8,198,3,'Boost Evasion',200000,58);
INSERT INTO skill_trees VALUES (8,209,9,'Dagger Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,209,10,'Dagger Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,209,11,'Dagger Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,209,12,'Dagger Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,209,13,'Dagger Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,209,14,'Dagger Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,209,15,'Dagger Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,209,16,'Dagger Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,209,17,'Dagger Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,209,18,'Dagger Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,209,19,'Dagger Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,209,20,'Dagger Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,209,21,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,209,22,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,209,23,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,209,24,'Dagger Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,209,25,'Dagger Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,209,26,'Dagger Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,209,27,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,209,28,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,209,29,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,209,30,'Dagger Mastery',160000,60);
INSERT INTO skill_trees VALUES (8,209,31,'Dagger Mastery',160000,60);
INSERT INTO skill_trees VALUES (8,209,32,'Dagger Mastery',220000,62);
INSERT INTO skill_trees VALUES (8,209,33,'Dagger Mastery',220000,62);
INSERT INTO skill_trees VALUES (8,209,34,'Dagger Mastery',220000,64);
INSERT INTO skill_trees VALUES (8,209,35,'Dagger Mastery',220000,64);
INSERT INTO skill_trees VALUES (8,209,36,'Dagger Mastery',390000,66);
INSERT INTO skill_trees VALUES (8,209,37,'Dagger Mastery',390000,66);
INSERT INTO skill_trees VALUES (8,209,38,'Dagger Mastery',390000,68);
INSERT INTO skill_trees VALUES (8,209,39,'Dagger Mastery',390000,68);
INSERT INTO skill_trees VALUES (8,209,40,'Dagger Mastery',520000,70);
INSERT INTO skill_trees VALUES (8,209,41,'Dagger Mastery',520000,70);
INSERT INTO skill_trees VALUES (8,209,42,'Dagger Mastery',680000,72);
INSERT INTO skill_trees VALUES (8,209,43,'Dagger Mastery',680000,72);
INSERT INTO skill_trees VALUES (8,209,44,'Dagger Mastery',1300000,74);
INSERT INTO skill_trees VALUES (8,209,45,'Dagger Mastery',1300000,74);
INSERT INTO skill_trees VALUES (8,221,1,'Silent Move',35000,40);
INSERT INTO skill_trees VALUES (8,225,2,'Acrobatic Move',41000,43);
INSERT INTO skill_trees VALUES (8,225,3,'Acrobatic Move',170000,55);
INSERT INTO skill_trees VALUES (8,233,11,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,233,12,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,233,13,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (8,233,14,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,233,15,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,233,16,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (8,233,17,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,233,18,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,233,19,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (8,233,20,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,233,21,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,233,22,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (8,233,23,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,233,24,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,233,25,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (8,233,26,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,233,27,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,233,28,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (8,233,29,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,233,30,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,233,31,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (8,233,32,'Light Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (8,233,33,'Light Armor Mastery',160000,60);
INSERT INTO skill_trees VALUES (8,233,34,'Light Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (8,233,35,'Light Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (8,233,36,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (8,233,37,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (8,233,38,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (8,233,39,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (8,233,40,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (8,233,41,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (8,233,42,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (8,233,43,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (8,233,44,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (8,233,45,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (8,233,46,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (8,233,47,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (8,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (8,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (8,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (8,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (8,263,1,'Deadly Blow',12000,40);
INSERT INTO skill_trees VALUES (8,263,2,'Deadly Blow',12000,40);
INSERT INTO skill_trees VALUES (8,263,3,'Deadly Blow',12000,40);
INSERT INTO skill_trees VALUES (8,263,4,'Deadly Blow',14000,43);
INSERT INTO skill_trees VALUES (8,263,5,'Deadly Blow',14000,43);
INSERT INTO skill_trees VALUES (8,263,6,'Deadly Blow',14000,43);
INSERT INTO skill_trees VALUES (8,263,7,'Deadly Blow',15000,46);
INSERT INTO skill_trees VALUES (8,263,8,'Deadly Blow',15000,46);
INSERT INTO skill_trees VALUES (8,263,9,'Deadly Blow',15000,46);
INSERT INTO skill_trees VALUES (8,263,10,'Deadly Blow',30000,49);
INSERT INTO skill_trees VALUES (8,263,11,'Deadly Blow',30000,49);
INSERT INTO skill_trees VALUES (8,263,12,'Deadly Blow',30000,49);
INSERT INTO skill_trees VALUES (8,263,13,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (8,263,14,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (8,263,15,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (8,263,16,'Deadly Blow',56000,55);
INSERT INTO skill_trees VALUES (8,263,17,'Deadly Blow',56000,55);
INSERT INTO skill_trees VALUES (8,263,18,'Deadly Blow',56000,55);
INSERT INTO skill_trees VALUES (8,263,19,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (8,263,20,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (8,263,21,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (8,263,22,'Deadly Blow',160000,60);
INSERT INTO skill_trees VALUES (8,263,23,'Deadly Blow',160000,60);
INSERT INTO skill_trees VALUES (8,263,24,'Deadly Blow',220000,62);
INSERT INTO skill_trees VALUES (8,263,25,'Deadly Blow',220000,62);
INSERT INTO skill_trees VALUES (8,263,26,'Deadly Blow',220000,64);
INSERT INTO skill_trees VALUES (8,263,27,'Deadly Blow',220000,64);
INSERT INTO skill_trees VALUES (8,263,28,'Deadly Blow',390000,66);
INSERT INTO skill_trees VALUES (8,263,29,'Deadly Blow',390000,66);
INSERT INTO skill_trees VALUES (8,263,30,'Deadly Blow',390000,68);
INSERT INTO skill_trees VALUES (8,263,31,'Deadly Blow',390000,68);
INSERT INTO skill_trees VALUES (8,263,32,'Deadly Blow',520000,70);
INSERT INTO skill_trees VALUES (8,263,33,'Deadly Blow',520000,70);
INSERT INTO skill_trees VALUES (8,263,34,'Deadly Blow',680000,72);
INSERT INTO skill_trees VALUES (8,263,35,'Deadly Blow',680000,72);
INSERT INTO skill_trees VALUES (8,263,36,'Deadly Blow',1300000,74);
INSERT INTO skill_trees VALUES (8,263,37,'Deadly Blow',1300000,74);
INSERT INTO skill_trees VALUES (8,312,6,'Vicious Stance',35000,40);
INSERT INTO skill_trees VALUES (8,312,7,'Vicious Stance',41000,43);
INSERT INTO skill_trees VALUES (8,312,8,'Vicious Stance',47000,46);
INSERT INTO skill_trees VALUES (8,312,9,'Vicious Stance',89000,49);
INSERT INTO skill_trees VALUES (8,312,10,'Vicious Stance',120000,52);
INSERT INTO skill_trees VALUES (8,312,11,'Vicious Stance',170000,55);
INSERT INTO skill_trees VALUES (8,312,12,'Vicious Stance',200000,58);
INSERT INTO skill_trees VALUES (8,312,13,'Vicious Stance',320000,60);
INSERT INTO skill_trees VALUES (8,312,14,'Vicious Stance',440000,62);
INSERT INTO skill_trees VALUES (8,312,15,'Vicious Stance',450000,64);
INSERT INTO skill_trees VALUES (8,312,16,'Vicious Stance',770000,66);
INSERT INTO skill_trees VALUES (8,312,17,'Vicious Stance',780000,68);
INSERT INTO skill_trees VALUES (8,312,18,'Vicious Stance',1000000,70);
INSERT INTO skill_trees VALUES (8,312,19,'Vicious Stance',1400000,72);
INSERT INTO skill_trees VALUES (8,312,20,'Vicious Stance',2600000,74);
INSERT INTO skill_trees VALUES (9,19,1,'Double Shot',16000,40);
INSERT INTO skill_trees VALUES (9,19,2,'Double Shot',16000,40);
INSERT INTO skill_trees VALUES (9,19,3,'Double Shot',16000,40);
INSERT INTO skill_trees VALUES (9,19,4,'Double Shot',19000,43);
INSERT INTO skill_trees VALUES (9,19,5,'Double Shot',19000,43);
INSERT INTO skill_trees VALUES (9,19,6,'Double Shot',19000,43);
INSERT INTO skill_trees VALUES (9,19,7,'Double Shot',22000,46);
INSERT INTO skill_trees VALUES (9,19,8,'Double Shot',22000,46);
INSERT INTO skill_trees VALUES (9,19,9,'Double Shot',22000,46);
INSERT INTO skill_trees VALUES (9,19,10,'Double Shot',41000,49);
INSERT INTO skill_trees VALUES (9,19,11,'Double Shot',41000,49);
INSERT INTO skill_trees VALUES (9,19,12,'Double Shot',41000,49);
INSERT INTO skill_trees VALUES (9,19,13,'Double Shot',63000,52);
INSERT INTO skill_trees VALUES (9,19,14,'Double Shot',63000,52);
INSERT INTO skill_trees VALUES (9,19,15,'Double Shot',63000,52);
INSERT INTO skill_trees VALUES (9,19,16,'Double Shot',90000,55);
INSERT INTO skill_trees VALUES (9,19,17,'Double Shot',90000,55);
INSERT INTO skill_trees VALUES (9,19,18,'Double Shot',90000,55);
INSERT INTO skill_trees VALUES (9,19,19,'Double Shot',93000,58);
INSERT INTO skill_trees VALUES (9,19,20,'Double Shot',93000,58);
INSERT INTO skill_trees VALUES (9,19,21,'Double Shot',93000,58);
INSERT INTO skill_trees VALUES (9,19,22,'Double Shot',210000,60);
INSERT INTO skill_trees VALUES (9,19,23,'Double Shot',210000,60);
INSERT INTO skill_trees VALUES (9,19,24,'Double Shot',250000,62);
INSERT INTO skill_trees VALUES (9,19,25,'Double Shot',250000,62);
INSERT INTO skill_trees VALUES (9,19,26,'Double Shot',270000,64);
INSERT INTO skill_trees VALUES (9,19,27,'Double Shot',270000,64);
INSERT INTO skill_trees VALUES (9,19,28,'Double Shot',440000,66);
INSERT INTO skill_trees VALUES (9,19,29,'Double Shot',440000,66);
INSERT INTO skill_trees VALUES (9,19,30,'Double Shot',490000,68);
INSERT INTO skill_trees VALUES (9,19,31,'Double Shot',490000,68);
INSERT INTO skill_trees VALUES (9,19,32,'Double Shot',580000,70);
INSERT INTO skill_trees VALUES (9,19,33,'Double Shot',580000,70);
INSERT INTO skill_trees VALUES (9,19,34,'Double Shot',840000,72);
INSERT INTO skill_trees VALUES (9,19,35,'Double Shot',840000,72);
INSERT INTO skill_trees VALUES (9,19,36,'Double Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,19,37,'Double Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,24,1,'Burst Shot',22000,46);
INSERT INTO skill_trees VALUES (9,24,2,'Burst Shot',22000,46);
INSERT INTO skill_trees VALUES (9,24,3,'Burst Shot',22000,46);
INSERT INTO skill_trees VALUES (9,24,4,'Burst Shot',41000,49);
INSERT INTO skill_trees VALUES (9,24,5,'Burst Shot',41000,49);
INSERT INTO skill_trees VALUES (9,24,6,'Burst Shot',41000,49);
INSERT INTO skill_trees VALUES (9,24,7,'Burst Shot',63000,52);
INSERT INTO skill_trees VALUES (9,24,8,'Burst Shot',63000,52);
INSERT INTO skill_trees VALUES (9,24,9,'Burst Shot',63000,52);
INSERT INTO skill_trees VALUES (9,24,10,'Burst Shot',90000,55);
INSERT INTO skill_trees VALUES (9,24,11,'Burst Shot',90000,55);
INSERT INTO skill_trees VALUES (9,24,12,'Burst Shot',90000,55);
INSERT INTO skill_trees VALUES (9,24,13,'Burst Shot',93000,58);
INSERT INTO skill_trees VALUES (9,24,14,'Burst Shot',93000,58);
INSERT INTO skill_trees VALUES (9,24,15,'Burst Shot',93000,58);
INSERT INTO skill_trees VALUES (9,24,16,'Burst Shot',210000,60);
INSERT INTO skill_trees VALUES (9,24,17,'Burst Shot',210000,60);
INSERT INTO skill_trees VALUES (9,24,18,'Burst Shot',250000,62);
INSERT INTO skill_trees VALUES (9,24,19,'Burst Shot',250000,62);
INSERT INTO skill_trees VALUES (9,24,20,'Burst Shot',270000,64);
INSERT INTO skill_trees VALUES (9,24,21,'Burst Shot',270000,64);
INSERT INTO skill_trees VALUES (9,24,22,'Burst Shot',440000,66);
INSERT INTO skill_trees VALUES (9,24,23,'Burst Shot',440000,66);
INSERT INTO skill_trees VALUES (9,24,24,'Burst Shot',490000,68);
INSERT INTO skill_trees VALUES (9,24,25,'Burst Shot',490000,68);
INSERT INTO skill_trees VALUES (9,24,26,'Burst Shot',580000,70);
INSERT INTO skill_trees VALUES (9,24,27,'Burst Shot',580000,70);
INSERT INTO skill_trees VALUES (9,24,28,'Burst Shot',840000,72);
INSERT INTO skill_trees VALUES (9,24,29,'Burst Shot',840000,72);
INSERT INTO skill_trees VALUES (9,24,30,'Burst Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,24,31,'Burst Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,99,2,'Rapid Shot',250000,55);
INSERT INTO skill_trees VALUES (9,101,4,'Stun Shot',16000,40);
INSERT INTO skill_trees VALUES (9,101,5,'Stun Shot',16000,40);
INSERT INTO skill_trees VALUES (9,101,6,'Stun Shot',16000,40);
INSERT INTO skill_trees VALUES (9,101,7,'Stun Shot',19000,43);
INSERT INTO skill_trees VALUES (9,101,8,'Stun Shot',19000,43);
INSERT INTO skill_trees VALUES (9,101,9,'Stun Shot',19000,43);
INSERT INTO skill_trees VALUES (9,101,10,'Stun Shot',22000,46);
INSERT INTO skill_trees VALUES (9,101,11,'Stun Shot',22000,46);
INSERT INTO skill_trees VALUES (9,101,12,'Stun Shot',22000,46);
INSERT INTO skill_trees VALUES (9,101,13,'Stun Shot',41000,49);
INSERT INTO skill_trees VALUES (9,101,14,'Stun Shot',41000,49);
INSERT INTO skill_trees VALUES (9,101,15,'Stun Shot',41000,49);
INSERT INTO skill_trees VALUES (9,101,16,'Stun Shot',63000,52);
INSERT INTO skill_trees VALUES (9,101,17,'Stun Shot',63000,52);
INSERT INTO skill_trees VALUES (9,101,18,'Stun Shot',63000,52);
INSERT INTO skill_trees VALUES (9,101,19,'Stun Shot',90000,55);
INSERT INTO skill_trees VALUES (9,101,20,'Stun Shot',90000,55);
INSERT INTO skill_trees VALUES (9,101,21,'Stun Shot',90000,55);
INSERT INTO skill_trees VALUES (9,101,22,'Stun Shot',93000,58);
INSERT INTO skill_trees VALUES (9,101,23,'Stun Shot',93000,58);
INSERT INTO skill_trees VALUES (9,101,24,'Stun Shot',93000,58);
INSERT INTO skill_trees VALUES (9,101,25,'Stun Shot',210000,60);
INSERT INTO skill_trees VALUES (9,101,26,'Stun Shot',210000,60);
INSERT INTO skill_trees VALUES (9,101,27,'Stun Shot',250000,62);
INSERT INTO skill_trees VALUES (9,101,28,'Stun Shot',250000,62);
INSERT INTO skill_trees VALUES (9,101,29,'Stun Shot',270000,64);
INSERT INTO skill_trees VALUES (9,101,30,'Stun Shot',270000,64);
INSERT INTO skill_trees VALUES (9,101,31,'Stun Shot',440000,66);
INSERT INTO skill_trees VALUES (9,101,32,'Stun Shot',440000,66);
INSERT INTO skill_trees VALUES (9,101,33,'Stun Shot',490000,68);
INSERT INTO skill_trees VALUES (9,101,34,'Stun Shot',490000,68);
INSERT INTO skill_trees VALUES (9,101,35,'Stun Shot',580000,70);
INSERT INTO skill_trees VALUES (9,101,36,'Stun Shot',580000,70);
INSERT INTO skill_trees VALUES (9,101,37,'Stun Shot',840000,72);
INSERT INTO skill_trees VALUES (9,101,38,'Stun Shot',840000,72);
INSERT INTO skill_trees VALUES (9,101,39,'Stun Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,101,40,'Stun Shot',1400000,74);
INSERT INTO skill_trees VALUES (9,113,2,'Long Shot',49000,40);
INSERT INTO skill_trees VALUES (9,131,1,'Hawk Eye',49000,40);
INSERT INTO skill_trees VALUES (9,131,2,'Hawk Eye',120000,49);
INSERT INTO skill_trees VALUES (9,131,3,'Hawk Eye',270000,58);
INSERT INTO skill_trees VALUES (9,148,3,'Vital Force',49000,40);
INSERT INTO skill_trees VALUES (9,148,4,'Vital Force',67000,46);
INSERT INTO skill_trees VALUES (9,148,5,'Vital Force',190000,52);
INSERT INTO skill_trees VALUES (9,148,6,'Vital Force',270000,58);
INSERT INTO skill_trees VALUES (9,148,7,'Vital Force',540000,64);
INSERT INTO skill_trees VALUES (9,148,8,'Vital Force',1700000,72);
INSERT INTO skill_trees VALUES (9,169,2,'Quick Step',58000,43);
INSERT INTO skill_trees VALUES (9,171,2,'Esprit',58000,43);
INSERT INTO skill_trees VALUES (9,171,3,'Esprit',67000,46);
INSERT INTO skill_trees VALUES (9,171,4,'Esprit',120000,49);
INSERT INTO skill_trees VALUES (9,171,5,'Esprit',190000,52);
INSERT INTO skill_trees VALUES (9,171,6,'Esprit',500000,62);
INSERT INTO skill_trees VALUES (9,171,7,'Esprit',980000,68);
INSERT INTO skill_trees VALUES (9,171,8,'Esprit',2900000,74);
INSERT INTO skill_trees VALUES (9,208,16,'Bow Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,208,17,'Bow Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,208,18,'Bow Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,208,19,'Bow Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,208,20,'Bow Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,208,21,'Bow Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,208,22,'Bow Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,208,23,'Bow Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,208,24,'Bow Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,208,25,'Bow Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,208,26,'Bow Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,208,27,'Bow Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,208,28,'Bow Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,208,29,'Bow Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,208,30,'Bow Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,208,31,'Bow Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,208,32,'Bow Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,208,33,'Bow Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,208,34,'Bow Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,208,35,'Bow Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,208,36,'Bow Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,208,37,'Bow Mastery',210000,60);
INSERT INTO skill_trees VALUES (9,208,38,'Bow Mastery',210000,60);
INSERT INTO skill_trees VALUES (9,208,39,'Bow Mastery',250000,62);
INSERT INTO skill_trees VALUES (9,208,40,'Bow Mastery',250000,62);
INSERT INTO skill_trees VALUES (9,208,41,'Bow Mastery',270000,64);
INSERT INTO skill_trees VALUES (9,208,42,'Bow Mastery',270000,64);
INSERT INTO skill_trees VALUES (9,208,43,'Bow Mastery',440000,66);
INSERT INTO skill_trees VALUES (9,208,44,'Bow Mastery',440000,66);
INSERT INTO skill_trees VALUES (9,208,45,'Bow Mastery',490000,68);
INSERT INTO skill_trees VALUES (9,208,46,'Bow Mastery',490000,68);
INSERT INTO skill_trees VALUES (9,208,47,'Bow Mastery',580000,70);
INSERT INTO skill_trees VALUES (9,208,48,'Bow Mastery',580000,70);
INSERT INTO skill_trees VALUES (9,208,49,'Bow Mastery',840000,72);
INSERT INTO skill_trees VALUES (9,208,50,'Bow Mastery',840000,72);
INSERT INTO skill_trees VALUES (9,208,51,'Bow Mastery',1400000,74);
INSERT INTO skill_trees VALUES (9,208,52,'Bow Mastery',1400000,74);
INSERT INTO skill_trees VALUES (9,225,2,'Acrobatic Move',58000,43);
INSERT INTO skill_trees VALUES (9,225,3,'Acrobatic Move',250000,55);
INSERT INTO skill_trees VALUES (9,233,11,'Light Armor Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,233,12,'Light Armor Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,233,13,'Light Armor Mastery',16000,40);
INSERT INTO skill_trees VALUES (9,233,14,'Light Armor Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,233,15,'Light Armor Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,233,16,'Light Armor Mastery',19000,43);
INSERT INTO skill_trees VALUES (9,233,17,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,233,18,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,233,19,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (9,233,20,'Light Armor Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,233,21,'Light Armor Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,233,22,'Light Armor Mastery',41000,49);
INSERT INTO skill_trees VALUES (9,233,23,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,233,24,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,233,25,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (9,233,26,'Light Armor Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,233,27,'Light Armor Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,233,28,'Light Armor Mastery',90000,55);
INSERT INTO skill_trees VALUES (9,233,29,'Light Armor Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,233,30,'Light Armor Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,233,31,'Light Armor Mastery',93000,58);
INSERT INTO skill_trees VALUES (9,233,32,'Light Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (9,233,33,'Light Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (9,233,34,'Light Armor Mastery',250000,62);
INSERT INTO skill_trees VALUES (9,233,35,'Light Armor Mastery',250000,62);
INSERT INTO skill_trees VALUES (9,233,36,'Light Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (9,233,37,'Light Armor Mastery',270000,64);
INSERT INTO skill_trees VALUES (9,233,38,'Light Armor Mastery',440000,66);
INSERT INTO skill_trees VALUES (9,233,39,'Light Armor Mastery',440000,66);
INSERT INTO skill_trees VALUES (9,233,40,'Light Armor Mastery',490000,68);
INSERT INTO skill_trees VALUES (9,233,41,'Light Armor Mastery',490000,68);
INSERT INTO skill_trees VALUES (9,233,42,'Light Armor Mastery',580000,70);
INSERT INTO skill_trees VALUES (9,233,43,'Light Armor Mastery',580000,70);
INSERT INTO skill_trees VALUES (9,233,44,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (9,233,45,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (9,233,46,'Light Armor Mastery',1400000,74);
INSERT INTO skill_trees VALUES (9,233,47,'Light Armor Mastery',1400000,74);
INSERT INTO skill_trees VALUES (9,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (9,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (9,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (9,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (9,303,1,'Soul of Sagittarius',67000,46);
INSERT INTO skill_trees VALUES (9,303,2,'Soul of Sagittarius',270000,58);
INSERT INTO skill_trees VALUES (9,303,3,'Soul of Sagittarius',540000,64);
INSERT INTO skill_trees VALUES (9,303,4,'Soul of Sagittarius',1200000,70);
INSERT INTO skill_trees VALUES (9,312,6,'Vicious Stance',49000,40);
INSERT INTO skill_trees VALUES (9,312,7,'Vicious Stance',58000,43);
INSERT INTO skill_trees VALUES (9,312,8,'Vicious Stance',67000,46);
INSERT INTO skill_trees VALUES (9,312,9,'Vicious Stance',120000,49);
INSERT INTO skill_trees VALUES (9,312,10,'Vicious Stance',190000,52);
INSERT INTO skill_trees VALUES (9,312,11,'Vicious Stance',250000,55);
INSERT INTO skill_trees VALUES (9,312,12,'Vicious Stance',270000,58);
INSERT INTO skill_trees VALUES (9,312,13,'Vicious Stance',420000,60);
INSERT INTO skill_trees VALUES (9,312,14,'Vicious Stance',500000,62);
INSERT INTO skill_trees VALUES (9,312,15,'Vicious Stance',540000,64);
INSERT INTO skill_trees VALUES (9,312,16,'Vicious Stance',880000,66);
INSERT INTO skill_trees VALUES (9,312,17,'Vicious Stance',980000,68);
INSERT INTO skill_trees VALUES (9,312,18,'Vicious Stance',1200000,70);
INSERT INTO skill_trees VALUES (9,312,19,'Vicious Stance',1700000,72);
INSERT INTO skill_trees VALUES (9,312,20,'Vicious Stance',2900000,74);
INSERT INTO skill_trees VALUES (9,313,1,'Snipe',420000,60);
INSERT INTO skill_trees VALUES (9,313,2,'Snipe',500000,62);
INSERT INTO skill_trees VALUES (9,313,3,'Snipe',540000,64);
INSERT INTO skill_trees VALUES (9,313,4,'Snipe',880000,66);
INSERT INTO skill_trees VALUES (9,313,5,'Snipe',980000,68);
INSERT INTO skill_trees VALUES (9,313,6,'Snipe',1200000,70);
INSERT INTO skill_trees VALUES (9,313,7,'Snipe',1700000,72);
INSERT INTO skill_trees VALUES (9,313,8,'Snipe',2900000,74);
INSERT INTO skill_trees VALUES (9,323,1,'Quiver of Arrow: Grade A',880000,66);
INSERT INTO skill_trees VALUES (9,324,1,'Quiver of Arrow: Grade S',1700000,72);
INSERT INTO skill_trees VALUES (10,118,1,'Magicians Movement',0,1);
INSERT INTO skill_trees VALUES (10,146,1,'Anti Magic',240,7);
INSERT INTO skill_trees VALUES (10,146,2,'Anti Magic',240,7);
INSERT INTO skill_trees VALUES (10,146,3,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (10,146,4,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (10,163,1,'Spellcraft',0,1);
INSERT INTO skill_trees VALUES (10,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (10,214,1,'Mana Recovery',0,1);
INSERT INTO skill_trees VALUES (10,244,1,'Armor Mastery',470,7);
INSERT INTO skill_trees VALUES (10,244,2,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (10,244,3,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (10,249,1,'Weapon Mastery',470,7);
INSERT INTO skill_trees VALUES (10,249,2,'Weapon Mastery',2100,14);
INSERT INTO skill_trees VALUES (10,1011,1,'Heal',160,7);
INSERT INTO skill_trees VALUES (10,1011,2,'Heal',160,7);
INSERT INTO skill_trees VALUES (10,1011,3,'Heal',160,7);
INSERT INTO skill_trees VALUES (10,1011,4,'Heal',700,14);
INSERT INTO skill_trees VALUES (10,1011,5,'Heal',700,14);
INSERT INTO skill_trees VALUES (10,1011,6,'Heal',700,14);
INSERT INTO skill_trees VALUES (10,1012,1,'Cure Poison',470,7);
INSERT INTO skill_trees VALUES (10,1015,1,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (10,1015,2,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (10,1015,3,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (10,1027,1,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (10,1027,2,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (10,1027,3,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (10,1040,1,'Shield',470,7);
INSERT INTO skill_trees VALUES (10,1068,1,'Might',470,7);
INSERT INTO skill_trees VALUES (10,1147,1,'Vampiric Touch',1100,14);
INSERT INTO skill_trees VALUES (10,1147,2,'Vampiric Touch',1100,14);
INSERT INTO skill_trees VALUES (10,1164,1,'Curse: Weakness',2100,14);
INSERT INTO skill_trees VALUES (10,1168,1,'Curse:Poison',470,7);
INSERT INTO skill_trees VALUES (10,1177,1,'Wind Strike',0,1);
INSERT INTO skill_trees VALUES (10,1177,2,'Wind Strike',240,7);
INSERT INTO skill_trees VALUES (10,1177,3,'Wind Strike',240,7);
INSERT INTO skill_trees VALUES (10,1177,4,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (10,1177,5,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (10,1184,1,'Ice Bolt',240,7);
INSERT INTO skill_trees VALUES (10,1184,2,'Ice Bolt',240,7);
INSERT INTO skill_trees VALUES (10,1184,3,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (10,1184,4,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (10,1216,1,'Self Heal',0,1);
INSERT INTO skill_trees VALUES (11,146,5,'Anti Magic',1400,20);
INSERT INTO skill_trees VALUES (11,146,6,'Anti Magic',1400,20);
INSERT INTO skill_trees VALUES (11,146,7,'Anti Magic',2800,25);
INSERT INTO skill_trees VALUES (11,146,8,'Anti Magic',2800,25);
INSERT INTO skill_trees VALUES (11,146,9,'Anti Magic',5300,30);
INSERT INTO skill_trees VALUES (11,146,10,'Anti Magic',5300,30);
INSERT INTO skill_trees VALUES (11,146,11,'Anti Magic',8800,35);
INSERT INTO skill_trees VALUES (11,146,12,'Anti Magic',8800,35);
INSERT INTO skill_trees VALUES (11,164,1,'Quick Recovery',2900,20);
INSERT INTO skill_trees VALUES (11,164,2,'Quick Recovery',11000,30);
INSERT INTO skill_trees VALUES (11,212,1,'Fast HP Recovery',18000,35);
INSERT INTO skill_trees VALUES (11,213,1,'Boost Mana',2900,20);
INSERT INTO skill_trees VALUES (11,213,2,'Boost Mana',11000,30);
INSERT INTO skill_trees VALUES (11,228,1,'Fast Spell Casting',5500,25);
INSERT INTO skill_trees VALUES (11,229,1,'Fast Mana Recovery',5500,25);
INSERT INTO skill_trees VALUES (11,229,2,'Fast Mana Recovery',18000,35);
INSERT INTO skill_trees VALUES (11,234,1,'Robe Mastery',1400,20);
INSERT INTO skill_trees VALUES (11,234,2,'Robe Mastery',1400,20);
INSERT INTO skill_trees VALUES (11,234,3,'Robe Mastery',2800,25);
INSERT INTO skill_trees VALUES (11,234,4,'Robe Mastery',2800,25);
INSERT INTO skill_trees VALUES (11,234,5,'Robe Mastery',5300,30);
INSERT INTO skill_trees VALUES (11,234,6,'Robe Mastery',5300,30);
INSERT INTO skill_trees VALUES (11,234,7,'Robe Mastery',8800,35);
INSERT INTO skill_trees VALUES (11,234,8,'Robe Mastery',8800,35);
INSERT INTO skill_trees VALUES (11,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (11,249,3,'Weapon Mastery',2900,20);
INSERT INTO skill_trees VALUES (11,249,4,'Weapon Mastery',2800,25);
INSERT INTO skill_trees VALUES (11,249,5,'Weapon Mastery',2800,25);
INSERT INTO skill_trees VALUES (11,249,6,'Weapon Mastery',5300,30);
INSERT INTO skill_trees VALUES (11,249,7,'Weapon Mastery',5300,30);
INSERT INTO skill_trees VALUES (11,249,8,'Weapon Mastery',8800,35);
INSERT INTO skill_trees VALUES (11,249,9,'Weapon Mastery',8800,35);
INSERT INTO skill_trees VALUES (11,285,1,'Higher Mana Gain',1400,20);
INSERT INTO skill_trees VALUES (11,285,2,'Higher Mana Gain',1400,20);
INSERT INTO skill_trees VALUES (11,285,3,'Higher Mana Gain',2800,25);
INSERT INTO skill_trees VALUES (11,285,4,'Higher Mana Gain',2800,25);
INSERT INTO skill_trees VALUES (11,285,5,'Higher Mana Gain',5300,30);
INSERT INTO skill_trees VALUES (11,285,6,'Higher Mana Gain',5300,30);
INSERT INTO skill_trees VALUES (11,285,7,'Higher Mana Gain',8800,35);
INSERT INTO skill_trees VALUES (11,285,8,'Higher Mana Gain',8800,35);
INSERT INTO skill_trees VALUES (11,1069,1,'Sleep',1800,25);
INSERT INTO skill_trees VALUES (11,1069,2,'Sleep',1800,25);
INSERT INTO skill_trees VALUES (11,1069,3,'Sleep',1800,25);
INSERT INTO skill_trees VALUES (11,1069,4,'Sleep',3500,30);
INSERT INTO skill_trees VALUES (11,1069,5,'Sleep',3500,30);
INSERT INTO skill_trees VALUES (11,1069,6,'Sleep',3500,30);
INSERT INTO skill_trees VALUES (11,1069,7,'Sleep',5900,35);
INSERT INTO skill_trees VALUES (11,1069,8,'Sleep',5900,35);
INSERT INTO skill_trees VALUES (11,1069,9,'Sleep',5900,35);
INSERT INTO skill_trees VALUES (11,1078,1,'Concentration',2900,20);
INSERT INTO skill_trees VALUES (11,1078,2,'Concentration',11000,30);
INSERT INTO skill_trees VALUES (11,1083,1,'Surrenders To Fire',5500,25);
INSERT INTO skill_trees VALUES (11,1083,2,'Surrenders To Fire',11000,30);
INSERT INTO skill_trees VALUES (11,1083,3,'Surrenders To Fire',18000,35);
INSERT INTO skill_trees VALUES (11,1111,1,'Summon Kat the Cat',2900,20);
INSERT INTO skill_trees VALUES (11,1111,2,'Summon Kat the Cat',5500,25);
INSERT INTO skill_trees VALUES (11,1111,3,'Summon Kat the Cat',11000,30);
INSERT INTO skill_trees VALUES (11,1111,4,'Summon Kat the Cat',18000,35);
INSERT INTO skill_trees VALUES (11,1126,1,'Servitor Recharge',2800,25);
INSERT INTO skill_trees VALUES (11,1126,2,'Servitor Recharge',2800,25);
INSERT INTO skill_trees VALUES (11,1126,3,'Servitor Recharge',5300,30);
INSERT INTO skill_trees VALUES (11,1126,4,'Servitor Recharge',5300,30);
INSERT INTO skill_trees VALUES (11,1126,5,'Servitor Recharge',8800,35);
INSERT INTO skill_trees VALUES (11,1126,6,'Servitor Recharge',8800,35);
INSERT INTO skill_trees VALUES (11,1127,1,'Servitor Heal',960,20);
INSERT INTO skill_trees VALUES (11,1127,2,'Servitor Heal',960,20);
INSERT INTO skill_trees VALUES (11,1127,3,'Servitor Heal',960,20);
INSERT INTO skill_trees VALUES (11,1127,4,'Servitor Heal',1800,25);
INSERT INTO skill_trees VALUES (11,1127,5,'Servitor Heal',1800,25);
INSERT INTO skill_trees VALUES (11,1127,6,'Servitor Heal',1800,25);
INSERT INTO skill_trees VALUES (11,1127,7,'Servitor Heal',3500,30);
INSERT INTO skill_trees VALUES (11,1127,8,'Servitor Heal',3500,30);
INSERT INTO skill_trees VALUES (11,1127,9,'Servitor Heal',3500,30);
INSERT INTO skill_trees VALUES (11,1127,10,'Servitor Heal',5900,35);
INSERT INTO skill_trees VALUES (11,1127,11,'Servitor Heal',5900,35);
INSERT INTO skill_trees VALUES (11,1127,12,'Servitor Heal',5900,35);
INSERT INTO skill_trees VALUES (11,1144,1,'Fast Servitor',18000,35);
INSERT INTO skill_trees VALUES (11,1147,3,'Vampiric Touch',1400,20);
INSERT INTO skill_trees VALUES (11,1147,4,'Vampiric Touch',1400,20);
INSERT INTO skill_trees VALUES (11,1147,5,'Vampiric Touch',2800,25);
INSERT INTO skill_trees VALUES (11,1147,6,'Vampiric Touch',2800,25);
INSERT INTO skill_trees VALUES (11,1151,1,'Corpse Life Drain',11000,30);
INSERT INTO skill_trees VALUES (11,1151,2,'Corpse Life Drain',18000,35);
INSERT INTO skill_trees VALUES (11,1157,1,'Body To Mind',5500,25);
INSERT INTO skill_trees VALUES (11,1160,1,'Slow',18000,35);
INSERT INTO skill_trees VALUES (11,1164,2,'Curse: Weakness',2900,20);
INSERT INTO skill_trees VALUES (11,1164,3,'Curse: Weakness',5500,25);
INSERT INTO skill_trees VALUES (11,1164,4,'Curse: Weakness',11000,30);
INSERT INTO skill_trees VALUES (11,1164,5,'Curse: Weakness',18000,35);
INSERT INTO skill_trees VALUES (11,1167,1,'Poisonous Cloud',5500,25);
INSERT INTO skill_trees VALUES (11,1167,2,'Poisonous Cloud',18000,35);
INSERT INTO skill_trees VALUES (11,1168,2,'Curse:Poison',2900,20);
INSERT INTO skill_trees VALUES (11,1168,3,'Curse:Poison',11000,30);
INSERT INTO skill_trees VALUES (11,1172,1,'Aura Burn',1400,20);
INSERT INTO skill_trees VALUES (11,1172,2,'Aura Burn',1400,20);
INSERT INTO skill_trees VALUES (11,1172,3,'Aura Burn',2800,25);
INSERT INTO skill_trees VALUES (11,1172,4,'Aura Burn',2800,25);
INSERT INTO skill_trees VALUES (11,1172,5,'Aura Burn',5300,30);
INSERT INTO skill_trees VALUES (11,1172,6,'Aura Burn',5300,30);
INSERT INTO skill_trees VALUES (11,1172,7,'Aura Burn',8800,35);
INSERT INTO skill_trees VALUES (11,1172,8,'Aura Burn',8800,35);
INSERT INTO skill_trees VALUES (11,1181,1,'Flame Strike',2900,20);
INSERT INTO skill_trees VALUES (11,1181,2,'Flame Strike',5500,25);
INSERT INTO skill_trees VALUES (11,1181,3,'Flame Strike',11000,30);
INSERT INTO skill_trees VALUES (11,1184,5,'Ice Bolt',1400,20);
INSERT INTO skill_trees VALUES (11,1184,6,'Ice Bolt',1400,20);
INSERT INTO skill_trees VALUES (11,1220,1,'Blaze',1400,20);
INSERT INTO skill_trees VALUES (11,1220,2,'Blaze',1400,20);
INSERT INTO skill_trees VALUES (11,1220,3,'Blaze',2800,25);
INSERT INTO skill_trees VALUES (11,1220,4,'Blaze',2800,25);
INSERT INTO skill_trees VALUES (11,1220,5,'Blaze',5300,30);
INSERT INTO skill_trees VALUES (11,1220,6,'Blaze',5300,30);
INSERT INTO skill_trees VALUES (11,1220,7,'Blaze',8800,35);
INSERT INTO skill_trees VALUES (11,1220,8,'Blaze',8800,35);
INSERT INTO skill_trees VALUES (11,1222,1,'Curse Chaos',18000,35);
INSERT INTO skill_trees VALUES (11,1225,1,'Summon Mew the Cat',2900,20);
INSERT INTO skill_trees VALUES (11,1225,2,'Summon Mew the Cat',5500,25);
INSERT INTO skill_trees VALUES (11,1225,3,'Summon Mew the Cat',11000,30);
INSERT INTO skill_trees VALUES (11,1225,4,'Summon Mew the Cat',18000,35);
INSERT INTO skill_trees VALUES (11,1274,1,'Energy Bolt',2900,20);
INSERT INTO skill_trees VALUES (11,1274,2,'Energy Bolt',5500,25);
INSERT INTO skill_trees VALUES (11,1274,3,'Energy Bolt',11000,30);
INSERT INTO skill_trees VALUES (11,1274,4,'Energy Bolt',18000,35);
INSERT INTO skill_trees VALUES (12,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (12,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (12,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (12,146,16,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (12,146,17,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (12,146,18,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (12,146,19,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (12,146,20,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (12,146,21,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (12,146,22,'Anti Magic',35000,52);
INSERT INTO skill_trees VALUES (12,146,23,'Anti Magic',35000,52);
INSERT INTO skill_trees VALUES (12,146,24,'Anti Magic',35000,52);
INSERT INTO skill_trees VALUES (12,146,25,'Anti Magic',38000,56);
INSERT INTO skill_trees VALUES (12,146,26,'Anti Magic',38000,56);
INSERT INTO skill_trees VALUES (12,146,27,'Anti Magic',38000,56);
INSERT INTO skill_trees VALUES (12,146,28,'Anti Magic',73000,58);
INSERT INTO skill_trees VALUES (12,146,29,'Anti Magic',73000,58);
INSERT INTO skill_trees VALUES (12,146,30,'Anti Magic',88000,60);
INSERT INTO skill_trees VALUES (12,146,31,'Anti Magic',88000,60);
INSERT INTO skill_trees VALUES (12,146,32,'Anti Magic',130000,62);
INSERT INTO skill_trees VALUES (12,146,33,'Anti Magic',130000,62);
INSERT INTO skill_trees VALUES (12,146,34,'Anti Magic',150000,64);
INSERT INTO skill_trees VALUES (12,146,35,'Anti Magic',150000,64);
INSERT INTO skill_trees VALUES (12,146,36,'Anti Magic',210000,66);
INSERT INTO skill_trees VALUES (12,146,37,'Anti Magic',210000,66);
INSERT INTO skill_trees VALUES (12,146,38,'Anti Magic',210000,68);
INSERT INTO skill_trees VALUES (12,146,39,'Anti Magic',210000,68);
INSERT INTO skill_trees VALUES (12,146,40,'Anti Magic',290000,70);
INSERT INTO skill_trees VALUES (12,146,41,'Anti Magic',290000,70);
INSERT INTO skill_trees VALUES (12,146,42,'Anti Magic',470000,72);
INSERT INTO skill_trees VALUES (12,146,43,'Anti Magic',470000,72);
INSERT INTO skill_trees VALUES (12,146,44,'Anti Magic',640000,74);
INSERT INTO skill_trees VALUES (12,146,45,'Anti Magic',640000,74);
INSERT INTO skill_trees VALUES (12,164,3,'Quick Recovery',67000,48);
INSERT INTO skill_trees VALUES (12,212,2,'Fast HP Recovery',43000,44);
INSERT INTO skill_trees VALUES (12,212,3,'Fast HP Recovery',100000,52);
INSERT INTO skill_trees VALUES (12,212,4,'Fast HP Recovery',150000,58);
INSERT INTO skill_trees VALUES (12,212,5,'Fast HP Recovery',300000,64);
INSERT INTO skill_trees VALUES (12,212,6,'Fast HP Recovery',1300000,74);
INSERT INTO skill_trees VALUES (12,213,3,'Boost Mana',34000,40);
INSERT INTO skill_trees VALUES (12,213,4,'Boost Mana',67000,48);
INSERT INTO skill_trees VALUES (12,213,5,'Boost Mana',110000,56);
INSERT INTO skill_trees VALUES (12,213,6,'Boost Mana',180000,60);
INSERT INTO skill_trees VALUES (12,213,7,'Boost Mana',410000,66);
INSERT INTO skill_trees VALUES (12,213,8,'Boost Mana',940000,72);
INSERT INTO skill_trees VALUES (12,228,2,'Fast Spell Casting',34000,40);
INSERT INTO skill_trees VALUES (12,228,3,'Fast Spell Casting',110000,56);
INSERT INTO skill_trees VALUES (12,229,3,'Fast Mana Recovery',43000,44);
INSERT INTO skill_trees VALUES (12,229,4,'Fast Mana Recovery',100000,52);
INSERT INTO skill_trees VALUES (12,229,5,'Fast Mana Recovery',180000,60);
INSERT INTO skill_trees VALUES (12,229,6,'Fast Mana Recovery',430000,68);
INSERT INTO skill_trees VALUES (12,229,7,'Fast Mana Recovery',1300000,74);
INSERT INTO skill_trees VALUES (12,234,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,234,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,234,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,234,12,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,234,13,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,234,14,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,234,15,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,234,16,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,234,17,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,234,18,'Robe Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,234,19,'Robe Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,234,20,'Robe Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,234,21,'Robe Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,234,22,'Robe Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,234,23,'Robe Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,234,24,'Robe Mastery',73000,58);
INSERT INTO skill_trees VALUES (12,234,25,'Robe Mastery',73000,58);
INSERT INTO skill_trees VALUES (12,234,26,'Robe Mastery',88000,60);
INSERT INTO skill_trees VALUES (12,234,27,'Robe Mastery',88000,60);
INSERT INTO skill_trees VALUES (12,234,28,'Robe Mastery',130000,62);
INSERT INTO skill_trees VALUES (12,234,29,'Robe Mastery',130000,62);
INSERT INTO skill_trees VALUES (12,234,30,'Robe Mastery',150000,64);
INSERT INTO skill_trees VALUES (12,234,31,'Robe Mastery',150000,64);
INSERT INTO skill_trees VALUES (12,234,32,'Robe Mastery',210000,66);
INSERT INTO skill_trees VALUES (12,234,33,'Robe Mastery',210000,66);
INSERT INTO skill_trees VALUES (12,234,34,'Robe Mastery',210000,68);
INSERT INTO skill_trees VALUES (12,234,35,'Robe Mastery',210000,68);
INSERT INTO skill_trees VALUES (12,234,36,'Robe Mastery',290000,70);
INSERT INTO skill_trees VALUES (12,234,37,'Robe Mastery',290000,70);
INSERT INTO skill_trees VALUES (12,234,38,'Robe Mastery',470000,72);
INSERT INTO skill_trees VALUES (12,234,39,'Robe Mastery',470000,72);
INSERT INTO skill_trees VALUES (12,234,40,'Robe Mastery',640000,74);
INSERT INTO skill_trees VALUES (12,234,41,'Robe Mastery',640000,74);
INSERT INTO skill_trees VALUES (12,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (12,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (12,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (12,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (12,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (12,249,13,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,249,14,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,249,15,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (12,249,16,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,249,17,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,249,18,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (12,249,19,'Weapon Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,249,20,'Weapon Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,249,21,'Weapon Mastery',35000,52);
INSERT INTO skill_trees VALUES (12,249,22,'Weapon Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,249,23,'Weapon Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,249,24,'Weapon Mastery',38000,56);
INSERT INTO skill_trees VALUES (12,249,25,'Weapon Mastery',73000,58);
INSERT INTO skill_trees VALUES (12,249,26,'Weapon Mastery',73000,58);
INSERT INTO skill_trees VALUES (12,249,27,'Weapon Mastery',88000,60);
INSERT INTO skill_trees VALUES (12,249,28,'Weapon Mastery',88000,60);
INSERT INTO skill_trees VALUES (12,249,29,'Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (12,249,30,'Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (12,249,31,'Weapon Mastery',150000,64);
INSERT INTO skill_trees VALUES (12,249,32,'Weapon Mastery',150000,64);
INSERT INTO skill_trees VALUES (12,249,33,'Weapon Mastery',210000,66);
INSERT INTO skill_trees VALUES (12,249,34,'Weapon Mastery',210000,66);
INSERT INTO skill_trees VALUES (12,249,35,'Weapon Mastery',210000,68);
INSERT INTO skill_trees VALUES (12,249,36,'Weapon Mastery',210000,68);
INSERT INTO skill_trees VALUES (12,249,37,'Weapon Mastery',290000,70);
INSERT INTO skill_trees VALUES (12,249,38,'Weapon Mastery',290000,70);
INSERT INTO skill_trees VALUES (12,249,39,'Weapon Mastery',470000,72);
INSERT INTO skill_trees VALUES (12,249,40,'Weapon Mastery',470000,72);
INSERT INTO skill_trees VALUES (12,249,41,'Weapon Mastery',640000,74);
INSERT INTO skill_trees VALUES (12,249,42,'Weapon Mastery',640000,74);
INSERT INTO skill_trees VALUES (12,285,9,'Higher Mana Gain',17000,40);
INSERT INTO skill_trees VALUES (12,285,10,'Higher Mana Gain',17000,40);
INSERT INTO skill_trees VALUES (12,285,11,'Higher Mana Gain',22000,44);
INSERT INTO skill_trees VALUES (12,285,12,'Higher Mana Gain',22000,44);
INSERT INTO skill_trees VALUES (12,285,13,'Higher Mana Gain',33000,48);
INSERT INTO skill_trees VALUES (12,285,14,'Higher Mana Gain',33000,48);
INSERT INTO skill_trees VALUES (12,285,15,'Higher Mana Gain',53000,52);
INSERT INTO skill_trees VALUES (12,285,16,'Higher Mana Gain',53000,52);
INSERT INTO skill_trees VALUES (12,285,17,'Higher Mana Gain',56000,56);
INSERT INTO skill_trees VALUES (12,285,18,'Higher Mana Gain',56000,56);
INSERT INTO skill_trees VALUES (12,285,19,'Higher Mana Gain',150000,58);
INSERT INTO skill_trees VALUES (12,285,20,'Higher Mana Gain',180000,60);
INSERT INTO skill_trees VALUES (12,285,21,'Higher Mana Gain',250000,62);
INSERT INTO skill_trees VALUES (12,285,22,'Higher Mana Gain',300000,64);
INSERT INTO skill_trees VALUES (12,285,23,'Higher Mana Gain',410000,66);
INSERT INTO skill_trees VALUES (12,285,24,'Higher Mana Gain',430000,68);
INSERT INTO skill_trees VALUES (12,285,25,'Higher Mana Gain',590000,70);
INSERT INTO skill_trees VALUES (12,285,26,'Higher Mana Gain',940000,72);
INSERT INTO skill_trees VALUES (12,285,27,'Higher Mana Gain',1300000,74);
INSERT INTO skill_trees VALUES (12,1056,1,'Cancel',67000,48);
INSERT INTO skill_trees VALUES (12,1056,2,'Cancel',100000,52);
INSERT INTO skill_trees VALUES (12,1056,3,'Cancel',110000,56);
INSERT INTO skill_trees VALUES (12,1056,4,'Cancel',150000,58);
INSERT INTO skill_trees VALUES (12,1056,5,'Cancel',180000,60);
INSERT INTO skill_trees VALUES (12,1056,6,'Cancel',250000,62);
INSERT INTO skill_trees VALUES (12,1056,7,'Cancel',300000,64);
INSERT INTO skill_trees VALUES (12,1056,8,'Cancel',410000,66);
INSERT INTO skill_trees VALUES (12,1056,9,'Cancel',430000,68);
INSERT INTO skill_trees VALUES (12,1056,10,'Cancel',590000,70);
INSERT INTO skill_trees VALUES (12,1056,11,'Cancel',940000,72);
INSERT INTO skill_trees VALUES (12,1056,12,'Cancel',1300000,74);
INSERT INTO skill_trees VALUES (12,1069,10,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (12,1069,11,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (12,1069,12,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (12,1069,13,'Sleep',15000,44);
INSERT INTO skill_trees VALUES (12,1069,14,'Sleep',15000,44);
INSERT INTO skill_trees VALUES (12,1069,15,'Sleep',15000,44);
INSERT INTO skill_trees VALUES (12,1069,16,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (12,1069,17,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (12,1069,18,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (12,1069,19,'Sleep',35000,52);
INSERT INTO skill_trees VALUES (12,1069,20,'Sleep',35000,52);
INSERT INTO skill_trees VALUES (12,1069,21,'Sleep',35000,52);
INSERT INTO skill_trees VALUES (12,1069,22,'Sleep',38000,56);
INSERT INTO skill_trees VALUES (12,1069,23,'Sleep',38000,56);
INSERT INTO skill_trees VALUES (12,1069,24,'Sleep',38000,56);
INSERT INTO skill_trees VALUES (12,1069,25,'Sleep',73000,58);
INSERT INTO skill_trees VALUES (12,1069,26,'Sleep',73000,58);
INSERT INTO skill_trees VALUES (12,1069,27,'Sleep',88000,60);
INSERT INTO skill_trees VALUES (12,1069,28,'Sleep',88000,60);
INSERT INTO skill_trees VALUES (12,1069,29,'Sleep',130000,62);
INSERT INTO skill_trees VALUES (12,1069,30,'Sleep',130000,62);
INSERT INTO skill_trees VALUES (12,1069,31,'Sleep',150000,64);
INSERT INTO skill_trees VALUES (12,1069,32,'Sleep',160000,64);
INSERT INTO skill_trees VALUES (12,1069,33,'Sleep',210000,66);
INSERT INTO skill_trees VALUES (12,1069,34,'Sleep',210000,66);
INSERT INTO skill_trees VALUES (12,1069,35,'Sleep',210000,68);
INSERT INTO skill_trees VALUES (12,1069,36,'Sleep',210000,68);
INSERT INTO skill_trees VALUES (12,1069,37,'Sleep',290000,70);
INSERT INTO skill_trees VALUES (12,1069,38,'Sleep',290000,70);
INSERT INTO skill_trees VALUES (12,1069,39,'Sleep',470000,72);
INSERT INTO skill_trees VALUES (12,1069,40,'Sleep',470000,72);
INSERT INTO skill_trees VALUES (12,1069,41,'Sleep',640000,74);
INSERT INTO skill_trees VALUES (12,1069,42,'Sleep',640000,74);
INSERT INTO skill_trees VALUES (12,1072,1,'Sleeping Cloud',43000,44);
INSERT INTO skill_trees VALUES (12,1072,2,'Sleeping Cloud',110000,56);
INSERT INTO skill_trees VALUES (12,1072,3,'Sleeping Cloud',250000,62);
INSERT INTO skill_trees VALUES (12,1072,4,'Sleeping Cloud',410000,66);
INSERT INTO skill_trees VALUES (12,1072,5,'Sleeping Cloud',590000,70);
INSERT INTO skill_trees VALUES (12,1074,1,'Surrender To Wind',34000,40);
INSERT INTO skill_trees VALUES (12,1074,2,'Surrender To Wind',43000,44);
INSERT INTO skill_trees VALUES (12,1074,3,'Surrender To Wind',67000,48);
INSERT INTO skill_trees VALUES (12,1074,4,'Surrender To Wind',100000,52);
INSERT INTO skill_trees VALUES (12,1074,5,'Surrender To Wind',110000,56);
INSERT INTO skill_trees VALUES (12,1074,6,'Surrender To Wind',150000,58);
INSERT INTO skill_trees VALUES (12,1074,7,'Surrender To Wind',180000,60);
INSERT INTO skill_trees VALUES (12,1074,8,'Surrender To Wind',250000,62);
INSERT INTO skill_trees VALUES (12,1074,9,'Surrender To Wind',300000,64);
INSERT INTO skill_trees VALUES (12,1074,10,'Surrender To Wind',410000,66);
INSERT INTO skill_trees VALUES (12,1074,11,'Surrender To Wind',430000,68);
INSERT INTO skill_trees VALUES (12,1074,12,'Surrender To Wind',590000,70);
INSERT INTO skill_trees VALUES (12,1074,13,'Surrender To Wind',940000,72);
INSERT INTO skill_trees VALUES (12,1074,14,'Surrender To Wind',1300000,74);
INSERT INTO skill_trees VALUES (12,1078,3,'Greater Concentration',43000,44);
INSERT INTO skill_trees VALUES (12,1078,4,'Greater Concentration',100000,52);
INSERT INTO skill_trees VALUES (12,1078,5,'Greater Concentration',180000,60);
INSERT INTO skill_trees VALUES (12,1078,6,'Greater Concentration',430000,68);
INSERT INTO skill_trees VALUES (12,1083,4,'Surrenders To Fire',34000,40);
INSERT INTO skill_trees VALUES (12,1083,5,'Surrenders To Fire',43000,44);
INSERT INTO skill_trees VALUES (12,1083,6,'Surrenders To Fire',67000,48);
INSERT INTO skill_trees VALUES (12,1083,7,'Surrenders To Fire',100000,52);
INSERT INTO skill_trees VALUES (12,1083,8,'Surrenders To Fire',110000,56);
INSERT INTO skill_trees VALUES (12,1083,9,'Surrenders To Fire',150000,58);
INSERT INTO skill_trees VALUES (12,1083,10,'Surrenders To Fire',180000,60);
INSERT INTO skill_trees VALUES (12,1083,11,'Surrenders To Fire',250000,62);
INSERT INTO skill_trees VALUES (12,1083,12,'Surrenders To Fire',300000,64);
INSERT INTO skill_trees VALUES (12,1083,13,'Surrenders To Fire',410000,66);
INSERT INTO skill_trees VALUES (12,1083,14,'Surrenders To Fire',430000,68);
INSERT INTO skill_trees VALUES (12,1083,15,'Surrenders To Fire',590000,70);
INSERT INTO skill_trees VALUES (12,1083,16,'Surrenders To Fire',940000,72);
INSERT INTO skill_trees VALUES (12,1083,17,'Surrenders To Fire',1300000,74);
INSERT INTO skill_trees VALUES (12,1160,2,'Slow',34000,40);
INSERT INTO skill_trees VALUES (12,1160,3,'Slow',43000,44);
INSERT INTO skill_trees VALUES (12,1160,4,'Slow',67000,48);
INSERT INTO skill_trees VALUES (12,1160,5,'Slow',100000,52);
INSERT INTO skill_trees VALUES (12,1160,6,'Slow',110000,56);
INSERT INTO skill_trees VALUES (12,1160,7,'Slow',150000,58);
INSERT INTO skill_trees VALUES (12,1160,8,'Slow',180000,60);
INSERT INTO skill_trees VALUES (12,1160,9,'Slow',250000,62);
INSERT INTO skill_trees VALUES (12,1160,10,'Slow',300000,64);
INSERT INTO skill_trees VALUES (12,1160,11,'Slow',410000,66);
INSERT INTO skill_trees VALUES (12,1160,12,'Slow',430000,68);
INSERT INTO skill_trees VALUES (12,1160,13,'Slow',590000,70);
INSERT INTO skill_trees VALUES (12,1160,14,'Slow',940000,72);
INSERT INTO skill_trees VALUES (12,1160,15,'Slow',1300000,74);
INSERT INTO skill_trees VALUES (12,1171,1,'Blazing Circle',17000,40);
INSERT INTO skill_trees VALUES (12,1171,2,'Blazing Circle',17000,40);
INSERT INTO skill_trees VALUES (12,1171,3,'Blazing Circle',22000,44);
INSERT INTO skill_trees VALUES (12,1171,4,'Blazing Circle',22000,44);
INSERT INTO skill_trees VALUES (12,1171,5,'Blazing Circle',33000,48);
INSERT INTO skill_trees VALUES (12,1171,6,'Blazing Circle',33000,48);
INSERT INTO skill_trees VALUES (12,1171,7,'Blazing Circle',53000,52);
INSERT INTO skill_trees VALUES (12,1171,8,'Blazing Circle',53000,52);
INSERT INTO skill_trees VALUES (12,1171,9,'Blazing Circle',56000,56);
INSERT INTO skill_trees VALUES (12,1171,10,'Blazing Circle',56000,56);
INSERT INTO skill_trees VALUES (12,1171,11,'Blazing Circle',150000,58);
INSERT INTO skill_trees VALUES (12,1171,12,'Blazing Circle',180000,60);
INSERT INTO skill_trees VALUES (12,1171,13,'Blazing Circle',250000,62);
INSERT INTO skill_trees VALUES (12,1171,14,'Blazing Circle',300000,64);
INSERT INTO skill_trees VALUES (12,1171,15,'Blazing Circle',410000,66);
INSERT INTO skill_trees VALUES (12,1171,16,'Blazing Circle',430000,68);
INSERT INTO skill_trees VALUES (12,1171,17,'Blazing Circle',590000,70);
INSERT INTO skill_trees VALUES (12,1171,18,'Blazing Circle',940000,72);
INSERT INTO skill_trees VALUES (12,1171,19,'Blazing Circle',1300000,74);
INSERT INTO skill_trees VALUES (12,1230,1,'Prominence',17000,40);
INSERT INTO skill_trees VALUES (12,1230,2,'Prominence',17000,40);
INSERT INTO skill_trees VALUES (12,1230,3,'Prominence',22000,44);
INSERT INTO skill_trees VALUES (12,1230,4,'Prominence',22000,44);
INSERT INTO skill_trees VALUES (12,1230,5,'Prominence',33000,48);
INSERT INTO skill_trees VALUES (12,1230,6,'Prominence',33000,48);
INSERT INTO skill_trees VALUES (12,1230,7,'Prominence',53000,52);
INSERT INTO skill_trees VALUES (12,1230,8,'Prominence',53000,52);
INSERT INTO skill_trees VALUES (12,1230,9,'Prominence',56000,56);
INSERT INTO skill_trees VALUES (12,1230,10,'Prominence',56000,56);
INSERT INTO skill_trees VALUES (12,1230,11,'Prominence',73000,58);
INSERT INTO skill_trees VALUES (12,1230,12,'Prominence',73000,58);
INSERT INTO skill_trees VALUES (12,1230,13,'Prominence',88000,60);
INSERT INTO skill_trees VALUES (12,1230,14,'Prominence',88000,60);
INSERT INTO skill_trees VALUES (12,1230,15,'Prominence',130000,62);
INSERT INTO skill_trees VALUES (12,1230,16,'Prominence',130000,62);
INSERT INTO skill_trees VALUES (12,1230,17,'Prominence',150000,64);
INSERT INTO skill_trees VALUES (12,1230,18,'Prominence',150000,64);
INSERT INTO skill_trees VALUES (12,1230,19,'Prominence',210000,66);
INSERT INTO skill_trees VALUES (12,1230,20,'Prominence',210000,66);
INSERT INTO skill_trees VALUES (12,1230,21,'Prominence',210000,68);
INSERT INTO skill_trees VALUES (12,1230,22,'Prominence',210000,68);
INSERT INTO skill_trees VALUES (12,1230,23,'Prominence',290000,70);
INSERT INTO skill_trees VALUES (12,1230,24,'Prominence',290000,70);
INSERT INTO skill_trees VALUES (12,1230,25,'Prominence',470000,72);
INSERT INTO skill_trees VALUES (12,1230,26,'Prominence',470000,72);
INSERT INTO skill_trees VALUES (12,1230,27,'Prominence',640000,74);
INSERT INTO skill_trees VALUES (12,1230,28,'Prominence',640000,74);
INSERT INTO skill_trees VALUES (12,1231,1,'Aura Flare',17000,40);
INSERT INTO skill_trees VALUES (12,1231,2,'Aura Flare',17000,40);
INSERT INTO skill_trees VALUES (12,1231,3,'Aura Flare',22000,44);
INSERT INTO skill_trees VALUES (12,1231,4,'Aura Flare',22000,44);
INSERT INTO skill_trees VALUES (12,1231,5,'Aura Flare',33000,48);
INSERT INTO skill_trees VALUES (12,1231,6,'Aura Flare',33000,48);
INSERT INTO skill_trees VALUES (12,1231,7,'Aura Flare',53000,52);
INSERT INTO skill_trees VALUES (12,1231,8,'Aura Flare',53000,52);
INSERT INTO skill_trees VALUES (12,1231,9,'Aura Flare',56000,56);
INSERT INTO skill_trees VALUES (12,1231,10,'Aura Flare',56000,56);
INSERT INTO skill_trees VALUES (12,1231,11,'Aura Flare',73000,58);
INSERT INTO skill_trees VALUES (12,1231,12,'Aura Flare',73000,58);
INSERT INTO skill_trees VALUES (12,1231,13,'Aura Flare',88000,60);
INSERT INTO skill_trees VALUES (12,1231,14,'Aura Flare',88000,60);
INSERT INTO skill_trees VALUES (12,1231,15,'Aura Flare',130000,62);
INSERT INTO skill_trees VALUES (12,1231,16,'Aura Flare',130000,62);
INSERT INTO skill_trees VALUES (12,1231,17,'Aura Flare',150000,64);
INSERT INTO skill_trees VALUES (12,1231,18,'Aura Flare',150000,64);
INSERT INTO skill_trees VALUES (12,1231,19,'Aura Flare',210000,66);
INSERT INTO skill_trees VALUES (12,1231,20,'Aura Flare',210000,66);
INSERT INTO skill_trees VALUES (12,1231,21,'Aura Flare',210000,68);
INSERT INTO skill_trees VALUES (12,1231,22,'Aura Flare',210000,68);
INSERT INTO skill_trees VALUES (12,1231,23,'Aura Flare',290000,70);
INSERT INTO skill_trees VALUES (12,1231,24,'Aura Flare',290000,70);
INSERT INTO skill_trees VALUES (12,1231,25,'Aura Flare',470000,72);
INSERT INTO skill_trees VALUES (12,1231,26,'Aura Flare',470000,72);
INSERT INTO skill_trees VALUES (12,1231,27,'Aura Flare',640000,74);
INSERT INTO skill_trees VALUES (12,1231,28,'Aura Flare',640000,74);
INSERT INTO skill_trees VALUES (12,1232,1,'Blazing Skin',34000,40);
INSERT INTO skill_trees VALUES (12,1232,2,'Blazing Skin',67000,48);
INSERT INTO skill_trees VALUES (12,1232,3,'Blazing Skin',110000,56);
INSERT INTO skill_trees VALUES (12,1233,1,'Decay',67000,48);
INSERT INTO skill_trees VALUES (12,1233,2,'Decay',110000,56);
INSERT INTO skill_trees VALUES (12,1233,3,'Decay',300000,64);
INSERT INTO skill_trees VALUES (12,1233,4,'Decay',1300000,74);
INSERT INTO skill_trees VALUES (12,1275,1,'Aura Bolt',34000,40);
INSERT INTO skill_trees VALUES (12,1275,2,'Aura Bolt',43000,44);
INSERT INTO skill_trees VALUES (12,1275,3,'Aura Bolt',67000,48);
INSERT INTO skill_trees VALUES (12,1275,4,'Aura Bolt',100000,52);
INSERT INTO skill_trees VALUES (12,1275,5,'Aura Bolt',110000,56);
INSERT INTO skill_trees VALUES (12,1275,6,'Aura Bolt',150000,58);
INSERT INTO skill_trees VALUES (12,1275,7,'Aura Bolt',180000,60);
INSERT INTO skill_trees VALUES (12,1275,8,'Aura Bolt',250000,62);
INSERT INTO skill_trees VALUES (12,1275,9,'Aura Bolt',300000,64);
INSERT INTO skill_trees VALUES (12,1275,10,'Aura Bolt',410000,66);
INSERT INTO skill_trees VALUES (12,1275,11,'Aura Bolt',430000,68);
INSERT INTO skill_trees VALUES (12,1275,12,'Aura Bolt',590000,70);
INSERT INTO skill_trees VALUES (12,1275,13,'Aura Bolt',940000,72);
INSERT INTO skill_trees VALUES (12,1275,14,'Aura Bolt',1300000,74);
INSERT INTO skill_trees VALUES (12,1285,1,'Seed of Fire',410000,66);
INSERT INTO skill_trees VALUES (12,1288,1,'Aura Symphony',430000,68);
INSERT INTO skill_trees VALUES (12,1289,1,'Inferno',590000,70);
INSERT INTO skill_trees VALUES (12,1292,1,'Elemental Assault',940000,72);
INSERT INTO skill_trees VALUES (12,1296,1,'Rain of Fire',150000,58);
INSERT INTO skill_trees VALUES (12,1296,2,'Rain of Fire',180000,60);
INSERT INTO skill_trees VALUES (12,1296,3,'Rain of Fire',250000,62);
INSERT INTO skill_trees VALUES (12,1296,4,'Rain of Fire',300000,64);
INSERT INTO skill_trees VALUES (12,1296,5,'Rain of Fire',410000,66);
INSERT INTO skill_trees VALUES (12,1296,6,'Rain of Fire',430000,68);
INSERT INTO skill_trees VALUES (12,1296,7,'Rain of Fire',590000,70);
INSERT INTO skill_trees VALUES (12,1296,8,'Rain of Fire',940000,72);
INSERT INTO skill_trees VALUES (12,1296,9,'Rain of Fire',1300000,74);
INSERT INTO skill_trees VALUES (12,1297,1,'Clear Mind',34000,40);
INSERT INTO skill_trees VALUES (12,1297,2,'Clear Mind',67000,48);
INSERT INTO skill_trees VALUES (12,1297,3,'Clear Mind',110000,56);
INSERT INTO skill_trees VALUES (12,1297,4,'Clear Mind',250000,62);
INSERT INTO skill_trees VALUES (12,1297,5,'Clear Mind',430000,68);
INSERT INTO skill_trees VALUES (12,1297,6,'Clear Mind',1300000,74);
INSERT INTO skill_trees VALUES (13,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (13,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (13,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (13,146,16,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (13,146,17,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (13,146,18,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (13,146,19,'Anti Magic',18000,48);
INSERT INTO skill_trees VALUES (13,146,20,'Anti Magic',18000,48);
INSERT INTO skill_trees VALUES (13,146,21,'Anti Magic',18000,48);
INSERT INTO skill_trees VALUES (13,146,22,'Anti Magic',26000,52);
INSERT INTO skill_trees VALUES (13,146,23,'Anti Magic',26000,52);
INSERT INTO skill_trees VALUES (13,146,24,'Anti Magic',26000,52);
INSERT INTO skill_trees VALUES (13,146,25,'Anti Magic',29000,56);
INSERT INTO skill_trees VALUES (13,146,26,'Anti Magic',29000,56);
INSERT INTO skill_trees VALUES (13,146,27,'Anti Magic',29000,56);
INSERT INTO skill_trees VALUES (13,146,28,'Anti Magic',50000,58);
INSERT INTO skill_trees VALUES (13,146,29,'Anti Magic',50000,58);
INSERT INTO skill_trees VALUES (13,146,30,'Anti Magic',68000,60);
INSERT INTO skill_trees VALUES (13,146,31,'Anti Magic',68000,60);
INSERT INTO skill_trees VALUES (13,146,32,'Anti Magic',91000,62);
INSERT INTO skill_trees VALUES (13,146,33,'Anti Magic',91000,62);
INSERT INTO skill_trees VALUES (13,146,34,'Anti Magic',100000,64);
INSERT INTO skill_trees VALUES (13,146,35,'Anti Magic',100000,64);
INSERT INTO skill_trees VALUES (13,146,36,'Anti Magic',150000,66);
INSERT INTO skill_trees VALUES (13,146,37,'Anti Magic',150000,66);
INSERT INTO skill_trees VALUES (13,146,38,'Anti Magic',170000,68);
INSERT INTO skill_trees VALUES (13,146,39,'Anti Magic',170000,68);
INSERT INTO skill_trees VALUES (13,146,40,'Anti Magic',210000,70);
INSERT INTO skill_trees VALUES (13,146,41,'Anti Magic',210000,70);
INSERT INTO skill_trees VALUES (13,146,42,'Anti Magic',330000,72);
INSERT INTO skill_trees VALUES (13,146,43,'Anti Magic',330000,72);
INSERT INTO skill_trees VALUES (13,146,44,'Anti Magic',480000,74);
INSERT INTO skill_trees VALUES (13,146,45,'Anti Magic',480000,74);
INSERT INTO skill_trees VALUES (13,164,3,'Quick Recovery',55000,48);
INSERT INTO skill_trees VALUES (13,212,2,'Fast HP Recovery',35000,44);
INSERT INTO skill_trees VALUES (13,212,3,'Fast HP Recovery',78000,52);
INSERT INTO skill_trees VALUES (13,212,4,'Fast HP Recovery',100000,58);
INSERT INTO skill_trees VALUES (13,212,5,'Fast HP Recovery',210000,64);
INSERT INTO skill_trees VALUES (13,212,6,'Fast HP Recovery',960000,74);
INSERT INTO skill_trees VALUES (13,213,3,'Boost Mana',31000,40);
INSERT INTO skill_trees VALUES (13,213,4,'Boost Mana',55000,48);
INSERT INTO skill_trees VALUES (13,213,5,'Boost Mana',87000,56);
INSERT INTO skill_trees VALUES (13,213,6,'Boost Mana',140000,60);
INSERT INTO skill_trees VALUES (13,213,7,'Boost Mana',300000,66);
INSERT INTO skill_trees VALUES (13,213,8,'Boost Mana',650000,72);
INSERT INTO skill_trees VALUES (13,228,2,'Fast Spell Casting',31000,40);
INSERT INTO skill_trees VALUES (13,228,3,'Fast Spell Casting',87000,56);
INSERT INTO skill_trees VALUES (13,229,3,'Fast Mana Recovery',35000,44);
INSERT INTO skill_trees VALUES (13,229,4,'Fast Mana Recovery',78000,52);
INSERT INTO skill_trees VALUES (13,229,5,'Fast Mana Recovery',140000,60);
INSERT INTO skill_trees VALUES (13,229,6,'Fast Mana Recovery',350000,68);
INSERT INTO skill_trees VALUES (13,229,7,'Fast Mana Recovery',960000,74);
INSERT INTO skill_trees VALUES (13,234,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,234,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,234,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,234,12,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,234,13,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,234,14,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,234,15,'Robe Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,234,16,'Robe Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,234,17,'Robe Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,234,18,'Robe Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,234,19,'Robe Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,234,20,'Robe Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,234,21,'Robe Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,234,22,'Robe Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,234,23,'Robe Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,234,24,'Robe Mastery',50000,58);
INSERT INTO skill_trees VALUES (13,234,25,'Robe Mastery',50000,58);
INSERT INTO skill_trees VALUES (13,234,26,'Robe Mastery',68000,60);
INSERT INTO skill_trees VALUES (13,234,27,'Robe Mastery',68000,60);
INSERT INTO skill_trees VALUES (13,234,28,'Robe Mastery',91000,62);
INSERT INTO skill_trees VALUES (13,234,29,'Robe Mastery',91000,62);
INSERT INTO skill_trees VALUES (13,234,30,'Robe Mastery',100000,64);
INSERT INTO skill_trees VALUES (13,234,31,'Robe Mastery',100000,64);
INSERT INTO skill_trees VALUES (13,234,32,'Robe Mastery',150000,66);
INSERT INTO skill_trees VALUES (13,234,33,'Robe Mastery',150000,66);
INSERT INTO skill_trees VALUES (13,234,34,'Robe Mastery',170000,68);
INSERT INTO skill_trees VALUES (13,234,35,'Robe Mastery',170000,68);
INSERT INTO skill_trees VALUES (13,234,36,'Robe Mastery',210000,70);
INSERT INTO skill_trees VALUES (13,234,37,'Robe Mastery',210000,70);
INSERT INTO skill_trees VALUES (13,234,38,'Robe Mastery',330000,72);
INSERT INTO skill_trees VALUES (13,234,39,'Robe Mastery',330000,72);
INSERT INTO skill_trees VALUES (13,234,40,'Robe Mastery',480000,74);
INSERT INTO skill_trees VALUES (13,234,41,'Robe Mastery',480000,74);
INSERT INTO skill_trees VALUES (13,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (13,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (13,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (13,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (13,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (13,249,13,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,249,14,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,249,15,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (13,249,16,'Weapon Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,249,17,'Weapon Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,249,18,'Weapon Mastery',18000,48);
INSERT INTO skill_trees VALUES (13,249,19,'Weapon Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,249,20,'Weapon Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,249,21,'Weapon Mastery',26000,52);
INSERT INTO skill_trees VALUES (13,249,22,'Weapon Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,249,23,'Weapon Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,249,24,'Weapon Mastery',29000,56);
INSERT INTO skill_trees VALUES (13,249,25,'Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (13,249,26,'Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (13,249,27,'Weapon Mastery',68000,60);
INSERT INTO skill_trees VALUES (13,249,28,'Weapon Mastery',68000,60);
INSERT INTO skill_trees VALUES (13,249,29,'Weapon Mastery',91000,62);
INSERT INTO skill_trees VALUES (13,249,30,'Weapon Mastery',91000,62);
INSERT INTO skill_trees VALUES (13,249,31,'Weapon Mastery',100000,64);
INSERT INTO skill_trees VALUES (13,249,32,'Weapon Mastery',100000,64);
INSERT INTO skill_trees VALUES (13,249,33,'Weapon Mastery',150000,66);
INSERT INTO skill_trees VALUES (13,249,34,'Weapon Mastery',150000,66);
INSERT INTO skill_trees VALUES (13,249,35,'Weapon Mastery',170000,68);
INSERT INTO skill_trees VALUES (13,249,36,'Weapon Mastery',170000,68);
INSERT INTO skill_trees VALUES (13,249,37,'Weapon Mastery',210000,70);
INSERT INTO skill_trees VALUES (13,249,38,'Weapon Mastery',210000,70);
INSERT INTO skill_trees VALUES (13,249,39,'Weapon Mastery',330000,72);
INSERT INTO skill_trees VALUES (13,249,40,'Weapon Mastery',330000,72);
INSERT INTO skill_trees VALUES (13,249,41,'Weapon Mastery',480000,74);
INSERT INTO skill_trees VALUES (13,249,42,'Weapon Mastery',480000,74);
INSERT INTO skill_trees VALUES (13,285,9,'Higher Mana Gain',16000,40);
INSERT INTO skill_trees VALUES (13,285,10,'Higher Mana Gain',16000,40);
INSERT INTO skill_trees VALUES (13,285,11,'Higher Mana Gain',18000,44);
INSERT INTO skill_trees VALUES (13,285,12,'Higher Mana Gain',18000,44);
INSERT INTO skill_trees VALUES (13,285,13,'Higher Mana Gain',27000,48);
INSERT INTO skill_trees VALUES (13,285,14,'Higher Mana Gain',27000,48);
INSERT INTO skill_trees VALUES (13,285,15,'Higher Mana Gain',39000,52);
INSERT INTO skill_trees VALUES (13,285,16,'Higher Mana Gain',39000,52);
INSERT INTO skill_trees VALUES (13,285,17,'Higher Mana Gain',43000,56);
INSERT INTO skill_trees VALUES (13,285,18,'Higher Mana Gain',43000,56);
INSERT INTO skill_trees VALUES (13,285,19,'Higher Mana Gain',100000,58);
INSERT INTO skill_trees VALUES (13,285,20,'Higher Mana Gain',140000,60);
INSERT INTO skill_trees VALUES (13,285,21,'Higher Mana Gain',180000,62);
INSERT INTO skill_trees VALUES (13,285,22,'Higher Mana Gain',210000,64);
INSERT INTO skill_trees VALUES (13,285,23,'Higher Mana Gain',300000,66);
INSERT INTO skill_trees VALUES (13,285,24,'Higher Mana Gain',350000,68);
INSERT INTO skill_trees VALUES (13,285,25,'Higher Mana Gain',430000,70);
INSERT INTO skill_trees VALUES (13,285,26,'Higher Mana Gain',650000,72);
INSERT INTO skill_trees VALUES (13,285,27,'Higher Mana Gain',960000,74);
INSERT INTO skill_trees VALUES (13,1064,1,'Silence',31000,40);
INSERT INTO skill_trees VALUES (13,1064,2,'Silence',35000,44);
INSERT INTO skill_trees VALUES (13,1064,3,'Silence',55000,48);
INSERT INTO skill_trees VALUES (13,1064,4,'Silence',78000,52);
INSERT INTO skill_trees VALUES (13,1064,5,'Silence',87000,56);
INSERT INTO skill_trees VALUES (13,1064,6,'Silence',100000,58);
INSERT INTO skill_trees VALUES (13,1064,7,'Silence',140000,60);
INSERT INTO skill_trees VALUES (13,1064,8,'Silence',180000,62);
INSERT INTO skill_trees VALUES (13,1064,9,'Silence',210000,64);
INSERT INTO skill_trees VALUES (13,1064,10,'Silence',300000,66);
INSERT INTO skill_trees VALUES (13,1064,11,'Silence',350000,68);
INSERT INTO skill_trees VALUES (13,1064,12,'Silence',430000,70);
INSERT INTO skill_trees VALUES (13,1064,13,'Silence',650000,72);
INSERT INTO skill_trees VALUES (13,1064,14,'Silence',960000,74);
INSERT INTO skill_trees VALUES (13,1069,10,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (13,1069,11,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (13,1069,12,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (13,1069,13,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (13,1069,14,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (13,1069,15,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (13,1069,16,'Sleep',18000,48);
INSERT INTO skill_trees VALUES (13,1069,17,'Sleep',18000,48);
INSERT INTO skill_trees VALUES (13,1069,18,'Sleep',18000,48);
INSERT INTO skill_trees VALUES (13,1069,19,'Sleep',26000,52);
INSERT INTO skill_trees VALUES (13,1069,20,'Sleep',26000,52);
INSERT INTO skill_trees VALUES (13,1069,21,'Sleep',26000,52);
INSERT INTO skill_trees VALUES (13,1069,22,'Sleep',29000,56);
INSERT INTO skill_trees VALUES (13,1069,23,'Sleep',29000,56);
INSERT INTO skill_trees VALUES (13,1069,24,'Sleep',29000,56);
INSERT INTO skill_trees VALUES (13,1069,25,'Sleep',50000,58);
INSERT INTO skill_trees VALUES (13,1069,26,'Sleep',50000,58);
INSERT INTO skill_trees VALUES (13,1069,27,'Sleep',68000,60);
INSERT INTO skill_trees VALUES (13,1069,28,'Sleep',68000,60);
INSERT INTO skill_trees VALUES (13,1069,29,'Sleep',91000,62);
INSERT INTO skill_trees VALUES (13,1069,30,'Sleep',91000,62);
INSERT INTO skill_trees VALUES (13,1069,31,'Sleep',100000,64);
INSERT INTO skill_trees VALUES (13,1069,32,'Sleep',100000,64);
INSERT INTO skill_trees VALUES (13,1069,33,'Sleep',150000,66);
INSERT INTO skill_trees VALUES (13,1069,34,'Sleep',150000,66);
INSERT INTO skill_trees VALUES (13,1069,35,'Sleep',170000,68);
INSERT INTO skill_trees VALUES (13,1069,36,'Sleep',170000,68);
INSERT INTO skill_trees VALUES (13,1069,37,'Sleep',210000,70);
INSERT INTO skill_trees VALUES (13,1069,38,'Sleep',210000,70);
INSERT INTO skill_trees VALUES (13,1069,39,'Sleep',330000,72);
INSERT INTO skill_trees VALUES (13,1069,40,'Sleep',330000,72);
INSERT INTO skill_trees VALUES (13,1069,41,'Sleep',480000,74);
INSERT INTO skill_trees VALUES (13,1069,42,'Sleep',480000,74);
INSERT INTO skill_trees VALUES (13,1129,1,'Summon Reanimated Man',35000,44);
INSERT INTO skill_trees VALUES (13,1129,2,'Summon Reanimated Man',78000,52);
INSERT INTO skill_trees VALUES (13,1129,3,'Summon Reanimated Man',140000,60);
INSERT INTO skill_trees VALUES (13,1129,4,'Summon Reanimated Man',210000,64);
INSERT INTO skill_trees VALUES (13,1129,5,'Summon Reanimated Man',350000,68);
INSERT INTO skill_trees VALUES (13,1129,6,'Summon Reanimated Man',650000,72);
INSERT INTO skill_trees VALUES (13,1129,7,'Summon Reanimated Man',960000,74);
INSERT INTO skill_trees VALUES (13,1148,1,'Death Spike',35000,44);
INSERT INTO skill_trees VALUES (13,1148,2,'Death Spike',55000,48);
INSERT INTO skill_trees VALUES (13,1148,3,'Death Spike',78000,52);
INSERT INTO skill_trees VALUES (13,1148,4,'Death Spike',87000,56);
INSERT INTO skill_trees VALUES (13,1148,5,'Death Spike',100000,58);
INSERT INTO skill_trees VALUES (13,1148,6,'Death Spike',140000,60);
INSERT INTO skill_trees VALUES (13,1148,7,'Death Spike',180000,62);
INSERT INTO skill_trees VALUES (13,1148,8,'Death Spike',210000,64);
INSERT INTO skill_trees VALUES (13,1148,9,'Death Spike',300000,66);
INSERT INTO skill_trees VALUES (13,1148,10,'Death Spike',350000,68);
INSERT INTO skill_trees VALUES (13,1148,11,'Death Spike',430000,70);
INSERT INTO skill_trees VALUES (13,1148,12,'Death Spike',650000,72);
INSERT INTO skill_trees VALUES (13,1148,13,'Death Spike',960000,74);
INSERT INTO skill_trees VALUES (13,1151,3,'Corpse Life Drain',31000,40);
INSERT INTO skill_trees VALUES (13,1151,4,'Corpse Life Drain',35000,44);
INSERT INTO skill_trees VALUES (13,1151,5,'Corpse Life Drain',55000,48);
INSERT INTO skill_trees VALUES (13,1151,6,'Corpse Life Drain',78000,52);
INSERT INTO skill_trees VALUES (13,1151,7,'Corpse Life Drain',87000,56);
INSERT INTO skill_trees VALUES (13,1151,8,'Corpse Life Drain',100000,58);
INSERT INTO skill_trees VALUES (13,1151,9,'Corpse Life Drain',140000,60);
INSERT INTO skill_trees VALUES (13,1151,10,'Corpse Life Drain',180000,62);
INSERT INTO skill_trees VALUES (13,1151,11,'Corpse Life Drain',210000,64);
INSERT INTO skill_trees VALUES (13,1151,12,'Corpse Life Drain',300000,66);
INSERT INTO skill_trees VALUES (13,1151,13,'Corpse Life Drain',350000,68);
INSERT INTO skill_trees VALUES (13,1151,14,'Corpse Life Drain',430000,70);
INSERT INTO skill_trees VALUES (13,1151,15,'Corpse Life Drain',650000,72);
INSERT INTO skill_trees VALUES (13,1151,16,'Corpse Life Drain',960000,74);
INSERT INTO skill_trees VALUES (13,1154,1,'Summon Corrupted Man',31000,40);
INSERT INTO skill_trees VALUES (13,1154,2,'Summon Corrupted Man',55000,48);
INSERT INTO skill_trees VALUES (13,1154,3,'Summon Corrupted Man',87000,56);
INSERT INTO skill_trees VALUES (13,1154,4,'Summon Corrupted Man',180000,62);
INSERT INTO skill_trees VALUES (13,1154,5,'Summon Corrupted Man',300000,66);
INSERT INTO skill_trees VALUES (13,1154,6,'Summon Corrupted Man',430000,70);
INSERT INTO skill_trees VALUES (13,1155,1,'Corpse Burst',27000,48);
INSERT INTO skill_trees VALUES (13,1155,2,'Corpse Burst',27000,48);
INSERT INTO skill_trees VALUES (13,1155,3,'Corpse Burst',39000,52);
INSERT INTO skill_trees VALUES (13,1155,4,'Corpse Burst',39000,52);
INSERT INTO skill_trees VALUES (13,1155,5,'Corpse Burst',43000,56);
INSERT INTO skill_trees VALUES (13,1155,6,'Corpse Burst',43000,56);
INSERT INTO skill_trees VALUES (13,1155,7,'Corpse Burst',100000,58);
INSERT INTO skill_trees VALUES (13,1155,8,'Corpse Burst',140000,60);
INSERT INTO skill_trees VALUES (13,1155,9,'Corpse Burst',180000,62);
INSERT INTO skill_trees VALUES (13,1155,10,'Corpse Burst',210000,64);
INSERT INTO skill_trees VALUES (13,1155,11,'Corpse Burst',300000,66);
INSERT INTO skill_trees VALUES (13,1155,12,'Corpse Burst',350000,68);
INSERT INTO skill_trees VALUES (13,1155,13,'Corpse Burst',430000,70);
INSERT INTO skill_trees VALUES (13,1155,14,'Corpse Burst',650000,72);
INSERT INTO skill_trees VALUES (13,1155,15,'Corpse Burst',960000,74);
INSERT INTO skill_trees VALUES (13,1156,1,'Forget',35000,44);
INSERT INTO skill_trees VALUES (13,1156,2,'Forget',55000,48);
INSERT INTO skill_trees VALUES (13,1156,3,'Forget',78000,52);
INSERT INTO skill_trees VALUES (13,1156,4,'Forget',87000,56);
INSERT INTO skill_trees VALUES (13,1156,5,'Forget',100000,58);
INSERT INTO skill_trees VALUES (13,1156,6,'Forget',140000,60);
INSERT INTO skill_trees VALUES (13,1156,7,'Forget',180000,62);
INSERT INTO skill_trees VALUES (13,1156,8,'Forget',210000,64);
INSERT INTO skill_trees VALUES (13,1156,9,'Forget',300000,66);
INSERT INTO skill_trees VALUES (13,1156,10,'Forget',350000,68);
INSERT INTO skill_trees VALUES (13,1156,11,'Forget',430000,70);
INSERT INTO skill_trees VALUES (13,1156,12,'Forget',650000,72);
INSERT INTO skill_trees VALUES (13,1156,13,'Forget',960000,74);
INSERT INTO skill_trees VALUES (13,1157,2,'Body To Mind',31000,40);
INSERT INTO skill_trees VALUES (13,1157,3,'Body To Mind',78000,52);
INSERT INTO skill_trees VALUES (13,1157,4,'Body To Mind',100000,58);
INSERT INTO skill_trees VALUES (13,1157,5,'Body To Mind',300000,66);
INSERT INTO skill_trees VALUES (13,1159,1,'Curse Death Link',39000,52);
INSERT INTO skill_trees VALUES (13,1159,2,'Curse Death Link',39000,52);
INSERT INTO skill_trees VALUES (13,1159,3,'Curse Death Link',43000,56);
INSERT INTO skill_trees VALUES (13,1159,4,'Curse Death Link',43000,56);
INSERT INTO skill_trees VALUES (13,1159,5,'Curse Death Link',50000,58);
INSERT INTO skill_trees VALUES (13,1159,6,'Curse Death Link',50000,58);
INSERT INTO skill_trees VALUES (13,1159,7,'Curse Death Link',68000,60);
INSERT INTO skill_trees VALUES (13,1159,8,'Curse Death Link',68000,60);
INSERT INTO skill_trees VALUES (13,1159,9,'Curse Death Link',91000,62);
INSERT INTO skill_trees VALUES (13,1159,10,'Curse Death Link',91000,62);
INSERT INTO skill_trees VALUES (13,1159,11,'Curse Death Link',100000,64);
INSERT INTO skill_trees VALUES (13,1159,12,'Curse Death Link',100000,64);
INSERT INTO skill_trees VALUES (13,1159,13,'Curse Death Link',150000,66);
INSERT INTO skill_trees VALUES (13,1159,14,'Curse Death Link',150000,66);
INSERT INTO skill_trees VALUES (13,1159,15,'Curse Death Link',170000,68);
INSERT INTO skill_trees VALUES (13,1159,16,'Curse Death Link',170000,68);
INSERT INTO skill_trees VALUES (13,1159,17,'Curse Death Link',210000,70);
INSERT INTO skill_trees VALUES (13,1159,18,'Curse Death Link',210000,70);
INSERT INTO skill_trees VALUES (13,1159,19,'Curse Death Link',330000,72);
INSERT INTO skill_trees VALUES (13,1159,20,'Curse Death Link',330000,72);
INSERT INTO skill_trees VALUES (13,1159,21,'Curse Death Link',480000,74);
INSERT INTO skill_trees VALUES (13,1159,22,'Curse Death Link',480000,74);
INSERT INTO skill_trees VALUES (13,1163,1,'Curse Discord',31000,40);
INSERT INTO skill_trees VALUES (13,1163,2,'Curse Discord',35000,44);
INSERT INTO skill_trees VALUES (13,1163,3,'Curse Discord',55000,48);
INSERT INTO skill_trees VALUES (13,1163,4,'Curse Discord',78000,52);
INSERT INTO skill_trees VALUES (13,1163,5,'Curse Discord',87000,56);
INSERT INTO skill_trees VALUES (13,1163,6,'Curse Discord',100000,58);
INSERT INTO skill_trees VALUES (13,1163,7,'Curse Discord',140000,60);
INSERT INTO skill_trees VALUES (13,1163,8,'Curse Discord',180000,62);
INSERT INTO skill_trees VALUES (13,1163,9,'Curse Discord',210000,64);
INSERT INTO skill_trees VALUES (13,1163,10,'Curse Discord',300000,66);
INSERT INTO skill_trees VALUES (13,1163,11,'Curse Discord',350000,68);
INSERT INTO skill_trees VALUES (13,1163,12,'Curse Discord',430000,70);
INSERT INTO skill_trees VALUES (13,1163,13,'Curse Discord',650000,72);
INSERT INTO skill_trees VALUES (13,1163,14,'Curse Discord',960000,74);
INSERT INTO skill_trees VALUES (13,1164,6,'Curse: Weakness',31000,40);
INSERT INTO skill_trees VALUES (13,1164,7,'Curse: Weakness',35000,44);
INSERT INTO skill_trees VALUES (13,1164,8,'Curse: Weakness',55000,48);
INSERT INTO skill_trees VALUES (13,1164,9,'Curse: Weakness',78000,52);
INSERT INTO skill_trees VALUES (13,1164,10,'Curse: Weakness',87000,56);
INSERT INTO skill_trees VALUES (13,1164,11,'Curse: Weakness',100000,58);
INSERT INTO skill_trees VALUES (13,1164,12,'Curse: Weakness',140000,60);
INSERT INTO skill_trees VALUES (13,1164,13,'Curse: Weakness',180000,62);
INSERT INTO skill_trees VALUES (13,1164,14,'Curse: Weakness',210000,64);
INSERT INTO skill_trees VALUES (13,1164,15,'Curse: Weakness',300000,66);
INSERT INTO skill_trees VALUES (13,1164,16,'Curse: Weakness',350000,68);
INSERT INTO skill_trees VALUES (13,1164,17,'Curse: Weakness',430000,70);
INSERT INTO skill_trees VALUES (13,1164,18,'Curse: Weakness',650000,72);
INSERT INTO skill_trees VALUES (13,1164,19,'Curse: Weakness',960000,74);
INSERT INTO skill_trees VALUES (13,1167,3,'Poisonous Cloud',55000,48);
INSERT INTO skill_trees VALUES (13,1167,4,'Poisonous Cloud',87000,56);
INSERT INTO skill_trees VALUES (13,1167,5,'Poisonous Cloud',210000,64);
INSERT INTO skill_trees VALUES (13,1167,6,'Poisonous Cloud',960000,74);
INSERT INTO skill_trees VALUES (13,1168,4,'Curse:Poison',35000,44);
INSERT INTO skill_trees VALUES (13,1168,5,'Curse:Poison',78000,52);
INSERT INTO skill_trees VALUES (13,1168,6,'Curse:Poison',180000,62);
INSERT INTO skill_trees VALUES (13,1168,7,'Curse:Poison',650000,72);
INSERT INTO skill_trees VALUES (13,1169,1,'Curse Fear',31000,40);
INSERT INTO skill_trees VALUES (13,1169,2,'Curse Fear',35000,44);
INSERT INTO skill_trees VALUES (13,1169,3,'Curse Fear',55000,48);
INSERT INTO skill_trees VALUES (13,1169,4,'Curse Fear',78000,52);
INSERT INTO skill_trees VALUES (13,1169,5,'Curse Fear',87000,56);
INSERT INTO skill_trees VALUES (13,1169,6,'Curse Fear',100000,58);
INSERT INTO skill_trees VALUES (13,1169,7,'Curse Fear',140000,60);
INSERT INTO skill_trees VALUES (13,1169,8,'Curse Fear',180000,62);
INSERT INTO skill_trees VALUES (13,1169,9,'Curse Fear',210000,64);
INSERT INTO skill_trees VALUES (13,1169,10,'Curse Fear',300000,66);
INSERT INTO skill_trees VALUES (13,1169,11,'Curse Fear',350000,68);
INSERT INTO skill_trees VALUES (13,1169,12,'Curse Fear',430000,70);
INSERT INTO skill_trees VALUES (13,1169,13,'Curse Fear',650000,72);
INSERT INTO skill_trees VALUES (13,1169,14,'Curse Fear',960000,74);
INSERT INTO skill_trees VALUES (13,1170,1,'Anchor',35000,44);
INSERT INTO skill_trees VALUES (13,1170,2,'Anchor',55000,48);
INSERT INTO skill_trees VALUES (13,1170,3,'Anchor',78000,52);
INSERT INTO skill_trees VALUES (13,1170,4,'Anchor',87000,56);
INSERT INTO skill_trees VALUES (13,1170,5,'Anchor',100000,58);
INSERT INTO skill_trees VALUES (13,1170,6,'Anchor',140000,60);
INSERT INTO skill_trees VALUES (13,1170,7,'Anchor',180000,62);
INSERT INTO skill_trees VALUES (13,1170,8,'Anchor',210000,64);
INSERT INTO skill_trees VALUES (13,1170,9,'Anchor',300000,66);
INSERT INTO skill_trees VALUES (13,1170,10,'Anchor',350000,68);
INSERT INTO skill_trees VALUES (13,1170,11,'Anchor',430000,70);
INSERT INTO skill_trees VALUES (13,1170,12,'Anchor',650000,72);
INSERT INTO skill_trees VALUES (13,1170,13,'Anchor',960000,74);
INSERT INTO skill_trees VALUES (13,1222,2,'Curse Chaos',31000,40);
INSERT INTO skill_trees VALUES (13,1222,3,'Curse Chaos',35000,44);
INSERT INTO skill_trees VALUES (13,1222,4,'Curse Chaos',55000,48);
INSERT INTO skill_trees VALUES (13,1222,5,'Curse Chaos',78000,52);
INSERT INTO skill_trees VALUES (13,1222,6,'Curse Chaos',87000,56);
INSERT INTO skill_trees VALUES (13,1222,7,'Curse Chaos',100000,58);
INSERT INTO skill_trees VALUES (13,1222,8,'Curse Chaos',140000,60);
INSERT INTO skill_trees VALUES (13,1222,9,'Curse Chaos',180000,62);
INSERT INTO skill_trees VALUES (13,1222,10,'Curse Chaos',210000,64);
INSERT INTO skill_trees VALUES (13,1222,11,'Curse Chaos',300000,66);
INSERT INTO skill_trees VALUES (13,1222,12,'Curse Chaos',350000,68);
INSERT INTO skill_trees VALUES (13,1222,13,'Curse Chaos',430000,70);
INSERT INTO skill_trees VALUES (13,1222,14,'Curse Chaos',650000,72);
INSERT INTO skill_trees VALUES (13,1222,15,'Curse Chaos',960000,74);
INSERT INTO skill_trees VALUES (13,1234,1,'Vampiric Claw',16000,40);
INSERT INTO skill_trees VALUES (13,1234,2,'Vampiric Claw',16000,40);
INSERT INTO skill_trees VALUES (13,1234,3,'Vampiric Claw',18000,44);
INSERT INTO skill_trees VALUES (13,1234,4,'Vampiric Claw',18000,44);
INSERT INTO skill_trees VALUES (13,1234,5,'Vampiric Claw',27000,48);
INSERT INTO skill_trees VALUES (13,1234,6,'Vampiric Claw',27000,48);
INSERT INTO skill_trees VALUES (13,1234,7,'Vampiric Claw',39000,52);
INSERT INTO skill_trees VALUES (13,1234,8,'Vampiric Claw',39000,52);
INSERT INTO skill_trees VALUES (13,1234,9,'Vampiric Claw',43000,56);
INSERT INTO skill_trees VALUES (13,1234,10,'Vampiric Claw',43000,56);
INSERT INTO skill_trees VALUES (13,1234,11,'Vampiric Claw',50000,58);
INSERT INTO skill_trees VALUES (13,1234,12,'Vampiric Claw',50000,58);
INSERT INTO skill_trees VALUES (13,1234,13,'Vampiric Claw',68000,60);
INSERT INTO skill_trees VALUES (13,1234,14,'Vampiric Claw',68000,60);
INSERT INTO skill_trees VALUES (13,1234,15,'Vampiric Claw',91000,62);
INSERT INTO skill_trees VALUES (13,1234,16,'Vampiric Claw',91000,62);
INSERT INTO skill_trees VALUES (13,1234,17,'Vampiric Claw',100000,64);
INSERT INTO skill_trees VALUES (13,1234,18,'Vampiric Claw',100000,64);
INSERT INTO skill_trees VALUES (13,1234,19,'Vampiric Claw',150000,66);
INSERT INTO skill_trees VALUES (13,1234,20,'Vampiric Claw',150000,66);
INSERT INTO skill_trees VALUES (13,1234,21,'Vampiric Claw',170000,68);
INSERT INTO skill_trees VALUES (13,1234,22,'Vampiric Claw',170000,68);
INSERT INTO skill_trees VALUES (13,1234,23,'Vampiric Claw',210000,70);
INSERT INTO skill_trees VALUES (13,1234,24,'Vampiric Claw',210000,70);
INSERT INTO skill_trees VALUES (13,1234,25,'Vampiric Claw',330000,72);
INSERT INTO skill_trees VALUES (13,1234,26,'Vampiric Claw',330000,72);
INSERT INTO skill_trees VALUES (13,1234,27,'Vampiric Claw',480000,74);
INSERT INTO skill_trees VALUES (13,1234,28,'Vampiric Claw',480000,74);
INSERT INTO skill_trees VALUES (13,1262,1,'Transfer Pain',31000,40);
INSERT INTO skill_trees VALUES (13,1262,2,'Transfer Pain',55000,48);
INSERT INTO skill_trees VALUES (13,1262,3,'Transfer Pain',87000,56);
INSERT INTO skill_trees VALUES (13,1262,4,'Transfer Pain',100000,58);
INSERT INTO skill_trees VALUES (13,1262,5,'Transfer Pain',430000,70);
INSERT INTO skill_trees VALUES (13,1263,1,'Curse Gloom',35000,44);
INSERT INTO skill_trees VALUES (13,1263,2,'Curse Gloom',55000,48);
INSERT INTO skill_trees VALUES (13,1263,3,'Curse Gloom',78000,52);
INSERT INTO skill_trees VALUES (13,1263,4,'Curse Gloom',87000,56);
INSERT INTO skill_trees VALUES (13,1263,5,'Curse Gloom',100000,58);
INSERT INTO skill_trees VALUES (13,1263,6,'Curse Gloom',140000,60);
INSERT INTO skill_trees VALUES (13,1263,7,'Curse Gloom',180000,62);
INSERT INTO skill_trees VALUES (13,1263,8,'Curse Gloom',210000,64);
INSERT INTO skill_trees VALUES (13,1263,9,'Curse Gloom',300000,66);
INSERT INTO skill_trees VALUES (13,1263,10,'Curse Gloom',350000,68);
INSERT INTO skill_trees VALUES (13,1263,11,'Curse Gloom',430000,70);
INSERT INTO skill_trees VALUES (13,1263,12,'Curse Gloom',650000,72);
INSERT INTO skill_trees VALUES (13,1263,13,'Curse Gloom',960000,74);
INSERT INTO skill_trees VALUES (13,1269,1,'Curse Disease',100000,58);
INSERT INTO skill_trees VALUES (13,1269,2,'Curse Disease',140000,60);
INSERT INTO skill_trees VALUES (13,1269,3,'Curse Disease',180000,62);
INSERT INTO skill_trees VALUES (13,1269,4,'Curse Disease',210000,64);
INSERT INTO skill_trees VALUES (13,1269,5,'Curse Disease',300000,66);
INSERT INTO skill_trees VALUES (13,1269,6,'Curse Disease',350000,68);
INSERT INTO skill_trees VALUES (13,1269,7,'Curse Disease',430000,70);
INSERT INTO skill_trees VALUES (13,1269,8,'Curse Disease',650000,72);
INSERT INTO skill_trees VALUES (13,1269,9,'Curse Disease',960000,74);
INSERT INTO skill_trees VALUES (13,1298,1,'Mass Slow',91000,62);
INSERT INTO skill_trees VALUES (13,1298,2,'Mass Slow',91000,62);
INSERT INTO skill_trees VALUES (13,1298,3,'Mass Slow',100000,64);
INSERT INTO skill_trees VALUES (13,1298,4,'Mass Slow',100000,64);
INSERT INTO skill_trees VALUES (13,1298,5,'Mass Slow',150000,66);
INSERT INTO skill_trees VALUES (13,1298,6,'Mass Slow',150000,66);
INSERT INTO skill_trees VALUES (13,1298,7,'Mass Slow',170000,68);
INSERT INTO skill_trees VALUES (13,1298,8,'Mass Slow',170000,68);
INSERT INTO skill_trees VALUES (13,1298,9,'Mass Slow',210000,70);
INSERT INTO skill_trees VALUES (13,1298,10,'Mass Slow',210000,70);
INSERT INTO skill_trees VALUES (13,1298,11,'Mass Slow',330000,72);
INSERT INTO skill_trees VALUES (13,1298,12,'Mass Slow',330000,72);
INSERT INTO skill_trees VALUES (13,1298,13,'Mass Slow',480000,74);
INSERT INTO skill_trees VALUES (13,1298,14,'Mass Slow',480000,74);
INSERT INTO skill_trees VALUES (14,10,1,'Summon Storm Cubic',34000,40);
INSERT INTO skill_trees VALUES (14,10,2,'Summon Storm Cubic',43000,44);
INSERT INTO skill_trees VALUES (14,10,3,'Summon Storm Cubic',110000,52);
INSERT INTO skill_trees VALUES (14,10,4,'Summon Storm Cubic',180000,58);
INSERT INTO skill_trees VALUES (14,10,5,'Summon Storm Cubic',360000,62);
INSERT INTO skill_trees VALUES (14,10,6,'Summon Storm Cubic',640000,66);
INSERT INTO skill_trees VALUES (14,10,7,'Summon Storm Cubic',780000,70);
INSERT INTO skill_trees VALUES (14,10,8,'Summon Storm Cubic',1900000,74);
INSERT INTO skill_trees VALUES (14,143,1,'Cubic Mastery',43000,44);
INSERT INTO skill_trees VALUES (14,143,2,'Cubic Mastery',130000,56);
INSERT INTO skill_trees VALUES (14,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (14,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (14,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (14,146,16,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (14,146,17,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (14,146,18,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (14,146,19,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (14,146,20,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (14,146,21,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (14,146,22,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (14,146,23,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (14,146,24,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (14,146,25,'Anti Magic',44000,56);
INSERT INTO skill_trees VALUES (14,146,26,'Anti Magic',44000,56);
INSERT INTO skill_trees VALUES (14,146,27,'Anti Magic',44000,56);
INSERT INTO skill_trees VALUES (14,146,28,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (14,146,29,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (14,146,30,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (14,146,31,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (14,146,32,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (14,146,33,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (14,146,34,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (14,146,35,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (14,146,36,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (14,146,37,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (14,146,38,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (14,146,39,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (14,146,40,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (14,146,41,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (14,146,42,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (14,146,43,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (14,146,44,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (14,146,45,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (14,164,3,'Quick Recovery',75000,48);
INSERT INTO skill_trees VALUES (14,212,2,'Fast HP Recovery',43000,44);
INSERT INTO skill_trees VALUES (14,212,3,'Fast HP Recovery',110000,52);
INSERT INTO skill_trees VALUES (14,212,4,'Fast HP Recovery',180000,58);
INSERT INTO skill_trees VALUES (14,212,5,'Fast HP Recovery',430000,64);
INSERT INTO skill_trees VALUES (14,212,6,'Fast HP Recovery',1900000,74);
INSERT INTO skill_trees VALUES (14,213,3,'Boost Mana',34000,40);
INSERT INTO skill_trees VALUES (14,213,4,'Boost Mana',75000,48);
INSERT INTO skill_trees VALUES (14,213,5,'Boost Mana',130000,56);
INSERT INTO skill_trees VALUES (14,213,6,'Boost Mana',230000,60);
INSERT INTO skill_trees VALUES (14,213,7,'Boost Mana',640000,66);
INSERT INTO skill_trees VALUES (14,213,8,'Boost Mana',1400000,72);
INSERT INTO skill_trees VALUES (14,228,2,'Fast Spell Casting',34000,40);
INSERT INTO skill_trees VALUES (14,228,3,'Fast Spell Casting',130000,56);
INSERT INTO skill_trees VALUES (14,229,3,'Fast Mana Recovery',43000,44);
INSERT INTO skill_trees VALUES (14,229,4,'Fast Mana Recovery',110000,52);
INSERT INTO skill_trees VALUES (14,229,5,'Fast Mana Recovery',230000,60);
INSERT INTO skill_trees VALUES (14,229,6,'Fast Mana Recovery',700000,68);
INSERT INTO skill_trees VALUES (14,229,7,'Fast Mana Recovery',1900000,74);
INSERT INTO skill_trees VALUES (14,234,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,234,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,234,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,234,12,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,234,13,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,234,14,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,234,15,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,234,16,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,234,17,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,234,18,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,234,19,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,234,20,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,234,21,'Robe Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,234,22,'Robe Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,234,23,'Robe Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,234,24,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,234,25,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,234,26,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,234,27,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,234,28,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,234,29,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,234,30,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,234,31,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,234,32,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,234,33,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,234,34,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,234,35,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,234,36,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,234,37,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,234,38,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,234,39,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,234,40,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,234,41,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (14,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (14,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (14,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (14,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,249,13,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,249,14,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,249,15,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,249,16,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,249,17,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,249,18,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,249,19,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,249,20,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,249,21,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,249,22,'Weapon Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,249,23,'Weapon Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,249,24,'Weapon Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,249,25,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,249,26,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,249,27,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,249,28,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,249,29,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,249,30,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,249,31,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,249,32,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,249,33,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,249,34,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,249,35,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,249,36,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,249,37,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,249,38,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,249,39,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,249,40,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,249,41,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,249,42,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,258,1,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,258,2,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,258,3,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (14,258,4,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,258,5,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,258,6,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (14,258,7,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,258,8,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,258,9,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (14,258,10,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,258,11,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,258,12,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (14,258,13,'Light Armor Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,258,14,'Light Armor Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,258,15,'Light Armor Mastery',44000,56);
INSERT INTO skill_trees VALUES (14,258,16,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,258,17,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (14,258,18,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,258,19,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (14,258,20,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,258,21,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (14,258,22,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,258,23,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (14,258,24,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,258,25,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (14,258,26,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,258,27,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (14,258,28,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,258,29,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (14,258,30,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,258,31,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (14,258,32,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,258,33,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (14,1111,5,'Summon Kat the Cat',34000,40);
INSERT INTO skill_trees VALUES (14,1111,6,'Summon Kat the Cat',43000,44);
INSERT INTO skill_trees VALUES (14,1111,7,'Summon Kat the Cat',75000,48);
INSERT INTO skill_trees VALUES (14,1111,8,'Summon Kat the Cat',110000,52);
INSERT INTO skill_trees VALUES (14,1111,9,'Summon Kat the Cat',130000,56);
INSERT INTO skill_trees VALUES (14,1111,10,'Summon Kat the Cat',180000,58);
INSERT INTO skill_trees VALUES (14,1111,11,'Summon Kat the Cat',230000,60);
INSERT INTO skill_trees VALUES (14,1111,12,'Summon Kat the Cat',360000,62);
INSERT INTO skill_trees VALUES (14,1111,13,'Summon Kat the Cat',430000,64);
INSERT INTO skill_trees VALUES (14,1111,14,'Summon Kat the Cat',640000,66);
INSERT INTO skill_trees VALUES (14,1111,15,'Summon Kat the Cat',700000,68);
INSERT INTO skill_trees VALUES (14,1111,16,'Summon Kat the Cat',780000,70);
INSERT INTO skill_trees VALUES (14,1111,17,'Summon Kat the Cat',1400000,72);
INSERT INTO skill_trees VALUES (14,1111,18,'Summon Kat the Cat',1900000,74);
INSERT INTO skill_trees VALUES (14,1126,7,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (14,1126,8,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (14,1126,9,'Servitor Recharge',22000,44);
INSERT INTO skill_trees VALUES (14,1126,10,'Servitor Recharge',22000,44);
INSERT INTO skill_trees VALUES (14,1126,11,'Servitor Recharge',38000,48);
INSERT INTO skill_trees VALUES (14,1126,12,'Servitor Recharge',38000,48);
INSERT INTO skill_trees VALUES (14,1126,13,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (14,1126,14,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (14,1126,15,'Servitor Recharge',67000,56);
INSERT INTO skill_trees VALUES (14,1126,16,'Servitor Recharge',67000,56);
INSERT INTO skill_trees VALUES (14,1126,17,'Servitor Recharge',92000,58);
INSERT INTO skill_trees VALUES (14,1126,18,'Servitor Recharge',92000,58);
INSERT INTO skill_trees VALUES (14,1126,19,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (14,1126,20,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (14,1126,21,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (14,1126,22,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (14,1126,23,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (14,1126,24,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (14,1126,25,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (14,1126,26,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (14,1126,27,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (14,1126,28,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (14,1126,29,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (14,1126,30,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (14,1126,31,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (14,1126,32,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (14,1126,33,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (14,1126,34,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (14,1127,13,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (14,1127,14,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (14,1127,15,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (14,1127,16,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (14,1127,17,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (14,1127,18,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (14,1127,19,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (14,1127,20,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (14,1127,21,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (14,1127,22,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (14,1127,23,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (14,1127,24,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (14,1127,25,'Servitor Heal',44000,56);
INSERT INTO skill_trees VALUES (14,1127,26,'Servitor Heal',44000,56);
INSERT INTO skill_trees VALUES (14,1127,27,'Servitor Heal',44000,56);
INSERT INTO skill_trees VALUES (14,1127,28,'Servitor Heal',92000,58);
INSERT INTO skill_trees VALUES (14,1127,29,'Servitor Heal',92000,58);
INSERT INTO skill_trees VALUES (14,1127,30,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (14,1127,31,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (14,1127,32,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (14,1127,33,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (14,1127,34,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (14,1127,35,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (14,1127,36,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (14,1127,37,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (14,1127,38,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (14,1127,39,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (14,1127,40,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (14,1127,41,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (14,1127,42,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (14,1127,43,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (14,1127,44,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (14,1127,45,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (14,1139,1,'Servitor Magic Shield',43000,44);
INSERT INTO skill_trees VALUES (14,1139,2,'Servitor Magic Shield',110000,52);
INSERT INTO skill_trees VALUES (14,1140,1,'Servitor Physical Shield',34000,40);
INSERT INTO skill_trees VALUES (14,1140,2,'Servitor Physical Shield',75000,48);
INSERT INTO skill_trees VALUES (14,1140,3,'Servitor Physical Shield',130000,56);
INSERT INTO skill_trees VALUES (14,1141,1,'Servitor Haste',43000,44);
INSERT INTO skill_trees VALUES (14,1141,2,'Servitor Haste',110000,52);
INSERT INTO skill_trees VALUES (14,1144,2,'Fast Servitor',75000,48);
INSERT INTO skill_trees VALUES (14,1225,5,'Summon Mew the Cat',34000,40);
INSERT INTO skill_trees VALUES (14,1225,6,'Summon Mew the Cat',43000,44);
INSERT INTO skill_trees VALUES (14,1225,7,'Summon Mew the Cat',75000,48);
INSERT INTO skill_trees VALUES (14,1225,8,'Summon Mew the Cat',110000,52);
INSERT INTO skill_trees VALUES (14,1225,9,'Summon Mew the Cat',130000,56);
INSERT INTO skill_trees VALUES (14,1225,10,'Summon Mew the Cat',180000,58);
INSERT INTO skill_trees VALUES (14,1225,11,'Summon Mew the Cat',230000,60);
INSERT INTO skill_trees VALUES (14,1225,12,'Summon Mew the Cat',360000,62);
INSERT INTO skill_trees VALUES (14,1225,13,'Summon Mew the Cat',430000,64);
INSERT INTO skill_trees VALUES (14,1225,14,'Summon Mew the Cat',640000,66);
INSERT INTO skill_trees VALUES (14,1225,15,'Summon Mew the Cat',700000,68);
INSERT INTO skill_trees VALUES (14,1225,16,'Summon Mew the Cat',780000,70);
INSERT INTO skill_trees VALUES (14,1225,17,'Summon Mew the Cat',1400000,72);
INSERT INTO skill_trees VALUES (14,1225,18,'Summon Mew the Cat',1900000,74);
INSERT INTO skill_trees VALUES (14,1262,1,'Transfer Pain',34000,40);
INSERT INTO skill_trees VALUES (14,1262,2,'Transfer Pain',75000,48);
INSERT INTO skill_trees VALUES (14,1262,3,'Transfer Pain',130000,56);
INSERT INTO skill_trees VALUES (14,1262,4,'Transfer Pain',180000,58);
INSERT INTO skill_trees VALUES (14,1262,5,'Transfer Pain',780000,70);
INSERT INTO skill_trees VALUES (14,1276,1,'Summon Kai the Cat',34000,40);
INSERT INTO skill_trees VALUES (14,1276,2,'Summon Kai the Cat',43000,44);
INSERT INTO skill_trees VALUES (14,1276,3,'Summon Kai the Cat',75000,48);
INSERT INTO skill_trees VALUES (14,1276,4,'Summon Kai the Cat',110000,52);
INSERT INTO skill_trees VALUES (14,1276,5,'Summon Kai the Cat',130000,56);
INSERT INTO skill_trees VALUES (14,1276,6,'Summon Kai the Cat',180000,58);
INSERT INTO skill_trees VALUES (14,1276,7,'Summon Kai the Cat',230000,60);
INSERT INTO skill_trees VALUES (14,1276,8,'Summon Kai the Cat',360000,62);
INSERT INTO skill_trees VALUES (14,1276,9,'Summon Kai the Cat',430000,64);
INSERT INTO skill_trees VALUES (14,1276,10,'Summon Kai the Cat',640000,66);
INSERT INTO skill_trees VALUES (14,1276,11,'Summon Kai the Cat',700000,68);
INSERT INTO skill_trees VALUES (14,1276,12,'Summon Kai the Cat',780000,70);
INSERT INTO skill_trees VALUES (14,1276,13,'Summon Kai the Cat',1400000,72);
INSERT INTO skill_trees VALUES (14,1276,14,'Summon Kai the Cat',1900000,74);
INSERT INTO skill_trees VALUES (14,1279,1,'Summon Binding Cubic',34000,40);
INSERT INTO skill_trees VALUES (14,1279,2,'Summon Binding Cubic',43000,44);
INSERT INTO skill_trees VALUES (14,1279,3,'Summon Binding Cubic',75000,48);
INSERT INTO skill_trees VALUES (14,1279,4,'Summon Binding Cubic',110000,52);
INSERT INTO skill_trees VALUES (14,1279,5,'Summon Binding Cubic',130000,56);
INSERT INTO skill_trees VALUES (14,1279,6,'Summon Binding Cubic',230000,60);
INSERT INTO skill_trees VALUES (14,1279,7,'Summon Binding Cubic',430000,64);
INSERT INTO skill_trees VALUES (14,1279,8,'Summon Binding Cubic',700000,68);
INSERT INTO skill_trees VALUES (14,1279,9,'Summon Binding Cubic',1400000,72);
INSERT INTO skill_trees VALUES (14,1299,1,'Servitor Empower',110000,52);
INSERT INTO skill_trees VALUES (14,1299,2,'Servitor Empower',780000,70);
INSERT INTO skill_trees VALUES (14,1300,1,'Servitor Cure',34000,40);
INSERT INTO skill_trees VALUES (14,1300,2,'Servitor Cure',75000,48);
INSERT INTO skill_trees VALUES (14,1300,3,'Servitor Cure',230000,60);
INSERT INTO skill_trees VALUES (14,1301,1,'Servitor Blessing',360000,62);
INSERT INTO skill_trees VALUES (15,146,5,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (15,146,6,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (15,146,7,'Anti Magic',3400,25);
INSERT INTO skill_trees VALUES (15,146,8,'Anti Magic',3400,25);
INSERT INTO skill_trees VALUES (15,146,9,'Anti Magic',6600,30);
INSERT INTO skill_trees VALUES (15,146,10,'Anti Magic',6600,30);
INSERT INTO skill_trees VALUES (15,146,11,'Anti Magic',11000,35);
INSERT INTO skill_trees VALUES (15,146,12,'Anti Magic',11000,35);
INSERT INTO skill_trees VALUES (15,164,1,'Quick Recovery',3300,20);
INSERT INTO skill_trees VALUES (15,164,2,'Quick Recovery',13000,30);
INSERT INTO skill_trees VALUES (15,212,1,'Fast HP Recovery',21000,35);
INSERT INTO skill_trees VALUES (15,213,1,'Boost Mana',3300,20);
INSERT INTO skill_trees VALUES (15,213,2,'Boost Mana',13000,30);
INSERT INTO skill_trees VALUES (15,228,1,'Fast Spell Casting',6900,25);
INSERT INTO skill_trees VALUES (15,229,1,'Fast Mana Recovery',6900,25);
INSERT INTO skill_trees VALUES (15,229,2,'Fast Mana Recovery',21000,35);
INSERT INTO skill_trees VALUES (15,235,1,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (15,235,2,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (15,235,3,'Robe Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,235,4,'Robe Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,235,5,'Robe Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,235,6,'Robe Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,235,7,'Robe Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,235,8,'Robe Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,236,1,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (15,236,2,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (15,236,3,'Light Armor Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,236,4,'Light Armor Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,236,5,'Light Armor Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,236,6,'Light Armor Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,236,7,'Light Armor Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,236,8,'Light Armor Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (15,249,3,'Weapon Mastery',3300,20);
INSERT INTO skill_trees VALUES (15,249,4,'Weapon Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,249,5,'Weapon Mastery',3400,25);
INSERT INTO skill_trees VALUES (15,249,6,'Weapon Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,249,7,'Weapon Mastery',6600,30);
INSERT INTO skill_trees VALUES (15,249,8,'Weapon Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,249,9,'Weapon Mastery',11000,35);
INSERT INTO skill_trees VALUES (15,1011,7,'Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1011,8,'Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1011,9,'Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1011,10,'Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1011,11,'Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1011,12,'Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1011,13,'Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1011,14,'Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1011,15,'Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1011,16,'Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1011,17,'Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1011,18,'Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1012,2,'Cure Poison',21000,35);
INSERT INTO skill_trees VALUES (15,1015,4,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1015,5,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1015,6,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1015,7,'Battle Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1015,8,'Battle Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1015,9,'Battle Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1015,10,'Battle Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1015,11,'Battle Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1015,12,'Battle Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1015,13,'Battle Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1015,14,'Battle Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1015,15,'Battle Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1016,1,'Resurrection',3300,20);
INSERT INTO skill_trees VALUES (15,1016,2,'Resurrection',13000,30);
INSERT INTO skill_trees VALUES (15,1027,4,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1027,5,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1027,6,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (15,1027,7,'Group Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1027,8,'Group Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1027,9,'Group Heal',2300,25);
INSERT INTO skill_trees VALUES (15,1027,10,'Group Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1027,11,'Group Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1027,12,'Group Heal',4400,30);
INSERT INTO skill_trees VALUES (15,1027,13,'Group Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1027,14,'Group Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1027,15,'Group Heal',7300,35);
INSERT INTO skill_trees VALUES (15,1031,1,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (15,1031,2,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (15,1031,3,'Disrupt Undead',3400,25);
INSERT INTO skill_trees VALUES (15,1031,4,'Disrupt Undead',3400,25);
INSERT INTO skill_trees VALUES (15,1031,5,'Disrupt Undead',6600,30);
INSERT INTO skill_trees VALUES (15,1031,6,'Disrupt Undead',6600,30);
INSERT INTO skill_trees VALUES (15,1031,7,'Disrupt Undead',11000,35);
INSERT INTO skill_trees VALUES (15,1031,8,'Disrupt Undead',11000,35);
INSERT INTO skill_trees VALUES (15,1035,1,'Mental Shield',6900,25);
INSERT INTO skill_trees VALUES (15,1040,2,'Shield',6900,25);
INSERT INTO skill_trees VALUES (15,1043,1,'Holy Weapon',6900,25);
INSERT INTO skill_trees VALUES (15,1044,1,'Regeneration',21000,35);
INSERT INTO skill_trees VALUES (15,1062,1,'Berserker Spirit',21000,35);
INSERT INTO skill_trees VALUES (15,1068,2,'Might',3300,20);
INSERT INTO skill_trees VALUES (15,1069,1,'Sleep',2300,25);
INSERT INTO skill_trees VALUES (15,1069,2,'Sleep',2300,25);
INSERT INTO skill_trees VALUES (15,1069,3,'Sleep',2300,25);
INSERT INTO skill_trees VALUES (15,1069,4,'Sleep',4400,30);
INSERT INTO skill_trees VALUES (15,1069,5,'Sleep',4400,30);
INSERT INTO skill_trees VALUES (15,1069,6,'Sleep',4400,30);
INSERT INTO skill_trees VALUES (15,1069,7,'Sleep',7300,35);
INSERT INTO skill_trees VALUES (15,1069,8,'Sleep',7300,35);
INSERT INTO skill_trees VALUES (15,1069,9,'Sleep',7300,35);
INSERT INTO skill_trees VALUES (15,1073,1,'Kiss of Eva',3300,20);
INSERT INTO skill_trees VALUES (15,1075,1,'Peace',21000,35);
INSERT INTO skill_trees VALUES (15,1077,1,'Focus',6900,25);
INSERT INTO skill_trees VALUES (15,1078,1,'Concentration',3300,20);
INSERT INTO skill_trees VALUES (15,1078,2,'Concentration',13000,30);
INSERT INTO skill_trees VALUES (15,1085,1,'Acumen',3300,20);
INSERT INTO skill_trees VALUES (15,1085,2,'Acumen',21000,35);
INSERT INTO skill_trees VALUES (15,1191,1,'Resist Fire',13000,30);
INSERT INTO skill_trees VALUES (15,1201,1,'Dryad Root',2300,25);
INSERT INTO skill_trees VALUES (15,1201,2,'Dryad Root',2300,25);
INSERT INTO skill_trees VALUES (15,1201,3,'Dryad Root',2300,25);
INSERT INTO skill_trees VALUES (15,1201,4,'Dryad Root',4400,30);
INSERT INTO skill_trees VALUES (15,1201,5,'Dryad Root',4400,30);
INSERT INTO skill_trees VALUES (15,1201,6,'Dryad Root',4400,30);
INSERT INTO skill_trees VALUES (15,1201,7,'Dryad Root',7300,35);
INSERT INTO skill_trees VALUES (15,1201,8,'Dryad Root',7300,35);
INSERT INTO skill_trees VALUES (15,1201,9,'Dryad Root',7300,35);
INSERT INTO skill_trees VALUES (15,1204,1,'Wind Walk',3300,20);
INSERT INTO skill_trees VALUES (15,1204,2,'Wind Walk',13000,30);
INSERT INTO skill_trees VALUES (16,146,13,'Anti Magic',12000,40);
INSERT INTO skill_trees VALUES (16,146,14,'Anti Magic',12000,40);
INSERT INTO skill_trees VALUES (16,146,15,'Anti Magic',12000,40);
INSERT INTO skill_trees VALUES (16,146,16,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (16,146,17,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (16,146,18,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (16,146,19,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (16,146,20,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (16,146,21,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (16,146,22,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (16,146,23,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (16,146,24,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (16,146,25,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (16,146,26,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (16,146,27,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (16,146,28,'Anti Magic',65000,58);
INSERT INTO skill_trees VALUES (16,146,29,'Anti Magic',65000,58);
INSERT INTO skill_trees VALUES (16,146,30,'Anti Magic',88000,60);
INSERT INTO skill_trees VALUES (16,146,31,'Anti Magic',88000,60);
INSERT INTO skill_trees VALUES (16,146,32,'Anti Magic',130000,62);
INSERT INTO skill_trees VALUES (16,146,33,'Anti Magic',130000,62);
INSERT INTO skill_trees VALUES (16,146,34,'Anti Magic',150000,64);
INSERT INTO skill_trees VALUES (16,146,35,'Anti Magic',150000,64);
INSERT INTO skill_trees VALUES (16,146,36,'Anti Magic',210000,66);
INSERT INTO skill_trees VALUES (16,146,37,'Anti Magic',210000,66);
INSERT INTO skill_trees VALUES (16,146,38,'Anti Magic',240000,68);
INSERT INTO skill_trees VALUES (16,146,39,'Anti Magic',240000,68);
INSERT INTO skill_trees VALUES (16,146,40,'Anti Magic',290000,70);
INSERT INTO skill_trees VALUES (16,146,41,'Anti Magic',290000,70);
INSERT INTO skill_trees VALUES (16,146,42,'Anti Magic',500000,72);
INSERT INTO skill_trees VALUES (16,146,43,'Anti Magic',500000,72);
INSERT INTO skill_trees VALUES (16,146,44,'Anti Magic',640000,74);
INSERT INTO skill_trees VALUES (16,146,45,'Anti Magic',640000,74);
INSERT INTO skill_trees VALUES (16,164,3,'Quick Recovery',67000,48);
INSERT INTO skill_trees VALUES (16,212,2,'Fast HP Recovery',41000,44);
INSERT INTO skill_trees VALUES (16,212,3,'Fast HP Recovery',95000,52);
INSERT INTO skill_trees VALUES (16,212,4,'Fast HP Recovery',130000,58);
INSERT INTO skill_trees VALUES (16,212,5,'Fast HP Recovery',300000,64);
INSERT INTO skill_trees VALUES (16,212,6,'Fast HP Recovery',1300000,74);
INSERT INTO skill_trees VALUES (16,213,3,'Boost Mana',36000,40);
INSERT INTO skill_trees VALUES (16,213,4,'Boost Mana',67000,48);
INSERT INTO skill_trees VALUES (16,213,5,'Boost Mana',110000,56);
INSERT INTO skill_trees VALUES (16,213,6,'Boost Mana',180000,60);
INSERT INTO skill_trees VALUES (16,213,7,'Boost Mana',410000,66);
INSERT INTO skill_trees VALUES (16,213,8,'Boost Mana',1000000,72);
INSERT INTO skill_trees VALUES (16,228,2,'Fast Spell Casting',36000,40);
INSERT INTO skill_trees VALUES (16,228,3,'Fast Spell Casting',110000,56);
INSERT INTO skill_trees VALUES (16,229,3,'Fast Mana Recovery',41000,44);
INSERT INTO skill_trees VALUES (16,229,4,'Fast Mana Recovery',95000,52);
INSERT INTO skill_trees VALUES (16,229,5,'Fast Mana Recovery',180000,60);
INSERT INTO skill_trees VALUES (16,229,6,'Fast Mana Recovery',490000,68);
INSERT INTO skill_trees VALUES (16,229,7,'Fast Mana Recovery',1300000,74);
INSERT INTO skill_trees VALUES (16,235,9,'Robe Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,235,10,'Robe Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,235,11,'Robe Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,235,12,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,235,13,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,235,14,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,235,15,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,235,16,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,235,17,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,235,18,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,235,19,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,235,20,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,235,21,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,235,22,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,235,23,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,235,24,'Robe Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,235,25,'Robe Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,235,26,'Robe Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,235,27,'Robe Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,235,28,'Robe Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,235,29,'Robe Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,235,30,'Robe Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,235,31,'Robe Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,235,32,'Robe Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,235,33,'Robe Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,235,34,'Robe Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,235,35,'Robe Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,235,36,'Robe Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,235,37,'Robe Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,235,38,'Robe Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,235,39,'Robe Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,235,40,'Robe Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,235,41,'Robe Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,236,9,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,236,10,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,236,11,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,236,12,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,236,13,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,236,14,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,236,15,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,236,16,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,236,17,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,236,18,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,236,19,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,236,20,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,236,21,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,236,22,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,236,23,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,236,24,'Light Armor Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,236,25,'Light Armor Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,236,26,'Light Armor Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,236,27,'Light Armor Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,236,28,'Light Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,236,29,'Light Armor Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,236,30,'Light Armor Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,236,31,'Light Armor Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,236,32,'Light Armor Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,236,33,'Light Armor Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,236,34,'Light Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,236,35,'Light Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,236,36,'Light Armor Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,236,37,'Light Armor Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,236,38,'Light Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,236,39,'Light Armor Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,236,40,'Light Armor Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,236,41,'Light Armor Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (16,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (16,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (16,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (16,249,10,'Weapon Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,249,11,'Weapon Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,249,12,'Weapon Mastery',12000,40);
INSERT INTO skill_trees VALUES (16,249,13,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,249,14,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,249,15,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (16,249,16,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,249,17,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,249,18,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (16,249,19,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,249,20,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,249,21,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (16,249,22,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,249,23,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,249,24,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (16,249,25,'Weapon Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,249,26,'Weapon Mastery',65000,58);
INSERT INTO skill_trees VALUES (16,249,27,'Weapon Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,249,28,'Weapon Mastery',88000,60);
INSERT INTO skill_trees VALUES (16,249,29,'Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,249,30,'Weapon Mastery',130000,62);
INSERT INTO skill_trees VALUES (16,249,31,'Weapon Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,249,32,'Weapon Mastery',150000,64);
INSERT INTO skill_trees VALUES (16,249,33,'Weapon Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,249,34,'Weapon Mastery',210000,66);
INSERT INTO skill_trees VALUES (16,249,35,'Weapon Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,249,36,'Weapon Mastery',240000,68);
INSERT INTO skill_trees VALUES (16,249,37,'Weapon Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,249,38,'Weapon Mastery',290000,70);
INSERT INTO skill_trees VALUES (16,249,39,'Weapon Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,249,40,'Weapon Mastery',500000,72);
INSERT INTO skill_trees VALUES (16,249,41,'Weapon Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,249,42,'Weapon Mastery',640000,74);
INSERT INTO skill_trees VALUES (16,1012,3,'Cure Poison',130000,58);
INSERT INTO skill_trees VALUES (16,1016,3,'Greater Resurrection',36000,40);
INSERT INTO skill_trees VALUES (16,1016,4,'Greater Resurrection',67000,48);
INSERT INTO skill_trees VALUES (16,1016,5,'Greater Resurrection',110000,56);
INSERT INTO skill_trees VALUES (16,1016,6,'Greater Resurrection',180000,60);
INSERT INTO skill_trees VALUES (16,1016,7,'Greater Resurrection',300000,64);
INSERT INTO skill_trees VALUES (16,1016,8,'Greater Resurrection',590000,70);
INSERT INTO skill_trees VALUES (16,1016,9,'Greater Resurrection',1300000,74);
INSERT INTO skill_trees VALUES (16,1018,1,'Purify',41000,44);
INSERT INTO skill_trees VALUES (16,1018,2,'Purify',95000,52);
INSERT INTO skill_trees VALUES (16,1018,3,'Purify',270000,62);
INSERT INTO skill_trees VALUES (16,1020,1,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (16,1020,2,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (16,1020,3,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (16,1020,4,'Vitalize',32000,52);
INSERT INTO skill_trees VALUES (16,1020,5,'Vitalize',32000,52);
INSERT INTO skill_trees VALUES (16,1020,6,'Vitalize',32000,52);
INSERT INTO skill_trees VALUES (16,1020,7,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (16,1020,8,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (16,1020,9,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (16,1020,10,'Vitalize',65000,58);
INSERT INTO skill_trees VALUES (16,1020,11,'Vitalize',65000,58);
INSERT INTO skill_trees VALUES (16,1020,12,'Vitalize',88000,60);
INSERT INTO skill_trees VALUES (16,1020,13,'Vitalize',88000,60);
INSERT INTO skill_trees VALUES (16,1020,14,'Vitalize',130000,62);
INSERT INTO skill_trees VALUES (16,1020,15,'Vitalize',130000,62);
INSERT INTO skill_trees VALUES (16,1020,16,'Vitalize',150000,64);
INSERT INTO skill_trees VALUES (16,1020,17,'Vitalize',150000,64);
INSERT INTO skill_trees VALUES (16,1020,18,'Vitalize',210000,66);
INSERT INTO skill_trees VALUES (16,1020,19,'Vitalize',210000,66);
INSERT INTO skill_trees VALUES (16,1020,20,'Vitalize',240000,68);
INSERT INTO skill_trees VALUES (16,1020,21,'Vitalize',240000,68);
INSERT INTO skill_trees VALUES (16,1020,22,'Vitalize',290000,70);
INSERT INTO skill_trees VALUES (16,1020,23,'Vitalize',290000,70);
INSERT INTO skill_trees VALUES (16,1020,24,'Vitalize',500000,72);
INSERT INTO skill_trees VALUES (16,1020,25,'Vitalize',500000,72);
INSERT INTO skill_trees VALUES (16,1020,26,'Vitalize',640000,74);
INSERT INTO skill_trees VALUES (16,1020,27,'Vitalize',640000,74);
INSERT INTO skill_trees VALUES (16,1028,1,'Might of Heaven',18000,40);
INSERT INTO skill_trees VALUES (16,1028,2,'Might of Heaven',18000,40);
INSERT INTO skill_trees VALUES (16,1028,3,'Might of Heaven',21000,44);
INSERT INTO skill_trees VALUES (16,1028,4,'Might of Heaven',21000,44);
INSERT INTO skill_trees VALUES (16,1028,5,'Might of Heaven',33000,48);
INSERT INTO skill_trees VALUES (16,1028,6,'Might of Heaven',33000,48);
INSERT INTO skill_trees VALUES (16,1028,7,'Might of Heaven',47000,52);
INSERT INTO skill_trees VALUES (16,1028,8,'Might of Heaven',47000,52);
INSERT INTO skill_trees VALUES (16,1028,9,'Might of Heaven',53000,56);
INSERT INTO skill_trees VALUES (16,1028,10,'Might of Heaven',53000,56);
INSERT INTO skill_trees VALUES (16,1028,11,'Might of Heaven',130000,58);
INSERT INTO skill_trees VALUES (16,1028,12,'Might of Heaven',180000,60);
INSERT INTO skill_trees VALUES (16,1028,13,'Might of Heaven',270000,62);
INSERT INTO skill_trees VALUES (16,1028,14,'Might of Heaven',300000,64);
INSERT INTO skill_trees VALUES (16,1028,15,'Might of Heaven',410000,66);
INSERT INTO skill_trees VALUES (16,1028,16,'Might of Heaven',490000,68);
INSERT INTO skill_trees VALUES (16,1028,17,'Might of Heaven',590000,70);
INSERT INTO skill_trees VALUES (16,1028,18,'Might of Heaven',1000000,72);
INSERT INTO skill_trees VALUES (16,1028,19,'Might of Heaven',1300000,74);
INSERT INTO skill_trees VALUES (16,1034,1,'Repose',41000,44);
INSERT INTO skill_trees VALUES (16,1034,2,'Repose',67000,48);
INSERT INTO skill_trees VALUES (16,1034,3,'Repose',95000,52);
INSERT INTO skill_trees VALUES (16,1034,4,'Repose',110000,56);
INSERT INTO skill_trees VALUES (16,1034,5,'Repose',130000,58);
INSERT INTO skill_trees VALUES (16,1034,6,'Repose',180000,60);
INSERT INTO skill_trees VALUES (16,1034,7,'Repose',270000,62);
INSERT INTO skill_trees VALUES (16,1034,8,'Repose',300000,64);
INSERT INTO skill_trees VALUES (16,1034,9,'Repose',410000,66);
INSERT INTO skill_trees VALUES (16,1034,10,'Repose',490000,68);
INSERT INTO skill_trees VALUES (16,1034,11,'Repose',590000,70);
INSERT INTO skill_trees VALUES (16,1034,12,'Repose',1000000,72);
INSERT INTO skill_trees VALUES (16,1034,13,'Repose',1300000,74);
INSERT INTO skill_trees VALUES (16,1042,1,'Hold Undead',67000,48);
INSERT INTO skill_trees VALUES (16,1042,2,'Hold Undead',95000,52);
INSERT INTO skill_trees VALUES (16,1042,3,'Hold Undead',110000,56);
INSERT INTO skill_trees VALUES (16,1042,4,'Hold Undead',130000,58);
INSERT INTO skill_trees VALUES (16,1042,5,'Hold Undead',180000,60);
INSERT INTO skill_trees VALUES (16,1042,6,'Hold Undead',270000,62);
INSERT INTO skill_trees VALUES (16,1042,7,'Hold Undead',300000,64);
INSERT INTO skill_trees VALUES (16,1042,8,'Hold Undead',410000,66);
INSERT INTO skill_trees VALUES (16,1042,9,'Hold Undead',490000,68);
INSERT INTO skill_trees VALUES (16,1042,10,'Hold Undead',590000,70);
INSERT INTO skill_trees VALUES (16,1042,11,'Hold Undead',1000000,72);
INSERT INTO skill_trees VALUES (16,1042,12,'Hold Undead',1300000,74);
INSERT INTO skill_trees VALUES (16,1049,1,'Requiem',36000,40);
INSERT INTO skill_trees VALUES (16,1049,2,'Requiem',41000,44);
INSERT INTO skill_trees VALUES (16,1049,3,'Requiem',67000,48);
INSERT INTO skill_trees VALUES (16,1049,4,'Requiem',95000,52);
INSERT INTO skill_trees VALUES (16,1049,5,'Requiem',110000,56);
INSERT INTO skill_trees VALUES (16,1049,6,'Requiem',130000,58);
INSERT INTO skill_trees VALUES (16,1049,7,'Requiem',180000,60);
INSERT INTO skill_trees VALUES (16,1049,8,'Requiem',270000,62);
INSERT INTO skill_trees VALUES (16,1049,9,'Requiem',300000,64);
INSERT INTO skill_trees VALUES (16,1049,10,'Requiem',410000,66);
INSERT INTO skill_trees VALUES (16,1049,11,'Requiem',490000,68);
INSERT INTO skill_trees VALUES (16,1049,12,'Requiem',590000,70);
INSERT INTO skill_trees VALUES (16,1049,13,'Requiem',1000000,72);
INSERT INTO skill_trees VALUES (16,1049,14,'Requiem',1300000,74);
INSERT INTO skill_trees VALUES (16,1069,10,'Sleep',12000,40);
INSERT INTO skill_trees VALUES (16,1069,11,'Sleep',12000,40);
INSERT INTO skill_trees VALUES (16,1069,12,'Sleep',12000,40);
INSERT INTO skill_trees VALUES (16,1069,13,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (16,1069,14,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (16,1069,15,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (16,1069,16,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (16,1069,17,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (16,1069,18,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (16,1069,19,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (16,1069,20,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (16,1069,21,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (16,1069,22,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (16,1069,23,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (16,1069,24,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (16,1069,25,'Sleep',65000,58);
INSERT INTO skill_trees VALUES (16,1069,26,'Sleep',65000,58);
INSERT INTO skill_trees VALUES (16,1069,27,'Sleep',88000,60);
INSERT INTO skill_trees VALUES (16,1069,28,'Sleep',88000,60);
INSERT INTO skill_trees VALUES (16,1069,29,'Sleep',130000,62);
INSERT INTO skill_trees VALUES (16,1069,30,'Sleep',130000,62);
INSERT INTO skill_trees VALUES (16,1069,31,'Sleep',150000,64);
INSERT INTO skill_trees VALUES (16,1069,32,'Sleep',150000,64);
INSERT INTO skill_trees VALUES (16,1069,33,'Sleep',210000,66);
INSERT INTO skill_trees VALUES (16,1069,34,'Sleep',210000,66);
INSERT INTO skill_trees VALUES (16,1069,35,'Sleep',240000,68);
INSERT INTO skill_trees VALUES (16,1069,36,'Sleep',240000,68);
INSERT INTO skill_trees VALUES (16,1069,37,'Sleep',290000,70);
INSERT INTO skill_trees VALUES (16,1069,38,'Sleep',290000,70);
INSERT INTO skill_trees VALUES (16,1069,39,'Sleep',500000,72);
INSERT INTO skill_trees VALUES (16,1069,40,'Sleep',500000,72);
INSERT INTO skill_trees VALUES (16,1069,41,'Sleep',640000,74);
INSERT INTO skill_trees VALUES (16,1069,42,'Sleep',640000,74);
INSERT INTO skill_trees VALUES (16,1075,2,'Peace',36000,40);
INSERT INTO skill_trees VALUES (16,1075,3,'Peace',41000,44);
INSERT INTO skill_trees VALUES (16,1075,4,'Peace',67000,48);
INSERT INTO skill_trees VALUES (16,1075,5,'Peace',95000,52);
INSERT INTO skill_trees VALUES (16,1075,6,'Peace',110000,56);
INSERT INTO skill_trees VALUES (16,1075,7,'Peace',130000,58);
INSERT INTO skill_trees VALUES (16,1075,8,'Peace',180000,60);
INSERT INTO skill_trees VALUES (16,1075,9,'Peace',270000,62);
INSERT INTO skill_trees VALUES (16,1075,10,'Peace',300000,64);
INSERT INTO skill_trees VALUES (16,1075,11,'Peace',410000,66);
INSERT INTO skill_trees VALUES (16,1075,12,'Peace',490000,68);
INSERT INTO skill_trees VALUES (16,1075,13,'Peace',590000,70);
INSERT INTO skill_trees VALUES (16,1075,14,'Peace',1000000,72);
INSERT INTO skill_trees VALUES (16,1075,15,'Peace',1300000,74);
INSERT INTO skill_trees VALUES (16,1217,1,'Greater Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1217,2,'Greater Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1217,3,'Greater Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1217,4,'Greater Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1217,5,'Greater Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1217,6,'Greater Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1217,7,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1217,8,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1217,9,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1217,10,'Greater Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1217,11,'Greater Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1217,12,'Greater Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1217,13,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1217,14,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1217,15,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1217,16,'Greater Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1217,17,'Greater Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1217,18,'Greater Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1217,19,'Greater Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1217,20,'Greater Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1217,21,'Greater Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1217,22,'Greater Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1217,23,'Greater Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1217,24,'Greater Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1217,25,'Greater Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1217,26,'Greater Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1217,27,'Greater Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1217,28,'Greater Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1217,29,'Greater Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1217,30,'Greater Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1217,31,'Greater Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1217,32,'Greater Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1217,33,'Greater Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1218,1,'Greater Battle Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1218,2,'Greater Battle Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1218,3,'Greater Battle Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1218,4,'Greater Battle Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1218,5,'Greater Battle Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1218,6,'Greater Battle Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1218,7,'Greater Battle Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1218,8,'Greater Battle Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1218,9,'Greater Battle Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1218,10,'Greater Battle Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1218,11,'Greater Battle Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1218,12,'Greater Battle Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1218,13,'Greater Battle Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1218,14,'Greater Battle Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1218,15,'Greater Battle Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1218,16,'Greater Battle Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1218,17,'Greater Battle Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1218,18,'Greater Battle Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1218,19,'Greater Battle Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1218,20,'Greater Battle Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1218,21,'Greater Battle Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1218,22,'Greater Battle Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1218,23,'Greater Battle Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1218,24,'Greater Battle Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1218,25,'Greater Battle Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1218,26,'Greater Battle Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1218,27,'Greater Battle Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1218,28,'Greater Battle Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1218,29,'Greater Battle Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1218,30,'Greater Battle Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1218,31,'Greater Battle Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1218,32,'Greater Battle Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1218,33,'Greater Battle Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1219,1,'Greater Group Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1219,2,'Greater Group Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1219,3,'Greater Group Heal',12000,40);
INSERT INTO skill_trees VALUES (16,1219,4,'Greater Group Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1219,5,'Greater Group Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1219,6,'Greater Group Heal',14000,44);
INSERT INTO skill_trees VALUES (16,1219,7,'Greater Group Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1219,8,'Greater Group Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1219,9,'Greater Group Heal',22000,48);
INSERT INTO skill_trees VALUES (16,1219,10,'Greater Group Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1219,11,'Greater Group Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1219,12,'Greater Group Heal',32000,52);
INSERT INTO skill_trees VALUES (16,1219,13,'Greater Group Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1219,14,'Greater Group Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1219,15,'Greater Group Heal',35000,56);
INSERT INTO skill_trees VALUES (16,1219,16,'Greater Group Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1219,17,'Greater Group Heal',65000,58);
INSERT INTO skill_trees VALUES (16,1219,18,'Greater Group Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1219,19,'Greater Group Heal',88000,60);
INSERT INTO skill_trees VALUES (16,1219,20,'Greater Group Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1219,21,'Greater Group Heal',130000,62);
INSERT INTO skill_trees VALUES (16,1219,22,'Greater Group Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1219,23,'Greater Group Heal',150000,64);
INSERT INTO skill_trees VALUES (16,1219,24,'Greater Group Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1219,25,'Greater Group Heal',210000,66);
INSERT INTO skill_trees VALUES (16,1219,26,'Greater Group Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1219,27,'Greater Group Heal',240000,68);
INSERT INTO skill_trees VALUES (16,1219,28,'Greater Group Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1219,29,'Greater Group Heal',290000,70);
INSERT INTO skill_trees VALUES (16,1219,30,'Greater Group Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1219,31,'Greater Group Heal',500000,72);
INSERT INTO skill_trees VALUES (16,1219,32,'Greater Group Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1219,33,'Greater Group Heal',640000,74);
INSERT INTO skill_trees VALUES (16,1254,1,'Mass Resurrection',36000,40);
INSERT INTO skill_trees VALUES (16,1254,2,'Mass Resurrection',41000,44);
INSERT INTO skill_trees VALUES (16,1254,3,'Mass Resurrection',95000,52);
INSERT INTO skill_trees VALUES (16,1254,4,'Mass Resurrection',110000,56);
INSERT INTO skill_trees VALUES (16,1254,5,'Mass Resurrection',130000,58);
INSERT INTO skill_trees VALUES (16,1254,6,'Mass Resurrection',490000,68);
INSERT INTO skill_trees VALUES (16,1258,1,'Restore Life',41000,44);
INSERT INTO skill_trees VALUES (16,1258,2,'Restore Life',67000,48);
INSERT INTO skill_trees VALUES (16,1258,3,'Restore Life',95000,52);
INSERT INTO skill_trees VALUES (16,1258,4,'Restore Life',110000,56);
INSERT INTO skill_trees VALUES (16,1271,1,'Benediction',410000,66);
INSERT INTO skill_trees VALUES (16,1307,1,'Prayer',410000,66);
INSERT INTO skill_trees VALUES (16,1307,2,'Prayer',590000,70);
INSERT INTO skill_trees VALUES (16,1307,3,'Prayer',1300000,74);
INSERT INTO skill_trees VALUES (16,1311,1,'Body of Avatar',63000,48);
INSERT INTO skill_trees VALUES (16,1311,2,'Body of Avatar',100000,56);
INSERT INTO skill_trees VALUES (16,1311,3,'Body of Avatar',170000,60);
INSERT INTO skill_trees VALUES (16,1311,4,'Body of Avatar',280000,64);
INSERT INTO skill_trees VALUES (16,1311,5,'Body of Avatar',450000,68);
INSERT INTO skill_trees VALUES (16,1311,6,'Body of Avatar',940000,72);
INSERT INTO skill_trees VALUES (17,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (17,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (17,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (17,146,16,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (17,146,17,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (17,146,18,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (17,146,19,'Anti Magic',21000,48);
INSERT INTO skill_trees VALUES (17,146,20,'Anti Magic',21000,48);
INSERT INTO skill_trees VALUES (17,146,21,'Anti Magic',21000,48);
INSERT INTO skill_trees VALUES (17,146,22,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (17,146,23,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (17,146,24,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (17,146,25,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (17,146,26,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (17,146,27,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (17,146,28,'Anti Magic',110000,58);
INSERT INTO skill_trees VALUES (17,146,29,'Anti Magic',110000,58);
INSERT INTO skill_trees VALUES (17,146,30,'Anti Magic',140000,60);
INSERT INTO skill_trees VALUES (17,146,31,'Anti Magic',140000,60);
INSERT INTO skill_trees VALUES (17,146,32,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (17,146,33,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (17,146,34,'Anti Magic',240000,64);
INSERT INTO skill_trees VALUES (17,146,35,'Anti Magic',240000,64);
INSERT INTO skill_trees VALUES (17,146,36,'Anti Magic',350000,66);
INSERT INTO skill_trees VALUES (17,146,37,'Anti Magic',350000,66);
INSERT INTO skill_trees VALUES (17,146,38,'Anti Magic',390000,68);
INSERT INTO skill_trees VALUES (17,146,39,'Anti Magic',390000,68);
INSERT INTO skill_trees VALUES (17,146,40,'Anti Magic',520000,70);
INSERT INTO skill_trees VALUES (17,146,41,'Anti Magic',520000,70);
INSERT INTO skill_trees VALUES (17,146,42,'Anti Magic',830000,72);
INSERT INTO skill_trees VALUES (17,146,43,'Anti Magic',830000,72);
INSERT INTO skill_trees VALUES (17,146,44,'Anti Magic',1300000,74);
INSERT INTO skill_trees VALUES (17,146,45,'Anti Magic',1300000,74);
INSERT INTO skill_trees VALUES (17,164,3,'Quick Recovery',63000,48);
INSERT INTO skill_trees VALUES (17,211,1,'Boost HP',31000,40);
INSERT INTO skill_trees VALUES (17,211,2,'Boost HP',39000,44);
INSERT INTO skill_trees VALUES (17,211,3,'Boost HP',63000,48);
INSERT INTO skill_trees VALUES (17,211,4,'Boost HP',100000,52);
INSERT INTO skill_trees VALUES (17,211,5,'Boost HP',110000,56);
INSERT INTO skill_trees VALUES (17,211,6,'Boost HP',360000,62);
INSERT INTO skill_trees VALUES (17,211,7,'Boost HP',1000000,70);
INSERT INTO skill_trees VALUES (17,212,2,'Fast HP Recovery',39000,44);
INSERT INTO skill_trees VALUES (17,212,3,'Fast HP Recovery',100000,52);
INSERT INTO skill_trees VALUES (17,212,4,'Fast HP Recovery',220000,58);
INSERT INTO skill_trees VALUES (17,212,5,'Fast HP Recovery',480000,64);
INSERT INTO skill_trees VALUES (17,212,6,'Fast HP Recovery',2600000,74);
INSERT INTO skill_trees VALUES (17,213,3,'Boost Mana',31000,40);
INSERT INTO skill_trees VALUES (17,213,4,'Boost Mana',63000,48);
INSERT INTO skill_trees VALUES (17,213,5,'Boost Mana',110000,56);
INSERT INTO skill_trees VALUES (17,213,6,'Boost Mana',270000,60);
INSERT INTO skill_trees VALUES (17,213,7,'Boost Mana',700000,66);
INSERT INTO skill_trees VALUES (17,213,8,'Boost Mana',1700000,72);
INSERT INTO skill_trees VALUES (17,228,2,'Fast Spell Casting',31000,40);
INSERT INTO skill_trees VALUES (17,228,3,'Fast Spell Casting',110000,56);
INSERT INTO skill_trees VALUES (17,229,3,'Fast Mana Recovery',39000,44);
INSERT INTO skill_trees VALUES (17,229,4,'Fast Mana Recovery',100000,52);
INSERT INTO skill_trees VALUES (17,229,5,'Fast Mana Recovery',270000,60);
INSERT INTO skill_trees VALUES (17,229,6,'Fast Mana Recovery',770000,68);
INSERT INTO skill_trees VALUES (17,229,7,'Fast Mana Recovery',2600000,74);
INSERT INTO skill_trees VALUES (17,235,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,235,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,235,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,235,12,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,235,13,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,235,14,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,235,15,'Robe Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,235,16,'Robe Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,235,17,'Robe Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,235,18,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,235,19,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,235,20,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,235,21,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,235,22,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,235,23,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,235,24,'Robe Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,235,25,'Robe Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,235,26,'Robe Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,235,27,'Robe Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,235,28,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,235,29,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,235,30,'Robe Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,235,31,'Robe Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,235,32,'Robe Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,235,33,'Robe Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,235,34,'Robe Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,235,35,'Robe Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,235,36,'Robe Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,235,37,'Robe Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,235,38,'Robe Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,235,39,'Robe Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,235,40,'Robe Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,235,41,'Robe Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,236,9,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,236,10,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,236,11,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,236,12,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,236,13,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,236,14,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,236,15,'Light Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,236,16,'Light Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,236,17,'Light Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,236,18,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,236,19,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,236,20,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,236,21,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,236,22,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,236,23,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,236,24,'Light Armor Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,236,25,'Light Armor Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,236,26,'Light Armor Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,236,27,'Light Armor Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,236,28,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,236,29,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,236,30,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,236,31,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,236,32,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,236,33,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,236,34,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,236,35,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,236,36,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,236,37,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,236,38,'Light Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,236,39,'Light Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,236,40,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,236,41,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (17,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (17,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (17,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (17,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,249,13,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,249,14,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,249,15,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,249,16,'Weapon Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,249,17,'Weapon Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,249,18,'Weapon Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,249,19,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,249,20,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,249,21,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,249,22,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,249,23,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,249,24,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,249,25,'Weapon Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,249,26,'Weapon Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,249,27,'Weapon Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,249,28,'Weapon Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,249,29,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,249,30,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,249,31,'Weapon Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,249,32,'Weapon Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,249,33,'Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,249,34,'Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,249,35,'Weapon Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,249,36,'Weapon Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,249,37,'Weapon Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,249,38,'Weapon Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,249,39,'Weapon Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,249,40,'Weapon Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,249,41,'Weapon Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,249,42,'Weapon Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,259,1,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,259,2,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,259,3,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (17,259,4,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,259,5,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,259,6,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (17,259,7,'Heavy Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,259,8,'Heavy Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,259,9,'Heavy Armor Mastery',21000,48);
INSERT INTO skill_trees VALUES (17,259,10,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,259,11,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,259,12,'Heavy Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (17,259,13,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,259,14,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,259,15,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (17,259,16,'Heavy Armor Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,259,17,'Heavy Armor Mastery',110000,58);
INSERT INTO skill_trees VALUES (17,259,18,'Heavy Armor Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,259,19,'Heavy Armor Mastery',140000,60);
INSERT INTO skill_trees VALUES (17,259,20,'Heavy Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,259,21,'Heavy Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (17,259,22,'Heavy Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,259,23,'Heavy Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (17,259,24,'Heavy Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,259,25,'Heavy Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (17,259,26,'Heavy Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,259,27,'Heavy Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (17,259,28,'Heavy Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,259,29,'Heavy Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (17,259,30,'Heavy Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,259,31,'Heavy Armor Mastery',830000,72);
INSERT INTO skill_trees VALUES (17,259,32,'Heavy Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,259,33,'Heavy Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (17,1032,1,'Invigor',31000,40);
INSERT INTO skill_trees VALUES (17,1032,2,'Invigor',63000,48);
INSERT INTO skill_trees VALUES (17,1032,3,'Invigor',110000,56);
INSERT INTO skill_trees VALUES (17,1033,1,'Resist Poison',270000,60);
INSERT INTO skill_trees VALUES (17,1033,2,'Resist Poison',480000,64);
INSERT INTO skill_trees VALUES (17,1033,3,'Resist Poison',770000,68);
INSERT INTO skill_trees VALUES (17,1035,2,'Mental Shield',31000,40);
INSERT INTO skill_trees VALUES (17,1035,3,'Mental Aegis',63000,48);
INSERT INTO skill_trees VALUES (17,1035,4,'Mental Aegis',110000,56);
INSERT INTO skill_trees VALUES (17,1036,1,'Magic Barrier',39000,44);
INSERT INTO skill_trees VALUES (17,1036,2,'Magic Barrier',100000,52);
INSERT INTO skill_trees VALUES (17,1040,3,'Shield',39000,44);
INSERT INTO skill_trees VALUES (17,1044,2,'Regeneration',63000,48);
INSERT INTO skill_trees VALUES (17,1044,3,'Regeneration',110000,56);
INSERT INTO skill_trees VALUES (17,1045,1,'Bless the Body',39000,44);
INSERT INTO skill_trees VALUES (17,1045,2,'Bless the Body',63000,48);
INSERT INTO skill_trees VALUES (17,1045,3,'Bless the Body',100000,52);
INSERT INTO skill_trees VALUES (17,1045,4,'Bless the Body',110000,56);
INSERT INTO skill_trees VALUES (17,1045,5,'Bless the Body',480000,64);
INSERT INTO skill_trees VALUES (17,1045,6,'Bless the Body',1700000,72);
INSERT INTO skill_trees VALUES (17,1048,1,'Bless the Soul',39000,44);
INSERT INTO skill_trees VALUES (17,1048,2,'Bless the Soul',63000,48);
INSERT INTO skill_trees VALUES (17,1048,3,'Bless the Soul',100000,52);
INSERT INTO skill_trees VALUES (17,1048,4,'Bless the Soul',110000,56);
INSERT INTO skill_trees VALUES (17,1048,5,'Bless the Soul',360000,62);
INSERT INTO skill_trees VALUES (17,1048,6,'Bless the Soul',1000000,70);
INSERT INTO skill_trees VALUES (17,1050,1,'Return',31000,40);
INSERT INTO skill_trees VALUES (17,1050,2,'Return',110000,56);
INSERT INTO skill_trees VALUES (17,1062,2,'Berserker Spirit',100000,52);
INSERT INTO skill_trees VALUES (17,1068,3,'Might',31000,40);
INSERT INTO skill_trees VALUES (17,1073,2,'Kiss of Eva',100000,52);
INSERT INTO skill_trees VALUES (17,1077,2,'Focus',39000,44);
INSERT INTO skill_trees VALUES (17,1077,3,'Focus',100000,52);
INSERT INTO skill_trees VALUES (17,1078,3,'Greater Concentration',39000,44);
INSERT INTO skill_trees VALUES (17,1078,4,'Greater Concentration',100000,52);
INSERT INTO skill_trees VALUES (17,1078,5,'Greater Concentration',270000,60);
INSERT INTO skill_trees VALUES (17,1078,6,'Greater Concentration',770000,68);
INSERT INTO skill_trees VALUES (17,1085,3,'Greater Acumen',63000,48);
INSERT INTO skill_trees VALUES (17,1086,1,'Haste',39000,44);
INSERT INTO skill_trees VALUES (17,1086,2,'Haste',100000,52);
INSERT INTO skill_trees VALUES (17,1182,1,'Resist Aqua',220000,58);
INSERT INTO skill_trees VALUES (17,1182,2,'Resist Aqua',360000,62);
INSERT INTO skill_trees VALUES (17,1182,3,'Resist Aqua',700000,66);
INSERT INTO skill_trees VALUES (17,1189,1,'Resist Wind',220000,58);
INSERT INTO skill_trees VALUES (17,1189,2,'Resist Wind',360000,62);
INSERT INTO skill_trees VALUES (17,1189,3,'Resist Wind',700000,66);
INSERT INTO skill_trees VALUES (17,1191,2,'Resist Fire',31000,40);
INSERT INTO skill_trees VALUES (17,1191,3,'Resist Fire',39000,44);
INSERT INTO skill_trees VALUES (17,1201,10,'Dryad Root',11000,40);
INSERT INTO skill_trees VALUES (17,1201,11,'Dryad Root',11000,40);
INSERT INTO skill_trees VALUES (17,1201,12,'Dryad Root',11000,40);
INSERT INTO skill_trees VALUES (17,1201,13,'Dryad Root',13000,44);
INSERT INTO skill_trees VALUES (17,1201,14,'Dryad Root',13000,44);
INSERT INTO skill_trees VALUES (17,1201,15,'Dryad Root',13000,44);
INSERT INTO skill_trees VALUES (17,1201,16,'Dryad Root',21000,48);
INSERT INTO skill_trees VALUES (17,1201,17,'Dryad Root',21000,48);
INSERT INTO skill_trees VALUES (17,1201,18,'Dryad Root',21000,48);
INSERT INTO skill_trees VALUES (17,1201,19,'Dryad Root',33000,52);
INSERT INTO skill_trees VALUES (17,1201,20,'Dryad Root',33000,52);
INSERT INTO skill_trees VALUES (17,1201,21,'Dryad Root',33000,52);
INSERT INTO skill_trees VALUES (17,1201,22,'Dryad Root',35000,56);
INSERT INTO skill_trees VALUES (17,1201,23,'Dryad Root',35000,56);
INSERT INTO skill_trees VALUES (17,1201,24,'Dryad Root',35000,56);
INSERT INTO skill_trees VALUES (17,1201,25,'Dryad Root',220000,58);
INSERT INTO skill_trees VALUES (17,1201,26,'Dryad Root',270000,60);
INSERT INTO skill_trees VALUES (17,1201,27,'Dryad Root',360000,62);
INSERT INTO skill_trees VALUES (17,1201,28,'Dryad Root',480000,64);
INSERT INTO skill_trees VALUES (17,1201,29,'Dryad Root',700000,66);
INSERT INTO skill_trees VALUES (17,1201,30,'Dryad Root',770000,68);
INSERT INTO skill_trees VALUES (17,1201,31,'Dryad Root',1000000,70);
INSERT INTO skill_trees VALUES (17,1201,32,'Dryad Root',1700000,72);
INSERT INTO skill_trees VALUES (17,1201,33,'Dryad Root',2600000,74);
INSERT INTO skill_trees VALUES (17,1240,1,'Guidance',31000,40);
INSERT INTO skill_trees VALUES (17,1240,2,'Guidance',63000,48);
INSERT INTO skill_trees VALUES (17,1240,3,'Guidance',110000,56);
INSERT INTO skill_trees VALUES (17,1242,1,'Death Whisper',31000,40);
INSERT INTO skill_trees VALUES (17,1242,2,'Death Whisper',63000,48);
INSERT INTO skill_trees VALUES (17,1242,3,'Death Whisper',110000,56);
INSERT INTO skill_trees VALUES (17,1243,1,'Bless Shield',31000,40);
INSERT INTO skill_trees VALUES (17,1243,2,'Bless Shield',63000,48);
INSERT INTO skill_trees VALUES (17,1243,3,'Bless Shield',110000,56);
INSERT INTO skill_trees VALUES (17,1272,1,'Word of Fear',39000,44);
INSERT INTO skill_trees VALUES (17,1272,2,'Word of Fear',63000,48);
INSERT INTO skill_trees VALUES (17,1272,3,'Word of Fear',100000,52);
INSERT INTO skill_trees VALUES (17,1272,4,'Word of Fear',110000,56);
INSERT INTO skill_trees VALUES (17,1272,5,'Word of Fear',220000,58);
INSERT INTO skill_trees VALUES (17,1272,6,'Word of Fear',270000,60);
INSERT INTO skill_trees VALUES (17,1272,7,'Word of Fear',360000,62);
INSERT INTO skill_trees VALUES (17,1272,8,'Word of Fear',480000,64);
INSERT INTO skill_trees VALUES (17,1272,9,'Word of Fear',700000,66);
INSERT INTO skill_trees VALUES (17,1272,10,'Word of Fear',770000,68);
INSERT INTO skill_trees VALUES (17,1272,11,'Word of Fear',1000000,70);
INSERT INTO skill_trees VALUES (17,1272,12,'Word of Fear',1700000,72);
INSERT INTO skill_trees VALUES (17,1272,13,'Word of Fear',2600000,74);
INSERT INTO skill_trees VALUES (18,3,1,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (18,3,2,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (18,3,3,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (18,3,4,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (18,3,5,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (18,3,6,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (18,3,7,'Power Strike',1100,15);
INSERT INTO skill_trees VALUES (18,3,8,'Power Strike',1100,15);
INSERT INTO skill_trees VALUES (18,3,9,'Power Strike',1100,15);
INSERT INTO skill_trees VALUES (18,16,1,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (18,16,2,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (18,16,3,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (18,16,4,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (18,16,5,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (18,16,6,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (18,16,7,'Mortal Blow',1100,15);
INSERT INTO skill_trees VALUES (18,16,8,'Mortal Blow',1100,15);
INSERT INTO skill_trees VALUES (18,16,9,'Mortal Blow',1100,15);
INSERT INTO skill_trees VALUES (18,56,1,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (18,56,2,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (18,56,3,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (18,56,4,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (18,56,5,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (18,56,6,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (18,56,7,'Power Shot',1100,15);
INSERT INTO skill_trees VALUES (18,56,8,'Power Shot',1100,15);
INSERT INTO skill_trees VALUES (18,56,9,'Power Shot',1100,15);
INSERT INTO skill_trees VALUES (18,58,1,'Elemental Heal',1100,15);
INSERT INTO skill_trees VALUES (18,58,2,'Elemental Heal',1100,15);
INSERT INTO skill_trees VALUES (18,58,3,'Elemental Heal',1100,15);
INSERT INTO skill_trees VALUES (18,77,1,'Attack Aura',910,10);
INSERT INTO skill_trees VALUES (18,91,1,'Defense Aura',160,5);
INSERT INTO skill_trees VALUES (18,141,1,'Weapon Mastery',160,5);
INSERT INTO skill_trees VALUES (18,141,2,'Weapon Mastery',910,10);
INSERT INTO skill_trees VALUES (18,141,3,'Weapon Mastery',3300,15);
INSERT INTO skill_trees VALUES (18,142,1,'Armor Mastery',160,5);
INSERT INTO skill_trees VALUES (18,142,2,'Armor Mastery',460,10);
INSERT INTO skill_trees VALUES (18,142,3,'Armor Mastery',460,10);
INSERT INTO skill_trees VALUES (18,142,4,'Armor Mastery',1700,15);
INSERT INTO skill_trees VALUES (18,142,5,'Armor Mastery',1700,15);
INSERT INTO skill_trees VALUES (18,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (19,15,1,'Charm',1400,20);
INSERT INTO skill_trees VALUES (19,15,2,'Charm',1400,20);
INSERT INTO skill_trees VALUES (19,15,3,'Charm',1400,20);
INSERT INTO skill_trees VALUES (19,15,4,'Charm',2900,24);
INSERT INTO skill_trees VALUES (19,15,5,'Charm',2900,24);
INSERT INTO skill_trees VALUES (19,15,6,'Charm',2900,24);
INSERT INTO skill_trees VALUES (19,15,7,'Charm',5000,28);
INSERT INTO skill_trees VALUES (19,15,8,'Charm',5000,28);
INSERT INTO skill_trees VALUES (19,15,9,'Charm',5000,28);
INSERT INTO skill_trees VALUES (19,15,10,'Charm',8300,32);
INSERT INTO skill_trees VALUES (19,15,11,'Charm',8300,32);
INSERT INTO skill_trees VALUES (19,15,12,'Charm',8300,32);
INSERT INTO skill_trees VALUES (19,15,13,'Charm',13000,36);
INSERT INTO skill_trees VALUES (19,15,14,'Charm',13000,36);
INSERT INTO skill_trees VALUES (19,15,15,'Charm',13000,36);
INSERT INTO skill_trees VALUES (19,21,1,'Poison Recovery',4100,20);
INSERT INTO skill_trees VALUES (19,28,1,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (19,28,2,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (19,28,3,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (19,28,4,'Aggression',5000,28);
INSERT INTO skill_trees VALUES (19,28,5,'Aggression',5000,28);
INSERT INTO skill_trees VALUES (19,28,6,'Aggression',5000,28);
INSERT INTO skill_trees VALUES (19,28,7,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (19,28,8,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (19,28,9,'Aggression',8300,32);
INSERT INTO skill_trees VALUES (19,28,10,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (19,28,11,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (19,28,12,'Aggression',13000,36);
INSERT INTO skill_trees VALUES (19,58,4,'Elemental Heal',1400,20);
INSERT INTO skill_trees VALUES (19,58,5,'Elemental Heal',1400,20);
INSERT INTO skill_trees VALUES (19,58,6,'Elemental Heal',1400,20);
INSERT INTO skill_trees VALUES (19,58,7,'Elemental Heal',2900,24);
INSERT INTO skill_trees VALUES (19,58,8,'Elemental Heal',2900,24);
INSERT INTO skill_trees VALUES (19,58,9,'Elemental Heal',2900,24);
INSERT INTO skill_trees VALUES (19,58,10,'Elemental Heal',5000,28);
INSERT INTO skill_trees VALUES (19,58,11,'Elemental Heal',5000,28);
INSERT INTO skill_trees VALUES (19,58,12,'Elemental Heal',5000,28);
INSERT INTO skill_trees VALUES (19,58,13,'Elemental Heal',8300,32);
INSERT INTO skill_trees VALUES (19,58,14,'Elemental Heal',8300,32);
INSERT INTO skill_trees VALUES (19,58,15,'Elemental Heal',8300,32);
INSERT INTO skill_trees VALUES (19,58,16,'Elemental Heal',13000,36);
INSERT INTO skill_trees VALUES (19,58,17,'Elemental Heal',13000,36);
INSERT INTO skill_trees VALUES (19,58,18,'Elemental Heal',13000,36);
INSERT INTO skill_trees VALUES (19,61,1,'Cure Bleeding',8800,24);
INSERT INTO skill_trees VALUES (19,77,2,'Attack Aura',15000,28);
INSERT INTO skill_trees VALUES (19,91,2,'Defense Aura',4100,20);
INSERT INTO skill_trees VALUES (19,102,1,'Entangle',39000,36);
INSERT INTO skill_trees VALUES (19,110,1,'Ultimate Defense',4100,20);
INSERT INTO skill_trees VALUES (19,112,1,'Deflect Arrow',8800,24);
INSERT INTO skill_trees VALUES (19,112,2,'Deflect Arrow',25000,32);
INSERT INTO skill_trees VALUES (19,147,1,'Magic Resistance',2100,20);
INSERT INTO skill_trees VALUES (19,147,2,'Magic Resistance',2100,20);
INSERT INTO skill_trees VALUES (19,147,3,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (19,147,4,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (19,147,5,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (19,147,6,'Magic Resistance',5000,28);
INSERT INTO skill_trees VALUES (19,147,7,'Magic Resistance',5000,28);
INSERT INTO skill_trees VALUES (19,147,8,'Magic Resistance',5000,28);
INSERT INTO skill_trees VALUES (19,147,9,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (19,147,10,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (19,147,11,'Magic Resistance',8300,32);
INSERT INTO skill_trees VALUES (19,147,12,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (19,147,13,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (19,147,14,'Magic Resistance',13000,36);
INSERT INTO skill_trees VALUES (19,153,1,'Shield Mastery',4100,20);
INSERT INTO skill_trees VALUES (19,153,2,'Shield Mastery',15000,28);
INSERT INTO skill_trees VALUES (19,191,1,'Focus Mind',39000,36);
INSERT INTO skill_trees VALUES (19,217,1,'Sword Blunt Mastery',4100,20);
INSERT INTO skill_trees VALUES (19,217,2,'Sword Blunt Mastery',8800,24);
INSERT INTO skill_trees VALUES (19,217,3,'Sword Blunt Mastery',7500,28);
INSERT INTO skill_trees VALUES (19,217,4,'Sword Blunt Mastery',7500,28);
INSERT INTO skill_trees VALUES (19,217,5,'Sword Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (19,217,6,'Sword Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (19,217,7,'Sword Blunt Mastery',19000,36);
INSERT INTO skill_trees VALUES (19,217,8,'Sword Blunt Mastery',19000,36);
INSERT INTO skill_trees VALUES (19,230,1,'Sprint',25000,32);
INSERT INTO skill_trees VALUES (19,232,1,'Heavy Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (19,232,2,'Heavy Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (19,232,3,'Heavy Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (19,232,4,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (19,232,5,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (19,232,6,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (19,232,7,'Heavy Armor Mastery',5000,28);
INSERT INTO skill_trees VALUES (19,232,8,'Heavy Armor Mastery',5000,28);
INSERT INTO skill_trees VALUES (19,232,9,'Heavy Armor Mastery',5000,28);
INSERT INTO skill_trees VALUES (19,232,10,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (19,232,11,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (19,232,12,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (19,232,13,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (19,232,14,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (19,232,15,'Heavy Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (19,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (20,316,1,'Aegis',220000,60);
INSERT INTO skill_trees VALUES (20,28,13,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (20,28,14,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (20,28,15,'Aggression',14000,40);
INSERT INTO skill_trees VALUES (20,28,16,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (20,28,17,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (20,28,18,'Aggression',15000,43);
INSERT INTO skill_trees VALUES (20,28,19,'Aggression',17000,46);
INSERT INTO skill_trees VALUES (20,28,20,'Aggression',17000,46);
INSERT INTO skill_trees VALUES (20,28,21,'Aggression',17000,46);
INSERT INTO skill_trees VALUES (20,28,22,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (20,28,23,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (20,28,24,'Aggression',27000,49);
INSERT INTO skill_trees VALUES (20,28,25,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (20,28,26,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (20,28,27,'Aggression',38000,52);
INSERT INTO skill_trees VALUES (20,28,28,'Aggression',61000,55);
INSERT INTO skill_trees VALUES (20,28,29,'Aggression',61000,55);
INSERT INTO skill_trees VALUES (20,28,30,'Aggression',61000,55);
INSERT INTO skill_trees VALUES (20,28,31,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (20,28,32,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (20,28,33,'Aggression',67000,58);
INSERT INTO skill_trees VALUES (20,28,34,'Aggression',110000,60);
INSERT INTO skill_trees VALUES (20,28,35,'Aggression',110000,60);
INSERT INTO skill_trees VALUES (20,28,36,'Aggression',150000,62);
INSERT INTO skill_trees VALUES (20,28,37,'Aggression',150000,62);
INSERT INTO skill_trees VALUES (20,28,38,'Aggression',180000,64);
INSERT INTO skill_trees VALUES (20,28,39,'Aggression',180000,64);
INSERT INTO skill_trees VALUES (20,28,40,'Aggression',290000,66);
INSERT INTO skill_trees VALUES (20,28,41,'Aggression',290000,66);
INSERT INTO skill_trees VALUES (20,28,42,'Aggression',320000,68);
INSERT INTO skill_trees VALUES (20,28,43,'Aggression',320000,68);
INSERT INTO skill_trees VALUES (20,28,44,'Aggression',360000,70);
INSERT INTO skill_trees VALUES (20,28,45,'Aggression',360000,70);
INSERT INTO skill_trees VALUES (20,28,46,'Aggression',580000,72);
INSERT INTO skill_trees VALUES (20,28,47,'Aggression',580000,72);
INSERT INTO skill_trees VALUES (20,28,48,'Aggression',960000,74);
INSERT INTO skill_trees VALUES (20,28,49,'Aggression',960000,74);
INSERT INTO skill_trees VALUES (20,15,16,'Charm',14000,40);
INSERT INTO skill_trees VALUES (20,15,17,'Charm',14000,40);
INSERT INTO skill_trees VALUES (20,15,18,'Charm',14000,40);
INSERT INTO skill_trees VALUES (20,15,19,'Charm',15000,43);
INSERT INTO skill_trees VALUES (20,15,20,'Charm',15000,43);
INSERT INTO skill_trees VALUES (20,15,21,'Charm',15000,43);
INSERT INTO skill_trees VALUES (20,15,22,'Charm',17000,46);
INSERT INTO skill_trees VALUES (20,15,23,'Charm',17000,46);
INSERT INTO skill_trees VALUES (20,15,24,'Charm',17000,46);
INSERT INTO skill_trees VALUES (20,15,25,'Charm',27000,49);
INSERT INTO skill_trees VALUES (20,15,26,'Charm',27000,49);
INSERT INTO skill_trees VALUES (20,15,27,'Charm',27000,49);
INSERT INTO skill_trees VALUES (20,15,28,'Charm',38000,52);
INSERT INTO skill_trees VALUES (20,15,29,'Charm',38000,52);
INSERT INTO skill_trees VALUES (20,15,30,'Charm',38000,52);
INSERT INTO skill_trees VALUES (20,15,31,'Charm',61000,55);
INSERT INTO skill_trees VALUES (20,15,32,'Charm',61000,55);
INSERT INTO skill_trees VALUES (20,15,33,'Charm',61000,55);
INSERT INTO skill_trees VALUES (20,15,34,'Charm',67000,58);
INSERT INTO skill_trees VALUES (20,15,35,'Charm',67000,58);
INSERT INTO skill_trees VALUES (20,15,36,'Charm',67000,58);
INSERT INTO skill_trees VALUES (20,15,37,'Charm',110000,60);
INSERT INTO skill_trees VALUES (20,15,38,'Charm',110000,60);
INSERT INTO skill_trees VALUES (20,15,39,'Charm',150000,62);
INSERT INTO skill_trees VALUES (20,15,40,'Charm',150000,62);
INSERT INTO skill_trees VALUES (20,15,41,'Charm',180000,64);
INSERT INTO skill_trees VALUES (20,15,42,'Charm',180000,64);
INSERT INTO skill_trees VALUES (20,15,43,'Charm',290000,66);
INSERT INTO skill_trees VALUES (20,15,44,'Charm',290000,66);
INSERT INTO skill_trees VALUES (20,15,45,'Charm',320000,68);
INSERT INTO skill_trees VALUES (20,15,46,'Charm',320000,68);
INSERT INTO skill_trees VALUES (20,15,47,'Charm',360000,70);
INSERT INTO skill_trees VALUES (20,15,48,'Charm',360000,70);
INSERT INTO skill_trees VALUES (20,15,49,'Charm',580000,72);
INSERT INTO skill_trees VALUES (20,15,50,'Charm',580000,72);
INSERT INTO skill_trees VALUES (20,15,51,'Charm',960000,74);
INSERT INTO skill_trees VALUES (20,15,52,'Charm',960000,74);
INSERT INTO skill_trees VALUES (20,143,1,'Cubic Mastery',35000,43);
INSERT INTO skill_trees VALUES (20,143,2,'Cubic Mastery',180000,55);
INSERT INTO skill_trees VALUES (20,61,2,'Cure Bleeding',50000,46);
INSERT INTO skill_trees VALUES (20,61,3,'Cure Bleeding',310000,62);
INSERT INTO skill_trees VALUES (20,112,3,'Deflect Arrow',35000,43);
INSERT INTO skill_trees VALUES (20,112,4,'Deflect Arrow',82000,49);
INSERT INTO skill_trees VALUES (20,58,19,'Elemental Heal',14000,40);
INSERT INTO skill_trees VALUES (20,58,20,'Elemental Heal',14000,40);
INSERT INTO skill_trees VALUES (20,58,21,'Elemental Heal',14000,40);
INSERT INTO skill_trees VALUES (20,58,22,'Elemental Heal',15000,43);
INSERT INTO skill_trees VALUES (20,58,23,'Elemental Heal',15000,43);
INSERT INTO skill_trees VALUES (20,58,24,'Elemental Heal',15000,43);
INSERT INTO skill_trees VALUES (20,58,25,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (20,58,26,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (20,58,27,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (20,58,28,'Elemental Heal',27000,49);
INSERT INTO skill_trees VALUES (20,58,29,'Elemental Heal',27000,49);
INSERT INTO skill_trees VALUES (20,58,30,'Elemental Heal',27000,49);
INSERT INTO skill_trees VALUES (20,58,31,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (20,58,32,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (20,58,33,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (20,58,34,'Elemental Heal',61000,55);
INSERT INTO skill_trees VALUES (20,58,35,'Elemental Heal',61000,55);
INSERT INTO skill_trees VALUES (20,58,36,'Elemental Heal',61000,55);
INSERT INTO skill_trees VALUES (20,58,37,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (20,58,38,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (20,58,39,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (20,58,40,'Elemental Heal',110000,60);
INSERT INTO skill_trees VALUES (20,58,41,'Elemental Heal',110000,60);
INSERT INTO skill_trees VALUES (20,58,42,'Elemental Heal',150000,62);
INSERT INTO skill_trees VALUES (20,58,43,'Elemental Heal',150000,62);
INSERT INTO skill_trees VALUES (20,58,44,'Elemental Heal',180000,64);
INSERT INTO skill_trees VALUES (20,58,45,'Elemental Heal',180000,64);
INSERT INTO skill_trees VALUES (20,58,46,'Elemental Heal',290000,66);
INSERT INTO skill_trees VALUES (20,58,47,'Elemental Heal',290000,66);
INSERT INTO skill_trees VALUES (20,58,48,'Elemental Heal',320000,68);
INSERT INTO skill_trees VALUES (20,58,49,'Elemental Heal',320000,68);
INSERT INTO skill_trees VALUES (20,58,50,'Elemental Heal',360000,70);
INSERT INTO skill_trees VALUES (20,58,51,'Elemental Heal',360000,70);
INSERT INTO skill_trees VALUES (20,58,52,'Elemental Heal',580000,72);
INSERT INTO skill_trees VALUES (20,58,53,'Elemental Heal',580000,72);
INSERT INTO skill_trees VALUES (20,58,54,'Elemental Heal',960000,74);
INSERT INTO skill_trees VALUES (20,58,55,'Elemental Heal',960000,74);
INSERT INTO skill_trees VALUES (20,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (20,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (20,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (20,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (20,102,2,'Entangle',40000,40);
INSERT INTO skill_trees VALUES (20,102,3,'Entangle',41000,43);
INSERT INTO skill_trees VALUES (20,102,4,'Entangle',50000,46);
INSERT INTO skill_trees VALUES (20,102,5,'Entangle',82000,49);
INSERT INTO skill_trees VALUES (20,102,6,'Entangle',120000,52);
INSERT INTO skill_trees VALUES (20,102,7,'Entangle',180000,55);
INSERT INTO skill_trees VALUES (20,102,8,'Entangle',200000,58);
INSERT INTO skill_trees VALUES (20,102,9,'Entangle',220000,60);
INSERT INTO skill_trees VALUES (20,102,10,'Entangle',310000,62);
INSERT INTO skill_trees VALUES (20,102,11,'Entangle',370000,64);
INSERT INTO skill_trees VALUES (20,102,12,'Entangle',580000,66);
INSERT INTO skill_trees VALUES (20,102,13,'Entangle',650000,68);
INSERT INTO skill_trees VALUES (20,102,14,'Entangle',720000,70);
INSERT INTO skill_trees VALUES (20,102,15,'Entangle',1200000,72);
INSERT INTO skill_trees VALUES (20,102,16,'Entangle',1900000,74);
INSERT INTO skill_trees VALUES (20,291,1,'Final Fortress',120000,52);
INSERT INTO skill_trees VALUES (20,291,2,'Final Fortress',180000,55);
INSERT INTO skill_trees VALUES (20,291,3,'Final Fortress',200000,58);
INSERT INTO skill_trees VALUES (20,291,4,'Final Fortress',220000,60);
INSERT INTO skill_trees VALUES (20,291,5,'Final Fortress',310000,62);
INSERT INTO skill_trees VALUES (20,291,6,'Final Fortress',370000,64);
INSERT INTO skill_trees VALUES (20,291,7,'Final Fortress',580000,66);
INSERT INTO skill_trees VALUES (20,291,8,'Final Fortress',650000,68);
INSERT INTO skill_trees VALUES (20,291,9,'Final Fortress',720000,70);
INSERT INTO skill_trees VALUES (20,291,10,'Final Fortress',1200000,72);
INSERT INTO skill_trees VALUES (20,291,11,'Final Fortress',1900000,74);
INSERT INTO skill_trees VALUES (20,191,2,'Focus Mind',40000,43);
INSERT INTO skill_trees VALUES (20,191,3,'Focus Mind',82000,49);
INSERT INTO skill_trees VALUES (20,191,4,'Focus Mind',180000,55);
INSERT INTO skill_trees VALUES (20,191,5,'Focus Mind',370000,64);
INSERT INTO skill_trees VALUES (20,191,6,'Focus Mind',1200000,72);
INSERT INTO skill_trees VALUES (20,288,1,'Guard Stance',35000,43);
INSERT INTO skill_trees VALUES (20,288,2,'Guard Stance',120000,52);
INSERT INTO skill_trees VALUES (20,288,3,'Guard Stance',310000,62);
INSERT INTO skill_trees VALUES (20,288,4,'Guard Stance',720000,70);
INSERT INTO skill_trees VALUES (20,18,1,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (20,18,2,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (20,18,3,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (20,18,4,'Hate Aura',12000,43);
INSERT INTO skill_trees VALUES (20,18,5,'Hate Aura',12000,43);
INSERT INTO skill_trees VALUES (20,18,6,'Hate Aura',12000,43);
INSERT INTO skill_trees VALUES (20,18,7,'Hate Aura',17000,46);
INSERT INTO skill_trees VALUES (20,18,8,'Hate Aura',17000,46);
INSERT INTO skill_trees VALUES (20,18,9,'Hate Aura',17000,46);
INSERT INTO skill_trees VALUES (20,18,10,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (20,18,11,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (20,18,12,'Hate Aura',27000,49);
INSERT INTO skill_trees VALUES (20,18,13,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (20,18,14,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (20,18,15,'Hate Aura',38000,52);
INSERT INTO skill_trees VALUES (20,18,16,'Hate Aura',61000,55);
INSERT INTO skill_trees VALUES (20,18,17,'Hate Aura',61000,55);
INSERT INTO skill_trees VALUES (20,18,18,'Hate Aura',61000,55);
INSERT INTO skill_trees VALUES (20,18,19,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (20,18,20,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (20,18,21,'Hate Aura',67000,58);
INSERT INTO skill_trees VALUES (20,18,22,'Hate Aura',110000,60);
INSERT INTO skill_trees VALUES (20,18,23,'Hate Aura',110000,60);
INSERT INTO skill_trees VALUES (20,18,24,'Hate Aura',150000,62);
INSERT INTO skill_trees VALUES (20,18,25,'Hate Aura',150000,62);
INSERT INTO skill_trees VALUES (20,18,26,'Hate Aura',180000,64);
INSERT INTO skill_trees VALUES (20,18,27,'Hate Aura',180000,64);
INSERT INTO skill_trees VALUES (20,18,28,'Hate Aura',290000,66);
INSERT INTO skill_trees VALUES (20,18,29,'Hate Aura',290000,66);
INSERT INTO skill_trees VALUES (20,18,30,'Hate Aura',320000,68);
INSERT INTO skill_trees VALUES (20,18,31,'Hate Aura',320000,68);
INSERT INTO skill_trees VALUES (20,18,32,'Hate Aura',360000,70);
INSERT INTO skill_trees VALUES (20,18,33,'Hate Aura',360000,70);
INSERT INTO skill_trees VALUES (20,18,34,'Hate Aura',580000,72);
INSERT INTO skill_trees VALUES (20,18,35,'Hate Aura',580000,72);
INSERT INTO skill_trees VALUES (20,18,36,'Hate Aura',960000,74);
INSERT INTO skill_trees VALUES (20,18,37,'Hate Aura',960000,74);
INSERT INTO skill_trees VALUES (20,232,16,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,232,17,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,232,18,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,232,19,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,232,20,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,232,21,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,232,22,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,232,23,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,232,24,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,232,25,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,232,26,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,232,27,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,232,28,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,232,29,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,232,30,'Heavy Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,232,31,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,232,32,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,232,33,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,232,34,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,232,35,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,232,36,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,232,37,'Heavy Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (20,232,38,'Heavy Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (20,232,39,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (20,232,40,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (20,232,41,'Heavy Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (20,232,42,'Heavy Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (20,232,43,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (20,232,44,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (20,232,45,'Heavy Armor Mastery',320000,68);
INSERT INTO skill_trees VALUES (20,232,46,'Heavy Armor Mastery',320000,68);
INSERT INTO skill_trees VALUES (20,232,47,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (20,232,48,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (20,232,49,'Heavy Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (20,232,50,'Heavy Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (20,232,51,'Heavy Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (20,232,52,'Heavy Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (20,197,1,'Holy Armor',30000,40);
INSERT INTO skill_trees VALUES (20,197,2,'Holy Armor',50000,46);
INSERT INTO skill_trees VALUES (20,107,1,'Holy Aura',200000,58);
INSERT INTO skill_trees VALUES (20,107,2,'Holy Aura',220000,60);
INSERT INTO skill_trees VALUES (20,107,3,'Holy Aura',310000,62);
INSERT INTO skill_trees VALUES (20,107,4,'Holy Aura',370000,64);
INSERT INTO skill_trees VALUES (20,107,5,'Holy Aura',580000,66);
INSERT INTO skill_trees VALUES (20,107,6,'Holy Aura',650000,68);
INSERT INTO skill_trees VALUES (20,107,7,'Holy Aura',720000,70);
INSERT INTO skill_trees VALUES (20,107,8,'Holy Aura',1200000,72);
INSERT INTO skill_trees VALUES (20,107,9,'Holy Aura',1900000,74);
INSERT INTO skill_trees VALUES (20,147,15,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (20,147,16,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (20,147,17,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (20,147,18,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (20,147,19,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (20,147,20,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (20,147,21,'Magic Resistance',17000,46);
INSERT INTO skill_trees VALUES (20,147,22,'Magic Resistance',17000,46);
INSERT INTO skill_trees VALUES (20,147,23,'Magic Resistance',17000,46);
INSERT INTO skill_trees VALUES (20,147,24,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (20,147,25,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (20,147,26,'Magic Resistance',27000,49);
INSERT INTO skill_trees VALUES (20,147,27,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (20,147,28,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (20,147,29,'Magic Resistance',38000,52);
INSERT INTO skill_trees VALUES (20,147,30,'Magic Resistance',61000,55);
INSERT INTO skill_trees VALUES (20,147,31,'Magic Resistance',61000,55);
INSERT INTO skill_trees VALUES (20,147,32,'Magic Resistance',61000,55);
INSERT INTO skill_trees VALUES (20,147,33,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (20,147,34,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (20,147,35,'Magic Resistance',67000,58);
INSERT INTO skill_trees VALUES (20,147,36,'Magic Resistance',110000,60);
INSERT INTO skill_trees VALUES (20,147,37,'Magic Resistance',110000,60);
INSERT INTO skill_trees VALUES (20,147,38,'Magic Resistance',150000,62);
INSERT INTO skill_trees VALUES (20,147,39,'Magic Resistance',150000,62);
INSERT INTO skill_trees VALUES (20,147,40,'Magic Resistance',180000,64);
INSERT INTO skill_trees VALUES (20,147,41,'Magic Resistance',180000,64);
INSERT INTO skill_trees VALUES (20,147,42,'Magic Resistance',290000,66);
INSERT INTO skill_trees VALUES (20,147,43,'Magic Resistance',290000,66);
INSERT INTO skill_trees VALUES (20,147,44,'Magic Resistance',320000,68);
INSERT INTO skill_trees VALUES (20,147,45,'Magic Resistance',320000,68);
INSERT INTO skill_trees VALUES (20,147,46,'Magic Resistance',360000,70);
INSERT INTO skill_trees VALUES (20,147,47,'Magic Resistance',360000,70);
INSERT INTO skill_trees VALUES (20,147,48,'Magic Resistance',580000,72);
INSERT INTO skill_trees VALUES (20,147,49,'Magic Resistance',580000,72);
INSERT INTO skill_trees VALUES (20,147,50,'Magic Resistance',960000,74);
INSERT INTO skill_trees VALUES (20,147,51,'Magic Resistance',960000,74);
INSERT INTO skill_trees VALUES (20,21,2,'Poison Recovery',30000,40);
INSERT INTO skill_trees VALUES (20,21,3,'Poison Recovery',220000,60);
INSERT INTO skill_trees VALUES (20,322,1,'Shield Fortress',370000,64);
INSERT INTO skill_trees VALUES (20,322,2,'Shield Fortress',580000,66);
INSERT INTO skill_trees VALUES (20,322,3,'Shield Fortress',650000,68);
INSERT INTO skill_trees VALUES (20,322,4,'Shield Fortress',720000,70);
INSERT INTO skill_trees VALUES (20,322,5,'Shield Fortress',1200000,72);
INSERT INTO skill_trees VALUES (20,322,6,'Shield Fortress',1900000,74);
INSERT INTO skill_trees VALUES (20,153,3,'Shield Mastery',30000,40);
INSERT INTO skill_trees VALUES (20,153,4,'Shield Mastery',120000,52);
INSERT INTO skill_trees VALUES (20,123,1,'Spirit Barrier',30000,40);
INSERT INTO skill_trees VALUES (20,123,2,'Spirit Barrier',82000,49);
INSERT INTO skill_trees VALUES (20,123,3,'Spirit Barrier',200000,58);
INSERT INTO skill_trees VALUES (20,230,2,'Sprint',120000,52);
INSERT INTO skill_trees VALUES (20,67,1,'Summon Life Cubic',35000,43);
INSERT INTO skill_trees VALUES (20,67,2,'Summon Life Cubic',82000,49);
INSERT INTO skill_trees VALUES (20,67,3,'Summon Life Cubic',180000,55);
INSERT INTO skill_trees VALUES (20,67,4,'Summon Life Cubic',220000,60);
INSERT INTO skill_trees VALUES (20,67,5,'Summon Life Cubic',370000,64);
INSERT INTO skill_trees VALUES (20,67,6,'Summon Life Cubic',650000,68);
INSERT INTO skill_trees VALUES (20,67,7,'Summon Life Cubic',1200000,72);
INSERT INTO skill_trees VALUES (20,10,1,'Summon Storm Cubic',30000,40);
INSERT INTO skill_trees VALUES (20,10,2,'Summon Storm Cubic',50000,46);
INSERT INTO skill_trees VALUES (20,10,3,'Summon Storm Cubic',120000,52);
INSERT INTO skill_trees VALUES (20,10,4,'Summon Storm Cubic',200000,58);
INSERT INTO skill_trees VALUES (20,10,5,'Summon Storm Cubic',310000,62);
INSERT INTO skill_trees VALUES (20,10,6,'Summon Storm Cubic',580000,66);
INSERT INTO skill_trees VALUES (20,10,7,'Summon Storm Cubic',720000,70);
INSERT INTO skill_trees VALUES (20,10,8,'Summon Storm Cubic',1900000,74);
INSERT INTO skill_trees VALUES (20,217,9,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,217,10,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,217,11,'Sword Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (20,217,12,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,217,13,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,217,14,'Sword Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (20,217,15,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,217,16,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,217,17,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (20,217,18,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,217,19,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,217,20,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (20,217,21,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,217,22,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,217,23,'Sword Blunt Mastery',38000,52);
INSERT INTO skill_trees VALUES (20,217,24,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,217,25,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,217,26,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (20,217,27,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,217,28,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,217,29,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (20,217,30,'Sword Blunt Mastery',110000,60);
INSERT INTO skill_trees VALUES (20,217,31,'Sword Blunt Mastery',110000,60);
INSERT INTO skill_trees VALUES (20,217,32,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (20,217,33,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (20,217,34,'Sword Blunt Mastery',180000,64);
INSERT INTO skill_trees VALUES (20,217,35,'Sword Blunt Mastery',180000,64);
INSERT INTO skill_trees VALUES (20,217,36,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (20,217,37,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (20,217,38,'Sword Blunt Mastery',320000,68);
INSERT INTO skill_trees VALUES (20,217,39,'Sword Blunt Mastery',320000,68);
INSERT INTO skill_trees VALUES (20,217,40,'Sword Blunt Mastery',360000,70);
INSERT INTO skill_trees VALUES (20,217,41,'Sword Blunt Mastery',360000,70);
INSERT INTO skill_trees VALUES (20,217,42,'Sword Blunt Mastery',580000,72);
INSERT INTO skill_trees VALUES (20,217,43,'Sword Blunt Mastery',580000,72);
INSERT INTO skill_trees VALUES (20,217,44,'Sword Blunt Mastery',960000,74);
INSERT INTO skill_trees VALUES (20,217,45,'Sword Blunt Mastery',960000,74);
INSERT INTO skill_trees VALUES (20,110,2,'Ultimate Defense',50000,46);
INSERT INTO skill_trees VALUES (21,15,16,'Charm',16000,40);
INSERT INTO skill_trees VALUES (21,15,17,'Charm',16000,40);
INSERT INTO skill_trees VALUES (21,15,18,'Charm',16000,40);
INSERT INTO skill_trees VALUES (21,15,19,'Charm',19000,43);
INSERT INTO skill_trees VALUES (21,15,20,'Charm',19000,43);
INSERT INTO skill_trees VALUES (21,15,21,'Charm',19000,43);
INSERT INTO skill_trees VALUES (21,15,22,'Charm',29000,46);
INSERT INTO skill_trees VALUES (21,15,23,'Charm',29000,46);
INSERT INTO skill_trees VALUES (21,15,24,'Charm',29000,46);
INSERT INTO skill_trees VALUES (21,15,25,'Charm',41000,49);
INSERT INTO skill_trees VALUES (21,15,26,'Charm',41000,49);
INSERT INTO skill_trees VALUES (21,15,27,'Charm',41000,49);
INSERT INTO skill_trees VALUES (21,15,28,'Charm',71000,52);
INSERT INTO skill_trees VALUES (21,15,29,'Charm',71000,52);
INSERT INTO skill_trees VALUES (21,15,30,'Charm',71000,52);
INSERT INTO skill_trees VALUES (21,15,31,'Charm',92000,55);
INSERT INTO skill_trees VALUES (21,15,32,'Charm',92000,55);
INSERT INTO skill_trees VALUES (21,15,33,'Charm',92000,55);
INSERT INTO skill_trees VALUES (21,15,34,'Charm',110000,58);
INSERT INTO skill_trees VALUES (21,15,35,'Charm',110000,58);
INSERT INTO skill_trees VALUES (21,15,36,'Charm',110000,58);
INSERT INTO skill_trees VALUES (21,15,37,'Charm',210000,60);
INSERT INTO skill_trees VALUES (21,15,38,'Charm',210000,60);
INSERT INTO skill_trees VALUES (21,15,39,'Charm',290000,62);
INSERT INTO skill_trees VALUES (21,15,40,'Charm',290000,62);
INSERT INTO skill_trees VALUES (21,15,41,'Charm',340000,64);
INSERT INTO skill_trees VALUES (21,15,42,'Charm',340000,64);
INSERT INTO skill_trees VALUES (21,15,43,'Charm',580000,66);
INSERT INTO skill_trees VALUES (21,15,44,'Charm',580000,66);
INSERT INTO skill_trees VALUES (21,15,45,'Charm',650000,68);
INSERT INTO skill_trees VALUES (21,15,46,'Charm',650000,68);
INSERT INTO skill_trees VALUES (21,15,47,'Charm',780000,70);
INSERT INTO skill_trees VALUES (21,15,48,'Charm',780000,70);
INSERT INTO skill_trees VALUES (21,15,49,'Charm',1100000,72);
INSERT INTO skill_trees VALUES (21,15,50,'Charm',1100000,72);
INSERT INTO skill_trees VALUES (21,15,51,'Charm',1900000,74);
INSERT INTO skill_trees VALUES (21,15,52,'Charm',1900000,74);
INSERT INTO skill_trees VALUES (21,21,2,'Poison Recovery',49000,40);
INSERT INTO skill_trees VALUES (21,21,3,'Poison Recovery',410000,60);
INSERT INTO skill_trees VALUES (21,58,19,'Elemental Heal',16000,40);
INSERT INTO skill_trees VALUES (21,58,20,'Elemental Heal',16000,40);
INSERT INTO skill_trees VALUES (21,58,21,'Elemental Heal',16000,40);
INSERT INTO skill_trees VALUES (21,58,22,'Elemental Heal',19000,43);
INSERT INTO skill_trees VALUES (21,58,23,'Elemental Heal',19000,43);
INSERT INTO skill_trees VALUES (21,58,24,'Elemental Heal',19000,43);
INSERT INTO skill_trees VALUES (21,58,25,'Elemental Heal',29000,46);
INSERT INTO skill_trees VALUES (21,58,26,'Elemental Heal',29000,46);
INSERT INTO skill_trees VALUES (21,58,27,'Elemental Heal',29000,46);
INSERT INTO skill_trees VALUES (21,58,28,'Elemental Heal',41000,49);
INSERT INTO skill_trees VALUES (21,58,29,'Elemental Heal',41000,49);
INSERT INTO skill_trees VALUES (21,58,30,'Elemental Heal',41000,49);
INSERT INTO skill_trees VALUES (21,58,31,'Elemental Heal',71000,52);
INSERT INTO skill_trees VALUES (21,58,32,'Elemental Heal',71000,52);
INSERT INTO skill_trees VALUES (21,58,33,'Elemental Heal',71000,52);
INSERT INTO skill_trees VALUES (21,58,34,'Elemental Heal',92000,55);
INSERT INTO skill_trees VALUES (21,58,35,'Elemental Heal',92000,55);
INSERT INTO skill_trees VALUES (21,58,36,'Elemental Heal',92000,55);
INSERT INTO skill_trees VALUES (21,58,37,'Elemental Heal',110000,58);
INSERT INTO skill_trees VALUES (21,58,38,'Elemental Heal',110000,58);
INSERT INTO skill_trees VALUES (21,58,39,'Elemental Heal',110000,58);
INSERT INTO skill_trees VALUES (21,58,40,'Elemental Heal',210000,60);
INSERT INTO skill_trees VALUES (21,58,41,'Elemental Heal',210000,60);
INSERT INTO skill_trees VALUES (21,58,42,'Elemental Heal',290000,62);
INSERT INTO skill_trees VALUES (21,58,43,'Elemental Heal',290000,62);
INSERT INTO skill_trees VALUES (21,58,44,'Elemental Heal',340000,64);
INSERT INTO skill_trees VALUES (21,58,45,'Elemental Heal',340000,64);
INSERT INTO skill_trees VALUES (21,58,46,'Elemental Heal',580000,66);
INSERT INTO skill_trees VALUES (21,58,47,'Elemental Heal',580000,66);
INSERT INTO skill_trees VALUES (21,58,48,'Elemental Heal',650000,68);
INSERT INTO skill_trees VALUES (21,58,49,'Elemental Heal',650000,68);
INSERT INTO skill_trees VALUES (21,58,50,'Elemental Heal',780000,70);
INSERT INTO skill_trees VALUES (21,58,51,'Elemental Heal',780000,70);
INSERT INTO skill_trees VALUES (21,58,52,'Elemental Heal',1100000,72);
INSERT INTO skill_trees VALUES (21,58,53,'Elemental Heal',1100000,72);
INSERT INTO skill_trees VALUES (21,58,54,'Elemental Heal',1900000,74);
INSERT INTO skill_trees VALUES (21,58,55,'Elemental Heal',1900000,74);
INSERT INTO skill_trees VALUES (21,61,2,'Cure Bleeding',85000,46);
INSERT INTO skill_trees VALUES (21,61,3,'Cure Bleeding',570000,62);
INSERT INTO skill_trees VALUES (21,98,1,'Sword Symphony',270000,55);
INSERT INTO skill_trees VALUES (21,98,2,'Sword Symphony',410000,60);
INSERT INTO skill_trees VALUES (21,98,3,'Sword Symphony',690000,64);
INSERT INTO skill_trees VALUES (21,98,4,'Sword Symphony',1300000,68);
INSERT INTO skill_trees VALUES (21,98,5,'Sword Symphony',2200000,72);
INSERT INTO skill_trees VALUES (21,102,2,'Entangle',49000,40);
INSERT INTO skill_trees VALUES (21,102,3,'Entangle',53000,43);
INSERT INTO skill_trees VALUES (21,102,4,'Entangle',85000,46);
INSERT INTO skill_trees VALUES (21,102,5,'Entangle',120000,49);
INSERT INTO skill_trees VALUES (21,102,6,'Entangle',210000,52);
INSERT INTO skill_trees VALUES (21,102,7,'Entangle',270000,55);
INSERT INTO skill_trees VALUES (21,102,8,'Entangle',350000,58);
INSERT INTO skill_trees VALUES (21,102,9,'Entangle',410000,60);
INSERT INTO skill_trees VALUES (21,102,10,'Entangle',570000,62);
INSERT INTO skill_trees VALUES (21,102,11,'Entangle',690000,64);
INSERT INTO skill_trees VALUES (21,102,12,'Entangle',1200000,66);
INSERT INTO skill_trees VALUES (21,102,13,'Entangle',1300000,68);
INSERT INTO skill_trees VALUES (21,102,14,'Entangle',1500000,70);
INSERT INTO skill_trees VALUES (21,102,15,'Entangle',2200000,72);
INSERT INTO skill_trees VALUES (21,102,16,'Entangle',3900000,74);
INSERT INTO skill_trees VALUES (21,123,1,'Spirit Barrier',49000,40);
INSERT INTO skill_trees VALUES (21,123,2,'Spirit Barrier',120000,49);
INSERT INTO skill_trees VALUES (21,123,3,'Spirit Barrier',350000,58);
INSERT INTO skill_trees VALUES (21,147,15,'Magic Resistance',16000,40);
INSERT INTO skill_trees VALUES (21,147,16,'Magic Resistance',16000,40);
INSERT INTO skill_trees VALUES (21,147,17,'Magic Resistance',16000,40);
INSERT INTO skill_trees VALUES (21,147,18,'Magic Resistance',19000,43);
INSERT INTO skill_trees VALUES (21,147,19,'Magic Resistance',19000,43);
INSERT INTO skill_trees VALUES (21,147,20,'Magic Resistance',19000,43);
INSERT INTO skill_trees VALUES (21,147,21,'Magic Resistance',29000,46);
INSERT INTO skill_trees VALUES (21,147,22,'Magic Resistance',29000,46);
INSERT INTO skill_trees VALUES (21,147,23,'Magic Resistance',29000,46);
INSERT INTO skill_trees VALUES (21,147,24,'Magic Resistance',41000,49);
INSERT INTO skill_trees VALUES (21,147,25,'Magic Resistance',41000,49);
INSERT INTO skill_trees VALUES (21,147,26,'Magic Resistance',41000,49);
INSERT INTO skill_trees VALUES (21,147,27,'Magic Resistance',71000,52);
INSERT INTO skill_trees VALUES (21,147,28,'Magic Resistance',71000,52);
INSERT INTO skill_trees VALUES (21,147,29,'Magic Resistance',71000,52);
INSERT INTO skill_trees VALUES (21,147,30,'Magic Resistance',92000,55);
INSERT INTO skill_trees VALUES (21,147,31,'Magic Resistance',92000,55);
INSERT INTO skill_trees VALUES (21,147,32,'Magic Resistance',92000,55);
INSERT INTO skill_trees VALUES (21,147,33,'Magic Resistance',110000,58);
INSERT INTO skill_trees VALUES (21,147,34,'Magic Resistance',110000,58);
INSERT INTO skill_trees VALUES (21,147,35,'Magic Resistance',110000,58);
INSERT INTO skill_trees VALUES (21,147,36,'Magic Resistance',210000,60);
INSERT INTO skill_trees VALUES (21,147,37,'Magic Resistance',210000,60);
INSERT INTO skill_trees VALUES (21,147,38,'Magic Resistance',290000,62);
INSERT INTO skill_trees VALUES (21,147,39,'Magic Resistance',290000,62);
INSERT INTO skill_trees VALUES (21,147,40,'Magic Resistance',340000,64);
INSERT INTO skill_trees VALUES (21,147,41,'Magic Resistance',340000,64);
INSERT INTO skill_trees VALUES (21,147,42,'Magic Resistance',580000,66);
INSERT INTO skill_trees VALUES (21,147,43,'Magic Resistance',580000,66);
INSERT INTO skill_trees VALUES (21,147,44,'Magic Resistance',650000,68);
INSERT INTO skill_trees VALUES (21,147,45,'Magic Resistance',650000,68);
INSERT INTO skill_trees VALUES (21,147,46,'Magic Resistance',780000,70);
INSERT INTO skill_trees VALUES (21,147,47,'Magic Resistance',780000,70);
INSERT INTO skill_trees VALUES (21,147,48,'Magic Resistance',1100000,72);
INSERT INTO skill_trees VALUES (21,147,49,'Magic Resistance',1100000,72);
INSERT INTO skill_trees VALUES (21,147,50,'Magic Resistance',1900000,74);
INSERT INTO skill_trees VALUES (21,147,51,'Magic Resistance',1900000,74);
INSERT INTO skill_trees VALUES (21,191,2,'Focus Mind',53000,43);
INSERT INTO skill_trees VALUES (21,191,3,'Focus Mind',120000,49);
INSERT INTO skill_trees VALUES (21,191,4,'Focus Mind',270000,55);
INSERT INTO skill_trees VALUES (21,191,5,'Focus Mind',690000,64);
INSERT INTO skill_trees VALUES (21,191,6,'Focus Mind',2200000,72);
INSERT INTO skill_trees VALUES (21,196,1,'Holy Blade',53000,43);
INSERT INTO skill_trees VALUES (21,217,9,'Sword Blunt Mastery',16000,40);
INSERT INTO skill_trees VALUES (21,217,10,'Sword Blunt Mastery',16000,40);
INSERT INTO skill_trees VALUES (21,217,11,'Sword Blunt Mastery',16000,40);
INSERT INTO skill_trees VALUES (21,217,12,'Sword Blunt Mastery',19000,43);
INSERT INTO skill_trees VALUES (21,217,13,'Sword Blunt Mastery',19000,43);
INSERT INTO skill_trees VALUES (21,217,14,'Sword Blunt Mastery',19000,43);
INSERT INTO skill_trees VALUES (21,217,15,'Sword Blunt Mastery',29000,46);
INSERT INTO skill_trees VALUES (21,217,16,'Sword Blunt Mastery',29000,46);
INSERT INTO skill_trees VALUES (21,217,17,'Sword Blunt Mastery',29000,46);
INSERT INTO skill_trees VALUES (21,217,18,'Sword Blunt Mastery',41000,49);
INSERT INTO skill_trees VALUES (21,217,19,'Sword Blunt Mastery',41000,49);
INSERT INTO skill_trees VALUES (21,217,20,'Sword Blunt Mastery',41000,49);
INSERT INTO skill_trees VALUES (21,217,21,'Sword Blunt Mastery',71000,52);
INSERT INTO skill_trees VALUES (21,217,22,'Sword Blunt Mastery',71000,52);
INSERT INTO skill_trees VALUES (21,217,23,'Sword Blunt Mastery',71000,52);
INSERT INTO skill_trees VALUES (21,217,24,'Sword Blunt Mastery',92000,55);
INSERT INTO skill_trees VALUES (21,217,25,'Sword Blunt Mastery',92000,55);
INSERT INTO skill_trees VALUES (21,217,26,'Sword Blunt Mastery',92000,55);
INSERT INTO skill_trees VALUES (21,217,27,'Sword Blunt Mastery',110000,58);
INSERT INTO skill_trees VALUES (21,217,28,'Sword Blunt Mastery',110000,58);
INSERT INTO skill_trees VALUES (21,217,29,'Sword Blunt Mastery',110000,58);
INSERT INTO skill_trees VALUES (21,217,30,'Sword Blunt Mastery',210000,60);
INSERT INTO skill_trees VALUES (21,217,31,'Sword Blunt Mastery',210000,60);
INSERT INTO skill_trees VALUES (21,217,32,'Sword Blunt Mastery',290000,62);
INSERT INTO skill_trees VALUES (21,217,33,'Sword Blunt Mastery',290000,62);
INSERT INTO skill_trees VALUES (21,217,34,'Sword Blunt Mastery',340000,64);
INSERT INTO skill_trees VALUES (21,217,35,'Sword Blunt Mastery',340000,64);
INSERT INTO skill_trees VALUES (21,217,36,'Sword Blunt Mastery',580000,66);
INSERT INTO skill_trees VALUES (21,217,37,'Sword Blunt Mastery',580000,66);
INSERT INTO skill_trees VALUES (21,217,38,'Sword Blunt Mastery',650000,68);
INSERT INTO skill_trees VALUES (21,217,39,'Sword Blunt Mastery',650000,68);
INSERT INTO skill_trees VALUES (21,217,40,'Sword Blunt Mastery',780000,70);
INSERT INTO skill_trees VALUES (21,217,41,'Sword Blunt Mastery',780000,70);
INSERT INTO skill_trees VALUES (21,217,42,'Sword Blunt Mastery',1100000,72);
INSERT INTO skill_trees VALUES (21,217,43,'Sword Blunt Mastery',1100000,72);
INSERT INTO skill_trees VALUES (21,217,44,'Sword Blunt Mastery',1900000,74);
INSERT INTO skill_trees VALUES (21,217,45,'Sword Blunt Mastery',1900000,74);
INSERT INTO skill_trees VALUES (21,230,2,'Sprint',210000,52);
INSERT INTO skill_trees VALUES (21,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (21,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (21,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (21,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (21,264,1,'Song of Earth',270000,55);
INSERT INTO skill_trees VALUES (21,265,1,'Song of Life',210000,52);
INSERT INTO skill_trees VALUES (21,266,1,'Song of Water',350000,58);
INSERT INTO skill_trees VALUES (21,267,1,'Song of Warding',49000,40);
INSERT INTO skill_trees VALUES (21,268,1,'Song of Wind',85000,46);
INSERT INTO skill_trees VALUES (21,269,1,'Song of Hunter',120000,49);
INSERT INTO skill_trees VALUES (21,270,1,'Song of Invocation',53000,43);
INSERT INTO skill_trees VALUES (21,304,1,'Song of Vitality',1200000,66);
INSERT INTO skill_trees VALUES (21,305,1,'Song of Vengeance',3900000,74);
INSERT INTO skill_trees VALUES (21,306,1,'Song of Flame Guard',570000,62);
INSERT INTO skill_trees VALUES (21,308,1,'Song of Storm Guard',1500000,70);
INSERT INTO skill_trees VALUES (22,15,1,'Charm',950,20);
INSERT INTO skill_trees VALUES (22,15,2,'Charm',950,20);
INSERT INTO skill_trees VALUES (22,15,3,'Charm',950,20);
INSERT INTO skill_trees VALUES (22,15,4,'Charm',1700,24);
INSERT INTO skill_trees VALUES (22,15,5,'Charm',1700,24);
INSERT INTO skill_trees VALUES (22,15,6,'Charm',1700,24);
INSERT INTO skill_trees VALUES (22,15,7,'Charm',3100,28);
INSERT INTO skill_trees VALUES (22,15,8,'Charm',3100,28);
INSERT INTO skill_trees VALUES (22,15,9,'Charm',3100,28);
INSERT INTO skill_trees VALUES (22,15,10,'Charm',5100,32);
INSERT INTO skill_trees VALUES (22,15,11,'Charm',5100,32);
INSERT INTO skill_trees VALUES (22,15,12,'Charm',5100,32);
INSERT INTO skill_trees VALUES (22,15,13,'Charm',8600,36);
INSERT INTO skill_trees VALUES (22,15,14,'Charm',8600,36);
INSERT INTO skill_trees VALUES (22,15,15,'Charm',8600,36);
INSERT INTO skill_trees VALUES (22,16,10,'Mortal Blow',1200,20);
INSERT INTO skill_trees VALUES (22,16,11,'Mortal Blow',1200,20);
INSERT INTO skill_trees VALUES (22,16,12,'Mortal Blow',1200,20);
INSERT INTO skill_trees VALUES (22,16,13,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (22,16,14,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (22,16,15,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (22,16,16,'Mortal Blow',3100,28);
INSERT INTO skill_trees VALUES (22,16,17,'Mortal Blow',3100,28);
INSERT INTO skill_trees VALUES (22,16,18,'Mortal Blow',3100,28);
INSERT INTO skill_trees VALUES (22,16,19,'Mortal Blow',5100,32);
INSERT INTO skill_trees VALUES (22,16,20,'Mortal Blow',5100,32);
INSERT INTO skill_trees VALUES (22,16,21,'Mortal Blow',5100,32);
INSERT INTO skill_trees VALUES (22,16,22,'Mortal Blow',8600,36);
INSERT INTO skill_trees VALUES (22,16,23,'Mortal Blow',8600,36);
INSERT INTO skill_trees VALUES (22,16,24,'Mortal Blow',8600,36);
INSERT INTO skill_trees VALUES (22,21,1,'Poison Recovery',5000,24);
INSERT INTO skill_trees VALUES (22,27,1,'Unlock',2800,20);
INSERT INTO skill_trees VALUES (22,27,2,'Unlock',5000,24);
INSERT INTO skill_trees VALUES (22,27,3,'Unlock',9200,28);
INSERT INTO skill_trees VALUES (22,27,4,'Unlock',15000,32);
INSERT INTO skill_trees VALUES (22,27,5,'Unlock',26000,36);
INSERT INTO skill_trees VALUES (22,56,10,'Power Shot',1200,20);
INSERT INTO skill_trees VALUES (22,56,11,'Power Shot',1200,20);
INSERT INTO skill_trees VALUES (22,56,12,'Power Shot',1200,20);
INSERT INTO skill_trees VALUES (22,56,13,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (22,56,14,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (22,56,15,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (22,56,16,'Power Shot',3100,28);
INSERT INTO skill_trees VALUES (22,56,17,'Power Shot',3100,28);
INSERT INTO skill_trees VALUES (22,56,18,'Power Shot',3100,28);
INSERT INTO skill_trees VALUES (22,56,19,'Power Shot',5100,32);
INSERT INTO skill_trees VALUES (22,56,20,'Power Shot',5100,32);
INSERT INTO skill_trees VALUES (22,56,21,'Power Shot',5100,32);
INSERT INTO skill_trees VALUES (22,56,22,'Power Shot',8600,36);
INSERT INTO skill_trees VALUES (22,56,23,'Power Shot',8600,36);
INSERT INTO skill_trees VALUES (22,56,24,'Power Shot',8600,36);
INSERT INTO skill_trees VALUES (22,58,4,'Elemental Heal',1200,20);
INSERT INTO skill_trees VALUES (22,58,5,'Elemental Heal',1200,20);
INSERT INTO skill_trees VALUES (22,58,6,'Elemental Heal',1200,20);
INSERT INTO skill_trees VALUES (22,58,7,'Elemental Heal',1700,24);
INSERT INTO skill_trees VALUES (22,58,8,'Elemental Heal',1700,24);
INSERT INTO skill_trees VALUES (22,58,9,'Elemental Heal',1700,24);
INSERT INTO skill_trees VALUES (22,58,10,'Elemental Heal',3100,28);
INSERT INTO skill_trees VALUES (22,58,11,'Elemental Heal',3100,28);
INSERT INTO skill_trees VALUES (22,58,12,'Elemental Heal',3100,28);
INSERT INTO skill_trees VALUES (22,58,13,'Elemental Heal',5100,32);
INSERT INTO skill_trees VALUES (22,58,14,'Elemental Heal',5100,32);
INSERT INTO skill_trees VALUES (22,58,15,'Elemental Heal',5100,32);
INSERT INTO skill_trees VALUES (22,58,16,'Elemental Heal',8600,36);
INSERT INTO skill_trees VALUES (22,58,17,'Elemental Heal',8600,36);
INSERT INTO skill_trees VALUES (22,58,18,'Elemental Heal',8600,36);
INSERT INTO skill_trees VALUES (22,61,1,'Cure Bleeding',5000,24);
INSERT INTO skill_trees VALUES (22,77,2,'Attack Aura',9200,28);
INSERT INTO skill_trees VALUES (22,91,2,'Defense Aura',2800,20);
INSERT INTO skill_trees VALUES (22,96,1,'Bleed',5000,24);
INSERT INTO skill_trees VALUES (22,96,2,'Bleed',15000,32);
INSERT INTO skill_trees VALUES (22,99,1,'Rapid Shot',15000,32);
INSERT INTO skill_trees VALUES (22,101,1,'Stun Shot',8600,36);
INSERT INTO skill_trees VALUES (22,101,2,'Stun Shot',8600,36);
INSERT INTO skill_trees VALUES (22,101,3,'Stun Shot',8600,36);
INSERT INTO skill_trees VALUES (22,102,1,'Entangle',26000,36);
INSERT INTO skill_trees VALUES (22,111,1,'Ultimate Evasion',9200,28);
INSERT INTO skill_trees VALUES (22,113,1,'Long Shot',2800,20);
INSERT INTO skill_trees VALUES (22,137,1,'Critical Chance',15000,32);
INSERT INTO skill_trees VALUES (22,169,1,'Quick Step',9200,28);
INSERT INTO skill_trees VALUES (22,171,1,'Esprit',26000,36);
INSERT INTO skill_trees VALUES (22,173,1,'Acrobat',2800,20);
INSERT INTO skill_trees VALUES (22,195,1,'Boost Breath',2800,20);
INSERT INTO skill_trees VALUES (22,198,1,'Boost Evasion',5000,24);
INSERT INTO skill_trees VALUES (22,208,1,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (22,208,2,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (22,208,3,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (22,208,4,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (22,208,5,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (22,208,6,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (22,208,7,'Bow Mastery',3100,28);
INSERT INTO skill_trees VALUES (22,208,8,'Bow Mastery',3100,28);
INSERT INTO skill_trees VALUES (22,208,9,'Bow Mastery',3100,28);
INSERT INTO skill_trees VALUES (22,208,10,'Bow Mastery',5100,32);
INSERT INTO skill_trees VALUES (22,208,11,'Bow Mastery',5100,32);
INSERT INTO skill_trees VALUES (22,208,12,'Bow Mastery',5100,32);
INSERT INTO skill_trees VALUES (22,208,13,'Bow Mastery',8600,36);
INSERT INTO skill_trees VALUES (22,208,14,'Bow Mastery',8600,36);
INSERT INTO skill_trees VALUES (22,208,15,'Bow Mastery',8600,36);
INSERT INTO skill_trees VALUES (22,209,1,'Dagger Mastery',2800,20);
INSERT INTO skill_trees VALUES (22,209,2,'Dagger Mastery',5000,24);
INSERT INTO skill_trees VALUES (22,209,3,'Dagger Mastery',4600,28);
INSERT INTO skill_trees VALUES (22,209,4,'Dagger Mastery',4600,28);
INSERT INTO skill_trees VALUES (22,209,5,'Dagger Mastery',7700,32);
INSERT INTO skill_trees VALUES (22,209,6,'Dagger Mastery',7700,32);
INSERT INTO skill_trees VALUES (22,209,7,'Dagger Mastery',13000,36);
INSERT INTO skill_trees VALUES (22,209,8,'Dagger Mastery',13000,36);
INSERT INTO skill_trees VALUES (22,225,1,'Acrobatic Move',9200,28);
INSERT INTO skill_trees VALUES (22,230,1,'Sprint',15000,32);
INSERT INTO skill_trees VALUES (22,233,1,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (22,233,2,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (22,233,3,'Light Armor Mastery',2500,24);
INSERT INTO skill_trees VALUES (22,233,4,'Light Armor Mastery',2500,24);
INSERT INTO skill_trees VALUES (22,233,5,'Light Armor Mastery',4600,28);
INSERT INTO skill_trees VALUES (22,233,6,'Light Armor Mastery',4600,28);
INSERT INTO skill_trees VALUES (22,233,7,'Light Armor Mastery',7700,32);
INSERT INTO skill_trees VALUES (22,233,8,'Light Armor Mastery',7700,32);
INSERT INTO skill_trees VALUES (22,233,9,'Light Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (22,233,10,'Light Armor Mastery',13000,36);
INSERT INTO skill_trees VALUES (22,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (22,256,1,'Accuracy',5000,24);
INSERT INTO skill_trees VALUES (22,312,1,'Vicious Stance',2800,20);
INSERT INTO skill_trees VALUES (22,312,2,'Vicious Stance',5000,24);
INSERT INTO skill_trees VALUES (22,312,3,'Vicious Stance',9200,28);
INSERT INTO skill_trees VALUES (22,312,4,'Vicious Stance',15000,32);
INSERT INTO skill_trees VALUES (22,312,5,'Vicious Stance',26000,36);
INSERT INTO skill_trees VALUES (23,12,1,'Switch',35000,43);
INSERT INTO skill_trees VALUES (23,12,2,'Switch',43000,46);
INSERT INTO skill_trees VALUES (23,12,3,'Switch',75000,49);
INSERT INTO skill_trees VALUES (23,12,4,'Switch',120000,52);
INSERT INTO skill_trees VALUES (23,12,5,'Switch',160000,55);
INSERT INTO skill_trees VALUES (23,12,6,'Switch',200000,58);
INSERT INTO skill_trees VALUES (23,12,7,'Switch',260000,60);
INSERT INTO skill_trees VALUES (23,12,8,'Switch',370000,62);
INSERT INTO skill_trees VALUES (23,12,9,'Switch',480000,64);
INSERT INTO skill_trees VALUES (23,12,10,'Switch',640000,66);
INSERT INTO skill_trees VALUES (23,12,11,'Switch',650000,68);
INSERT INTO skill_trees VALUES (23,12,12,'Switch',850000,70);
INSERT INTO skill_trees VALUES (23,12,13,'Switch',1400000,72);
INSERT INTO skill_trees VALUES (23,12,14,'Switch',2100000,74);
INSERT INTO skill_trees VALUES (23,15,16,'Charm',9000,40);
INSERT INTO skill_trees VALUES (23,15,17,'Charm',9000,40);
INSERT INTO skill_trees VALUES (23,15,18,'Charm',9000,40);
INSERT INTO skill_trees VALUES (23,15,19,'Charm',12000,43);
INSERT INTO skill_trees VALUES (23,15,20,'Charm',12000,43);
INSERT INTO skill_trees VALUES (23,15,21,'Charm',12000,43);
INSERT INTO skill_trees VALUES (23,15,22,'Charm',14000,46);
INSERT INTO skill_trees VALUES (23,15,23,'Charm',14000,46);
INSERT INTO skill_trees VALUES (23,15,24,'Charm',14000,46);
INSERT INTO skill_trees VALUES (23,15,25,'Charm',25000,49);
INSERT INTO skill_trees VALUES (23,15,26,'Charm',25000,49);
INSERT INTO skill_trees VALUES (23,15,27,'Charm',25000,49);
INSERT INTO skill_trees VALUES (23,15,28,'Charm',38000,52);
INSERT INTO skill_trees VALUES (23,15,29,'Charm',38000,52);
INSERT INTO skill_trees VALUES (23,15,30,'Charm',38000,52);
INSERT INTO skill_trees VALUES (23,15,31,'Charm',52000,55);
INSERT INTO skill_trees VALUES (23,15,32,'Charm',52000,55);
INSERT INTO skill_trees VALUES (23,15,33,'Charm',52000,55);
INSERT INTO skill_trees VALUES (23,15,34,'Charm',67000,58);
INSERT INTO skill_trees VALUES (23,15,35,'Charm',67000,58);
INSERT INTO skill_trees VALUES (23,15,36,'Charm',67000,58);
INSERT INTO skill_trees VALUES (23,15,37,'Charm',130000,60);
INSERT INTO skill_trees VALUES (23,15,38,'Charm',130000,60);
INSERT INTO skill_trees VALUES (23,15,39,'Charm',180000,62);
INSERT INTO skill_trees VALUES (23,15,40,'Charm',180000,62);
INSERT INTO skill_trees VALUES (23,15,41,'Charm',240000,64);
INSERT INTO skill_trees VALUES (23,15,42,'Charm',240000,64);
INSERT INTO skill_trees VALUES (23,15,43,'Charm',320000,66);
INSERT INTO skill_trees VALUES (23,15,44,'Charm',320000,66);
INSERT INTO skill_trees VALUES (23,15,45,'Charm',330000,68);
INSERT INTO skill_trees VALUES (23,15,46,'Charm',330000,68);
INSERT INTO skill_trees VALUES (23,15,47,'Charm',420000,70);
INSERT INTO skill_trees VALUES (23,15,48,'Charm',420000,70);
INSERT INTO skill_trees VALUES (23,15,49,'Charm',680000,72);
INSERT INTO skill_trees VALUES (23,15,50,'Charm',680000,72);
INSERT INTO skill_trees VALUES (23,15,51,'Charm',1000000,74);
INSERT INTO skill_trees VALUES (23,15,52,'Charm',1000000,74);
INSERT INTO skill_trees VALUES (23,21,2,'Poison Recovery',28000,40);
INSERT INTO skill_trees VALUES (23,21,3,'Poison Recovery',260000,60);
INSERT INTO skill_trees VALUES (23,27,6,'Unlock',28000,40);
INSERT INTO skill_trees VALUES (23,27,7,'Unlock',35000,43);
INSERT INTO skill_trees VALUES (23,27,8,'Unlock',43000,46);
INSERT INTO skill_trees VALUES (23,27,9,'Unlock',120000,52);
INSERT INTO skill_trees VALUES (23,27,10,'Unlock',160000,55);
INSERT INTO skill_trees VALUES (23,27,11,'Unlock',260000,60);
INSERT INTO skill_trees VALUES (23,27,12,'Unlock',480000,64);
INSERT INTO skill_trees VALUES (23,27,13,'Unlock',650000,68);
INSERT INTO skill_trees VALUES (23,27,14,'Unlock',1400000,72);
INSERT INTO skill_trees VALUES (23,30,1,'Backstab',9000,40);
INSERT INTO skill_trees VALUES (23,30,2,'Backstab',9000,40);
INSERT INTO skill_trees VALUES (23,30,3,'Backstab',9000,40);
INSERT INTO skill_trees VALUES (23,30,4,'Backstab',12000,43);
INSERT INTO skill_trees VALUES (23,30,5,'Backstab',12000,43);
INSERT INTO skill_trees VALUES (23,30,6,'Backstab',12000,43);
INSERT INTO skill_trees VALUES (23,30,7,'Backstab',14000,46);
INSERT INTO skill_trees VALUES (23,30,8,'Backstab',14000,46);
INSERT INTO skill_trees VALUES (23,30,9,'Backstab',14000,46);
INSERT INTO skill_trees VALUES (23,30,10,'Backstab',25000,49);
INSERT INTO skill_trees VALUES (23,30,11,'Backstab',25000,49);
INSERT INTO skill_trees VALUES (23,30,12,'Backstab',25000,49);
INSERT INTO skill_trees VALUES (23,30,13,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (23,30,14,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (23,30,15,'Backstab',38000,52);
INSERT INTO skill_trees VALUES (23,30,16,'Backstab',52000,55);
INSERT INTO skill_trees VALUES (23,30,17,'Backstab',52000,55);
INSERT INTO skill_trees VALUES (23,30,18,'Backstab',52000,55);
INSERT INTO skill_trees VALUES (23,30,19,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (23,30,20,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (23,30,21,'Backstab',67000,58);
INSERT INTO skill_trees VALUES (23,30,22,'Backstab',130000,60);
INSERT INTO skill_trees VALUES (23,30,23,'Backstab',130000,60);
INSERT INTO skill_trees VALUES (23,30,24,'Backstab',180000,62);
INSERT INTO skill_trees VALUES (23,30,25,'Backstab',180000,62);
INSERT INTO skill_trees VALUES (23,30,26,'Backstab',240000,64);
INSERT INTO skill_trees VALUES (23,30,27,'Backstab',240000,64);
INSERT INTO skill_trees VALUES (23,30,28,'Backstab',320000,66);
INSERT INTO skill_trees VALUES (23,30,29,'Backstab',320000,66);
INSERT INTO skill_trees VALUES (23,30,30,'Backstab',330000,68);
INSERT INTO skill_trees VALUES (23,30,31,'Backstab',330000,68);
INSERT INTO skill_trees VALUES (23,30,32,'Backstab',420000,70);
INSERT INTO skill_trees VALUES (23,30,33,'Backstab',420000,70);
INSERT INTO skill_trees VALUES (23,30,34,'Backstab',680000,72);
INSERT INTO skill_trees VALUES (23,30,35,'Backstab',680000,72);
INSERT INTO skill_trees VALUES (23,30,36,'Backstab',1000000,74);
INSERT INTO skill_trees VALUES (23,30,37,'Backstab',1000000,74);
INSERT INTO skill_trees VALUES (23,51,1,'Lure',120000,52);
INSERT INTO skill_trees VALUES (23,58,19,'Elemental Heal',9000,40);
INSERT INTO skill_trees VALUES (23,58,20,'Elemental Heal',9000,40);
INSERT INTO skill_trees VALUES (23,58,21,'Elemental Heal',9000,40);
INSERT INTO skill_trees VALUES (23,58,22,'Elemental Heal',12000,43);
INSERT INTO skill_trees VALUES (23,58,23,'Elemental Heal',12000,43);
INSERT INTO skill_trees VALUES (23,58,24,'Elemental Heal',12000,43);
INSERT INTO skill_trees VALUES (23,58,25,'Elemental Heal',14000,46);
INSERT INTO skill_trees VALUES (23,58,26,'Elemental Heal',14000,46);
INSERT INTO skill_trees VALUES (23,58,27,'Elemental Heal',14000,46);
INSERT INTO skill_trees VALUES (23,58,28,'Elemental Heal',25000,49);
INSERT INTO skill_trees VALUES (23,58,29,'Elemental Heal',25000,49);
INSERT INTO skill_trees VALUES (23,58,30,'Elemental Heal',25000,49);
INSERT INTO skill_trees VALUES (23,58,31,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (23,58,32,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (23,58,33,'Elemental Heal',38000,52);
INSERT INTO skill_trees VALUES (23,58,34,'Elemental Heal',52000,55);
INSERT INTO skill_trees VALUES (23,58,35,'Elemental Heal',52000,55);
INSERT INTO skill_trees VALUES (23,58,36,'Elemental Heal',52000,55);
INSERT INTO skill_trees VALUES (23,58,37,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (23,58,38,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (23,58,39,'Elemental Heal',67000,58);
INSERT INTO skill_trees VALUES (23,58,40,'Elemental Heal',130000,60);
INSERT INTO skill_trees VALUES (23,58,41,'Elemental Heal',130000,60);
INSERT INTO skill_trees VALUES (23,58,42,'Elemental Heal',180000,62);
INSERT INTO skill_trees VALUES (23,58,43,'Elemental Heal',180000,62);
INSERT INTO skill_trees VALUES (23,58,44,'Elemental Heal',240000,64);
INSERT INTO skill_trees VALUES (23,58,45,'Elemental Heal',240000,64);
INSERT INTO skill_trees VALUES (23,58,46,'Elemental Heal',320000,66);
INSERT INTO skill_trees VALUES (23,58,47,'Elemental Heal',320000,66);
INSERT INTO skill_trees VALUES (23,58,48,'Elemental Heal',330000,68);
INSERT INTO skill_trees VALUES (23,58,49,'Elemental Heal',330000,68);
INSERT INTO skill_trees VALUES (23,58,50,'Elemental Heal',420000,70);
INSERT INTO skill_trees VALUES (23,58,51,'Elemental Heal',420000,70);
INSERT INTO skill_trees VALUES (23,58,52,'Elemental Heal',680000,72);
INSERT INTO skill_trees VALUES (23,58,53,'Elemental Heal',680000,72);
INSERT INTO skill_trees VALUES (23,58,54,'Elemental Heal',1000000,74);
INSERT INTO skill_trees VALUES (23,58,55,'Elemental Heal',1000000,74);
INSERT INTO skill_trees VALUES (23,60,1,'Fake Death',28000,40);
INSERT INTO skill_trees VALUES (23,61,2,'Cure Bleeding',43000,46);
INSERT INTO skill_trees VALUES (23,61,3,'Cure Bleeding',370000,62);
INSERT INTO skill_trees VALUES (23,96,3,'Bleed',75000,49);
INSERT INTO skill_trees VALUES (23,96,4,'Bleed',200000,58);
INSERT INTO skill_trees VALUES (23,96,5,'Bleed',640000,66);
INSERT INTO skill_trees VALUES (23,96,6,'Bleed',850000,70);
INSERT INTO skill_trees VALUES (23,102,2,'Entangle',28000,40);
INSERT INTO skill_trees VALUES (23,102,3,'Entangle',35000,43);
INSERT INTO skill_trees VALUES (23,102,4,'Entangle',43000,46);
INSERT INTO skill_trees VALUES (23,102,5,'Entangle',75000,49);
INSERT INTO skill_trees VALUES (23,102,6,'Entangle',120000,52);
INSERT INTO skill_trees VALUES (23,102,7,'Entangle',160000,55);
INSERT INTO skill_trees VALUES (23,102,8,'Entangle',200000,58);
INSERT INTO skill_trees VALUES (23,102,9,'Entangle',260000,60);
INSERT INTO skill_trees VALUES (23,102,10,'Entangle',370000,62);
INSERT INTO skill_trees VALUES (23,102,11,'Entangle',480000,64);
INSERT INTO skill_trees VALUES (23,102,12,'Entangle',640000,66);
INSERT INTO skill_trees VALUES (23,102,13,'Entangle',650000,68);
INSERT INTO skill_trees VALUES (23,102,14,'Entangle',850000,70);
INSERT INTO skill_trees VALUES (23,102,15,'Entangle',1400000,72);
INSERT INTO skill_trees VALUES (23,102,16,'Entangle',2100000,74);
INSERT INTO skill_trees VALUES (23,111,2,'Ultimate Evasion',160000,55);
INSERT INTO skill_trees VALUES (23,123,1,'Spirit Barrier',28000,40);
INSERT INTO skill_trees VALUES (23,123,2,'Spirit Barrier',75000,49);
INSERT INTO skill_trees VALUES (23,123,3,'Spirit Barrier',200000,58);
INSERT INTO skill_trees VALUES (23,137,2,'Critical Chance',28000,40);
INSERT INTO skill_trees VALUES (23,137,3,'Critical Chance',75000,49);
INSERT INTO skill_trees VALUES (23,169,2,'Quick Step',35000,43);
INSERT INTO skill_trees VALUES (23,171,2,'Esprit',35000,43);
INSERT INTO skill_trees VALUES (23,171,3,'Esprit',43000,46);
INSERT INTO skill_trees VALUES (23,171,4,'Esprit',75000,49);
INSERT INTO skill_trees VALUES (23,171,5,'Esprit',120000,52);
INSERT INTO skill_trees VALUES (23,171,6,'Esprit',370000,62);
INSERT INTO skill_trees VALUES (23,171,7,'Esprit',650000,68);
INSERT INTO skill_trees VALUES (23,171,8,'Esprit',2100000,74);
INSERT INTO skill_trees VALUES (23,173,2,'Acrobat',160000,55);
INSERT INTO skill_trees VALUES (23,195,2,'Boost Breath',160000,55);
INSERT INTO skill_trees VALUES (23,198,2,'Boost Evasion',43000,46);
INSERT INTO skill_trees VALUES (23,198,3,'Boost Evasion',200000,58);
INSERT INTO skill_trees VALUES (23,209,9,'Dagger Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,209,10,'Dagger Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,209,11,'Dagger Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,209,12,'Dagger Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,209,13,'Dagger Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,209,14,'Dagger Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,209,15,'Dagger Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,209,16,'Dagger Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,209,17,'Dagger Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,209,18,'Dagger Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,209,19,'Dagger Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,209,20,'Dagger Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,209,21,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,209,22,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,209,23,'Dagger Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,209,24,'Dagger Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,209,25,'Dagger Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,209,26,'Dagger Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,209,27,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,209,28,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,209,29,'Dagger Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,209,30,'Dagger Mastery',130000,60);
INSERT INTO skill_trees VALUES (23,209,31,'Dagger Mastery',130000,60);
INSERT INTO skill_trees VALUES (23,209,32,'Dagger Mastery',180000,62);
INSERT INTO skill_trees VALUES (23,209,33,'Dagger Mastery',180000,62);
INSERT INTO skill_trees VALUES (23,209,34,'Dagger Mastery',240000,64);
INSERT INTO skill_trees VALUES (23,209,35,'Dagger Mastery',240000,64);
INSERT INTO skill_trees VALUES (23,209,36,'Dagger Mastery',320000,66);
INSERT INTO skill_trees VALUES (23,209,37,'Dagger Mastery',320000,66);
INSERT INTO skill_trees VALUES (23,209,38,'Dagger Mastery',330000,68);
INSERT INTO skill_trees VALUES (23,209,39,'Dagger Mastery',330000,68);
INSERT INTO skill_trees VALUES (23,209,40,'Dagger Mastery',420000,70);
INSERT INTO skill_trees VALUES (23,209,41,'Dagger Mastery',420000,70);
INSERT INTO skill_trees VALUES (23,209,42,'Dagger Mastery',680000,72);
INSERT INTO skill_trees VALUES (23,209,43,'Dagger Mastery',680000,72);
INSERT INTO skill_trees VALUES (23,209,44,'Dagger Mastery',1000000,74);
INSERT INTO skill_trees VALUES (23,209,45,'Dagger Mastery',1000000,74);
INSERT INTO skill_trees VALUES (23,221,1,'Silent Move',28000,40);
INSERT INTO skill_trees VALUES (23,225,2,'Acrobatic Move',35000,43);
INSERT INTO skill_trees VALUES (23,225,3,'Acrobatic Move',160000,55);
INSERT INTO skill_trees VALUES (23,230,2,'Sprint',120000,52);
INSERT INTO skill_trees VALUES (23,233,11,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,233,12,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,233,13,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (23,233,14,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,233,15,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,233,16,'Light Armor Mastery',12000,43);
INSERT INTO skill_trees VALUES (23,233,17,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,233,18,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,233,19,'Light Armor Mastery',14000,46);
INSERT INTO skill_trees VALUES (23,233,20,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,233,21,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,233,22,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (23,233,23,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,233,24,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,233,25,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (23,233,26,'Light Armor Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,233,27,'Light Armor Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,233,28,'Light Armor Mastery',52000,55);
INSERT INTO skill_trees VALUES (23,233,29,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,233,30,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,233,31,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (23,233,32,'Light Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (23,233,33,'Light Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (23,233,34,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (23,233,35,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (23,233,36,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (23,233,37,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (23,233,38,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (23,233,39,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (23,233,40,'Light Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (23,233,41,'Light Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (23,233,42,'Light Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (23,233,43,'Light Armor Mastery',420000,70);
INSERT INTO skill_trees VALUES (23,233,44,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (23,233,45,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (23,233,46,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (23,233,47,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (23,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (23,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (23,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (23,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (23,263,1,'Deadly Blow',9000,40);
INSERT INTO skill_trees VALUES (23,263,2,'Deadly Blow',9000,40);
INSERT INTO skill_trees VALUES (23,263,3,'Deadly Blow',9000,40);
INSERT INTO skill_trees VALUES (23,263,4,'Deadly Blow',12000,43);
INSERT INTO skill_trees VALUES (23,263,5,'Deadly Blow',12000,43);
INSERT INTO skill_trees VALUES (23,263,6,'Deadly Blow',12000,43);
INSERT INTO skill_trees VALUES (23,263,7,'Deadly Blow',14000,46);
INSERT INTO skill_trees VALUES (23,263,8,'Deadly Blow',14000,46);
INSERT INTO skill_trees VALUES (23,263,9,'Deadly Blow',14000,46);
INSERT INTO skill_trees VALUES (23,263,10,'Deadly Blow',25000,49);
INSERT INTO skill_trees VALUES (23,263,11,'Deadly Blow',25000,49);
INSERT INTO skill_trees VALUES (23,263,12,'Deadly Blow',25000,49);
INSERT INTO skill_trees VALUES (23,263,13,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (23,263,14,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (23,263,15,'Deadly Blow',38000,52);
INSERT INTO skill_trees VALUES (23,263,16,'Deadly Blow',52000,55);
INSERT INTO skill_trees VALUES (23,263,17,'Deadly Blow',52000,55);
INSERT INTO skill_trees VALUES (23,263,18,'Deadly Blow',52000,55);
INSERT INTO skill_trees VALUES (23,263,19,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (23,263,20,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (23,263,21,'Deadly Blow',67000,58);
INSERT INTO skill_trees VALUES (23,263,22,'Deadly Blow',130000,60);
INSERT INTO skill_trees VALUES (23,263,23,'Deadly Blow',130000,60);
INSERT INTO skill_trees VALUES (23,263,24,'Deadly Blow',180000,62);
INSERT INTO skill_trees VALUES (23,263,25,'Deadly Blow',180000,62);
INSERT INTO skill_trees VALUES (23,263,26,'Deadly Blow',240000,64);
INSERT INTO skill_trees VALUES (23,263,27,'Deadly Blow',240000,64);
INSERT INTO skill_trees VALUES (23,263,28,'Deadly Blow',320000,66);
INSERT INTO skill_trees VALUES (23,263,29,'Deadly Blow',320000,66);
INSERT INTO skill_trees VALUES (23,263,30,'Deadly Blow',330000,68);
INSERT INTO skill_trees VALUES (23,263,31,'Deadly Blow',330000,68);
INSERT INTO skill_trees VALUES (23,263,32,'Deadly Blow',420000,70);
INSERT INTO skill_trees VALUES (23,263,33,'Deadly Blow',420000,70);
INSERT INTO skill_trees VALUES (23,263,34,'Deadly Blow',680000,72);
INSERT INTO skill_trees VALUES (23,263,35,'Deadly Blow',680000,72);
INSERT INTO skill_trees VALUES (23,263,36,'Deadly Blow',1000000,74);
INSERT INTO skill_trees VALUES (23,263,37,'Deadly Blow',1000000,74);
INSERT INTO skill_trees VALUES (23,296,1,'Rest of Chameleon',43000,46);
INSERT INTO skill_trees VALUES (23,312,6,'Vicious Stance',28000,40);
INSERT INTO skill_trees VALUES (23,312,7,'Vicious Stance',35000,43);
INSERT INTO skill_trees VALUES (23,312,8,'Vicious Stance',43000,46);
INSERT INTO skill_trees VALUES (23,312,9,'Vicious Stance',75000,49);
INSERT INTO skill_trees VALUES (23,312,10,'Vicious Stance',120000,52);
INSERT INTO skill_trees VALUES (23,312,11,'Vicious Stance',160000,55);
INSERT INTO skill_trees VALUES (23,312,12,'Vicious Stance',200000,58);
INSERT INTO skill_trees VALUES (23,312,13,'Vicious Stance',260000,60);
INSERT INTO skill_trees VALUES (23,312,14,'Vicious Stance',370000,62);
INSERT INTO skill_trees VALUES (23,312,15,'Vicious Stance',480000,64);
INSERT INTO skill_trees VALUES (23,312,16,'Vicious Stance',640000,66);
INSERT INTO skill_trees VALUES (23,312,17,'Vicious Stance',650000,68);
INSERT INTO skill_trees VALUES (23,312,18,'Vicious Stance',850000,70);
INSERT INTO skill_trees VALUES (23,312,19,'Vicious Stance',1400000,72);
INSERT INTO skill_trees VALUES (23,312,20,'Vicious Stance',2100000,74);
INSERT INTO skill_trees VALUES (23,321,1,'Blinding Blow',320000,66);
INSERT INTO skill_trees VALUES (23,321,2,'Blinding Blow',320000,66);
INSERT INTO skill_trees VALUES (23,321,3,'Blinding Blow',330000,68);
INSERT INTO skill_trees VALUES (23,321,4,'Blinding Blow',330000,68);
INSERT INTO skill_trees VALUES (23,321,5,'Blinding Blow',420000,70);
INSERT INTO skill_trees VALUES (23,321,6,'Blinding Blow',420000,70);
INSERT INTO skill_trees VALUES (23,321,7,'Blinding Blow',680000,72);
INSERT INTO skill_trees VALUES (23,321,8,'Blinding Blow',680000,72);
INSERT INTO skill_trees VALUES (23,321,9,'Blinding Blow',1000000,74);
INSERT INTO skill_trees VALUES (23,321,10,'Blinding Blow',1000000,74);
INSERT INTO skill_trees VALUES (24,15,16,'Charm',12000,40);
INSERT INTO skill_trees VALUES (24,15,17,'Charm',12000,40);
INSERT INTO skill_trees VALUES (24,15,18,'Charm',12000,40);
INSERT INTO skill_trees VALUES (24,15,19,'Charm',14000,43);
INSERT INTO skill_trees VALUES (24,15,20,'Charm',14000,43);
INSERT INTO skill_trees VALUES (24,15,21,'Charm',14000,43);
INSERT INTO skill_trees VALUES (24,15,22,'Charm',17000,46);
INSERT INTO skill_trees VALUES (24,15,23,'Charm',17000,46);
INSERT INTO skill_trees VALUES (24,15,24,'Charm',17000,46);
INSERT INTO skill_trees VALUES (24,15,25,'Charm',30000,49);
INSERT INTO skill_trees VALUES (24,15,26,'Charm',30000,49);
INSERT INTO skill_trees VALUES (24,15,27,'Charm',30000,49);
INSERT INTO skill_trees VALUES (24,15,28,'Charm',45000,52);
INSERT INTO skill_trees VALUES (24,15,29,'Charm',45000,52);
INSERT INTO skill_trees VALUES (24,15,30,'Charm',45000,52);
INSERT INTO skill_trees VALUES (24,15,31,'Charm',67000,55);
INSERT INTO skill_trees VALUES (24,15,32,'Charm',67000,55);
INSERT INTO skill_trees VALUES (24,15,33,'Charm',67000,55);
INSERT INTO skill_trees VALUES (24,15,34,'Charm',73000,58);
INSERT INTO skill_trees VALUES (24,15,35,'Charm',73000,58);
INSERT INTO skill_trees VALUES (24,15,36,'Charm',73000,58);
INSERT INTO skill_trees VALUES (24,15,37,'Charm',150000,60);
INSERT INTO skill_trees VALUES (24,15,38,'Charm',150000,60);
INSERT INTO skill_trees VALUES (24,15,39,'Charm',180000,62);
INSERT INTO skill_trees VALUES (24,15,40,'Charm',180000,62);
INSERT INTO skill_trees VALUES (24,15,41,'Charm',240000,64);
INSERT INTO skill_trees VALUES (24,15,42,'Charm',240000,64);
INSERT INTO skill_trees VALUES (24,15,43,'Charm',350000,66);
INSERT INTO skill_trees VALUES (24,15,44,'Charm',350000,66);
INSERT INTO skill_trees VALUES (24,15,45,'Charm',390000,68);
INSERT INTO skill_trees VALUES (24,15,46,'Charm',390000,68);
INSERT INTO skill_trees VALUES (24,15,47,'Charm',470000,70);
INSERT INTO skill_trees VALUES (24,15,48,'Charm',470000,70);
INSERT INTO skill_trees VALUES (24,15,49,'Charm',750000,72);
INSERT INTO skill_trees VALUES (24,15,50,'Charm',750000,72);
INSERT INTO skill_trees VALUES (24,15,51,'Charm',1200000,74);
INSERT INTO skill_trees VALUES (24,15,52,'Charm',1200000,74);
INSERT INTO skill_trees VALUES (24,19,1,'Double Shot',12000,40);
INSERT INTO skill_trees VALUES (24,19,2,'Double Shot',12000,40);
INSERT INTO skill_trees VALUES (24,19,3,'Double Shot',12000,40);
INSERT INTO skill_trees VALUES (24,19,4,'Double Shot',14000,43);
INSERT INTO skill_trees VALUES (24,19,5,'Double Shot',14000,43);
INSERT INTO skill_trees VALUES (24,19,6,'Double Shot',14000,43);
INSERT INTO skill_trees VALUES (24,19,7,'Double Shot',17000,46);
INSERT INTO skill_trees VALUES (24,19,8,'Double Shot',17000,46);
INSERT INTO skill_trees VALUES (24,19,9,'Double Shot',17000,46);
INSERT INTO skill_trees VALUES (24,19,10,'Double Shot',30000,49);
INSERT INTO skill_trees VALUES (24,19,11,'Double Shot',30000,49);
INSERT INTO skill_trees VALUES (24,19,12,'Double Shot',30000,49);
INSERT INTO skill_trees VALUES (24,19,13,'Double Shot',45000,52);
INSERT INTO skill_trees VALUES (24,19,14,'Double Shot',45000,52);
INSERT INTO skill_trees VALUES (24,19,15,'Double Shot',45000,52);
INSERT INTO skill_trees VALUES (24,19,16,'Double Shot',67000,55);
INSERT INTO skill_trees VALUES (24,19,17,'Double Shot',67000,55);
INSERT INTO skill_trees VALUES (24,19,18,'Double Shot',67000,55);
INSERT INTO skill_trees VALUES (24,19,19,'Double Shot',73000,58);
INSERT INTO skill_trees VALUES (24,19,20,'Double Shot',73000,58);
INSERT INTO skill_trees VALUES (24,19,21,'Double Shot',73000,58);
INSERT INTO skill_trees VALUES (24,19,22,'Double Shot',150000,60);
INSERT INTO skill_trees VALUES (24,19,23,'Double Shot',150000,60);
INSERT INTO skill_trees VALUES (24,19,24,'Double Shot',180000,62);
INSERT INTO skill_trees VALUES (24,19,25,'Double Shot',180000,62);
INSERT INTO skill_trees VALUES (24,19,26,'Double Shot',240000,64);
INSERT INTO skill_trees VALUES (24,19,27,'Double Shot',240000,64);
INSERT INTO skill_trees VALUES (24,19,28,'Double Shot',350000,66);
INSERT INTO skill_trees VALUES (24,19,29,'Double Shot',350000,66);
INSERT INTO skill_trees VALUES (24,19,30,'Double Shot',390000,68);
INSERT INTO skill_trees VALUES (24,19,31,'Double Shot',390000,68);
INSERT INTO skill_trees VALUES (24,19,32,'Double Shot',470000,70);
INSERT INTO skill_trees VALUES (24,19,33,'Double Shot',470000,70);
INSERT INTO skill_trees VALUES (24,19,34,'Double Shot',750000,72);
INSERT INTO skill_trees VALUES (24,19,35,'Double Shot',750000,72);
INSERT INTO skill_trees VALUES (24,19,36,'Double Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,19,37,'Double Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,21,2,'Poison Recovery',35000,40);
INSERT INTO skill_trees VALUES (24,21,3,'Poison Recovery',290000,60);
INSERT INTO skill_trees VALUES (24,24,1,'Burst Shot',17000,46);
INSERT INTO skill_trees VALUES (24,24,2,'Burst Shot',17000,46);
INSERT INTO skill_trees VALUES (24,24,3,'Burst Shot',17000,46);
INSERT INTO skill_trees VALUES (24,24,4,'Burst Shot',30000,49);
INSERT INTO skill_trees VALUES (24,24,5,'Burst Shot',30000,49);
INSERT INTO skill_trees VALUES (24,24,6,'Burst Shot',30000,49);
INSERT INTO skill_trees VALUES (24,24,7,'Burst Shot',45000,52);
INSERT INTO skill_trees VALUES (24,24,8,'Burst Shot',45000,52);
INSERT INTO skill_trees VALUES (24,24,9,'Burst Shot',45000,52);
INSERT INTO skill_trees VALUES (24,24,10,'Burst Shot',67000,55);
INSERT INTO skill_trees VALUES (24,24,11,'Burst Shot',67000,55);
INSERT INTO skill_trees VALUES (24,24,12,'Burst Shot',67000,55);
INSERT INTO skill_trees VALUES (24,24,13,'Burst Shot',73000,58);
INSERT INTO skill_trees VALUES (24,24,14,'Burst Shot',73000,58);
INSERT INTO skill_trees VALUES (24,24,15,'Burst Shot',73000,58);
INSERT INTO skill_trees VALUES (24,24,16,'Burst Shot',150000,60);
INSERT INTO skill_trees VALUES (24,24,17,'Burst Shot',150000,60);
INSERT INTO skill_trees VALUES (24,24,18,'Burst Shot',180000,62);
INSERT INTO skill_trees VALUES (24,24,19,'Burst Shot',180000,62);
INSERT INTO skill_trees VALUES (24,24,20,'Burst Shot',240000,64);
INSERT INTO skill_trees VALUES (24,24,21,'Burst Shot',240000,64);
INSERT INTO skill_trees VALUES (24,24,22,'Burst Shot',350000,66);
INSERT INTO skill_trees VALUES (24,24,23,'Burst Shot',350000,66);
INSERT INTO skill_trees VALUES (24,24,24,'Burst Shot',390000,68);
INSERT INTO skill_trees VALUES (24,24,25,'Burst Shot',390000,68);
INSERT INTO skill_trees VALUES (24,24,26,'Burst Shot',470000,70);
INSERT INTO skill_trees VALUES (24,24,27,'Burst Shot',470000,70);
INSERT INTO skill_trees VALUES (24,24,28,'Burst Shot',750000,72);
INSERT INTO skill_trees VALUES (24,24,29,'Burst Shot',750000,72);
INSERT INTO skill_trees VALUES (24,24,30,'Burst Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,24,31,'Burst Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,58,19,'Elemental Heal',12000,40);
INSERT INTO skill_trees VALUES (24,58,20,'Elemental Heal',12000,40);
INSERT INTO skill_trees VALUES (24,58,21,'Elemental Heal',12000,40);
INSERT INTO skill_trees VALUES (24,58,22,'Elemental Heal',14000,43);
INSERT INTO skill_trees VALUES (24,58,23,'Elemental Heal',14000,43);
INSERT INTO skill_trees VALUES (24,58,24,'Elemental Heal',14000,43);
INSERT INTO skill_trees VALUES (24,58,25,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (24,58,26,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (24,58,27,'Elemental Heal',17000,46);
INSERT INTO skill_trees VALUES (24,58,28,'Elemental Heal',30000,49);
INSERT INTO skill_trees VALUES (24,58,29,'Elemental Heal',30000,49);
INSERT INTO skill_trees VALUES (24,58,30,'Elemental Heal',30000,49);
INSERT INTO skill_trees VALUES (24,58,31,'Elemental Heal',45000,52);
INSERT INTO skill_trees VALUES (24,58,32,'Elemental Heal',45000,52);
INSERT INTO skill_trees VALUES (24,58,33,'Elemental Heal',45000,52);
INSERT INTO skill_trees VALUES (24,58,34,'Elemental Heal',67000,55);
INSERT INTO skill_trees VALUES (24,58,35,'Elemental Heal',67000,55);
INSERT INTO skill_trees VALUES (24,58,36,'Elemental Heal',67000,55);
INSERT INTO skill_trees VALUES (24,58,37,'Elemental Heal',73000,58);
INSERT INTO skill_trees VALUES (24,58,38,'Elemental Heal',73000,58);
INSERT INTO skill_trees VALUES (24,58,39,'Elemental Heal',73000,58);
INSERT INTO skill_trees VALUES (24,58,40,'Elemental Heal',150000,60);
INSERT INTO skill_trees VALUES (24,58,41,'Elemental Heal',150000,60);
INSERT INTO skill_trees VALUES (24,58,42,'Elemental Heal',180000,62);
INSERT INTO skill_trees VALUES (24,58,43,'Elemental Heal',180000,62);
INSERT INTO skill_trees VALUES (24,58,44,'Elemental Heal',240000,64);
INSERT INTO skill_trees VALUES (24,58,45,'Elemental Heal',240000,64);
INSERT INTO skill_trees VALUES (24,58,46,'Elemental Heal',350000,66);
INSERT INTO skill_trees VALUES (24,58,47,'Elemental Heal',350000,66);
INSERT INTO skill_trees VALUES (24,58,48,'Elemental Heal',390000,68);
INSERT INTO skill_trees VALUES (24,58,49,'Elemental Heal',390000,68);
INSERT INTO skill_trees VALUES (24,58,50,'Elemental Heal',470000,70);
INSERT INTO skill_trees VALUES (24,58,51,'Elemental Heal',470000,70);
INSERT INTO skill_trees VALUES (24,58,52,'Elemental Heal',750000,72);
INSERT INTO skill_trees VALUES (24,58,53,'Elemental Heal',750000,72);
INSERT INTO skill_trees VALUES (24,58,54,'Elemental Heal',1200000,74);
INSERT INTO skill_trees VALUES (24,58,55,'Elemental Heal',1200000,74);
INSERT INTO skill_trees VALUES (24,61,2,'Cure Bleeding',50000,46);
INSERT INTO skill_trees VALUES (24,61,3,'Cure Bleeding',360000,62);
INSERT INTO skill_trees VALUES (24,99,2,'Rapid Shot',200000,55);
INSERT INTO skill_trees VALUES (24,101,4,'Stun Shot',12000,40);
INSERT INTO skill_trees VALUES (24,101,5,'Stun Shot',12000,40);
INSERT INTO skill_trees VALUES (24,101,6,'Stun Shot',12000,40);
INSERT INTO skill_trees VALUES (24,101,7,'Stun Shot',14000,43);
INSERT INTO skill_trees VALUES (24,101,8,'Stun Shot',14000,43);
INSERT INTO skill_trees VALUES (24,101,9,'Stun Shot',14000,43);
INSERT INTO skill_trees VALUES (24,101,10,'Stun Shot',17000,46);
INSERT INTO skill_trees VALUES (24,101,11,'Stun Shot',17000,46);
INSERT INTO skill_trees VALUES (24,101,12,'Stun Shot',17000,46);
INSERT INTO skill_trees VALUES (24,101,13,'Stun Shot',30000,49);
INSERT INTO skill_trees VALUES (24,101,14,'Stun Shot',30000,49);
INSERT INTO skill_trees VALUES (24,101,15,'Stun Shot',30000,49);
INSERT INTO skill_trees VALUES (24,101,16,'Stun Shot',45000,52);
INSERT INTO skill_trees VALUES (24,101,17,'Stun Shot',45000,52);
INSERT INTO skill_trees VALUES (24,101,18,'Stun Shot',45000,52);
INSERT INTO skill_trees VALUES (24,101,19,'Stun Shot',67000,55);
INSERT INTO skill_trees VALUES (24,101,20,'Stun Shot',67000,55);
INSERT INTO skill_trees VALUES (24,101,21,'Stun Shot',67000,55);
INSERT INTO skill_trees VALUES (24,101,22,'Stun Shot',73000,58);
INSERT INTO skill_trees VALUES (24,101,23,'Stun Shot',73000,58);
INSERT INTO skill_trees VALUES (24,101,24,'Stun Shot',73000,58);
INSERT INTO skill_trees VALUES (24,101,25,'Stun Shot',150000,60);
INSERT INTO skill_trees VALUES (24,101,26,'Stun Shot',150000,60);
INSERT INTO skill_trees VALUES (24,101,27,'Stun Shot',180000,62);
INSERT INTO skill_trees VALUES (24,101,28,'Stun Shot',180000,62);
INSERT INTO skill_trees VALUES (24,101,29,'Stun Shot',240000,64);
INSERT INTO skill_trees VALUES (24,101,30,'Stun Shot',240000,64);
INSERT INTO skill_trees VALUES (24,101,31,'Stun Shot',350000,66);
INSERT INTO skill_trees VALUES (24,101,32,'Stun Shot',350000,66);
INSERT INTO skill_trees VALUES (24,101,33,'Stun Shot',390000,68);
INSERT INTO skill_trees VALUES (24,101,34,'Stun Shot',390000,68);
INSERT INTO skill_trees VALUES (24,101,35,'Stun Shot',470000,70);
INSERT INTO skill_trees VALUES (24,101,36,'Stun Shot',470000,70);
INSERT INTO skill_trees VALUES (24,101,37,'Stun Shot',750000,72);
INSERT INTO skill_trees VALUES (24,101,38,'Stun Shot',750000,72);
INSERT INTO skill_trees VALUES (24,101,39,'Stun Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,101,40,'Stun Shot',1200000,74);
INSERT INTO skill_trees VALUES (24,102,2,'Entangle',35000,40);
INSERT INTO skill_trees VALUES (24,102,3,'Entangle',41000,43);
INSERT INTO skill_trees VALUES (24,102,4,'Entangle',50000,46);
INSERT INTO skill_trees VALUES (24,102,5,'Entangle',89000,49);
INSERT INTO skill_trees VALUES (24,102,6,'Entangle',140000,52);
INSERT INTO skill_trees VALUES (24,102,7,'Entangle',200000,55);
INSERT INTO skill_trees VALUES (24,102,8,'Entangle',210000,58);
INSERT INTO skill_trees VALUES (24,102,9,'Entangle',290000,60);
INSERT INTO skill_trees VALUES (24,102,10,'Entangle',360000,62);
INSERT INTO skill_trees VALUES (24,102,11,'Entangle',480000,64);
INSERT INTO skill_trees VALUES (24,102,12,'Entangle',700000,66);
INSERT INTO skill_trees VALUES (24,102,13,'Entangle',780000,68);
INSERT INTO skill_trees VALUES (24,102,14,'Entangle',930000,70);
INSERT INTO skill_trees VALUES (24,102,15,'Entangle',1500000,72);
INSERT INTO skill_trees VALUES (24,102,16,'Entangle',2300000,74);
INSERT INTO skill_trees VALUES (24,113,2,'Long Shot',35000,40);
INSERT INTO skill_trees VALUES (24,123,1,'Spirit Barrier',35000,40);
INSERT INTO skill_trees VALUES (24,123,2,'Spirit Barrier',89000,49);
INSERT INTO skill_trees VALUES (24,123,3,'Spirit Barrier',210000,58);
INSERT INTO skill_trees VALUES (24,169,2,'Quick Step',41000,43);
INSERT INTO skill_trees VALUES (24,171,2,'Esprit',41000,43);
INSERT INTO skill_trees VALUES (24,171,3,'Esprit',50000,46);
INSERT INTO skill_trees VALUES (24,171,4,'Esprit',89000,49);
INSERT INTO skill_trees VALUES (24,171,5,'Esprit',140000,52);
INSERT INTO skill_trees VALUES (24,171,6,'Esprit',360000,62);
INSERT INTO skill_trees VALUES (24,171,7,'Esprit',780000,68);
INSERT INTO skill_trees VALUES (24,171,8,'Esprit',2300000,74);
INSERT INTO skill_trees VALUES (24,208,16,'Bow Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,208,17,'Bow Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,208,18,'Bow Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,208,19,'Bow Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,208,20,'Bow Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,208,21,'Bow Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,208,22,'Bow Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,208,23,'Bow Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,208,24,'Bow Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,208,25,'Bow Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,208,26,'Bow Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,208,27,'Bow Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,208,28,'Bow Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,208,29,'Bow Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,208,30,'Bow Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,208,31,'Bow Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,208,32,'Bow Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,208,33,'Bow Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,208,34,'Bow Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,208,35,'Bow Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,208,36,'Bow Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,208,37,'Bow Mastery',150000,60);
INSERT INTO skill_trees VALUES (24,208,38,'Bow Mastery',150000,60);
INSERT INTO skill_trees VALUES (24,208,39,'Bow Mastery',180000,62);
INSERT INTO skill_trees VALUES (24,208,40,'Bow Mastery',180000,62);
INSERT INTO skill_trees VALUES (24,208,41,'Bow Mastery',240000,64);
INSERT INTO skill_trees VALUES (24,208,42,'Bow Mastery',240000,64);
INSERT INTO skill_trees VALUES (24,208,43,'Bow Mastery',350000,66);
INSERT INTO skill_trees VALUES (24,208,44,'Bow Mastery',350000,66);
INSERT INTO skill_trees VALUES (24,208,45,'Bow Mastery',390000,68);
INSERT INTO skill_trees VALUES (24,208,46,'Bow Mastery',390000,68);
INSERT INTO skill_trees VALUES (24,208,47,'Bow Mastery',470000,70);
INSERT INTO skill_trees VALUES (24,208,48,'Bow Mastery',470000,70);
INSERT INTO skill_trees VALUES (24,208,49,'Bow Mastery',750000,72);
INSERT INTO skill_trees VALUES (24,208,50,'Bow Mastery',750000,72);
INSERT INTO skill_trees VALUES (24,208,51,'Bow Mastery',1200000,74);
INSERT INTO skill_trees VALUES (24,208,52,'Bow Mastery',1200000,74);
INSERT INTO skill_trees VALUES (24,225,2,'Acrobatic Move',41000,43);
INSERT INTO skill_trees VALUES (24,225,3,'Acrobatic Move',200000,55);
INSERT INTO skill_trees VALUES (24,230,2,'Sprint',140000,52);
INSERT INTO skill_trees VALUES (24,233,11,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,233,12,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,233,13,'Light Armor Mastery',12000,40);
INSERT INTO skill_trees VALUES (24,233,14,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,233,15,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,233,16,'Light Armor Mastery',14000,43);
INSERT INTO skill_trees VALUES (24,233,17,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,233,18,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,233,19,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (24,233,20,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,233,21,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,233,22,'Light Armor Mastery',30000,49);
INSERT INTO skill_trees VALUES (24,233,23,'Light Armor Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,233,24,'Light Armor Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,233,25,'Light Armor Mastery',45000,52);
INSERT INTO skill_trees VALUES (24,233,26,'Light Armor Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,233,27,'Light Armor Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,233,28,'Light Armor Mastery',67000,55);
INSERT INTO skill_trees VALUES (24,233,29,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,233,30,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,233,31,'Light Armor Mastery',73000,58);
INSERT INTO skill_trees VALUES (24,233,32,'Light Armor Mastery',150000,60);
INSERT INTO skill_trees VALUES (24,233,33,'Light Armor Mastery',150000,60);
INSERT INTO skill_trees VALUES (24,233,34,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (24,233,35,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (24,233,36,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (24,233,37,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (24,233,38,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (24,233,39,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (24,233,40,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (24,233,41,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (24,233,42,'Light Armor Mastery',470000,70);
INSERT INTO skill_trees VALUES (24,233,43,'Light Armor Mastery',470000,70);
INSERT INTO skill_trees VALUES (24,233,44,'Light Armor Mastery',750000,72);
INSERT INTO skill_trees VALUES (24,233,45,'Light Armor Mastery',750000,72);
INSERT INTO skill_trees VALUES (24,233,46,'Light Armor Mastery',1200000,74);
INSERT INTO skill_trees VALUES (24,233,47,'Light Armor Mastery',1200000,74);
INSERT INTO skill_trees VALUES (24,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (24,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (24,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (24,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (24,303,1,'Soul of Sagittarius',50000,46);
INSERT INTO skill_trees VALUES (24,303,2,'Soul of Sagittarius',210000,58);
INSERT INTO skill_trees VALUES (24,303,3,'Soul of Sagittarius',480000,64);
INSERT INTO skill_trees VALUES (24,303,4,'Soul of Sagittarius',930000,70);
INSERT INTO skill_trees VALUES (24,312,6,'Vicious Stance',35000,40);
INSERT INTO skill_trees VALUES (24,312,7,'Vicious Stance',41000,43);
INSERT INTO skill_trees VALUES (24,312,8,'Vicious Stance',50000,46);
INSERT INTO skill_trees VALUES (24,312,9,'Vicious Stance',89000,49);
INSERT INTO skill_trees VALUES (24,312,10,'Vicious Stance',140000,52);
INSERT INTO skill_trees VALUES (24,312,11,'Vicious Stance',200000,55);
INSERT INTO skill_trees VALUES (24,312,12,'Vicious Stance',210000,58);
INSERT INTO skill_trees VALUES (24,312,13,'Vicious Stance',290000,60);
INSERT INTO skill_trees VALUES (24,312,14,'Vicious Stance',360000,62);
INSERT INTO skill_trees VALUES (24,312,15,'Vicious Stance',480000,64);
INSERT INTO skill_trees VALUES (24,312,16,'Vicious Stance',700000,66);
INSERT INTO skill_trees VALUES (24,312,17,'Vicious Stance',780000,68);
INSERT INTO skill_trees VALUES (24,312,18,'Vicious Stance',930000,70);
INSERT INTO skill_trees VALUES (24,312,19,'Vicious Stance',1500000,72);
INSERT INTO skill_trees VALUES (24,312,20,'Vicious Stance',2300000,74);
INSERT INTO skill_trees VALUES (24,323,1,'Quiver of Arrow: Grade A',700000,66);
INSERT INTO skill_trees VALUES (24,324,1,'Quiver of Arrow: Grade S',1500000,72);
INSERT INTO skill_trees VALUES (25,118,1,'Magicians Movement',0,1);
INSERT INTO skill_trees VALUES (25,146,1,'Anti Magic',260,7);
INSERT INTO skill_trees VALUES (25,146,2,'Anti Magic',260,7);
INSERT INTO skill_trees VALUES (25,146,3,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (25,146,4,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (25,163,1,'Spellcraft',0,1);
INSERT INTO skill_trees VALUES (25,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (25,214,1,'Mana Recovery',0,1);
INSERT INTO skill_trees VALUES (25,244,1,'Armor Mastery',520,7);
INSERT INTO skill_trees VALUES (25,244,2,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (25,244,3,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (25,249,1,'Weapon Mastery',520,7);
INSERT INTO skill_trees VALUES (25,249,2,'Weapon Mastery',2100,14);
INSERT INTO skill_trees VALUES (25,1011,1,'Heal',170,7);
INSERT INTO skill_trees VALUES (25,1011,2,'Heal',170,7);
INSERT INTO skill_trees VALUES (25,1011,3,'Heal',170,7);
INSERT INTO skill_trees VALUES (25,1011,4,'Heal',700,14);
INSERT INTO skill_trees VALUES (25,1011,5,'Heal',700,14);
INSERT INTO skill_trees VALUES (25,1011,6,'Heal',700,14);
INSERT INTO skill_trees VALUES (25,1012,1,'Cure Poison',520,7);
INSERT INTO skill_trees VALUES (25,1015,1,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (25,1015,2,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (25,1015,3,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (25,1027,1,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (25,1027,2,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (25,1027,3,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (25,1040,1,'Shield',520,7);
INSERT INTO skill_trees VALUES (25,1068,1,'Might',520,7);
INSERT INTO skill_trees VALUES (25,1164,1,'Curse: Weakness',2100,14);
INSERT INTO skill_trees VALUES (25,1177,1,'Wind Strike',0,1);
INSERT INTO skill_trees VALUES (25,1177,2,'Wind Strike',260,7);
INSERT INTO skill_trees VALUES (25,1177,3,'Wind Strike',260,7);
INSERT INTO skill_trees VALUES (25,1177,4,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (25,1177,5,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (25,1184,1,'Ice Bolt',260,7);
INSERT INTO skill_trees VALUES (25,1184,2,'Ice Bolt',260,7);
INSERT INTO skill_trees VALUES (25,1184,3,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (25,1184,4,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (25,1206,1,'Wind Shackle',2100,14);
INSERT INTO skill_trees VALUES (25,1216,1,'Self Heal',0,1);
INSERT INTO skill_trees VALUES (26,146,5,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (26,146,6,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (26,146,7,'Anti Magic',3100,25);
INSERT INTO skill_trees VALUES (26,146,8,'Anti Magic',3100,25);
INSERT INTO skill_trees VALUES (26,146,9,'Anti Magic',5800,30);
INSERT INTO skill_trees VALUES (26,146,10,'Anti Magic',5800,30);
INSERT INTO skill_trees VALUES (26,146,11,'Anti Magic',10000,35);
INSERT INTO skill_trees VALUES (26,146,12,'Anti Magic',10000,35);
INSERT INTO skill_trees VALUES (26,164,1,'Quick Recovery',3300,20);
INSERT INTO skill_trees VALUES (26,164,2,'Quick Recovery',12000,30);
INSERT INTO skill_trees VALUES (26,212,1,'Fast HP Recovery',21000,35);
INSERT INTO skill_trees VALUES (26,213,1,'Boost Mana',3300,20);
INSERT INTO skill_trees VALUES (26,213,2,'Boost Mana',12000,30);
INSERT INTO skill_trees VALUES (26,228,1,'Fast Spell Casting',6100,25);
INSERT INTO skill_trees VALUES (26,229,1,'Fast Mana Recovery',6100,25);
INSERT INTO skill_trees VALUES (26,229,2,'Fast Mana Recovery',21000,35);
INSERT INTO skill_trees VALUES (26,234,1,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (26,234,2,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (26,234,3,'Robe Mastery',3100,25);
INSERT INTO skill_trees VALUES (26,234,4,'Robe Mastery',3100,25);
INSERT INTO skill_trees VALUES (26,234,5,'Robe Mastery',5800,30);
INSERT INTO skill_trees VALUES (26,234,6,'Robe Mastery',5800,30);
INSERT INTO skill_trees VALUES (26,234,7,'Robe Mastery',10000,35);
INSERT INTO skill_trees VALUES (26,234,8,'Robe Mastery',10000,35);
INSERT INTO skill_trees VALUES (26,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (26,249,3,'Weapon Mastery',3300,20);
INSERT INTO skill_trees VALUES (26,249,4,'Weapon Mastery',3100,25);
INSERT INTO skill_trees VALUES (26,249,5,'Weapon Mastery',3100,25);
INSERT INTO skill_trees VALUES (26,249,6,'Weapon Mastery',5800,30);
INSERT INTO skill_trees VALUES (26,249,7,'Weapon Mastery',5800,30);
INSERT INTO skill_trees VALUES (26,249,8,'Weapon Mastery',10000,35);
INSERT INTO skill_trees VALUES (26,249,9,'Weapon Mastery',10000,35);
INSERT INTO skill_trees VALUES (26,285,1,'Higher Mana Gain',1600,20);
INSERT INTO skill_trees VALUES (26,285,2,'Higher Mana Gain',1600,20);
INSERT INTO skill_trees VALUES (26,285,3,'Higher Mana Gain',3100,25);
INSERT INTO skill_trees VALUES (26,285,4,'Higher Mana Gain',3100,25);
INSERT INTO skill_trees VALUES (26,285,5,'Higher Mana Gain',5800,30);
INSERT INTO skill_trees VALUES (26,285,6,'Higher Mana Gain',5800,30);
INSERT INTO skill_trees VALUES (26,285,7,'Higher Mana Gain',10000,35);
INSERT INTO skill_trees VALUES (26,285,8,'Higher Mana Gain',10000,35);
INSERT INTO skill_trees VALUES (26,1069,1,'Sleep',2000,25);
INSERT INTO skill_trees VALUES (26,1069,2,'Sleep',2000,25);
INSERT INTO skill_trees VALUES (26,1069,3,'Sleep',2000,25);
INSERT INTO skill_trees VALUES (26,1069,4,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (26,1069,5,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (26,1069,6,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (26,1069,7,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (26,1069,8,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (26,1069,9,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (26,1078,1,'Concentration',3300,20);
INSERT INTO skill_trees VALUES (26,1078,2,'Concentration',12000,30);
INSERT INTO skill_trees VALUES (26,1126,1,'Servitor Recharge',3100,25);
INSERT INTO skill_trees VALUES (26,1126,2,'Servitor Recharge',3100,25);
INSERT INTO skill_trees VALUES (26,1126,3,'Servitor Recharge',5800,30);
INSERT INTO skill_trees VALUES (26,1126,4,'Servitor Recharge',5800,30);
INSERT INTO skill_trees VALUES (26,1126,5,'Servitor Recharge',10000,35);
INSERT INTO skill_trees VALUES (26,1126,6,'Servitor Recharge',10000,35);
INSERT INTO skill_trees VALUES (26,1127,1,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (26,1127,2,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (26,1127,3,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (26,1127,4,'Servitor Heal',2000,25);
INSERT INTO skill_trees VALUES (26,1127,5,'Servitor Heal',2000,25);
INSERT INTO skill_trees VALUES (26,1127,6,'Servitor Heal',2000,25);
INSERT INTO skill_trees VALUES (26,1127,7,'Servitor Heal',3900,30);
INSERT INTO skill_trees VALUES (26,1127,8,'Servitor Heal',3900,30);
INSERT INTO skill_trees VALUES (26,1127,9,'Servitor Heal',3900,30);
INSERT INTO skill_trees VALUES (26,1127,10,'Servitor Heal',6900,35);
INSERT INTO skill_trees VALUES (26,1127,11,'Servitor Heal',6900,35);
INSERT INTO skill_trees VALUES (26,1127,12,'Servitor Heal',6900,35);
INSERT INTO skill_trees VALUES (26,1145,1,'Bright Servitor',21000,35);
INSERT INTO skill_trees VALUES (26,1164,2,'Curse: Weakness',3300,20);
INSERT INTO skill_trees VALUES (26,1164,3,'Curse: Weakness',6100,25);
INSERT INTO skill_trees VALUES (26,1164,4,'Curse: Weakness',12000,30);
INSERT INTO skill_trees VALUES (26,1164,5,'Curse: Weakness',21000,35);
INSERT INTO skill_trees VALUES (26,1172,1,'Aura Burn',1600,20);
INSERT INTO skill_trees VALUES (26,1172,2,'Aura Burn',1600,20);
INSERT INTO skill_trees VALUES (26,1172,3,'Aura Burn',3100,25);
INSERT INTO skill_trees VALUES (26,1172,4,'Aura Burn',3100,25);
INSERT INTO skill_trees VALUES (26,1172,5,'Aura Burn',5800,30);
INSERT INTO skill_trees VALUES (26,1172,6,'Aura Burn',5800,30);
INSERT INTO skill_trees VALUES (26,1172,7,'Aura Burn',10000,35);
INSERT INTO skill_trees VALUES (26,1172,8,'Aura Burn',10000,35);
INSERT INTO skill_trees VALUES (26,1175,1,'Aqua Swirl',1600,20);
INSERT INTO skill_trees VALUES (26,1175,2,'Aqua Swirl',1600,20);
INSERT INTO skill_trees VALUES (26,1175,3,'Aqua Swirl',3100,25);
INSERT INTO skill_trees VALUES (26,1175,4,'Aqua Swirl',3100,25);
INSERT INTO skill_trees VALUES (26,1175,5,'Aqua Swirl',5800,30);
INSERT INTO skill_trees VALUES (26,1175,6,'Aqua Swirl',5800,30);
INSERT INTO skill_trees VALUES (26,1175,7,'Aqua Swirl',10000,35);
INSERT INTO skill_trees VALUES (26,1175,8,'Aqua Swirl',10000,35);
INSERT INTO skill_trees VALUES (26,1181,1,'Flame Strike',3300,20);
INSERT INTO skill_trees VALUES (26,1181,2,'Flame Strike',6100,25);
INSERT INTO skill_trees VALUES (26,1181,3,'Flame Strike',12000,30);
INSERT INTO skill_trees VALUES (26,1182,1,'Resist Aqua',6100,25);
INSERT INTO skill_trees VALUES (26,1184,5,'Ice Bolt',1600,20);
INSERT INTO skill_trees VALUES (26,1184,6,'Ice Bolt',1600,20);
INSERT INTO skill_trees VALUES (26,1223,1,'Surrender To Earth',21000,35);
INSERT INTO skill_trees VALUES (26,1226,1,'Summon Unicorn Boxer',3300,20);
INSERT INTO skill_trees VALUES (26,1226,2,'Summon Unicorn Boxer',6100,25);
INSERT INTO skill_trees VALUES (26,1226,3,'Summon Unicorn Boxer',12000,30);
INSERT INTO skill_trees VALUES (26,1226,4,'Summon Unicorn Boxer',21000,35);
INSERT INTO skill_trees VALUES (26,1227,1,'Summon Unicorn Mirage',3300,20);
INSERT INTO skill_trees VALUES (26,1227,2,'Summon Unicorn Mirage',6100,25);
INSERT INTO skill_trees VALUES (26,1227,3,'Summon Unicorn Mirage',12000,30);
INSERT INTO skill_trees VALUES (26,1227,4,'Summon Unicorn Mirage',21000,35);
INSERT INTO skill_trees VALUES (26,1264,1,'Solar Spark',6100,25);
INSERT INTO skill_trees VALUES (26,1264,2,'Solar Spark',12000,30);
INSERT INTO skill_trees VALUES (26,1264,3,'Solar Spark',21000,35);
INSERT INTO skill_trees VALUES (26,1274,1,'Energy Bolt',3300,20);
INSERT INTO skill_trees VALUES (26,1274,2,'Energy Bolt',6100,25);
INSERT INTO skill_trees VALUES (26,1274,3,'Energy Bolt',12000,30);
INSERT INTO skill_trees VALUES (26,1274,4,'Energy Bolt',21000,35);
INSERT INTO skill_trees VALUES (27,146,13,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (27,146,14,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (27,146,15,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (27,146,16,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (27,146,17,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (27,146,18,'Anti Magic',12000,44);
INSERT INTO skill_trees VALUES (27,146,19,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (27,146,20,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (27,146,21,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (27,146,22,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (27,146,23,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (27,146,24,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (27,146,25,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (27,146,26,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (27,146,27,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (27,146,28,'Anti Magic',61000,58);
INSERT INTO skill_trees VALUES (27,146,29,'Anti Magic',61000,58);
INSERT INTO skill_trees VALUES (27,146,30,'Anti Magic',75000,60);
INSERT INTO skill_trees VALUES (27,146,31,'Anti Magic',75000,60);
INSERT INTO skill_trees VALUES (27,146,32,'Anti Magic',110000,62);
INSERT INTO skill_trees VALUES (27,146,33,'Anti Magic',110000,62);
INSERT INTO skill_trees VALUES (27,146,34,'Anti Magic',130000,64);
INSERT INTO skill_trees VALUES (27,146,35,'Anti Magic',130000,64);
INSERT INTO skill_trees VALUES (27,146,36,'Anti Magic',180000,66);
INSERT INTO skill_trees VALUES (27,146,37,'Anti Magic',180000,66);
INSERT INTO skill_trees VALUES (27,146,38,'Anti Magic',190000,68);
INSERT INTO skill_trees VALUES (27,146,39,'Anti Magic',190000,68);
INSERT INTO skill_trees VALUES (27,146,40,'Anti Magic',230000,70);
INSERT INTO skill_trees VALUES (27,146,41,'Anti Magic',230000,70);
INSERT INTO skill_trees VALUES (27,146,42,'Anti Magic',390000,72);
INSERT INTO skill_trees VALUES (27,146,43,'Anti Magic',390000,72);
INSERT INTO skill_trees VALUES (27,146,44,'Anti Magic',550000,74);
INSERT INTO skill_trees VALUES (27,146,45,'Anti Magic',550000,74);
INSERT INTO skill_trees VALUES (27,164,3,'Quick Recovery',60000,48);
INSERT INTO skill_trees VALUES (27,212,2,'Fast HP Recovery',37000,44);
INSERT INTO skill_trees VALUES (27,212,3,'Fast HP Recovery',95000,52);
INSERT INTO skill_trees VALUES (27,212,4,'Fast HP Recovery',120000,58);
INSERT INTO skill_trees VALUES (27,212,5,'Fast HP Recovery',250000,64);
INSERT INTO skill_trees VALUES (27,212,6,'Fast HP Recovery',1100000,74);
INSERT INTO skill_trees VALUES (27,213,3,'Boost Mana',28000,40);
INSERT INTO skill_trees VALUES (27,213,4,'Boost Mana',60000,48);
INSERT INTO skill_trees VALUES (27,213,5,'Boost Mana',95000,56);
INSERT INTO skill_trees VALUES (27,213,6,'Boost Mana',150000,60);
INSERT INTO skill_trees VALUES (27,213,7,'Boost Mana',350000,66);
INSERT INTO skill_trees VALUES (27,213,8,'Boost Mana',790000,72);
INSERT INTO skill_trees VALUES (27,228,2,'Fast Spell Casting',28000,40);
INSERT INTO skill_trees VALUES (27,228,3,'Fast Spell Casting',95000,56);
INSERT INTO skill_trees VALUES (27,229,3,'Fast Mana Recovery',37000,44);
INSERT INTO skill_trees VALUES (27,229,4,'Fast Mana Recovery',95000,52);
INSERT INTO skill_trees VALUES (27,229,5,'Fast Mana Recovery',150000,60);
INSERT INTO skill_trees VALUES (27,229,6,'Fast Mana Recovery',390000,68);
INSERT INTO skill_trees VALUES (27,229,7,'Fast Mana Recovery',1100000,74);
INSERT INTO skill_trees VALUES (27,234,9,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,234,10,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,234,11,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,234,12,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,234,13,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,234,14,'Robe Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,234,15,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,234,16,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,234,17,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,234,18,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,234,19,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,234,20,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,234,21,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,234,22,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,234,23,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,234,24,'Robe Mastery',61000,58);
INSERT INTO skill_trees VALUES (27,234,25,'Robe Mastery',61000,58);
INSERT INTO skill_trees VALUES (27,234,26,'Robe Mastery',75000,60);
INSERT INTO skill_trees VALUES (27,234,27,'Robe Mastery',75000,60);
INSERT INTO skill_trees VALUES (27,234,28,'Robe Mastery',110000,62);
INSERT INTO skill_trees VALUES (27,234,29,'Robe Mastery',110000,62);
INSERT INTO skill_trees VALUES (27,234,30,'Robe Mastery',130000,64);
INSERT INTO skill_trees VALUES (27,234,31,'Robe Mastery',130000,64);
INSERT INTO skill_trees VALUES (27,234,32,'Robe Mastery',180000,66);
INSERT INTO skill_trees VALUES (27,234,33,'Robe Mastery',180000,66);
INSERT INTO skill_trees VALUES (27,234,34,'Robe Mastery',190000,68);
INSERT INTO skill_trees VALUES (27,234,35,'Robe Mastery',190000,68);
INSERT INTO skill_trees VALUES (27,234,36,'Robe Mastery',230000,70);
INSERT INTO skill_trees VALUES (27,234,37,'Robe Mastery',230000,70);
INSERT INTO skill_trees VALUES (27,234,38,'Robe Mastery',390000,72);
INSERT INTO skill_trees VALUES (27,234,39,'Robe Mastery',390000,72);
INSERT INTO skill_trees VALUES (27,234,40,'Robe Mastery',550000,74);
INSERT INTO skill_trees VALUES (27,234,41,'Robe Mastery',550000,74);
INSERT INTO skill_trees VALUES (27,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (27,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (27,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (27,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (27,249,10,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,249,11,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,249,12,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (27,249,13,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,249,14,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,249,15,'Weapon Mastery',12000,44);
INSERT INTO skill_trees VALUES (27,249,16,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,249,17,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,249,18,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (27,249,19,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,249,20,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,249,21,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (27,249,22,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,249,23,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,249,24,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (27,249,25,'Weapon Mastery',61000,58);
INSERT INTO skill_trees VALUES (27,249,26,'Weapon Mastery',61000,58);
INSERT INTO skill_trees VALUES (27,249,27,'Weapon Mastery',75000,60);
INSERT INTO skill_trees VALUES (27,249,28,'Weapon Mastery',75000,60);
INSERT INTO skill_trees VALUES (27,249,29,'Weapon Mastery',110000,62);
INSERT INTO skill_trees VALUES (27,249,30,'Weapon Mastery',110000,62);
INSERT INTO skill_trees VALUES (27,249,31,'Weapon Mastery',130000,64);
INSERT INTO skill_trees VALUES (27,249,32,'Weapon Mastery',130000,64);
INSERT INTO skill_trees VALUES (27,249,33,'Weapon Mastery',180000,66);
INSERT INTO skill_trees VALUES (27,249,34,'Weapon Mastery',180000,66);
INSERT INTO skill_trees VALUES (27,249,35,'Weapon Mastery',190000,68);
INSERT INTO skill_trees VALUES (27,249,36,'Weapon Mastery',190000,68);
INSERT INTO skill_trees VALUES (27,249,37,'Weapon Mastery',230000,70);
INSERT INTO skill_trees VALUES (27,249,38,'Weapon Mastery',230000,70);
INSERT INTO skill_trees VALUES (27,249,39,'Weapon Mastery',390000,72);
INSERT INTO skill_trees VALUES (27,249,40,'Weapon Mastery',390000,72);
INSERT INTO skill_trees VALUES (27,249,41,'Weapon Mastery',550000,74);
INSERT INTO skill_trees VALUES (27,249,42,'Weapon Mastery',550000,74);
INSERT INTO skill_trees VALUES (27,285,9,'Higher Mana Gain',14000,40);
INSERT INTO skill_trees VALUES (27,285,10,'Higher Mana Gain',14000,40);
INSERT INTO skill_trees VALUES (27,285,11,'Higher Mana Gain',18000,44);
INSERT INTO skill_trees VALUES (27,285,12,'Higher Mana Gain',18000,44);
INSERT INTO skill_trees VALUES (27,285,13,'Higher Mana Gain',30000,48);
INSERT INTO skill_trees VALUES (27,285,14,'Higher Mana Gain',30000,48);
INSERT INTO skill_trees VALUES (27,285,15,'Higher Mana Gain',47000,52);
INSERT INTO skill_trees VALUES (27,285,16,'Higher Mana Gain',47000,52);
INSERT INTO skill_trees VALUES (27,285,17,'Higher Mana Gain',48000,56);
INSERT INTO skill_trees VALUES (27,285,18,'Higher Mana Gain',48000,56);
INSERT INTO skill_trees VALUES (27,285,19,'Higher Mana Gain',120000,58);
INSERT INTO skill_trees VALUES (27,285,20,'Higher Mana Gain',150000,60);
INSERT INTO skill_trees VALUES (27,285,21,'Higher Mana Gain',210000,62);
INSERT INTO skill_trees VALUES (27,285,22,'Higher Mana Gain',250000,64);
INSERT INTO skill_trees VALUES (27,285,23,'Higher Mana Gain',350000,66);
INSERT INTO skill_trees VALUES (27,285,24,'Higher Mana Gain',390000,68);
INSERT INTO skill_trees VALUES (27,285,25,'Higher Mana Gain',470000,70);
INSERT INTO skill_trees VALUES (27,285,26,'Higher Mana Gain',790000,72);
INSERT INTO skill_trees VALUES (27,285,27,'Higher Mana Gain',1100000,74);
INSERT INTO skill_trees VALUES (27,1047,1,'Mana Regeneration',28000,40);
INSERT INTO skill_trees VALUES (27,1047,2,'Mana Regeneration',60000,48);
INSERT INTO skill_trees VALUES (27,1047,3,'Mana Regeneration',150000,60);
INSERT INTO skill_trees VALUES (27,1047,4,'Mana Regeneration',470000,70);
INSERT INTO skill_trees VALUES (27,1056,1,'Cancel',60000,48);
INSERT INTO skill_trees VALUES (27,1056,2,'Cancel',95000,52);
INSERT INTO skill_trees VALUES (27,1056,3,'Cancel',95000,56);
INSERT INTO skill_trees VALUES (27,1056,4,'Cancel',120000,58);
INSERT INTO skill_trees VALUES (27,1056,5,'Cancel',150000,60);
INSERT INTO skill_trees VALUES (27,1056,6,'Cancel',210000,62);
INSERT INTO skill_trees VALUES (27,1056,7,'Cancel',250000,64);
INSERT INTO skill_trees VALUES (27,1056,8,'Cancel',350000,66);
INSERT INTO skill_trees VALUES (27,1056,9,'Cancel',390000,68);
INSERT INTO skill_trees VALUES (27,1056,10,'Cancel',470000,70);
INSERT INTO skill_trees VALUES (27,1056,11,'Cancel',790000,72);
INSERT INTO skill_trees VALUES (27,1056,12,'Cancel',1100000,74);
INSERT INTO skill_trees VALUES (27,1069,10,'Sleep',9000,40);
INSERT INTO skill_trees VALUES (27,1069,11,'Sleep',9000,40);
INSERT INTO skill_trees VALUES (27,1069,12,'Sleep',9000,40);
INSERT INTO skill_trees VALUES (27,1069,13,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (27,1069,14,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (27,1069,15,'Sleep',12000,44);
INSERT INTO skill_trees VALUES (27,1069,16,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (27,1069,17,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (27,1069,18,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (27,1069,19,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (27,1069,20,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (27,1069,21,'Sleep',32000,52);
INSERT INTO skill_trees VALUES (27,1069,22,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (27,1069,23,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (27,1069,24,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (27,1069,25,'Sleep',61000,58);
INSERT INTO skill_trees VALUES (27,1069,26,'Sleep',61000,58);
INSERT INTO skill_trees VALUES (27,1069,27,'Sleep',75000,60);
INSERT INTO skill_trees VALUES (27,1069,28,'Sleep',75000,60);
INSERT INTO skill_trees VALUES (27,1069,29,'Sleep',110000,62);
INSERT INTO skill_trees VALUES (27,1069,30,'Sleep',110000,62);
INSERT INTO skill_trees VALUES (27,1069,31,'Sleep',130000,64);
INSERT INTO skill_trees VALUES (27,1069,32,'Sleep',130000,64);
INSERT INTO skill_trees VALUES (27,1069,33,'Sleep',180000,66);
INSERT INTO skill_trees VALUES (27,1069,34,'Sleep',180000,66);
INSERT INTO skill_trees VALUES (27,1069,35,'Sleep',190000,68);
INSERT INTO skill_trees VALUES (27,1069,36,'Sleep',190000,68);
INSERT INTO skill_trees VALUES (27,1069,37,'Sleep',230000,70);
INSERT INTO skill_trees VALUES (27,1069,38,'Sleep',230000,70);
INSERT INTO skill_trees VALUES (27,1069,39,'Sleep',390000,72);
INSERT INTO skill_trees VALUES (27,1069,40,'Sleep',390000,72);
INSERT INTO skill_trees VALUES (27,1069,41,'Sleep',550000,74);
INSERT INTO skill_trees VALUES (27,1069,42,'Sleep',550000,74);
INSERT INTO skill_trees VALUES (27,1071,1,'Surrender To Water',28000,40);
INSERT INTO skill_trees VALUES (27,1071,2,'Surrender To Water',37000,44);
INSERT INTO skill_trees VALUES (27,1071,3,'Surrender To Water',60000,48);
INSERT INTO skill_trees VALUES (27,1071,4,'Surrender To Water',95000,52);
INSERT INTO skill_trees VALUES (27,1071,5,'Surrender To Water',95000,56);
INSERT INTO skill_trees VALUES (27,1071,6,'Surrender To Water',120000,58);
INSERT INTO skill_trees VALUES (27,1071,7,'Surrender To Water',150000,60);
INSERT INTO skill_trees VALUES (27,1071,8,'Surrender To Water',210000,62);
INSERT INTO skill_trees VALUES (27,1071,9,'Surrender To Water',250000,64);
INSERT INTO skill_trees VALUES (27,1071,10,'Surrender To Water',350000,66);
INSERT INTO skill_trees VALUES (27,1071,11,'Surrender To Water',390000,68);
INSERT INTO skill_trees VALUES (27,1071,12,'Surrender To Water',470000,70);
INSERT INTO skill_trees VALUES (27,1071,13,'Surrender To Water',790000,72);
INSERT INTO skill_trees VALUES (27,1071,14,'Surrender To Water',1100000,74);
INSERT INTO skill_trees VALUES (27,1072,1,'Sleeping Cloud',37000,44);
INSERT INTO skill_trees VALUES (27,1072,2,'Sleeping Cloud',95000,56);
INSERT INTO skill_trees VALUES (27,1072,3,'Sleeping Cloud',210000,62);
INSERT INTO skill_trees VALUES (27,1072,4,'Sleeping Cloud',350000,66);
INSERT INTO skill_trees VALUES (27,1072,5,'Sleeping Cloud',470000,70);
INSERT INTO skill_trees VALUES (27,1164,6,'Curse: Weakness',28000,40);
INSERT INTO skill_trees VALUES (27,1164,7,'Curse: Weakness',37000,44);
INSERT INTO skill_trees VALUES (27,1164,8,'Curse: Weakness',60000,48);
INSERT INTO skill_trees VALUES (27,1164,9,'Curse: Weakness',95000,52);
INSERT INTO skill_trees VALUES (27,1164,10,'Curse: Weakness',95000,56);
INSERT INTO skill_trees VALUES (27,1164,11,'Curse: Weakness',120000,58);
INSERT INTO skill_trees VALUES (27,1164,12,'Curse: Weakness',150000,60);
INSERT INTO skill_trees VALUES (27,1164,13,'Curse: Weakness',210000,62);
INSERT INTO skill_trees VALUES (27,1164,14,'Curse: Weakness',250000,64);
INSERT INTO skill_trees VALUES (27,1164,15,'Curse: Weakness',350000,66);
INSERT INTO skill_trees VALUES (27,1164,16,'Curse: Weakness',390000,68);
INSERT INTO skill_trees VALUES (27,1164,17,'Curse: Weakness',470000,70);
INSERT INTO skill_trees VALUES (27,1164,18,'Curse: Weakness',790000,72);
INSERT INTO skill_trees VALUES (27,1164,19,'Curse: Weakness',1100000,74);
INSERT INTO skill_trees VALUES (27,1174,1,'Frost Wall',47000,52);
INSERT INTO skill_trees VALUES (27,1174,2,'Frost Wall',47000,52);
INSERT INTO skill_trees VALUES (27,1174,3,'Frost Wall',48000,56);
INSERT INTO skill_trees VALUES (27,1174,4,'Frost Wall',48000,56);
INSERT INTO skill_trees VALUES (27,1174,5,'Frost Wall',61000,58);
INSERT INTO skill_trees VALUES (27,1174,6,'Frost Wall',61000,58);
INSERT INTO skill_trees VALUES (27,1174,7,'Frost Wall',75000,60);
INSERT INTO skill_trees VALUES (27,1174,8,'Frost Wall',75000,60);
INSERT INTO skill_trees VALUES (27,1174,9,'Frost Wall',110000,62);
INSERT INTO skill_trees VALUES (27,1174,10,'Frost Wall',110000,62);
INSERT INTO skill_trees VALUES (27,1174,11,'Frost Wall',130000,64);
INSERT INTO skill_trees VALUES (27,1174,12,'Frost Wall',130000,64);
INSERT INTO skill_trees VALUES (27,1174,13,'Frost Wall',180000,66);
INSERT INTO skill_trees VALUES (27,1174,14,'Frost Wall',180000,66);
INSERT INTO skill_trees VALUES (27,1174,15,'Frost Wall',190000,68);
INSERT INTO skill_trees VALUES (27,1174,16,'Frost Wall',190000,68);
INSERT INTO skill_trees VALUES (27,1174,17,'Frost Wall',230000,70);
INSERT INTO skill_trees VALUES (27,1174,18,'Frost Wall',230000,70);
INSERT INTO skill_trees VALUES (27,1174,19,'Frost Wall',390000,72);
INSERT INTO skill_trees VALUES (27,1174,20,'Frost Wall',390000,72);
INSERT INTO skill_trees VALUES (27,1174,21,'Frost Wall',550000,74);
INSERT INTO skill_trees VALUES (27,1174,22,'Frost Wall',550000,74);
INSERT INTO skill_trees VALUES (27,1182,2,'Resist Aqua',28000,40);
INSERT INTO skill_trees VALUES (27,1182,3,'Resist Aqua',37000,44);
INSERT INTO skill_trees VALUES (27,1183,1,'Freezing Shackle',37000,44);
INSERT INTO skill_trees VALUES (27,1183,2,'Freezing Shackle',95000,52);
INSERT INTO skill_trees VALUES (27,1183,3,'Freezing Shackle',250000,64);
INSERT INTO skill_trees VALUES (27,1183,4,'Freezing Shackle',1100000,74);
INSERT INTO skill_trees VALUES (27,1223,2,'Surrender To Earth',28000,40);
INSERT INTO skill_trees VALUES (27,1223,3,'Surrender To Earth',37000,44);
INSERT INTO skill_trees VALUES (27,1223,4,'Surrender To Earth',60000,48);
INSERT INTO skill_trees VALUES (27,1223,5,'Surrender To Earth',95000,52);
INSERT INTO skill_trees VALUES (27,1223,6,'Surrender To Earth',95000,56);
INSERT INTO skill_trees VALUES (27,1223,7,'Surrender To Earth',120000,58);
INSERT INTO skill_trees VALUES (27,1223,8,'Surrender To Earth',150000,60);
INSERT INTO skill_trees VALUES (27,1223,9,'Surrender To Earth',210000,62);
INSERT INTO skill_trees VALUES (27,1223,10,'Surrender To Earth',250000,64);
INSERT INTO skill_trees VALUES (27,1223,11,'Surrender To Earth',350000,66);
INSERT INTO skill_trees VALUES (27,1223,12,'Surrender To Earth',390000,68);
INSERT INTO skill_trees VALUES (27,1223,13,'Surrender To Earth',470000,70);
INSERT INTO skill_trees VALUES (27,1223,14,'Surrender To Earth',790000,72);
INSERT INTO skill_trees VALUES (27,1223,15,'Surrender To Earth',1100000,74);
INSERT INTO skill_trees VALUES (27,1231,1,'Aura Flare',14000,40);
INSERT INTO skill_trees VALUES (27,1231,2,'Aura Flare',14000,40);
INSERT INTO skill_trees VALUES (27,1231,3,'Aura Flare',18000,44);
INSERT INTO skill_trees VALUES (27,1231,4,'Aura Flare',18000,44);
INSERT INTO skill_trees VALUES (27,1231,5,'Aura Flare',30000,48);
INSERT INTO skill_trees VALUES (27,1231,6,'Aura Flare',30000,48);
INSERT INTO skill_trees VALUES (27,1231,7,'Aura Flare',47000,52);
INSERT INTO skill_trees VALUES (27,1231,8,'Aura Flare',47000,52);
INSERT INTO skill_trees VALUES (27,1231,9,'Aura Flare',48000,56);
INSERT INTO skill_trees VALUES (27,1231,10,'Aura Flare',48000,56);
INSERT INTO skill_trees VALUES (27,1231,11,'Aura Flare',61000,58);
INSERT INTO skill_trees VALUES (27,1231,12,'Aura Flare',61000,58);
INSERT INTO skill_trees VALUES (27,1231,13,'Aura Flare',75000,60);
INSERT INTO skill_trees VALUES (27,1231,14,'Aura Flare',75000,60);
INSERT INTO skill_trees VALUES (27,1231,15,'Aura Flare',110000,62);
INSERT INTO skill_trees VALUES (27,1231,16,'Aura Flare',110000,62);
INSERT INTO skill_trees VALUES (27,1231,17,'Aura Flare',130000,64);
INSERT INTO skill_trees VALUES (27,1231,18,'Aura Flare',130000,64);
INSERT INTO skill_trees VALUES (27,1231,19,'Aura Flare',180000,66);
INSERT INTO skill_trees VALUES (27,1231,20,'Aura Flare',180000,66);
INSERT INTO skill_trees VALUES (27,1231,21,'Aura Flare',190000,68);
INSERT INTO skill_trees VALUES (27,1231,22,'Aura Flare',190000,68);
INSERT INTO skill_trees VALUES (27,1231,23,'Aura Flare',230000,70);
INSERT INTO skill_trees VALUES (27,1231,24,'Aura Flare',230000,70);
INSERT INTO skill_trees VALUES (27,1231,25,'Aura Flare',390000,72);
INSERT INTO skill_trees VALUES (27,1231,26,'Aura Flare',390000,72);
INSERT INTO skill_trees VALUES (27,1231,27,'Aura Flare',550000,74);
INSERT INTO skill_trees VALUES (27,1231,28,'Aura Flare',550000,74);
INSERT INTO skill_trees VALUES (27,1235,1,'Hydro Blast',14000,40);
INSERT INTO skill_trees VALUES (27,1235,2,'Hydro Blast',14000,40);
INSERT INTO skill_trees VALUES (27,1235,3,'Hydro Blast',18000,44);
INSERT INTO skill_trees VALUES (27,1235,4,'Hydro Blast',18000,44);
INSERT INTO skill_trees VALUES (27,1235,5,'Hydro Blast',30000,48);
INSERT INTO skill_trees VALUES (27,1235,6,'Hydro Blast',30000,48);
INSERT INTO skill_trees VALUES (27,1235,7,'Hydro Blast',47000,52);
INSERT INTO skill_trees VALUES (27,1235,8,'Hydro Blast',47000,52);
INSERT INTO skill_trees VALUES (27,1235,9,'Hydro Blast',48000,56);
INSERT INTO skill_trees VALUES (27,1235,10,'Hydro Blast',48000,56);
INSERT INTO skill_trees VALUES (27,1235,11,'Hydro Blast',61000,58);
INSERT INTO skill_trees VALUES (27,1235,12,'Hydro Blast',61000,58);
INSERT INTO skill_trees VALUES (27,1235,13,'Hydro Blast',75000,60);
INSERT INTO skill_trees VALUES (27,1235,14,'Hydro Blast',75000,60);
INSERT INTO skill_trees VALUES (27,1235,15,'Hydro Blast',110000,62);
INSERT INTO skill_trees VALUES (27,1235,16,'Hydro Blast',110000,62);
INSERT INTO skill_trees VALUES (27,1235,17,'Hydro Blast',130000,64);
INSERT INTO skill_trees VALUES (27,1235,18,'Hydro Blast',130000,64);
INSERT INTO skill_trees VALUES (27,1235,19,'Hydro Blast',180000,66);
INSERT INTO skill_trees VALUES (27,1235,20,'Hydro Blast',180000,66);
INSERT INTO skill_trees VALUES (27,1235,21,'Hydro Blast',190000,68);
INSERT INTO skill_trees VALUES (27,1235,22,'Hydro Blast',190000,68);
INSERT INTO skill_trees VALUES (27,1235,23,'Hydro Blast',230000,70);
INSERT INTO skill_trees VALUES (27,1235,24,'Hydro Blast',230000,70);
INSERT INTO skill_trees VALUES (27,1235,25,'Hydro Blast',390000,72);
INSERT INTO skill_trees VALUES (27,1235,26,'Hydro Blast',390000,72);
INSERT INTO skill_trees VALUES (27,1235,27,'Hydro Blast',550000,74);
INSERT INTO skill_trees VALUES (27,1235,28,'Hydro Blast',550000,74);
INSERT INTO skill_trees VALUES (27,1236,1,'Frost Bolt',14000,40);
INSERT INTO skill_trees VALUES (27,1236,2,'Frost Bolt',14000,40);
INSERT INTO skill_trees VALUES (27,1236,3,'Frost Bolt',18000,44);
INSERT INTO skill_trees VALUES (27,1236,4,'Frost Bolt',18000,44);
INSERT INTO skill_trees VALUES (27,1236,5,'Frost Bolt',30000,48);
INSERT INTO skill_trees VALUES (27,1236,6,'Frost Bolt',30000,48);
INSERT INTO skill_trees VALUES (27,1236,7,'Frost Bolt',47000,52);
INSERT INTO skill_trees VALUES (27,1236,8,'Frost Bolt',47000,52);
INSERT INTO skill_trees VALUES (27,1236,9,'Frost Bolt',48000,56);
INSERT INTO skill_trees VALUES (27,1236,10,'Frost Bolt',48000,56);
INSERT INTO skill_trees VALUES (27,1236,11,'Frost Bolt',120000,58);
INSERT INTO skill_trees VALUES (27,1236,12,'Frost Bolt',150000,60);
INSERT INTO skill_trees VALUES (27,1236,13,'Frost Bolt',210000,62);
INSERT INTO skill_trees VALUES (27,1236,14,'Frost Bolt',250000,64);
INSERT INTO skill_trees VALUES (27,1236,15,'Frost Bolt',350000,66);
INSERT INTO skill_trees VALUES (27,1236,16,'Frost Bolt',390000,68);
INSERT INTO skill_trees VALUES (27,1236,17,'Frost Bolt',470000,70);
INSERT INTO skill_trees VALUES (27,1236,18,'Frost Bolt',790000,72);
INSERT INTO skill_trees VALUES (27,1236,19,'Frost Bolt',1100000,74);
INSERT INTO skill_trees VALUES (27,1237,1,'Ice Dagger',18000,44);
INSERT INTO skill_trees VALUES (27,1237,2,'Ice Dagger',18000,44);
INSERT INTO skill_trees VALUES (27,1237,3,'Ice Dagger',30000,48);
INSERT INTO skill_trees VALUES (27,1237,4,'Ice Dagger',30000,48);
INSERT INTO skill_trees VALUES (27,1237,5,'Ice Dagger',47000,52);
INSERT INTO skill_trees VALUES (27,1237,6,'Ice Dagger',47000,52);
INSERT INTO skill_trees VALUES (27,1237,7,'Ice Dagger',48000,56);
INSERT INTO skill_trees VALUES (27,1237,8,'Ice Dagger',48000,56);
INSERT INTO skill_trees VALUES (27,1237,9,'Ice Dagger',120000,58);
INSERT INTO skill_trees VALUES (27,1237,10,'Ice Dagger',150000,60);
INSERT INTO skill_trees VALUES (27,1237,11,'Ice Dagger',210000,62);
INSERT INTO skill_trees VALUES (27,1237,12,'Ice Dagger',250000,64);
INSERT INTO skill_trees VALUES (27,1237,13,'Ice Dagger',350000,66);
INSERT INTO skill_trees VALUES (27,1237,14,'Ice Dagger',390000,68);
INSERT INTO skill_trees VALUES (27,1237,15,'Ice Dagger',470000,70);
INSERT INTO skill_trees VALUES (27,1237,16,'Ice Dagger',790000,72);
INSERT INTO skill_trees VALUES (27,1237,17,'Ice Dagger',1100000,74);
INSERT INTO skill_trees VALUES (27,1238,1,'Freezing Skin',28000,40);
INSERT INTO skill_trees VALUES (27,1238,2,'Freezing Skin',60000,48);
INSERT INTO skill_trees VALUES (27,1238,3,'Freezing Skin',95000,56);
INSERT INTO skill_trees VALUES (27,1265,1,'Solar Flare',28000,40);
INSERT INTO skill_trees VALUES (27,1265,2,'Solar Flare',37000,44);
INSERT INTO skill_trees VALUES (27,1265,3,'Solar Flare',60000,48);
INSERT INTO skill_trees VALUES (27,1265,4,'Solar Flare',95000,52);
INSERT INTO skill_trees VALUES (27,1265,5,'Solar Flare',95000,56);
INSERT INTO skill_trees VALUES (27,1265,6,'Solar Flare',120000,58);
INSERT INTO skill_trees VALUES (27,1265,7,'Solar Flare',150000,60);
INSERT INTO skill_trees VALUES (27,1265,8,'Solar Flare',210000,62);
INSERT INTO skill_trees VALUES (27,1265,9,'Solar Flare',250000,64);
INSERT INTO skill_trees VALUES (27,1265,10,'Solar Flare',350000,66);
INSERT INTO skill_trees VALUES (27,1265,11,'Solar Flare',390000,68);
INSERT INTO skill_trees VALUES (27,1265,12,'Solar Flare',470000,70);
INSERT INTO skill_trees VALUES (27,1265,13,'Solar Flare',790000,72);
INSERT INTO skill_trees VALUES (27,1265,14,'Solar Flare',1100000,74);
INSERT INTO skill_trees VALUES (27,1275,1,'Aura Bolt',28000,40);
INSERT INTO skill_trees VALUES (27,1275,2,'Aura Bolt',37000,44);
INSERT INTO skill_trees VALUES (27,1275,3,'Aura Bolt',60000,48);
INSERT INTO skill_trees VALUES (27,1275,4,'Aura Bolt',95000,52);
INSERT INTO skill_trees VALUES (27,1275,5,'Aura Bolt',95000,56);
INSERT INTO skill_trees VALUES (27,1275,6,'Aura Bolt',120000,58);
INSERT INTO skill_trees VALUES (27,1275,7,'Aura Bolt',150000,60);
INSERT INTO skill_trees VALUES (27,1275,8,'Aura Bolt',210000,62);
INSERT INTO skill_trees VALUES (27,1275,9,'Aura Bolt',250000,64);
INSERT INTO skill_trees VALUES (27,1275,10,'Aura Bolt',350000,66);
INSERT INTO skill_trees VALUES (27,1275,11,'Aura Bolt',390000,68);
INSERT INTO skill_trees VALUES (27,1275,12,'Aura Bolt',470000,70);
INSERT INTO skill_trees VALUES (27,1275,13,'Aura Bolt',790000,72);
INSERT INTO skill_trees VALUES (27,1275,14,'Aura Bolt',1100000,74);
INSERT INTO skill_trees VALUES (27,1286,1,'Seed of Water',350000,66);
INSERT INTO skill_trees VALUES (27,1288,1,'Aura Symphony',390000,68);
INSERT INTO skill_trees VALUES (27,1290,1,'Blizzard',470000,70);
INSERT INTO skill_trees VALUES (27,1293,1,'Elemental Symphony',790000,72);
INSERT INTO skill_trees VALUES (27,1295,1,'Aqua Splash',120000,58);
INSERT INTO skill_trees VALUES (27,1295,2,'Aqua Splash',150000,60);
INSERT INTO skill_trees VALUES (27,1295,3,'Aqua Splash',210000,62);
INSERT INTO skill_trees VALUES (27,1295,4,'Aqua Splash',250000,64);
INSERT INTO skill_trees VALUES (27,1295,5,'Aqua Splash',350000,66);
INSERT INTO skill_trees VALUES (27,1295,6,'Aqua Splash',390000,68);
INSERT INTO skill_trees VALUES (27,1295,7,'Aqua Splash',470000,70);
INSERT INTO skill_trees VALUES (27,1295,8,'Aqua Splash',790000,72);
INSERT INTO skill_trees VALUES (27,1295,9,'Aqua Splash',1100000,74);
INSERT INTO skill_trees VALUES (27,1297,1,'Clear Mind',28000,40);
INSERT INTO skill_trees VALUES (27,1297,2,'Clear Mind',60000,48);
INSERT INTO skill_trees VALUES (27,1297,3,'Clear Mind',95000,56);
INSERT INTO skill_trees VALUES (27,1297,4,'Clear Mind',210000,62);
INSERT INTO skill_trees VALUES (27,1297,5,'Clear Mind',390000,68);
INSERT INTO skill_trees VALUES (27,1297,6,'Clear Mind',1100000,74);
INSERT INTO skill_trees VALUES (28,67,1,'Summon Life Cubic',34000,40);
INSERT INTO skill_trees VALUES (28,67,2,'Summon Life Cubic',71000,48);
INSERT INTO skill_trees VALUES (28,67,3,'Summon Life Cubic',110000,52);
INSERT INTO skill_trees VALUES (28,67,4,'Summon Life Cubic',230000,60);
INSERT INTO skill_trees VALUES (28,67,5,'Summon Life Cubic',430000,64);
INSERT INTO skill_trees VALUES (28,67,6,'Summon Life Cubic',700000,68);
INSERT INTO skill_trees VALUES (28,67,7,'Summon Life Cubic',1400000,72);
INSERT INTO skill_trees VALUES (28,143,1,'Cubic Mastery',47000,44);
INSERT INTO skill_trees VALUES (28,143,2,'Cubic Mastery',130000,56);
INSERT INTO skill_trees VALUES (28,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (28,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (28,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (28,146,16,'Anti Magic',16000,44);
INSERT INTO skill_trees VALUES (28,146,17,'Anti Magic',16000,44);
INSERT INTO skill_trees VALUES (28,146,18,'Anti Magic',16000,44);
INSERT INTO skill_trees VALUES (28,146,19,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (28,146,20,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (28,146,21,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (28,146,22,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (28,146,23,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (28,146,24,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (28,146,25,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (28,146,26,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (28,146,27,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (28,146,28,'Anti Magic',100000,58);
INSERT INTO skill_trees VALUES (28,146,29,'Anti Magic',100000,58);
INSERT INTO skill_trees VALUES (28,146,30,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (28,146,31,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (28,146,32,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (28,146,33,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (28,146,34,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (28,146,35,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (28,146,36,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (28,146,37,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (28,146,38,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (28,146,39,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (28,146,40,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (28,146,41,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (28,146,42,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (28,146,43,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (28,146,44,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (28,146,45,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (28,164,3,'Quick Recovery',71000,48);
INSERT INTO skill_trees VALUES (28,212,2,'Fast HP Recovery',47000,44);
INSERT INTO skill_trees VALUES (28,212,3,'Fast HP Recovery',110000,52);
INSERT INTO skill_trees VALUES (28,212,4,'Fast HP Recovery',200000,58);
INSERT INTO skill_trees VALUES (28,212,5,'Fast HP Recovery',430000,64);
INSERT INTO skill_trees VALUES (28,212,6,'Fast HP Recovery',1900000,74);
INSERT INTO skill_trees VALUES (28,213,3,'Boost Mana',34000,40);
INSERT INTO skill_trees VALUES (28,213,4,'Boost Mana',71000,48);
INSERT INTO skill_trees VALUES (28,213,5,'Boost Mana',130000,56);
INSERT INTO skill_trees VALUES (28,213,6,'Boost Mana',230000,60);
INSERT INTO skill_trees VALUES (28,213,7,'Boost Mana',640000,66);
INSERT INTO skill_trees VALUES (28,213,8,'Boost Mana',1400000,72);
INSERT INTO skill_trees VALUES (28,228,2,'Fast Spell Casting',34000,40);
INSERT INTO skill_trees VALUES (28,228,3,'Fast Spell Casting',130000,56);
INSERT INTO skill_trees VALUES (28,229,3,'Fast Mana Recovery',47000,44);
INSERT INTO skill_trees VALUES (28,229,4,'Fast Mana Recovery',110000,52);
INSERT INTO skill_trees VALUES (28,229,5,'Fast Mana Recovery',230000,60);
INSERT INTO skill_trees VALUES (28,229,6,'Fast Mana Recovery',700000,68);
INSERT INTO skill_trees VALUES (28,229,7,'Fast Mana Recovery',1900000,74);
INSERT INTO skill_trees VALUES (28,234,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,234,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,234,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,234,12,'Robe Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,234,13,'Robe Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,234,14,'Robe Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,234,15,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,234,16,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,234,17,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,234,18,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,234,19,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,234,20,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,234,21,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,234,22,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,234,23,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,234,24,'Robe Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,234,25,'Robe Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,234,26,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,234,27,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,234,28,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,234,29,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,234,30,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,234,31,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,234,32,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,234,33,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,234,34,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,234,35,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,234,36,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,234,37,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,234,38,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,234,39,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,234,40,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,234,41,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (28,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (28,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (28,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (28,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,249,13,'Weapon Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,249,14,'Weapon Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,249,15,'Weapon Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,249,16,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,249,17,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,249,18,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,249,19,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,249,20,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,249,21,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,249,22,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,249,23,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,249,24,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,249,25,'Weapon Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,249,26,'Weapon Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,249,27,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,249,28,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,249,29,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,249,30,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,249,31,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,249,32,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,249,33,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,249,34,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,249,35,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,249,36,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,249,37,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,249,38,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,249,39,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,249,40,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,249,41,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,249,42,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,258,1,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,258,2,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,258,3,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (28,258,4,'Light Armor Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,258,5,'Light Armor Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,258,6,'Light Armor Mastery',16000,44);
INSERT INTO skill_trees VALUES (28,258,7,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,258,8,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,258,9,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (28,258,10,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,258,11,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,258,12,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (28,258,13,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,258,14,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,258,15,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (28,258,16,'Light Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,258,17,'Light Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (28,258,18,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,258,19,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (28,258,20,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,258,21,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (28,258,22,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,258,23,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (28,258,24,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,258,25,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (28,258,26,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,258,27,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (28,258,28,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,258,29,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (28,258,30,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,258,31,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (28,258,32,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,258,33,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (28,1126,7,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (28,1126,8,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (28,1126,9,'Servitor Recharge',23000,44);
INSERT INTO skill_trees VALUES (28,1126,10,'Servitor Recharge',23000,44);
INSERT INTO skill_trees VALUES (28,1126,11,'Servitor Recharge',35000,48);
INSERT INTO skill_trees VALUES (28,1126,12,'Servitor Recharge',35000,48);
INSERT INTO skill_trees VALUES (28,1126,13,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (28,1126,14,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (28,1126,15,'Servitor Recharge',62000,56);
INSERT INTO skill_trees VALUES (28,1126,16,'Servitor Recharge',62000,56);
INSERT INTO skill_trees VALUES (28,1126,17,'Servitor Recharge',100000,58);
INSERT INTO skill_trees VALUES (28,1126,18,'Servitor Recharge',100000,58);
INSERT INTO skill_trees VALUES (28,1126,19,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (28,1126,20,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (28,1126,21,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (28,1126,22,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (28,1126,23,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (28,1126,24,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (28,1126,25,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (28,1126,26,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (28,1126,27,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (28,1126,28,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (28,1126,29,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (28,1126,30,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (28,1126,31,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (28,1126,32,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (28,1126,33,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (28,1126,34,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (28,1127,13,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (28,1127,14,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (28,1127,15,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (28,1127,16,'Servitor Heal',16000,44);
INSERT INTO skill_trees VALUES (28,1127,17,'Servitor Heal',16000,44);
INSERT INTO skill_trees VALUES (28,1127,18,'Servitor Heal',16000,44);
INSERT INTO skill_trees VALUES (28,1127,19,'Servitor Heal',24000,48);
INSERT INTO skill_trees VALUES (28,1127,20,'Servitor Heal',24000,48);
INSERT INTO skill_trees VALUES (28,1127,21,'Servitor Heal',24000,48);
INSERT INTO skill_trees VALUES (28,1127,22,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (28,1127,23,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (28,1127,24,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (28,1127,25,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (28,1127,26,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (28,1127,27,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (28,1127,28,'Servitor Heal',100000,58);
INSERT INTO skill_trees VALUES (28,1127,29,'Servitor Heal',100000,58);
INSERT INTO skill_trees VALUES (28,1127,30,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (28,1127,31,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (28,1127,32,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (28,1127,33,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (28,1127,34,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (28,1127,35,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (28,1127,36,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (28,1127,37,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (28,1127,38,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (28,1127,39,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (28,1127,40,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (28,1127,41,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (28,1127,42,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (28,1127,43,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (28,1127,44,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (28,1127,45,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (28,1139,1,'Servitor Magic Shield',47000,44);
INSERT INTO skill_trees VALUES (28,1139,2,'Servitor Magic Shield',110000,52);
INSERT INTO skill_trees VALUES (28,1140,1,'Servitor Physical Shield',34000,40);
INSERT INTO skill_trees VALUES (28,1140,2,'Servitor Physical Shield',71000,48);
INSERT INTO skill_trees VALUES (28,1140,3,'Servitor Physical Shield',130000,56);
INSERT INTO skill_trees VALUES (28,1141,1,'Servitor Haste',47000,44);
INSERT INTO skill_trees VALUES (28,1141,2,'Servitor Haste',110000,52);
INSERT INTO skill_trees VALUES (28,1145,2,'Bright Servitor',71000,48);
INSERT INTO skill_trees VALUES (28,1145,3,'Bright Servitor',130000,56);
INSERT INTO skill_trees VALUES (28,1226,5,'Summon Unicorn Boxer',34000,40);
INSERT INTO skill_trees VALUES (28,1226,6,'Summon Unicorn Boxer',47000,44);
INSERT INTO skill_trees VALUES (28,1226,7,'Summon Unicorn Boxer',71000,48);
INSERT INTO skill_trees VALUES (28,1226,8,'Summon Unicorn Boxer',110000,52);
INSERT INTO skill_trees VALUES (28,1226,9,'Summon Unicorn Boxer',130000,56);
INSERT INTO skill_trees VALUES (28,1226,10,'Summon Unicorn Boxer',200000,58);
INSERT INTO skill_trees VALUES (28,1226,11,'Summon Unicorn Boxer',230000,60);
INSERT INTO skill_trees VALUES (28,1226,12,'Summon Unicorn Boxer',360000,62);
INSERT INTO skill_trees VALUES (28,1226,13,'Summon Unicorn Boxer',430000,64);
INSERT INTO skill_trees VALUES (28,1226,14,'Summon Unicorn Boxer',640000,66);
INSERT INTO skill_trees VALUES (28,1226,15,'Summon Unicorn Boxer',700000,68);
INSERT INTO skill_trees VALUES (28,1226,16,'Summon Unicorn Boxer',780000,70);
INSERT INTO skill_trees VALUES (28,1226,17,'Summon Unicorn Boxer',1400000,72);
INSERT INTO skill_trees VALUES (28,1226,18,'Summon Unicorn Boxer',1900000,74);
INSERT INTO skill_trees VALUES (28,1227,5,'Summon Unicorn Mirage',34000,40);
INSERT INTO skill_trees VALUES (28,1227,6,'Summon Unicorn Mirage',47000,44);
INSERT INTO skill_trees VALUES (28,1227,7,'Summon Unicorn Mirage',71000,48);
INSERT INTO skill_trees VALUES (28,1227,8,'Summon Unicorn Mirage',110000,52);
INSERT INTO skill_trees VALUES (28,1227,9,'Summon Unicorn Mirage',130000,56);
INSERT INTO skill_trees VALUES (28,1227,10,'Summon Unicorn Mirage',200000,58);
INSERT INTO skill_trees VALUES (28,1227,11,'Summon Unicorn Mirage',230000,60);
INSERT INTO skill_trees VALUES (28,1227,12,'Summon Unicorn Mirage',360000,62);
INSERT INTO skill_trees VALUES (28,1227,13,'Summon Unicorn Mirage',430000,64);
INSERT INTO skill_trees VALUES (28,1227,14,'Summon Unicorn Mirage',640000,66);
INSERT INTO skill_trees VALUES (28,1227,15,'Summon Unicorn Mirage',700000,68);
INSERT INTO skill_trees VALUES (28,1227,16,'Summon Unicorn Mirage',780000,70);
INSERT INTO skill_trees VALUES (28,1227,17,'Summon Unicorn Mirage',1400000,72);
INSERT INTO skill_trees VALUES (28,1227,18,'Summon Unicorn Mirage',1900000,74);
INSERT INTO skill_trees VALUES (28,1262,1,'Transfer Pain',34000,40);
INSERT INTO skill_trees VALUES (28,1262,2,'Transfer Pain',71000,48);
INSERT INTO skill_trees VALUES (28,1262,3,'Transfer Pain',130000,56);
INSERT INTO skill_trees VALUES (28,1262,4,'Transfer Pain',200000,58);
INSERT INTO skill_trees VALUES (28,1262,5,'Transfer Pain',780000,70);
INSERT INTO skill_trees VALUES (28,1277,1,'Summon Unicorn Merrow',34000,40);
INSERT INTO skill_trees VALUES (28,1277,2,'Summon Unicorn Merrow',47000,44);
INSERT INTO skill_trees VALUES (28,1277,3,'Summon Unicorn Merrow',71000,48);
INSERT INTO skill_trees VALUES (28,1277,4,'Summon Unicorn Merrow',110000,52);
INSERT INTO skill_trees VALUES (28,1277,5,'Summon Unicorn Merrow',130000,56);
INSERT INTO skill_trees VALUES (28,1277,6,'Summon Unicorn Merrow',200000,58);
INSERT INTO skill_trees VALUES (28,1277,7,'Summon Unicorn Merrow',230000,60);
INSERT INTO skill_trees VALUES (28,1277,8,'Summon Unicorn Merrow',360000,62);
INSERT INTO skill_trees VALUES (28,1277,9,'Summon Unicorn Merrow',430000,64);
INSERT INTO skill_trees VALUES (28,1277,10,'Summon Unicorn Merrow',640000,66);
INSERT INTO skill_trees VALUES (28,1277,11,'Summon Unicorn Merrow',700000,68);
INSERT INTO skill_trees VALUES (28,1277,12,'Summon Unicorn Merrow',780000,70);
INSERT INTO skill_trees VALUES (28,1277,13,'Summon Unicorn Merrow',1400000,72);
INSERT INTO skill_trees VALUES (28,1277,14,'Summon Unicorn Merrow',1900000,74);
INSERT INTO skill_trees VALUES (28,1280,1,'Summon Aqua Cubic',34000,40);
INSERT INTO skill_trees VALUES (28,1280,2,'Summon Aqua Cubic',47000,44);
INSERT INTO skill_trees VALUES (28,1280,3,'Summon Aqua Cubic',71000,48);
INSERT INTO skill_trees VALUES (28,1280,4,'Summon Aqua Cubic',110000,52);
INSERT INTO skill_trees VALUES (28,1280,5,'Summon Aqua Cubic',130000,56);
INSERT INTO skill_trees VALUES (28,1280,6,'Summon Aqua Cubic',360000,62);
INSERT INTO skill_trees VALUES (28,1280,7,'Summon Aqua Cubic',640000,66);
INSERT INTO skill_trees VALUES (28,1280,8,'Summon Aqua Cubic',780000,70);
INSERT INTO skill_trees VALUES (28,1280,9,'Summon Aqua Cubic',1900000,74);
INSERT INTO skill_trees VALUES (28,1299,1,'Servitor Empower',110000,52);
INSERT INTO skill_trees VALUES (28,1299,2,'Servitor Empower',780000,70);
INSERT INTO skill_trees VALUES (28,1300,1,'Servitor Cure',34000,40);
INSERT INTO skill_trees VALUES (28,1300,2,'Servitor Cure',71000,48);
INSERT INTO skill_trees VALUES (28,1300,3,'Servitor Cure',230000,60);
INSERT INTO skill_trees VALUES (28,1301,1,'Servitor Blessing',360000,62);
INSERT INTO skill_trees VALUES (29,146,5,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (29,146,6,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (29,146,7,'Anti Magic',3200,25);
INSERT INTO skill_trees VALUES (29,146,8,'Anti Magic',3200,25);
INSERT INTO skill_trees VALUES (29,146,9,'Anti Magic',6200,30);
INSERT INTO skill_trees VALUES (29,146,10,'Anti Magic',6200,30);
INSERT INTO skill_trees VALUES (29,146,11,'Anti Magic',10000,35);
INSERT INTO skill_trees VALUES (29,146,12,'Anti Magic',10000,35);
INSERT INTO skill_trees VALUES (29,164,1,'Quick Recovery',3300,20);
INSERT INTO skill_trees VALUES (29,164,2,'Quick Recovery',12000,30);
INSERT INTO skill_trees VALUES (29,212,1,'Fast HP Recovery',21000,35);
INSERT INTO skill_trees VALUES (29,213,1,'Boost Mana',3300,20);
INSERT INTO skill_trees VALUES (29,213,2,'Boost Mana',12000,30);
INSERT INTO skill_trees VALUES (29,228,1,'Fast Spell Casting',6500,25);
INSERT INTO skill_trees VALUES (29,229,1,'Fast Mana Recovery',6500,25);
INSERT INTO skill_trees VALUES (29,229,2,'Fast Mana Recovery',21000,35);
INSERT INTO skill_trees VALUES (29,235,1,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (29,235,2,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (29,235,3,'Robe Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,235,4,'Robe Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,235,5,'Robe Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,235,6,'Robe Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,235,7,'Robe Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,235,8,'Robe Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,236,1,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (29,236,2,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (29,236,3,'Light Armor Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,236,4,'Light Armor Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,236,5,'Light Armor Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,236,6,'Light Armor Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,236,7,'Light Armor Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,236,8,'Light Armor Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (29,249,3,'Weapon Mastery',3300,20);
INSERT INTO skill_trees VALUES (29,249,4,'Weapon Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,249,5,'Weapon Mastery',3200,25);
INSERT INTO skill_trees VALUES (29,249,6,'Weapon Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,249,7,'Weapon Mastery',6200,30);
INSERT INTO skill_trees VALUES (29,249,8,'Weapon Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,249,9,'Weapon Mastery',10000,35);
INSERT INTO skill_trees VALUES (29,1011,7,'Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1011,8,'Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1011,9,'Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1011,10,'Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1011,11,'Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1011,12,'Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1011,13,'Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1011,14,'Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1011,15,'Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1011,16,'Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1011,17,'Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1011,18,'Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1012,2,'Cure Poison',21000,35);
INSERT INTO skill_trees VALUES (29,1013,1,'Recharge',6200,30);
INSERT INTO skill_trees VALUES (29,1013,2,'Recharge',6200,30);
INSERT INTO skill_trees VALUES (29,1013,3,'Recharge',10000,35);
INSERT INTO skill_trees VALUES (29,1013,4,'Recharge',10000,35);
INSERT INTO skill_trees VALUES (29,1015,4,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1015,5,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1015,6,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1015,7,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1015,8,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1015,9,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1015,10,'Battle Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1015,11,'Battle Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1015,12,'Battle Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1015,13,'Battle Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1015,14,'Battle Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1015,15,'Battle Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1016,1,'Resurrection',3300,20);
INSERT INTO skill_trees VALUES (29,1016,2,'Resurrection',12000,30);
INSERT INTO skill_trees VALUES (29,1027,4,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1027,5,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1027,6,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (29,1027,7,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1027,8,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1027,9,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (29,1027,10,'Group Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1027,11,'Group Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1027,12,'Group Heal',4100,30);
INSERT INTO skill_trees VALUES (29,1027,13,'Group Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1027,14,'Group Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1027,15,'Group Heal',6900,35);
INSERT INTO skill_trees VALUES (29,1031,1,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (29,1031,2,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (29,1031,3,'Disrupt Undead',3200,25);
INSERT INTO skill_trees VALUES (29,1031,4,'Disrupt Undead',3200,25);
INSERT INTO skill_trees VALUES (29,1031,5,'Disrupt Undead',6200,30);
INSERT INTO skill_trees VALUES (29,1031,6,'Disrupt Undead',6200,30);
INSERT INTO skill_trees VALUES (29,1031,7,'Disrupt Undead',10000,35);
INSERT INTO skill_trees VALUES (29,1031,8,'Disrupt Undead',10000,35);
INSERT INTO skill_trees VALUES (29,1033,1,'Resist Poison',21000,35);
INSERT INTO skill_trees VALUES (29,1035,1,'Mental Shield',6500,25);
INSERT INTO skill_trees VALUES (29,1040,2,'Shield',6500,25);
INSERT INTO skill_trees VALUES (29,1043,1,'Holy Weapon',6500,25);
INSERT INTO skill_trees VALUES (29,1044,1,'Regeneration',21000,35);
INSERT INTO skill_trees VALUES (29,1068,2,'Might',3300,20);
INSERT INTO skill_trees VALUES (29,1069,1,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (29,1069,2,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (29,1069,3,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (29,1069,4,'Sleep',4100,30);
INSERT INTO skill_trees VALUES (29,1069,5,'Sleep',4100,30);
INSERT INTO skill_trees VALUES (29,1069,6,'Sleep',4100,30);
INSERT INTO skill_trees VALUES (29,1069,7,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (29,1069,8,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (29,1069,9,'Sleep',6900,35);
INSERT INTO skill_trees VALUES (29,1073,1,'Kiss of Eva',3300,20);
INSERT INTO skill_trees VALUES (29,1078,1,'Concentration',3300,20);
INSERT INTO skill_trees VALUES (29,1078,2,'Concentration',12000,30);
INSERT INTO skill_trees VALUES (29,1087,1,'Agility',6500,25);
INSERT INTO skill_trees VALUES (29,1201,1,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (29,1201,2,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (29,1201,3,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (29,1201,4,'Dryad Root',4100,30);
INSERT INTO skill_trees VALUES (29,1201,5,'Dryad Root',4100,30);
INSERT INTO skill_trees VALUES (29,1201,6,'Dryad Root',4100,30);
INSERT INTO skill_trees VALUES (29,1201,7,'Dryad Root',6900,35);
INSERT INTO skill_trees VALUES (29,1201,8,'Dryad Root',6900,35);
INSERT INTO skill_trees VALUES (29,1201,9,'Dryad Root',6900,35);
INSERT INTO skill_trees VALUES (29,1204,1,'Wind Walk',3300,20);
INSERT INTO skill_trees VALUES (29,1204,2,'Wind Walk',12000,30);
INSERT INTO skill_trees VALUES (29,1206,2,'Wind Shackle',3300,20);
INSERT INTO skill_trees VALUES (29,1206,3,'Wind Shackle',6500,25);
INSERT INTO skill_trees VALUES (29,1206,4,'Wind Shackle',12000,30);
INSERT INTO skill_trees VALUES (29,1206,5,'Wind Shackle',21000,35);
INSERT INTO skill_trees VALUES (29,1257,1,'Decrease Weight',21000,35);
INSERT INTO skill_trees VALUES (30,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (30,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (30,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (30,146,16,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (30,146,17,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (30,146,18,'Anti Magic',14000,44);
INSERT INTO skill_trees VALUES (30,146,19,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (30,146,20,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (30,146,21,'Anti Magic',22000,48);
INSERT INTO skill_trees VALUES (30,146,22,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (30,146,23,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (30,146,24,'Anti Magic',33000,52);
INSERT INTO skill_trees VALUES (30,146,25,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (30,146,26,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (30,146,27,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (30,146,28,'Anti Magic',79000,58);
INSERT INTO skill_trees VALUES (30,146,29,'Anti Magic',79000,58);
INSERT INTO skill_trees VALUES (30,146,30,'Anti Magic',110000,60);
INSERT INTO skill_trees VALUES (30,146,31,'Anti Magic',110000,60);
INSERT INTO skill_trees VALUES (30,146,32,'Anti Magic',150000,62);
INSERT INTO skill_trees VALUES (30,146,33,'Anti Magic',150000,62);
INSERT INTO skill_trees VALUES (30,146,34,'Anti Magic',170000,64);
INSERT INTO skill_trees VALUES (30,146,35,'Anti Magic',170000,64);
INSERT INTO skill_trees VALUES (30,146,36,'Anti Magic',250000,66);
INSERT INTO skill_trees VALUES (30,146,37,'Anti Magic',250000,66);
INSERT INTO skill_trees VALUES (30,146,38,'Anti Magic',300000,68);
INSERT INTO skill_trees VALUES (30,146,39,'Anti Magic',300000,68);
INSERT INTO skill_trees VALUES (30,146,40,'Anti Magic',360000,70);
INSERT INTO skill_trees VALUES (30,146,41,'Anti Magic',360000,70);
INSERT INTO skill_trees VALUES (30,146,42,'Anti Magic',540000,72);
INSERT INTO skill_trees VALUES (30,146,43,'Anti Magic',540000,72);
INSERT INTO skill_trees VALUES (30,146,44,'Anti Magic',820000,74);
INSERT INTO skill_trees VALUES (30,146,45,'Anti Magic',820000,74);
INSERT INTO skill_trees VALUES (30,164,3,'Quick Recovery',67000,48);
INSERT INTO skill_trees VALUES (30,212,2,'Fast HP Recovery',41000,44);
INSERT INTO skill_trees VALUES (30,212,3,'Fast HP Recovery',100000,52);
INSERT INTO skill_trees VALUES (30,212,4,'Fast HP Recovery',160000,58);
INSERT INTO skill_trees VALUES (30,212,5,'Fast HP Recovery',340000,64);
INSERT INTO skill_trees VALUES (30,212,6,'Fast HP Recovery',1600000,74);
INSERT INTO skill_trees VALUES (30,213,3,'Boost Mana',34000,40);
INSERT INTO skill_trees VALUES (30,213,4,'Boost Mana',67000,48);
INSERT INTO skill_trees VALUES (30,213,5,'Boost Mana',110000,56);
INSERT INTO skill_trees VALUES (30,213,6,'Boost Mana',210000,60);
INSERT INTO skill_trees VALUES (30,213,7,'Boost Mana',500000,66);
INSERT INTO skill_trees VALUES (30,213,8,'Boost Mana',1100000,72);
INSERT INTO skill_trees VALUES (30,228,2,'Fast Spell Casting',34000,40);
INSERT INTO skill_trees VALUES (30,228,3,'Fast Spell Casting',110000,56);
INSERT INTO skill_trees VALUES (30,229,3,'Fast Mana Recovery',41000,44);
INSERT INTO skill_trees VALUES (30,229,4,'Fast Mana Recovery',100000,52);
INSERT INTO skill_trees VALUES (30,229,5,'Fast Mana Recovery',210000,60);
INSERT INTO skill_trees VALUES (30,229,6,'Fast Mana Recovery',590000,68);
INSERT INTO skill_trees VALUES (30,229,7,'Fast Mana Recovery',1600000,74);
INSERT INTO skill_trees VALUES (30,235,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,235,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,235,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,235,12,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,235,13,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,235,14,'Robe Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,235,15,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,235,16,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,235,17,'Robe Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,235,18,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,235,19,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,235,20,'Robe Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,235,21,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,235,22,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,235,23,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,235,24,'Robe Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,235,25,'Robe Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,235,26,'Robe Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,235,27,'Robe Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,235,28,'Robe Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,235,29,'Robe Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,235,30,'Robe Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,235,31,'Robe Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,235,32,'Robe Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,235,33,'Robe Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,235,34,'Robe Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,235,35,'Robe Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,235,36,'Robe Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,235,37,'Robe Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,235,38,'Robe Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,235,39,'Robe Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,235,40,'Robe Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,235,41,'Robe Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,236,9,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,236,10,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,236,11,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,236,12,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,236,13,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,236,14,'Light Armor Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,236,15,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,236,16,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,236,17,'Light Armor Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,236,18,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,236,19,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,236,20,'Light Armor Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,236,21,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,236,22,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,236,23,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,236,24,'Light Armor Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,236,25,'Light Armor Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,236,26,'Light Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,236,27,'Light Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,236,28,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,236,29,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,236,30,'Light Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,236,31,'Light Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,236,32,'Light Armor Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,236,33,'Light Armor Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,236,34,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,236,35,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,236,36,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,236,37,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,236,38,'Light Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,236,39,'Light Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,236,40,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,236,41,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (30,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (30,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (30,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (30,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (30,249,13,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,249,14,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,249,15,'Weapon Mastery',14000,44);
INSERT INTO skill_trees VALUES (30,249,16,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,249,17,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,249,18,'Weapon Mastery',22000,48);
INSERT INTO skill_trees VALUES (30,249,19,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,249,20,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,249,21,'Weapon Mastery',33000,52);
INSERT INTO skill_trees VALUES (30,249,22,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,249,23,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,249,24,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (30,249,25,'Weapon Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,249,26,'Weapon Mastery',79000,58);
INSERT INTO skill_trees VALUES (30,249,27,'Weapon Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,249,28,'Weapon Mastery',110000,60);
INSERT INTO skill_trees VALUES (30,249,29,'Weapon Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,249,30,'Weapon Mastery',150000,62);
INSERT INTO skill_trees VALUES (30,249,31,'Weapon Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,249,32,'Weapon Mastery',170000,64);
INSERT INTO skill_trees VALUES (30,249,33,'Weapon Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,249,34,'Weapon Mastery',250000,66);
INSERT INTO skill_trees VALUES (30,249,35,'Weapon Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,249,36,'Weapon Mastery',300000,68);
INSERT INTO skill_trees VALUES (30,249,37,'Weapon Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,249,38,'Weapon Mastery',360000,70);
INSERT INTO skill_trees VALUES (30,249,39,'Weapon Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,249,40,'Weapon Mastery',540000,72);
INSERT INTO skill_trees VALUES (30,249,41,'Weapon Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,249,42,'Weapon Mastery',820000,74);
INSERT INTO skill_trees VALUES (30,1012,3,'Cure Poison',160000,58);
INSERT INTO skill_trees VALUES (30,1013,5,'Recharge',17000,40);
INSERT INTO skill_trees VALUES (30,1013,6,'Recharge',17000,40);
INSERT INTO skill_trees VALUES (30,1013,7,'Recharge',21000,44);
INSERT INTO skill_trees VALUES (30,1013,8,'Recharge',21000,44);
INSERT INTO skill_trees VALUES (30,1013,9,'Recharge',22000,48);
INSERT INTO skill_trees VALUES (30,1013,10,'Recharge',22000,48);
INSERT INTO skill_trees VALUES (30,1013,11,'Recharge',50000,52);
INSERT INTO skill_trees VALUES (30,1013,12,'Recharge',50000,52);
INSERT INTO skill_trees VALUES (30,1013,13,'Recharge',53000,56);
INSERT INTO skill_trees VALUES (30,1013,14,'Recharge',53000,56);
INSERT INTO skill_trees VALUES (30,1013,15,'Recharge',79000,58);
INSERT INTO skill_trees VALUES (30,1013,16,'Recharge',79000,58);
INSERT INTO skill_trees VALUES (30,1013,17,'Recharge',110000,60);
INSERT INTO skill_trees VALUES (30,1013,18,'Recharge',110000,60);
INSERT INTO skill_trees VALUES (30,1013,19,'Recharge',150000,62);
INSERT INTO skill_trees VALUES (30,1013,20,'Recharge',150000,62);
INSERT INTO skill_trees VALUES (30,1013,21,'Recharge',170000,64);
INSERT INTO skill_trees VALUES (30,1013,22,'Recharge',170000,64);
INSERT INTO skill_trees VALUES (30,1013,23,'Recharge',250000,66);
INSERT INTO skill_trees VALUES (30,1013,24,'Recharge',250000,66);
INSERT INTO skill_trees VALUES (30,1013,25,'Recharge',300000,68);
INSERT INTO skill_trees VALUES (30,1013,26,'Recharge',300000,68);
INSERT INTO skill_trees VALUES (30,1013,27,'Recharge',360000,70);
INSERT INTO skill_trees VALUES (30,1013,28,'Recharge',360000,70);
INSERT INTO skill_trees VALUES (30,1013,29,'Recharge',540000,72);
INSERT INTO skill_trees VALUES (30,1013,30,'Recharge',540000,72);
INSERT INTO skill_trees VALUES (30,1013,31,'Recharge',820000,74);
INSERT INTO skill_trees VALUES (30,1013,32,'Recharge',820000,74);
INSERT INTO skill_trees VALUES (30,1016,3,'Greater Resurrection',34000,40);
INSERT INTO skill_trees VALUES (30,1016,4,'Greater Resurrection',67000,48);
INSERT INTO skill_trees VALUES (30,1016,5,'Greater Resurrection',110000,56);
INSERT INTO skill_trees VALUES (30,1016,6,'Greater Resurrection',340000,64);
INSERT INTO skill_trees VALUES (30,1016,7,'Greater Resurrection',1600000,74);
INSERT INTO skill_trees VALUES (30,1020,1,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (30,1020,2,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (30,1020,3,'Vitalize',22000,48);
INSERT INTO skill_trees VALUES (30,1020,4,'Vitalize',33000,52);
INSERT INTO skill_trees VALUES (30,1020,5,'Vitalize',33000,52);
INSERT INTO skill_trees VALUES (30,1020,6,'Vitalize',33000,52);
INSERT INTO skill_trees VALUES (30,1020,7,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (30,1020,8,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (30,1020,9,'Vitalize',35000,56);
INSERT INTO skill_trees VALUES (30,1020,10,'Vitalize',79000,58);
INSERT INTO skill_trees VALUES (30,1020,11,'Vitalize',79000,58);
INSERT INTO skill_trees VALUES (30,1020,12,'Vitalize',110000,60);
INSERT INTO skill_trees VALUES (30,1020,13,'Vitalize',110000,60);
INSERT INTO skill_trees VALUES (30,1020,14,'Vitalize',150000,62);
INSERT INTO skill_trees VALUES (30,1020,15,'Vitalize',150000,62);
INSERT INTO skill_trees VALUES (30,1020,16,'Vitalize',170000,64);
INSERT INTO skill_trees VALUES (30,1020,17,'Vitalize',170000,64);
INSERT INTO skill_trees VALUES (30,1020,18,'Vitalize',250000,66);
INSERT INTO skill_trees VALUES (30,1020,19,'Vitalize',250000,66);
INSERT INTO skill_trees VALUES (30,1020,20,'Vitalize',300000,68);
INSERT INTO skill_trees VALUES (30,1020,21,'Vitalize',300000,68);
INSERT INTO skill_trees VALUES (30,1020,22,'Vitalize',360000,70);
INSERT INTO skill_trees VALUES (30,1020,23,'Vitalize',360000,70);
INSERT INTO skill_trees VALUES (30,1020,24,'Vitalize',540000,72);
INSERT INTO skill_trees VALUES (30,1020,25,'Vitalize',540000,72);
INSERT INTO skill_trees VALUES (30,1020,26,'Vitalize',820000,74);
INSERT INTO skill_trees VALUES (30,1020,27,'Vitalize',820000,74);
INSERT INTO skill_trees VALUES (30,1028,1,'Might of Heaven',17000,40);
INSERT INTO skill_trees VALUES (30,1028,2,'Might of Heaven',17000,40);
INSERT INTO skill_trees VALUES (30,1028,3,'Might of Heaven',21000,44);
INSERT INTO skill_trees VALUES (30,1028,4,'Might of Heaven',21000,44);
INSERT INTO skill_trees VALUES (30,1028,5,'Might of Heaven',33000,48);
INSERT INTO skill_trees VALUES (30,1028,6,'Might of Heaven',33000,48);
INSERT INTO skill_trees VALUES (30,1028,7,'Might of Heaven',50000,52);
INSERT INTO skill_trees VALUES (30,1028,8,'Might of Heaven',50000,52);
INSERT INTO skill_trees VALUES (30,1028,9,'Might of Heaven',53000,56);
INSERT INTO skill_trees VALUES (30,1028,10,'Might of Heaven',53000,56);
INSERT INTO skill_trees VALUES (30,1028,11,'Might of Heaven',160000,58);
INSERT INTO skill_trees VALUES (30,1028,12,'Might of Heaven',210000,60);
INSERT INTO skill_trees VALUES (30,1028,13,'Might of Heaven',310000,62);
INSERT INTO skill_trees VALUES (30,1028,14,'Might of Heaven',340000,64);
INSERT INTO skill_trees VALUES (30,1028,15,'Might of Heaven',500000,66);
INSERT INTO skill_trees VALUES (30,1028,16,'Might of Heaven',590000,68);
INSERT INTO skill_trees VALUES (30,1028,17,'Might of Heaven',720000,70);
INSERT INTO skill_trees VALUES (30,1028,18,'Might of Heaven',1100000,72);
INSERT INTO skill_trees VALUES (30,1028,19,'Might of Heaven',1600000,74);
INSERT INTO skill_trees VALUES (30,1033,2,'Resist Poison',34000,40);
INSERT INTO skill_trees VALUES (30,1033,3,'Resist Poison',41000,44);
INSERT INTO skill_trees VALUES (30,1035,2,'Mental Shield',34000,40);
INSERT INTO skill_trees VALUES (30,1035,3,'Mental Aegis',67000,48);
INSERT INTO skill_trees VALUES (30,1035,4,'Mental Aegis',110000,56);
INSERT INTO skill_trees VALUES (30,1040,3,'Shield',41000,44);
INSERT INTO skill_trees VALUES (30,1044,2,'Regeneration',67000,48);
INSERT INTO skill_trees VALUES (30,1044,3,'Regeneration',110000,56);
INSERT INTO skill_trees VALUES (30,1050,1,'Return',41000,44);
INSERT INTO skill_trees VALUES (30,1050,2,'Return',110000,56);
INSERT INTO skill_trees VALUES (30,1068,3,'Might',34000,40);
INSERT INTO skill_trees VALUES (30,1069,10,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (30,1069,11,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (30,1069,12,'Sleep',11000,40);
INSERT INTO skill_trees VALUES (30,1069,13,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (30,1069,14,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (30,1069,15,'Sleep',14000,44);
INSERT INTO skill_trees VALUES (30,1069,16,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (30,1069,17,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (30,1069,18,'Sleep',22000,48);
INSERT INTO skill_trees VALUES (30,1069,19,'Sleep',33000,52);
INSERT INTO skill_trees VALUES (30,1069,20,'Sleep',33000,52);
INSERT INTO skill_trees VALUES (30,1069,21,'Sleep',33000,52);
INSERT INTO skill_trees VALUES (30,1069,22,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (30,1069,23,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (30,1069,24,'Sleep',35000,56);
INSERT INTO skill_trees VALUES (30,1069,25,'Sleep',79000,58);
INSERT INTO skill_trees VALUES (30,1069,26,'Sleep',79000,58);
INSERT INTO skill_trees VALUES (30,1069,27,'Sleep',110000,60);
INSERT INTO skill_trees VALUES (30,1069,28,'Sleep',110000,60);
INSERT INTO skill_trees VALUES (30,1069,29,'Sleep',150000,62);
INSERT INTO skill_trees VALUES (30,1069,30,'Sleep',150000,62);
INSERT INTO skill_trees VALUES (30,1069,31,'Sleep',170000,64);
INSERT INTO skill_trees VALUES (30,1069,32,'Sleep',170000,64);
INSERT INTO skill_trees VALUES (30,1069,33,'Sleep',250000,66);
INSERT INTO skill_trees VALUES (30,1069,34,'Sleep',250000,66);
INSERT INTO skill_trees VALUES (30,1069,35,'Sleep',300000,68);
INSERT INTO skill_trees VALUES (30,1069,36,'Sleep',300000,68);
INSERT INTO skill_trees VALUES (30,1069,37,'Sleep',360000,70);
INSERT INTO skill_trees VALUES (30,1069,38,'Sleep',360000,70);
INSERT INTO skill_trees VALUES (30,1069,39,'Sleep',540000,72);
INSERT INTO skill_trees VALUES (30,1069,40,'Sleep',540000,72);
INSERT INTO skill_trees VALUES (30,1069,41,'Sleep',820000,74);
INSERT INTO skill_trees VALUES (30,1069,42,'Sleep',820000,74);
INSERT INTO skill_trees VALUES (30,1073,2,'Kiss of Eva',100000,52);
INSERT INTO skill_trees VALUES (30,1078,3,'Greater Concentration',41000,44);
INSERT INTO skill_trees VALUES (30,1078,4,'Greater Concentration',100000,52);
INSERT INTO skill_trees VALUES (30,1078,5,'Greater Concentration',210000,60);
INSERT INTO skill_trees VALUES (30,1078,6,'Greater Concentration',590000,68);
INSERT INTO skill_trees VALUES (30,1087,2,'Agility',41000,44);
INSERT INTO skill_trees VALUES (30,1087,3,'Agility',100000,52);
INSERT INTO skill_trees VALUES (30,1206,6,'Wind Shackle',34000,40);
INSERT INTO skill_trees VALUES (30,1206,7,'Wind Shackle',41000,44);
INSERT INTO skill_trees VALUES (30,1206,8,'Wind Shackle',67000,48);
INSERT INTO skill_trees VALUES (30,1206,9,'Wind Shackle',100000,52);
INSERT INTO skill_trees VALUES (30,1206,10,'Wind Shackle',110000,56);
INSERT INTO skill_trees VALUES (30,1206,11,'Wind Shackle',160000,58);
INSERT INTO skill_trees VALUES (30,1206,12,'Wind Shackle',210000,60);
INSERT INTO skill_trees VALUES (30,1206,13,'Wind Shackle',310000,62);
INSERT INTO skill_trees VALUES (30,1206,14,'Wind Shackle',340000,64);
INSERT INTO skill_trees VALUES (30,1206,15,'Wind Shackle',500000,66);
INSERT INTO skill_trees VALUES (30,1206,16,'Wind Shackle',590000,68);
INSERT INTO skill_trees VALUES (30,1206,17,'Wind Shackle',720000,70);
INSERT INTO skill_trees VALUES (30,1206,18,'Wind Shackle',1100000,72);
INSERT INTO skill_trees VALUES (30,1206,19,'Wind Shackle',1600000,74);
INSERT INTO skill_trees VALUES (30,1217,1,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (30,1217,2,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (30,1217,3,'Greater Heal',22000,48);
INSERT INTO skill_trees VALUES (30,1217,4,'Greater Heal',33000,52);
INSERT INTO skill_trees VALUES (30,1217,5,'Greater Heal',33000,52);
INSERT INTO skill_trees VALUES (30,1217,6,'Greater Heal',33000,52);
INSERT INTO skill_trees VALUES (30,1217,7,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (30,1217,8,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (30,1217,9,'Greater Heal',35000,56);
INSERT INTO skill_trees VALUES (30,1217,10,'Greater Heal',52000,58);
INSERT INTO skill_trees VALUES (30,1217,11,'Greater Heal',52000,58);
INSERT INTO skill_trees VALUES (30,1217,12,'Greater Heal',52000,58);
INSERT INTO skill_trees VALUES (30,1217,13,'Greater Heal',71000,60);
INSERT INTO skill_trees VALUES (30,1217,14,'Greater Heal',71000,60);
INSERT INTO skill_trees VALUES (30,1217,15,'Greater Heal',71000,60);
INSERT INTO skill_trees VALUES (30,1217,16,'Greater Heal',150000,62);
INSERT INTO skill_trees VALUES (30,1217,17,'Greater Heal',150000,62);
INSERT INTO skill_trees VALUES (30,1217,18,'Greater Heal',170000,64);
INSERT INTO skill_trees VALUES (30,1217,19,'Greater Heal',170000,64);
INSERT INTO skill_trees VALUES (30,1217,20,'Greater Heal',250000,66);
INSERT INTO skill_trees VALUES (30,1217,21,'Greater Heal',250000,66);
INSERT INTO skill_trees VALUES (30,1217,22,'Greater Heal',300000,68);
INSERT INTO skill_trees VALUES (30,1217,23,'Greater Heal',300000,68);
INSERT INTO skill_trees VALUES (30,1217,24,'Greater Heal',360000,70);
INSERT INTO skill_trees VALUES (30,1217,25,'Greater Heal',360000,70);
INSERT INTO skill_trees VALUES (30,1217,26,'Greater Heal',540000,72);
INSERT INTO skill_trees VALUES (30,1217,27,'Greater Heal',540000,72);
INSERT INTO skill_trees VALUES (30,1217,28,'Greater Heal',820000,74);
INSERT INTO skill_trees VALUES (30,1217,29,'Greater Heal',820000,74);
INSERT INTO skill_trees VALUES (30,1243,1,'Bless Shield',34000,40);
INSERT INTO skill_trees VALUES (30,1243,2,'Bless Shield',67000,48);
INSERT INTO skill_trees VALUES (30,1243,3,'Bless Shield',110000,56);
INSERT INTO skill_trees VALUES (30,1243,4,'Bless Shield',310000,62);
INSERT INTO skill_trees VALUES (30,1243,5,'Bless Shield',500000,66);
INSERT INTO skill_trees VALUES (30,1243,6,'Bless Shield',720000,70);
INSERT INTO skill_trees VALUES (30,1255,1,'Party Recall',67000,48);
INSERT INTO skill_trees VALUES (30,1255,2,'Party Recall',110000,56);
INSERT INTO skill_trees VALUES (30,1257,2,'Decrease Weight',41000,44);
INSERT INTO skill_trees VALUES (30,1257,3,'Decrease Weight',100000,52);
INSERT INTO skill_trees VALUES (30,1259,1,'Resist Shock',34000,40);
INSERT INTO skill_trees VALUES (30,1259,2,'Resist Shock',100000,52);
INSERT INTO skill_trees VALUES (30,1259,3,'Resist Shock',340000,64);
INSERT INTO skill_trees VALUES (30,1259,4,'Resist Shock',1100000,72);
INSERT INTO skill_trees VALUES (30,1273,1,'Serenade of Eva',41000,44);
INSERT INTO skill_trees VALUES (30,1273,2,'Serenade of Eva',67000,48);
INSERT INTO skill_trees VALUES (30,1273,3,'Serenade of Eva',100000,52);
INSERT INTO skill_trees VALUES (30,1273,4,'Serenade of Eva',110000,56);
INSERT INTO skill_trees VALUES (30,1273,5,'Serenade of Eva',160000,58);
INSERT INTO skill_trees VALUES (30,1273,6,'Serenade of Eva',210000,60);
INSERT INTO skill_trees VALUES (30,1273,7,'Serenade of Eva',310000,62);
INSERT INTO skill_trees VALUES (30,1273,8,'Serenade of Eva',340000,64);
INSERT INTO skill_trees VALUES (30,1273,9,'Serenade of Eva',500000,66);
INSERT INTO skill_trees VALUES (30,1273,10,'Serenade of Eva',590000,68);
INSERT INTO skill_trees VALUES (30,1273,11,'Serenade of Eva',720000,70);
INSERT INTO skill_trees VALUES (30,1273,12,'Serenade of Eva',1100000,72);
INSERT INTO skill_trees VALUES (30,1273,13,'Serenade of Eva',1600000,74);
INSERT INTO skill_trees VALUES (30,1303,1,'Wild Magic',310000,62);
INSERT INTO skill_trees VALUES (30,1303,2,'Wild Magic',720000,70);
INSERT INTO skill_trees VALUES (30,1304,1,'Advanced Block',160000,58);
INSERT INTO skill_trees VALUES (30,1304,2,'Advanced Block',500000,66);
INSERT INTO skill_trees VALUES (30,1304,3,'Advanced Block',1100000,72);
INSERT INTO skill_trees VALUES (31,3,1,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (31,3,2,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (31,3,3,'Power Strike',50,5);
INSERT INTO skill_trees VALUES (31,3,4,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (31,3,5,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (31,3,6,'Power Strike',310,10);
INSERT INTO skill_trees VALUES (31,3,7,'Power Strike',950,15);
INSERT INTO skill_trees VALUES (31,3,8,'Power Strike',950,15);
INSERT INTO skill_trees VALUES (31,3,9,'Power Strike',950,15);
INSERT INTO skill_trees VALUES (31,16,1,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (31,16,2,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (31,16,3,'Mortal Blow',50,5);
INSERT INTO skill_trees VALUES (31,16,4,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (31,16,5,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (31,16,6,'Mortal Blow',310,10);
INSERT INTO skill_trees VALUES (31,16,7,'Mortal Blow',950,15);
INSERT INTO skill_trees VALUES (31,16,8,'Mortal Blow',950,15);
INSERT INTO skill_trees VALUES (31,16,9,'Mortal Blow',950,15);
INSERT INTO skill_trees VALUES (31,56,1,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (31,56,2,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (31,56,3,'Power Shot',50,5);
INSERT INTO skill_trees VALUES (31,56,4,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (31,56,5,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (31,56,6,'Power Shot',310,10);
INSERT INTO skill_trees VALUES (31,56,7,'Power Shot',950,15);
INSERT INTO skill_trees VALUES (31,56,8,'Power Shot',950,15);
INSERT INTO skill_trees VALUES (31,56,9,'Power Shot',950,15);
INSERT INTO skill_trees VALUES (31,70,1,'Drain Health',1400,15);
INSERT INTO skill_trees VALUES (31,70,2,'Drain Health',1400,15);
INSERT INTO skill_trees VALUES (31,77,1,'Attack Aura',910,10);
INSERT INTO skill_trees VALUES (31,91,1,'Defense Aura',160,5);
INSERT INTO skill_trees VALUES (31,141,1,'Weapon Mastery',160,5);
INSERT INTO skill_trees VALUES (31,141,2,'Weapon Mastery',910,10);
INSERT INTO skill_trees VALUES (31,141,3,'Weapon Mastery',2900,15);
INSERT INTO skill_trees VALUES (31,142,1,'Armor Mastery',160,5);
INSERT INTO skill_trees VALUES (31,142,2,'Armor Mastery',460,10);
INSERT INTO skill_trees VALUES (31,142,3,'Armor Mastery',460,10);
INSERT INTO skill_trees VALUES (31,142,4,'Armor Mastery',1400,15);
INSERT INTO skill_trees VALUES (31,142,5,'Armor Mastery',1400,15);
INSERT INTO skill_trees VALUES (31,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (31,294,1,'Shadow Sense',2900,15);
INSERT INTO skill_trees VALUES (32,2,1,'Confusion',8800,24);
INSERT INTO skill_trees VALUES (32,2,2,'Confusion',13000,28);
INSERT INTO skill_trees VALUES (32,2,3,'Confusion',22000,32);
INSERT INTO skill_trees VALUES (32,2,4,'Confusion',28000,36);
INSERT INTO skill_trees VALUES (32,28,1,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (32,28,2,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (32,28,3,'Aggression',2900,24);
INSERT INTO skill_trees VALUES (32,28,4,'Aggression',4400,28);
INSERT INTO skill_trees VALUES (32,28,5,'Aggression',4400,28);
INSERT INTO skill_trees VALUES (32,28,6,'Aggression',4400,28);
INSERT INTO skill_trees VALUES (32,28,7,'Aggression',7400,32);
INSERT INTO skill_trees VALUES (32,28,8,'Aggression',7400,32);
INSERT INTO skill_trees VALUES (32,28,9,'Aggression',7400,32);
INSERT INTO skill_trees VALUES (32,28,10,'Aggression',9000,36);
INSERT INTO skill_trees VALUES (32,28,11,'Aggression',9000,36);
INSERT INTO skill_trees VALUES (32,28,12,'Aggression',9000,36);
INSERT INTO skill_trees VALUES (32,70,3,'Drain Health',2300,20);
INSERT INTO skill_trees VALUES (32,70,4,'Drain Health',2300,20);
INSERT INTO skill_trees VALUES (32,70,5,'Drain Health',2900,24);
INSERT INTO skill_trees VALUES (32,70,6,'Drain Health',2900,24);
INSERT INTO skill_trees VALUES (32,70,7,'Drain Health',2900,24);
INSERT INTO skill_trees VALUES (32,70,8,'Drain Health',4400,28);
INSERT INTO skill_trees VALUES (32,70,9,'Drain Health',4400,28);
INSERT INTO skill_trees VALUES (32,70,10,'Drain Health',4400,28);
INSERT INTO skill_trees VALUES (32,70,11,'Drain Health',7400,32);
INSERT INTO skill_trees VALUES (32,70,12,'Drain Health',7400,32);
INSERT INTO skill_trees VALUES (32,70,13,'Drain Health',7400,32);
INSERT INTO skill_trees VALUES (32,70,14,'Drain Health',9000,36);
INSERT INTO skill_trees VALUES (32,70,15,'Drain Health',9000,36);
INSERT INTO skill_trees VALUES (32,70,16,'Drain Health',9000,36);
INSERT INTO skill_trees VALUES (32,77,2,'Attack Aura',13000,28);
INSERT INTO skill_trees VALUES (32,91,2,'Defense Aura',4700,20);
INSERT INTO skill_trees VALUES (32,105,1,'Freezing Strike',14000,36);
INSERT INTO skill_trees VALUES (32,105,2,'Freezing Strike',14000,36);
INSERT INTO skill_trees VALUES (32,110,1,'Ultimate Defense',4700,20);
INSERT INTO skill_trees VALUES (32,112,1,'Deflect Arrow',8800,24);
INSERT INTO skill_trees VALUES (32,112,2,'Deflect Arrow',22000,32);
INSERT INTO skill_trees VALUES (32,115,1,'Power Break',22000,32);
INSERT INTO skill_trees VALUES (32,115,2,'Power Break',28000,36);
INSERT INTO skill_trees VALUES (32,129,1,'Poison',4700,20);
INSERT INTO skill_trees VALUES (32,147,1,'Magic Resistance',2300,20);
INSERT INTO skill_trees VALUES (32,147,2,'Magic Resistance',2300,20);
INSERT INTO skill_trees VALUES (32,147,3,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (32,147,4,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (32,147,5,'Magic Resistance',2900,24);
INSERT INTO skill_trees VALUES (32,147,6,'Magic Resistance',4400,28);
INSERT INTO skill_trees VALUES (32,147,7,'Magic Resistance',4400,28);
INSERT INTO skill_trees VALUES (32,147,8,'Magic Resistance',4400,28);
INSERT INTO skill_trees VALUES (32,147,9,'Magic Resistance',7400,32);
INSERT INTO skill_trees VALUES (32,147,10,'Magic Resistance',7400,32);
INSERT INTO skill_trees VALUES (32,147,11,'Magic Resistance',7400,32);
INSERT INTO skill_trees VALUES (32,147,12,'Magic Resistance',9000,36);
INSERT INTO skill_trees VALUES (32,147,13,'Magic Resistance',9000,36);
INSERT INTO skill_trees VALUES (32,147,14,'Magic Resistance',9000,36);
INSERT INTO skill_trees VALUES (32,153,1,'Shield Mastery',4700,20);
INSERT INTO skill_trees VALUES (32,153,2,'Shield Mastery',13000,28);
INSERT INTO skill_trees VALUES (32,191,1,'Focus Mind',28000,36);
INSERT INTO skill_trees VALUES (32,217,1,'Sword Blunt Mastery',4700,20);
INSERT INTO skill_trees VALUES (32,217,2,'Sword Blunt Mastery',8800,24);
INSERT INTO skill_trees VALUES (32,217,3,'Sword Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (32,217,4,'Sword Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (32,217,5,'Sword Blunt Mastery',11000,32);
INSERT INTO skill_trees VALUES (32,217,6,'Sword Blunt Mastery',11000,32);
INSERT INTO skill_trees VALUES (32,217,7,'Sword Blunt Mastery',14000,36);
INSERT INTO skill_trees VALUES (32,217,8,'Sword Blunt Mastery',14000,36);
INSERT INTO skill_trees VALUES (32,223,1,'Sting',2900,24);
INSERT INTO skill_trees VALUES (32,223,2,'Sting',2900,24);
INSERT INTO skill_trees VALUES (32,223,3,'Sting',2900,24);
INSERT INTO skill_trees VALUES (32,223,4,'Sting',4400,28);
INSERT INTO skill_trees VALUES (32,223,5,'Sting',4400,28);
INSERT INTO skill_trees VALUES (32,223,6,'Sting',4400,28);
INSERT INTO skill_trees VALUES (32,223,7,'Sting',7400,32);
INSERT INTO skill_trees VALUES (32,223,8,'Sting',7400,32);
INSERT INTO skill_trees VALUES (32,223,9,'Sting',7400,32);
INSERT INTO skill_trees VALUES (32,223,10,'Sting',9000,36);
INSERT INTO skill_trees VALUES (32,223,11,'Sting',9000,36);
INSERT INTO skill_trees VALUES (32,223,12,'Sting',9000,36);
INSERT INTO skill_trees VALUES (32,232,1,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (32,232,2,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (32,232,3,'Heavy Armor Mastery',1500,20);
INSERT INTO skill_trees VALUES (32,232,4,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (32,232,5,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (32,232,6,'Heavy Armor Mastery',2900,24);
INSERT INTO skill_trees VALUES (32,232,7,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (32,232,8,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (32,232,9,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (32,232,10,'Heavy Armor Mastery',7400,32);
INSERT INTO skill_trees VALUES (32,232,11,'Heavy Armor Mastery',7400,32);
INSERT INTO skill_trees VALUES (32,232,12,'Heavy Armor Mastery',7400,32);
INSERT INTO skill_trees VALUES (32,232,13,'Heavy Armor Mastery',9000,36);
INSERT INTO skill_trees VALUES (32,232,14,'Heavy Armor Mastery',9000,36);
INSERT INTO skill_trees VALUES (32,232,15,'Heavy Armor Mastery',9000,36);
INSERT INTO skill_trees VALUES (32,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (33,2,5,'Confusion',31000,40);
INSERT INTO skill_trees VALUES (33,2,6,'Confusion',32000,43);
INSERT INTO skill_trees VALUES (33,2,7,'Confusion',40000,46);
INSERT INTO skill_trees VALUES (33,2,8,'Confusion',58000,49);
INSERT INTO skill_trees VALUES (33,2,9,'Confusion',94000,52);
INSERT INTO skill_trees VALUES (33,2,10,'Confusion',130000,55);
INSERT INTO skill_trees VALUES (33,2,11,'Confusion',140000,58);
INSERT INTO skill_trees VALUES (33,2,12,'Confusion',180000,60);
INSERT INTO skill_trees VALUES (33,2,13,'Confusion',240000,62);
INSERT INTO skill_trees VALUES (33,2,14,'Confusion',280000,64);
INSERT INTO skill_trees VALUES (33,2,15,'Confusion',410000,66);
INSERT INTO skill_trees VALUES (33,2,16,'Confusion',490000,68);
INSERT INTO skill_trees VALUES (33,2,17,'Confusion',510000,70);
INSERT INTO skill_trees VALUES (33,2,18,'Confusion',880000,72);
INSERT INTO skill_trees VALUES (33,2,19,'Confusion',1400000,74);
INSERT INTO skill_trees VALUES (33,18,1,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (33,18,2,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (33,18,3,'Hate Aura',10000,40);
INSERT INTO skill_trees VALUES (33,18,4,'Hate Aura',11000,43);
INSERT INTO skill_trees VALUES (33,18,5,'Hate Aura',11000,43);
INSERT INTO skill_trees VALUES (33,18,6,'Hate Aura',11000,43);
INSERT INTO skill_trees VALUES (33,18,7,'Hate Aura',13000,46);
INSERT INTO skill_trees VALUES (33,18,8,'Hate Aura',13000,46);
INSERT INTO skill_trees VALUES (33,18,9,'Hate Aura',13000,46);
INSERT INTO skill_trees VALUES (33,18,10,'Hate Aura',19000,49);
INSERT INTO skill_trees VALUES (33,18,11,'Hate Aura',19000,49);
INSERT INTO skill_trees VALUES (33,18,12,'Hate Aura',19000,49);
INSERT INTO skill_trees VALUES (33,18,13,'Hate Aura',31000,52);
INSERT INTO skill_trees VALUES (33,18,14,'Hate Aura',31000,52);
INSERT INTO skill_trees VALUES (33,18,15,'Hate Aura',31000,52);
INSERT INTO skill_trees VALUES (33,18,16,'Hate Aura',43000,55);
INSERT INTO skill_trees VALUES (33,18,17,'Hate Aura',43000,55);
INSERT INTO skill_trees VALUES (33,18,18,'Hate Aura',43000,55);
INSERT INTO skill_trees VALUES (33,18,19,'Hate Aura',47000,58);
INSERT INTO skill_trees VALUES (33,18,20,'Hate Aura',47000,58);
INSERT INTO skill_trees VALUES (33,18,21,'Hate Aura',47000,58);
INSERT INTO skill_trees VALUES (33,18,22,'Hate Aura',90000,60);
INSERT INTO skill_trees VALUES (33,18,23,'Hate Aura',90000,60);
INSERT INTO skill_trees VALUES (33,18,24,'Hate Aura',120000,62);
INSERT INTO skill_trees VALUES (33,18,25,'Hate Aura',120000,62);
INSERT INTO skill_trees VALUES (33,18,26,'Hate Aura',140000,64);
INSERT INTO skill_trees VALUES (33,18,27,'Hate Aura',140000,64);
INSERT INTO skill_trees VALUES (33,18,28,'Hate Aura',210000,66);
INSERT INTO skill_trees VALUES (33,18,29,'Hate Aura',210000,66);
INSERT INTO skill_trees VALUES (33,18,30,'Hate Aura',240000,68);
INSERT INTO skill_trees VALUES (33,18,31,'Hate Aura',240000,68);
INSERT INTO skill_trees VALUES (33,18,32,'Hate Aura',260000,70);
INSERT INTO skill_trees VALUES (33,18,33,'Hate Aura',260000,70);
INSERT INTO skill_trees VALUES (33,18,34,'Hate Aura',440000,72);
INSERT INTO skill_trees VALUES (33,18,35,'Hate Aura',440000,72);
INSERT INTO skill_trees VALUES (33,18,36,'Hate Aura',680000,74);
INSERT INTO skill_trees VALUES (33,18,37,'Hate Aura',680000,74);
INSERT INTO skill_trees VALUES (33,22,1,'Summon Vampiric Cubic',32000,43);
INSERT INTO skill_trees VALUES (33,22,2,'Summon Vampiric Cubic',58000,49);
INSERT INTO skill_trees VALUES (33,22,3,'Summon Vampiric Cubic',130000,55);
INSERT INTO skill_trees VALUES (33,22,4,'Summon Vampiric Cubic',180000,60);
INSERT INTO skill_trees VALUES (33,22,5,'Summon Vampiric Cubic',280000,64);
INSERT INTO skill_trees VALUES (33,22,6,'Summon Vampiric Cubic',490000,68);
INSERT INTO skill_trees VALUES (33,22,7,'Summon Vampiric Cubic',880000,72);
INSERT INTO skill_trees VALUES (33,28,13,'Aggression',10000,40);
INSERT INTO skill_trees VALUES (33,28,14,'Aggression',10000,40);
INSERT INTO skill_trees VALUES (33,28,15,'Aggression',10000,40);
INSERT INTO skill_trees VALUES (33,28,16,'Aggression',11000,43);
INSERT INTO skill_trees VALUES (33,28,17,'Aggression',11000,43);
INSERT INTO skill_trees VALUES (33,28,18,'Aggression',11000,43);
INSERT INTO skill_trees VALUES (33,28,19,'Aggression',13000,46);
INSERT INTO skill_trees VALUES (33,28,20,'Aggression',13000,46);
INSERT INTO skill_trees VALUES (33,28,21,'Aggression',13000,46);
INSERT INTO skill_trees VALUES (33,28,22,'Aggression',19000,49);
INSERT INTO skill_trees VALUES (33,28,23,'Aggression',19000,49);
INSERT INTO skill_trees VALUES (33,28,24,'Aggression',19000,49);
INSERT INTO skill_trees VALUES (33,28,25,'Aggression',31000,52);
INSERT INTO skill_trees VALUES (33,28,26,'Aggression',31000,52);
INSERT INTO skill_trees VALUES (33,28,27,'Aggression',31000,52);
INSERT INTO skill_trees VALUES (33,28,28,'Aggression',43000,55);
INSERT INTO skill_trees VALUES (33,28,29,'Aggression',43000,55);
INSERT INTO skill_trees VALUES (33,28,30,'Aggression',43000,55);
INSERT INTO skill_trees VALUES (33,28,31,'Aggression',47000,58);
INSERT INTO skill_trees VALUES (33,28,32,'Aggression',47000,58);
INSERT INTO skill_trees VALUES (33,28,33,'Aggression',47000,58);
INSERT INTO skill_trees VALUES (33,28,34,'Aggression',90000,60);
INSERT INTO skill_trees VALUES (33,28,35,'Aggression',90000,60);
INSERT INTO skill_trees VALUES (33,28,36,'Aggression',120000,62);
INSERT INTO skill_trees VALUES (33,28,37,'Aggression',120000,62);
INSERT INTO skill_trees VALUES (33,28,38,'Aggression',140000,64);
INSERT INTO skill_trees VALUES (33,28,39,'Aggression',140000,64);
INSERT INTO skill_trees VALUES (33,28,40,'Aggression',210000,66);
INSERT INTO skill_trees VALUES (33,28,41,'Aggression',210000,66);
INSERT INTO skill_trees VALUES (33,28,42,'Aggression',240000,68);
INSERT INTO skill_trees VALUES (33,28,43,'Aggression',240000,68);
INSERT INTO skill_trees VALUES (33,28,44,'Aggression',260000,70);
INSERT INTO skill_trees VALUES (33,28,45,'Aggression',260000,70);
INSERT INTO skill_trees VALUES (33,28,46,'Aggression',440000,72);
INSERT INTO skill_trees VALUES (33,28,47,'Aggression',440000,72);
INSERT INTO skill_trees VALUES (33,28,48,'Aggression',680000,74);
INSERT INTO skill_trees VALUES (33,28,49,'Aggression',680000,74);
INSERT INTO skill_trees VALUES (33,33,1,'Summon Poltergeist Cubic',31000,40);
INSERT INTO skill_trees VALUES (33,33,2,'Summon Poltergeist Cubic',40000,46);
INSERT INTO skill_trees VALUES (33,33,3,'Summon Poltergeist Cubic',94000,52);
INSERT INTO skill_trees VALUES (33,33,4,'Summon Poltergeist Cubic',140000,58);
INSERT INTO skill_trees VALUES (33,33,5,'Summon Poltergeist Cubic',240000,62);
INSERT INTO skill_trees VALUES (33,33,6,'Summon Poltergeist Cubic',410000,66);
INSERT INTO skill_trees VALUES (33,33,7,'Summon Poltergeist Cubic',510000,70);
INSERT INTO skill_trees VALUES (33,33,8,'Summon Poltergeist Cubic',1400000,74);
INSERT INTO skill_trees VALUES (33,70,17,'Drain Health',10000,40);
INSERT INTO skill_trees VALUES (33,70,18,'Drain Health',10000,40);
INSERT INTO skill_trees VALUES (33,70,19,'Drain Health',10000,40);
INSERT INTO skill_trees VALUES (33,70,20,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (33,70,21,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (33,70,22,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (33,70,23,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (33,70,24,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (33,70,25,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (33,70,26,'Drain Health',19000,49);
INSERT INTO skill_trees VALUES (33,70,27,'Drain Health',19000,49);
INSERT INTO skill_trees VALUES (33,70,28,'Drain Health',19000,49);
INSERT INTO skill_trees VALUES (33,70,29,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (33,70,30,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (33,70,31,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (33,70,32,'Drain Health',43000,55);
INSERT INTO skill_trees VALUES (33,70,33,'Drain Health',43000,55);
INSERT INTO skill_trees VALUES (33,70,34,'Drain Health',43000,55);
INSERT INTO skill_trees VALUES (33,70,35,'Drain Health',47000,58);
INSERT INTO skill_trees VALUES (33,70,36,'Drain Health',47000,58);
INSERT INTO skill_trees VALUES (33,70,37,'Drain Health',47000,58);
INSERT INTO skill_trees VALUES (33,70,38,'Drain Health',90000,60);
INSERT INTO skill_trees VALUES (33,70,39,'Drain Health',90000,60);
INSERT INTO skill_trees VALUES (33,70,40,'Drain Health',120000,62);
INSERT INTO skill_trees VALUES (33,70,41,'Drain Health',120000,62);
INSERT INTO skill_trees VALUES (33,70,42,'Drain Health',140000,64);
INSERT INTO skill_trees VALUES (33,70,43,'Drain Health',140000,64);
INSERT INTO skill_trees VALUES (33,70,44,'Drain Health',210000,66);
INSERT INTO skill_trees VALUES (33,70,45,'Drain Health',210000,66);
INSERT INTO skill_trees VALUES (33,70,46,'Drain Health',240000,68);
INSERT INTO skill_trees VALUES (33,70,47,'Drain Health',240000,68);
INSERT INTO skill_trees VALUES (33,70,48,'Drain Health',260000,70);
INSERT INTO skill_trees VALUES (33,70,49,'Drain Health',260000,70);
INSERT INTO skill_trees VALUES (33,70,50,'Drain Health',440000,72);
INSERT INTO skill_trees VALUES (33,70,51,'Drain Health',440000,72);
INSERT INTO skill_trees VALUES (33,70,52,'Drain Health',680000,74);
INSERT INTO skill_trees VALUES (33,70,53,'Drain Health',680000,74);
INSERT INTO skill_trees VALUES (33,103,1,'Corpse Plague',40000,46);
INSERT INTO skill_trees VALUES (33,103,2,'Corpse Plague',140000,58);
INSERT INTO skill_trees VALUES (33,103,3,'Corpse Plague',240000,62);
INSERT INTO skill_trees VALUES (33,103,4,'Corpse Plague',510000,70);
INSERT INTO skill_trees VALUES (33,105,3,'Freezing Strike',15000,40);
INSERT INTO skill_trees VALUES (33,105,4,'Freezing Strike',15000,40);
INSERT INTO skill_trees VALUES (33,105,5,'Freezing Strike',16000,43);
INSERT INTO skill_trees VALUES (33,105,6,'Freezing Strike',16000,43);
INSERT INTO skill_trees VALUES (33,105,7,'Freezing Strike',20000,46);
INSERT INTO skill_trees VALUES (33,105,8,'Freezing Strike',20000,46);
INSERT INTO skill_trees VALUES (33,105,9,'Freezing Strike',29000,49);
INSERT INTO skill_trees VALUES (33,105,10,'Freezing Strike',29000,49);
INSERT INTO skill_trees VALUES (33,105,11,'Freezing Strike',47000,52);
INSERT INTO skill_trees VALUES (33,105,12,'Freezing Strike',47000,52);
INSERT INTO skill_trees VALUES (33,105,13,'Freezing Strike',65000,55);
INSERT INTO skill_trees VALUES (33,105,14,'Freezing Strike',65000,55);
INSERT INTO skill_trees VALUES (33,105,15,'Freezing Strike',71000,58);
INSERT INTO skill_trees VALUES (33,105,16,'Freezing Strike',71000,58);
INSERT INTO skill_trees VALUES (33,105,17,'Freezing Strike',180000,60);
INSERT INTO skill_trees VALUES (33,105,18,'Freezing Strike',240000,62);
INSERT INTO skill_trees VALUES (33,105,19,'Freezing Strike',280000,64);
INSERT INTO skill_trees VALUES (33,105,20,'Freezing Strike',410000,66);
INSERT INTO skill_trees VALUES (33,105,21,'Freezing Strike',490000,68);
INSERT INTO skill_trees VALUES (33,105,22,'Freezing Strike',510000,70);
INSERT INTO skill_trees VALUES (33,105,23,'Freezing Strike',880000,72);
INSERT INTO skill_trees VALUES (33,105,24,'Freezing Strike',1400000,74);
INSERT INTO skill_trees VALUES (33,110,2,'Ultimate Defense',40000,46);
INSERT INTO skill_trees VALUES (33,112,3,'Deflect Arrow',32000,43);
INSERT INTO skill_trees VALUES (33,112,4,'Deflect Arrow',58000,49);
INSERT INTO skill_trees VALUES (33,115,3,'Power Break',31000,40);
INSERT INTO skill_trees VALUES (33,115,4,'Power Break',32000,43);
INSERT INTO skill_trees VALUES (33,115,5,'Power Break',40000,46);
INSERT INTO skill_trees VALUES (33,115,6,'Power Break',58000,49);
INSERT INTO skill_trees VALUES (33,115,7,'Power Break',94000,52);
INSERT INTO skill_trees VALUES (33,115,8,'Power Break',130000,55);
INSERT INTO skill_trees VALUES (33,115,9,'Power Break',140000,58);
INSERT INTO skill_trees VALUES (33,115,10,'Power Break',180000,60);
INSERT INTO skill_trees VALUES (33,115,11,'Power Break',240000,62);
INSERT INTO skill_trees VALUES (33,115,12,'Power Break',280000,64);
INSERT INTO skill_trees VALUES (33,115,13,'Power Break',410000,66);
INSERT INTO skill_trees VALUES (33,115,14,'Power Break',490000,68);
INSERT INTO skill_trees VALUES (33,115,15,'Power Break',510000,70);
INSERT INTO skill_trees VALUES (33,115,16,'Power Break',880000,72);
INSERT INTO skill_trees VALUES (33,115,17,'Power Break',1400000,74);
INSERT INTO skill_trees VALUES (33,122,1,'Hex',31000,40);
INSERT INTO skill_trees VALUES (33,122,2,'Hex',32000,43);
INSERT INTO skill_trees VALUES (33,122,3,'Hex',40000,46);
INSERT INTO skill_trees VALUES (33,122,4,'Hex',58000,49);
INSERT INTO skill_trees VALUES (33,122,5,'Hex',94000,52);
INSERT INTO skill_trees VALUES (33,122,6,'Hex',130000,55);
INSERT INTO skill_trees VALUES (33,122,7,'Hex',140000,58);
INSERT INTO skill_trees VALUES (33,122,8,'Hex',180000,60);
INSERT INTO skill_trees VALUES (33,122,9,'Hex',240000,62);
INSERT INTO skill_trees VALUES (33,122,10,'Hex',280000,64);
INSERT INTO skill_trees VALUES (33,122,11,'Hex',410000,66);
INSERT INTO skill_trees VALUES (33,122,12,'Hex',490000,68);
INSERT INTO skill_trees VALUES (33,122,13,'Hex',510000,70);
INSERT INTO skill_trees VALUES (33,122,14,'Hex',880000,72);
INSERT INTO skill_trees VALUES (33,122,15,'Hex',1400000,74);
INSERT INTO skill_trees VALUES (33,129,2,'Poison',58000,49);
INSERT INTO skill_trees VALUES (33,129,3,'Poison',140000,58);
INSERT INTO skill_trees VALUES (33,129,4,'Poison',410000,66);
INSERT INTO skill_trees VALUES (33,129,5,'Poison',1400000,74);
INSERT INTO skill_trees VALUES (33,143,1,'Cubic Mastery',32000,43);
INSERT INTO skill_trees VALUES (33,143,2,'Cubic Mastery',130000,55);
INSERT INTO skill_trees VALUES (33,147,15,'Magic Resistance',10000,40);
INSERT INTO skill_trees VALUES (33,147,16,'Magic Resistance',10000,40);
INSERT INTO skill_trees VALUES (33,147,17,'Magic Resistance',10000,40);
INSERT INTO skill_trees VALUES (33,147,18,'Magic Resistance',11000,43);
INSERT INTO skill_trees VALUES (33,147,19,'Magic Resistance',11000,43);
INSERT INTO skill_trees VALUES (33,147,20,'Magic Resistance',11000,43);
INSERT INTO skill_trees VALUES (33,147,21,'Magic Resistance',13000,46);
INSERT INTO skill_trees VALUES (33,147,22,'Magic Resistance',13000,46);
INSERT INTO skill_trees VALUES (33,147,23,'Magic Resistance',13000,46);
INSERT INTO skill_trees VALUES (33,147,24,'Magic Resistance',19000,49);
INSERT INTO skill_trees VALUES (33,147,25,'Magic Resistance',19000,49);
INSERT INTO skill_trees VALUES (33,147,26,'Magic Resistance',19000,49);
INSERT INTO skill_trees VALUES (33,147,27,'Magic Resistance',31000,52);
INSERT INTO skill_trees VALUES (33,147,28,'Magic Resistance',31000,52);
INSERT INTO skill_trees VALUES (33,147,29,'Magic Resistance',31000,52);
INSERT INTO skill_trees VALUES (33,147,30,'Magic Resistance',43000,55);
INSERT INTO skill_trees VALUES (33,147,31,'Magic Resistance',43000,55);
INSERT INTO skill_trees VALUES (33,147,32,'Magic Resistance',43000,55);
INSERT INTO skill_trees VALUES (33,147,33,'Magic Resistance',47000,58);
INSERT INTO skill_trees VALUES (33,147,34,'Magic Resistance',47000,58);
INSERT INTO skill_trees VALUES (33,147,35,'Magic Resistance',47000,58);
INSERT INTO skill_trees VALUES (33,147,36,'Magic Resistance',90000,60);
INSERT INTO skill_trees VALUES (33,147,37,'Magic Resistance',90000,60);
INSERT INTO skill_trees VALUES (33,147,38,'Magic Resistance',120000,62);
INSERT INTO skill_trees VALUES (33,147,39,'Magic Resistance',120000,62);
INSERT INTO skill_trees VALUES (33,147,40,'Magic Resistance',140000,64);
INSERT INTO skill_trees VALUES (33,147,41,'Magic Resistance',140000,64);
INSERT INTO skill_trees VALUES (33,147,42,'Magic Resistance',210000,66);
INSERT INTO skill_trees VALUES (33,147,43,'Magic Resistance',210000,66);
INSERT INTO skill_trees VALUES (33,147,44,'Magic Resistance',240000,68);
INSERT INTO skill_trees VALUES (33,147,45,'Magic Resistance',240000,68);
INSERT INTO skill_trees VALUES (33,147,46,'Magic Resistance',260000,70);
INSERT INTO skill_trees VALUES (33,147,47,'Magic Resistance',260000,70);
INSERT INTO skill_trees VALUES (33,147,48,'Magic Resistance',440000,72);
INSERT INTO skill_trees VALUES (33,147,49,'Magic Resistance',440000,72);
INSERT INTO skill_trees VALUES (33,147,50,'Magic Resistance',680000,74);
INSERT INTO skill_trees VALUES (33,147,51,'Magic Resistance',680000,74);
INSERT INTO skill_trees VALUES (33,153,3,'Shield Mastery',31000,40);
INSERT INTO skill_trees VALUES (33,153,4,'Shield Mastery',94000,52);
INSERT INTO skill_trees VALUES (33,191,2,'Focus Mind',32000,43);
INSERT INTO skill_trees VALUES (33,191,3,'Focus Mind',58000,49);
INSERT INTO skill_trees VALUES (33,191,4,'Focus Mind',130000,55);
INSERT INTO skill_trees VALUES (33,191,5,'Focus Mind',280000,64);
INSERT INTO skill_trees VALUES (33,191,6,'Focus Mind',880000,72);
INSERT INTO skill_trees VALUES (33,217,9,'Sword Blunt Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,217,10,'Sword Blunt Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,217,11,'Sword Blunt Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,217,12,'Sword Blunt Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,217,13,'Sword Blunt Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,217,14,'Sword Blunt Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,217,15,'Sword Blunt Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,217,16,'Sword Blunt Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,217,17,'Sword Blunt Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,217,18,'Sword Blunt Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,217,19,'Sword Blunt Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,217,20,'Sword Blunt Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,217,21,'Sword Blunt Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,217,22,'Sword Blunt Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,217,23,'Sword Blunt Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,217,24,'Sword Blunt Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,217,25,'Sword Blunt Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,217,26,'Sword Blunt Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,217,27,'Sword Blunt Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,217,28,'Sword Blunt Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,217,29,'Sword Blunt Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,217,30,'Sword Blunt Mastery',90000,60);
INSERT INTO skill_trees VALUES (33,217,31,'Sword Blunt Mastery',90000,60);
INSERT INTO skill_trees VALUES (33,217,32,'Sword Blunt Mastery',120000,62);
INSERT INTO skill_trees VALUES (33,217,33,'Sword Blunt Mastery',120000,62);
INSERT INTO skill_trees VALUES (33,217,34,'Sword Blunt Mastery',140000,64);
INSERT INTO skill_trees VALUES (33,217,35,'Sword Blunt Mastery',140000,64);
INSERT INTO skill_trees VALUES (33,217,36,'Sword Blunt Mastery',210000,66);
INSERT INTO skill_trees VALUES (33,217,37,'Sword Blunt Mastery',210000,66);
INSERT INTO skill_trees VALUES (33,217,38,'Sword Blunt Mastery',240000,68);
INSERT INTO skill_trees VALUES (33,217,39,'Sword Blunt Mastery',240000,68);
INSERT INTO skill_trees VALUES (33,217,40,'Sword Blunt Mastery',260000,70);
INSERT INTO skill_trees VALUES (33,217,41,'Sword Blunt Mastery',260000,70);
INSERT INTO skill_trees VALUES (33,217,42,'Sword Blunt Mastery',440000,72);
INSERT INTO skill_trees VALUES (33,217,43,'Sword Blunt Mastery',440000,72);
INSERT INTO skill_trees VALUES (33,217,44,'Sword Blunt Mastery',680000,74);
INSERT INTO skill_trees VALUES (33,217,45,'Sword Blunt Mastery',680000,74);
INSERT INTO skill_trees VALUES (33,223,13,'Sting',10000,40);
INSERT INTO skill_trees VALUES (33,223,14,'Sting',10000,40);
INSERT INTO skill_trees VALUES (33,223,15,'Sting',10000,40);
INSERT INTO skill_trees VALUES (33,223,16,'Sting',11000,43);
INSERT INTO skill_trees VALUES (33,223,17,'Sting',11000,43);
INSERT INTO skill_trees VALUES (33,223,18,'Sting',11000,43);
INSERT INTO skill_trees VALUES (33,223,19,'Sting',13000,46);
INSERT INTO skill_trees VALUES (33,223,20,'Sting',13000,46);
INSERT INTO skill_trees VALUES (33,223,21,'Sting',13000,46);
INSERT INTO skill_trees VALUES (33,223,22,'Sting',19000,49);
INSERT INTO skill_trees VALUES (33,223,23,'Sting',19000,49);
INSERT INTO skill_trees VALUES (33,223,24,'Sting',19000,49);
INSERT INTO skill_trees VALUES (33,223,25,'Sting',31000,52);
INSERT INTO skill_trees VALUES (33,223,26,'Sting',31000,52);
INSERT INTO skill_trees VALUES (33,223,27,'Sting',31000,52);
INSERT INTO skill_trees VALUES (33,223,28,'Sting',43000,55);
INSERT INTO skill_trees VALUES (33,223,29,'Sting',43000,55);
INSERT INTO skill_trees VALUES (33,223,30,'Sting',43000,55);
INSERT INTO skill_trees VALUES (33,223,31,'Sting',47000,58);
INSERT INTO skill_trees VALUES (33,223,32,'Sting',47000,58);
INSERT INTO skill_trees VALUES (33,223,33,'Sting',47000,58);
INSERT INTO skill_trees VALUES (33,223,34,'Sting',90000,60);
INSERT INTO skill_trees VALUES (33,223,35,'Sting',90000,60);
INSERT INTO skill_trees VALUES (33,223,36,'Sting',120000,62);
INSERT INTO skill_trees VALUES (33,223,37,'Sting',120000,62);
INSERT INTO skill_trees VALUES (33,223,38,'Sting',140000,64);
INSERT INTO skill_trees VALUES (33,223,39,'Sting',140000,64);
INSERT INTO skill_trees VALUES (33,223,40,'Sting',210000,66);
INSERT INTO skill_trees VALUES (33,223,41,'Sting',210000,66);
INSERT INTO skill_trees VALUES (33,223,42,'Sting',240000,68);
INSERT INTO skill_trees VALUES (33,223,43,'Sting',240000,68);
INSERT INTO skill_trees VALUES (33,223,44,'Sting',260000,70);
INSERT INTO skill_trees VALUES (33,223,45,'Sting',260000,70);
INSERT INTO skill_trees VALUES (33,223,46,'Sting',440000,72);
INSERT INTO skill_trees VALUES (33,223,47,'Sting',440000,72);
INSERT INTO skill_trees VALUES (33,223,48,'Sting',680000,74);
INSERT INTO skill_trees VALUES (33,223,49,'Sting',680000,74);
INSERT INTO skill_trees VALUES (33,232,16,'Heavy Armor Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,232,17,'Heavy Armor Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,232,18,'Heavy Armor Mastery',10000,40);
INSERT INTO skill_trees VALUES (33,232,19,'Heavy Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,232,20,'Heavy Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,232,21,'Heavy Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (33,232,22,'Heavy Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,232,23,'Heavy Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,232,24,'Heavy Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (33,232,25,'Heavy Armor Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,232,26,'Heavy Armor Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,232,27,'Heavy Armor Mastery',19000,49);
INSERT INTO skill_trees VALUES (33,232,28,'Heavy Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,232,29,'Heavy Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,232,30,'Heavy Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (33,232,31,'Heavy Armor Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,232,32,'Heavy Armor Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,232,33,'Heavy Armor Mastery',43000,55);
INSERT INTO skill_trees VALUES (33,232,34,'Heavy Armor Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,232,35,'Heavy Armor Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,232,36,'Heavy Armor Mastery',47000,58);
INSERT INTO skill_trees VALUES (33,232,37,'Heavy Armor Mastery',90000,60);
INSERT INTO skill_trees VALUES (33,232,38,'Heavy Armor Mastery',90000,60);
INSERT INTO skill_trees VALUES (33,232,39,'Heavy Armor Mastery',120000,62);
INSERT INTO skill_trees VALUES (33,232,40,'Heavy Armor Mastery',120000,62);
INSERT INTO skill_trees VALUES (33,232,41,'Heavy Armor Mastery',140000,64);
INSERT INTO skill_trees VALUES (33,232,42,'Heavy Armor Mastery',140000,64);
INSERT INTO skill_trees VALUES (33,232,43,'Heavy Armor Mastery',210000,66);
INSERT INTO skill_trees VALUES (33,232,44,'Heavy Armor Mastery',210000,66);
INSERT INTO skill_trees VALUES (33,232,45,'Heavy Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (33,232,46,'Heavy Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (33,232,47,'Heavy Armor Mastery',260000,70);
INSERT INTO skill_trees VALUES (33,232,48,'Heavy Armor Mastery',260000,70);
INSERT INTO skill_trees VALUES (33,232,49,'Heavy Armor Mastery',440000,72);
INSERT INTO skill_trees VALUES (33,232,50,'Heavy Armor Mastery',440000,72);
INSERT INTO skill_trees VALUES (33,232,51,'Heavy Armor Mastery',680000,74);
INSERT INTO skill_trees VALUES (33,232,52,'Heavy Armor Mastery',680000,74);
INSERT INTO skill_trees VALUES (33,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (33,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (33,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (33,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (33,278,1,'Summon Viper Cubic',58000,49);
INSERT INTO skill_trees VALUES (33,278,2,'Summon Viper Cubic',130000,55);
INSERT INTO skill_trees VALUES (33,278,3,'Summon Viper Cubic',180000,60);
INSERT INTO skill_trees VALUES (33,278,4,'Summon Viper Cubic',280000,64);
INSERT INTO skill_trees VALUES (33,278,5,'Summon Viper Cubic',490000,68);
INSERT INTO skill_trees VALUES (33,278,6,'Summon Viper Cubic',880000,72);
INSERT INTO skill_trees VALUES (33,279,1,'Lightning Strike',140000,58);
INSERT INTO skill_trees VALUES (33,279,2,'Lightning Strike',240000,62);
INSERT INTO skill_trees VALUES (33,279,3,'Lightning Strike',410000,66);
INSERT INTO skill_trees VALUES (33,279,4,'Lightning Strike',510000,70);
INSERT INTO skill_trees VALUES (33,279,5,'Lightning Strike',1400000,74);
INSERT INTO skill_trees VALUES (33,288,1,'Guard Stance',32000,43);
INSERT INTO skill_trees VALUES (33,288,2,'Guard Stance',94000,52);
INSERT INTO skill_trees VALUES (33,288,3,'Guard Stance',240000,62);
INSERT INTO skill_trees VALUES (33,288,4,'Guard Stance',510000,70);
INSERT INTO skill_trees VALUES (33,289,1,'Life Leech',31000,40);
INSERT INTO skill_trees VALUES (33,289,2,'Life Leech',32000,43);
INSERT INTO skill_trees VALUES (33,289,3,'Life Leech',40000,46);
INSERT INTO skill_trees VALUES (33,289,4,'Life Leech',58000,49);
INSERT INTO skill_trees VALUES (33,289,5,'Life Leech',94000,52);
INSERT INTO skill_trees VALUES (33,289,6,'Life Leech',130000,55);
INSERT INTO skill_trees VALUES (33,289,7,'Life Leech',140000,58);
INSERT INTO skill_trees VALUES (33,289,8,'Life Leech',180000,60);
INSERT INTO skill_trees VALUES (33,289,9,'Life Leech',240000,62);
INSERT INTO skill_trees VALUES (33,289,10,'Life Leech',280000,64);
INSERT INTO skill_trees VALUES (33,289,11,'Life Leech',410000,66);
INSERT INTO skill_trees VALUES (33,289,12,'Life Leech',490000,68);
INSERT INTO skill_trees VALUES (33,289,13,'Life Leech',510000,70);
INSERT INTO skill_trees VALUES (33,289,14,'Life Leech',880000,72);
INSERT INTO skill_trees VALUES (33,289,15,'Life Leech',1400000,74);
INSERT INTO skill_trees VALUES (33,291,1,'Final Fortress',94000,52);
INSERT INTO skill_trees VALUES (33,291,2,'Final Fortress',130000,55);
INSERT INTO skill_trees VALUES (33,291,3,'Final Fortress',140000,58);
INSERT INTO skill_trees VALUES (33,291,4,'Final Fortress',180000,60);
INSERT INTO skill_trees VALUES (33,291,5,'Final Fortress',240000,62);
INSERT INTO skill_trees VALUES (33,291,6,'Final Fortress',280000,64);
INSERT INTO skill_trees VALUES (33,291,7,'Final Fortress',410000,66);
INSERT INTO skill_trees VALUES (33,291,8,'Final Fortress',490000,68);
INSERT INTO skill_trees VALUES (33,291,9,'Final Fortress',510000,70);
INSERT INTO skill_trees VALUES (33,291,10,'Final Fortress',880000,72);
INSERT INTO skill_trees VALUES (33,291,11,'Final Fortress',1400000,74);
INSERT INTO skill_trees VALUES (33,316,1,'Aegis',180000,60);
INSERT INTO skill_trees VALUES (33,322,1,'Shield Fortress',280000,64);
INSERT INTO skill_trees VALUES (33,322,2,'Shield Fortress',410000,66);
INSERT INTO skill_trees VALUES (33,322,3,'Shield Fortress',490000,68);
INSERT INTO skill_trees VALUES (33,322,4,'Shield Fortress',510000,70);
INSERT INTO skill_trees VALUES (33,322,5,'Shield Fortress',880000,72);
INSERT INTO skill_trees VALUES (33,322,6,'Shield Fortress',1400000,74);
INSERT INTO skill_trees VALUES (34,2,5,'Confusion',43000,40);
INSERT INTO skill_trees VALUES (34,2,6,'Confusion',46000,43);
INSERT INTO skill_trees VALUES (34,2,7,'Confusion',66000,46);
INSERT INTO skill_trees VALUES (34,2,8,'Confusion',89000,49);
INSERT INTO skill_trees VALUES (34,2,9,'Confusion',170000,52);
INSERT INTO skill_trees VALUES (34,2,10,'Confusion',200000,55);
INSERT INTO skill_trees VALUES (34,2,11,'Confusion',240000,58);
INSERT INTO skill_trees VALUES (34,2,12,'Confusion',320000,60);
INSERT INTO skill_trees VALUES (34,2,13,'Confusion',440000,62);
INSERT INTO skill_trees VALUES (34,2,14,'Confusion',530000,64);
INSERT INTO skill_trees VALUES (34,2,15,'Confusion',700000,66);
INSERT INTO skill_trees VALUES (34,2,16,'Confusion',970000,68);
INSERT INTO skill_trees VALUES (34,2,17,'Confusion',1000000,70);
INSERT INTO skill_trees VALUES (34,2,18,'Confusion',1500000,72);
INSERT INTO skill_trees VALUES (34,2,19,'Confusion',2300000,74);
INSERT INTO skill_trees VALUES (34,70,17,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (34,70,18,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (34,70,19,'Drain Health',14000,40);
INSERT INTO skill_trees VALUES (34,70,20,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (34,70,21,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (34,70,22,'Drain Health',15000,43);
INSERT INTO skill_trees VALUES (34,70,23,'Drain Health',22000,46);
INSERT INTO skill_trees VALUES (34,70,24,'Drain Health',22000,46);
INSERT INTO skill_trees VALUES (34,70,25,'Drain Health',22000,46);
INSERT INTO skill_trees VALUES (34,70,26,'Drain Health',30000,49);
INSERT INTO skill_trees VALUES (34,70,27,'Drain Health',30000,49);
INSERT INTO skill_trees VALUES (34,70,28,'Drain Health',30000,49);
INSERT INTO skill_trees VALUES (34,70,29,'Drain Health',56000,52);
INSERT INTO skill_trees VALUES (34,70,30,'Drain Health',56000,52);
INSERT INTO skill_trees VALUES (34,70,31,'Drain Health',56000,52);
INSERT INTO skill_trees VALUES (34,70,32,'Drain Health',67000,55);
INSERT INTO skill_trees VALUES (34,70,33,'Drain Health',67000,55);
INSERT INTO skill_trees VALUES (34,70,34,'Drain Health',67000,55);
INSERT INTO skill_trees VALUES (34,70,35,'Drain Health',80000,58);
INSERT INTO skill_trees VALUES (34,70,36,'Drain Health',80000,58);
INSERT INTO skill_trees VALUES (34,70,37,'Drain Health',80000,58);
INSERT INTO skill_trees VALUES (34,70,38,'Drain Health',160000,60);
INSERT INTO skill_trees VALUES (34,70,39,'Drain Health',160000,60);
INSERT INTO skill_trees VALUES (34,70,40,'Drain Health',220000,62);
INSERT INTO skill_trees VALUES (34,70,41,'Drain Health',220000,62);
INSERT INTO skill_trees VALUES (34,70,42,'Drain Health',270000,64);
INSERT INTO skill_trees VALUES (34,70,43,'Drain Health',270000,64);
INSERT INTO skill_trees VALUES (34,70,44,'Drain Health',350000,66);
INSERT INTO skill_trees VALUES (34,70,45,'Drain Health',350000,66);
INSERT INTO skill_trees VALUES (34,70,46,'Drain Health',490000,68);
INSERT INTO skill_trees VALUES (34,70,47,'Drain Health',490000,68);
INSERT INTO skill_trees VALUES (34,70,48,'Drain Health',520000,70);
INSERT INTO skill_trees VALUES (34,70,49,'Drain Health',520000,70);
INSERT INTO skill_trees VALUES (34,70,50,'Drain Health',750000,72);
INSERT INTO skill_trees VALUES (34,70,51,'Drain Health',750000,72);
INSERT INTO skill_trees VALUES (34,70,52,'Drain Health',1200000,74);
INSERT INTO skill_trees VALUES (34,70,53,'Drain Health',1200000,74);
INSERT INTO skill_trees VALUES (34,84,1,'Poison Blade Dance',200000,55);
INSERT INTO skill_trees VALUES (34,84,2,'Poison Blade Dance',320000,60);
INSERT INTO skill_trees VALUES (34,84,3,'Poison Blade Dance',1500000,72);
INSERT INTO skill_trees VALUES (34,105,3,'Freezing Strike',22000,40);
INSERT INTO skill_trees VALUES (34,105,4,'Freezing Strike',22000,40);
INSERT INTO skill_trees VALUES (34,105,5,'Freezing Strike',23000,43);
INSERT INTO skill_trees VALUES (34,105,6,'Freezing Strike',23000,43);
INSERT INTO skill_trees VALUES (34,105,7,'Freezing Strike',33000,46);
INSERT INTO skill_trees VALUES (34,105,8,'Freezing Strike',33000,46);
INSERT INTO skill_trees VALUES (34,105,9,'Freezing Strike',45000,49);
INSERT INTO skill_trees VALUES (34,105,10,'Freezing Strike',45000,49);
INSERT INTO skill_trees VALUES (34,105,11,'Freezing Strike',83000,52);
INSERT INTO skill_trees VALUES (34,105,12,'Freezing Strike',83000,52);
INSERT INTO skill_trees VALUES (34,105,13,'Freezing Strike',100000,55);
INSERT INTO skill_trees VALUES (34,105,14,'Freezing Strike',100000,55);
INSERT INTO skill_trees VALUES (34,105,15,'Freezing Strike',120000,58);
INSERT INTO skill_trees VALUES (34,105,16,'Freezing Strike',120000,58);
INSERT INTO skill_trees VALUES (34,105,17,'Freezing Strike',320000,60);
INSERT INTO skill_trees VALUES (34,105,18,'Freezing Strike',440000,62);
INSERT INTO skill_trees VALUES (34,105,19,'Freezing Strike',530000,64);
INSERT INTO skill_trees VALUES (34,105,20,'Freezing Strike',700000,66);
INSERT INTO skill_trees VALUES (34,105,21,'Freezing Strike',970000,68);
INSERT INTO skill_trees VALUES (34,105,22,'Freezing Strike',1000000,70);
INSERT INTO skill_trees VALUES (34,105,23,'Freezing Strike',1500000,72);
INSERT INTO skill_trees VALUES (34,105,24,'Freezing Strike',2300000,74);
INSERT INTO skill_trees VALUES (34,115,3,'Power Break',43000,40);
INSERT INTO skill_trees VALUES (34,115,4,'Power Break',46000,43);
INSERT INTO skill_trees VALUES (34,115,5,'Power Break',66000,46);
INSERT INTO skill_trees VALUES (34,115,6,'Power Break',89000,49);
INSERT INTO skill_trees VALUES (34,115,7,'Power Break',170000,52);
INSERT INTO skill_trees VALUES (34,115,8,'Power Break',200000,55);
INSERT INTO skill_trees VALUES (34,115,9,'Power Break',240000,58);
INSERT INTO skill_trees VALUES (34,115,10,'Power Break',320000,60);
INSERT INTO skill_trees VALUES (34,115,11,'Power Break',440000,62);
INSERT INTO skill_trees VALUES (34,115,12,'Power Break',530000,64);
INSERT INTO skill_trees VALUES (34,115,13,'Power Break',700000,66);
INSERT INTO skill_trees VALUES (34,115,14,'Power Break',970000,68);
INSERT INTO skill_trees VALUES (34,115,15,'Power Break',1000000,70);
INSERT INTO skill_trees VALUES (34,115,16,'Power Break',1500000,72);
INSERT INTO skill_trees VALUES (34,115,17,'Power Break',2300000,74);
INSERT INTO skill_trees VALUES (34,122,1,'Hex',43000,40);
INSERT INTO skill_trees VALUES (34,122,2,'Hex',46000,43);
INSERT INTO skill_trees VALUES (34,122,3,'Hex',66000,46);
INSERT INTO skill_trees VALUES (34,122,4,'Hex',89000,49);
INSERT INTO skill_trees VALUES (34,122,5,'Hex',170000,52);
INSERT INTO skill_trees VALUES (34,122,6,'Hex',200000,55);
INSERT INTO skill_trees VALUES (34,122,7,'Hex',240000,58);
INSERT INTO skill_trees VALUES (34,122,8,'Hex',320000,60);
INSERT INTO skill_trees VALUES (34,122,9,'Hex',440000,62);
INSERT INTO skill_trees VALUES (34,122,10,'Hex',530000,64);
INSERT INTO skill_trees VALUES (34,122,11,'Hex',700000,66);
INSERT INTO skill_trees VALUES (34,122,12,'Hex',970000,68);
INSERT INTO skill_trees VALUES (34,122,13,'Hex',1000000,70);
INSERT INTO skill_trees VALUES (34,122,14,'Hex',1500000,72);
INSERT INTO skill_trees VALUES (34,122,15,'Hex',2300000,74);
INSERT INTO skill_trees VALUES (34,129,2,'Poison',89000,49);
INSERT INTO skill_trees VALUES (34,129,3,'Poison',240000,58);
INSERT INTO skill_trees VALUES (34,129,4,'Poison',700000,66);
INSERT INTO skill_trees VALUES (34,129,5,'Poison',2300000,74);
INSERT INTO skill_trees VALUES (34,144,1,'Dual Weapon Mastery',14000,40);
INSERT INTO skill_trees VALUES (34,144,2,'Dual Weapon Mastery',14000,40);
INSERT INTO skill_trees VALUES (34,144,3,'Dual Weapon Mastery',14000,40);
INSERT INTO skill_trees VALUES (34,144,4,'Dual Weapon Mastery',15000,43);
INSERT INTO skill_trees VALUES (34,144,5,'Dual Weapon Mastery',15000,43);
INSERT INTO skill_trees VALUES (34,144,6,'Dual Weapon Mastery',15000,43);
INSERT INTO skill_trees VALUES (34,144,7,'Dual Weapon Mastery',22000,46);
INSERT INTO skill_trees VALUES (34,144,8,'Dual Weapon Mastery',22000,46);
INSERT INTO skill_trees VALUES (34,144,9,'Dual Weapon Mastery',22000,46);
INSERT INTO skill_trees VALUES (34,144,10,'Dual Weapon Mastery',30000,49);
INSERT INTO skill_trees VALUES (34,144,11,'Dual Weapon Mastery',30000,49);
INSERT INTO skill_trees VALUES (34,144,12,'Dual Weapon Mastery',30000,49);
INSERT INTO skill_trees VALUES (34,144,13,'Dual Weapon Mastery',56000,52);
INSERT INTO skill_trees VALUES (34,144,14,'Dual Weapon Mastery',56000,52);
INSERT INTO skill_trees VALUES (34,144,15,'Dual Weapon Mastery',56000,52);
INSERT INTO skill_trees VALUES (34,144,16,'Dual Weapon Mastery',67000,55);
INSERT INTO skill_trees VALUES (34,144,17,'Dual Weapon Mastery',67000,55);
INSERT INTO skill_trees VALUES (34,144,18,'Dual Weapon Mastery',67000,55);
INSERT INTO skill_trees VALUES (34,144,19,'Dual Weapon Mastery',80000,58);
INSERT INTO skill_trees VALUES (34,144,20,'Dual Weapon Mastery',80000,58);
INSERT INTO skill_trees VALUES (34,144,21,'Dual Weapon Mastery',80000,58);
INSERT INTO skill_trees VALUES (34,144,22,'Dual Weapon Mastery',160000,60);
INSERT INTO skill_trees VALUES (34,144,23,'Dual Weapon Mastery',160000,60);
INSERT INTO skill_trees VALUES (34,144,24,'Dual Weapon Mastery',220000,62);
INSERT INTO skill_trees VALUES (34,144,25,'Dual Weapon Mastery',220000,62);
INSERT INTO skill_trees VALUES (34,144,26,'Dual Weapon Mastery',270000,64);
INSERT INTO skill_trees VALUES (34,144,27,'Dual Weapon Mastery',270000,64);
INSERT INTO skill_trees VALUES (34,144,28,'Dual Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (34,144,29,'Dual Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (34,144,30,'Dual Weapon Mastery',490000,68);
INSERT INTO skill_trees VALUES (34,144,31,'Dual Weapon Mastery',490000,68);
INSERT INTO skill_trees VALUES (34,144,32,'Dual Weapon Mastery',520000,70);
INSERT INTO skill_trees VALUES (34,144,33,'Dual Weapon Mastery',520000,70);
INSERT INTO skill_trees VALUES (34,144,34,'Dual Weapon Mastery',750000,72);
INSERT INTO skill_trees VALUES (34,144,35,'Dual Weapon Mastery',750000,72);
INSERT INTO skill_trees VALUES (34,144,36,'Dual Weapon Mastery',1200000,74);
INSERT INTO skill_trees VALUES (34,144,37,'Dual Weapon Mastery',1200000,74);
INSERT INTO skill_trees VALUES (34,147,15,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (34,147,16,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (34,147,17,'Magic Resistance',14000,40);
INSERT INTO skill_trees VALUES (34,147,18,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (34,147,19,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (34,147,20,'Magic Resistance',15000,43);
INSERT INTO skill_trees VALUES (34,147,21,'Magic Resistance',22000,46);
INSERT INTO skill_trees VALUES (34,147,22,'Magic Resistance',22000,46);
INSERT INTO skill_trees VALUES (34,147,23,'Magic Resistance',22000,46);
INSERT INTO skill_trees VALUES (34,147,24,'Magic Resistance',30000,49);
INSERT INTO skill_trees VALUES (34,147,25,'Magic Resistance',30000,49);
INSERT INTO skill_trees VALUES (34,147,26,'Magic Resistance',30000,49);
INSERT INTO skill_trees VALUES (34,147,27,'Magic Resistance',56000,52);
INSERT INTO skill_trees VALUES (34,147,28,'Magic Resistance',56000,52);
INSERT INTO skill_trees VALUES (34,147,29,'Magic Resistance',56000,52);
INSERT INTO skill_trees VALUES (34,147,30,'Magic Resistance',67000,55);
INSERT INTO skill_trees VALUES (34,147,31,'Magic Resistance',67000,55);
INSERT INTO skill_trees VALUES (34,147,32,'Magic Resistance',67000,55);
INSERT INTO skill_trees VALUES (34,147,33,'Magic Resistance',80000,58);
INSERT INTO skill_trees VALUES (34,147,34,'Magic Resistance',80000,58);
INSERT INTO skill_trees VALUES (34,147,35,'Magic Resistance',80000,58);
INSERT INTO skill_trees VALUES (34,147,36,'Magic Resistance',160000,60);
INSERT INTO skill_trees VALUES (34,147,37,'Magic Resistance',160000,60);
INSERT INTO skill_trees VALUES (34,147,38,'Magic Resistance',220000,62);
INSERT INTO skill_trees VALUES (34,147,39,'Magic Resistance',220000,62);
INSERT INTO skill_trees VALUES (34,147,40,'Magic Resistance',270000,64);
INSERT INTO skill_trees VALUES (34,147,41,'Magic Resistance',270000,64);
INSERT INTO skill_trees VALUES (34,147,42,'Magic Resistance',350000,66);
INSERT INTO skill_trees VALUES (34,147,43,'Magic Resistance',350000,66);
INSERT INTO skill_trees VALUES (34,147,44,'Magic Resistance',490000,68);
INSERT INTO skill_trees VALUES (34,147,45,'Magic Resistance',490000,68);
INSERT INTO skill_trees VALUES (34,147,46,'Magic Resistance',520000,70);
INSERT INTO skill_trees VALUES (34,147,47,'Magic Resistance',520000,70);
INSERT INTO skill_trees VALUES (34,147,48,'Magic Resistance',750000,72);
INSERT INTO skill_trees VALUES (34,147,49,'Magic Resistance',750000,72);
INSERT INTO skill_trees VALUES (34,147,50,'Magic Resistance',1200000,74);
INSERT INTO skill_trees VALUES (34,147,51,'Magic Resistance',1200000,74);
INSERT INTO skill_trees VALUES (34,191,2,'Focus Mind',46000,43);
INSERT INTO skill_trees VALUES (34,191,3,'Focus Mind',89000,49);
INSERT INTO skill_trees VALUES (34,191,4,'Focus Mind',200000,55);
INSERT INTO skill_trees VALUES (34,191,5,'Focus Mind',530000,64);
INSERT INTO skill_trees VALUES (34,191,6,'Focus Mind',1500000,72);
INSERT INTO skill_trees VALUES (34,223,13,'Sting',14000,40);
INSERT INTO skill_trees VALUES (34,223,14,'Sting',14000,40);
INSERT INTO skill_trees VALUES (34,223,15,'Sting',14000,40);
INSERT INTO skill_trees VALUES (34,223,16,'Sting',15000,43);
INSERT INTO skill_trees VALUES (34,223,17,'Sting',15000,43);
INSERT INTO skill_trees VALUES (34,223,18,'Sting',15000,43);
INSERT INTO skill_trees VALUES (34,223,19,'Sting',22000,46);
INSERT INTO skill_trees VALUES (34,223,20,'Sting',22000,46);
INSERT INTO skill_trees VALUES (34,223,21,'Sting',22000,46);
INSERT INTO skill_trees VALUES (34,223,22,'Sting',30000,49);
INSERT INTO skill_trees VALUES (34,223,23,'Sting',30000,49);
INSERT INTO skill_trees VALUES (34,223,24,'Sting',30000,49);
INSERT INTO skill_trees VALUES (34,223,25,'Sting',56000,52);
INSERT INTO skill_trees VALUES (34,223,26,'Sting',56000,52);
INSERT INTO skill_trees VALUES (34,223,27,'Sting',56000,52);
INSERT INTO skill_trees VALUES (34,223,28,'Sting',67000,55);
INSERT INTO skill_trees VALUES (34,223,29,'Sting',67000,55);
INSERT INTO skill_trees VALUES (34,223,30,'Sting',67000,55);
INSERT INTO skill_trees VALUES (34,223,31,'Sting',80000,58);
INSERT INTO skill_trees VALUES (34,223,32,'Sting',80000,58);
INSERT INTO skill_trees VALUES (34,223,33,'Sting',80000,58);
INSERT INTO skill_trees VALUES (34,223,34,'Sting',160000,60);
INSERT INTO skill_trees VALUES (34,223,35,'Sting',160000,60);
INSERT INTO skill_trees VALUES (34,223,36,'Sting',220000,62);
INSERT INTO skill_trees VALUES (34,223,37,'Sting',220000,62);
INSERT INTO skill_trees VALUES (34,223,38,'Sting',270000,64);
INSERT INTO skill_trees VALUES (34,223,39,'Sting',270000,64);
INSERT INTO skill_trees VALUES (34,223,40,'Sting',350000,66);
INSERT INTO skill_trees VALUES (34,223,41,'Sting',350000,66);
INSERT INTO skill_trees VALUES (34,223,42,'Sting',490000,68);
INSERT INTO skill_trees VALUES (34,223,43,'Sting',490000,68);
INSERT INTO skill_trees VALUES (34,223,44,'Sting',520000,70);
INSERT INTO skill_trees VALUES (34,223,45,'Sting',520000,70);
INSERT INTO skill_trees VALUES (34,223,46,'Sting',750000,72);
INSERT INTO skill_trees VALUES (34,223,47,'Sting',750000,72);
INSERT INTO skill_trees VALUES (34,223,48,'Sting',1200000,74);
INSERT INTO skill_trees VALUES (34,223,49,'Sting',1200000,74);
INSERT INTO skill_trees VALUES (34,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (34,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (34,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (34,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (34,271,1,'Dance of Warrior',200000,55);
INSERT INTO skill_trees VALUES (34,272,1,'Dance of Inspiration',66000,46);
INSERT INTO skill_trees VALUES (34,273,1,'Dance of Mystic',89000,49);
INSERT INTO skill_trees VALUES (34,274,1,'Dance of Fire',43000,40);
INSERT INTO skill_trees VALUES (34,275,1,'Dance of Fury',240000,58);
INSERT INTO skill_trees VALUES (34,276,1,'Dance of Concentration',170000,52);
INSERT INTO skill_trees VALUES (34,277,1,'Dance of Light',46000,43);
INSERT INTO skill_trees VALUES (34,307,1,'Dance of Aqua Guard',1000000,70);
INSERT INTO skill_trees VALUES (34,309,1,'Dance of Earth Guard',440000,62);
INSERT INTO skill_trees VALUES (34,310,1,'Dance of Vampire',2300000,74);
INSERT INTO skill_trees VALUES (34,311,1,'Dance of Protection',700000,66);
INSERT INTO skill_trees VALUES (35,2,1,'Confusion',5000,24);
INSERT INTO skill_trees VALUES (35,2,2,'Confusion',8500,28);
INSERT INTO skill_trees VALUES (35,2,3,'Confusion',14000,32);
INSERT INTO skill_trees VALUES (35,2,4,'Confusion',22000,36);
INSERT INTO skill_trees VALUES (35,16,10,'Mortal Blow',1000,20);
INSERT INTO skill_trees VALUES (35,16,11,'Mortal Blow',1000,20);
INSERT INTO skill_trees VALUES (35,16,12,'Mortal Blow',1000,20);
INSERT INTO skill_trees VALUES (35,16,13,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (35,16,14,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (35,16,15,'Mortal Blow',1700,24);
INSERT INTO skill_trees VALUES (35,16,16,'Mortal Blow',2900,28);
INSERT INTO skill_trees VALUES (35,16,17,'Mortal Blow',2900,28);
INSERT INTO skill_trees VALUES (35,16,18,'Mortal Blow',2900,28);
INSERT INTO skill_trees VALUES (35,16,19,'Mortal Blow',4800,32);
INSERT INTO skill_trees VALUES (35,16,20,'Mortal Blow',4800,32);
INSERT INTO skill_trees VALUES (35,16,21,'Mortal Blow',4800,32);
INSERT INTO skill_trees VALUES (35,16,22,'Mortal Blow',7400,36);
INSERT INTO skill_trees VALUES (35,16,23,'Mortal Blow',7400,36);
INSERT INTO skill_trees VALUES (35,16,24,'Mortal Blow',7400,36);
INSERT INTO skill_trees VALUES (35,27,1,'Unlock',2800,20);
INSERT INTO skill_trees VALUES (35,27,2,'Unlock',5000,24);
INSERT INTO skill_trees VALUES (35,27,3,'Unlock',8500,28);
INSERT INTO skill_trees VALUES (35,27,4,'Unlock',14000,32);
INSERT INTO skill_trees VALUES (35,27,5,'Unlock',22000,36);
INSERT INTO skill_trees VALUES (35,56,10,'Power Shot',1000,20);
INSERT INTO skill_trees VALUES (35,56,11,'Power Shot',1000,20);
INSERT INTO skill_trees VALUES (35,56,12,'Power Shot',1000,20);
INSERT INTO skill_trees VALUES (35,56,13,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (35,56,14,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (35,56,15,'Power Shot',1700,24);
INSERT INTO skill_trees VALUES (35,56,16,'Power Shot',2900,28);
INSERT INTO skill_trees VALUES (35,56,17,'Power Shot',2900,28);
INSERT INTO skill_trees VALUES (35,56,18,'Power Shot',2900,28);
INSERT INTO skill_trees VALUES (35,56,19,'Power Shot',4800,32);
INSERT INTO skill_trees VALUES (35,56,20,'Power Shot',4800,32);
INSERT INTO skill_trees VALUES (35,56,21,'Power Shot',4800,32);
INSERT INTO skill_trees VALUES (35,56,22,'Power Shot',7400,36);
INSERT INTO skill_trees VALUES (35,56,23,'Power Shot',7400,36);
INSERT INTO skill_trees VALUES (35,56,24,'Power Shot',7400,36);
INSERT INTO skill_trees VALUES (35,70,3,'Drain Health',1500,20);
INSERT INTO skill_trees VALUES (35,70,4,'Drain Health',1500,20);
INSERT INTO skill_trees VALUES (35,70,5,'Drain Health',1700,24);
INSERT INTO skill_trees VALUES (35,70,6,'Drain Health',1700,24);
INSERT INTO skill_trees VALUES (35,70,7,'Drain Health',1700,24);
INSERT INTO skill_trees VALUES (35,70,8,'Drain Health',2900,28);
INSERT INTO skill_trees VALUES (35,70,9,'Drain Health',2900,28);
INSERT INTO skill_trees VALUES (35,70,10,'Drain Health',2900,28);
INSERT INTO skill_trees VALUES (35,70,11,'Drain Health',4800,32);
INSERT INTO skill_trees VALUES (35,70,12,'Drain Health',4800,32);
INSERT INTO skill_trees VALUES (35,70,13,'Drain Health',4800,32);
INSERT INTO skill_trees VALUES (35,70,14,'Drain Health',7400,36);
INSERT INTO skill_trees VALUES (35,70,15,'Drain Health',7400,36);
INSERT INTO skill_trees VALUES (35,70,16,'Drain Health',7400,36);
INSERT INTO skill_trees VALUES (35,77,2,'Attack Aura',8500,28);
INSERT INTO skill_trees VALUES (35,91,2,'Defense Aura',2800,20);
INSERT INTO skill_trees VALUES (35,96,1,'Bleed',5000,24);
INSERT INTO skill_trees VALUES (35,96,2,'Bleed',14000,32);
INSERT INTO skill_trees VALUES (35,99,1,'Rapid Shot',14000,32);
INSERT INTO skill_trees VALUES (35,101,1,'Stun Shot',7400,36);
INSERT INTO skill_trees VALUES (35,101,2,'Stun Shot',7400,36);
INSERT INTO skill_trees VALUES (35,101,3,'Stun Shot',7400,36);
INSERT INTO skill_trees VALUES (35,105,1,'Freezing Strike',11000,36);
INSERT INTO skill_trees VALUES (35,105,2,'Freezing Strike',11000,36);
INSERT INTO skill_trees VALUES (35,111,1,'Ultimate Evasion',8500,28);
INSERT INTO skill_trees VALUES (35,113,1,'Long Shot',2800,20);
INSERT INTO skill_trees VALUES (35,115,1,'Power Break',14000,32);
INSERT INTO skill_trees VALUES (35,115,2,'Power Break',22000,36);
INSERT INTO skill_trees VALUES (35,129,1,'Poison',2800,20);
INSERT INTO skill_trees VALUES (35,169,1,'Quick Step',8500,28);
INSERT INTO skill_trees VALUES (35,171,1,'Esprit',22000,36);
INSERT INTO skill_trees VALUES (35,173,1,'Acrobat',2800,20);
INSERT INTO skill_trees VALUES (35,193,1,'Critical Power',5000,24);
INSERT INTO skill_trees VALUES (35,193,2,'Critical Power',14000,32);
INSERT INTO skill_trees VALUES (35,195,1,'Boost Breath',2800,20);
INSERT INTO skill_trees VALUES (35,198,1,'Boost Evasion',5000,24);
INSERT INTO skill_trees VALUES (35,208,1,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (35,208,2,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (35,208,3,'Bow Mastery',950,20);
INSERT INTO skill_trees VALUES (35,208,4,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (35,208,5,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (35,208,6,'Bow Mastery',1700,24);
INSERT INTO skill_trees VALUES (35,208,7,'Bow Mastery',2900,28);
INSERT INTO skill_trees VALUES (35,208,8,'Bow Mastery',2900,28);
INSERT INTO skill_trees VALUES (35,208,9,'Bow Mastery',2900,28);
INSERT INTO skill_trees VALUES (35,208,10,'Bow Mastery',4800,32);
INSERT INTO skill_trees VALUES (35,208,11,'Bow Mastery',4800,32);
INSERT INTO skill_trees VALUES (35,208,12,'Bow Mastery',4800,32);
INSERT INTO skill_trees VALUES (35,208,13,'Bow Mastery',7400,36);
INSERT INTO skill_trees VALUES (35,208,14,'Bow Mastery',7400,36);
INSERT INTO skill_trees VALUES (35,208,15,'Bow Mastery',7400,36);
INSERT INTO skill_trees VALUES (35,209,1,'Dagger Mastery',2800,20);
INSERT INTO skill_trees VALUES (35,209,2,'Dagger Mastery',5000,24);
INSERT INTO skill_trees VALUES (35,209,3,'Dagger Mastery',4300,28);
INSERT INTO skill_trees VALUES (35,209,4,'Dagger Mastery',4300,28);
INSERT INTO skill_trees VALUES (35,209,5,'Dagger Mastery',7100,32);
INSERT INTO skill_trees VALUES (35,209,6,'Dagger Mastery',7100,32);
INSERT INTO skill_trees VALUES (35,209,7,'Dagger Mastery',11000,36);
INSERT INTO skill_trees VALUES (35,209,8,'Dagger Mastery',11000,36);
INSERT INTO skill_trees VALUES (35,223,1,'Sting',1700,24);
INSERT INTO skill_trees VALUES (35,223,2,'Sting',1700,24);
INSERT INTO skill_trees VALUES (35,223,3,'Sting',1700,24);
INSERT INTO skill_trees VALUES (35,223,4,'Sting',2900,28);
INSERT INTO skill_trees VALUES (35,223,5,'Sting',2900,28);
INSERT INTO skill_trees VALUES (35,223,6,'Sting',2900,28);
INSERT INTO skill_trees VALUES (35,223,7,'Sting',4800,32);
INSERT INTO skill_trees VALUES (35,223,8,'Sting',4800,32);
INSERT INTO skill_trees VALUES (35,223,9,'Sting',4800,32);
INSERT INTO skill_trees VALUES (35,223,10,'Sting',7400,36);
INSERT INTO skill_trees VALUES (35,223,11,'Sting',7400,36);
INSERT INTO skill_trees VALUES (35,223,12,'Sting',7400,36);
INSERT INTO skill_trees VALUES (35,225,1,'Acrobatic Move',8500,28);
INSERT INTO skill_trees VALUES (35,233,1,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (35,233,2,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (35,233,3,'Light Armor Mastery',2500,24);
INSERT INTO skill_trees VALUES (35,233,4,'Light Armor Mastery',2500,24);
INSERT INTO skill_trees VALUES (35,233,5,'Light Armor Mastery',4300,28);
INSERT INTO skill_trees VALUES (35,233,6,'Light Armor Mastery',4300,28);
INSERT INTO skill_trees VALUES (35,233,7,'Light Armor Mastery',7100,32);
INSERT INTO skill_trees VALUES (35,233,8,'Light Armor Mastery',7100,32);
INSERT INTO skill_trees VALUES (35,233,9,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (35,233,10,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (35,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (35,256,1,'Accuracy',5000,24);
INSERT INTO skill_trees VALUES (35,312,1,'Vicious Stance',2800,20);
INSERT INTO skill_trees VALUES (35,312,2,'Vicious Stance',5000,24);
INSERT INTO skill_trees VALUES (35,312,3,'Vicious Stance',8500,28);
INSERT INTO skill_trees VALUES (35,312,4,'Vicious Stance',14000,32);
INSERT INTO skill_trees VALUES (35,312,5,'Vicious Stance',22000,36);
INSERT INTO skill_trees VALUES (36,2,5,'Confusion',28000,40);
INSERT INTO skill_trees VALUES (36,2,6,'Confusion',29000,43);
INSERT INTO skill_trees VALUES (36,2,7,'Confusion',40000,46);
INSERT INTO skill_trees VALUES (36,2,8,'Confusion',61000,49);
INSERT INTO skill_trees VALUES (36,2,9,'Confusion',94000,52);
INSERT INTO skill_trees VALUES (36,2,10,'Confusion',120000,55);
INSERT INTO skill_trees VALUES (36,2,11,'Confusion',150000,58);
INSERT INTO skill_trees VALUES (36,2,12,'Confusion',210000,60);
INSERT INTO skill_trees VALUES (36,2,13,'Confusion',290000,62);
INSERT INTO skill_trees VALUES (36,2,14,'Confusion',320000,64);
INSERT INTO skill_trees VALUES (36,2,15,'Confusion',440000,66);
INSERT INTO skill_trees VALUES (36,2,16,'Confusion',490000,68);
INSERT INTO skill_trees VALUES (36,2,17,'Confusion',620000,70);
INSERT INTO skill_trees VALUES (36,2,18,'Confusion',940000,72);
INSERT INTO skill_trees VALUES (36,2,19,'Confusion',1400000,74);
INSERT INTO skill_trees VALUES (36,11,1,'Trick',61000,49);
INSERT INTO skill_trees VALUES (36,11,2,'Trick',94000,52);
INSERT INTO skill_trees VALUES (36,11,3,'Trick',120000,55);
INSERT INTO skill_trees VALUES (36,11,4,'Trick',150000,58);
INSERT INTO skill_trees VALUES (36,11,5,'Trick',210000,60);
INSERT INTO skill_trees VALUES (36,11,6,'Trick',290000,62);
INSERT INTO skill_trees VALUES (36,11,7,'Trick',320000,64);
INSERT INTO skill_trees VALUES (36,11,8,'Trick',440000,66);
INSERT INTO skill_trees VALUES (36,11,9,'Trick',490000,68);
INSERT INTO skill_trees VALUES (36,11,10,'Trick',620000,70);
INSERT INTO skill_trees VALUES (36,11,11,'Trick',940000,72);
INSERT INTO skill_trees VALUES (36,11,12,'Trick',1400000,74);
INSERT INTO skill_trees VALUES (36,27,6,'Unlock',28000,40);
INSERT INTO skill_trees VALUES (36,27,7,'Unlock',29000,43);
INSERT INTO skill_trees VALUES (36,27,8,'Unlock',40000,46);
INSERT INTO skill_trees VALUES (36,27,9,'Unlock',94000,52);
INSERT INTO skill_trees VALUES (36,27,10,'Unlock',120000,55);
INSERT INTO skill_trees VALUES (36,27,11,'Unlock',210000,60);
INSERT INTO skill_trees VALUES (36,27,12,'Unlock',320000,64);
INSERT INTO skill_trees VALUES (36,27,13,'Unlock',490000,68);
INSERT INTO skill_trees VALUES (36,27,14,'Unlock',940000,72);
INSERT INTO skill_trees VALUES (36,30,1,'Backstab',9300,40);
INSERT INTO skill_trees VALUES (36,30,2,'Backstab',9300,40);
INSERT INTO skill_trees VALUES (36,30,3,'Backstab',9300,40);
INSERT INTO skill_trees VALUES (36,30,4,'Backstab',9600,43);
INSERT INTO skill_trees VALUES (36,30,5,'Backstab',9600,43);
INSERT INTO skill_trees VALUES (36,30,6,'Backstab',9600,43);
INSERT INTO skill_trees VALUES (36,30,7,'Backstab',13000,46);
INSERT INTO skill_trees VALUES (36,30,8,'Backstab',13000,46);
INSERT INTO skill_trees VALUES (36,30,9,'Backstab',13000,46);
INSERT INTO skill_trees VALUES (36,30,10,'Backstab',20000,49);
INSERT INTO skill_trees VALUES (36,30,11,'Backstab',20000,49);
INSERT INTO skill_trees VALUES (36,30,12,'Backstab',20000,49);
INSERT INTO skill_trees VALUES (36,30,13,'Backstab',31000,52);
INSERT INTO skill_trees VALUES (36,30,14,'Backstab',31000,52);
INSERT INTO skill_trees VALUES (36,30,15,'Backstab',31000,52);
INSERT INTO skill_trees VALUES (36,30,16,'Backstab',41000,55);
INSERT INTO skill_trees VALUES (36,30,17,'Backstab',41000,55);
INSERT INTO skill_trees VALUES (36,30,18,'Backstab',41000,55);
INSERT INTO skill_trees VALUES (36,30,19,'Backstab',50000,58);
INSERT INTO skill_trees VALUES (36,30,20,'Backstab',50000,58);
INSERT INTO skill_trees VALUES (36,30,21,'Backstab',50000,58);
INSERT INTO skill_trees VALUES (36,30,22,'Backstab',100000,60);
INSERT INTO skill_trees VALUES (36,30,23,'Backstab',100000,60);
INSERT INTO skill_trees VALUES (36,30,24,'Backstab',140000,62);
INSERT INTO skill_trees VALUES (36,30,25,'Backstab',140000,62);
INSERT INTO skill_trees VALUES (36,30,26,'Backstab',160000,64);
INSERT INTO skill_trees VALUES (36,30,27,'Backstab',160000,64);
INSERT INTO skill_trees VALUES (36,30,28,'Backstab',220000,66);
INSERT INTO skill_trees VALUES (36,30,29,'Backstab',220000,66);
INSERT INTO skill_trees VALUES (36,30,30,'Backstab',240000,68);
INSERT INTO skill_trees VALUES (36,30,31,'Backstab',240000,68);
INSERT INTO skill_trees VALUES (36,30,32,'Backstab',310000,70);
INSERT INTO skill_trees VALUES (36,30,33,'Backstab',310000,70);
INSERT INTO skill_trees VALUES (36,30,34,'Backstab',470000,72);
INSERT INTO skill_trees VALUES (36,30,35,'Backstab',470000,72);
INSERT INTO skill_trees VALUES (36,30,36,'Backstab',720000,74);
INSERT INTO skill_trees VALUES (36,30,37,'Backstab',720000,74);
INSERT INTO skill_trees VALUES (36,70,17,'Drain Health',9300,40);
INSERT INTO skill_trees VALUES (36,70,18,'Drain Health',9300,40);
INSERT INTO skill_trees VALUES (36,70,19,'Drain Health',9300,40);
INSERT INTO skill_trees VALUES (36,70,20,'Drain Health',9600,43);
INSERT INTO skill_trees VALUES (36,70,21,'Drain Health',9600,43);
INSERT INTO skill_trees VALUES (36,70,22,'Drain Health',9600,43);
INSERT INTO skill_trees VALUES (36,70,23,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (36,70,24,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (36,70,25,'Drain Health',13000,46);
INSERT INTO skill_trees VALUES (36,70,26,'Drain Health',20000,49);
INSERT INTO skill_trees VALUES (36,70,27,'Drain Health',20000,49);
INSERT INTO skill_trees VALUES (36,70,28,'Drain Health',20000,49);
INSERT INTO skill_trees VALUES (36,70,29,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (36,70,30,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (36,70,31,'Drain Health',31000,52);
INSERT INTO skill_trees VALUES (36,70,32,'Drain Health',41000,55);
INSERT INTO skill_trees VALUES (36,70,33,'Drain Health',41000,55);
INSERT INTO skill_trees VALUES (36,70,34,'Drain Health',41000,55);
INSERT INTO skill_trees VALUES (36,70,35,'Drain Health',50000,58);
INSERT INTO skill_trees VALUES (36,70,36,'Drain Health',50000,58);
INSERT INTO skill_trees VALUES (36,70,37,'Drain Health',50000,58);
INSERT INTO skill_trees VALUES (36,70,38,'Drain Health',100000,60);
INSERT INTO skill_trees VALUES (36,70,39,'Drain Health',100000,60);
INSERT INTO skill_trees VALUES (36,70,40,'Drain Health',140000,62);
INSERT INTO skill_trees VALUES (36,70,41,'Drain Health',140000,62);
INSERT INTO skill_trees VALUES (36,70,42,'Drain Health',160000,64);
INSERT INTO skill_trees VALUES (36,70,43,'Drain Health',160000,64);
INSERT INTO skill_trees VALUES (36,70,44,'Drain Health',220000,66);
INSERT INTO skill_trees VALUES (36,70,45,'Drain Health',220000,66);
INSERT INTO skill_trees VALUES (36,70,46,'Drain Health',240000,68);
INSERT INTO skill_trees VALUES (36,70,47,'Drain Health',240000,68);
INSERT INTO skill_trees VALUES (36,70,48,'Drain Health',310000,70);
INSERT INTO skill_trees VALUES (36,70,49,'Drain Health',310000,70);
INSERT INTO skill_trees VALUES (36,70,50,'Drain Health',470000,72);
INSERT INTO skill_trees VALUES (36,70,51,'Drain Health',470000,72);
INSERT INTO skill_trees VALUES (36,70,52,'Drain Health',720000,74);
INSERT INTO skill_trees VALUES (36,70,53,'Drain Health',720000,74);
INSERT INTO skill_trees VALUES (36,96,3,'Bleed',61000,49);
INSERT INTO skill_trees VALUES (36,96,4,'Bleed',150000,58);
INSERT INTO skill_trees VALUES (36,96,5,'Bleed',440000,66);
INSERT INTO skill_trees VALUES (36,96,6,'Bleed',620000,70);
INSERT INTO skill_trees VALUES (36,105,3,'Freezing Strike',13000,40);
INSERT INTO skill_trees VALUES (36,105,4,'Freezing Strike',13000,40);
INSERT INTO skill_trees VALUES (36,105,5,'Freezing Strike',14000,43);
INSERT INTO skill_trees VALUES (36,105,6,'Freezing Strike',14000,43);
INSERT INTO skill_trees VALUES (36,105,7,'Freezing Strike',20000,46);
INSERT INTO skill_trees VALUES (36,105,8,'Freezing Strike',20000,46);
INSERT INTO skill_trees VALUES (36,105,9,'Freezing Strike',31000,49);
INSERT INTO skill_trees VALUES (36,105,10,'Freezing Strike',31000,49);
INSERT INTO skill_trees VALUES (36,105,11,'Freezing Strike',47000,52);
INSERT INTO skill_trees VALUES (36,105,12,'Freezing Strike',47000,52);
INSERT INTO skill_trees VALUES (36,105,13,'Freezing Strike',61000,55);
INSERT INTO skill_trees VALUES (36,105,14,'Freezing Strike',61000,55);
INSERT INTO skill_trees VALUES (36,105,15,'Freezing Strike',75000,58);
INSERT INTO skill_trees VALUES (36,105,16,'Freezing Strike',75000,58);
INSERT INTO skill_trees VALUES (36,105,17,'Freezing Strike',210000,60);
INSERT INTO skill_trees VALUES (36,105,18,'Freezing Strike',290000,62);
INSERT INTO skill_trees VALUES (36,105,19,'Freezing Strike',320000,64);
INSERT INTO skill_trees VALUES (36,105,20,'Freezing Strike',440000,66);
INSERT INTO skill_trees VALUES (36,105,21,'Freezing Strike',490000,68);
INSERT INTO skill_trees VALUES (36,105,22,'Freezing Strike',620000,70);
INSERT INTO skill_trees VALUES (36,105,23,'Freezing Strike',940000,72);
INSERT INTO skill_trees VALUES (36,105,24,'Freezing Strike',1400000,74);
INSERT INTO skill_trees VALUES (36,106,1,'Veil',29000,43);
INSERT INTO skill_trees VALUES (36,106,2,'Veil',40000,46);
INSERT INTO skill_trees VALUES (36,106,3,'Veil',61000,49);
INSERT INTO skill_trees VALUES (36,106,4,'Veil',94000,52);
INSERT INTO skill_trees VALUES (36,106,5,'Veil',120000,55);
INSERT INTO skill_trees VALUES (36,106,6,'Veil',150000,58);
INSERT INTO skill_trees VALUES (36,106,7,'Veil',210000,60);
INSERT INTO skill_trees VALUES (36,106,8,'Veil',290000,62);
INSERT INTO skill_trees VALUES (36,106,9,'Veil',320000,64);
INSERT INTO skill_trees VALUES (36,106,10,'Veil',440000,66);
INSERT INTO skill_trees VALUES (36,106,11,'Veil',490000,68);
INSERT INTO skill_trees VALUES (36,106,12,'Veil',620000,70);
INSERT INTO skill_trees VALUES (36,106,13,'Veil',940000,72);
INSERT INTO skill_trees VALUES (36,106,14,'Veil',1400000,74);
INSERT INTO skill_trees VALUES (36,111,2,'Ultimate Evasion',120000,55);
INSERT INTO skill_trees VALUES (36,115,3,'Power Break',28000,40);
INSERT INTO skill_trees VALUES (36,115,4,'Power Break',29000,43);
INSERT INTO skill_trees VALUES (36,115,5,'Power Break',40000,46);
INSERT INTO skill_trees VALUES (36,115,6,'Power Break',61000,49);
INSERT INTO skill_trees VALUES (36,115,7,'Power Break',94000,52);
INSERT INTO skill_trees VALUES (36,115,8,'Power Break',120000,55);
INSERT INTO skill_trees VALUES (36,115,9,'Power Break',150000,58);
INSERT INTO skill_trees VALUES (36,115,10,'Power Break',210000,60);
INSERT INTO skill_trees VALUES (36,115,11,'Power Break',290000,62);
INSERT INTO skill_trees VALUES (36,115,12,'Power Break',320000,64);
INSERT INTO skill_trees VALUES (36,115,13,'Power Break',440000,66);
INSERT INTO skill_trees VALUES (36,115,14,'Power Break',490000,68);
INSERT INTO skill_trees VALUES (36,115,15,'Power Break',620000,70);
INSERT INTO skill_trees VALUES (36,115,16,'Power Break',940000,72);
INSERT INTO skill_trees VALUES (36,115,17,'Power Break',1400000,74);
INSERT INTO skill_trees VALUES (36,122,1,'Hex',28000,40);
INSERT INTO skill_trees VALUES (36,122,2,'Hex',29000,43);
INSERT INTO skill_trees VALUES (36,122,3,'Hex',40000,46);
INSERT INTO skill_trees VALUES (36,122,4,'Hex',61000,49);
INSERT INTO skill_trees VALUES (36,122,5,'Hex',94000,52);
INSERT INTO skill_trees VALUES (36,122,6,'Hex',120000,55);
INSERT INTO skill_trees VALUES (36,122,7,'Hex',150000,58);
INSERT INTO skill_trees VALUES (36,122,8,'Hex',210000,60);
INSERT INTO skill_trees VALUES (36,122,9,'Hex',290000,62);
INSERT INTO skill_trees VALUES (36,122,10,'Hex',320000,64);
INSERT INTO skill_trees VALUES (36,122,11,'Hex',440000,66);
INSERT INTO skill_trees VALUES (36,122,12,'Hex',490000,68);
INSERT INTO skill_trees VALUES (36,122,13,'Hex',620000,70);
INSERT INTO skill_trees VALUES (36,122,14,'Hex',940000,72);
INSERT INTO skill_trees VALUES (36,122,15,'Hex',1400000,74);
INSERT INTO skill_trees VALUES (36,129,2,'Poison',61000,49);
INSERT INTO skill_trees VALUES (36,129,3,'Poison',150000,58);
INSERT INTO skill_trees VALUES (36,129,4,'Poison',440000,66);
INSERT INTO skill_trees VALUES (36,129,5,'Poison',1400000,74);
INSERT INTO skill_trees VALUES (36,169,2,'Quick Step',29000,43);
INSERT INTO skill_trees VALUES (36,171,2,'Esprit',29000,43);
INSERT INTO skill_trees VALUES (36,171,3,'Esprit',40000,46);
INSERT INTO skill_trees VALUES (36,171,4,'Esprit',61000,49);
INSERT INTO skill_trees VALUES (36,171,5,'Esprit',94000,52);
INSERT INTO skill_trees VALUES (36,171,6,'Esprit',290000,62);
INSERT INTO skill_trees VALUES (36,171,7,'Esprit',490000,68);
INSERT INTO skill_trees VALUES (36,171,8,'Esprit',1400000,74);
INSERT INTO skill_trees VALUES (36,173,2,'Acrobat',120000,55);
INSERT INTO skill_trees VALUES (36,193,3,'Critical Power',28000,40);
INSERT INTO skill_trees VALUES (36,193,4,'Critical Power',94000,52);
INSERT INTO skill_trees VALUES (36,193,5,'Critical Power',320000,64);
INSERT INTO skill_trees VALUES (36,193,6,'Critical Power',940000,72);
INSERT INTO skill_trees VALUES (36,195,2,'Boost Breath',120000,55);
INSERT INTO skill_trees VALUES (36,198,2,'Boost Evasion',40000,46);
INSERT INTO skill_trees VALUES (36,198,3,'Boost Evasion',150000,58);
INSERT INTO skill_trees VALUES (36,209,9,'Dagger Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,209,10,'Dagger Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,209,11,'Dagger Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,209,12,'Dagger Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,209,13,'Dagger Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,209,14,'Dagger Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,209,15,'Dagger Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,209,16,'Dagger Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,209,17,'Dagger Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,209,18,'Dagger Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,209,19,'Dagger Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,209,20,'Dagger Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,209,21,'Dagger Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,209,22,'Dagger Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,209,23,'Dagger Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,209,24,'Dagger Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,209,25,'Dagger Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,209,26,'Dagger Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,209,27,'Dagger Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,209,28,'Dagger Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,209,29,'Dagger Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,209,30,'Dagger Mastery',100000,60);
INSERT INTO skill_trees VALUES (36,209,31,'Dagger Mastery',100000,60);
INSERT INTO skill_trees VALUES (36,209,32,'Dagger Mastery',140000,62);
INSERT INTO skill_trees VALUES (36,209,33,'Dagger Mastery',140000,62);
INSERT INTO skill_trees VALUES (36,209,34,'Dagger Mastery',160000,64);
INSERT INTO skill_trees VALUES (36,209,35,'Dagger Mastery',160000,64);
INSERT INTO skill_trees VALUES (36,209,36,'Dagger Mastery',220000,66);
INSERT INTO skill_trees VALUES (36,209,37,'Dagger Mastery',220000,66);
INSERT INTO skill_trees VALUES (36,209,38,'Dagger Mastery',240000,68);
INSERT INTO skill_trees VALUES (36,209,39,'Dagger Mastery',240000,68);
INSERT INTO skill_trees VALUES (36,209,40,'Dagger Mastery',310000,70);
INSERT INTO skill_trees VALUES (36,209,41,'Dagger Mastery',310000,70);
INSERT INTO skill_trees VALUES (36,209,42,'Dagger Mastery',470000,72);
INSERT INTO skill_trees VALUES (36,209,43,'Dagger Mastery',470000,72);
INSERT INTO skill_trees VALUES (36,209,44,'Dagger Mastery',720000,74);
INSERT INTO skill_trees VALUES (36,209,45,'Dagger Mastery',720000,74);
INSERT INTO skill_trees VALUES (36,221,1,'Silent Move',28000,40);
INSERT INTO skill_trees VALUES (36,223,13,'Sting',9300,40);
INSERT INTO skill_trees VALUES (36,223,14,'Sting',9300,40);
INSERT INTO skill_trees VALUES (36,223,15,'Sting',9300,40);
INSERT INTO skill_trees VALUES (36,223,16,'Sting',9600,43);
INSERT INTO skill_trees VALUES (36,223,17,'Sting',9600,43);
INSERT INTO skill_trees VALUES (36,223,18,'Sting',9600,43);
INSERT INTO skill_trees VALUES (36,223,19,'Sting',13000,46);
INSERT INTO skill_trees VALUES (36,223,20,'Sting',13000,46);
INSERT INTO skill_trees VALUES (36,223,21,'Sting',13000,46);
INSERT INTO skill_trees VALUES (36,223,22,'Sting',20000,49);
INSERT INTO skill_trees VALUES (36,223,23,'Sting',20000,49);
INSERT INTO skill_trees VALUES (36,223,24,'Sting',20000,49);
INSERT INTO skill_trees VALUES (36,223,25,'Sting',31000,52);
INSERT INTO skill_trees VALUES (36,223,26,'Sting',31000,52);
INSERT INTO skill_trees VALUES (36,223,27,'Sting',31000,52);
INSERT INTO skill_trees VALUES (36,223,28,'Sting',41000,55);
INSERT INTO skill_trees VALUES (36,223,29,'Sting',41000,55);
INSERT INTO skill_trees VALUES (36,223,30,'Sting',41000,55);
INSERT INTO skill_trees VALUES (36,223,31,'Sting',50000,58);
INSERT INTO skill_trees VALUES (36,223,32,'Sting',50000,58);
INSERT INTO skill_trees VALUES (36,223,33,'Sting',50000,58);
INSERT INTO skill_trees VALUES (36,223,34,'Sting',100000,60);
INSERT INTO skill_trees VALUES (36,223,35,'Sting',100000,60);
INSERT INTO skill_trees VALUES (36,223,36,'Sting',140000,62);
INSERT INTO skill_trees VALUES (36,223,37,'Sting',140000,62);
INSERT INTO skill_trees VALUES (36,223,38,'Sting',160000,64);
INSERT INTO skill_trees VALUES (36,223,39,'Sting',160000,64);
INSERT INTO skill_trees VALUES (36,223,40,'Sting',220000,66);
INSERT INTO skill_trees VALUES (36,223,41,'Sting',220000,66);
INSERT INTO skill_trees VALUES (36,223,42,'Sting',240000,68);
INSERT INTO skill_trees VALUES (36,223,43,'Sting',240000,68);
INSERT INTO skill_trees VALUES (36,223,44,'Sting',310000,70);
INSERT INTO skill_trees VALUES (36,223,45,'Sting',310000,70);
INSERT INTO skill_trees VALUES (36,223,46,'Sting',470000,72);
INSERT INTO skill_trees VALUES (36,223,47,'Sting',470000,72);
INSERT INTO skill_trees VALUES (36,223,48,'Sting',720000,74);
INSERT INTO skill_trees VALUES (36,223,49,'Sting',720000,74);
INSERT INTO skill_trees VALUES (36,225,2,'Acrobatic Move',29000,43);
INSERT INTO skill_trees VALUES (36,225,3,'Acrobatic Move',120000,55);
INSERT INTO skill_trees VALUES (36,233,11,'Light Armor Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,233,12,'Light Armor Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,233,13,'Light Armor Mastery',9300,40);
INSERT INTO skill_trees VALUES (36,233,14,'Light Armor Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,233,15,'Light Armor Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,233,16,'Light Armor Mastery',9600,43);
INSERT INTO skill_trees VALUES (36,233,17,'Light Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,233,18,'Light Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,233,19,'Light Armor Mastery',13000,46);
INSERT INTO skill_trees VALUES (36,233,20,'Light Armor Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,233,21,'Light Armor Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,233,22,'Light Armor Mastery',20000,49);
INSERT INTO skill_trees VALUES (36,233,23,'Light Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,233,24,'Light Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,233,25,'Light Armor Mastery',31000,52);
INSERT INTO skill_trees VALUES (36,233,26,'Light Armor Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,233,27,'Light Armor Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,233,28,'Light Armor Mastery',41000,55);
INSERT INTO skill_trees VALUES (36,233,29,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,233,30,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,233,31,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (36,233,32,'Light Armor Mastery',100000,60);
INSERT INTO skill_trees VALUES (36,233,33,'Light Armor Mastery',100000,60);
INSERT INTO skill_trees VALUES (36,233,34,'Light Armor Mastery',140000,62);
INSERT INTO skill_trees VALUES (36,233,35,'Light Armor Mastery',140000,62);
INSERT INTO skill_trees VALUES (36,233,36,'Light Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (36,233,37,'Light Armor Mastery',160000,64);
INSERT INTO skill_trees VALUES (36,233,38,'Light Armor Mastery',220000,66);
INSERT INTO skill_trees VALUES (36,233,39,'Light Armor Mastery',220000,66);
INSERT INTO skill_trees VALUES (36,233,40,'Light Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (36,233,41,'Light Armor Mastery',240000,68);
INSERT INTO skill_trees VALUES (36,233,42,'Light Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (36,233,43,'Light Armor Mastery',310000,70);
INSERT INTO skill_trees VALUES (36,233,44,'Light Armor Mastery',470000,72);
INSERT INTO skill_trees VALUES (36,233,45,'Light Armor Mastery',470000,72);
INSERT INTO skill_trees VALUES (36,233,46,'Light Armor Mastery',720000,74);
INSERT INTO skill_trees VALUES (36,233,47,'Light Armor Mastery',720000,74);
INSERT INTO skill_trees VALUES (36,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (36,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (36,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (36,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (36,263,1,'Deadly Blow',9300,40);
INSERT INTO skill_trees VALUES (36,263,2,'Deadly Blow',9300,40);
INSERT INTO skill_trees VALUES (36,263,3,'Deadly Blow',9300,40);
INSERT INTO skill_trees VALUES (36,263,4,'Deadly Blow',9600,43);
INSERT INTO skill_trees VALUES (36,263,5,'Deadly Blow',9600,43);
INSERT INTO skill_trees VALUES (36,263,6,'Deadly Blow',9600,43);
INSERT INTO skill_trees VALUES (36,263,7,'Deadly Blow',13000,46);
INSERT INTO skill_trees VALUES (36,263,8,'Deadly Blow',13000,46);
INSERT INTO skill_trees VALUES (36,263,9,'Deadly Blow',13000,46);
INSERT INTO skill_trees VALUES (36,263,10,'Deadly Blow',20000,49);
INSERT INTO skill_trees VALUES (36,263,11,'Deadly Blow',20000,49);
INSERT INTO skill_trees VALUES (36,263,12,'Deadly Blow',20000,49);
INSERT INTO skill_trees VALUES (36,263,13,'Deadly Blow',31000,52);
INSERT INTO skill_trees VALUES (36,263,14,'Deadly Blow',31000,52);
INSERT INTO skill_trees VALUES (36,263,15,'Deadly Blow',31000,52);
INSERT INTO skill_trees VALUES (36,263,16,'Deadly Blow',41000,55);
INSERT INTO skill_trees VALUES (36,263,17,'Deadly Blow',41000,55);
INSERT INTO skill_trees VALUES (36,263,18,'Deadly Blow',41000,55);
INSERT INTO skill_trees VALUES (36,263,19,'Deadly Blow',50000,58);
INSERT INTO skill_trees VALUES (36,263,20,'Deadly Blow',50000,58);
INSERT INTO skill_trees VALUES (36,263,21,'Deadly Blow',50000,58);
INSERT INTO skill_trees VALUES (36,263,22,'Deadly Blow',100000,60);
INSERT INTO skill_trees VALUES (36,263,23,'Deadly Blow',100000,60);
INSERT INTO skill_trees VALUES (36,263,24,'Deadly Blow',140000,62);
INSERT INTO skill_trees VALUES (36,263,25,'Deadly Blow',140000,62);
INSERT INTO skill_trees VALUES (36,263,26,'Deadly Blow',160000,64);
INSERT INTO skill_trees VALUES (36,263,27,'Deadly Blow',160000,64);
INSERT INTO skill_trees VALUES (36,263,28,'Deadly Blow',220000,66);
INSERT INTO skill_trees VALUES (36,263,29,'Deadly Blow',220000,66);
INSERT INTO skill_trees VALUES (36,263,30,'Deadly Blow',240000,68);
INSERT INTO skill_trees VALUES (36,263,31,'Deadly Blow',240000,68);
INSERT INTO skill_trees VALUES (36,263,32,'Deadly Blow',310000,70);
INSERT INTO skill_trees VALUES (36,263,33,'Deadly Blow',310000,70);
INSERT INTO skill_trees VALUES (36,263,34,'Deadly Blow',470000,72);
INSERT INTO skill_trees VALUES (36,263,35,'Deadly Blow',470000,72);
INSERT INTO skill_trees VALUES (36,263,36,'Deadly Blow',720000,74);
INSERT INTO skill_trees VALUES (36,263,37,'Deadly Blow',720000,74);
INSERT INTO skill_trees VALUES (36,312,6,'Vicious Stance',28000,40);
INSERT INTO skill_trees VALUES (36,312,7,'Vicious Stance',29000,43);
INSERT INTO skill_trees VALUES (36,312,8,'Vicious Stance',40000,46);
INSERT INTO skill_trees VALUES (36,312,9,'Vicious Stance',61000,49);
INSERT INTO skill_trees VALUES (36,312,10,'Vicious Stance',94000,52);
INSERT INTO skill_trees VALUES (36,312,11,'Vicious Stance',120000,55);
INSERT INTO skill_trees VALUES (36,312,12,'Vicious Stance',150000,58);
INSERT INTO skill_trees VALUES (36,312,13,'Vicious Stance',210000,60);
INSERT INTO skill_trees VALUES (36,312,14,'Vicious Stance',290000,62);
INSERT INTO skill_trees VALUES (36,312,15,'Vicious Stance',320000,64);
INSERT INTO skill_trees VALUES (36,312,16,'Vicious Stance',440000,66);
INSERT INTO skill_trees VALUES (36,312,17,'Vicious Stance',490000,68);
INSERT INTO skill_trees VALUES (36,312,18,'Vicious Stance',620000,70);
INSERT INTO skill_trees VALUES (36,312,19,'Vicious Stance',940000,72);
INSERT INTO skill_trees VALUES (36,312,20,'Vicious Stance',1400000,74);
INSERT INTO skill_trees VALUES (36,321,1,'Blinding Blow',220000,66);
INSERT INTO skill_trees VALUES (36,321,2,'Blinding Blow',220000,66);
INSERT INTO skill_trees VALUES (36,321,3,'Blinding Blow',240000,68);
INSERT INTO skill_trees VALUES (36,321,4,'Blinding Blow',240000,68);
INSERT INTO skill_trees VALUES (36,321,5,'Blinding Blow',310000,70);
INSERT INTO skill_trees VALUES (36,321,6,'Blinding Blow',310000,70);
INSERT INTO skill_trees VALUES (36,321,7,'Blinding Blow',470000,72);
INSERT INTO skill_trees VALUES (36,321,8,'Blinding Blow',470000,72);
INSERT INTO skill_trees VALUES (36,321,9,'Blinding Blow',720000,74);
INSERT INTO skill_trees VALUES (36,321,10,'Blinding Blow',720000,74);
INSERT INTO skill_trees VALUES (37,2,5,'Confusion',33000,40);
INSERT INTO skill_trees VALUES (37,2,6,'Confusion',33000,43);
INSERT INTO skill_trees VALUES (37,2,7,'Confusion',47000,46);
INSERT INTO skill_trees VALUES (37,2,8,'Confusion',75000,49);
INSERT INTO skill_trees VALUES (37,2,9,'Confusion',120000,52);
INSERT INTO skill_trees VALUES (37,2,10,'Confusion',170000,55);
INSERT INTO skill_trees VALUES (37,2,11,'Confusion',180000,58);
INSERT INTO skill_trees VALUES (37,2,12,'Confusion',240000,60);
INSERT INTO skill_trees VALUES (37,2,13,'Confusion',310000,62);
INSERT INTO skill_trees VALUES (37,2,14,'Confusion',370000,64);
INSERT INTO skill_trees VALUES (37,2,15,'Confusion',500000,66);
INSERT INTO skill_trees VALUES (37,2,16,'Confusion',600000,68);
INSERT INTO skill_trees VALUES (37,2,17,'Confusion',720000,70);
INSERT INTO skill_trees VALUES (37,2,18,'Confusion',1200000,72);
INSERT INTO skill_trees VALUES (37,2,19,'Confusion',1600000,74);
INSERT INTO skill_trees VALUES (37,19,1,'Double Shot',11000,40);
INSERT INTO skill_trees VALUES (37,19,2,'Double Shot',11000,40);
INSERT INTO skill_trees VALUES (37,19,3,'Double Shot',11000,40);
INSERT INTO skill_trees VALUES (37,19,4,'Double Shot',11000,43);
INSERT INTO skill_trees VALUES (37,19,5,'Double Shot',11000,43);
INSERT INTO skill_trees VALUES (37,19,6,'Double Shot',11000,43);
INSERT INTO skill_trees VALUES (37,19,7,'Double Shot',15000,46);
INSERT INTO skill_trees VALUES (37,19,8,'Double Shot',15000,46);
INSERT INTO skill_trees VALUES (37,19,9,'Double Shot',15000,46);
INSERT INTO skill_trees VALUES (37,19,10,'Double Shot',25000,49);
INSERT INTO skill_trees VALUES (37,19,11,'Double Shot',25000,49);
INSERT INTO skill_trees VALUES (37,19,12,'Double Shot',25000,49);
INSERT INTO skill_trees VALUES (37,19,13,'Double Shot',42000,52);
INSERT INTO skill_trees VALUES (37,19,14,'Double Shot',42000,52);
INSERT INTO skill_trees VALUES (37,19,15,'Double Shot',42000,52);
INSERT INTO skill_trees VALUES (37,19,16,'Double Shot',56000,55);
INSERT INTO skill_trees VALUES (37,19,17,'Double Shot',56000,55);
INSERT INTO skill_trees VALUES (37,19,18,'Double Shot',56000,55);
INSERT INTO skill_trees VALUES (37,19,19,'Double Shot',62000,58);
INSERT INTO skill_trees VALUES (37,19,20,'Double Shot',62000,58);
INSERT INTO skill_trees VALUES (37,19,21,'Double Shot',62000,58);
INSERT INTO skill_trees VALUES (37,19,22,'Double Shot',120000,60);
INSERT INTO skill_trees VALUES (37,19,23,'Double Shot',120000,60);
INSERT INTO skill_trees VALUES (37,19,24,'Double Shot',150000,62);
INSERT INTO skill_trees VALUES (37,19,25,'Double Shot',150000,62);
INSERT INTO skill_trees VALUES (37,19,26,'Double Shot',180000,64);
INSERT INTO skill_trees VALUES (37,19,27,'Double Shot',180000,64);
INSERT INTO skill_trees VALUES (37,19,28,'Double Shot',250000,66);
INSERT INTO skill_trees VALUES (37,19,29,'Double Shot',250000,66);
INSERT INTO skill_trees VALUES (37,19,30,'Double Shot',300000,68);
INSERT INTO skill_trees VALUES (37,19,31,'Double Shot',300000,68);
INSERT INTO skill_trees VALUES (37,19,32,'Double Shot',360000,70);
INSERT INTO skill_trees VALUES (37,19,33,'Double Shot',360000,70);
INSERT INTO skill_trees VALUES (37,19,34,'Double Shot',580000,72);
INSERT INTO skill_trees VALUES (37,19,35,'Double Shot',580000,72);
INSERT INTO skill_trees VALUES (37,19,36,'Double Shot',820000,74);
INSERT INTO skill_trees VALUES (37,19,37,'Double Shot',820000,74);
INSERT INTO skill_trees VALUES (37,70,17,'Drain Health',11000,40);
INSERT INTO skill_trees VALUES (37,70,18,'Drain Health',11000,40);
INSERT INTO skill_trees VALUES (37,70,19,'Drain Health',11000,40);
INSERT INTO skill_trees VALUES (37,70,20,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (37,70,21,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (37,70,22,'Drain Health',11000,43);
INSERT INTO skill_trees VALUES (37,70,23,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (37,70,24,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (37,70,25,'Drain Health',15000,46);
INSERT INTO skill_trees VALUES (37,70,26,'Drain Health',25000,49);
INSERT INTO skill_trees VALUES (37,70,27,'Drain Health',25000,49);
INSERT INTO skill_trees VALUES (37,70,28,'Drain Health',25000,49);
INSERT INTO skill_trees VALUES (37,70,29,'Drain Health',42000,52);
INSERT INTO skill_trees VALUES (37,70,30,'Drain Health',42000,52);
INSERT INTO skill_trees VALUES (37,70,31,'Drain Health',42000,52);
INSERT INTO skill_trees VALUES (37,70,32,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (37,70,33,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (37,70,34,'Drain Health',56000,55);
INSERT INTO skill_trees VALUES (37,70,35,'Drain Health',62000,58);
INSERT INTO skill_trees VALUES (37,70,36,'Drain Health',62000,58);
INSERT INTO skill_trees VALUES (37,70,37,'Drain Health',62000,58);
INSERT INTO skill_trees VALUES (37,70,38,'Drain Health',120000,60);
INSERT INTO skill_trees VALUES (37,70,39,'Drain Health',120000,60);
INSERT INTO skill_trees VALUES (37,70,40,'Drain Health',150000,62);
INSERT INTO skill_trees VALUES (37,70,41,'Drain Health',150000,62);
INSERT INTO skill_trees VALUES (37,70,42,'Drain Health',180000,64);
INSERT INTO skill_trees VALUES (37,70,43,'Drain Health',180000,64);
INSERT INTO skill_trees VALUES (37,70,44,'Drain Health',250000,66);
INSERT INTO skill_trees VALUES (37,70,45,'Drain Health',250000,66);
INSERT INTO skill_trees VALUES (37,70,46,'Drain Health',300000,68);
INSERT INTO skill_trees VALUES (37,70,47,'Drain Health',300000,68);
INSERT INTO skill_trees VALUES (37,70,48,'Drain Health',360000,70);
INSERT INTO skill_trees VALUES (37,70,49,'Drain Health',360000,70);
INSERT INTO skill_trees VALUES (37,70,50,'Drain Health',580000,72);
INSERT INTO skill_trees VALUES (37,70,51,'Drain Health',580000,72);
INSERT INTO skill_trees VALUES (37,70,52,'Drain Health',820000,74);
INSERT INTO skill_trees VALUES (37,70,53,'Drain Health',820000,74);
INSERT INTO skill_trees VALUES (37,99,2,'Rapid Shot',170000,55);
INSERT INTO skill_trees VALUES (37,101,4,'Stun Shot',11000,40);
INSERT INTO skill_trees VALUES (37,101,5,'Stun Shot',11000,40);
INSERT INTO skill_trees VALUES (37,101,6,'Stun Shot',11000,40);
INSERT INTO skill_trees VALUES (37,101,7,'Stun Shot',11000,43);
INSERT INTO skill_trees VALUES (37,101,8,'Stun Shot',11000,43);
INSERT INTO skill_trees VALUES (37,101,9,'Stun Shot',11000,43);
INSERT INTO skill_trees VALUES (37,101,10,'Stun Shot',15000,46);
INSERT INTO skill_trees VALUES (37,101,11,'Stun Shot',15000,46);
INSERT INTO skill_trees VALUES (37,101,12,'Stun Shot',15000,46);
INSERT INTO skill_trees VALUES (37,101,13,'Stun Shot',25000,49);
INSERT INTO skill_trees VALUES (37,101,14,'Stun Shot',25000,49);
INSERT INTO skill_trees VALUES (37,101,15,'Stun Shot',25000,49);
INSERT INTO skill_trees VALUES (37,101,16,'Stun Shot',42000,52);
INSERT INTO skill_trees VALUES (37,101,17,'Stun Shot',42000,52);
INSERT INTO skill_trees VALUES (37,101,18,'Stun Shot',42000,52);
INSERT INTO skill_trees VALUES (37,101,19,'Stun Shot',56000,55);
INSERT INTO skill_trees VALUES (37,101,20,'Stun Shot',56000,55);
INSERT INTO skill_trees VALUES (37,101,21,'Stun Shot',56000,55);
INSERT INTO skill_trees VALUES (37,101,22,'Stun Shot',62000,58);
INSERT INTO skill_trees VALUES (37,101,23,'Stun Shot',62000,58);
INSERT INTO skill_trees VALUES (37,101,24,'Stun Shot',62000,58);
INSERT INTO skill_trees VALUES (37,101,25,'Stun Shot',120000,60);
INSERT INTO skill_trees VALUES (37,101,26,'Stun Shot',120000,60);
INSERT INTO skill_trees VALUES (37,101,27,'Stun Shot',150000,62);
INSERT INTO skill_trees VALUES (37,101,28,'Stun Shot',150000,62);
INSERT INTO skill_trees VALUES (37,101,29,'Stun Shot',180000,64);
INSERT INTO skill_trees VALUES (37,101,30,'Stun Shot',180000,64);
INSERT INTO skill_trees VALUES (37,101,31,'Stun Shot',250000,66);
INSERT INTO skill_trees VALUES (37,101,32,'Stun Shot',250000,66);
INSERT INTO skill_trees VALUES (37,101,33,'Stun Shot',300000,68);
INSERT INTO skill_trees VALUES (37,101,34,'Stun Shot',300000,68);
INSERT INTO skill_trees VALUES (37,101,35,'Stun Shot',360000,70);
INSERT INTO skill_trees VALUES (37,101,36,'Stun Shot',360000,70);
INSERT INTO skill_trees VALUES (37,101,37,'Stun Shot',580000,72);
INSERT INTO skill_trees VALUES (37,101,38,'Stun Shot',580000,72);
INSERT INTO skill_trees VALUES (37,101,39,'Stun Shot',820000,74);
INSERT INTO skill_trees VALUES (37,101,40,'Stun Shot',820000,74);
INSERT INTO skill_trees VALUES (37,105,3,'Freezing Strike',16000,40);
INSERT INTO skill_trees VALUES (37,105,4,'Freezing Strike',16000,40);
INSERT INTO skill_trees VALUES (37,105,5,'Freezing Strike',16000,43);
INSERT INTO skill_trees VALUES (37,105,6,'Freezing Strike',16000,43);
INSERT INTO skill_trees VALUES (37,105,7,'Freezing Strike',23000,46);
INSERT INTO skill_trees VALUES (37,105,8,'Freezing Strike',23000,46);
INSERT INTO skill_trees VALUES (37,105,9,'Freezing Strike',38000,49);
INSERT INTO skill_trees VALUES (37,105,10,'Freezing Strike',38000,49);
INSERT INTO skill_trees VALUES (37,105,11,'Freezing Strike',63000,52);
INSERT INTO skill_trees VALUES (37,105,12,'Freezing Strike',63000,52);
INSERT INTO skill_trees VALUES (37,105,13,'Freezing Strike',85000,55);
INSERT INTO skill_trees VALUES (37,105,14,'Freezing Strike',85000,55);
INSERT INTO skill_trees VALUES (37,105,15,'Freezing Strike',92000,58);
INSERT INTO skill_trees VALUES (37,105,16,'Freezing Strike',92000,58);
INSERT INTO skill_trees VALUES (37,105,17,'Freezing Strike',240000,60);
INSERT INTO skill_trees VALUES (37,105,18,'Freezing Strike',310000,62);
INSERT INTO skill_trees VALUES (37,105,19,'Freezing Strike',370000,64);
INSERT INTO skill_trees VALUES (37,105,20,'Freezing Strike',500000,66);
INSERT INTO skill_trees VALUES (37,105,21,'Freezing Strike',600000,68);
INSERT INTO skill_trees VALUES (37,105,22,'Freezing Strike',720000,70);
INSERT INTO skill_trees VALUES (37,105,23,'Freezing Strike',1200000,72);
INSERT INTO skill_trees VALUES (37,105,24,'Freezing Strike',1600000,74);
INSERT INTO skill_trees VALUES (37,113,2,'Long Shot',33000,40);
INSERT INTO skill_trees VALUES (37,115,3,'Power Break',33000,40);
INSERT INTO skill_trees VALUES (37,115,4,'Power Break',33000,43);
INSERT INTO skill_trees VALUES (37,115,5,'Power Break',47000,46);
INSERT INTO skill_trees VALUES (37,115,6,'Power Break',75000,49);
INSERT INTO skill_trees VALUES (37,115,7,'Power Break',120000,52);
INSERT INTO skill_trees VALUES (37,115,8,'Power Break',170000,55);
INSERT INTO skill_trees VALUES (37,115,9,'Power Break',180000,58);
INSERT INTO skill_trees VALUES (37,115,10,'Power Break',240000,60);
INSERT INTO skill_trees VALUES (37,115,11,'Power Break',310000,62);
INSERT INTO skill_trees VALUES (37,115,12,'Power Break',370000,64);
INSERT INTO skill_trees VALUES (37,115,13,'Power Break',500000,66);
INSERT INTO skill_trees VALUES (37,115,14,'Power Break',600000,68);
INSERT INTO skill_trees VALUES (37,115,15,'Power Break',720000,70);
INSERT INTO skill_trees VALUES (37,115,16,'Power Break',1200000,72);
INSERT INTO skill_trees VALUES (37,115,17,'Power Break',1600000,74);
INSERT INTO skill_trees VALUES (37,122,1,'Hex',33000,40);
INSERT INTO skill_trees VALUES (37,122,2,'Hex',33000,43);
INSERT INTO skill_trees VALUES (37,122,3,'Hex',47000,46);
INSERT INTO skill_trees VALUES (37,122,4,'Hex',75000,49);
INSERT INTO skill_trees VALUES (37,122,5,'Hex',120000,52);
INSERT INTO skill_trees VALUES (37,122,6,'Hex',170000,55);
INSERT INTO skill_trees VALUES (37,122,7,'Hex',180000,58);
INSERT INTO skill_trees VALUES (37,122,8,'Hex',240000,60);
INSERT INTO skill_trees VALUES (37,122,9,'Hex',310000,62);
INSERT INTO skill_trees VALUES (37,122,10,'Hex',370000,64);
INSERT INTO skill_trees VALUES (37,122,11,'Hex',500000,66);
INSERT INTO skill_trees VALUES (37,122,12,'Hex',600000,68);
INSERT INTO skill_trees VALUES (37,122,13,'Hex',720000,70);
INSERT INTO skill_trees VALUES (37,122,14,'Hex',1200000,72);
INSERT INTO skill_trees VALUES (37,122,15,'Hex',1600000,74);
INSERT INTO skill_trees VALUES (37,129,2,'Poison',75000,49);
INSERT INTO skill_trees VALUES (37,129,3,'Poison',180000,58);
INSERT INTO skill_trees VALUES (37,129,4,'Poison',500000,66);
INSERT INTO skill_trees VALUES (37,129,5,'Poison',1600000,74);
INSERT INTO skill_trees VALUES (37,169,2,'Quick Step',33000,43);
INSERT INTO skill_trees VALUES (37,171,2,'Esprit',33000,43);
INSERT INTO skill_trees VALUES (37,171,3,'Esprit',47000,46);
INSERT INTO skill_trees VALUES (37,171,4,'Esprit',75000,49);
INSERT INTO skill_trees VALUES (37,171,5,'Esprit',120000,52);
INSERT INTO skill_trees VALUES (37,171,6,'Esprit',310000,62);
INSERT INTO skill_trees VALUES (37,171,7,'Esprit',600000,68);
INSERT INTO skill_trees VALUES (37,171,8,'Esprit',1600000,74);
INSERT INTO skill_trees VALUES (37,208,16,'Bow Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,208,17,'Bow Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,208,18,'Bow Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,208,19,'Bow Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,208,20,'Bow Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,208,21,'Bow Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,208,22,'Bow Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,208,23,'Bow Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,208,24,'Bow Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,208,25,'Bow Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,208,26,'Bow Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,208,27,'Bow Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,208,28,'Bow Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,208,29,'Bow Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,208,30,'Bow Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,208,31,'Bow Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,208,32,'Bow Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,208,33,'Bow Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,208,34,'Bow Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,208,35,'Bow Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,208,36,'Bow Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,208,37,'Bow Mastery',120000,60);
INSERT INTO skill_trees VALUES (37,208,38,'Bow Mastery',120000,60);
INSERT INTO skill_trees VALUES (37,208,39,'Bow Mastery',150000,62);
INSERT INTO skill_trees VALUES (37,208,40,'Bow Mastery',150000,62);
INSERT INTO skill_trees VALUES (37,208,41,'Bow Mastery',180000,64);
INSERT INTO skill_trees VALUES (37,208,42,'Bow Mastery',180000,64);
INSERT INTO skill_trees VALUES (37,208,43,'Bow Mastery',250000,66);
INSERT INTO skill_trees VALUES (37,208,44,'Bow Mastery',250000,66);
INSERT INTO skill_trees VALUES (37,208,45,'Bow Mastery',300000,68);
INSERT INTO skill_trees VALUES (37,208,46,'Bow Mastery',300000,68);
INSERT INTO skill_trees VALUES (37,208,47,'Bow Mastery',360000,70);
INSERT INTO skill_trees VALUES (37,208,48,'Bow Mastery',360000,70);
INSERT INTO skill_trees VALUES (37,208,49,'Bow Mastery',580000,72);
INSERT INTO skill_trees VALUES (37,208,50,'Bow Mastery',580000,72);
INSERT INTO skill_trees VALUES (37,208,51,'Bow Mastery',820000,74);
INSERT INTO skill_trees VALUES (37,208,52,'Bow Mastery',820000,74);
INSERT INTO skill_trees VALUES (37,223,13,'Sting',11000,40);
INSERT INTO skill_trees VALUES (37,223,14,'Sting',11000,40);
INSERT INTO skill_trees VALUES (37,223,15,'Sting',11000,40);
INSERT INTO skill_trees VALUES (37,223,16,'Sting',11000,43);
INSERT INTO skill_trees VALUES (37,223,17,'Sting',11000,43);
INSERT INTO skill_trees VALUES (37,223,18,'Sting',11000,43);
INSERT INTO skill_trees VALUES (37,223,19,'Sting',15000,46);
INSERT INTO skill_trees VALUES (37,223,20,'Sting',15000,46);
INSERT INTO skill_trees VALUES (37,223,21,'Sting',15000,46);
INSERT INTO skill_trees VALUES (37,223,22,'Sting',25000,49);
INSERT INTO skill_trees VALUES (37,223,23,'Sting',25000,49);
INSERT INTO skill_trees VALUES (37,223,24,'Sting',25000,49);
INSERT INTO skill_trees VALUES (37,223,25,'Sting',42000,52);
INSERT INTO skill_trees VALUES (37,223,26,'Sting',42000,52);
INSERT INTO skill_trees VALUES (37,223,27,'Sting',42000,52);
INSERT INTO skill_trees VALUES (37,223,28,'Sting',56000,55);
INSERT INTO skill_trees VALUES (37,223,29,'Sting',56000,55);
INSERT INTO skill_trees VALUES (37,223,30,'Sting',56000,55);
INSERT INTO skill_trees VALUES (37,223,31,'Sting',62000,58);
INSERT INTO skill_trees VALUES (37,223,32,'Sting',62000,58);
INSERT INTO skill_trees VALUES (37,223,33,'Sting',62000,58);
INSERT INTO skill_trees VALUES (37,223,34,'Sting',120000,60);
INSERT INTO skill_trees VALUES (37,223,35,'Sting',120000,60);
INSERT INTO skill_trees VALUES (37,223,36,'Sting',150000,62);
INSERT INTO skill_trees VALUES (37,223,37,'Sting',150000,62);
INSERT INTO skill_trees VALUES (37,223,38,'Sting',180000,64);
INSERT INTO skill_trees VALUES (37,223,39,'Sting',180000,64);
INSERT INTO skill_trees VALUES (37,223,40,'Sting',250000,66);
INSERT INTO skill_trees VALUES (37,223,41,'Sting',250000,66);
INSERT INTO skill_trees VALUES (37,223,42,'Sting',300000,68);
INSERT INTO skill_trees VALUES (37,223,43,'Sting',300000,68);
INSERT INTO skill_trees VALUES (37,223,44,'Sting',360000,70);
INSERT INTO skill_trees VALUES (37,223,45,'Sting',360000,70);
INSERT INTO skill_trees VALUES (37,223,46,'Sting',580000,72);
INSERT INTO skill_trees VALUES (37,223,47,'Sting',580000,72);
INSERT INTO skill_trees VALUES (37,223,48,'Sting',820000,74);
INSERT INTO skill_trees VALUES (37,223,49,'Sting',820000,74);
INSERT INTO skill_trees VALUES (37,225,2,'Acrobatic Move',33000,43);
INSERT INTO skill_trees VALUES (37,225,3,'Acrobatic Move',170000,55);
INSERT INTO skill_trees VALUES (37,233,11,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,233,12,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,233,13,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (37,233,14,'Light Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,233,15,'Light Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,233,16,'Light Armor Mastery',11000,43);
INSERT INTO skill_trees VALUES (37,233,17,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,233,18,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,233,19,'Light Armor Mastery',15000,46);
INSERT INTO skill_trees VALUES (37,233,20,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,233,21,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,233,22,'Light Armor Mastery',25000,49);
INSERT INTO skill_trees VALUES (37,233,23,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,233,24,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,233,25,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (37,233,26,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,233,27,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,233,28,'Light Armor Mastery',56000,55);
INSERT INTO skill_trees VALUES (37,233,29,'Light Armor Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,233,30,'Light Armor Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,233,31,'Light Armor Mastery',62000,58);
INSERT INTO skill_trees VALUES (37,233,32,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (37,233,33,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (37,233,34,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (37,233,35,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (37,233,36,'Light Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (37,233,37,'Light Armor Mastery',180000,64);
INSERT INTO skill_trees VALUES (37,233,38,'Light Armor Mastery',250000,66);
INSERT INTO skill_trees VALUES (37,233,39,'Light Armor Mastery',250000,66);
INSERT INTO skill_trees VALUES (37,233,40,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (37,233,41,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (37,233,42,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (37,233,43,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (37,233,44,'Light Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (37,233,45,'Light Armor Mastery',580000,72);
INSERT INTO skill_trees VALUES (37,233,46,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (37,233,47,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (37,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (37,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (37,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (37,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (37,303,1,'Soul of Sagittarius',47000,46);
INSERT INTO skill_trees VALUES (37,303,2,'Soul of Sagittarius',180000,58);
INSERT INTO skill_trees VALUES (37,303,3,'Soul of Sagittarius',370000,64);
INSERT INTO skill_trees VALUES (37,303,4,'Soul of Sagittarius',720000,70);
INSERT INTO skill_trees VALUES (37,312,6,'Vicious Stance',33000,40);
INSERT INTO skill_trees VALUES (37,312,7,'Vicious Stance',33000,43);
INSERT INTO skill_trees VALUES (37,312,8,'Vicious Stance',47000,46);
INSERT INTO skill_trees VALUES (37,312,9,'Vicious Stance',75000,49);
INSERT INTO skill_trees VALUES (37,312,10,'Vicious Stance',120000,52);
INSERT INTO skill_trees VALUES (37,312,11,'Vicious Stance',170000,55);
INSERT INTO skill_trees VALUES (37,312,12,'Vicious Stance',180000,58);
INSERT INTO skill_trees VALUES (37,312,13,'Vicious Stance',240000,60);
INSERT INTO skill_trees VALUES (37,312,14,'Vicious Stance',310000,62);
INSERT INTO skill_trees VALUES (37,312,15,'Vicious Stance',370000,64);
INSERT INTO skill_trees VALUES (37,312,16,'Vicious Stance',500000,66);
INSERT INTO skill_trees VALUES (37,312,17,'Vicious Stance',600000,68);
INSERT INTO skill_trees VALUES (37,312,18,'Vicious Stance',720000,70);
INSERT INTO skill_trees VALUES (37,312,19,'Vicious Stance',1200000,72);
INSERT INTO skill_trees VALUES (37,312,20,'Vicious Stance',1600000,74);
INSERT INTO skill_trees VALUES (37,314,1,'Fatal Counter',120000,60);
INSERT INTO skill_trees VALUES (37,314,2,'Fatal Counter',120000,60);
INSERT INTO skill_trees VALUES (37,314,3,'Fatal Counter',150000,62);
INSERT INTO skill_trees VALUES (37,314,4,'Fatal Counter',150000,62);
INSERT INTO skill_trees VALUES (37,314,5,'Fatal Counter',180000,64);
INSERT INTO skill_trees VALUES (37,314,6,'Fatal Counter',180000,64);
INSERT INTO skill_trees VALUES (37,314,7,'Fatal Counter',250000,66);
INSERT INTO skill_trees VALUES (37,314,8,'Fatal Counter',250000,66);
INSERT INTO skill_trees VALUES (37,314,9,'Fatal Counter',300000,68);
INSERT INTO skill_trees VALUES (37,314,10,'Fatal Counter',300000,68);
INSERT INTO skill_trees VALUES (37,314,11,'Fatal Counter',360000,70);
INSERT INTO skill_trees VALUES (37,314,12,'Fatal Counter',360000,70);
INSERT INTO skill_trees VALUES (37,314,13,'Fatal Counter',580000,72);
INSERT INTO skill_trees VALUES (37,314,14,'Fatal Counter',580000,72);
INSERT INTO skill_trees VALUES (37,314,15,'Fatal Counter',820000,74);
INSERT INTO skill_trees VALUES (37,314,16,'Fatal Counter',820000,74);
INSERT INTO skill_trees VALUES (37,323,1,'Quiver of Arrow: Grade A',250000,66);
INSERT INTO skill_trees VALUES (37,324,1,'Quiver of Arrow: Grade S',1200000,72);
INSERT INTO skill_trees VALUES (38,118,1,'Magicians Movement',0,1);
INSERT INTO skill_trees VALUES (38,146,1,'Anti Magic',240,7);
INSERT INTO skill_trees VALUES (38,146,2,'Anti Magic',240,7);
INSERT INTO skill_trees VALUES (38,146,3,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (38,146,4,'Anti Magic',1100,14);
INSERT INTO skill_trees VALUES (38,163,1,'Spellcraft',0,1);
INSERT INTO skill_trees VALUES (38,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (38,214,1,'Mana Recovery',0,1);
INSERT INTO skill_trees VALUES (38,244,1,'Armor Mastery',470,7);
INSERT INTO skill_trees VALUES (38,244,2,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (38,244,3,'Armor Mastery',1100,14);
INSERT INTO skill_trees VALUES (38,249,1,'Weapon Mastery',470,7);
INSERT INTO skill_trees VALUES (38,249,2,'Weapon Mastery',2100,14);
INSERT INTO skill_trees VALUES (38,1011,1,'Heal',160,7);
INSERT INTO skill_trees VALUES (38,1011,2,'Heal',160,7);
INSERT INTO skill_trees VALUES (38,1011,3,'Heal',160,7);
INSERT INTO skill_trees VALUES (38,1011,4,'Heal',700,14);
INSERT INTO skill_trees VALUES (38,1011,5,'Heal',700,14);
INSERT INTO skill_trees VALUES (38,1011,6,'Heal',700,14);
INSERT INTO skill_trees VALUES (38,1012,1,'Cure Poison',470,7);
INSERT INTO skill_trees VALUES (38,1015,1,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (38,1015,2,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (38,1015,3,'Battle Heal',700,14);
INSERT INTO skill_trees VALUES (38,1027,1,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (38,1027,2,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (38,1027,3,'Group Heal',700,14);
INSERT INTO skill_trees VALUES (38,1040,1,'Shield',470,7);
INSERT INTO skill_trees VALUES (38,1068,1,'Might',470,7);
INSERT INTO skill_trees VALUES (38,1147,1,'Vampiric Touch',1100,14);
INSERT INTO skill_trees VALUES (38,1147,2,'Vampiric Touch',1100,14);
INSERT INTO skill_trees VALUES (38,1168,1,'Curse:Poison',470,7);
INSERT INTO skill_trees VALUES (38,1177,1,'Wind Strike',0,1);
INSERT INTO skill_trees VALUES (38,1177,2,'Wind Strike',240,7);
INSERT INTO skill_trees VALUES (38,1177,3,'Wind Strike',240,7);
INSERT INTO skill_trees VALUES (38,1177,4,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (38,1177,5,'Wind Strike',1100,14);
INSERT INTO skill_trees VALUES (38,1184,1,'Ice Bolt',240,7);
INSERT INTO skill_trees VALUES (38,1184,2,'Ice Bolt',240,7);
INSERT INTO skill_trees VALUES (38,1184,3,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (38,1184,4,'Ice Bolt',1100,14);
INSERT INTO skill_trees VALUES (38,1206,1,'Wind Shackle',2100,14);
INSERT INTO skill_trees VALUES (38,1216,1,'Self Heal',0,1);
INSERT INTO skill_trees VALUES (39,146,5,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (39,146,6,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (39,146,7,'Anti Magic',2900,25);
INSERT INTO skill_trees VALUES (39,146,8,'Anti Magic',2900,25);
INSERT INTO skill_trees VALUES (39,146,9,'Anti Magic',5500,30);
INSERT INTO skill_trees VALUES (39,146,10,'Anti Magic',5500,30);
INSERT INTO skill_trees VALUES (39,146,11,'Anti Magic',9300,35);
INSERT INTO skill_trees VALUES (39,146,12,'Anti Magic',9300,35);
INSERT INTO skill_trees VALUES (39,164,1,'Quick Recovery',3300,20);
INSERT INTO skill_trees VALUES (39,164,2,'Quick Recovery',11000,30);
INSERT INTO skill_trees VALUES (39,212,1,'Fast HP Recovery',18000,35);
INSERT INTO skill_trees VALUES (39,213,1,'Boost Mana',3300,20);
INSERT INTO skill_trees VALUES (39,213,2,'Boost Mana',11000,30);
INSERT INTO skill_trees VALUES (39,228,1,'Fast Spell Casting',5800,25);
INSERT INTO skill_trees VALUES (39,229,1,'Fast Mana Recovery',5800,25);
INSERT INTO skill_trees VALUES (39,229,2,'Fast Mana Recovery',18000,35);
INSERT INTO skill_trees VALUES (39,234,1,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (39,234,2,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (39,234,3,'Robe Mastery',2900,25);
INSERT INTO skill_trees VALUES (39,234,4,'Robe Mastery',2900,25);
INSERT INTO skill_trees VALUES (39,234,5,'Robe Mastery',5500,30);
INSERT INTO skill_trees VALUES (39,234,6,'Robe Mastery',5500,30);
INSERT INTO skill_trees VALUES (39,234,7,'Robe Mastery',9300,35);
INSERT INTO skill_trees VALUES (39,234,8,'Robe Mastery',9300,35);
INSERT INTO skill_trees VALUES (39,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (39,249,3,'Weapon Mastery',3300,20);
INSERT INTO skill_trees VALUES (39,249,4,'Weapon Mastery',2900,25);
INSERT INTO skill_trees VALUES (39,249,5,'Weapon Mastery',2900,25);
INSERT INTO skill_trees VALUES (39,249,6,'Weapon Mastery',5500,30);
INSERT INTO skill_trees VALUES (39,249,7,'Weapon Mastery',5500,30);
INSERT INTO skill_trees VALUES (39,249,8,'Weapon Mastery',9300,35);
INSERT INTO skill_trees VALUES (39,249,9,'Weapon Mastery',9300,35);
INSERT INTO skill_trees VALUES (39,285,1,'Higher Mana Gain',1600,20);
INSERT INTO skill_trees VALUES (39,285,2,'Higher Mana Gain',1600,20);
INSERT INTO skill_trees VALUES (39,285,3,'Higher Mana Gain',2900,25);
INSERT INTO skill_trees VALUES (39,285,4,'Higher Mana Gain',2900,25);
INSERT INTO skill_trees VALUES (39,285,5,'Higher Mana Gain',5500,30);
INSERT INTO skill_trees VALUES (39,285,6,'Higher Mana Gain',5500,30);
INSERT INTO skill_trees VALUES (39,285,7,'Higher Mana Gain',9300,35);
INSERT INTO skill_trees VALUES (39,285,8,'Higher Mana Gain',9300,35);
INSERT INTO skill_trees VALUES (39,1069,1,'Sleep',1900,25);
INSERT INTO skill_trees VALUES (39,1069,2,'Sleep',1900,25);
INSERT INTO skill_trees VALUES (39,1069,3,'Sleep',1900,25);
INSERT INTO skill_trees VALUES (39,1069,4,'Sleep',3700,30);
INSERT INTO skill_trees VALUES (39,1069,5,'Sleep',3700,30);
INSERT INTO skill_trees VALUES (39,1069,6,'Sleep',3700,30);
INSERT INTO skill_trees VALUES (39,1069,7,'Sleep',6200,35);
INSERT INTO skill_trees VALUES (39,1069,8,'Sleep',6200,35);
INSERT INTO skill_trees VALUES (39,1069,9,'Sleep',6200,35);
INSERT INTO skill_trees VALUES (39,1078,1,'Concentration',3300,20);
INSERT INTO skill_trees VALUES (39,1078,2,'Concentration',11000,30);
INSERT INTO skill_trees VALUES (39,1126,1,'Servitor Recharge',2900,25);
INSERT INTO skill_trees VALUES (39,1126,2,'Servitor Recharge',2900,25);
INSERT INTO skill_trees VALUES (39,1126,3,'Servitor Recharge',5500,30);
INSERT INTO skill_trees VALUES (39,1126,4,'Servitor Recharge',5500,30);
INSERT INTO skill_trees VALUES (39,1126,5,'Servitor Recharge',9300,35);
INSERT INTO skill_trees VALUES (39,1126,6,'Servitor Recharge',9300,35);
INSERT INTO skill_trees VALUES (39,1127,1,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (39,1127,2,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (39,1127,3,'Servitor Heal',1100,20);
INSERT INTO skill_trees VALUES (39,1127,4,'Servitor Heal',1900,25);
INSERT INTO skill_trees VALUES (39,1127,5,'Servitor Heal',1900,25);
INSERT INTO skill_trees VALUES (39,1127,6,'Servitor Heal',1900,25);
INSERT INTO skill_trees VALUES (39,1127,7,'Servitor Heal',3700,30);
INSERT INTO skill_trees VALUES (39,1127,8,'Servitor Heal',3700,30);
INSERT INTO skill_trees VALUES (39,1127,9,'Servitor Heal',3700,30);
INSERT INTO skill_trees VALUES (39,1127,10,'Servitor Heal',6200,35);
INSERT INTO skill_trees VALUES (39,1127,11,'Servitor Heal',6200,35);
INSERT INTO skill_trees VALUES (39,1127,12,'Servitor Heal',6200,35);
INSERT INTO skill_trees VALUES (39,1128,1,'Summon Shadow',3300,20);
INSERT INTO skill_trees VALUES (39,1128,2,'Summon Shadow',5800,25);
INSERT INTO skill_trees VALUES (39,1128,3,'Summon Shadow',11000,30);
INSERT INTO skill_trees VALUES (39,1128,4,'Summon Shadow',18000,35);
INSERT INTO skill_trees VALUES (39,1146,1,'Mighty Servitor',18000,35);
INSERT INTO skill_trees VALUES (39,1147,3,'Vampiric Touch',1600,20);
INSERT INTO skill_trees VALUES (39,1147,4,'Vampiric Touch',1600,20);
INSERT INTO skill_trees VALUES (39,1147,5,'Vampiric Touch',2900,25);
INSERT INTO skill_trees VALUES (39,1147,6,'Vampiric Touch',2900,25);
INSERT INTO skill_trees VALUES (39,1151,1,'Corpse Life Drain',11000,30);
INSERT INTO skill_trees VALUES (39,1151,2,'Corpse Life Drain',18000,35);
INSERT INTO skill_trees VALUES (39,1157,1,'Body To Mind',5800,25);
INSERT INTO skill_trees VALUES (39,1160,1,'Slow',18000,35);
INSERT INTO skill_trees VALUES (39,1167,1,'Poisonous Cloud',5800,25);
INSERT INTO skill_trees VALUES (39,1167,2,'Poisonous Cloud',18000,35);
INSERT INTO skill_trees VALUES (39,1168,2,'Curse:Poison',3300,20);
INSERT INTO skill_trees VALUES (39,1168,3,'Curse:Poison',11000,30);
INSERT INTO skill_trees VALUES (39,1172,1,'Aura Burn',1600,20);
INSERT INTO skill_trees VALUES (39,1172,2,'Aura Burn',1600,20);
INSERT INTO skill_trees VALUES (39,1172,3,'Aura Burn',2900,25);
INSERT INTO skill_trees VALUES (39,1172,4,'Aura Burn',2900,25);
INSERT INTO skill_trees VALUES (39,1172,5,'Aura Burn',5500,30);
INSERT INTO skill_trees VALUES (39,1172,6,'Aura Burn',5500,30);
INSERT INTO skill_trees VALUES (39,1172,7,'Aura Burn',9300,35);
INSERT INTO skill_trees VALUES (39,1172,8,'Aura Burn',9300,35);
INSERT INTO skill_trees VALUES (39,1178,1,'Twister',1600,20);
INSERT INTO skill_trees VALUES (39,1178,2,'Twister',1600,20);
INSERT INTO skill_trees VALUES (39,1178,3,'Twister',2900,25);
INSERT INTO skill_trees VALUES (39,1178,4,'Twister',2900,25);
INSERT INTO skill_trees VALUES (39,1178,5,'Twister',5500,30);
INSERT INTO skill_trees VALUES (39,1178,6,'Twister',5500,30);
INSERT INTO skill_trees VALUES (39,1178,7,'Twister',9300,35);
INSERT INTO skill_trees VALUES (39,1178,8,'Twister',9300,35);
INSERT INTO skill_trees VALUES (39,1181,1,'Flame Strike',3300,20);
INSERT INTO skill_trees VALUES (39,1181,2,'Flame Strike',5800,25);
INSERT INTO skill_trees VALUES (39,1181,3,'Flame Strike',11000,30);
INSERT INTO skill_trees VALUES (39,1184,5,'Ice Bolt',1600,20);
INSERT INTO skill_trees VALUES (39,1184,6,'Ice Bolt',1600,20);
INSERT INTO skill_trees VALUES (39,1222,1,'Curse Chaos',18000,35);
INSERT INTO skill_trees VALUES (39,1224,1,'Surrender To Poison',5800,25);
INSERT INTO skill_trees VALUES (39,1224,2,'Surrender To Poison',11000,30);
INSERT INTO skill_trees VALUES (39,1224,3,'Surrender To Poison',18000,35);
INSERT INTO skill_trees VALUES (39,1228,1,'Summon Silhouette',3300,20);
INSERT INTO skill_trees VALUES (39,1228,2,'Summon Silhouette',5800,25);
INSERT INTO skill_trees VALUES (39,1228,3,'Summon Silhouette',11000,30);
INSERT INTO skill_trees VALUES (39,1228,4,'Summon Silhouette',18000,35);
INSERT INTO skill_trees VALUES (39,1266,1,'Shadow Spark',5800,25);
INSERT INTO skill_trees VALUES (39,1266,2,'Shadow Spark',11000,30);
INSERT INTO skill_trees VALUES (39,1266,3,'Shadow Spark',18000,35);
INSERT INTO skill_trees VALUES (40,146,13,'Anti Magic',10000,40);
INSERT INTO skill_trees VALUES (40,146,14,'Anti Magic',10000,40);
INSERT INTO skill_trees VALUES (40,146,15,'Anti Magic',10000,40);
INSERT INTO skill_trees VALUES (40,146,16,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (40,146,17,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (40,146,18,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (40,146,19,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (40,146,20,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (40,146,21,'Anti Magic',20000,48);
INSERT INTO skill_trees VALUES (40,146,22,'Anti Magic',29000,52);
INSERT INTO skill_trees VALUES (40,146,23,'Anti Magic',29000,52);
INSERT INTO skill_trees VALUES (40,146,24,'Anti Magic',29000,52);
INSERT INTO skill_trees VALUES (40,146,25,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (40,146,26,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (40,146,27,'Anti Magic',32000,56);
INSERT INTO skill_trees VALUES (40,146,28,'Anti Magic',58000,58);
INSERT INTO skill_trees VALUES (40,146,29,'Anti Magic',58000,58);
INSERT INTO skill_trees VALUES (40,146,30,'Anti Magic',79000,60);
INSERT INTO skill_trees VALUES (40,146,31,'Anti Magic',79000,60);
INSERT INTO skill_trees VALUES (40,146,32,'Anti Magic',110000,62);
INSERT INTO skill_trees VALUES (40,146,33,'Anti Magic',110000,62);
INSERT INTO skill_trees VALUES (40,146,34,'Anti Magic',130000,64);
INSERT INTO skill_trees VALUES (40,146,35,'Anti Magic',130000,64);
INSERT INTO skill_trees VALUES (40,146,36,'Anti Magic',180000,66);
INSERT INTO skill_trees VALUES (40,146,37,'Anti Magic',180000,66);
INSERT INTO skill_trees VALUES (40,146,38,'Anti Magic',190000,68);
INSERT INTO skill_trees VALUES (40,146,39,'Anti Magic',190000,68);
INSERT INTO skill_trees VALUES (40,146,40,'Anti Magic',260000,70);
INSERT INTO skill_trees VALUES (40,146,41,'Anti Magic',260000,70);
INSERT INTO skill_trees VALUES (40,146,42,'Anti Magic',370000,72);
INSERT INTO skill_trees VALUES (40,146,43,'Anti Magic',370000,72);
INSERT INTO skill_trees VALUES (40,146,44,'Anti Magic',550000,74);
INSERT INTO skill_trees VALUES (40,146,45,'Anti Magic',550000,74);
INSERT INTO skill_trees VALUES (40,164,3,'Quick Recovery',60000,48);
INSERT INTO skill_trees VALUES (40,212,2,'Fast HP Recovery',39000,44);
INSERT INTO skill_trees VALUES (40,212,3,'Fast HP Recovery',86000,52);
INSERT INTO skill_trees VALUES (40,212,4,'Fast HP Recovery',110000,58);
INSERT INTO skill_trees VALUES (40,212,5,'Fast HP Recovery',250000,64);
INSERT INTO skill_trees VALUES (40,212,6,'Fast HP Recovery',1100000,74);
INSERT INTO skill_trees VALUES (40,213,3,'Boost Mana',30000,40);
INSERT INTO skill_trees VALUES (40,213,4,'Boost Mana',60000,48);
INSERT INTO skill_trees VALUES (40,213,5,'Boost Mana',95000,56);
INSERT INTO skill_trees VALUES (40,213,6,'Boost Mana',160000,60);
INSERT INTO skill_trees VALUES (40,213,7,'Boost Mana',350000,66);
INSERT INTO skill_trees VALUES (40,213,8,'Boost Mana',750000,72);
INSERT INTO skill_trees VALUES (40,228,2,'Fast Spell Casting',30000,40);
INSERT INTO skill_trees VALUES (40,228,3,'Fast Spell Casting',95000,56);
INSERT INTO skill_trees VALUES (40,229,3,'Fast Mana Recovery',39000,44);
INSERT INTO skill_trees VALUES (40,229,4,'Fast Mana Recovery',86000,52);
INSERT INTO skill_trees VALUES (40,229,5,'Fast Mana Recovery',160000,60);
INSERT INTO skill_trees VALUES (40,229,6,'Fast Mana Recovery',390000,68);
INSERT INTO skill_trees VALUES (40,229,7,'Fast Mana Recovery',1100000,74);
INSERT INTO skill_trees VALUES (40,234,9,'Robe Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,234,10,'Robe Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,234,11,'Robe Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,234,12,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,234,13,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,234,14,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,234,15,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,234,16,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,234,17,'Robe Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,234,18,'Robe Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,234,19,'Robe Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,234,20,'Robe Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,234,21,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,234,22,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,234,23,'Robe Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,234,24,'Robe Mastery',58000,58);
INSERT INTO skill_trees VALUES (40,234,25,'Robe Mastery',58000,58);
INSERT INTO skill_trees VALUES (40,234,26,'Robe Mastery',79000,60);
INSERT INTO skill_trees VALUES (40,234,27,'Robe Mastery',79000,60);
INSERT INTO skill_trees VALUES (40,234,28,'Robe Mastery',110000,62);
INSERT INTO skill_trees VALUES (40,234,29,'Robe Mastery',110000,62);
INSERT INTO skill_trees VALUES (40,234,30,'Robe Mastery',130000,64);
INSERT INTO skill_trees VALUES (40,234,31,'Robe Mastery',130000,64);
INSERT INTO skill_trees VALUES (40,234,32,'Robe Mastery',180000,66);
INSERT INTO skill_trees VALUES (40,234,33,'Robe Mastery',180000,66);
INSERT INTO skill_trees VALUES (40,234,34,'Robe Mastery',190000,68);
INSERT INTO skill_trees VALUES (40,234,35,'Robe Mastery',190000,68);
INSERT INTO skill_trees VALUES (40,234,36,'Robe Mastery',260000,70);
INSERT INTO skill_trees VALUES (40,234,37,'Robe Mastery',260000,70);
INSERT INTO skill_trees VALUES (40,234,38,'Robe Mastery',370000,72);
INSERT INTO skill_trees VALUES (40,234,39,'Robe Mastery',370000,72);
INSERT INTO skill_trees VALUES (40,234,40,'Robe Mastery',550000,74);
INSERT INTO skill_trees VALUES (40,234,41,'Robe Mastery',550000,74);
INSERT INTO skill_trees VALUES (40,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (40,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (40,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (40,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (40,249,10,'Weapon Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,249,11,'Weapon Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,249,12,'Weapon Mastery',10000,40);
INSERT INTO skill_trees VALUES (40,249,13,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,249,14,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,249,15,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (40,249,16,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,249,17,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,249,18,'Weapon Mastery',20000,48);
INSERT INTO skill_trees VALUES (40,249,19,'Weapon Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,249,20,'Weapon Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,249,21,'Weapon Mastery',29000,52);
INSERT INTO skill_trees VALUES (40,249,22,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,249,23,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,249,24,'Weapon Mastery',32000,56);
INSERT INTO skill_trees VALUES (40,249,25,'Weapon Mastery',58000,58);
INSERT INTO skill_trees VALUES (40,249,26,'Weapon Mastery',58000,58);
INSERT INTO skill_trees VALUES (40,249,27,'Weapon Mastery',79000,60);
INSERT INTO skill_trees VALUES (40,249,28,'Weapon Mastery',79000,60);
INSERT INTO skill_trees VALUES (40,249,29,'Weapon Mastery',110000,62);
INSERT INTO skill_trees VALUES (40,249,30,'Weapon Mastery',110000,62);
INSERT INTO skill_trees VALUES (40,249,31,'Weapon Mastery',130000,64);
INSERT INTO skill_trees VALUES (40,249,32,'Weapon Mastery',130000,64);
INSERT INTO skill_trees VALUES (40,249,33,'Weapon Mastery',180000,66);
INSERT INTO skill_trees VALUES (40,249,34,'Weapon Mastery',180000,66);
INSERT INTO skill_trees VALUES (40,249,35,'Weapon Mastery',190000,68);
INSERT INTO skill_trees VALUES (40,249,36,'Weapon Mastery',190000,68);
INSERT INTO skill_trees VALUES (40,249,37,'Weapon Mastery',260000,70);
INSERT INTO skill_trees VALUES (40,249,38,'Weapon Mastery',260000,70);
INSERT INTO skill_trees VALUES (40,249,39,'Weapon Mastery',370000,72);
INSERT INTO skill_trees VALUES (40,249,40,'Weapon Mastery',370000,72);
INSERT INTO skill_trees VALUES (40,249,41,'Weapon Mastery',550000,74);
INSERT INTO skill_trees VALUES (40,249,42,'Weapon Mastery',550000,74);
INSERT INTO skill_trees VALUES (40,285,9,'Higher Mana Gain',15000,40);
INSERT INTO skill_trees VALUES (40,285,10,'Higher Mana Gain',15000,40);
INSERT INTO skill_trees VALUES (40,285,11,'Higher Mana Gain',19000,44);
INSERT INTO skill_trees VALUES (40,285,12,'Higher Mana Gain',19000,44);
INSERT INTO skill_trees VALUES (40,285,13,'Higher Mana Gain',30000,48);
INSERT INTO skill_trees VALUES (40,285,14,'Higher Mana Gain',30000,48);
INSERT INTO skill_trees VALUES (40,285,15,'Higher Mana Gain',43000,52);
INSERT INTO skill_trees VALUES (40,285,16,'Higher Mana Gain',43000,52);
INSERT INTO skill_trees VALUES (40,285,17,'Higher Mana Gain',48000,56);
INSERT INTO skill_trees VALUES (40,285,18,'Higher Mana Gain',48000,56);
INSERT INTO skill_trees VALUES (40,285,19,'Higher Mana Gain',110000,58);
INSERT INTO skill_trees VALUES (40,285,20,'Higher Mana Gain',160000,60);
INSERT INTO skill_trees VALUES (40,285,21,'Higher Mana Gain',210000,62);
INSERT INTO skill_trees VALUES (40,285,22,'Higher Mana Gain',250000,64);
INSERT INTO skill_trees VALUES (40,285,23,'Higher Mana Gain',350000,66);
INSERT INTO skill_trees VALUES (40,285,24,'Higher Mana Gain',390000,68);
INSERT INTO skill_trees VALUES (40,285,25,'Higher Mana Gain',520000,70);
INSERT INTO skill_trees VALUES (40,285,26,'Higher Mana Gain',750000,72);
INSERT INTO skill_trees VALUES (40,285,27,'Higher Mana Gain',1100000,74);
INSERT INTO skill_trees VALUES (40,1064,1,'Silence',30000,40);
INSERT INTO skill_trees VALUES (40,1064,2,'Silence',39000,44);
INSERT INTO skill_trees VALUES (40,1064,3,'Silence',60000,48);
INSERT INTO skill_trees VALUES (40,1064,4,'Silence',86000,52);
INSERT INTO skill_trees VALUES (40,1064,5,'Silence',95000,56);
INSERT INTO skill_trees VALUES (40,1064,6,'Silence',110000,58);
INSERT INTO skill_trees VALUES (40,1064,7,'Silence',160000,60);
INSERT INTO skill_trees VALUES (40,1064,8,'Silence',210000,62);
INSERT INTO skill_trees VALUES (40,1064,9,'Silence',250000,64);
INSERT INTO skill_trees VALUES (40,1064,10,'Silence',350000,66);
INSERT INTO skill_trees VALUES (40,1064,11,'Silence',390000,68);
INSERT INTO skill_trees VALUES (40,1064,12,'Silence',520000,70);
INSERT INTO skill_trees VALUES (40,1064,13,'Silence',750000,72);
INSERT INTO skill_trees VALUES (40,1064,14,'Silence',1100000,74);
INSERT INTO skill_trees VALUES (40,1069,10,'Sleep',10000,40);
INSERT INTO skill_trees VALUES (40,1069,11,'Sleep',10000,40);
INSERT INTO skill_trees VALUES (40,1069,12,'Sleep',10000,40);
INSERT INTO skill_trees VALUES (40,1069,13,'Sleep',13000,44);
INSERT INTO skill_trees VALUES (40,1069,14,'Sleep',13000,44);
INSERT INTO skill_trees VALUES (40,1069,15,'Sleep',13000,44);
INSERT INTO skill_trees VALUES (40,1069,16,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (40,1069,17,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (40,1069,18,'Sleep',20000,48);
INSERT INTO skill_trees VALUES (40,1069,19,'Sleep',29000,52);
INSERT INTO skill_trees VALUES (40,1069,20,'Sleep',29000,52);
INSERT INTO skill_trees VALUES (40,1069,21,'Sleep',29000,52);
INSERT INTO skill_trees VALUES (40,1069,22,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (40,1069,23,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (40,1069,24,'Sleep',32000,56);
INSERT INTO skill_trees VALUES (40,1069,25,'Sleep',58000,58);
INSERT INTO skill_trees VALUES (40,1069,26,'Sleep',58000,58);
INSERT INTO skill_trees VALUES (40,1069,27,'Sleep',79000,60);
INSERT INTO skill_trees VALUES (40,1069,28,'Sleep',79000,60);
INSERT INTO skill_trees VALUES (40,1069,29,'Sleep',110000,62);
INSERT INTO skill_trees VALUES (40,1069,30,'Sleep',110000,62);
INSERT INTO skill_trees VALUES (40,1069,31,'Sleep',130000,64);
INSERT INTO skill_trees VALUES (40,1069,32,'Sleep',130000,64);
INSERT INTO skill_trees VALUES (40,1069,33,'Sleep',180000,66);
INSERT INTO skill_trees VALUES (40,1069,34,'Sleep',180000,66);
INSERT INTO skill_trees VALUES (40,1069,35,'Sleep',190000,68);
INSERT INTO skill_trees VALUES (40,1069,36,'Sleep',190000,68);
INSERT INTO skill_trees VALUES (40,1069,37,'Sleep',260000,70);
INSERT INTO skill_trees VALUES (40,1069,38,'Sleep',260000,70);
INSERT INTO skill_trees VALUES (40,1069,39,'Sleep',370000,72);
INSERT INTO skill_trees VALUES (40,1069,40,'Sleep',370000,72);
INSERT INTO skill_trees VALUES (40,1069,41,'Sleep',550000,74);
INSERT INTO skill_trees VALUES (40,1069,42,'Sleep',550000,74);
INSERT INTO skill_trees VALUES (40,1074,1,'Surrender To Wind',30000,40);
INSERT INTO skill_trees VALUES (40,1074,2,'Surrender To Wind',39000,44);
INSERT INTO skill_trees VALUES (40,1074,3,'Surrender To Wind',60000,48);
INSERT INTO skill_trees VALUES (40,1074,4,'Surrender To Wind',86000,52);
INSERT INTO skill_trees VALUES (40,1074,5,'Surrender To Wind',95000,56);
INSERT INTO skill_trees VALUES (40,1074,6,'Surrender To Wind',110000,58);
INSERT INTO skill_trees VALUES (40,1074,7,'Surrender To Wind',160000,60);
INSERT INTO skill_trees VALUES (40,1074,8,'Surrender To Wind',210000,62);
INSERT INTO skill_trees VALUES (40,1074,9,'Surrender To Wind',250000,64);
INSERT INTO skill_trees VALUES (40,1074,10,'Surrender To Wind',350000,66);
INSERT INTO skill_trees VALUES (40,1074,11,'Surrender To Wind',390000,68);
INSERT INTO skill_trees VALUES (40,1074,12,'Surrender To Wind',520000,70);
INSERT INTO skill_trees VALUES (40,1074,13,'Surrender To Wind',750000,72);
INSERT INTO skill_trees VALUES (40,1074,14,'Surrender To Wind',1100000,74);
INSERT INTO skill_trees VALUES (40,1148,1,'Death Spike',39000,44);
INSERT INTO skill_trees VALUES (40,1148,2,'Death Spike',60000,48);
INSERT INTO skill_trees VALUES (40,1148,3,'Death Spike',86000,52);
INSERT INTO skill_trees VALUES (40,1148,4,'Death Spike',95000,56);
INSERT INTO skill_trees VALUES (40,1148,5,'Death Spike',110000,58);
INSERT INTO skill_trees VALUES (40,1148,6,'Death Spike',160000,60);
INSERT INTO skill_trees VALUES (40,1148,7,'Death Spike',210000,62);
INSERT INTO skill_trees VALUES (40,1148,8,'Death Spike',250000,64);
INSERT INTO skill_trees VALUES (40,1148,9,'Death Spike',350000,66);
INSERT INTO skill_trees VALUES (40,1148,10,'Death Spike',390000,68);
INSERT INTO skill_trees VALUES (40,1148,11,'Death Spike',520000,70);
INSERT INTO skill_trees VALUES (40,1148,12,'Death Spike',750000,72);
INSERT INTO skill_trees VALUES (40,1148,13,'Death Spike',1100000,74);
INSERT INTO skill_trees VALUES (40,1151,3,'Corpse Life Drain',30000,40);
INSERT INTO skill_trees VALUES (40,1151,4,'Corpse Life Drain',39000,44);
INSERT INTO skill_trees VALUES (40,1151,5,'Corpse Life Drain',60000,48);
INSERT INTO skill_trees VALUES (40,1151,6,'Corpse Life Drain',86000,52);
INSERT INTO skill_trees VALUES (40,1151,7,'Corpse Life Drain',95000,56);
INSERT INTO skill_trees VALUES (40,1151,8,'Corpse Life Drain',110000,58);
INSERT INTO skill_trees VALUES (40,1151,9,'Corpse Life Drain',160000,60);
INSERT INTO skill_trees VALUES (40,1151,10,'Corpse Life Drain',210000,62);
INSERT INTO skill_trees VALUES (40,1151,11,'Corpse Life Drain',250000,64);
INSERT INTO skill_trees VALUES (40,1151,12,'Corpse Life Drain',350000,66);
INSERT INTO skill_trees VALUES (40,1151,13,'Corpse Life Drain',390000,68);
INSERT INTO skill_trees VALUES (40,1151,14,'Corpse Life Drain',520000,70);
INSERT INTO skill_trees VALUES (40,1151,15,'Corpse Life Drain',750000,72);
INSERT INTO skill_trees VALUES (40,1151,16,'Corpse Life Drain',1100000,74);
INSERT INTO skill_trees VALUES (40,1157,2,'Body To Mind',30000,40);
INSERT INTO skill_trees VALUES (40,1157,3,'Body To Mind',86000,52);
INSERT INTO skill_trees VALUES (40,1157,4,'Body To Mind',110000,58);
INSERT INTO skill_trees VALUES (40,1157,5,'Body To Mind',350000,66);
INSERT INTO skill_trees VALUES (40,1159,1,'Curse Death Link',43000,52);
INSERT INTO skill_trees VALUES (40,1159,2,'Curse Death Link',43000,52);
INSERT INTO skill_trees VALUES (40,1159,3,'Curse Death Link',48000,56);
INSERT INTO skill_trees VALUES (40,1159,4,'Curse Death Link',48000,56);
INSERT INTO skill_trees VALUES (40,1159,5,'Curse Death Link',58000,58);
INSERT INTO skill_trees VALUES (40,1159,6,'Curse Death Link',58000,58);
INSERT INTO skill_trees VALUES (40,1159,7,'Curse Death Link',79000,60);
INSERT INTO skill_trees VALUES (40,1159,8,'Curse Death Link',79000,60);
INSERT INTO skill_trees VALUES (40,1159,9,'Curse Death Link',110000,62);
INSERT INTO skill_trees VALUES (40,1159,10,'Curse Death Link',110000,62);
INSERT INTO skill_trees VALUES (40,1159,11,'Curse Death Link',130000,64);
INSERT INTO skill_trees VALUES (40,1159,12,'Curse Death Link',130000,64);
INSERT INTO skill_trees VALUES (40,1159,13,'Curse Death Link',180000,66);
INSERT INTO skill_trees VALUES (40,1159,14,'Curse Death Link',180000,66);
INSERT INTO skill_trees VALUES (40,1159,15,'Curse Death Link',190000,68);
INSERT INTO skill_trees VALUES (40,1159,16,'Curse Death Link',190000,68);
INSERT INTO skill_trees VALUES (40,1159,17,'Curse Death Link',260000,70);
INSERT INTO skill_trees VALUES (40,1159,18,'Curse Death Link',260000,70);
INSERT INTO skill_trees VALUES (40,1159,19,'Curse Death Link',370000,72);
INSERT INTO skill_trees VALUES (40,1159,20,'Curse Death Link',370000,72);
INSERT INTO skill_trees VALUES (40,1159,21,'Curse Death Link',550000,74);
INSERT INTO skill_trees VALUES (40,1159,22,'Curse Death Link',550000,74);
INSERT INTO skill_trees VALUES (40,1160,2,'Slow',30000,40);
INSERT INTO skill_trees VALUES (40,1160,3,'Slow',39000,44);
INSERT INTO skill_trees VALUES (40,1160,4,'Slow',60000,48);
INSERT INTO skill_trees VALUES (40,1160,5,'Slow',86000,52);
INSERT INTO skill_trees VALUES (40,1160,6,'Slow',95000,56);
INSERT INTO skill_trees VALUES (40,1160,7,'Slow',110000,58);
INSERT INTO skill_trees VALUES (40,1160,8,'Slow',160000,60);
INSERT INTO skill_trees VALUES (40,1160,9,'Slow',210000,62);
INSERT INTO skill_trees VALUES (40,1160,10,'Slow',250000,64);
INSERT INTO skill_trees VALUES (40,1160,11,'Slow',350000,66);
INSERT INTO skill_trees VALUES (40,1160,12,'Slow',390000,68);
INSERT INTO skill_trees VALUES (40,1160,13,'Slow',520000,70);
INSERT INTO skill_trees VALUES (40,1160,14,'Slow',750000,72);
INSERT INTO skill_trees VALUES (40,1160,15,'Slow',1100000,74);
INSERT INTO skill_trees VALUES (40,1167,3,'Poisonous Cloud',60000,48);
INSERT INTO skill_trees VALUES (40,1167,4,'Poisonous Cloud',95000,56);
INSERT INTO skill_trees VALUES (40,1167,5,'Poisonous Cloud',250000,64);
INSERT INTO skill_trees VALUES (40,1167,6,'Poisonous Cloud',1100000,74);
INSERT INTO skill_trees VALUES (40,1168,4,'Curse:Poison',39000,44);
INSERT INTO skill_trees VALUES (40,1168,5,'Curse:Poison',86000,52);
INSERT INTO skill_trees VALUES (40,1168,6,'Curse:Poison',210000,62);
INSERT INTO skill_trees VALUES (40,1168,7,'Curse:Poison',750000,72);
INSERT INTO skill_trees VALUES (40,1176,1,'Tempest',30000,48);
INSERT INTO skill_trees VALUES (40,1176,2,'Tempest',30000,48);
INSERT INTO skill_trees VALUES (40,1176,3,'Tempest',43000,52);
INSERT INTO skill_trees VALUES (40,1176,4,'Tempest',43000,52);
INSERT INTO skill_trees VALUES (40,1176,5,'Tempest',48000,56);
INSERT INTO skill_trees VALUES (40,1176,6,'Tempest',48000,56);
INSERT INTO skill_trees VALUES (40,1176,7,'Tempest',110000,58);
INSERT INTO skill_trees VALUES (40,1176,8,'Tempest',160000,60);
INSERT INTO skill_trees VALUES (40,1176,9,'Tempest',210000,62);
INSERT INTO skill_trees VALUES (40,1176,10,'Tempest',250000,64);
INSERT INTO skill_trees VALUES (40,1176,11,'Tempest',350000,66);
INSERT INTO skill_trees VALUES (40,1176,12,'Tempest',390000,68);
INSERT INTO skill_trees VALUES (40,1176,13,'Tempest',520000,70);
INSERT INTO skill_trees VALUES (40,1176,14,'Tempest',750000,72);
INSERT INTO skill_trees VALUES (40,1176,15,'Tempest',1100000,74);
INSERT INTO skill_trees VALUES (40,1222,2,'Curse Chaos',30000,40);
INSERT INTO skill_trees VALUES (40,1222,3,'Curse Chaos',39000,44);
INSERT INTO skill_trees VALUES (40,1222,4,'Curse Chaos',60000,48);
INSERT INTO skill_trees VALUES (40,1222,5,'Curse Chaos',86000,52);
INSERT INTO skill_trees VALUES (40,1222,6,'Curse Chaos',95000,56);
INSERT INTO skill_trees VALUES (40,1222,7,'Curse Chaos',110000,58);
INSERT INTO skill_trees VALUES (40,1222,8,'Curse Chaos',160000,60);
INSERT INTO skill_trees VALUES (40,1222,9,'Curse Chaos',210000,62);
INSERT INTO skill_trees VALUES (40,1222,10,'Curse Chaos',250000,64);
INSERT INTO skill_trees VALUES (40,1222,11,'Curse Chaos',350000,66);
INSERT INTO skill_trees VALUES (40,1222,12,'Curse Chaos',390000,68);
INSERT INTO skill_trees VALUES (40,1222,13,'Curse Chaos',520000,70);
INSERT INTO skill_trees VALUES (40,1222,14,'Curse Chaos',750000,72);
INSERT INTO skill_trees VALUES (40,1222,15,'Curse Chaos',1100000,74);
INSERT INTO skill_trees VALUES (40,1224,4,'Surrender To Poison',30000,40);
INSERT INTO skill_trees VALUES (40,1224,5,'Surrender To Poison',39000,44);
INSERT INTO skill_trees VALUES (40,1224,6,'Surrender To Poison',60000,48);
INSERT INTO skill_trees VALUES (40,1224,7,'Surrender To Poison',86000,52);
INSERT INTO skill_trees VALUES (40,1224,8,'Surrender To Poison',95000,56);
INSERT INTO skill_trees VALUES (40,1224,9,'Surrender To Poison',110000,58);
INSERT INTO skill_trees VALUES (40,1224,10,'Surrender To Poison',160000,60);
INSERT INTO skill_trees VALUES (40,1224,11,'Surrender To Poison',210000,62);
INSERT INTO skill_trees VALUES (40,1224,12,'Surrender To Poison',250000,64);
INSERT INTO skill_trees VALUES (40,1224,13,'Surrender To Poison',350000,66);
INSERT INTO skill_trees VALUES (40,1224,14,'Surrender To Poison',390000,68);
INSERT INTO skill_trees VALUES (40,1224,15,'Surrender To Poison',520000,70);
INSERT INTO skill_trees VALUES (40,1224,16,'Surrender To Poison',750000,72);
INSERT INTO skill_trees VALUES (40,1224,17,'Surrender To Poison',1100000,74);
INSERT INTO skill_trees VALUES (40,1234,1,'Vampiric Claw',15000,40);
INSERT INTO skill_trees VALUES (40,1234,2,'Vampiric Claw',15000,40);
INSERT INTO skill_trees VALUES (40,1234,3,'Vampiric Claw',19000,44);
INSERT INTO skill_trees VALUES (40,1234,4,'Vampiric Claw',19000,44);
INSERT INTO skill_trees VALUES (40,1234,5,'Vampiric Claw',30000,48);
INSERT INTO skill_trees VALUES (40,1234,6,'Vampiric Claw',30000,48);
INSERT INTO skill_trees VALUES (40,1234,7,'Vampiric Claw',43000,52);
INSERT INTO skill_trees VALUES (40,1234,8,'Vampiric Claw',43000,52);
INSERT INTO skill_trees VALUES (40,1234,9,'Vampiric Claw',48000,56);
INSERT INTO skill_trees VALUES (40,1234,10,'Vampiric Claw',48000,56);
INSERT INTO skill_trees VALUES (40,1234,11,'Vampiric Claw',58000,58);
INSERT INTO skill_trees VALUES (40,1234,12,'Vampiric Claw',58000,58);
INSERT INTO skill_trees VALUES (40,1234,13,'Vampiric Claw',79000,60);
INSERT INTO skill_trees VALUES (40,1234,14,'Vampiric Claw',79000,60);
INSERT INTO skill_trees VALUES (40,1234,15,'Vampiric Claw',110000,62);
INSERT INTO skill_trees VALUES (40,1234,16,'Vampiric Claw',110000,62);
INSERT INTO skill_trees VALUES (40,1234,17,'Vampiric Claw',130000,64);
INSERT INTO skill_trees VALUES (40,1234,18,'Vampiric Claw',130000,64);
INSERT INTO skill_trees VALUES (40,1234,19,'Vampiric Claw',180000,66);
INSERT INTO skill_trees VALUES (40,1234,20,'Vampiric Claw',180000,66);
INSERT INTO skill_trees VALUES (40,1234,21,'Vampiric Claw',190000,68);
INSERT INTO skill_trees VALUES (40,1234,22,'Vampiric Claw',190000,68);
INSERT INTO skill_trees VALUES (40,1234,23,'Vampiric Claw',260000,70);
INSERT INTO skill_trees VALUES (40,1234,24,'Vampiric Claw',260000,70);
INSERT INTO skill_trees VALUES (40,1234,25,'Vampiric Claw',370000,72);
INSERT INTO skill_trees VALUES (40,1234,26,'Vampiric Claw',370000,72);
INSERT INTO skill_trees VALUES (40,1234,27,'Vampiric Claw',550000,74);
INSERT INTO skill_trees VALUES (40,1234,28,'Vampiric Claw',550000,74);
INSERT INTO skill_trees VALUES (40,1239,1,'Hurricane',15000,40);
INSERT INTO skill_trees VALUES (40,1239,2,'Hurricane',15000,40);
INSERT INTO skill_trees VALUES (40,1239,3,'Hurricane',19000,44);
INSERT INTO skill_trees VALUES (40,1239,4,'Hurricane',19000,44);
INSERT INTO skill_trees VALUES (40,1239,5,'Hurricane',30000,48);
INSERT INTO skill_trees VALUES (40,1239,6,'Hurricane',30000,48);
INSERT INTO skill_trees VALUES (40,1239,7,'Hurricane',43000,52);
INSERT INTO skill_trees VALUES (40,1239,8,'Hurricane',43000,52);
INSERT INTO skill_trees VALUES (40,1239,9,'Hurricane',48000,56);
INSERT INTO skill_trees VALUES (40,1239,10,'Hurricane',48000,56);
INSERT INTO skill_trees VALUES (40,1239,11,'Hurricane',58000,58);
INSERT INTO skill_trees VALUES (40,1239,12,'Hurricane',58000,58);
INSERT INTO skill_trees VALUES (40,1239,13,'Hurricane',79000,60);
INSERT INTO skill_trees VALUES (40,1239,14,'Hurricane',79000,60);
INSERT INTO skill_trees VALUES (40,1239,15,'Hurricane',110000,62);
INSERT INTO skill_trees VALUES (40,1239,16,'Hurricane',110000,62);
INSERT INTO skill_trees VALUES (40,1239,17,'Hurricane',130000,64);
INSERT INTO skill_trees VALUES (40,1239,18,'Hurricane',130000,64);
INSERT INTO skill_trees VALUES (40,1239,19,'Hurricane',180000,66);
INSERT INTO skill_trees VALUES (40,1239,20,'Hurricane',180000,66);
INSERT INTO skill_trees VALUES (40,1239,21,'Hurricane',190000,68);
INSERT INTO skill_trees VALUES (40,1239,22,'Hurricane',190000,68);
INSERT INTO skill_trees VALUES (40,1239,23,'Hurricane',260000,70);
INSERT INTO skill_trees VALUES (40,1239,24,'Hurricane',260000,70);
INSERT INTO skill_trees VALUES (40,1239,25,'Hurricane',370000,72);
INSERT INTO skill_trees VALUES (40,1239,26,'Hurricane',370000,72);
INSERT INTO skill_trees VALUES (40,1239,27,'Hurricane',550000,74);
INSERT INTO skill_trees VALUES (40,1239,28,'Hurricane',550000,74);
INSERT INTO skill_trees VALUES (40,1267,1,'Shadow Flare',30000,40);
INSERT INTO skill_trees VALUES (40,1267,2,'Shadow Flare',39000,44);
INSERT INTO skill_trees VALUES (40,1267,3,'Shadow Flare',60000,48);
INSERT INTO skill_trees VALUES (40,1267,4,'Shadow Flare',86000,52);
INSERT INTO skill_trees VALUES (40,1267,5,'Shadow Flare',95000,56);
INSERT INTO skill_trees VALUES (40,1267,6,'Shadow Flare',110000,58);
INSERT INTO skill_trees VALUES (40,1267,7,'Shadow Flare',160000,60);
INSERT INTO skill_trees VALUES (40,1267,8,'Shadow Flare',210000,62);
INSERT INTO skill_trees VALUES (40,1267,9,'Shadow Flare',250000,64);
INSERT INTO skill_trees VALUES (40,1267,10,'Shadow Flare',350000,66);
INSERT INTO skill_trees VALUES (40,1267,11,'Shadow Flare',390000,68);
INSERT INTO skill_trees VALUES (40,1267,12,'Shadow Flare',520000,70);
INSERT INTO skill_trees VALUES (40,1267,13,'Shadow Flare',750000,72);
INSERT INTO skill_trees VALUES (40,1267,14,'Shadow Flare',1100000,74);
INSERT INTO skill_trees VALUES (40,1287,1,'Seed of Wind',350000,66);
INSERT INTO skill_trees VALUES (40,1288,1,'Aura Symphony',390000,68);
INSERT INTO skill_trees VALUES (40,1291,1,'Demon Wind',520000,70);
INSERT INTO skill_trees VALUES (40,1294,1,'Elemental Storm',750000,72);
INSERT INTO skill_trees VALUES (40,1297,1,'Clear Mind',30000,40);
INSERT INTO skill_trees VALUES (40,1297,2,'Clear Mind',60000,48);
INSERT INTO skill_trees VALUES (40,1297,3,'Clear Mind',95000,56);
INSERT INTO skill_trees VALUES (40,1297,4,'Clear Mind',210000,62);
INSERT INTO skill_trees VALUES (40,1297,5,'Clear Mind',390000,68);
INSERT INTO skill_trees VALUES (40,1297,6,'Clear Mind',1100000,74);
INSERT INTO skill_trees VALUES (41,33,1,'Summon Poltergeist Cubic',34000,40);
INSERT INTO skill_trees VALUES (41,33,2,'Summon Poltergeist Cubic',43000,44);
INSERT INTO skill_trees VALUES (41,33,3,'Summon Poltergeist Cubic',110000,52);
INSERT INTO skill_trees VALUES (41,33,4,'Summon Poltergeist Cubic',180000,58);
INSERT INTO skill_trees VALUES (41,33,5,'Summon Poltergeist Cubic',360000,62);
INSERT INTO skill_trees VALUES (41,33,6,'Summon Poltergeist Cubic',640000,66);
INSERT INTO skill_trees VALUES (41,33,7,'Summon Poltergeist Cubic',780000,70);
INSERT INTO skill_trees VALUES (41,33,8,'Summon Poltergeist Cubic',1900000,74);
INSERT INTO skill_trees VALUES (41,143,1,'Cubic Mastery',43000,44);
INSERT INTO skill_trees VALUES (41,143,2,'Cubic Mastery',120000,56);
INSERT INTO skill_trees VALUES (41,146,13,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (41,146,14,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (41,146,15,'Anti Magic',11000,40);
INSERT INTO skill_trees VALUES (41,146,16,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (41,146,17,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (41,146,18,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (41,146,19,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (41,146,20,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (41,146,21,'Anti Magic',25000,48);
INSERT INTO skill_trees VALUES (41,146,22,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (41,146,23,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (41,146,24,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (41,146,25,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (41,146,26,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (41,146,27,'Anti Magic',42000,56);
INSERT INTO skill_trees VALUES (41,146,28,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (41,146,29,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (41,146,30,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (41,146,31,'Anti Magic',120000,60);
INSERT INTO skill_trees VALUES (41,146,32,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (41,146,33,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (41,146,34,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (41,146,35,'Anti Magic',220000,64);
INSERT INTO skill_trees VALUES (41,146,36,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (41,146,37,'Anti Magic',320000,66);
INSERT INTO skill_trees VALUES (41,146,38,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (41,146,39,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (41,146,40,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (41,146,41,'Anti Magic',390000,70);
INSERT INTO skill_trees VALUES (41,146,42,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (41,146,43,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (41,146,44,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (41,146,45,'Anti Magic',960000,74);
INSERT INTO skill_trees VALUES (41,164,3,'Quick Recovery',75000,48);
INSERT INTO skill_trees VALUES (41,212,2,'Fast HP Recovery',43000,44);
INSERT INTO skill_trees VALUES (41,212,3,'Fast HP Recovery',110000,52);
INSERT INTO skill_trees VALUES (41,212,4,'Fast HP Recovery',180000,58);
INSERT INTO skill_trees VALUES (41,212,5,'Fast HP Recovery',430000,64);
INSERT INTO skill_trees VALUES (41,212,6,'Fast HP Recovery',1900000,74);
INSERT INTO skill_trees VALUES (41,213,3,'Boost Mana',34000,40);
INSERT INTO skill_trees VALUES (41,213,4,'Boost Mana',75000,48);
INSERT INTO skill_trees VALUES (41,213,5,'Boost Mana',120000,56);
INSERT INTO skill_trees VALUES (41,213,6,'Boost Mana',230000,60);
INSERT INTO skill_trees VALUES (41,213,7,'Boost Mana',640000,66);
INSERT INTO skill_trees VALUES (41,213,8,'Boost Mana',1400000,72);
INSERT INTO skill_trees VALUES (41,228,2,'Fast Spell Casting',34000,40);
INSERT INTO skill_trees VALUES (41,228,3,'Fast Spell Casting',120000,56);
INSERT INTO skill_trees VALUES (41,229,3,'Fast Mana Recovery',43000,44);
INSERT INTO skill_trees VALUES (41,229,4,'Fast Mana Recovery',110000,52);
INSERT INTO skill_trees VALUES (41,229,5,'Fast Mana Recovery',230000,60);
INSERT INTO skill_trees VALUES (41,229,6,'Fast Mana Recovery',700000,68);
INSERT INTO skill_trees VALUES (41,229,7,'Fast Mana Recovery',1900000,74);
INSERT INTO skill_trees VALUES (41,234,9,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,234,10,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,234,11,'Robe Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,234,12,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,234,13,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,234,14,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,234,15,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,234,16,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,234,17,'Robe Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,234,18,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,234,19,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,234,20,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,234,21,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,234,22,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,234,23,'Robe Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,234,24,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,234,25,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,234,26,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,234,27,'Robe Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,234,28,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,234,29,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,234,30,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,234,31,'Robe Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,234,32,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,234,33,'Robe Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,234,34,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,234,35,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,234,36,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,234,37,'Robe Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,234,38,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,234,39,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,234,40,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,234,41,'Robe Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (41,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (41,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (41,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (41,249,10,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,249,11,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,249,12,'Weapon Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,249,13,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,249,14,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,249,15,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,249,16,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,249,17,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,249,18,'Weapon Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,249,19,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,249,20,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,249,21,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,249,22,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,249,23,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,249,24,'Weapon Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,249,25,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,249,26,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,249,27,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,249,28,'Weapon Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,249,29,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,249,30,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,249,31,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,249,32,'Weapon Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,249,33,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,249,34,'Weapon Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,249,35,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,249,36,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,249,37,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,249,38,'Weapon Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,249,39,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,249,40,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,249,41,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,249,42,'Weapon Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,258,1,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,258,2,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,258,3,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (41,258,4,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,258,5,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,258,6,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (41,258,7,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,258,8,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,258,9,'Light Armor Mastery',25000,48);
INSERT INTO skill_trees VALUES (41,258,10,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,258,11,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,258,12,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (41,258,13,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,258,14,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,258,15,'Light Armor Mastery',42000,56);
INSERT INTO skill_trees VALUES (41,258,16,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,258,17,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (41,258,18,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,258,19,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (41,258,20,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,258,21,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (41,258,22,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,258,23,'Light Armor Mastery',220000,64);
INSERT INTO skill_trees VALUES (41,258,24,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,258,25,'Light Armor Mastery',320000,66);
INSERT INTO skill_trees VALUES (41,258,26,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,258,27,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (41,258,28,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,258,29,'Light Armor Mastery',390000,70);
INSERT INTO skill_trees VALUES (41,258,30,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,258,31,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (41,258,32,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,258,33,'Light Armor Mastery',960000,74);
INSERT INTO skill_trees VALUES (41,1126,7,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (41,1126,8,'Servitor Recharge',17000,40);
INSERT INTO skill_trees VALUES (41,1126,9,'Servitor Recharge',22000,44);
INSERT INTO skill_trees VALUES (41,1126,10,'Servitor Recharge',22000,44);
INSERT INTO skill_trees VALUES (41,1126,11,'Servitor Recharge',38000,48);
INSERT INTO skill_trees VALUES (41,1126,12,'Servitor Recharge',38000,48);
INSERT INTO skill_trees VALUES (41,1126,13,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (41,1126,14,'Servitor Recharge',56000,52);
INSERT INTO skill_trees VALUES (41,1126,15,'Servitor Recharge',63000,56);
INSERT INTO skill_trees VALUES (41,1126,16,'Servitor Recharge',63000,56);
INSERT INTO skill_trees VALUES (41,1126,17,'Servitor Recharge',92000,58);
INSERT INTO skill_trees VALUES (41,1126,18,'Servitor Recharge',92000,58);
INSERT INTO skill_trees VALUES (41,1126,19,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (41,1126,20,'Servitor Recharge',120000,60);
INSERT INTO skill_trees VALUES (41,1126,21,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (41,1126,22,'Servitor Recharge',180000,62);
INSERT INTO skill_trees VALUES (41,1126,23,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (41,1126,24,'Servitor Recharge',220000,64);
INSERT INTO skill_trees VALUES (41,1126,25,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (41,1126,26,'Servitor Recharge',320000,66);
INSERT INTO skill_trees VALUES (41,1126,27,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (41,1126,28,'Servitor Recharge',350000,68);
INSERT INTO skill_trees VALUES (41,1126,29,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (41,1126,30,'Servitor Recharge',390000,70);
INSERT INTO skill_trees VALUES (41,1126,31,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (41,1126,32,'Servitor Recharge',680000,72);
INSERT INTO skill_trees VALUES (41,1126,33,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (41,1126,34,'Servitor Recharge',960000,74);
INSERT INTO skill_trees VALUES (41,1127,13,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (41,1127,14,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (41,1127,15,'Servitor Heal',11000,40);
INSERT INTO skill_trees VALUES (41,1127,16,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (41,1127,17,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (41,1127,18,'Servitor Heal',15000,44);
INSERT INTO skill_trees VALUES (41,1127,19,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (41,1127,20,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (41,1127,21,'Servitor Heal',25000,48);
INSERT INTO skill_trees VALUES (41,1127,22,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (41,1127,23,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (41,1127,24,'Servitor Heal',38000,52);
INSERT INTO skill_trees VALUES (41,1127,25,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (41,1127,26,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (41,1127,27,'Servitor Heal',42000,56);
INSERT INTO skill_trees VALUES (41,1127,28,'Servitor Heal',92000,58);
INSERT INTO skill_trees VALUES (41,1127,29,'Servitor Heal',92000,58);
INSERT INTO skill_trees VALUES (41,1127,30,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (41,1127,31,'Servitor Heal',120000,60);
INSERT INTO skill_trees VALUES (41,1127,32,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (41,1127,33,'Servitor Heal',180000,62);
INSERT INTO skill_trees VALUES (41,1127,34,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (41,1127,35,'Servitor Heal',220000,64);
INSERT INTO skill_trees VALUES (41,1127,36,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (41,1127,37,'Servitor Heal',320000,66);
INSERT INTO skill_trees VALUES (41,1127,38,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (41,1127,39,'Servitor Heal',350000,68);
INSERT INTO skill_trees VALUES (41,1127,40,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (41,1127,41,'Servitor Heal',390000,70);
INSERT INTO skill_trees VALUES (41,1127,42,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (41,1127,43,'Servitor Heal',680000,72);
INSERT INTO skill_trees VALUES (41,1127,44,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (41,1127,45,'Servitor Heal',960000,74);
INSERT INTO skill_trees VALUES (41,1128,5,'Summon Shadow',34000,40);
INSERT INTO skill_trees VALUES (41,1128,6,'Summon Shadow',43000,44);
INSERT INTO skill_trees VALUES (41,1128,7,'Summon Shadow',75000,48);
INSERT INTO skill_trees VALUES (41,1128,8,'Summon Shadow',110000,52);
INSERT INTO skill_trees VALUES (41,1128,9,'Summon Shadow',120000,56);
INSERT INTO skill_trees VALUES (41,1128,10,'Summon Shadow',180000,58);
INSERT INTO skill_trees VALUES (41,1128,11,'Summon Shadow',230000,60);
INSERT INTO skill_trees VALUES (41,1128,12,'Summon Shadow',360000,62);
INSERT INTO skill_trees VALUES (41,1128,13,'Summon Shadow',430000,64);
INSERT INTO skill_trees VALUES (41,1128,14,'Summon Shadow',640000,66);
INSERT INTO skill_trees VALUES (41,1128,15,'Summon Shadow',700000,68);
INSERT INTO skill_trees VALUES (41,1128,16,'Summon Shadow',780000,70);
INSERT INTO skill_trees VALUES (41,1128,17,'Summon Shadow',1400000,72);
INSERT INTO skill_trees VALUES (41,1128,18,'Summon Shadow',1900000,74);
INSERT INTO skill_trees VALUES (41,1139,1,'Servitor Magic Shield',43000,44);
INSERT INTO skill_trees VALUES (41,1139,2,'Servitor Magic Shield',110000,52);
INSERT INTO skill_trees VALUES (41,1140,1,'Servitor Physical Shield',34000,40);
INSERT INTO skill_trees VALUES (41,1140,2,'Servitor Physical Shield',75000,48);
INSERT INTO skill_trees VALUES (41,1140,3,'Servitor Physical Shield',120000,56);
INSERT INTO skill_trees VALUES (41,1141,1,'Servitor Haste',43000,44);
INSERT INTO skill_trees VALUES (41,1141,2,'Servitor Haste',110000,52);
INSERT INTO skill_trees VALUES (41,1146,2,'Mighty Servitor',75000,48);
INSERT INTO skill_trees VALUES (41,1146,3,'Mighty Servitor',120000,56);
INSERT INTO skill_trees VALUES (41,1228,5,'Summon Silhouette',34000,40);
INSERT INTO skill_trees VALUES (41,1228,6,'Summon Silhouette',43000,44);
INSERT INTO skill_trees VALUES (41,1228,7,'Summon Silhouette',75000,48);
INSERT INTO skill_trees VALUES (41,1228,8,'Summon Silhouette',110000,52);
INSERT INTO skill_trees VALUES (41,1228,9,'Summon Silhouette',120000,56);
INSERT INTO skill_trees VALUES (41,1228,10,'Summon Silhouette',180000,58);
INSERT INTO skill_trees VALUES (41,1228,11,'Summon Silhouette',230000,60);
INSERT INTO skill_trees VALUES (41,1228,12,'Summon Silhouette',360000,62);
INSERT INTO skill_trees VALUES (41,1228,13,'Summon Silhouette',430000,64);
INSERT INTO skill_trees VALUES (41,1228,14,'Summon Silhouette',640000,66);
INSERT INTO skill_trees VALUES (41,1228,15,'Summon Silhouette',700000,68);
INSERT INTO skill_trees VALUES (41,1228,16,'Summon Silhouette',780000,70);
INSERT INTO skill_trees VALUES (41,1228,17,'Summon Silhouette',1400000,72);
INSERT INTO skill_trees VALUES (41,1228,18,'Summon Silhouette',1900000,74);
INSERT INTO skill_trees VALUES (41,1262,1,'Transfer Pain',34000,40);
INSERT INTO skill_trees VALUES (41,1262,2,'Transfer Pain',75000,48);
INSERT INTO skill_trees VALUES (41,1262,3,'Transfer Pain',120000,56);
INSERT INTO skill_trees VALUES (41,1262,4,'Transfer Pain',180000,58);
INSERT INTO skill_trees VALUES (41,1262,5,'Transfer Pain',780000,70);
INSERT INTO skill_trees VALUES (41,1278,1,'Summon Soulless',34000,40);
INSERT INTO skill_trees VALUES (41,1278,2,'Summon Soulless',43000,44);
INSERT INTO skill_trees VALUES (41,1278,3,'Summon Soulless',75000,48);
INSERT INTO skill_trees VALUES (41,1278,4,'Summon Soulless',110000,52);
INSERT INTO skill_trees VALUES (41,1278,5,'Summon Soulless',120000,56);
INSERT INTO skill_trees VALUES (41,1278,6,'Summon Soulless',180000,58);
INSERT INTO skill_trees VALUES (41,1278,7,'Summon Soulless',230000,60);
INSERT INTO skill_trees VALUES (41,1278,8,'Summon Soulless',360000,62);
INSERT INTO skill_trees VALUES (41,1278,9,'Summon Soulless',430000,64);
INSERT INTO skill_trees VALUES (41,1278,10,'Summon Soulless',640000,66);
INSERT INTO skill_trees VALUES (41,1278,11,'Summon Soulless',700000,68);
INSERT INTO skill_trees VALUES (41,1278,12,'Summon Soulless',780000,70);
INSERT INTO skill_trees VALUES (41,1278,13,'Summon Soulless',1400000,72);
INSERT INTO skill_trees VALUES (41,1278,14,'Summon Soulless',1900000,74);
INSERT INTO skill_trees VALUES (41,1281,1,'Summon Spark Cubic',34000,40);
INSERT INTO skill_trees VALUES (41,1281,2,'Summon Spark Cubic',43000,44);
INSERT INTO skill_trees VALUES (41,1281,3,'Summon Spark Cubic',75000,48);
INSERT INTO skill_trees VALUES (41,1281,4,'Summon Spark Cubic',110000,52);
INSERT INTO skill_trees VALUES (41,1281,5,'Summon Spark Cubic',120000,56);
INSERT INTO skill_trees VALUES (41,1281,6,'Summon Spark Cubic',230000,60);
INSERT INTO skill_trees VALUES (41,1281,7,'Summon Spark Cubic',430000,64);
INSERT INTO skill_trees VALUES (41,1281,8,'Summon Spark Cubic',700000,68);
INSERT INTO skill_trees VALUES (41,1281,9,'Summon Spark Cubic',1400000,72);
INSERT INTO skill_trees VALUES (41,1299,1,'Servitor Empower',110000,52);
INSERT INTO skill_trees VALUES (41,1299,2,'Servitor Empower',780000,70);
INSERT INTO skill_trees VALUES (41,1300,1,'Servitor Cure',34000,40);
INSERT INTO skill_trees VALUES (41,1300,2,'Servitor Cure',75000,48);
INSERT INTO skill_trees VALUES (41,1300,3,'Servitor Cure',230000,60);
INSERT INTO skill_trees VALUES (41,1301,1,'Servitor Blessing',360000,62);
INSERT INTO skill_trees VALUES (42,146,5,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (42,146,6,'Anti Magic',1600,20);
INSERT INTO skill_trees VALUES (42,146,7,'Anti Magic',3200,25);
INSERT INTO skill_trees VALUES (42,146,8,'Anti Magic',3200,25);
INSERT INTO skill_trees VALUES (42,146,9,'Anti Magic',5800,30);
INSERT INTO skill_trees VALUES (42,146,10,'Anti Magic',5800,30);
INSERT INTO skill_trees VALUES (42,146,11,'Anti Magic',12000,35);
INSERT INTO skill_trees VALUES (42,146,12,'Anti Magic',12000,35);
INSERT INTO skill_trees VALUES (42,164,1,'Quick Recovery',3300,20);
INSERT INTO skill_trees VALUES (42,164,2,'Quick Recovery',12000,30);
INSERT INTO skill_trees VALUES (42,212,1,'Fast HP Recovery',23000,35);
INSERT INTO skill_trees VALUES (42,213,1,'Boost Mana',3300,20);
INSERT INTO skill_trees VALUES (42,213,2,'Boost Mana',12000,30);
INSERT INTO skill_trees VALUES (42,228,1,'Fast Spell Casting',6500,25);
INSERT INTO skill_trees VALUES (42,229,1,'Fast Mana Recovery',6500,25);
INSERT INTO skill_trees VALUES (42,229,2,'Fast Mana Recovery',23000,35);
INSERT INTO skill_trees VALUES (42,235,1,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (42,235,2,'Robe Mastery',1600,20);
INSERT INTO skill_trees VALUES (42,235,3,'Robe Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,235,4,'Robe Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,235,5,'Robe Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,235,6,'Robe Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,235,7,'Robe Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,235,8,'Robe Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,236,1,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (42,236,2,'Light Armor Mastery',1600,20);
INSERT INTO skill_trees VALUES (42,236,3,'Light Armor Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,236,4,'Light Armor Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,236,5,'Light Armor Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,236,6,'Light Armor Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,236,7,'Light Armor Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,236,8,'Light Armor Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (42,249,3,'Weapon Mastery',3300,20);
INSERT INTO skill_trees VALUES (42,249,4,'Weapon Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,249,5,'Weapon Mastery',3200,25);
INSERT INTO skill_trees VALUES (42,249,6,'Weapon Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,249,7,'Weapon Mastery',5800,30);
INSERT INTO skill_trees VALUES (42,249,8,'Weapon Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,249,9,'Weapon Mastery',12000,35);
INSERT INTO skill_trees VALUES (42,1011,7,'Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1011,8,'Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1011,9,'Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1011,10,'Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1011,11,'Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1011,12,'Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1011,13,'Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1011,14,'Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1011,15,'Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1011,16,'Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1011,17,'Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1011,18,'Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1012,2,'Cure Poison',23000,35);
INSERT INTO skill_trees VALUES (42,1013,1,'Recharge',5800,30);
INSERT INTO skill_trees VALUES (42,1013,2,'Recharge',5800,30);
INSERT INTO skill_trees VALUES (42,1013,3,'Recharge',12000,35);
INSERT INTO skill_trees VALUES (42,1013,4,'Recharge',12000,35);
INSERT INTO skill_trees VALUES (42,1015,4,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1015,5,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1015,6,'Battle Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1015,7,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1015,8,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1015,9,'Battle Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1015,10,'Battle Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1015,11,'Battle Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1015,12,'Battle Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1015,13,'Battle Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1015,14,'Battle Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1015,15,'Battle Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1016,1,'Resurrection',3300,20);
INSERT INTO skill_trees VALUES (42,1016,2,'Resurrection',12000,30);
INSERT INTO skill_trees VALUES (42,1027,4,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1027,5,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1027,6,'Group Heal',1100,20);
INSERT INTO skill_trees VALUES (42,1027,7,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1027,8,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1027,9,'Group Heal',2200,25);
INSERT INTO skill_trees VALUES (42,1027,10,'Group Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1027,11,'Group Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1027,12,'Group Heal',3900,30);
INSERT INTO skill_trees VALUES (42,1027,13,'Group Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1027,14,'Group Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1027,15,'Group Heal',7700,35);
INSERT INTO skill_trees VALUES (42,1031,1,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (42,1031,2,'Disrupt Undead',1600,20);
INSERT INTO skill_trees VALUES (42,1031,3,'Disrupt Undead',3200,25);
INSERT INTO skill_trees VALUES (42,1031,4,'Disrupt Undead',3200,25);
INSERT INTO skill_trees VALUES (42,1031,5,'Disrupt Undead',5800,30);
INSERT INTO skill_trees VALUES (42,1031,6,'Disrupt Undead',5800,30);
INSERT INTO skill_trees VALUES (42,1031,7,'Disrupt Undead',12000,35);
INSERT INTO skill_trees VALUES (42,1031,8,'Disrupt Undead',12000,35);
INSERT INTO skill_trees VALUES (42,1035,1,'Mental Shield',6500,25);
INSERT INTO skill_trees VALUES (42,1040,2,'Shield',6500,25);
INSERT INTO skill_trees VALUES (42,1059,1,'Empower',6500,25);
INSERT INTO skill_trees VALUES (42,1068,2,'Might',3300,20);
INSERT INTO skill_trees VALUES (42,1069,1,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (42,1069,2,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (42,1069,3,'Sleep',2200,25);
INSERT INTO skill_trees VALUES (42,1069,4,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (42,1069,5,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (42,1069,6,'Sleep',3900,30);
INSERT INTO skill_trees VALUES (42,1069,7,'Sleep',7700,35);
INSERT INTO skill_trees VALUES (42,1069,8,'Sleep',7700,35);
INSERT INTO skill_trees VALUES (42,1069,9,'Sleep',7700,35);
INSERT INTO skill_trees VALUES (42,1073,1,'Kiss of Eva',3300,20);
INSERT INTO skill_trees VALUES (42,1077,1,'Focus',6500,25);
INSERT INTO skill_trees VALUES (42,1078,1,'Concentration',3300,20);
INSERT INTO skill_trees VALUES (42,1078,2,'Concentration',12000,30);
INSERT INTO skill_trees VALUES (42,1189,1,'Resist Wind',23000,35);
INSERT INTO skill_trees VALUES (42,1201,1,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (42,1201,2,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (42,1201,3,'Dryad Root',2200,25);
INSERT INTO skill_trees VALUES (42,1201,4,'Dryad Root',3900,30);
INSERT INTO skill_trees VALUES (42,1201,5,'Dryad Root',3900,30);
INSERT INTO skill_trees VALUES (42,1201,6,'Dryad Root',3900,30);
INSERT INTO skill_trees VALUES (42,1201,7,'Dryad Root',7700,35);
INSERT INTO skill_trees VALUES (42,1201,8,'Dryad Root',7700,35);
INSERT INTO skill_trees VALUES (42,1201,9,'Dryad Root',7700,35);
INSERT INTO skill_trees VALUES (42,1204,1,'Wind Walk',3300,20);
INSERT INTO skill_trees VALUES (42,1204,2,'Wind Walk',12000,30);
INSERT INTO skill_trees VALUES (42,1206,2,'Wind Shackle',3300,20);
INSERT INTO skill_trees VALUES (42,1206,3,'Wind Shackle',6500,25);
INSERT INTO skill_trees VALUES (42,1206,4,'Wind Shackle',12000,30);
INSERT INTO skill_trees VALUES (42,1206,5,'Wind Shackle',23000,35);
INSERT INTO skill_trees VALUES (42,1268,1,'Vampiric Rage',12000,30);
INSERT INTO skill_trees VALUES (43,146,13,'Anti Magic',13000,40);
INSERT INTO skill_trees VALUES (43,146,14,'Anti Magic',13000,40);
INSERT INTO skill_trees VALUES (43,146,15,'Anti Magic',13000,40);
INSERT INTO skill_trees VALUES (43,146,16,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (43,146,17,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (43,146,18,'Anti Magic',15000,44);
INSERT INTO skill_trees VALUES (43,146,19,'Anti Magic',29000,48);
INSERT INTO skill_trees VALUES (43,146,20,'Anti Magic',29000,48);
INSERT INTO skill_trees VALUES (43,146,21,'Anti Magic',29000,48);
INSERT INTO skill_trees VALUES (43,146,22,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (43,146,23,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (43,146,24,'Anti Magic',38000,52);
INSERT INTO skill_trees VALUES (43,146,25,'Anti Magic',48000,56);
INSERT INTO skill_trees VALUES (43,146,26,'Anti Magic',48000,56);
INSERT INTO skill_trees VALUES (43,146,27,'Anti Magic',48000,56);
INSERT INTO skill_trees VALUES (43,146,28,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (43,146,29,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (43,146,30,'Anti Magic',130000,60);
INSERT INTO skill_trees VALUES (43,146,31,'Anti Magic',130000,60);
INSERT INTO skill_trees VALUES (43,146,32,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (43,146,33,'Anti Magic',180000,62);
INSERT INTO skill_trees VALUES (43,146,34,'Anti Magic',240000,64);
INSERT INTO skill_trees VALUES (43,146,35,'Anti Magic',240000,64);
INSERT INTO skill_trees VALUES (43,146,36,'Anti Magic',350000,66);
INSERT INTO skill_trees VALUES (43,146,37,'Anti Magic',350000,66);
INSERT INTO skill_trees VALUES (43,146,38,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (43,146,39,'Anti Magic',350000,68);
INSERT INTO skill_trees VALUES (43,146,40,'Anti Magic',470000,70);
INSERT INTO skill_trees VALUES (43,146,41,'Anti Magic',470000,70);
INSERT INTO skill_trees VALUES (43,146,42,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (43,146,43,'Anti Magic',680000,72);
INSERT INTO skill_trees VALUES (43,146,44,'Anti Magic',1000000,74);
INSERT INTO skill_trees VALUES (43,146,45,'Anti Magic',1000000,74);
INSERT INTO skill_trees VALUES (43,164,3,'Quick Recovery',85000,48);
INSERT INTO skill_trees VALUES (43,212,2,'Fast HP Recovery',43000,44);
INSERT INTO skill_trees VALUES (43,212,3,'Fast HP Recovery',110000,52);
INSERT INTO skill_trees VALUES (43,212,4,'Fast HP Recovery',180000,58);
INSERT INTO skill_trees VALUES (43,212,5,'Fast HP Recovery',480000,64);
INSERT INTO skill_trees VALUES (43,212,6,'Fast HP Recovery',2100000,74);
INSERT INTO skill_trees VALUES (43,213,3,'Boost Mana',39000,40);
INSERT INTO skill_trees VALUES (43,213,4,'Boost Mana',85000,48);
INSERT INTO skill_trees VALUES (43,213,5,'Boost Mana',140000,56);
INSERT INTO skill_trees VALUES (43,213,6,'Boost Mana',250000,60);
INSERT INTO skill_trees VALUES (43,213,7,'Boost Mana',700000,66);
INSERT INTO skill_trees VALUES (43,213,8,'Boost Mana',1400000,72);
INSERT INTO skill_trees VALUES (43,228,2,'Fast Spell Casting',39000,40);
INSERT INTO skill_trees VALUES (43,228,3,'Fast Spell Casting',140000,56);
INSERT INTO skill_trees VALUES (43,229,3,'Fast Mana Recovery',43000,44);
INSERT INTO skill_trees VALUES (43,229,4,'Fast Mana Recovery',110000,52);
INSERT INTO skill_trees VALUES (43,229,5,'Fast Mana Recovery',250000,60);
INSERT INTO skill_trees VALUES (43,229,6,'Fast Mana Recovery',700000,68);
INSERT INTO skill_trees VALUES (43,229,7,'Fast Mana Recovery',2100000,74);
INSERT INTO skill_trees VALUES (43,235,9,'Robe Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,235,10,'Robe Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,235,11,'Robe Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,235,12,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,235,13,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,235,14,'Robe Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,235,15,'Robe Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,235,16,'Robe Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,235,17,'Robe Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,235,18,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,235,19,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,235,20,'Robe Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,235,21,'Robe Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,235,22,'Robe Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,235,23,'Robe Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,235,24,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,235,25,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,235,26,'Robe Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,235,27,'Robe Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,235,28,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,235,29,'Robe Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,235,30,'Robe Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,235,31,'Robe Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,235,32,'Robe Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,235,33,'Robe Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,235,34,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,235,35,'Robe Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,235,36,'Robe Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,235,37,'Robe Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,235,38,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,235,39,'Robe Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,235,40,'Robe Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,235,41,'Robe Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,236,9,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,236,10,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,236,11,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,236,12,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,236,13,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,236,14,'Light Armor Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,236,15,'Light Armor Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,236,16,'Light Armor Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,236,17,'Light Armor Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,236,18,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,236,19,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,236,20,'Light Armor Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,236,21,'Light Armor Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,236,22,'Light Armor Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,236,23,'Light Armor Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,236,24,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,236,25,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,236,26,'Light Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,236,27,'Light Armor Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,236,28,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,236,29,'Light Armor Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,236,30,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,236,31,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,236,32,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,236,33,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,236,34,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,236,35,'Light Armor Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,236,36,'Light Armor Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,236,37,'Light Armor Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,236,38,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,236,39,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,236,40,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,236,41,'Light Armor Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (43,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (43,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (43,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (43,249,10,'Weapon Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,249,11,'Weapon Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,249,12,'Weapon Mastery',13000,40);
INSERT INTO skill_trees VALUES (43,249,13,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,249,14,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,249,15,'Weapon Mastery',15000,44);
INSERT INTO skill_trees VALUES (43,249,16,'Weapon Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,249,17,'Weapon Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,249,18,'Weapon Mastery',29000,48);
INSERT INTO skill_trees VALUES (43,249,19,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,249,20,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,249,21,'Weapon Mastery',38000,52);
INSERT INTO skill_trees VALUES (43,249,22,'Weapon Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,249,23,'Weapon Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,249,24,'Weapon Mastery',48000,56);
INSERT INTO skill_trees VALUES (43,249,25,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,249,26,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (43,249,27,'Weapon Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,249,28,'Weapon Mastery',130000,60);
INSERT INTO skill_trees VALUES (43,249,29,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,249,30,'Weapon Mastery',180000,62);
INSERT INTO skill_trees VALUES (43,249,31,'Weapon Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,249,32,'Weapon Mastery',240000,64);
INSERT INTO skill_trees VALUES (43,249,33,'Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,249,34,'Weapon Mastery',350000,66);
INSERT INTO skill_trees VALUES (43,249,35,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,249,36,'Weapon Mastery',350000,68);
INSERT INTO skill_trees VALUES (43,249,37,'Weapon Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,249,38,'Weapon Mastery',470000,70);
INSERT INTO skill_trees VALUES (43,249,39,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,249,40,'Weapon Mastery',680000,72);
INSERT INTO skill_trees VALUES (43,249,41,'Weapon Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,249,42,'Weapon Mastery',1000000,74);
INSERT INTO skill_trees VALUES (43,1012,3,'Cure Poison',180000,58);
INSERT INTO skill_trees VALUES (43,1013,5,'Recharge',19000,40);
INSERT INTO skill_trees VALUES (43,1013,6,'Recharge',19000,40);
INSERT INTO skill_trees VALUES (43,1013,7,'Recharge',22000,44);
INSERT INTO skill_trees VALUES (43,1013,8,'Recharge',22000,44);
INSERT INTO skill_trees VALUES (43,1013,9,'Recharge',43000,48);
INSERT INTO skill_trees VALUES (43,1013,10,'Recharge',43000,48);
INSERT INTO skill_trees VALUES (43,1013,11,'Recharge',56000,52);
INSERT INTO skill_trees VALUES (43,1013,12,'Recharge',56000,52);
INSERT INTO skill_trees VALUES (43,1013,13,'Recharge',71000,56);
INSERT INTO skill_trees VALUES (43,1013,14,'Recharge',71000,56);
INSERT INTO skill_trees VALUES (43,1013,15,'Recharge',92000,58);
INSERT INTO skill_trees VALUES (43,1013,16,'Recharge',92000,58);
INSERT INTO skill_trees VALUES (43,1013,17,'Recharge',130000,60);
INSERT INTO skill_trees VALUES (43,1013,18,'Recharge',130000,60);
INSERT INTO skill_trees VALUES (43,1013,19,'Recharge',180000,62);
INSERT INTO skill_trees VALUES (43,1013,20,'Recharge',180000,62);
INSERT INTO skill_trees VALUES (43,1013,21,'Recharge',240000,64);
INSERT INTO skill_trees VALUES (43,1013,22,'Recharge',240000,64);
INSERT INTO skill_trees VALUES (43,1013,23,'Recharge',350000,66);
INSERT INTO skill_trees VALUES (43,1013,24,'Recharge',350000,66);
INSERT INTO skill_trees VALUES (43,1013,25,'Recharge',350000,68);
INSERT INTO skill_trees VALUES (43,1013,26,'Recharge',350000,68);
INSERT INTO skill_trees VALUES (43,1013,27,'Recharge',470000,70);
INSERT INTO skill_trees VALUES (43,1013,28,'Recharge',470000,70);
INSERT INTO skill_trees VALUES (43,1013,29,'Recharge',680000,72);
INSERT INTO skill_trees VALUES (43,1013,30,'Recharge',680000,72);
INSERT INTO skill_trees VALUES (43,1013,31,'Recharge',1000000,74);
INSERT INTO skill_trees VALUES (43,1013,32,'Recharge',1000000,74);
INSERT INTO skill_trees VALUES (43,1018,1,'Purify',43000,44);
INSERT INTO skill_trees VALUES (43,1018,2,'Purify',110000,52);
INSERT INTO skill_trees VALUES (43,1018,3,'Purify',360000,62);
INSERT INTO skill_trees VALUES (43,1035,2,'Mental Shield',39000,40);
INSERT INTO skill_trees VALUES (43,1035,3,'Mental Aegis',85000,48);
INSERT INTO skill_trees VALUES (43,1035,4,'Mental Aegis',140000,56);
INSERT INTO skill_trees VALUES (43,1040,3,'Shield',43000,44);
INSERT INTO skill_trees VALUES (43,1059,2,'Empower',43000,44);
INSERT INTO skill_trees VALUES (43,1059,3,'Greater Empower',110000,52);
INSERT INTO skill_trees VALUES (43,1068,3,'Might',39000,40);
INSERT INTO skill_trees VALUES (43,1073,2,'Kiss of Eva',110000,52);
INSERT INTO skill_trees VALUES (43,1077,2,'Focus',43000,44);
INSERT INTO skill_trees VALUES (43,1077,3,'Focus',110000,52);
INSERT INTO skill_trees VALUES (43,1078,3,'Greater Concentration',43000,44);
INSERT INTO skill_trees VALUES (43,1078,4,'Greater Concentration',110000,52);
INSERT INTO skill_trees VALUES (43,1078,5,'Greater Concentration',250000,60);
INSERT INTO skill_trees VALUES (43,1078,6,'Greater Concentration',700000,68);
INSERT INTO skill_trees VALUES (43,1189,2,'Resist Wind',39000,40);
INSERT INTO skill_trees VALUES (43,1189,3,'Resist Wind',43000,44);
INSERT INTO skill_trees VALUES (43,1201,10,'Dryad Root',13000,40);
INSERT INTO skill_trees VALUES (43,1201,11,'Dryad Root',13000,40);
INSERT INTO skill_trees VALUES (43,1201,12,'Dryad Root',13000,40);
INSERT INTO skill_trees VALUES (43,1201,13,'Dryad Root',15000,44);
INSERT INTO skill_trees VALUES (43,1201,14,'Dryad Root',15000,44);
INSERT INTO skill_trees VALUES (43,1201,15,'Dryad Root',15000,44);
INSERT INTO skill_trees VALUES (43,1201,16,'Dryad Root',29000,48);
INSERT INTO skill_trees VALUES (43,1201,17,'Dryad Root',29000,48);
INSERT INTO skill_trees VALUES (43,1201,18,'Dryad Root',29000,48);
INSERT INTO skill_trees VALUES (43,1201,19,'Dryad Root',38000,52);
INSERT INTO skill_trees VALUES (43,1201,20,'Dryad Root',38000,52);
INSERT INTO skill_trees VALUES (43,1201,21,'Dryad Root',38000,52);
INSERT INTO skill_trees VALUES (43,1201,22,'Dryad Root',48000,56);
INSERT INTO skill_trees VALUES (43,1201,23,'Dryad Root',48000,56);
INSERT INTO skill_trees VALUES (43,1201,24,'Dryad Root',48000,56);
INSERT INTO skill_trees VALUES (43,1201,25,'Dryad Root',180000,58);
INSERT INTO skill_trees VALUES (43,1201,26,'Dryad Root',250000,60);
INSERT INTO skill_trees VALUES (43,1201,27,'Dryad Root',360000,62);
INSERT INTO skill_trees VALUES (43,1201,28,'Dryad Root',480000,64);
INSERT INTO skill_trees VALUES (43,1201,29,'Dryad Root',700000,66);
INSERT INTO skill_trees VALUES (43,1201,30,'Dryad Root',700000,68);
INSERT INTO skill_trees VALUES (43,1201,31,'Dryad Root',940000,70);
INSERT INTO skill_trees VALUES (43,1201,32,'Dryad Root',1400000,72);
INSERT INTO skill_trees VALUES (43,1201,33,'Dryad Root',2100000,74);
INSERT INTO skill_trees VALUES (43,1206,6,'Wind Shackle',39000,40);
INSERT INTO skill_trees VALUES (43,1206,7,'Wind Shackle',43000,44);
INSERT INTO skill_trees VALUES (43,1206,8,'Wind Shackle',85000,48);
INSERT INTO skill_trees VALUES (43,1206,9,'Wind Shackle',110000,52);
INSERT INTO skill_trees VALUES (43,1206,10,'Wind Shackle',140000,56);
INSERT INTO skill_trees VALUES (43,1206,11,'Wind Shackle',180000,58);
INSERT INTO skill_trees VALUES (43,1206,12,'Wind Shackle',250000,60);
INSERT INTO skill_trees VALUES (43,1206,13,'Wind Shackle',360000,62);
INSERT INTO skill_trees VALUES (43,1206,14,'Wind Shackle',480000,64);
INSERT INTO skill_trees VALUES (43,1206,15,'Wind Shackle',700000,66);
INSERT INTO skill_trees VALUES (43,1206,16,'Wind Shackle',700000,68);
INSERT INTO skill_trees VALUES (43,1206,17,'Wind Shackle',940000,70);
INSERT INTO skill_trees VALUES (43,1206,18,'Wind Shackle',1400000,72);
INSERT INTO skill_trees VALUES (43,1206,19,'Wind Shackle',2100000,74);
INSERT INTO skill_trees VALUES (43,1217,1,'Greater Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1217,2,'Greater Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1217,3,'Greater Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1217,4,'Greater Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1217,5,'Greater Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1217,6,'Greater Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1217,7,'Greater Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1217,8,'Greater Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1217,9,'Greater Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1217,10,'Greater Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1217,11,'Greater Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1217,12,'Greater Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1217,13,'Greater Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1217,14,'Greater Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1217,15,'Greater Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1217,16,'Greater Heal',180000,62);
INSERT INTO skill_trees VALUES (43,1217,17,'Greater Heal',180000,62);
INSERT INTO skill_trees VALUES (43,1217,18,'Greater Heal',240000,64);
INSERT INTO skill_trees VALUES (43,1217,19,'Greater Heal',240000,64);
INSERT INTO skill_trees VALUES (43,1217,20,'Greater Heal',350000,66);
INSERT INTO skill_trees VALUES (43,1217,21,'Greater Heal',350000,66);
INSERT INTO skill_trees VALUES (43,1217,22,'Greater Heal',350000,68);
INSERT INTO skill_trees VALUES (43,1217,23,'Greater Heal',350000,68);
INSERT INTO skill_trees VALUES (43,1217,24,'Greater Heal',470000,70);
INSERT INTO skill_trees VALUES (43,1217,25,'Greater Heal',470000,70);
INSERT INTO skill_trees VALUES (43,1217,26,'Greater Heal',680000,72);
INSERT INTO skill_trees VALUES (43,1217,27,'Greater Heal',680000,72);
INSERT INTO skill_trees VALUES (43,1217,28,'Greater Heal',1000000,74);
INSERT INTO skill_trees VALUES (43,1217,29,'Greater Heal',1000000,74);
INSERT INTO skill_trees VALUES (43,1219,1,'Greater Group Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1219,2,'Greater Group Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1219,3,'Greater Group Heal',29000,48);
INSERT INTO skill_trees VALUES (43,1219,4,'Greater Group Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1219,5,'Greater Group Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1219,6,'Greater Group Heal',38000,52);
INSERT INTO skill_trees VALUES (43,1219,7,'Greater Group Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1219,8,'Greater Group Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1219,9,'Greater Group Heal',48000,56);
INSERT INTO skill_trees VALUES (43,1219,10,'Greater Group Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1219,11,'Greater Group Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1219,12,'Greater Group Heal',61000,58);
INSERT INTO skill_trees VALUES (43,1219,13,'Greater Group Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1219,14,'Greater Group Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1219,15,'Greater Group Heal',83000,60);
INSERT INTO skill_trees VALUES (43,1219,16,'Greater Group Heal',180000,62);
INSERT INTO skill_trees VALUES (43,1219,17,'Greater Group Heal',180000,62);
INSERT INTO skill_trees VALUES (43,1219,18,'Greater Group Heal',240000,64);
INSERT INTO skill_trees VALUES (43,1219,19,'Greater Group Heal',240000,64);
INSERT INTO skill_trees VALUES (43,1219,20,'Greater Group Heal',350000,66);
INSERT INTO skill_trees VALUES (43,1219,21,'Greater Group Heal',350000,66);
INSERT INTO skill_trees VALUES (43,1219,22,'Greater Group Heal',350000,68);
INSERT INTO skill_trees VALUES (43,1219,23,'Greater Group Heal',350000,68);
INSERT INTO skill_trees VALUES (43,1219,24,'Greater Group Heal',470000,70);
INSERT INTO skill_trees VALUES (43,1219,25,'Greater Group Heal',470000,70);
INSERT INTO skill_trees VALUES (43,1219,26,'Greater Group Heal',680000,72);
INSERT INTO skill_trees VALUES (43,1219,27,'Greater Group Heal',680000,72);
INSERT INTO skill_trees VALUES (43,1219,28,'Greater Group Heal',1000000,74);
INSERT INTO skill_trees VALUES (43,1219,29,'Greater Group Heal',1000000,74);
INSERT INTO skill_trees VALUES (43,1240,1,'Guidance',39000,40);
INSERT INTO skill_trees VALUES (43,1240,2,'Guidance',85000,48);
INSERT INTO skill_trees VALUES (43,1240,3,'Guidance',140000,56);
INSERT INTO skill_trees VALUES (43,1242,1,'Death Whisper',39000,40);
INSERT INTO skill_trees VALUES (43,1242,2,'Death Whisper',85000,48);
INSERT INTO skill_trees VALUES (43,1242,3,'Death Whisper',140000,56);
INSERT INTO skill_trees VALUES (43,1268,2,'Vampiric Rage',43000,44);
INSERT INTO skill_trees VALUES (43,1268,3,'Vampiric Rage',180000,58);
INSERT INTO skill_trees VALUES (43,1268,4,'Vampiric Rage',1400000,72);
INSERT INTO skill_trees VALUES (43,1303,1,'Wild Magic',360000,62);
INSERT INTO skill_trees VALUES (43,1303,2,'Wild Magic',940000,70);
INSERT INTO skill_trees VALUES (44,3,1,'Power Strike',60,5);
INSERT INTO skill_trees VALUES (44,3,2,'Power Strike',60,5);
INSERT INTO skill_trees VALUES (44,3,3,'Power Strike',60,5);
INSERT INTO skill_trees VALUES (44,3,4,'Power Strike',460,10);
INSERT INTO skill_trees VALUES (44,3,5,'Power Strike',460,10);
INSERT INTO skill_trees VALUES (44,3,6,'Power Strike',460,10);
INSERT INTO skill_trees VALUES (44,3,7,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (44,3,8,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (44,3,9,'Power Strike',1300,15);
INSERT INTO skill_trees VALUES (44,29,1,'Iron Punch',60,5);
INSERT INTO skill_trees VALUES (44,29,2,'Iron Punch',60,5);
INSERT INTO skill_trees VALUES (44,29,3,'Iron Punch',60,5);
INSERT INTO skill_trees VALUES (44,29,4,'Iron Punch',460,10);
INSERT INTO skill_trees VALUES (44,29,5,'Iron Punch',460,10);
INSERT INTO skill_trees VALUES (44,29,6,'Iron Punch',460,10);
INSERT INTO skill_trees VALUES (44,29,7,'Iron Punch',1300,15);
INSERT INTO skill_trees VALUES (44,29,8,'Iron Punch',1300,15);
INSERT INTO skill_trees VALUES (44,29,9,'Iron Punch',1300,15);
INSERT INTO skill_trees VALUES (44,134,1,'Toughness',0,1);
INSERT INTO skill_trees VALUES (44,141,1,'Weapon Mastery',190,5);
INSERT INTO skill_trees VALUES (44,141,2,'Weapon Mastery',1300,10);
INSERT INTO skill_trees VALUES (44,141,3,'Weapon Mastery',4000,15);
INSERT INTO skill_trees VALUES (44,142,1,'Armor Mastery',190,5);
INSERT INTO skill_trees VALUES (44,142,2,'Armor Mastery',690,10);
INSERT INTO skill_trees VALUES (44,142,3,'Armor Mastery',690,10);
INSERT INTO skill_trees VALUES (44,142,4,'Armor Mastery',2000,15);
INSERT INTO skill_trees VALUES (44,142,5,'Armor Mastery',2000,15);
INSERT INTO skill_trees VALUES (44,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (44,226,1,'Relax',190,5);
INSERT INTO skill_trees VALUES (44,295,1,'Iron Body',4000,15);
INSERT INTO skill_trees VALUES (45,34,1,'Bandage',3400,20);
INSERT INTO skill_trees VALUES (45,94,1,'Rage',5300,24);
INSERT INTO skill_trees VALUES (45,100,1,'Stun Attack',1100,20);
INSERT INTO skill_trees VALUES (45,100,2,'Stun Attack',1100,20);
INSERT INTO skill_trees VALUES (45,100,3,'Stun Attack',1100,20);
INSERT INTO skill_trees VALUES (45,100,4,'Stun Attack',1800,24);
INSERT INTO skill_trees VALUES (45,100,5,'Stun Attack',1800,24);
INSERT INTO skill_trees VALUES (45,100,6,'Stun Attack',1800,24);
INSERT INTO skill_trees VALUES (45,100,7,'Stun Attack',3600,28);
INSERT INTO skill_trees VALUES (45,100,8,'Stun Attack',3600,28);
INSERT INTO skill_trees VALUES (45,100,9,'Stun Attack',3600,28);
INSERT INTO skill_trees VALUES (45,100,10,'Stun Attack',5600,32);
INSERT INTO skill_trees VALUES (45,100,11,'Stun Attack',5600,32);
INSERT INTO skill_trees VALUES (45,100,12,'Stun Attack',5600,32);
INSERT INTO skill_trees VALUES (45,100,13,'Stun Attack',8600,36);
INSERT INTO skill_trees VALUES (45,100,14,'Stun Attack',8600,36);
INSERT INTO skill_trees VALUES (45,100,15,'Stun Attack',8600,36);
INSERT INTO skill_trees VALUES (45,121,1,'Battle Roar',11000,28);
INSERT INTO skill_trees VALUES (45,139,1,'Guts',17000,36);
INSERT INTO skill_trees VALUES (45,148,1,'Vital Force',5300,24);
INSERT INTO skill_trees VALUES (45,148,2,'Vital Force',17000,32);
INSERT INTO skill_trees VALUES (45,176,1,'Frenzy',17000,32);
INSERT INTO skill_trees VALUES (45,211,1,'Boost HP',3400,20);
INSERT INTO skill_trees VALUES (45,211,2,'Boost HP',11000,28);
INSERT INTO skill_trees VALUES (45,211,3,'Boost HP',17000,36);
INSERT INTO skill_trees VALUES (45,212,1,'Fast HP Recovery',5300,24);
INSERT INTO skill_trees VALUES (45,212,2,'Fast HP Recovery',17000,32);
INSERT INTO skill_trees VALUES (45,216,1,'Polearm Mastery',3400,20);
INSERT INTO skill_trees VALUES (45,216,2,'Polearm Mastery',5300,24);
INSERT INTO skill_trees VALUES (45,216,3,'Polearm Mastery',5500,28);
INSERT INTO skill_trees VALUES (45,216,4,'Polearm Mastery',5500,28);
INSERT INTO skill_trees VALUES (45,216,5,'Polearm Mastery',8300,32);
INSERT INTO skill_trees VALUES (45,216,6,'Polearm Mastery',8300,32);
INSERT INTO skill_trees VALUES (45,216,7,'Polearm Mastery',13000,36);
INSERT INTO skill_trees VALUES (45,216,8,'Polearm Mastery',13000,36);
INSERT INTO skill_trees VALUES (45,227,1,'Light Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (45,227,2,'Light Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (45,227,3,'Light Armor Mastery',2700,24);
INSERT INTO skill_trees VALUES (45,227,4,'Light Armor Mastery',2700,24);
INSERT INTO skill_trees VALUES (45,227,5,'Light Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,227,6,'Light Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,227,7,'Light Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,227,8,'Light Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,227,9,'Light Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,227,10,'Light Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,227,11,'Light Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,227,12,'Light Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,227,13,'Light Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,231,1,'Heavy Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (45,231,2,'Heavy Armor Mastery',1700,20);
INSERT INTO skill_trees VALUES (45,231,3,'Heavy Armor Mastery',2700,24);
INSERT INTO skill_trees VALUES (45,231,4,'Heavy Armor Mastery',2700,24);
INSERT INTO skill_trees VALUES (45,231,5,'Heavy Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,231,6,'Heavy Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,231,7,'Heavy Armor Mastery',3600,28);
INSERT INTO skill_trees VALUES (45,231,8,'Heavy Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,231,9,'Heavy Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,231,10,'Heavy Armor Mastery',5600,32);
INSERT INTO skill_trees VALUES (45,231,11,'Heavy Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,231,12,'Heavy Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,231,13,'Heavy Armor Mastery',8600,36);
INSERT INTO skill_trees VALUES (45,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (45,245,1,'Wild Sweep',1100,20);
INSERT INTO skill_trees VALUES (45,245,2,'Wild Sweep',1100,20);
INSERT INTO skill_trees VALUES (45,245,3,'Wild Sweep',1100,20);
INSERT INTO skill_trees VALUES (45,245,4,'Wild Sweep',1800,24);
INSERT INTO skill_trees VALUES (45,245,5,'Wild Sweep',1800,24);
INSERT INTO skill_trees VALUES (45,245,6,'Wild Sweep',1800,24);
INSERT INTO skill_trees VALUES (45,245,7,'Wild Sweep',3600,28);
INSERT INTO skill_trees VALUES (45,245,8,'Wild Sweep',3600,28);
INSERT INTO skill_trees VALUES (45,245,9,'Wild Sweep',3600,28);
INSERT INTO skill_trees VALUES (45,245,10,'Wild Sweep',5600,32);
INSERT INTO skill_trees VALUES (45,245,11,'Wild Sweep',5600,32);
INSERT INTO skill_trees VALUES (45,245,12,'Wild Sweep',5600,32);
INSERT INTO skill_trees VALUES (45,245,13,'Wild Sweep',8600,36);
INSERT INTO skill_trees VALUES (45,245,14,'Wild Sweep',8600,36);
INSERT INTO skill_trees VALUES (45,245,15,'Wild Sweep',8600,36);
INSERT INTO skill_trees VALUES (45,255,1,'Power Smash',1100,20);
INSERT INTO skill_trees VALUES (45,255,2,'Power Smash',1100,20);
INSERT INTO skill_trees VALUES (45,255,3,'Power Smash',1100,20);
INSERT INTO skill_trees VALUES (45,255,4,'Power Smash',1800,24);
INSERT INTO skill_trees VALUES (45,255,5,'Power Smash',1800,24);
INSERT INTO skill_trees VALUES (45,255,6,'Power Smash',1800,24);
INSERT INTO skill_trees VALUES (45,255,7,'Power Smash',3600,28);
INSERT INTO skill_trees VALUES (45,255,8,'Power Smash',3600,28);
INSERT INTO skill_trees VALUES (45,255,9,'Power Smash',3600,28);
INSERT INTO skill_trees VALUES (45,255,10,'Power Smash',5600,32);
INSERT INTO skill_trees VALUES (45,255,11,'Power Smash',5600,32);
INSERT INTO skill_trees VALUES (45,255,12,'Power Smash',5600,32);
INSERT INTO skill_trees VALUES (45,255,13,'Power Smash',8600,36);
INSERT INTO skill_trees VALUES (45,255,14,'Power Smash',8600,36);
INSERT INTO skill_trees VALUES (45,255,15,'Power Smash',8600,36);
INSERT INTO skill_trees VALUES (45,256,1,'Accuracy',5300,24);
INSERT INTO skill_trees VALUES (45,257,1,'Sword Blunt Mastery',3400,20);
INSERT INTO skill_trees VALUES (45,257,2,'Sword Blunt Mastery',5300,24);
INSERT INTO skill_trees VALUES (45,257,3,'Sword Blunt Mastery',5500,28);
INSERT INTO skill_trees VALUES (45,257,4,'Sword Blunt Mastery',5500,28);
INSERT INTO skill_trees VALUES (45,257,5,'Sword Blunt Mastery',8300,32);
INSERT INTO skill_trees VALUES (45,257,6,'Sword Blunt Mastery',8300,32);
INSERT INTO skill_trees VALUES (45,257,7,'Sword Blunt Mastery',13000,36);
INSERT INTO skill_trees VALUES (45,257,8,'Sword Blunt Mastery',13000,36);
INSERT INTO skill_trees VALUES (45,287,1,'Lionheart',17000,36);
INSERT INTO skill_trees VALUES (45,293,1,'Two-handed Weapon Master',3400,20);
INSERT INTO skill_trees VALUES (45,293,2,'Two-handed Weapon Master',5300,24);
INSERT INTO skill_trees VALUES (45,293,3,'Two-handed Weapon Master',11000,28);
INSERT INTO skill_trees VALUES (45,293,4,'Two-handed Weapon Master',17000,32);
INSERT INTO skill_trees VALUES (45,293,5,'Two-handed Weapon Master',17000,36);
INSERT INTO skill_trees VALUES (45,312,1,'Vicious Stance',3400,20);
INSERT INTO skill_trees VALUES (45,312,2,'Vicious Stance',5300,24);
INSERT INTO skill_trees VALUES (45,312,3,'Vicious Stance',11000,28);
INSERT INTO skill_trees VALUES (45,312,4,'Vicious Stance',17000,32);
INSERT INTO skill_trees VALUES (45,312,5,'Vicious Stance',17000,36);
INSERT INTO skill_trees VALUES (46,34,2,'Bandage',50000,46);
INSERT INTO skill_trees VALUES (46,34,3,'Bandage',310000,62);
INSERT INTO skill_trees VALUES (46,36,1,'Whirlwind',11000,40);
INSERT INTO skill_trees VALUES (46,36,2,'Whirlwind',11000,40);
INSERT INTO skill_trees VALUES (46,36,3,'Whirlwind',11000,40);
INSERT INTO skill_trees VALUES (46,36,4,'Whirlwind',13000,43);
INSERT INTO skill_trees VALUES (46,36,5,'Whirlwind',13000,43);
INSERT INTO skill_trees VALUES (46,36,6,'Whirlwind',13000,43);
INSERT INTO skill_trees VALUES (46,36,7,'Whirlwind',17000,46);
INSERT INTO skill_trees VALUES (46,36,8,'Whirlwind',17000,46);
INSERT INTO skill_trees VALUES (46,36,9,'Whirlwind',17000,46);
INSERT INTO skill_trees VALUES (46,36,10,'Whirlwind',27000,49);
INSERT INTO skill_trees VALUES (46,36,11,'Whirlwind',27000,49);
INSERT INTO skill_trees VALUES (46,36,12,'Whirlwind',27000,49);
INSERT INTO skill_trees VALUES (46,36,13,'Whirlwind',42000,52);
INSERT INTO skill_trees VALUES (46,36,14,'Whirlwind',42000,52);
INSERT INTO skill_trees VALUES (46,36,15,'Whirlwind',42000,52);
INSERT INTO skill_trees VALUES (46,36,16,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (46,36,17,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (46,36,18,'Whirlwind',61000,55);
INSERT INTO skill_trees VALUES (46,36,19,'Whirlwind',67000,58);
INSERT INTO skill_trees VALUES (46,36,20,'Whirlwind',67000,58);
INSERT INTO skill_trees VALUES (46,36,21,'Whirlwind',67000,58);
INSERT INTO skill_trees VALUES (46,36,22,'Whirlwind',120000,60);
INSERT INTO skill_trees VALUES (46,36,23,'Whirlwind',120000,60);
INSERT INTO skill_trees VALUES (46,36,24,'Whirlwind',150000,62);
INSERT INTO skill_trees VALUES (46,36,25,'Whirlwind',150000,62);
INSERT INTO skill_trees VALUES (46,36,26,'Whirlwind',200000,64);
INSERT INTO skill_trees VALUES (46,36,27,'Whirlwind',200000,64);
INSERT INTO skill_trees VALUES (46,36,28,'Whirlwind',290000,66);
INSERT INTO skill_trees VALUES (46,36,29,'Whirlwind',290000,66);
INSERT INTO skill_trees VALUES (46,36,30,'Whirlwind',330000,68);
INSERT INTO skill_trees VALUES (46,36,31,'Whirlwind',330000,68);
INSERT INTO skill_trees VALUES (46,36,32,'Whirlwind',360000,70);
INSERT INTO skill_trees VALUES (46,36,33,'Whirlwind',360000,70);
INSERT INTO skill_trees VALUES (46,36,34,'Whirlwind',630000,72);
INSERT INTO skill_trees VALUES (46,36,35,'Whirlwind',630000,72);
INSERT INTO skill_trees VALUES (46,36,36,'Whirlwind',880000,74);
INSERT INTO skill_trees VALUES (46,36,37,'Whirlwind',880000,74);
INSERT INTO skill_trees VALUES (46,94,2,'Rage',180000,55);
INSERT INTO skill_trees VALUES (46,121,2,'Battle Roar',33000,40);
INSERT INTO skill_trees VALUES (46,121,3,'Battle Roar',82000,49);
INSERT INTO skill_trees VALUES (46,121,4,'Battle Roar',200000,58);
INSERT INTO skill_trees VALUES (46,121,5,'Battle Roar',400000,64);
INSERT INTO skill_trees VALUES (46,121,6,'Battle Roar',720000,70);
INSERT INTO skill_trees VALUES (46,139,2,'Guts',38000,43);
INSERT INTO skill_trees VALUES (46,139,3,'Guts',120000,52);
INSERT INTO skill_trees VALUES (46,148,3,'Vital Force',33000,40);
INSERT INTO skill_trees VALUES (46,148,4,'Vital Force',50000,46);
INSERT INTO skill_trees VALUES (46,148,5,'Vital Force',120000,52);
INSERT INTO skill_trees VALUES (46,148,6,'Vital Force',200000,58);
INSERT INTO skill_trees VALUES (46,148,7,'Vital Force',400000,64);
INSERT INTO skill_trees VALUES (46,148,8,'Vital Force',1300000,72);
INSERT INTO skill_trees VALUES (46,176,2,'Frenzy',50000,46);
INSERT INTO skill_trees VALUES (46,176,3,'Frenzy',180000,55);
INSERT INTO skill_trees VALUES (46,190,1,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (46,190,2,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (46,190,3,'Fatal Strike',11000,40);
INSERT INTO skill_trees VALUES (46,190,4,'Fatal Strike',13000,43);
INSERT INTO skill_trees VALUES (46,190,5,'Fatal Strike',13000,43);
INSERT INTO skill_trees VALUES (46,190,6,'Fatal Strike',13000,43);
INSERT INTO skill_trees VALUES (46,190,7,'Fatal Strike',17000,46);
INSERT INTO skill_trees VALUES (46,190,8,'Fatal Strike',17000,46);
INSERT INTO skill_trees VALUES (46,190,9,'Fatal Strike',17000,46);
INSERT INTO skill_trees VALUES (46,190,10,'Fatal Strike',27000,49);
INSERT INTO skill_trees VALUES (46,190,11,'Fatal Strike',27000,49);
INSERT INTO skill_trees VALUES (46,190,12,'Fatal Strike',27000,49);
INSERT INTO skill_trees VALUES (46,190,13,'Fatal Strike',42000,52);
INSERT INTO skill_trees VALUES (46,190,14,'Fatal Strike',42000,52);
INSERT INTO skill_trees VALUES (46,190,15,'Fatal Strike',42000,52);
INSERT INTO skill_trees VALUES (46,190,16,'Fatal Strike',61000,55);
INSERT INTO skill_trees VALUES (46,190,17,'Fatal Strike',61000,55);
INSERT INTO skill_trees VALUES (46,190,18,'Fatal Strike',61000,55);
INSERT INTO skill_trees VALUES (46,190,19,'Fatal Strike',67000,58);
INSERT INTO skill_trees VALUES (46,190,20,'Fatal Strike',67000,58);
INSERT INTO skill_trees VALUES (46,190,21,'Fatal Strike',67000,58);
INSERT INTO skill_trees VALUES (46,190,22,'Fatal Strike',120000,60);
INSERT INTO skill_trees VALUES (46,190,23,'Fatal Strike',120000,60);
INSERT INTO skill_trees VALUES (46,190,24,'Fatal Strike',150000,62);
INSERT INTO skill_trees VALUES (46,190,25,'Fatal Strike',150000,62);
INSERT INTO skill_trees VALUES (46,190,26,'Fatal Strike',200000,64);
INSERT INTO skill_trees VALUES (46,190,27,'Fatal Strike',200000,64);
INSERT INTO skill_trees VALUES (46,190,28,'Fatal Strike',290000,66);
INSERT INTO skill_trees VALUES (46,190,29,'Fatal Strike',290000,66);
INSERT INTO skill_trees VALUES (46,190,30,'Fatal Strike',330000,68);
INSERT INTO skill_trees VALUES (46,190,31,'Fatal Strike',330000,68);
INSERT INTO skill_trees VALUES (46,190,32,'Fatal Strike',360000,70);
INSERT INTO skill_trees VALUES (46,190,33,'Fatal Strike',360000,70);
INSERT INTO skill_trees VALUES (46,190,34,'Fatal Strike',630000,72);
INSERT INTO skill_trees VALUES (46,190,35,'Fatal Strike',630000,72);
INSERT INTO skill_trees VALUES (46,190,36,'Fatal Strike',880000,74);
INSERT INTO skill_trees VALUES (46,190,37,'Fatal Strike',880000,74);
INSERT INTO skill_trees VALUES (46,211,4,'Boost HP',38000,43);
INSERT INTO skill_trees VALUES (46,211,5,'Boost HP',82000,49);
INSERT INTO skill_trees VALUES (46,211,6,'Boost HP',180000,55);
INSERT INTO skill_trees VALUES (46,211,7,'Boost HP',310000,62);
INSERT INTO skill_trees VALUES (46,211,8,'Boost HP',580000,66);
INSERT INTO skill_trees VALUES (46,211,9,'Boost HP',720000,70);
INSERT INTO skill_trees VALUES (46,211,10,'Boost HP',1800000,74);
INSERT INTO skill_trees VALUES (46,212,3,'Fast HP Recovery',33000,40);
INSERT INTO skill_trees VALUES (46,212,4,'Fast HP Recovery',38000,43);
INSERT INTO skill_trees VALUES (46,212,5,'Fast HP Recovery',120000,52);
INSERT INTO skill_trees VALUES (46,212,6,'Fast HP Recovery',200000,58);
INSERT INTO skill_trees VALUES (46,212,7,'Fast HP Recovery',650000,68);
INSERT INTO skill_trees VALUES (46,212,8,'Fast HP Recovery',1800000,74);
INSERT INTO skill_trees VALUES (46,216,9,'Polearm Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,216,10,'Polearm Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,216,11,'Polearm Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,216,12,'Polearm Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,216,13,'Polearm Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,216,14,'Polearm Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,216,15,'Polearm Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,216,16,'Polearm Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,216,17,'Polearm Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,216,18,'Polearm Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,216,19,'Polearm Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,216,20,'Polearm Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,216,21,'Polearm Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,216,22,'Polearm Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,216,23,'Polearm Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,216,24,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,216,25,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,216,26,'Polearm Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,216,27,'Polearm Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,216,28,'Polearm Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,216,29,'Polearm Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,216,30,'Polearm Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,216,31,'Polearm Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,216,32,'Polearm Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,216,33,'Polearm Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,216,34,'Polearm Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,216,35,'Polearm Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,216,36,'Polearm Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,216,37,'Polearm Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,216,38,'Polearm Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,216,39,'Polearm Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,216,40,'Polearm Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,216,41,'Polearm Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,216,42,'Polearm Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,216,43,'Polearm Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,216,44,'Polearm Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,216,45,'Polearm Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,227,14,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,227,15,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,227,16,'Light Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,227,17,'Light Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,227,18,'Light Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,227,19,'Light Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,227,20,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,227,21,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,227,22,'Light Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,227,23,'Light Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,227,24,'Light Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,227,25,'Light Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,227,26,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,227,27,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,227,28,'Light Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,227,29,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,227,30,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,227,31,'Light Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,227,32,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,227,33,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,227,34,'Light Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,227,35,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,227,36,'Light Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,227,37,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,227,38,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,227,39,'Light Armor Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,227,40,'Light Armor Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,227,41,'Light Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,227,42,'Light Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,227,43,'Light Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,227,44,'Light Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,227,45,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,227,46,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,227,47,'Light Armor Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,227,48,'Light Armor Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,227,49,'Light Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,227,50,'Light Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,231,14,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,231,15,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,231,16,'Heavy Armor Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,231,17,'Heavy Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,231,18,'Heavy Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,231,19,'Heavy Armor Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,231,20,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,231,21,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,231,22,'Heavy Armor Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,231,23,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,231,24,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,231,25,'Heavy Armor Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,231,26,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,231,27,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,231,28,'Heavy Armor Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,231,29,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,231,30,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,231,31,'Heavy Armor Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,231,32,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,231,33,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,231,34,'Heavy Armor Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,231,35,'Heavy Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,231,36,'Heavy Armor Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,231,37,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,231,38,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,231,39,'Heavy Armor Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,231,40,'Heavy Armor Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,231,41,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,231,42,'Heavy Armor Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,231,43,'Heavy Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,231,44,'Heavy Armor Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,231,45,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,231,46,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,231,47,'Heavy Armor Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,231,48,'Heavy Armor Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,231,49,'Heavy Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,231,50,'Heavy Armor Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (46,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (46,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (46,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (46,257,9,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,257,10,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,257,11,'Sword Blunt Mastery',11000,40);
INSERT INTO skill_trees VALUES (46,257,12,'Sword Blunt Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,257,13,'Sword Blunt Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,257,14,'Sword Blunt Mastery',13000,43);
INSERT INTO skill_trees VALUES (46,257,15,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,257,16,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,257,17,'Sword Blunt Mastery',17000,46);
INSERT INTO skill_trees VALUES (46,257,18,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,257,19,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,257,20,'Sword Blunt Mastery',27000,49);
INSERT INTO skill_trees VALUES (46,257,21,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,257,22,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,257,23,'Sword Blunt Mastery',42000,52);
INSERT INTO skill_trees VALUES (46,257,24,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,257,25,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,257,26,'Sword Blunt Mastery',61000,55);
INSERT INTO skill_trees VALUES (46,257,27,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,257,28,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,257,29,'Sword Blunt Mastery',67000,58);
INSERT INTO skill_trees VALUES (46,257,30,'Sword Blunt Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,257,31,'Sword Blunt Mastery',120000,60);
INSERT INTO skill_trees VALUES (46,257,32,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,257,33,'Sword Blunt Mastery',150000,62);
INSERT INTO skill_trees VALUES (46,257,34,'Sword Blunt Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,257,35,'Sword Blunt Mastery',200000,64);
INSERT INTO skill_trees VALUES (46,257,36,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,257,37,'Sword Blunt Mastery',290000,66);
INSERT INTO skill_trees VALUES (46,257,38,'Sword Blunt Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,257,39,'Sword Blunt Mastery',330000,68);
INSERT INTO skill_trees VALUES (46,257,40,'Sword Blunt Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,257,41,'Sword Blunt Mastery',360000,70);
INSERT INTO skill_trees VALUES (46,257,42,'Sword Blunt Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,257,43,'Sword Blunt Mastery',630000,72);
INSERT INTO skill_trees VALUES (46,257,44,'Sword Blunt Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,257,45,'Sword Blunt Mastery',880000,74);
INSERT INTO skill_trees VALUES (46,260,1,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (46,260,2,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (46,260,3,'Hammer Crush',11000,40);
INSERT INTO skill_trees VALUES (46,260,4,'Hammer Crush',13000,43);
INSERT INTO skill_trees VALUES (46,260,5,'Hammer Crush',13000,43);
INSERT INTO skill_trees VALUES (46,260,6,'Hammer Crush',13000,43);
INSERT INTO skill_trees VALUES (46,260,7,'Hammer Crush',17000,46);
INSERT INTO skill_trees VALUES (46,260,8,'Hammer Crush',17000,46);
INSERT INTO skill_trees VALUES (46,260,9,'Hammer Crush',17000,46);
INSERT INTO skill_trees VALUES (46,260,10,'Hammer Crush',27000,49);
INSERT INTO skill_trees VALUES (46,260,11,'Hammer Crush',27000,49);
INSERT INTO skill_trees VALUES (46,260,12,'Hammer Crush',27000,49);
INSERT INTO skill_trees VALUES (46,260,13,'Hammer Crush',42000,52);
INSERT INTO skill_trees VALUES (46,260,14,'Hammer Crush',42000,52);
INSERT INTO skill_trees VALUES (46,260,15,'Hammer Crush',42000,52);
INSERT INTO skill_trees VALUES (46,260,16,'Hammer Crush',61000,55);
INSERT INTO skill_trees VALUES (46,260,17,'Hammer Crush',61000,55);
INSERT INTO skill_trees VALUES (46,260,18,'Hammer Crush',61000,55);
INSERT INTO skill_trees VALUES (46,260,19,'Hammer Crush',67000,58);
INSERT INTO skill_trees VALUES (46,260,20,'Hammer Crush',67000,58);
INSERT INTO skill_trees VALUES (46,260,21,'Hammer Crush',67000,58);
INSERT INTO skill_trees VALUES (46,260,22,'Hammer Crush',120000,60);
INSERT INTO skill_trees VALUES (46,260,23,'Hammer Crush',120000,60);
INSERT INTO skill_trees VALUES (46,260,24,'Hammer Crush',150000,62);
INSERT INTO skill_trees VALUES (46,260,25,'Hammer Crush',150000,62);
INSERT INTO skill_trees VALUES (46,260,26,'Hammer Crush',200000,64);
INSERT INTO skill_trees VALUES (46,260,27,'Hammer Crush',200000,64);
INSERT INTO skill_trees VALUES (46,260,28,'Hammer Crush',290000,66);
INSERT INTO skill_trees VALUES (46,260,29,'Hammer Crush',290000,66);
INSERT INTO skill_trees VALUES (46,260,30,'Hammer Crush',330000,68);
INSERT INTO skill_trees VALUES (46,260,31,'Hammer Crush',330000,68);
INSERT INTO skill_trees VALUES (46,260,32,'Hammer Crush',360000,70);
INSERT INTO skill_trees VALUES (46,260,33,'Hammer Crush',360000,70);
INSERT INTO skill_trees VALUES (46,260,34,'Hammer Crush',630000,72);
INSERT INTO skill_trees VALUES (46,260,35,'Hammer Crush',630000,72);
INSERT INTO skill_trees VALUES (46,260,36,'Hammer Crush',880000,74);
INSERT INTO skill_trees VALUES (46,260,37,'Hammer Crush',880000,74);
INSERT INTO skill_trees VALUES (46,287,2,'Lionheart',82000,49);
INSERT INTO skill_trees VALUES (46,287,3,'Lionheart',310000,62);
INSERT INTO skill_trees VALUES (46,293,6,'Two-handed Weapon Master',33000,40);
INSERT INTO skill_trees VALUES (46,293,7,'Two-handed Weapon Master',38000,43);
INSERT INTO skill_trees VALUES (46,293,8,'Two-handed Weapon Master',50000,46);
INSERT INTO skill_trees VALUES (46,293,9,'Two-handed Weapon Master',82000,49);
INSERT INTO skill_trees VALUES (46,293,10,'Two-handed Weapon Master',120000,52);
INSERT INTO skill_trees VALUES (46,293,11,'Two-handed Weapon Master',180000,55);
INSERT INTO skill_trees VALUES (46,293,12,'Two-handed Weapon Master',200000,58);
INSERT INTO skill_trees VALUES (46,293,13,'Two-handed Weapon Master',240000,60);
INSERT INTO skill_trees VALUES (46,293,14,'Two-handed Weapon Master',310000,62);
INSERT INTO skill_trees VALUES (46,293,15,'Two-handed Weapon Master',400000,64);
INSERT INTO skill_trees VALUES (46,293,16,'Two-handed Weapon Master',580000,66);
INSERT INTO skill_trees VALUES (46,293,17,'Two-handed Weapon Master',650000,68);
INSERT INTO skill_trees VALUES (46,293,18,'Two-handed Weapon Master',720000,70);
INSERT INTO skill_trees VALUES (46,293,19,'Two-handed Weapon Master',1300000,72);
INSERT INTO skill_trees VALUES (46,293,20,'Two-handed Weapon Master',1800000,74);
INSERT INTO skill_trees VALUES (46,312,6,'Vicious Stance',33000,40);
INSERT INTO skill_trees VALUES (46,312,7,'Vicious Stance',38000,43);
INSERT INTO skill_trees VALUES (46,312,8,'Vicious Stance',50000,46);
INSERT INTO skill_trees VALUES (46,312,9,'Vicious Stance',82000,49);
INSERT INTO skill_trees VALUES (46,312,10,'Vicious Stance',120000,52);
INSERT INTO skill_trees VALUES (46,312,11,'Vicious Stance',180000,55);
INSERT INTO skill_trees VALUES (46,312,12,'Vicious Stance',200000,58);
INSERT INTO skill_trees VALUES (46,312,13,'Vicious Stance',240000,60);
INSERT INTO skill_trees VALUES (46,312,14,'Vicious Stance',310000,62);
INSERT INTO skill_trees VALUES (46,312,15,'Vicious Stance',400000,64);
INSERT INTO skill_trees VALUES (46,312,16,'Vicious Stance',580000,66);
INSERT INTO skill_trees VALUES (46,312,17,'Vicious Stance',650000,68);
INSERT INTO skill_trees VALUES (46,312,18,'Vicious Stance',720000,70);
INSERT INTO skill_trees VALUES (46,312,19,'Vicious Stance',1300000,72);
INSERT INTO skill_trees VALUES (46,312,20,'Vicious Stance',1800000,74);
INSERT INTO skill_trees VALUES (46,315,1,'Crush of Doom',120000,60);
INSERT INTO skill_trees VALUES (46,315,2,'Crush of Doom',120000,60);
INSERT INTO skill_trees VALUES (46,315,3,'Crush of Doom',150000,62);
INSERT INTO skill_trees VALUES (46,315,4,'Crush of Doom',150000,62);
INSERT INTO skill_trees VALUES (46,315,5,'Crush of Doom',200000,64);
INSERT INTO skill_trees VALUES (46,315,6,'Crush of Doom',200000,64);
INSERT INTO skill_trees VALUES (46,315,7,'Crush of Doom',290000,66);
INSERT INTO skill_trees VALUES (46,315,8,'Crush of Doom',290000,66);
INSERT INTO skill_trees VALUES (46,315,9,'Crush of Doom',330000,68);
INSERT INTO skill_trees VALUES (46,315,10,'Crush of Doom',330000,68);
INSERT INTO skill_trees VALUES (46,315,11,'Crush of Doom',360000,70);
INSERT INTO skill_trees VALUES (46,315,12,'Crush of Doom',360000,70);
INSERT INTO skill_trees VALUES (46,315,13,'Crush of Doom',630000,72);
INSERT INTO skill_trees VALUES (46,315,14,'Crush of Doom',630000,72);
INSERT INTO skill_trees VALUES (46,315,15,'Crush of Doom',880000,74);
INSERT INTO skill_trees VALUES (46,315,16,'Crush of Doom',880000,74);
INSERT INTO skill_trees VALUES (46,320,1,'Wrath',290000,66);
INSERT INTO skill_trees VALUES (46,320,2,'Wrath',290000,66);
INSERT INTO skill_trees VALUES (46,320,3,'Wrath',330000,68);
INSERT INTO skill_trees VALUES (46,320,4,'Wrath',330000,68);
INSERT INTO skill_trees VALUES (46,320,5,'Wrath',360000,70);
INSERT INTO skill_trees VALUES (46,320,6,'Wrath',360000,70);
INSERT INTO skill_trees VALUES (46,320,7,'Wrath',630000,72);
INSERT INTO skill_trees VALUES (46,320,8,'Wrath',630000,72);
INSERT INTO skill_trees VALUES (46,320,9,'Wrath',880000,74);
INSERT INTO skill_trees VALUES (46,320,10,'Wrath',880000,74);
INSERT INTO skill_trees VALUES (47,29,10,'Iron Punch',2600,20);
INSERT INTO skill_trees VALUES (47,29,11,'Iron Punch',2600,20);
INSERT INTO skill_trees VALUES (47,29,12,'Iron Punch',2600,20);
INSERT INTO skill_trees VALUES (47,29,13,'Iron Punch',3300,24);
INSERT INTO skill_trees VALUES (47,29,14,'Iron Punch',3300,24);
INSERT INTO skill_trees VALUES (47,29,15,'Iron Punch',3300,24);
INSERT INTO skill_trees VALUES (47,29,16,'Iron Punch',5700,28);
INSERT INTO skill_trees VALUES (47,29,17,'Iron Punch',5700,28);
INSERT INTO skill_trees VALUES (47,29,18,'Iron Punch',5700,28);
INSERT INTO skill_trees VALUES (47,29,19,'Iron Punch',9500,32);
INSERT INTO skill_trees VALUES (47,29,20,'Iron Punch',9500,32);
INSERT INTO skill_trees VALUES (47,29,21,'Iron Punch',9500,32);
INSERT INTO skill_trees VALUES (47,29,22,'Iron Punch',13000,36);
INSERT INTO skill_trees VALUES (47,29,23,'Iron Punch',13000,36);
INSERT INTO skill_trees VALUES (47,29,24,'Iron Punch',13000,36);
INSERT INTO skill_trees VALUES (47,50,1,'Focus Force',10000,24);
INSERT INTO skill_trees VALUES (47,50,2,'Focus Force',29000,32);
INSERT INTO skill_trees VALUES (47,54,1,'Force Blaster',3300,24);
INSERT INTO skill_trees VALUES (47,54,2,'Force Blaster',3300,24);
INSERT INTO skill_trees VALUES (47,54,3,'Force Blaster',3300,24);
INSERT INTO skill_trees VALUES (47,54,4,'Force Blaster',5700,28);
INSERT INTO skill_trees VALUES (47,54,5,'Force Blaster',5700,28);
INSERT INTO skill_trees VALUES (47,54,6,'Force Blaster',5700,28);
INSERT INTO skill_trees VALUES (47,54,7,'Force Blaster',9500,32);
INSERT INTO skill_trees VALUES (47,54,8,'Force Blaster',9500,32);
INSERT INTO skill_trees VALUES (47,54,9,'Force Blaster',9500,32);
INSERT INTO skill_trees VALUES (47,54,10,'Force Blaster',13000,36);
INSERT INTO skill_trees VALUES (47,54,11,'Force Blaster',13000,36);
INSERT INTO skill_trees VALUES (47,54,12,'Force Blaster',13000,36);
INSERT INTO skill_trees VALUES (47,76,1,'Totem Spirit Bear',17000,28);
INSERT INTO skill_trees VALUES (47,83,1,'Totem Spirit Wolf',5300,20);
INSERT INTO skill_trees VALUES (47,95,1,'Cripple',5300,20);
INSERT INTO skill_trees VALUES (47,95,2,'Cripple',10000,24);
INSERT INTO skill_trees VALUES (47,95,3,'Cripple',17000,28);
INSERT INTO skill_trees VALUES (47,95,4,'Cripple',29000,32);
INSERT INTO skill_trees VALUES (47,95,5,'Cripple',39000,36);
INSERT INTO skill_trees VALUES (47,120,1,'Stunning Fist',2600,20);
INSERT INTO skill_trees VALUES (47,120,2,'Stunning Fist',2600,20);
INSERT INTO skill_trees VALUES (47,120,3,'Stunning Fist',2600,20);
INSERT INTO skill_trees VALUES (47,120,4,'Stunning Fist',3300,24);
INSERT INTO skill_trees VALUES (47,120,5,'Stunning Fist',3300,24);
INSERT INTO skill_trees VALUES (47,120,6,'Stunning Fist',3300,24);
INSERT INTO skill_trees VALUES (47,120,7,'Stunning Fist',5700,28);
INSERT INTO skill_trees VALUES (47,120,8,'Stunning Fist',5700,28);
INSERT INTO skill_trees VALUES (47,120,9,'Stunning Fist',5700,28);
INSERT INTO skill_trees VALUES (47,120,10,'Stunning Fist',9500,32);
INSERT INTO skill_trees VALUES (47,120,11,'Stunning Fist',9500,32);
INSERT INTO skill_trees VALUES (47,120,12,'Stunning Fist',9500,32);
INSERT INTO skill_trees VALUES (47,120,13,'Stunning Fist',13000,36);
INSERT INTO skill_trees VALUES (47,120,14,'Stunning Fist',13000,36);
INSERT INTO skill_trees VALUES (47,120,15,'Stunning Fist',13000,36);
INSERT INTO skill_trees VALUES (47,168,1,'Boost Attack Speed',39000,36);
INSERT INTO skill_trees VALUES (47,210,1,'Fist Mastery',5300,20);
INSERT INTO skill_trees VALUES (47,210,2,'Fist Mastery',10000,24);
INSERT INTO skill_trees VALUES (47,210,3,'Fist Mastery',8600,28);
INSERT INTO skill_trees VALUES (47,210,4,'Fist Mastery',8600,28);
INSERT INTO skill_trees VALUES (47,210,5,'Fist Mastery',14000,32);
INSERT INTO skill_trees VALUES (47,210,6,'Fist Mastery',14000,32);
INSERT INTO skill_trees VALUES (47,210,7,'Fist Mastery',19000,36);
INSERT INTO skill_trees VALUES (47,210,8,'Fist Mastery',19000,36);
INSERT INTO skill_trees VALUES (47,233,1,'Light Armor Mastery',2600,20);
INSERT INTO skill_trees VALUES (47,233,2,'Light Armor Mastery',2600,20);
INSERT INTO skill_trees VALUES (47,233,3,'Light Armor Mastery',5000,24);
INSERT INTO skill_trees VALUES (47,233,4,'Light Armor Mastery',5000,24);
INSERT INTO skill_trees VALUES (47,233,5,'Light Armor Mastery',8600,28);
INSERT INTO skill_trees VALUES (47,233,6,'Light Armor Mastery',8600,28);
INSERT INTO skill_trees VALUES (47,233,7,'Light Armor Mastery',14000,32);
INSERT INTO skill_trees VALUES (47,233,8,'Light Armor Mastery',14000,32);
INSERT INTO skill_trees VALUES (47,233,9,'Light Armor Mastery',19000,36);
INSERT INTO skill_trees VALUES (47,233,10,'Light Armor Mastery',19000,36);
INSERT INTO skill_trees VALUES (47,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (47,284,1,'Hurricane Assault',13000,36);
INSERT INTO skill_trees VALUES (47,284,2,'Hurricane Assault',13000,36);
INSERT INTO skill_trees VALUES (47,284,3,'Hurricane Assault',13000,36);
INSERT INTO skill_trees VALUES (47,319,1,'Agile Movement',5300,20);
INSERT INTO skill_trees VALUES (48,17,1,'Force Buster',17000,43);
INSERT INTO skill_trees VALUES (48,17,2,'Force Buster',17000,43);
INSERT INTO skill_trees VALUES (48,17,3,'Force Buster',17000,43);
INSERT INTO skill_trees VALUES (48,17,4,'Force Buster',20000,46);
INSERT INTO skill_trees VALUES (48,17,5,'Force Buster',20000,46);
INSERT INTO skill_trees VALUES (48,17,6,'Force Buster',20000,46);
INSERT INTO skill_trees VALUES (48,17,7,'Force Buster',36000,49);
INSERT INTO skill_trees VALUES (48,17,8,'Force Buster',36000,49);
INSERT INTO skill_trees VALUES (48,17,9,'Force Buster',36000,49);
INSERT INTO skill_trees VALUES (48,17,10,'Force Buster',50000,52);
INSERT INTO skill_trees VALUES (48,17,11,'Force Buster',50000,52);
INSERT INTO skill_trees VALUES (48,17,12,'Force Buster',50000,52);
INSERT INTO skill_trees VALUES (48,17,13,'Force Buster',73000,55);
INSERT INTO skill_trees VALUES (48,17,14,'Force Buster',73000,55);
INSERT INTO skill_trees VALUES (48,17,15,'Force Buster',73000,55);
INSERT INTO skill_trees VALUES (48,17,16,'Force Buster',80000,58);
INSERT INTO skill_trees VALUES (48,17,17,'Force Buster',80000,58);
INSERT INTO skill_trees VALUES (48,17,18,'Force Buster',80000,58);
INSERT INTO skill_trees VALUES (48,17,19,'Force Buster',150000,60);
INSERT INTO skill_trees VALUES (48,17,20,'Force Buster',150000,60);
INSERT INTO skill_trees VALUES (48,17,21,'Force Buster',200000,62);
INSERT INTO skill_trees VALUES (48,17,22,'Force Buster',200000,62);
INSERT INTO skill_trees VALUES (48,17,23,'Force Buster',240000,64);
INSERT INTO skill_trees VALUES (48,17,24,'Force Buster',240000,64);
INSERT INTO skill_trees VALUES (48,17,25,'Force Buster',350000,66);
INSERT INTO skill_trees VALUES (48,17,26,'Force Buster',350000,66);
INSERT INTO skill_trees VALUES (48,17,27,'Force Buster',390000,68);
INSERT INTO skill_trees VALUES (48,17,28,'Force Buster',390000,68);
INSERT INTO skill_trees VALUES (48,17,29,'Force Buster',520000,70);
INSERT INTO skill_trees VALUES (48,17,30,'Force Buster',520000,70);
INSERT INTO skill_trees VALUES (48,17,31,'Force Buster',680000,72);
INSERT INTO skill_trees VALUES (48,17,32,'Force Buster',680000,72);
INSERT INTO skill_trees VALUES (48,17,33,'Force Buster',1300000,74);
INSERT INTO skill_trees VALUES (48,17,34,'Force Buster',1300000,74);
INSERT INTO skill_trees VALUES (48,35,1,'Force Storm',36000,49);
INSERT INTO skill_trees VALUES (48,35,2,'Force Storm',36000,49);
INSERT INTO skill_trees VALUES (48,35,3,'Force Storm',36000,49);
INSERT INTO skill_trees VALUES (48,35,4,'Force Storm',50000,52);
INSERT INTO skill_trees VALUES (48,35,5,'Force Storm',50000,52);
INSERT INTO skill_trees VALUES (48,35,6,'Force Storm',50000,52);
INSERT INTO skill_trees VALUES (48,35,7,'Force Storm',73000,55);
INSERT INTO skill_trees VALUES (48,35,8,'Force Storm',73000,55);
INSERT INTO skill_trees VALUES (48,35,9,'Force Storm',73000,55);
INSERT INTO skill_trees VALUES (48,35,10,'Force Storm',80000,58);
INSERT INTO skill_trees VALUES (48,35,11,'Force Storm',80000,58);
INSERT INTO skill_trees VALUES (48,35,12,'Force Storm',80000,58);
INSERT INTO skill_trees VALUES (48,35,13,'Force Storm',150000,60);
INSERT INTO skill_trees VALUES (48,35,14,'Force Storm',150000,60);
INSERT INTO skill_trees VALUES (48,35,15,'Force Storm',200000,62);
INSERT INTO skill_trees VALUES (48,35,16,'Force Storm',200000,62);
INSERT INTO skill_trees VALUES (48,35,17,'Force Storm',240000,64);
INSERT INTO skill_trees VALUES (48,35,18,'Force Storm',240000,64);
INSERT INTO skill_trees VALUES (48,35,19,'Force Storm',350000,66);
INSERT INTO skill_trees VALUES (48,35,20,'Force Storm',350000,66);
INSERT INTO skill_trees VALUES (48,35,21,'Force Storm',390000,68);
INSERT INTO skill_trees VALUES (48,35,22,'Force Storm',390000,68);
INSERT INTO skill_trees VALUES (48,35,23,'Force Storm',520000,70);
INSERT INTO skill_trees VALUES (48,35,24,'Force Storm',520000,70);
INSERT INTO skill_trees VALUES (48,35,25,'Force Storm',680000,72);
INSERT INTO skill_trees VALUES (48,35,26,'Force Storm',680000,72);
INSERT INTO skill_trees VALUES (48,35,27,'Force Storm',1300000,74);
INSERT INTO skill_trees VALUES (48,35,28,'Force Storm',1300000,74);
INSERT INTO skill_trees VALUES (48,50,3,'Focus Force',39000,40);
INSERT INTO skill_trees VALUES (48,50,4,'Focus Force',150000,52);
INSERT INTO skill_trees VALUES (48,50,5,'Focus Force',290000,60);
INSERT INTO skill_trees VALUES (48,50,6,'Focus Force',700000,66);
INSERT INTO skill_trees VALUES (48,50,7,'Focus Force',1400000,72);
INSERT INTO skill_trees VALUES (48,54,13,'Force Blaster',13000,40);
INSERT INTO skill_trees VALUES (48,54,14,'Force Blaster',13000,40);
INSERT INTO skill_trees VALUES (48,54,15,'Force Blaster',13000,40);
INSERT INTO skill_trees VALUES (48,54,16,'Force Blaster',17000,43);
INSERT INTO skill_trees VALUES (48,54,17,'Force Blaster',17000,43);
INSERT INTO skill_trees VALUES (48,54,18,'Force Blaster',17000,43);
INSERT INTO skill_trees VALUES (48,54,19,'Force Blaster',20000,46);
INSERT INTO skill_trees VALUES (48,54,20,'Force Blaster',20000,46);
INSERT INTO skill_trees VALUES (48,54,21,'Force Blaster',20000,46);
INSERT INTO skill_trees VALUES (48,54,22,'Force Blaster',36000,49);
INSERT INTO skill_trees VALUES (48,54,23,'Force Blaster',36000,49);
INSERT INTO skill_trees VALUES (48,54,24,'Force Blaster',36000,49);
INSERT INTO skill_trees VALUES (48,54,25,'Force Blaster',50000,52);
INSERT INTO skill_trees VALUES (48,54,26,'Force Blaster',50000,52);
INSERT INTO skill_trees VALUES (48,54,27,'Force Blaster',50000,52);
INSERT INTO skill_trees VALUES (48,54,28,'Force Blaster',73000,55);
INSERT INTO skill_trees VALUES (48,54,29,'Force Blaster',73000,55);
INSERT INTO skill_trees VALUES (48,54,30,'Force Blaster',73000,55);
INSERT INTO skill_trees VALUES (48,54,31,'Force Blaster',80000,58);
INSERT INTO skill_trees VALUES (48,54,32,'Force Blaster',80000,58);
INSERT INTO skill_trees VALUES (48,54,33,'Force Blaster',80000,58);
INSERT INTO skill_trees VALUES (48,54,34,'Force Blaster',150000,60);
INSERT INTO skill_trees VALUES (48,54,35,'Force Blaster',150000,60);
INSERT INTO skill_trees VALUES (48,54,36,'Force Blaster',200000,62);
INSERT INTO skill_trees VALUES (48,54,37,'Force Blaster',200000,62);
INSERT INTO skill_trees VALUES (48,54,38,'Force Blaster',240000,64);
INSERT INTO skill_trees VALUES (48,54,39,'Force Blaster',240000,64);
INSERT INTO skill_trees VALUES (48,54,40,'Force Blaster',350000,66);
INSERT INTO skill_trees VALUES (48,54,41,'Force Blaster',350000,66);
INSERT INTO skill_trees VALUES (48,54,42,'Force Blaster',390000,68);
INSERT INTO skill_trees VALUES (48,54,43,'Force Blaster',390000,68);
INSERT INTO skill_trees VALUES (48,54,44,'Force Blaster',520000,70);
INSERT INTO skill_trees VALUES (48,54,45,'Force Blaster',520000,70);
INSERT INTO skill_trees VALUES (48,54,46,'Force Blaster',680000,72);
INSERT INTO skill_trees VALUES (48,54,47,'Force Blaster',680000,72);
INSERT INTO skill_trees VALUES (48,54,48,'Force Blaster',1300000,74);
INSERT INTO skill_trees VALUES (48,54,49,'Force Blaster',1300000,74);
INSERT INTO skill_trees VALUES (48,81,1,'Punch of Doom',220000,55);
INSERT INTO skill_trees VALUES (48,81,2,'Punch of Doom',480000,64);
INSERT INTO skill_trees VALUES (48,81,3,'Punch of Doom',1400000,72);
INSERT INTO skill_trees VALUES (48,95,6,'Cripple',39000,40);
INSERT INTO skill_trees VALUES (48,95,7,'Cripple',51000,43);
INSERT INTO skill_trees VALUES (48,95,8,'Cripple',60000,46);
INSERT INTO skill_trees VALUES (48,95,9,'Cripple',110000,49);
INSERT INTO skill_trees VALUES (48,95,10,'Cripple',150000,52);
INSERT INTO skill_trees VALUES (48,95,11,'Cripple',220000,55);
INSERT INTO skill_trees VALUES (48,95,12,'Cripple',240000,58);
INSERT INTO skill_trees VALUES (48,95,13,'Cripple',290000,60);
INSERT INTO skill_trees VALUES (48,95,14,'Cripple',400000,62);
INSERT INTO skill_trees VALUES (48,95,15,'Cripple',480000,64);
INSERT INTO skill_trees VALUES (48,95,16,'Cripple',700000,66);
INSERT INTO skill_trees VALUES (48,95,17,'Cripple',780000,68);
INSERT INTO skill_trees VALUES (48,95,18,'Cripple',1000000,70);
INSERT INTO skill_trees VALUES (48,95,19,'Cripple',1400000,72);
INSERT INTO skill_trees VALUES (48,95,20,'Cripple',2600000,74);
INSERT INTO skill_trees VALUES (48,109,1,'Spirit of Ogre',60000,46);
INSERT INTO skill_trees VALUES (48,168,2,'Boost Attack Speed',60000,46);
INSERT INTO skill_trees VALUES (48,168,3,'Boost Attack Speed',240000,58);
INSERT INTO skill_trees VALUES (48,210,9,'Fist Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,210,10,'Fist Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,210,11,'Fist Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,210,12,'Fist Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,210,13,'Fist Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,210,14,'Fist Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,210,15,'Fist Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,210,16,'Fist Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,210,17,'Fist Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,210,18,'Fist Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,210,19,'Fist Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,210,20,'Fist Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,210,21,'Fist Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,210,22,'Fist Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,210,23,'Fist Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,210,24,'Fist Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,210,25,'Fist Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,210,26,'Fist Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,210,27,'Fist Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,210,28,'Fist Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,210,29,'Fist Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,210,30,'Fist Mastery',150000,60);
INSERT INTO skill_trees VALUES (48,210,31,'Fist Mastery',150000,60);
INSERT INTO skill_trees VALUES (48,210,32,'Fist Mastery',200000,62);
INSERT INTO skill_trees VALUES (48,210,33,'Fist Mastery',200000,62);
INSERT INTO skill_trees VALUES (48,210,34,'Fist Mastery',240000,64);
INSERT INTO skill_trees VALUES (48,210,35,'Fist Mastery',240000,64);
INSERT INTO skill_trees VALUES (48,210,36,'Fist Mastery',350000,66);
INSERT INTO skill_trees VALUES (48,210,37,'Fist Mastery',350000,66);
INSERT INTO skill_trees VALUES (48,210,38,'Fist Mastery',390000,68);
INSERT INTO skill_trees VALUES (48,210,39,'Fist Mastery',390000,68);
INSERT INTO skill_trees VALUES (48,210,40,'Fist Mastery',520000,70);
INSERT INTO skill_trees VALUES (48,210,41,'Fist Mastery',520000,70);
INSERT INTO skill_trees VALUES (48,210,42,'Fist Mastery',680000,72);
INSERT INTO skill_trees VALUES (48,210,43,'Fist Mastery',680000,72);
INSERT INTO skill_trees VALUES (48,210,44,'Fist Mastery',1300000,74);
INSERT INTO skill_trees VALUES (48,210,45,'Fist Mastery',1300000,74);
INSERT INTO skill_trees VALUES (48,222,1,'Fist Fury',51000,43);
INSERT INTO skill_trees VALUES (48,233,11,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,233,12,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,233,13,'Light Armor Mastery',13000,40);
INSERT INTO skill_trees VALUES (48,233,14,'Light Armor Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,233,15,'Light Armor Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,233,16,'Light Armor Mastery',17000,43);
INSERT INTO skill_trees VALUES (48,233,17,'Light Armor Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,233,18,'Light Armor Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,233,19,'Light Armor Mastery',20000,46);
INSERT INTO skill_trees VALUES (48,233,20,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,233,21,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,233,22,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (48,233,23,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,233,24,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,233,25,'Light Armor Mastery',50000,52);
INSERT INTO skill_trees VALUES (48,233,26,'Light Armor Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,233,27,'Light Armor Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,233,28,'Light Armor Mastery',73000,55);
INSERT INTO skill_trees VALUES (48,233,29,'Light Armor Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,233,30,'Light Armor Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,233,31,'Light Armor Mastery',80000,58);
INSERT INTO skill_trees VALUES (48,233,32,'Light Armor Mastery',150000,60);
INSERT INTO skill_trees VALUES (48,233,33,'Light Armor Mastery',150000,60);
INSERT INTO skill_trees VALUES (48,233,34,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (48,233,35,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (48,233,36,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (48,233,37,'Light Armor Mastery',240000,64);
INSERT INTO skill_trees VALUES (48,233,38,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (48,233,39,'Light Armor Mastery',350000,66);
INSERT INTO skill_trees VALUES (48,233,40,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (48,233,41,'Light Armor Mastery',390000,68);
INSERT INTO skill_trees VALUES (48,233,42,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (48,233,43,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (48,233,44,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (48,233,45,'Light Armor Mastery',680000,72);
INSERT INTO skill_trees VALUES (48,233,46,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (48,233,47,'Light Armor Mastery',1300000,74);
INSERT INTO skill_trees VALUES (48,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (48,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (48,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (48,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (48,280,1,'Burning Fist',13000,40);
INSERT INTO skill_trees VALUES (48,280,2,'Burning Fist',13000,40);
INSERT INTO skill_trees VALUES (48,280,3,'Burning Fist',13000,40);
INSERT INTO skill_trees VALUES (48,280,4,'Burning Fist',17000,43);
INSERT INTO skill_trees VALUES (48,280,5,'Burning Fist',17000,43);
INSERT INTO skill_trees VALUES (48,280,6,'Burning Fist',17000,43);
INSERT INTO skill_trees VALUES (48,280,7,'Burning Fist',20000,46);
INSERT INTO skill_trees VALUES (48,280,8,'Burning Fist',20000,46);
INSERT INTO skill_trees VALUES (48,280,9,'Burning Fist',20000,46);
INSERT INTO skill_trees VALUES (48,280,10,'Burning Fist',36000,49);
INSERT INTO skill_trees VALUES (48,280,11,'Burning Fist',36000,49);
INSERT INTO skill_trees VALUES (48,280,12,'Burning Fist',36000,49);
INSERT INTO skill_trees VALUES (48,280,13,'Burning Fist',50000,52);
INSERT INTO skill_trees VALUES (48,280,14,'Burning Fist',50000,52);
INSERT INTO skill_trees VALUES (48,280,15,'Burning Fist',50000,52);
INSERT INTO skill_trees VALUES (48,280,16,'Burning Fist',73000,55);
INSERT INTO skill_trees VALUES (48,280,17,'Burning Fist',73000,55);
INSERT INTO skill_trees VALUES (48,280,18,'Burning Fist',73000,55);
INSERT INTO skill_trees VALUES (48,280,19,'Burning Fist',80000,58);
INSERT INTO skill_trees VALUES (48,280,20,'Burning Fist',80000,58);
INSERT INTO skill_trees VALUES (48,280,21,'Burning Fist',80000,58);
INSERT INTO skill_trees VALUES (48,280,22,'Burning Fist',150000,60);
INSERT INTO skill_trees VALUES (48,280,23,'Burning Fist',150000,60);
INSERT INTO skill_trees VALUES (48,280,24,'Burning Fist',200000,62);
INSERT INTO skill_trees VALUES (48,280,25,'Burning Fist',200000,62);
INSERT INTO skill_trees VALUES (48,280,26,'Burning Fist',240000,64);
INSERT INTO skill_trees VALUES (48,280,27,'Burning Fist',240000,64);
INSERT INTO skill_trees VALUES (48,280,28,'Burning Fist',350000,66);
INSERT INTO skill_trees VALUES (48,280,29,'Burning Fist',350000,66);
INSERT INTO skill_trees VALUES (48,280,30,'Burning Fist',390000,68);
INSERT INTO skill_trees VALUES (48,280,31,'Burning Fist',390000,68);
INSERT INTO skill_trees VALUES (48,280,32,'Burning Fist',520000,70);
INSERT INTO skill_trees VALUES (48,280,33,'Burning Fist',520000,70);
INSERT INTO skill_trees VALUES (48,280,34,'Burning Fist',680000,72);
INSERT INTO skill_trees VALUES (48,280,35,'Burning Fist',680000,72);
INSERT INTO skill_trees VALUES (48,280,36,'Burning Fist',1300000,74);
INSERT INTO skill_trees VALUES (48,280,37,'Burning Fist',1300000,74);
INSERT INTO skill_trees VALUES (48,281,1,'Soul Breaker',13000,40);
INSERT INTO skill_trees VALUES (48,281,2,'Soul Breaker',13000,40);
INSERT INTO skill_trees VALUES (48,281,3,'Soul Breaker',13000,40);
INSERT INTO skill_trees VALUES (48,281,4,'Soul Breaker',17000,43);
INSERT INTO skill_trees VALUES (48,281,5,'Soul Breaker',17000,43);
INSERT INTO skill_trees VALUES (48,281,6,'Soul Breaker',17000,43);
INSERT INTO skill_trees VALUES (48,281,7,'Soul Breaker',20000,46);
INSERT INTO skill_trees VALUES (48,281,8,'Soul Breaker',20000,46);
INSERT INTO skill_trees VALUES (48,281,9,'Soul Breaker',20000,46);
INSERT INTO skill_trees VALUES (48,281,10,'Soul Breaker',36000,49);
INSERT INTO skill_trees VALUES (48,281,11,'Soul Breaker',36000,49);
INSERT INTO skill_trees VALUES (48,281,12,'Soul Breaker',36000,49);
INSERT INTO skill_trees VALUES (48,281,13,'Soul Breaker',50000,52);
INSERT INTO skill_trees VALUES (48,281,14,'Soul Breaker',50000,52);
INSERT INTO skill_trees VALUES (48,281,15,'Soul Breaker',50000,52);
INSERT INTO skill_trees VALUES (48,281,16,'Soul Breaker',73000,55);
INSERT INTO skill_trees VALUES (48,281,17,'Soul Breaker',73000,55);
INSERT INTO skill_trees VALUES (48,281,18,'Soul Breaker',73000,55);
INSERT INTO skill_trees VALUES (48,281,19,'Soul Breaker',80000,58);
INSERT INTO skill_trees VALUES (48,281,20,'Soul Breaker',80000,58);
INSERT INTO skill_trees VALUES (48,281,21,'Soul Breaker',80000,58);
INSERT INTO skill_trees VALUES (48,281,22,'Soul Breaker',150000,60);
INSERT INTO skill_trees VALUES (48,281,23,'Soul Breaker',150000,60);
INSERT INTO skill_trees VALUES (48,281,24,'Soul Breaker',200000,62);
INSERT INTO skill_trees VALUES (48,281,25,'Soul Breaker',200000,62);
INSERT INTO skill_trees VALUES (48,281,26,'Soul Breaker',240000,64);
INSERT INTO skill_trees VALUES (48,281,27,'Soul Breaker',240000,64);
INSERT INTO skill_trees VALUES (48,281,28,'Soul Breaker',350000,66);
INSERT INTO skill_trees VALUES (48,281,29,'Soul Breaker',350000,66);
INSERT INTO skill_trees VALUES (48,281,30,'Soul Breaker',390000,68);
INSERT INTO skill_trees VALUES (48,281,31,'Soul Breaker',390000,68);
INSERT INTO skill_trees VALUES (48,281,32,'Soul Breaker',520000,70);
INSERT INTO skill_trees VALUES (48,281,33,'Soul Breaker',520000,70);
INSERT INTO skill_trees VALUES (48,281,34,'Soul Breaker',680000,72);
INSERT INTO skill_trees VALUES (48,281,35,'Soul Breaker',680000,72);
INSERT INTO skill_trees VALUES (48,281,36,'Soul Breaker',1300000,74);
INSERT INTO skill_trees VALUES (48,281,37,'Soul Breaker',1300000,74);
INSERT INTO skill_trees VALUES (48,282,1,'Totem Spirit Puma',39000,40);
INSERT INTO skill_trees VALUES (48,284,4,'Hurricane Assault',13000,40);
INSERT INTO skill_trees VALUES (48,284,5,'Hurricane Assault',13000,40);
INSERT INTO skill_trees VALUES (48,284,6,'Hurricane Assault',13000,40);
INSERT INTO skill_trees VALUES (48,284,7,'Hurricane Assault',17000,43);
INSERT INTO skill_trees VALUES (48,284,8,'Hurricane Assault',17000,43);
INSERT INTO skill_trees VALUES (48,284,9,'Hurricane Assault',17000,43);
INSERT INTO skill_trees VALUES (48,284,10,'Hurricane Assault',20000,46);
INSERT INTO skill_trees VALUES (48,284,11,'Hurricane Assault',20000,46);
INSERT INTO skill_trees VALUES (48,284,12,'Hurricane Assault',20000,46);
INSERT INTO skill_trees VALUES (48,284,13,'Hurricane Assault',36000,49);
INSERT INTO skill_trees VALUES (48,284,14,'Hurricane Assault',36000,49);
INSERT INTO skill_trees VALUES (48,284,15,'Hurricane Assault',36000,49);
INSERT INTO skill_trees VALUES (48,284,16,'Hurricane Assault',50000,52);
INSERT INTO skill_trees VALUES (48,284,17,'Hurricane Assault',50000,52);
INSERT INTO skill_trees VALUES (48,284,18,'Hurricane Assault',50000,52);
INSERT INTO skill_trees VALUES (48,284,19,'Hurricane Assault',73000,55);
INSERT INTO skill_trees VALUES (48,284,20,'Hurricane Assault',73000,55);
INSERT INTO skill_trees VALUES (48,284,21,'Hurricane Assault',73000,55);
INSERT INTO skill_trees VALUES (48,284,22,'Hurricane Assault',80000,58);
INSERT INTO skill_trees VALUES (48,284,23,'Hurricane Assault',80000,58);
INSERT INTO skill_trees VALUES (48,284,24,'Hurricane Assault',80000,58);
INSERT INTO skill_trees VALUES (48,284,25,'Hurricane Assault',150000,60);
INSERT INTO skill_trees VALUES (48,284,26,'Hurricane Assault',150000,60);
INSERT INTO skill_trees VALUES (48,284,27,'Hurricane Assault',200000,62);
INSERT INTO skill_trees VALUES (48,284,28,'Hurricane Assault',200000,62);
INSERT INTO skill_trees VALUES (48,284,29,'Hurricane Assault',240000,64);
INSERT INTO skill_trees VALUES (48,284,30,'Hurricane Assault',240000,64);
INSERT INTO skill_trees VALUES (48,284,31,'Hurricane Assault',350000,66);
INSERT INTO skill_trees VALUES (48,284,32,'Hurricane Assault',350000,66);
INSERT INTO skill_trees VALUES (48,284,33,'Hurricane Assault',390000,68);
INSERT INTO skill_trees VALUES (48,284,34,'Hurricane Assault',390000,68);
INSERT INTO skill_trees VALUES (48,284,35,'Hurricane Assault',520000,70);
INSERT INTO skill_trees VALUES (48,284,36,'Hurricane Assault',520000,70);
INSERT INTO skill_trees VALUES (48,284,37,'Hurricane Assault',680000,72);
INSERT INTO skill_trees VALUES (48,284,38,'Hurricane Assault',680000,72);
INSERT INTO skill_trees VALUES (48,284,39,'Hurricane Assault',1300000,74);
INSERT INTO skill_trees VALUES (48,284,40,'Hurricane Assault',1300000,74);
INSERT INTO skill_trees VALUES (48,292,1,'Totem Spirit Bison',780000,68);
INSERT INTO skill_trees VALUES (48,298,1,'Totem Spirit Rabbit',400000,62);
INSERT INTO skill_trees VALUES (48,319,2,'Agile Movement',39000,40);
INSERT INTO skill_trees VALUES (49,118,1,'Magicians Movement',0,1);
INSERT INTO skill_trees VALUES (49,134,1,'Toughness',0,1);
INSERT INTO skill_trees VALUES (49,146,1,'Anti Magic',260,7);
INSERT INTO skill_trees VALUES (49,146,2,'Anti Magic',260,7);
INSERT INTO skill_trees VALUES (49,146,3,'Anti Magic',880,14);
INSERT INTO skill_trees VALUES (49,146,4,'Anti Magic',880,14);
INSERT INTO skill_trees VALUES (49,163,1,'Spellcraft',0,1);
INSERT INTO skill_trees VALUES (49,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (49,214,1,'Mana Recovery',0,1);
INSERT INTO skill_trees VALUES (49,250,1,'Weapon Mastery',520,7);
INSERT INTO skill_trees VALUES (49,250,2,'Weapon Mastery',1800,14);
INSERT INTO skill_trees VALUES (49,251,1,'Robe Mastery',260,7);
INSERT INTO skill_trees VALUES (49,251,2,'Robe Mastery',260,7);
INSERT INTO skill_trees VALUES (49,251,3,'Robe Mastery',880,14);
INSERT INTO skill_trees VALUES (49,251,4,'Robe Mastery',880,14);
INSERT INTO skill_trees VALUES (49,252,1,'Light Armor Mastery',260,7);
INSERT INTO skill_trees VALUES (49,252,2,'Light Armor Mastery',260,7);
INSERT INTO skill_trees VALUES (49,252,3,'Light Armor Mastery',880,14);
INSERT INTO skill_trees VALUES (49,252,4,'Light Armor Mastery',880,14);
INSERT INTO skill_trees VALUES (49,253,1,'Heavy Armor Mastery',880,14);
INSERT INTO skill_trees VALUES (49,253,2,'Heavy Armor Mastery',880,14);
INSERT INTO skill_trees VALUES (49,1001,1,'Soul Cry',0,1);
INSERT INTO skill_trees VALUES (49,1001,2,'Soul Cry',1800,14);
INSERT INTO skill_trees VALUES (49,1007,1,'Chant of Battle',1800,14);
INSERT INTO skill_trees VALUES (49,1010,1,'Soul Shield',520,7);
INSERT INTO skill_trees VALUES (49,1090,1,'Life Drain',520,7);
INSERT INTO skill_trees VALUES (49,1090,2,'Life Drain',1800,14);
INSERT INTO skill_trees VALUES (49,1092,1,'Fear',1800,14);
INSERT INTO skill_trees VALUES (49,1095,1,'Venom',520,7);
INSERT INTO skill_trees VALUES (49,1095,2,'Venom',1800,14);
INSERT INTO skill_trees VALUES (49,1097,1,'Dreaming Spirit',520,7);
INSERT INTO skill_trees VALUES (49,1097,2,'Dreaming Spirit',1800,14);
INSERT INTO skill_trees VALUES (49,1100,1,'Chill Flame',520,7);
INSERT INTO skill_trees VALUES (49,1100,2,'Chill Flame',1800,14);
INSERT INTO skill_trees VALUES (50,100,1,'Stun Attack',960,20);
INSERT INTO skill_trees VALUES (50,100,2,'Stun Attack',960,20);
INSERT INTO skill_trees VALUES (50,100,3,'Stun Attack',960,20);
INSERT INTO skill_trees VALUES (50,100,4,'Stun Attack',1900,25);
INSERT INTO skill_trees VALUES (50,100,5,'Stun Attack',1900,25);
INSERT INTO skill_trees VALUES (50,100,6,'Stun Attack',1900,25);
INSERT INTO skill_trees VALUES (50,100,7,'Stun Attack',3500,30);
INSERT INTO skill_trees VALUES (50,100,8,'Stun Attack',3500,30);
INSERT INTO skill_trees VALUES (50,100,9,'Stun Attack',3500,30);
INSERT INTO skill_trees VALUES (50,100,10,'Stun Attack',5900,35);
INSERT INTO skill_trees VALUES (50,100,11,'Stun Attack',5900,35);
INSERT INTO skill_trees VALUES (50,100,12,'Stun Attack',5900,35);
INSERT INTO skill_trees VALUES (50,146,5,'Anti Magic',1400,20);
INSERT INTO skill_trees VALUES (50,146,6,'Anti Magic',1400,20);
INSERT INTO skill_trees VALUES (50,146,7,'Anti Magic',2900,25);
INSERT INTO skill_trees VALUES (50,146,8,'Anti Magic',2900,25);
INSERT INTO skill_trees VALUES (50,146,9,'Anti Magic',5300,30);
INSERT INTO skill_trees VALUES (50,146,10,'Anti Magic',5300,30);
INSERT INTO skill_trees VALUES (50,146,11,'Anti Magic',8800,35);
INSERT INTO skill_trees VALUES (50,146,12,'Anti Magic',8800,35);
INSERT INTO skill_trees VALUES (50,164,1,'Quick Recovery',2900,20);
INSERT INTO skill_trees VALUES (50,164,2,'Quick Recovery',11000,30);
INSERT INTO skill_trees VALUES (50,212,1,'Fast HP Recovery',18000,35);
INSERT INTO skill_trees VALUES (50,213,1,'Boost Mana',2900,20);
INSERT INTO skill_trees VALUES (50,213,2,'Boost Mana',11000,30);
INSERT INTO skill_trees VALUES (50,228,1,'Fast Spell Casting',5800,25);
INSERT INTO skill_trees VALUES (50,229,1,'Fast Mana Recovery',5800,25);
INSERT INTO skill_trees VALUES (50,229,2,'Fast Mana Recovery',18000,35);
INSERT INTO skill_trees VALUES (50,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (50,250,3,'Weapon Mastery',2900,20);
INSERT INTO skill_trees VALUES (50,250,4,'Weapon Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,250,5,'Weapon Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,250,6,'Weapon Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,250,7,'Weapon Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,250,8,'Weapon Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,250,9,'Weapon Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,251,5,'Robe Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,251,6,'Robe Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,251,7,'Robe Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,251,8,'Robe Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,251,9,'Robe Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,251,10,'Robe Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,251,11,'Robe Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,251,12,'Robe Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,252,5,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,252,6,'Light Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,252,7,'Light Armor Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,252,8,'Light Armor Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,252,9,'Light Armor Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,252,10,'Light Armor Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,252,11,'Light Armor Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,252,12,'Light Armor Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,253,3,'Heavy Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,253,4,'Heavy Armor Mastery',1400,20);
INSERT INTO skill_trees VALUES (50,253,5,'Heavy Armor Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,253,6,'Heavy Armor Mastery',2900,25);
INSERT INTO skill_trees VALUES (50,253,7,'Heavy Armor Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,253,8,'Heavy Armor Mastery',5300,30);
INSERT INTO skill_trees VALUES (50,253,9,'Heavy Armor Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,253,10,'Heavy Armor Mastery',8800,35);
INSERT INTO skill_trees VALUES (50,1001,3,'Soul Cry',5800,25);
INSERT INTO skill_trees VALUES (50,1001,4,'Soul Cry',18000,35);
INSERT INTO skill_trees VALUES (50,1002,1,'Chant of Flame',11000,30);
INSERT INTO skill_trees VALUES (50,1003,1,'Power of Paagrio',11000,30);
INSERT INTO skill_trees VALUES (50,1005,1,'Blessing of Paagrio',18000,35);
INSERT INTO skill_trees VALUES (50,1006,1,'Chant of Fire',2900,20);
INSERT INTO skill_trees VALUES (50,1007,2,'Chant of Battle',5800,25);
INSERT INTO skill_trees VALUES (50,1009,1,'Chant of Shielding',2900,20);
INSERT INTO skill_trees VALUES (50,1009,2,'Chant of Shielding',11000,30);
INSERT INTO skill_trees VALUES (50,1010,2,'Soul Shield',5800,25);
INSERT INTO skill_trees VALUES (50,1010,3,'Soul Shield',18000,35);
INSERT INTO skill_trees VALUES (50,1090,3,'Life Drain',2900,20);
INSERT INTO skill_trees VALUES (50,1090,4,'Life Drain',5800,25);
INSERT INTO skill_trees VALUES (50,1090,5,'Life Drain',11000,30);
INSERT INTO skill_trees VALUES (50,1090,6,'Life Drain',18000,35);
INSERT INTO skill_trees VALUES (50,1092,2,'Fear',2900,20);
INSERT INTO skill_trees VALUES (50,1092,3,'Fear',5800,25);
INSERT INTO skill_trees VALUES (50,1092,4,'Fear',11000,30);
INSERT INTO skill_trees VALUES (50,1092,5,'Fear',18000,35);
INSERT INTO skill_trees VALUES (50,1095,3,'Venom',2900,20);
INSERT INTO skill_trees VALUES (50,1096,1,'Seal of Chaos',11000,30);
INSERT INTO skill_trees VALUES (50,1096,2,'Seal of Chaos',18000,35);
INSERT INTO skill_trees VALUES (50,1097,3,'Dreaming Spirit',2900,20);
INSERT INTO skill_trees VALUES (50,1097,4,'Dreaming Spirit',5800,25);
INSERT INTO skill_trees VALUES (50,1097,5,'Dreaming Spirit',11000,30);
INSERT INTO skill_trees VALUES (50,1097,6,'Dreaming Spirit',18000,35);
INSERT INTO skill_trees VALUES (50,1099,1,'Seal of Slow',18000,35);
INSERT INTO skill_trees VALUES (50,1101,1,'Blaze Quake',5800,25);
INSERT INTO skill_trees VALUES (50,1101,2,'Blaze Quake',18000,35);
INSERT INTO skill_trees VALUES (50,1102,1,'Aura Sink',5800,25);
INSERT INTO skill_trees VALUES (50,1102,2,'Aura Sink',18000,35);
INSERT INTO skill_trees VALUES (50,1105,1,'Madness',2900,20);
INSERT INTO skill_trees VALUES (50,1105,2,'Madness',5800,25);
INSERT INTO skill_trees VALUES (50,1105,3,'Madness',11000,30);
INSERT INTO skill_trees VALUES (50,1105,4,'Madness',18000,35);
INSERT INTO skill_trees VALUES (50,1107,1,'Frost Flame',2900,20);
INSERT INTO skill_trees VALUES (50,1107,2,'Frost Flame',11000,30);
INSERT INTO skill_trees VALUES (50,1208,1,'Seal of Binding',5800,25);
INSERT INTO skill_trees VALUES (50,1208,2,'Seal of Binding',11000,30);
INSERT INTO skill_trees VALUES (50,1208,3,'Seal of Binding',18000,35);
INSERT INTO skill_trees VALUES (50,1209,1,'Seal of Poison',2900,20);
INSERT INTO skill_trees VALUES (50,1209,2,'Seal of Poison',11000,30);
INSERT INTO skill_trees VALUES (50,1229,1,'Chant of Life',2900,20);
INSERT INTO skill_trees VALUES (50,1229,2,'Chant of Life',5800,25);
INSERT INTO skill_trees VALUES (50,1229,3,'Chant of Life',11000,30);
INSERT INTO skill_trees VALUES (50,1229,4,'Chant of Life',18000,35);
INSERT INTO skill_trees VALUES (51,146,13,'Anti Magic',7200,40);
INSERT INTO skill_trees VALUES (51,146,14,'Anti Magic',7200,40);
INSERT INTO skill_trees VALUES (51,146,15,'Anti Magic',7200,40);
INSERT INTO skill_trees VALUES (51,146,16,'Anti Magic',9300,44);
INSERT INTO skill_trees VALUES (51,146,17,'Anti Magic',9300,44);
INSERT INTO skill_trees VALUES (51,146,18,'Anti Magic',9300,44);
INSERT INTO skill_trees VALUES (51,146,19,'Anti Magic',13000,48);
INSERT INTO skill_trees VALUES (51,146,20,'Anti Magic',13000,48);
INSERT INTO skill_trees VALUES (51,146,21,'Anti Magic',13000,48);
INSERT INTO skill_trees VALUES (51,146,22,'Anti Magic',21000,52);
INSERT INTO skill_trees VALUES (51,146,23,'Anti Magic',21000,52);
INSERT INTO skill_trees VALUES (51,146,24,'Anti Magic',21000,52);
INSERT INTO skill_trees VALUES (51,146,25,'Anti Magic',22000,56);
INSERT INTO skill_trees VALUES (51,146,26,'Anti Magic',22000,56);
INSERT INTO skill_trees VALUES (51,146,27,'Anti Magic',22000,56);
INSERT INTO skill_trees VALUES (51,146,28,'Anti Magic',50000,58);
INSERT INTO skill_trees VALUES (51,146,29,'Anti Magic',50000,58);
INSERT INTO skill_trees VALUES (51,146,30,'Anti Magic',65000,60);
INSERT INTO skill_trees VALUES (51,146,31,'Anti Magic',65000,60);
INSERT INTO skill_trees VALUES (51,146,32,'Anti Magic',91000,62);
INSERT INTO skill_trees VALUES (51,146,33,'Anti Magic',91000,62);
INSERT INTO skill_trees VALUES (51,146,34,'Anti Magic',100000,64);
INSERT INTO skill_trees VALUES (51,146,35,'Anti Magic',100000,64);
INSERT INTO skill_trees VALUES (51,146,36,'Anti Magic',150000,66);
INSERT INTO skill_trees VALUES (51,146,37,'Anti Magic',150000,66);
INSERT INTO skill_trees VALUES (51,146,38,'Anti Magic',160000,68);
INSERT INTO skill_trees VALUES (51,146,39,'Anti Magic',160000,68);
INSERT INTO skill_trees VALUES (51,146,40,'Anti Magic',200000,70);
INSERT INTO skill_trees VALUES (51,146,41,'Anti Magic',200000,70);
INSERT INTO skill_trees VALUES (51,146,42,'Anti Magic',300000,72);
INSERT INTO skill_trees VALUES (51,146,43,'Anti Magic',300000,72);
INSERT INTO skill_trees VALUES (51,146,44,'Anti Magic',460000,74);
INSERT INTO skill_trees VALUES (51,146,45,'Anti Magic',460000,74);
INSERT INTO skill_trees VALUES (51,164,3,'Quick Recovery',40000,48);
INSERT INTO skill_trees VALUES (51,211,1,'Boost HP',22000,40);
INSERT INTO skill_trees VALUES (51,211,2,'Boost HP',28000,44);
INSERT INTO skill_trees VALUES (51,211,3,'Boost HP',40000,48);
INSERT INTO skill_trees VALUES (51,211,4,'Boost HP',65000,52);
INSERT INTO skill_trees VALUES (51,211,5,'Boost HP',67000,56);
INSERT INTO skill_trees VALUES (51,211,6,'Boost HP',180000,62);
INSERT INTO skill_trees VALUES (51,211,7,'Boost HP',390000,70);
INSERT INTO skill_trees VALUES (51,212,2,'Fast HP Recovery',28000,44);
INSERT INTO skill_trees VALUES (51,212,3,'Fast HP Recovery',65000,52);
INSERT INTO skill_trees VALUES (51,212,4,'Fast HP Recovery',100000,58);
INSERT INTO skill_trees VALUES (51,212,5,'Fast HP Recovery',200000,64);
INSERT INTO skill_trees VALUES (51,212,6,'Fast HP Recovery',920000,74);
INSERT INTO skill_trees VALUES (51,213,3,'Boost Mana',22000,40);
INSERT INTO skill_trees VALUES (51,213,4,'Boost Mana',40000,48);
INSERT INTO skill_trees VALUES (51,213,5,'Boost Mana',67000,56);
INSERT INTO skill_trees VALUES (51,213,6,'Boost Mana',140000,60);
INSERT INTO skill_trees VALUES (51,213,7,'Boost Mana',290000,66);
INSERT INTO skill_trees VALUES (51,213,8,'Boost Mana',600000,72);
INSERT INTO skill_trees VALUES (51,228,2,'Fast Spell Casting',22000,40);
INSERT INTO skill_trees VALUES (51,228,3,'Fast Spell Casting',67000,56);
INSERT INTO skill_trees VALUES (51,229,3,'Fast Mana Recovery',28000,44);
INSERT INTO skill_trees VALUES (51,229,4,'Fast Mana Recovery',65000,52);
INSERT INTO skill_trees VALUES (51,229,5,'Fast Mana Recovery',140000,60);
INSERT INTO skill_trees VALUES (51,229,6,'Fast Mana Recovery',320000,68);
INSERT INTO skill_trees VALUES (51,229,7,'Fast Mana Recovery',920000,74);
INSERT INTO skill_trees VALUES (51,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (51,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (51,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (51,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (51,250,10,'Weapon Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,250,11,'Weapon Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,250,12,'Weapon Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,250,13,'Weapon Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,250,14,'Weapon Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,250,15,'Weapon Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,250,16,'Weapon Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,250,17,'Weapon Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,250,18,'Weapon Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,250,19,'Weapon Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,250,20,'Weapon Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,250,21,'Weapon Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,250,22,'Weapon Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,250,23,'Weapon Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,250,24,'Weapon Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,250,25,'Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,250,26,'Weapon Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,250,27,'Weapon Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,250,28,'Weapon Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,250,29,'Weapon Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,250,30,'Weapon Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,250,31,'Weapon Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,250,32,'Weapon Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,250,33,'Weapon Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,250,34,'Weapon Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,250,35,'Weapon Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,250,36,'Weapon Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,250,37,'Weapon Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,250,38,'Weapon Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,250,39,'Weapon Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,250,40,'Weapon Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,250,41,'Weapon Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,250,42,'Weapon Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,251,13,'Robe Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,251,14,'Robe Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,251,15,'Robe Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,251,16,'Robe Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,251,17,'Robe Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,251,18,'Robe Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,251,19,'Robe Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,251,20,'Robe Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,251,21,'Robe Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,251,22,'Robe Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,251,23,'Robe Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,251,24,'Robe Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,251,25,'Robe Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,251,26,'Robe Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,251,27,'Robe Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,251,28,'Robe Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,251,29,'Robe Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,251,30,'Robe Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,251,31,'Robe Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,251,32,'Robe Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,251,33,'Robe Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,251,34,'Robe Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,251,35,'Robe Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,251,36,'Robe Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,251,37,'Robe Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,251,38,'Robe Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,251,39,'Robe Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,251,40,'Robe Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,251,41,'Robe Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,251,42,'Robe Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,251,43,'Robe Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,251,44,'Robe Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,251,45,'Robe Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,252,13,'Light Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,252,14,'Light Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,252,15,'Light Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,252,16,'Light Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,252,17,'Light Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,252,18,'Light Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,252,19,'Light Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,252,20,'Light Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,252,21,'Light Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,252,22,'Light Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,252,23,'Light Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,252,24,'Light Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,252,25,'Light Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,252,26,'Light Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,252,27,'Light Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,252,28,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,252,29,'Light Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,252,30,'Light Armor Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,252,31,'Light Armor Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,252,32,'Light Armor Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,252,33,'Light Armor Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,252,34,'Light Armor Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,252,35,'Light Armor Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,252,36,'Light Armor Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,252,37,'Light Armor Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,252,38,'Light Armor Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,252,39,'Light Armor Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,252,40,'Light Armor Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,252,41,'Light Armor Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,252,42,'Light Armor Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,252,43,'Light Armor Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,252,44,'Light Armor Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,252,45,'Light Armor Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,253,11,'Heavy Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,253,12,'Heavy Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,253,13,'Heavy Armor Mastery',7200,40);
INSERT INTO skill_trees VALUES (51,253,14,'Heavy Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,253,15,'Heavy Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,253,16,'Heavy Armor Mastery',9300,44);
INSERT INTO skill_trees VALUES (51,253,17,'Heavy Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,253,18,'Heavy Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,253,19,'Heavy Armor Mastery',13000,48);
INSERT INTO skill_trees VALUES (51,253,20,'Heavy Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,253,21,'Heavy Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,253,22,'Heavy Armor Mastery',21000,52);
INSERT INTO skill_trees VALUES (51,253,23,'Heavy Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,253,24,'Heavy Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,253,25,'Heavy Armor Mastery',22000,56);
INSERT INTO skill_trees VALUES (51,253,26,'Heavy Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,253,27,'Heavy Armor Mastery',50000,58);
INSERT INTO skill_trees VALUES (51,253,28,'Heavy Armor Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,253,29,'Heavy Armor Mastery',65000,60);
INSERT INTO skill_trees VALUES (51,253,30,'Heavy Armor Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,253,31,'Heavy Armor Mastery',91000,62);
INSERT INTO skill_trees VALUES (51,253,32,'Heavy Armor Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,253,33,'Heavy Armor Mastery',100000,64);
INSERT INTO skill_trees VALUES (51,253,34,'Heavy Armor Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,253,35,'Heavy Armor Mastery',150000,66);
INSERT INTO skill_trees VALUES (51,253,36,'Heavy Armor Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,253,37,'Heavy Armor Mastery',160000,68);
INSERT INTO skill_trees VALUES (51,253,38,'Heavy Armor Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,253,39,'Heavy Armor Mastery',200000,70);
INSERT INTO skill_trees VALUES (51,253,40,'Heavy Armor Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,253,41,'Heavy Armor Mastery',300000,72);
INSERT INTO skill_trees VALUES (51,253,42,'Heavy Armor Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,253,43,'Heavy Armor Mastery',460000,74);
INSERT INTO skill_trees VALUES (51,260,1,'Hammer Crush',7200,40);
INSERT INTO skill_trees VALUES (51,260,2,'Hammer Crush',7200,40);
INSERT INTO skill_trees VALUES (51,260,3,'Hammer Crush',7200,40);
INSERT INTO skill_trees VALUES (51,260,4,'Hammer Crush',9300,44);
INSERT INTO skill_trees VALUES (51,260,5,'Hammer Crush',9300,44);
INSERT INTO skill_trees VALUES (51,260,6,'Hammer Crush',9300,44);
INSERT INTO skill_trees VALUES (51,260,7,'Hammer Crush',13000,48);
INSERT INTO skill_trees VALUES (51,260,8,'Hammer Crush',13000,48);
INSERT INTO skill_trees VALUES (51,260,9,'Hammer Crush',13000,48);
INSERT INTO skill_trees VALUES (51,260,10,'Hammer Crush',21000,52);
INSERT INTO skill_trees VALUES (51,260,11,'Hammer Crush',21000,52);
INSERT INTO skill_trees VALUES (51,260,12,'Hammer Crush',21000,52);
INSERT INTO skill_trees VALUES (51,260,13,'Hammer Crush',22000,56);
INSERT INTO skill_trees VALUES (51,260,14,'Hammer Crush',22000,56);
INSERT INTO skill_trees VALUES (51,260,15,'Hammer Crush',22000,56);
INSERT INTO skill_trees VALUES (51,260,16,'Hammer Crush',33000,58);
INSERT INTO skill_trees VALUES (51,260,17,'Hammer Crush',33000,58);
INSERT INTO skill_trees VALUES (51,260,18,'Hammer Crush',33000,58);
INSERT INTO skill_trees VALUES (51,260,19,'Hammer Crush',43000,60);
INSERT INTO skill_trees VALUES (51,260,20,'Hammer Crush',43000,60);
INSERT INTO skill_trees VALUES (51,260,21,'Hammer Crush',43000,60);
INSERT INTO skill_trees VALUES (51,260,22,'Hammer Crush',91000,62);
INSERT INTO skill_trees VALUES (51,260,23,'Hammer Crush',91000,62);
INSERT INTO skill_trees VALUES (51,260,24,'Hammer Crush',100000,64);
INSERT INTO skill_trees VALUES (51,260,25,'Hammer Crush',100000,64);
INSERT INTO skill_trees VALUES (51,260,26,'Hammer Crush',150000,66);
INSERT INTO skill_trees VALUES (51,260,27,'Hammer Crush',150000,66);
INSERT INTO skill_trees VALUES (51,260,28,'Hammer Crush',160000,68);
INSERT INTO skill_trees VALUES (51,260,29,'Hammer Crush',160000,68);
INSERT INTO skill_trees VALUES (51,260,30,'Hammer Crush',200000,70);
INSERT INTO skill_trees VALUES (51,260,31,'Hammer Crush',200000,70);
INSERT INTO skill_trees VALUES (51,260,32,'Hammer Crush',300000,72);
INSERT INTO skill_trees VALUES (51,260,33,'Hammer Crush',300000,72);
INSERT INTO skill_trees VALUES (51,260,34,'Hammer Crush',460000,74);
INSERT INTO skill_trees VALUES (51,260,35,'Hammer Crush',460000,74);
INSERT INTO skill_trees VALUES (51,1001,5,'Soul Cry',22000,40);
INSERT INTO skill_trees VALUES (51,1001,6,'Soul Cry',40000,48);
INSERT INTO skill_trees VALUES (51,1001,7,'Soul Cry',67000,56);
INSERT INTO skill_trees VALUES (51,1001,8,'Soul Cry',140000,60);
INSERT INTO skill_trees VALUES (51,1001,9,'Soul Cry',290000,66);
INSERT INTO skill_trees VALUES (51,1001,10,'Soul Cry',600000,72);
INSERT INTO skill_trees VALUES (51,1003,2,'Power of Paagrio',22000,40);
INSERT INTO skill_trees VALUES (51,1003,3,'Power of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1004,1,'Wisdom of Paagrio',22000,40);
INSERT INTO skill_trees VALUES (51,1004,2,'Wisdom of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1004,3,'Wisdom of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1005,2,'Blessing of Paagrio',28000,44);
INSERT INTO skill_trees VALUES (51,1005,3,'Blessing of Paagrio',65000,52);
INSERT INTO skill_trees VALUES (51,1008,1,'Glory of Paagrio',22000,40);
INSERT INTO skill_trees VALUES (51,1008,2,'Glory of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1008,3,'Glory of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1092,6,'Fear',22000,40);
INSERT INTO skill_trees VALUES (51,1092,7,'Fear',28000,44);
INSERT INTO skill_trees VALUES (51,1092,8,'Fear',40000,48);
INSERT INTO skill_trees VALUES (51,1092,9,'Fear',65000,52);
INSERT INTO skill_trees VALUES (51,1092,10,'Fear',67000,56);
INSERT INTO skill_trees VALUES (51,1092,11,'Fear',100000,58);
INSERT INTO skill_trees VALUES (51,1092,12,'Fear',140000,60);
INSERT INTO skill_trees VALUES (51,1092,13,'Fear',180000,62);
INSERT INTO skill_trees VALUES (51,1092,14,'Fear',200000,64);
INSERT INTO skill_trees VALUES (51,1092,15,'Fear',290000,66);
INSERT INTO skill_trees VALUES (51,1092,16,'Fear',320000,68);
INSERT INTO skill_trees VALUES (51,1092,17,'Fear',390000,70);
INSERT INTO skill_trees VALUES (51,1092,18,'Fear',600000,72);
INSERT INTO skill_trees VALUES (51,1092,19,'Fear',920000,74);
INSERT INTO skill_trees VALUES (51,1096,3,'Seal of Chaos',22000,40);
INSERT INTO skill_trees VALUES (51,1096,4,'Seal of Chaos',28000,44);
INSERT INTO skill_trees VALUES (51,1096,5,'Seal of Chaos',40000,48);
INSERT INTO skill_trees VALUES (51,1096,6,'Seal of Chaos',65000,52);
INSERT INTO skill_trees VALUES (51,1096,7,'Seal of Chaos',67000,56);
INSERT INTO skill_trees VALUES (51,1096,8,'Seal of Chaos',100000,58);
INSERT INTO skill_trees VALUES (51,1096,9,'Seal of Chaos',140000,60);
INSERT INTO skill_trees VALUES (51,1096,10,'Seal of Chaos',180000,62);
INSERT INTO skill_trees VALUES (51,1096,11,'Seal of Chaos',200000,64);
INSERT INTO skill_trees VALUES (51,1096,12,'Seal of Chaos',290000,66);
INSERT INTO skill_trees VALUES (51,1096,13,'Seal of Chaos',320000,68);
INSERT INTO skill_trees VALUES (51,1096,14,'Seal of Chaos',390000,70);
INSERT INTO skill_trees VALUES (51,1096,15,'Seal of Chaos',600000,72);
INSERT INTO skill_trees VALUES (51,1096,16,'Seal of Chaos',920000,74);
INSERT INTO skill_trees VALUES (51,1097,7,'Dreaming Spirit',22000,40);
INSERT INTO skill_trees VALUES (51,1097,8,'Dreaming Spirit',28000,44);
INSERT INTO skill_trees VALUES (51,1097,9,'Dreaming Spirit',40000,48);
INSERT INTO skill_trees VALUES (51,1097,10,'Dreaming Spirit',65000,52);
INSERT INTO skill_trees VALUES (51,1097,11,'Dreaming Spirit',67000,56);
INSERT INTO skill_trees VALUES (51,1097,12,'Dreaming Spirit',100000,58);
INSERT INTO skill_trees VALUES (51,1097,13,'Dreaming Spirit',140000,60);
INSERT INTO skill_trees VALUES (51,1097,14,'Dreaming Spirit',180000,62);
INSERT INTO skill_trees VALUES (51,1097,15,'Dreaming Spirit',200000,64);
INSERT INTO skill_trees VALUES (51,1097,16,'Dreaming Spirit',290000,66);
INSERT INTO skill_trees VALUES (51,1097,17,'Dreaming Spirit',320000,68);
INSERT INTO skill_trees VALUES (51,1097,18,'Dreaming Spirit',390000,70);
INSERT INTO skill_trees VALUES (51,1097,19,'Dreaming Spirit',600000,72);
INSERT INTO skill_trees VALUES (51,1097,20,'Dreaming Spirit',920000,74);
INSERT INTO skill_trees VALUES (51,1099,2,'Seal of Slow',22000,40);
INSERT INTO skill_trees VALUES (51,1099,3,'Seal of Slow',28000,44);
INSERT INTO skill_trees VALUES (51,1099,4,'Seal of Slow',40000,48);
INSERT INTO skill_trees VALUES (51,1099,5,'Seal of Slow',65000,52);
INSERT INTO skill_trees VALUES (51,1099,6,'Seal of Slow',67000,56);
INSERT INTO skill_trees VALUES (51,1099,7,'Seal of Slow',100000,58);
INSERT INTO skill_trees VALUES (51,1099,8,'Seal of Slow',140000,60);
INSERT INTO skill_trees VALUES (51,1099,9,'Seal of Slow',180000,62);
INSERT INTO skill_trees VALUES (51,1099,10,'Seal of Slow',200000,64);
INSERT INTO skill_trees VALUES (51,1099,11,'Seal of Slow',290000,66);
INSERT INTO skill_trees VALUES (51,1099,12,'Seal of Slow',320000,68);
INSERT INTO skill_trees VALUES (51,1099,13,'Seal of Slow',390000,70);
INSERT INTO skill_trees VALUES (51,1099,14,'Seal of Slow',600000,72);
INSERT INTO skill_trees VALUES (51,1099,15,'Seal of Slow',920000,74);
INSERT INTO skill_trees VALUES (51,1104,1,'Seal of Winter',22000,40);
INSERT INTO skill_trees VALUES (51,1104,2,'Seal of Winter',28000,44);
INSERT INTO skill_trees VALUES (51,1104,3,'Seal of Winter',40000,48);
INSERT INTO skill_trees VALUES (51,1104,4,'Seal of Winter',65000,52);
INSERT INTO skill_trees VALUES (51,1104,5,'Seal of Winter',67000,56);
INSERT INTO skill_trees VALUES (51,1104,6,'Seal of Winter',100000,58);
INSERT INTO skill_trees VALUES (51,1104,7,'Seal of Winter',140000,60);
INSERT INTO skill_trees VALUES (51,1104,8,'Seal of Winter',180000,62);
INSERT INTO skill_trees VALUES (51,1104,9,'Seal of Winter',200000,64);
INSERT INTO skill_trees VALUES (51,1104,10,'Seal of Winter',290000,66);
INSERT INTO skill_trees VALUES (51,1104,11,'Seal of Winter',320000,68);
INSERT INTO skill_trees VALUES (51,1104,12,'Seal of Winter',390000,70);
INSERT INTO skill_trees VALUES (51,1104,13,'Seal of Winter',600000,72);
INSERT INTO skill_trees VALUES (51,1104,14,'Seal of Winter',920000,74);
INSERT INTO skill_trees VALUES (51,1105,5,'Madness',22000,40);
INSERT INTO skill_trees VALUES (51,1105,6,'Madness',28000,44);
INSERT INTO skill_trees VALUES (51,1105,7,'Madness',40000,48);
INSERT INTO skill_trees VALUES (51,1105,8,'Madness',65000,52);
INSERT INTO skill_trees VALUES (51,1105,9,'Madness',67000,56);
INSERT INTO skill_trees VALUES (51,1105,10,'Madness',100000,58);
INSERT INTO skill_trees VALUES (51,1105,11,'Madness',140000,60);
INSERT INTO skill_trees VALUES (51,1105,12,'Madness',180000,62);
INSERT INTO skill_trees VALUES (51,1105,13,'Madness',200000,64);
INSERT INTO skill_trees VALUES (51,1105,14,'Madness',290000,66);
INSERT INTO skill_trees VALUES (51,1105,15,'Madness',320000,68);
INSERT INTO skill_trees VALUES (51,1105,16,'Madness',390000,70);
INSERT INTO skill_trees VALUES (51,1105,17,'Madness',600000,72);
INSERT INTO skill_trees VALUES (51,1105,18,'Madness',920000,74);
INSERT INTO skill_trees VALUES (51,1108,1,'Seal of Flame',40000,48);
INSERT INTO skill_trees VALUES (51,1108,2,'Seal of Flame',67000,56);
INSERT INTO skill_trees VALUES (51,1108,3,'Seal of Flame',320000,68);
INSERT INTO skill_trees VALUES (51,1108,4,'Seal of Flame',920000,74);
INSERT INTO skill_trees VALUES (51,1208,4,'Seal of Binding',22000,40);
INSERT INTO skill_trees VALUES (51,1208,5,'Seal of Binding',28000,44);
INSERT INTO skill_trees VALUES (51,1208,6,'Seal of Binding',40000,48);
INSERT INTO skill_trees VALUES (51,1208,7,'Seal of Binding',65000,52);
INSERT INTO skill_trees VALUES (51,1208,8,'Seal of Binding',67000,56);
INSERT INTO skill_trees VALUES (51,1208,9,'Seal of Binding',100000,58);
INSERT INTO skill_trees VALUES (51,1208,10,'Seal of Binding',140000,60);
INSERT INTO skill_trees VALUES (51,1208,11,'Seal of Binding',180000,62);
INSERT INTO skill_trees VALUES (51,1208,12,'Seal of Binding',200000,64);
INSERT INTO skill_trees VALUES (51,1208,13,'Seal of Binding',290000,66);
INSERT INTO skill_trees VALUES (51,1208,14,'Seal of Binding',320000,68);
INSERT INTO skill_trees VALUES (51,1208,15,'Seal of Binding',390000,70);
INSERT INTO skill_trees VALUES (51,1208,16,'Seal of Binding',600000,72);
INSERT INTO skill_trees VALUES (51,1208,17,'Seal of Binding',920000,74);
INSERT INTO skill_trees VALUES (51,1209,3,'Seal of Poison',22000,40);
INSERT INTO skill_trees VALUES (51,1209,4,'Seal of Poison',65000,52);
INSERT INTO skill_trees VALUES (51,1209,5,'Seal of Poison',180000,62);
INSERT INTO skill_trees VALUES (51,1209,6,'Seal of Poison',390000,70);
INSERT INTO skill_trees VALUES (51,1210,1,'Seal of Gloom',28000,44);
INSERT INTO skill_trees VALUES (51,1210,2,'Seal of Gloom',65000,52);
INSERT INTO skill_trees VALUES (51,1210,3,'Seal of Gloom',200000,64);
INSERT INTO skill_trees VALUES (51,1210,4,'Seal of Gloom',600000,72);
INSERT INTO skill_trees VALUES (51,1213,1,'Seal of Mirage',28000,44);
INSERT INTO skill_trees VALUES (51,1213,2,'Seal of Mirage',40000,48);
INSERT INTO skill_trees VALUES (51,1213,3,'Seal of Mirage',65000,52);
INSERT INTO skill_trees VALUES (51,1213,4,'Seal of Mirage',67000,56);
INSERT INTO skill_trees VALUES (51,1213,5,'Seal of Mirage',100000,58);
INSERT INTO skill_trees VALUES (51,1213,6,'Seal of Mirage',140000,60);
INSERT INTO skill_trees VALUES (51,1213,7,'Seal of Mirage',180000,62);
INSERT INTO skill_trees VALUES (51,1213,8,'Seal of Mirage',200000,64);
INSERT INTO skill_trees VALUES (51,1213,9,'Seal of Mirage',290000,66);
INSERT INTO skill_trees VALUES (51,1213,10,'Seal of Mirage',320000,68);
INSERT INTO skill_trees VALUES (51,1213,11,'Seal of Mirage',390000,70);
INSERT INTO skill_trees VALUES (51,1213,12,'Seal of Mirage',600000,72);
INSERT INTO skill_trees VALUES (51,1213,13,'Seal of Mirage',920000,74);
INSERT INTO skill_trees VALUES (51,1245,1,'Steal Essence',22000,40);
INSERT INTO skill_trees VALUES (51,1245,2,'Steal Essence',28000,44);
INSERT INTO skill_trees VALUES (51,1245,3,'Steal Essence',40000,48);
INSERT INTO skill_trees VALUES (51,1245,4,'Steal Essence',65000,52);
INSERT INTO skill_trees VALUES (51,1245,5,'Steal Essence',67000,56);
INSERT INTO skill_trees VALUES (51,1245,6,'Steal Essence',100000,58);
INSERT INTO skill_trees VALUES (51,1245,7,'Steal Essence',140000,60);
INSERT INTO skill_trees VALUES (51,1245,8,'Steal Essence',180000,62);
INSERT INTO skill_trees VALUES (51,1245,9,'Steal Essence',200000,64);
INSERT INTO skill_trees VALUES (51,1245,10,'Steal Essence',290000,66);
INSERT INTO skill_trees VALUES (51,1245,11,'Steal Essence',320000,68);
INSERT INTO skill_trees VALUES (51,1245,12,'Steal Essence',390000,70);
INSERT INTO skill_trees VALUES (51,1245,13,'Steal Essence',600000,72);
INSERT INTO skill_trees VALUES (51,1245,14,'Steal Essence',920000,74);
INSERT INTO skill_trees VALUES (51,1246,1,'Seal of Silence',40000,48);
INSERT INTO skill_trees VALUES (51,1246,2,'Seal of Silence',65000,52);
INSERT INTO skill_trees VALUES (51,1246,3,'Seal of Silence',67000,56);
INSERT INTO skill_trees VALUES (51,1246,4,'Seal of Silence',100000,58);
INSERT INTO skill_trees VALUES (51,1246,5,'Seal of Silence',140000,60);
INSERT INTO skill_trees VALUES (51,1246,6,'Seal of Silence',180000,62);
INSERT INTO skill_trees VALUES (51,1246,7,'Seal of Silence',200000,64);
INSERT INTO skill_trees VALUES (51,1246,8,'Seal of Silence',290000,66);
INSERT INTO skill_trees VALUES (51,1246,9,'Seal of Silence',320000,68);
INSERT INTO skill_trees VALUES (51,1246,10,'Seal of Silence',390000,70);
INSERT INTO skill_trees VALUES (51,1246,11,'Seal of Silence',600000,72);
INSERT INTO skill_trees VALUES (51,1246,12,'Seal of Silence',920000,74);
INSERT INTO skill_trees VALUES (51,1247,1,'Seal of Scourge',22000,40);
INSERT INTO skill_trees VALUES (51,1247,2,'Seal of Scourge',28000,44);
INSERT INTO skill_trees VALUES (51,1247,3,'Seal of Scourge',40000,48);
INSERT INTO skill_trees VALUES (51,1247,4,'Seal of Scourge',65000,52);
INSERT INTO skill_trees VALUES (51,1247,5,'Seal of Scourge',67000,56);
INSERT INTO skill_trees VALUES (51,1247,6,'Seal of Scourge',100000,58);
INSERT INTO skill_trees VALUES (51,1247,7,'Seal of Scourge',140000,60);
INSERT INTO skill_trees VALUES (51,1247,8,'Seal of Scourge',180000,62);
INSERT INTO skill_trees VALUES (51,1247,9,'Seal of Scourge',200000,64);
INSERT INTO skill_trees VALUES (51,1247,10,'Seal of Scourge',290000,66);
INSERT INTO skill_trees VALUES (51,1247,11,'Seal of Scourge',320000,68);
INSERT INTO skill_trees VALUES (51,1247,12,'Seal of Scourge',390000,70);
INSERT INTO skill_trees VALUES (51,1247,13,'Seal of Scourge',600000,72);
INSERT INTO skill_trees VALUES (51,1247,14,'Seal of Scourge',920000,74);
INSERT INTO skill_trees VALUES (51,1248,1,'Seal of Suspension',40000,48);
INSERT INTO skill_trees VALUES (51,1248,2,'Seal of Suspension',65000,52);
INSERT INTO skill_trees VALUES (51,1248,3,'Seal of Suspension',67000,56);
INSERT INTO skill_trees VALUES (51,1248,4,'Seal of Suspension',100000,58);
INSERT INTO skill_trees VALUES (51,1248,5,'Seal of Suspension',140000,60);
INSERT INTO skill_trees VALUES (51,1248,6,'Seal of Suspension',180000,62);
INSERT INTO skill_trees VALUES (51,1248,7,'Seal of Suspension',200000,64);
INSERT INTO skill_trees VALUES (51,1248,8,'Seal of Suspension',290000,66);
INSERT INTO skill_trees VALUES (51,1248,9,'Seal of Suspension',320000,68);
INSERT INTO skill_trees VALUES (51,1248,10,'Seal of Suspension',390000,70);
INSERT INTO skill_trees VALUES (51,1248,11,'Seal of Suspension',600000,72);
INSERT INTO skill_trees VALUES (51,1248,12,'Seal of Suspension',920000,74);
INSERT INTO skill_trees VALUES (51,1249,1,'Sight of Paagrio',28000,44);
INSERT INTO skill_trees VALUES (51,1249,2,'Sight of Paagrio',65000,52);
INSERT INTO skill_trees VALUES (51,1249,3,'Sight of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1250,1,'Shield of Paagrio',22000,40);
INSERT INTO skill_trees VALUES (51,1250,2,'Shield of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1250,3,'Shield of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1256,1,'Heart of Paagrio',28000,44);
INSERT INTO skill_trees VALUES (51,1256,2,'Heart of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1256,3,'Heart of Paagrio',65000,52);
INSERT INTO skill_trees VALUES (51,1256,4,'Heart of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1256,5,'Heart of Paagrio',100000,58);
INSERT INTO skill_trees VALUES (51,1256,6,'Heart of Paagrio',140000,60);
INSERT INTO skill_trees VALUES (51,1256,7,'Heart of Paagrio',180000,62);
INSERT INTO skill_trees VALUES (51,1256,8,'Heart of Paagrio',200000,64);
INSERT INTO skill_trees VALUES (51,1256,9,'Heart of Paagrio',290000,66);
INSERT INTO skill_trees VALUES (51,1256,10,'Heart of Paagrio',320000,68);
INSERT INTO skill_trees VALUES (51,1256,11,'Heart of Paagrio',390000,70);
INSERT INTO skill_trees VALUES (51,1256,12,'Heart of Paagrio',600000,72);
INSERT INTO skill_trees VALUES (51,1256,13,'Heart of Paagrio',920000,74);
INSERT INTO skill_trees VALUES (51,1260,1,'Tact of Paagrio',22000,40);
INSERT INTO skill_trees VALUES (51,1260,2,'Tact of Paagrio',40000,48);
INSERT INTO skill_trees VALUES (51,1260,3,'Tact of Paagrio',67000,56);
INSERT INTO skill_trees VALUES (51,1261,1,'Rage of Paagrio',28000,44);
INSERT INTO skill_trees VALUES (51,1261,2,'Rage of Paagrio',65000,52);
INSERT INTO skill_trees VALUES (51,1282,1,'Speed of Paagrio',100000,58);
INSERT INTO skill_trees VALUES (51,1282,2,'Speed of Paagrio',200000,64);
INSERT INTO skill_trees VALUES (51,1283,1,'Soul Guard',28000,44);
INSERT INTO skill_trees VALUES (51,1283,2,'Soul Guard',40000,48);
INSERT INTO skill_trees VALUES (51,1283,3,'Soul Guard',65000,52);
INSERT INTO skill_trees VALUES (51,1283,4,'Soul Guard',67000,56);
INSERT INTO skill_trees VALUES (51,1283,5,'Soul Guard',100000,58);
INSERT INTO skill_trees VALUES (51,1283,6,'Soul Guard',140000,60);
INSERT INTO skill_trees VALUES (51,1283,7,'Soul Guard',180000,62);
INSERT INTO skill_trees VALUES (51,1283,8,'Soul Guard',200000,64);
INSERT INTO skill_trees VALUES (51,1283,9,'Soul Guard',290000,66);
INSERT INTO skill_trees VALUES (51,1283,10,'Soul Guard',320000,68);
INSERT INTO skill_trees VALUES (51,1283,11,'Soul Guard',390000,70);
INSERT INTO skill_trees VALUES (51,1283,12,'Soul Guard',600000,72);
INSERT INTO skill_trees VALUES (51,1283,13,'Soul Guard',920000,74);
INSERT INTO skill_trees VALUES (51,1305,1,'Honor of Paagrio',290000,66);
INSERT INTO skill_trees VALUES (51,1305,2,'Honor of Paagrio',320000,68);
INSERT INTO skill_trees VALUES (51,1305,3,'Honor of Paagrio',390000,70);
INSERT INTO skill_trees VALUES (51,1305,4,'Honor of Paagrio',600000,72);
INSERT INTO skill_trees VALUES (51,1305,5,'Honor of Paagrio',920000,74);
INSERT INTO skill_trees VALUES (51,1306,1,'Ritual of Life',200000,64);
INSERT INTO skill_trees VALUES (51,1306,2,'Ritual of Life',290000,66);
INSERT INTO skill_trees VALUES (51,1306,3,'Ritual of Life',320000,68);
INSERT INTO skill_trees VALUES (51,1306,4,'Ritual of Life',390000,70);
INSERT INTO skill_trees VALUES (51,1306,5,'Ritual of Life',600000,72);
INSERT INTO skill_trees VALUES (51,1306,6,'Ritual of Life',920000,74);
INSERT INTO skill_trees VALUES (52,146,13,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (52,146,14,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (52,146,15,'Anti Magic',9000,40);
INSERT INTO skill_trees VALUES (52,146,16,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (52,146,17,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (52,146,18,'Anti Magic',13000,44);
INSERT INTO skill_trees VALUES (52,146,19,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (52,146,20,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (52,146,21,'Anti Magic',24000,48);
INSERT INTO skill_trees VALUES (52,146,22,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (52,146,23,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (52,146,24,'Anti Magic',32000,52);
INSERT INTO skill_trees VALUES (52,146,25,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (52,146,26,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (52,146,27,'Anti Magic',35000,56);
INSERT INTO skill_trees VALUES (52,146,28,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (52,146,29,'Anti Magic',92000,58);
INSERT INTO skill_trees VALUES (52,146,30,'Anti Magic',110000,60);
INSERT INTO skill_trees VALUES (52,146,31,'Anti Magic',110000,60);
INSERT INTO skill_trees VALUES (52,146,32,'Anti Magic',150000,62);
INSERT INTO skill_trees VALUES (52,146,33,'Anti Magic',150000,62);
INSERT INTO skill_trees VALUES (52,146,34,'Anti Magic',170000,64);
INSERT INTO skill_trees VALUES (52,146,35,'Anti Magic',170000,64);
INSERT INTO skill_trees VALUES (52,146,36,'Anti Magic',270000,66);
INSERT INTO skill_trees VALUES (52,146,37,'Anti Magic',270000,66);
INSERT INTO skill_trees VALUES (52,146,38,'Anti Magic',300000,68);
INSERT INTO skill_trees VALUES (52,146,39,'Anti Magic',300000,68);
INSERT INTO skill_trees VALUES (52,146,40,'Anti Magic',360000,70);
INSERT INTO skill_trees VALUES (52,146,41,'Anti Magic',360000,70);
INSERT INTO skill_trees VALUES (52,146,42,'Anti Magic',540000,72);
INSERT INTO skill_trees VALUES (52,146,43,'Anti Magic',540000,72);
INSERT INTO skill_trees VALUES (52,146,44,'Anti Magic',820000,74);
INSERT INTO skill_trees VALUES (52,146,45,'Anti Magic',820000,74);
INSERT INTO skill_trees VALUES (52,164,3,'Quick Recovery',71000,48);
INSERT INTO skill_trees VALUES (52,211,1,'Boost HP',27000,40);
INSERT INTO skill_trees VALUES (52,211,2,'Boost HP',39000,44);
INSERT INTO skill_trees VALUES (52,211,3,'Boost HP',71000,48);
INSERT INTO skill_trees VALUES (52,211,4,'Boost HP',95000,52);
INSERT INTO skill_trees VALUES (52,211,5,'Boost HP',110000,56);
INSERT INTO skill_trees VALUES (52,211,6,'Boost HP',310000,62);
INSERT INTO skill_trees VALUES (52,211,7,'Boost HP',730000,70);
INSERT INTO skill_trees VALUES (52,212,2,'Fast HP Recovery',39000,44);
INSERT INTO skill_trees VALUES (52,212,3,'Fast HP Recovery',95000,52);
INSERT INTO skill_trees VALUES (52,212,4,'Fast HP Recovery',180000,58);
INSERT INTO skill_trees VALUES (52,212,5,'Fast HP Recovery',350000,64);
INSERT INTO skill_trees VALUES (52,212,6,'Fast HP Recovery',1600000,74);
INSERT INTO skill_trees VALUES (52,213,3,'Boost Mana',27000,40);
INSERT INTO skill_trees VALUES (52,213,4,'Boost Mana',71000,48);
INSERT INTO skill_trees VALUES (52,213,5,'Boost Mana',110000,56);
INSERT INTO skill_trees VALUES (52,213,6,'Boost Mana',210000,60);
INSERT INTO skill_trees VALUES (52,213,7,'Boost Mana',530000,66);
INSERT INTO skill_trees VALUES (52,213,8,'Boost Mana',1000000,72);
INSERT INTO skill_trees VALUES (52,228,2,'Fast Spell Casting',27000,40);
INSERT INTO skill_trees VALUES (52,228,3,'Fast Spell Casting',110000,56);
INSERT INTO skill_trees VALUES (52,229,3,'Fast Mana Recovery',39000,44);
INSERT INTO skill_trees VALUES (52,229,4,'Fast Mana Recovery',95000,52);
INSERT INTO skill_trees VALUES (52,229,5,'Fast Mana Recovery',210000,60);
INSERT INTO skill_trees VALUES (52,229,6,'Fast Mana Recovery',590000,68);
INSERT INTO skill_trees VALUES (52,229,7,'Fast Mana Recovery',1600000,74);
INSERT INTO skill_trees VALUES (52,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (52,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (52,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (52,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (52,250,10,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,250,11,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,250,12,'Weapon Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,250,13,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,250,14,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,250,15,'Weapon Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,250,16,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,250,17,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,250,18,'Weapon Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,250,19,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,250,20,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,250,21,'Weapon Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,250,22,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,250,23,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,250,24,'Weapon Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,250,25,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,250,26,'Weapon Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,250,27,'Weapon Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,250,28,'Weapon Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,250,29,'Weapon Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,250,30,'Weapon Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,250,31,'Weapon Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,250,32,'Weapon Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,250,33,'Weapon Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,250,34,'Weapon Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,250,35,'Weapon Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,250,36,'Weapon Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,250,37,'Weapon Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,250,38,'Weapon Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,250,39,'Weapon Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,250,40,'Weapon Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,250,41,'Weapon Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,250,42,'Weapon Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,251,13,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,251,14,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,251,15,'Robe Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,251,16,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,251,17,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,251,18,'Robe Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,251,19,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,251,20,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,251,21,'Robe Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,251,22,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,251,23,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,251,24,'Robe Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,251,25,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,251,26,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,251,27,'Robe Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,251,28,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,251,29,'Robe Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,251,30,'Robe Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,251,31,'Robe Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,251,32,'Robe Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,251,33,'Robe Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,251,34,'Robe Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,251,35,'Robe Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,251,36,'Robe Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,251,37,'Robe Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,251,38,'Robe Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,251,39,'Robe Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,251,40,'Robe Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,251,41,'Robe Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,251,42,'Robe Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,251,43,'Robe Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,251,44,'Robe Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,251,45,'Robe Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,252,13,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,252,14,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,252,15,'Light Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,252,16,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,252,17,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,252,18,'Light Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,252,19,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,252,20,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,252,21,'Light Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,252,22,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,252,23,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,252,24,'Light Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,252,25,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,252,26,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,252,27,'Light Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,252,28,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,252,29,'Light Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,252,30,'Light Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,252,31,'Light Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,252,32,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,252,33,'Light Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,252,34,'Light Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,252,35,'Light Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,252,36,'Light Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,252,37,'Light Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,252,38,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,252,39,'Light Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,252,40,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,252,41,'Light Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,252,42,'Light Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,252,43,'Light Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,252,44,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,252,45,'Light Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,253,11,'Heavy Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,253,12,'Heavy Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,253,13,'Heavy Armor Mastery',9000,40);
INSERT INTO skill_trees VALUES (52,253,14,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,253,15,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,253,16,'Heavy Armor Mastery',13000,44);
INSERT INTO skill_trees VALUES (52,253,17,'Heavy Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,253,18,'Heavy Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,253,19,'Heavy Armor Mastery',24000,48);
INSERT INTO skill_trees VALUES (52,253,20,'Heavy Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,253,21,'Heavy Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,253,22,'Heavy Armor Mastery',32000,52);
INSERT INTO skill_trees VALUES (52,253,23,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,253,24,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,253,25,'Heavy Armor Mastery',35000,56);
INSERT INTO skill_trees VALUES (52,253,26,'Heavy Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,253,27,'Heavy Armor Mastery',92000,58);
INSERT INTO skill_trees VALUES (52,253,28,'Heavy Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,253,29,'Heavy Armor Mastery',110000,60);
INSERT INTO skill_trees VALUES (52,253,30,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,253,31,'Heavy Armor Mastery',150000,62);
INSERT INTO skill_trees VALUES (52,253,32,'Heavy Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,253,33,'Heavy Armor Mastery',170000,64);
INSERT INTO skill_trees VALUES (52,253,34,'Heavy Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,253,35,'Heavy Armor Mastery',270000,66);
INSERT INTO skill_trees VALUES (52,253,36,'Heavy Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,253,37,'Heavy Armor Mastery',300000,68);
INSERT INTO skill_trees VALUES (52,253,38,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,253,39,'Heavy Armor Mastery',360000,70);
INSERT INTO skill_trees VALUES (52,253,40,'Heavy Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,253,41,'Heavy Armor Mastery',540000,72);
INSERT INTO skill_trees VALUES (52,253,42,'Heavy Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,253,43,'Heavy Armor Mastery',820000,74);
INSERT INTO skill_trees VALUES (52,260,1,'Hammer Crush',9000,40);
INSERT INTO skill_trees VALUES (52,260,2,'Hammer Crush',9000,40);
INSERT INTO skill_trees VALUES (52,260,3,'Hammer Crush',9000,40);
INSERT INTO skill_trees VALUES (52,260,4,'Hammer Crush',13000,44);
INSERT INTO skill_trees VALUES (52,260,5,'Hammer Crush',13000,44);
INSERT INTO skill_trees VALUES (52,260,6,'Hammer Crush',13000,44);
INSERT INTO skill_trees VALUES (52,260,7,'Hammer Crush',24000,48);
INSERT INTO skill_trees VALUES (52,260,8,'Hammer Crush',24000,48);
INSERT INTO skill_trees VALUES (52,260,9,'Hammer Crush',24000,48);
INSERT INTO skill_trees VALUES (52,260,10,'Hammer Crush',32000,52);
INSERT INTO skill_trees VALUES (52,260,11,'Hammer Crush',32000,52);
INSERT INTO skill_trees VALUES (52,260,12,'Hammer Crush',32000,52);
INSERT INTO skill_trees VALUES (52,260,13,'Hammer Crush',35000,56);
INSERT INTO skill_trees VALUES (52,260,14,'Hammer Crush',35000,56);
INSERT INTO skill_trees VALUES (52,260,15,'Hammer Crush',35000,56);
INSERT INTO skill_trees VALUES (52,260,16,'Hammer Crush',61000,58);
INSERT INTO skill_trees VALUES (52,260,17,'Hammer Crush',61000,58);
INSERT INTO skill_trees VALUES (52,260,18,'Hammer Crush',61000,58);
INSERT INTO skill_trees VALUES (52,260,19,'Hammer Crush',71000,60);
INSERT INTO skill_trees VALUES (52,260,20,'Hammer Crush',71000,60);
INSERT INTO skill_trees VALUES (52,260,21,'Hammer Crush',71000,60);
INSERT INTO skill_trees VALUES (52,260,22,'Hammer Crush',150000,62);
INSERT INTO skill_trees VALUES (52,260,23,'Hammer Crush',150000,62);
INSERT INTO skill_trees VALUES (52,260,24,'Hammer Crush',170000,64);
INSERT INTO skill_trees VALUES (52,260,25,'Hammer Crush',170000,64);
INSERT INTO skill_trees VALUES (52,260,26,'Hammer Crush',270000,66);
INSERT INTO skill_trees VALUES (52,260,27,'Hammer Crush',270000,66);
INSERT INTO skill_trees VALUES (52,260,28,'Hammer Crush',300000,68);
INSERT INTO skill_trees VALUES (52,260,29,'Hammer Crush',300000,68);
INSERT INTO skill_trees VALUES (52,260,30,'Hammer Crush',360000,70);
INSERT INTO skill_trees VALUES (52,260,31,'Hammer Crush',360000,70);
INSERT INTO skill_trees VALUES (52,260,32,'Hammer Crush',540000,72);
INSERT INTO skill_trees VALUES (52,260,33,'Hammer Crush',540000,72);
INSERT INTO skill_trees VALUES (52,260,34,'Hammer Crush',820000,74);
INSERT INTO skill_trees VALUES (52,260,35,'Hammer Crush',820000,74);
INSERT INTO skill_trees VALUES (52,1001,5,'Soul Cry',27000,40);
INSERT INTO skill_trees VALUES (52,1001,6,'Soul Cry',71000,48);
INSERT INTO skill_trees VALUES (52,1001,7,'Soul Cry',110000,56);
INSERT INTO skill_trees VALUES (52,1001,8,'Soul Cry',210000,60);
INSERT INTO skill_trees VALUES (52,1001,9,'Soul Cry',530000,66);
INSERT INTO skill_trees VALUES (52,1001,10,'Soul Cry',1000000,72);
INSERT INTO skill_trees VALUES (52,1002,2,'Chant of Flame',39000,44);
INSERT INTO skill_trees VALUES (52,1002,3,'Chant of Flame',110000,56);
INSERT INTO skill_trees VALUES (52,1006,2,'Chant of Fire',27000,40);
INSERT INTO skill_trees VALUES (52,1006,3,'Chant of Fire',95000,52);
INSERT INTO skill_trees VALUES (52,1007,3,'Chant of Battle',39000,44);
INSERT INTO skill_trees VALUES (52,1009,3,'Chant of Shielding',27000,40);
INSERT INTO skill_trees VALUES (52,1092,6,'Fear',27000,40);
INSERT INTO skill_trees VALUES (52,1092,7,'Fear',39000,44);
INSERT INTO skill_trees VALUES (52,1092,8,'Fear',71000,48);
INSERT INTO skill_trees VALUES (52,1092,9,'Fear',95000,52);
INSERT INTO skill_trees VALUES (52,1092,10,'Fear',110000,56);
INSERT INTO skill_trees VALUES (52,1092,11,'Fear',180000,58);
INSERT INTO skill_trees VALUES (52,1092,12,'Fear',210000,60);
INSERT INTO skill_trees VALUES (52,1092,13,'Fear',310000,62);
INSERT INTO skill_trees VALUES (52,1092,14,'Fear',350000,64);
INSERT INTO skill_trees VALUES (52,1092,15,'Fear',530000,66);
INSERT INTO skill_trees VALUES (52,1092,16,'Fear',590000,68);
INSERT INTO skill_trees VALUES (52,1092,17,'Fear',730000,70);
INSERT INTO skill_trees VALUES (52,1092,18,'Fear',1000000,72);
INSERT INTO skill_trees VALUES (52,1092,19,'Fear',1600000,74);
INSERT INTO skill_trees VALUES (52,1095,4,'Venom',27000,40);
INSERT INTO skill_trees VALUES (52,1095,5,'Venom',95000,52);
INSERT INTO skill_trees VALUES (52,1097,7,'Dreaming Spirit',27000,40);
INSERT INTO skill_trees VALUES (52,1097,8,'Dreaming Spirit',39000,44);
INSERT INTO skill_trees VALUES (52,1097,9,'Dreaming Spirit',71000,48);
INSERT INTO skill_trees VALUES (52,1097,10,'Dreaming Spirit',95000,52);
INSERT INTO skill_trees VALUES (52,1097,11,'Dreaming Spirit',110000,56);
INSERT INTO skill_trees VALUES (52,1097,12,'Dreaming Spirit',180000,58);
INSERT INTO skill_trees VALUES (52,1097,13,'Dreaming Spirit',210000,60);
INSERT INTO skill_trees VALUES (52,1097,14,'Dreaming Spirit',310000,62);
INSERT INTO skill_trees VALUES (52,1097,15,'Dreaming Spirit',350000,64);
INSERT INTO skill_trees VALUES (52,1097,16,'Dreaming Spirit',530000,66);
INSERT INTO skill_trees VALUES (52,1097,17,'Dreaming Spirit',590000,68);
INSERT INTO skill_trees VALUES (52,1097,18,'Dreaming Spirit',730000,70);
INSERT INTO skill_trees VALUES (52,1097,19,'Dreaming Spirit',1000000,72);
INSERT INTO skill_trees VALUES (52,1097,20,'Dreaming Spirit',1600000,74);
INSERT INTO skill_trees VALUES (52,1102,3,'Aura Sink',39000,44);
INSERT INTO skill_trees VALUES (52,1102,4,'Aura Sink',95000,52);
INSERT INTO skill_trees VALUES (52,1102,5,'Aura Sink',350000,64);
INSERT INTO skill_trees VALUES (52,1102,6,'Aura Sink',730000,70);
INSERT INTO skill_trees VALUES (52,1105,5,'Madness',27000,40);
INSERT INTO skill_trees VALUES (52,1105,6,'Madness',39000,44);
INSERT INTO skill_trees VALUES (52,1105,7,'Madness',71000,48);
INSERT INTO skill_trees VALUES (52,1105,8,'Madness',95000,52);
INSERT INTO skill_trees VALUES (52,1105,9,'Madness',110000,56);
INSERT INTO skill_trees VALUES (52,1105,10,'Madness',180000,58);
INSERT INTO skill_trees VALUES (52,1105,11,'Madness',210000,60);
INSERT INTO skill_trees VALUES (52,1105,12,'Madness',310000,62);
INSERT INTO skill_trees VALUES (52,1105,13,'Madness',350000,64);
INSERT INTO skill_trees VALUES (52,1105,14,'Madness',530000,66);
INSERT INTO skill_trees VALUES (52,1105,15,'Madness',590000,68);
INSERT INTO skill_trees VALUES (52,1105,16,'Madness',730000,70);
INSERT INTO skill_trees VALUES (52,1105,17,'Madness',1000000,72);
INSERT INTO skill_trees VALUES (52,1105,18,'Madness',1600000,74);
INSERT INTO skill_trees VALUES (52,1229,5,'Chant of Life',27000,40);
INSERT INTO skill_trees VALUES (52,1229,6,'Chant of Life',39000,44);
INSERT INTO skill_trees VALUES (52,1229,7,'Chant of Life',71000,48);
INSERT INTO skill_trees VALUES (52,1229,8,'Chant of Life',95000,52);
INSERT INTO skill_trees VALUES (52,1229,9,'Chant of Life',110000,56);
INSERT INTO skill_trees VALUES (52,1229,10,'Chant of Life',180000,58);
INSERT INTO skill_trees VALUES (52,1229,11,'Chant of Life',210000,60);
INSERT INTO skill_trees VALUES (52,1229,12,'Chant of Life',310000,62);
INSERT INTO skill_trees VALUES (52,1229,13,'Chant of Life',350000,64);
INSERT INTO skill_trees VALUES (52,1229,14,'Chant of Life',530000,66);
INSERT INTO skill_trees VALUES (52,1229,15,'Chant of Life',590000,68);
INSERT INTO skill_trees VALUES (52,1229,16,'Chant of Life',730000,70);
INSERT INTO skill_trees VALUES (52,1229,17,'Chant of Life',1000000,72);
INSERT INTO skill_trees VALUES (52,1229,18,'Chant of Life',1600000,74);
INSERT INTO skill_trees VALUES (52,1244,1,'Freezing Flame',27000,40);
INSERT INTO skill_trees VALUES (52,1244,2,'Freezing Flame',95000,52);
INSERT INTO skill_trees VALUES (52,1244,3,'Freezing Flame',350000,64);
INSERT INTO skill_trees VALUES (52,1244,4,'Freezing Flame',1000000,72);
INSERT INTO skill_trees VALUES (52,1245,1,'Steal Essence',27000,40);
INSERT INTO skill_trees VALUES (52,1245,2,'Steal Essence',39000,44);
INSERT INTO skill_trees VALUES (52,1245,3,'Steal Essence',71000,48);
INSERT INTO skill_trees VALUES (52,1245,4,'Steal Essence',95000,52);
INSERT INTO skill_trees VALUES (52,1245,5,'Steal Essence',110000,56);
INSERT INTO skill_trees VALUES (52,1245,6,'Steal Essence',180000,58);
INSERT INTO skill_trees VALUES (52,1245,7,'Steal Essence',210000,60);
INSERT INTO skill_trees VALUES (52,1245,8,'Steal Essence',310000,62);
INSERT INTO skill_trees VALUES (52,1245,9,'Steal Essence',350000,64);
INSERT INTO skill_trees VALUES (52,1245,10,'Steal Essence',530000,66);
INSERT INTO skill_trees VALUES (52,1245,11,'Steal Essence',590000,68);
INSERT INTO skill_trees VALUES (52,1245,12,'Steal Essence',730000,70);
INSERT INTO skill_trees VALUES (52,1245,13,'Steal Essence',1000000,72);
INSERT INTO skill_trees VALUES (52,1245,14,'Steal Essence',1600000,74);
INSERT INTO skill_trees VALUES (52,1251,1,'Chant of Fury',71000,48);
INSERT INTO skill_trees VALUES (52,1251,2,'Chant of Fury',110000,56);
INSERT INTO skill_trees VALUES (52,1252,1,'Chant of Evasion',27000,40);
INSERT INTO skill_trees VALUES (52,1252,2,'Chant of Evasion',71000,48);
INSERT INTO skill_trees VALUES (52,1252,3,'Chant of Evasion',110000,56);
INSERT INTO skill_trees VALUES (52,1253,1,'Chant of Rage',39000,44);
INSERT INTO skill_trees VALUES (52,1253,2,'Chant of Rage',95000,52);
INSERT INTO skill_trees VALUES (52,1253,3,'Chant of Rage',110000,56);
INSERT INTO skill_trees VALUES (52,1284,1,'Chant of Revenge',310000,62);
INSERT INTO skill_trees VALUES (52,1284,2,'Chant of Revenge',590000,68);
INSERT INTO skill_trees VALUES (52,1284,3,'Chant of Revenge',1600000,74);
INSERT INTO skill_trees VALUES (52,1308,1,'Chant of Predator',63000,48);
INSERT INTO skill_trees VALUES (52,1308,2,'Chant of Predator',200000,60);
INSERT INTO skill_trees VALUES (52,1308,3,'Chant of Predator',550000,68);
INSERT INTO skill_trees VALUES (52,1309,1,'Chant of Eagle',63000,48);
INSERT INTO skill_trees VALUES (52,1309,2,'Chant of Eagle',160000,58);
INSERT INTO skill_trees VALUES (52,1309,3,'Chant of Eagle',320000,64);
INSERT INTO skill_trees VALUES (52,1310,1,'Chant of Vampire',37000,44);
INSERT INTO skill_trees VALUES (52,1310,2,'Chant of Vampire',160000,58);
INSERT INTO skill_trees VALUES (52,1310,3,'Chant of Vampire',500000,66);
INSERT INTO skill_trees VALUES (52,1310,4,'Chant of Vampire',1500000,74);
INSERT INTO skill_trees VALUES (53,42,1,'Sweeper',1100,10);
INSERT INTO skill_trees VALUES (53,141,1,'Weapon Mastery',310,5);
INSERT INTO skill_trees VALUES (53,141,2,'Weapon Mastery',1100,10);
INSERT INTO skill_trees VALUES (53,141,3,'Weapon Mastery',6700,15);
INSERT INTO skill_trees VALUES (53,142,1,'Armor Mastery',310,5);
INSERT INTO skill_trees VALUES (53,142,2,'Armor Mastery',550,10);
INSERT INTO skill_trees VALUES (53,142,3,'Armor Mastery',550,10);
INSERT INTO skill_trees VALUES (53,142,4,'Armor Mastery',3300,15);
INSERT INTO skill_trees VALUES (53,142,5,'Armor Mastery',3300,15);
INSERT INTO skill_trees VALUES (53,150,1,'Weight Limit',1100,10);
INSERT INTO skill_trees VALUES (53,172,1,'Create Item',310,5);
INSERT INTO skill_trees VALUES (53,194,1,'Lucky',0,1);
INSERT INTO skill_trees VALUES (53,254,1,'Spoil',1100,10);
INSERT INTO skill_trees VALUES (54,34,1,'Bandage',4100,20);
INSERT INTO skill_trees VALUES (54,100,1,'Stun Attack',1400,20);
INSERT INTO skill_trees VALUES (54,100,2,'Stun Attack',1400,20);
INSERT INTO skill_trees VALUES (54,100,3,'Stun Attack',1400,20);
INSERT INTO skill_trees VALUES (54,100,4,'Stun Attack',2600,24);
INSERT INTO skill_trees VALUES (54,100,5,'Stun Attack',2600,24);
INSERT INTO skill_trees VALUES (54,100,6,'Stun Attack',2600,24);
INSERT INTO skill_trees VALUES (54,100,7,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (54,100,8,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (54,100,9,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (54,100,10,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (54,100,11,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (54,100,12,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (54,100,13,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (54,100,14,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (54,100,15,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (54,148,1,'Vital Force',7700,24);
INSERT INTO skill_trees VALUES (54,148,2,'Vital Force',25000,32);
INSERT INTO skill_trees VALUES (54,150,2,'Weight Limit',7700,24);
INSERT INTO skill_trees VALUES (54,205,1,'Blunt Mastery',4100,20);
INSERT INTO skill_trees VALUES (54,205,2,'Blunt Mastery',7700,24);
INSERT INTO skill_trees VALUES (54,205,3,'Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (54,205,4,'Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (54,205,5,'Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (54,205,6,'Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (54,205,7,'Blunt Mastery',17000,36);
INSERT INTO skill_trees VALUES (54,205,8,'Blunt Mastery',17000,36);
INSERT INTO skill_trees VALUES (54,211,1,'Boost HP',4100,20);
INSERT INTO skill_trees VALUES (54,211,2,'Boost HP',13000,28);
INSERT INTO skill_trees VALUES (54,211,3,'Boost HP',35000,36);
INSERT INTO skill_trees VALUES (54,212,1,'Fast HP Recovery',7700,24);
INSERT INTO skill_trees VALUES (54,212,2,'Fast HP Recovery',25000,32);
INSERT INTO skill_trees VALUES (54,216,1,'Polearm Mastery',4100,20);
INSERT INTO skill_trees VALUES (54,216,2,'Polearm Mastery',7700,24);
INSERT INTO skill_trees VALUES (54,216,3,'Polearm Mastery',6700,28);
INSERT INTO skill_trees VALUES (54,216,4,'Polearm Mastery',6700,28);
INSERT INTO skill_trees VALUES (54,216,5,'Polearm Mastery',13000,32);
INSERT INTO skill_trees VALUES (54,216,6,'Polearm Mastery',13000,32);
INSERT INTO skill_trees VALUES (54,216,7,'Polearm Mastery',17000,36);
INSERT INTO skill_trees VALUES (54,216,8,'Polearm Mastery',17000,36);
INSERT INTO skill_trees VALUES (54,227,1,'Light Armor Mastery',2100,20);
INSERT INTO skill_trees VALUES (54,227,2,'Light Armor Mastery',2100,20);
INSERT INTO skill_trees VALUES (54,227,3,'Light Armor Mastery',3900,24);
INSERT INTO skill_trees VALUES (54,227,4,'Light Armor Mastery',3900,24);
INSERT INTO skill_trees VALUES (54,227,5,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,227,6,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,227,7,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,227,8,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,227,9,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,227,10,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,227,11,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,227,12,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,227,13,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,231,1,'Heavy Armor Mastery',2100,20);
INSERT INTO skill_trees VALUES (54,231,2,'Heavy Armor Mastery',2100,20);
INSERT INTO skill_trees VALUES (54,231,3,'Heavy Armor Mastery',3900,24);
INSERT INTO skill_trees VALUES (54,231,4,'Heavy Armor Mastery',3900,24);
INSERT INTO skill_trees VALUES (54,231,5,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,231,6,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,231,7,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (54,231,8,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,231,9,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,231,10,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (54,231,11,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,231,12,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,231,13,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (54,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (54,245,1,'Wild Sweep',1400,20);
INSERT INTO skill_trees VALUES (54,245,2,'Wild Sweep',1400,20);
INSERT INTO skill_trees VALUES (54,245,3,'Wild Sweep',1400,20);
INSERT INTO skill_trees VALUES (54,245,4,'Wild Sweep',2600,24);
INSERT INTO skill_trees VALUES (54,245,5,'Wild Sweep',2600,24);
INSERT INTO skill_trees VALUES (54,245,6,'Wild Sweep',2600,24);
INSERT INTO skill_trees VALUES (54,245,7,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (54,245,8,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (54,245,9,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (54,245,10,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (54,245,11,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (54,245,12,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (54,245,13,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (54,245,14,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (54,245,15,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (54,254,2,'Spoil',4100,20);
INSERT INTO skill_trees VALUES (54,254,3,'Spoil',13000,28);
INSERT INTO skill_trees VALUES (54,254,4,'Spoil',35000,36);
INSERT INTO skill_trees VALUES (54,302,1,'Spoil Festival',13000,28);
INSERT INTO skill_trees VALUES (54,302,2,'Spoil Festival',35000,36);
INSERT INTO skill_trees VALUES (55,34,2,'Bandage',67000,46);
INSERT INTO skill_trees VALUES (55,34,3,'Bandage',440000,62);
INSERT INTO skill_trees VALUES (55,36,1,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (55,36,2,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (55,36,3,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (55,36,4,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (55,36,5,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (55,36,6,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (55,36,7,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (55,36,8,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (55,36,9,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (55,36,10,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (55,36,11,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (55,36,12,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (55,36,13,'Whirlwind',63000,52);
INSERT INTO skill_trees VALUES (55,36,14,'Whirlwind',63000,52);
INSERT INTO skill_trees VALUES (55,36,15,'Whirlwind',63000,52);
INSERT INTO skill_trees VALUES (55,36,16,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (55,36,17,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (55,36,18,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (55,36,19,'Whirlwind',100000,58);
INSERT INTO skill_trees VALUES (55,36,20,'Whirlwind',100000,58);
INSERT INTO skill_trees VALUES (55,36,21,'Whirlwind',100000,58);
INSERT INTO skill_trees VALUES (55,36,22,'Whirlwind',210000,60);
INSERT INTO skill_trees VALUES (55,36,23,'Whirlwind',210000,60);
INSERT INTO skill_trees VALUES (55,36,24,'Whirlwind',220000,62);
INSERT INTO skill_trees VALUES (55,36,25,'Whirlwind',220000,62);
INSERT INTO skill_trees VALUES (55,36,26,'Whirlwind',300000,64);
INSERT INTO skill_trees VALUES (55,36,27,'Whirlwind',300000,64);
INSERT INTO skill_trees VALUES (55,36,28,'Whirlwind',390000,66);
INSERT INTO skill_trees VALUES (55,36,29,'Whirlwind',390000,66);
INSERT INTO skill_trees VALUES (55,36,30,'Whirlwind',430000,68);
INSERT INTO skill_trees VALUES (55,36,31,'Whirlwind',430000,68);
INSERT INTO skill_trees VALUES (55,36,32,'Whirlwind',520000,70);
INSERT INTO skill_trees VALUES (55,36,33,'Whirlwind',520000,70);
INSERT INTO skill_trees VALUES (55,36,34,'Whirlwind',840000,72);
INSERT INTO skill_trees VALUES (55,36,35,'Whirlwind',840000,72);
INSERT INTO skill_trees VALUES (55,36,36,'Whirlwind',1100000,74);
INSERT INTO skill_trees VALUES (55,36,37,'Whirlwind',1100000,74);
INSERT INTO skill_trees VALUES (55,60,1,'Fake Death',43000,40);
INSERT INTO skill_trees VALUES (55,148,3,'Vital Force',43000,40);
INSERT INTO skill_trees VALUES (55,148,4,'Vital Force',67000,46);
INSERT INTO skill_trees VALUES (55,148,5,'Vital Force',180000,52);
INSERT INTO skill_trees VALUES (55,148,6,'Vital Force',300000,58);
INSERT INTO skill_trees VALUES (55,148,7,'Vital Force',600000,64);
INSERT INTO skill_trees VALUES (55,148,8,'Vital Force',1700000,72);
INSERT INTO skill_trees VALUES (55,150,3,'Weight Limit',67000,46);
INSERT INTO skill_trees VALUES (55,205,9,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,205,10,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,205,11,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,205,12,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,205,13,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,205,14,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,205,15,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,205,16,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,205,17,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,205,18,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,205,19,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,205,20,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,205,21,'Blunt Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,205,22,'Blunt Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,205,23,'Blunt Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,205,24,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,205,25,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,205,26,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,205,27,'Blunt Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,205,28,'Blunt Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,205,29,'Blunt Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,205,30,'Blunt Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,205,31,'Blunt Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,205,32,'Blunt Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,205,33,'Blunt Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,205,34,'Blunt Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,205,35,'Blunt Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,205,36,'Blunt Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,205,37,'Blunt Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,205,38,'Blunt Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,205,39,'Blunt Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,205,40,'Blunt Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,205,41,'Blunt Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,205,42,'Blunt Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,205,43,'Blunt Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,205,44,'Blunt Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,205,45,'Blunt Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,211,4,'Boost HP',46000,43);
INSERT INTO skill_trees VALUES (55,211,5,'Boost HP',110000,49);
INSERT INTO skill_trees VALUES (55,211,6,'Boost HP',250000,55);
INSERT INTO skill_trees VALUES (55,211,7,'Boost HP',440000,62);
INSERT INTO skill_trees VALUES (55,211,8,'Boost HP',780000,66);
INSERT INTO skill_trees VALUES (55,211,9,'Boost HP',1100000,70);
INSERT INTO skill_trees VALUES (55,211,10,'Boost HP',2300000,74);
INSERT INTO skill_trees VALUES (55,212,3,'Fast HP Recovery',43000,40);
INSERT INTO skill_trees VALUES (55,212,4,'Fast HP Recovery',46000,43);
INSERT INTO skill_trees VALUES (55,212,5,'Fast HP Recovery',180000,52);
INSERT INTO skill_trees VALUES (55,212,6,'Fast HP Recovery',300000,58);
INSERT INTO skill_trees VALUES (55,212,7,'Fast HP Recovery',870000,68);
INSERT INTO skill_trees VALUES (55,212,8,'Fast HP Recovery',2300000,74);
INSERT INTO skill_trees VALUES (55,216,9,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,216,10,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,216,11,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,216,12,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,216,13,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,216,14,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,216,15,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,216,16,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,216,17,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,216,18,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,216,19,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,216,20,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,216,21,'Polearm Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,216,22,'Polearm Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,216,23,'Polearm Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,216,24,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,216,25,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,216,26,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,216,27,'Polearm Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,216,28,'Polearm Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,216,29,'Polearm Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,216,30,'Polearm Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,216,31,'Polearm Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,216,32,'Polearm Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,216,33,'Polearm Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,216,34,'Polearm Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,216,35,'Polearm Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,216,36,'Polearm Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,216,37,'Polearm Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,216,38,'Polearm Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,216,39,'Polearm Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,216,40,'Polearm Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,216,41,'Polearm Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,216,42,'Polearm Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,216,43,'Polearm Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,216,44,'Polearm Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,216,45,'Polearm Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,227,14,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,227,15,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,227,16,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,227,17,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,227,18,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,227,19,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,227,20,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,227,21,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,227,22,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,227,23,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,227,24,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,227,25,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,227,26,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,227,27,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,227,28,'Light Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,227,29,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,227,30,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,227,31,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,227,32,'Light Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,227,33,'Light Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,227,34,'Light Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,227,35,'Light Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,227,36,'Light Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,227,37,'Light Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,227,38,'Light Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,227,39,'Light Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,227,40,'Light Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,227,41,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,227,42,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,227,43,'Light Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,227,44,'Light Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,227,45,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,227,46,'Light Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,227,47,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,227,48,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,227,49,'Light Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,227,50,'Light Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,231,14,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,231,15,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,231,16,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (55,231,17,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,231,18,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,231,19,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (55,231,20,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,231,21,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,231,22,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (55,231,23,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,231,24,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,231,25,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (55,231,26,'Heavy Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,231,27,'Heavy Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,231,28,'Heavy Armor Mastery',63000,52);
INSERT INTO skill_trees VALUES (55,231,29,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,231,30,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,231,31,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (55,231,32,'Heavy Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,231,33,'Heavy Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,231,34,'Heavy Armor Mastery',100000,58);
INSERT INTO skill_trees VALUES (55,231,35,'Heavy Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,231,36,'Heavy Armor Mastery',210000,60);
INSERT INTO skill_trees VALUES (55,231,37,'Heavy Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,231,38,'Heavy Armor Mastery',220000,62);
INSERT INTO skill_trees VALUES (55,231,39,'Heavy Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,231,40,'Heavy Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (55,231,41,'Heavy Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,231,42,'Heavy Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (55,231,43,'Heavy Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,231,44,'Heavy Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (55,231,45,'Heavy Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,231,46,'Heavy Armor Mastery',520000,70);
INSERT INTO skill_trees VALUES (55,231,47,'Heavy Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,231,48,'Heavy Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (55,231,49,'Heavy Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,231,50,'Heavy Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (55,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (55,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (55,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (55,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (55,254,5,'Spoil',46000,43);
INSERT INTO skill_trees VALUES (55,254,6,'Spoil',110000,49);
INSERT INTO skill_trees VALUES (55,254,7,'Spoil',250000,55);
INSERT INTO skill_trees VALUES (55,254,8,'Spoil',410000,60);
INSERT INTO skill_trees VALUES (55,254,9,'Spoil',600000,64);
INSERT INTO skill_trees VALUES (55,254,10,'Spoil',870000,68);
INSERT INTO skill_trees VALUES (55,254,11,'Spoil',1700000,72);
INSERT INTO skill_trees VALUES (55,260,1,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (55,260,2,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (55,260,3,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (55,260,4,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (55,260,5,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (55,260,6,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (55,260,7,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (55,260,8,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (55,260,9,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (55,260,10,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (55,260,11,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (55,260,12,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (55,260,13,'Hammer Crush',63000,52);
INSERT INTO skill_trees VALUES (55,260,14,'Hammer Crush',63000,52);
INSERT INTO skill_trees VALUES (55,260,15,'Hammer Crush',63000,52);
INSERT INTO skill_trees VALUES (55,260,16,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (55,260,17,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (55,260,18,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (55,260,19,'Hammer Crush',100000,58);
INSERT INTO skill_trees VALUES (55,260,20,'Hammer Crush',100000,58);
INSERT INTO skill_trees VALUES (55,260,21,'Hammer Crush',100000,58);
INSERT INTO skill_trees VALUES (55,260,22,'Hammer Crush',210000,60);
INSERT INTO skill_trees VALUES (55,260,23,'Hammer Crush',210000,60);
INSERT INTO skill_trees VALUES (55,260,24,'Hammer Crush',220000,62);
INSERT INTO skill_trees VALUES (55,260,25,'Hammer Crush',220000,62);
INSERT INTO skill_trees VALUES (55,260,26,'Hammer Crush',300000,64);
INSERT INTO skill_trees VALUES (55,260,27,'Hammer Crush',300000,64);
INSERT INTO skill_trees VALUES (55,260,28,'Hammer Crush',390000,66);
INSERT INTO skill_trees VALUES (55,260,29,'Hammer Crush',390000,66);
INSERT INTO skill_trees VALUES (55,260,30,'Hammer Crush',430000,68);
INSERT INTO skill_trees VALUES (55,260,31,'Hammer Crush',430000,68);
INSERT INTO skill_trees VALUES (55,260,32,'Hammer Crush',520000,70);
INSERT INTO skill_trees VALUES (55,260,33,'Hammer Crush',520000,70);
INSERT INTO skill_trees VALUES (55,260,34,'Hammer Crush',840000,72);
INSERT INTO skill_trees VALUES (55,260,35,'Hammer Crush',840000,72);
INSERT INTO skill_trees VALUES (55,260,36,'Hammer Crush',1100000,74);
INSERT INTO skill_trees VALUES (55,260,37,'Hammer Crush',1100000,74);
INSERT INTO skill_trees VALUES (55,302,3,'Spoil Festival',46000,43);
INSERT INTO skill_trees VALUES (55,302,4,'Spoil Festival',110000,49);
INSERT INTO skill_trees VALUES (55,302,5,'Spoil Festival',250000,55);
INSERT INTO skill_trees VALUES (55,302,6,'Spoil Festival',440000,62);
INSERT INTO skill_trees VALUES (55,302,7,'Spoil Festival',780000,66);
INSERT INTO skill_trees VALUES (55,302,8,'Spoil Festival',1100000,70);
INSERT INTO skill_trees VALUES (55,302,9,'Spoil Festival',2300000,74);
INSERT INTO skill_trees VALUES (55,320,1,'Wrath',390000,66);
INSERT INTO skill_trees VALUES (55,320,2,'Wrath',390000,66);
INSERT INTO skill_trees VALUES (55,320,3,'Wrath',430000,68);
INSERT INTO skill_trees VALUES (55,320,4,'Wrath',430000,68);
INSERT INTO skill_trees VALUES (55,320,5,'Wrath',520000,70);
INSERT INTO skill_trees VALUES (55,320,6,'Wrath',520000,70);
INSERT INTO skill_trees VALUES (55,320,7,'Wrath',840000,72);
INSERT INTO skill_trees VALUES (55,320,8,'Wrath',840000,72);
INSERT INTO skill_trees VALUES (55,320,9,'Wrath',1100000,74);
INSERT INTO skill_trees VALUES (55,320,10,'Wrath',1100000,74);
INSERT INTO skill_trees VALUES (56,25,1,'Summon Mechanic Golem',13000,28);
INSERT INTO skill_trees VALUES (56,25,2,'Summon Mechanic Golem',34000,36);
INSERT INTO skill_trees VALUES (56,34,1,'Bandage',3700,20);
INSERT INTO skill_trees VALUES (56,100,1,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (56,100,2,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (56,100,3,'Stun Attack',1200,20);
INSERT INTO skill_trees VALUES (56,100,4,'Stun Attack',2300,24);
INSERT INTO skill_trees VALUES (56,100,5,'Stun Attack',2300,24);
INSERT INTO skill_trees VALUES (56,100,6,'Stun Attack',2300,24);
INSERT INTO skill_trees VALUES (56,100,7,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (56,100,8,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (56,100,9,'Stun Attack',4400,28);
INSERT INTO skill_trees VALUES (56,100,10,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (56,100,11,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (56,100,12,'Stun Attack',8300,32);
INSERT INTO skill_trees VALUES (56,100,13,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (56,100,14,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (56,100,15,'Stun Attack',11000,36);
INSERT INTO skill_trees VALUES (56,148,1,'Vital Force',7000,24);
INSERT INTO skill_trees VALUES (56,148,2,'Vital Force',25000,32);
INSERT INTO skill_trees VALUES (56,150,2,'Weight Limit',7000,24);
INSERT INTO skill_trees VALUES (56,172,2,'Create Item',3700,20);
INSERT INTO skill_trees VALUES (56,172,3,'Create Item',13000,28);
INSERT INTO skill_trees VALUES (56,172,4,'Create Item',34000,36);
INSERT INTO skill_trees VALUES (56,205,1,'Blunt Mastery',3700,20);
INSERT INTO skill_trees VALUES (56,205,2,'Blunt Mastery',7000,24);
INSERT INTO skill_trees VALUES (56,205,3,'Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (56,205,4,'Blunt Mastery',6700,28);
INSERT INTO skill_trees VALUES (56,205,5,'Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (56,205,6,'Blunt Mastery',13000,32);
INSERT INTO skill_trees VALUES (56,205,7,'Blunt Mastery',17000,36);
INSERT INTO skill_trees VALUES (56,205,8,'Blunt Mastery',17000,36);
INSERT INTO skill_trees VALUES (56,211,1,'Boost HP',3700,20);
INSERT INTO skill_trees VALUES (56,211,2,'Boost HP',13000,28);
INSERT INTO skill_trees VALUES (56,211,3,'Boost HP',34000,36);
INSERT INTO skill_trees VALUES (56,212,1,'Fast HP Recovery',7000,24);
INSERT INTO skill_trees VALUES (56,212,2,'Fast HP Recovery',25000,32);
INSERT INTO skill_trees VALUES (56,216,1,'Polearm Mastery',3700,20);
INSERT INTO skill_trees VALUES (56,216,2,'Polearm Mastery',7000,24);
INSERT INTO skill_trees VALUES (56,216,3,'Polearm Mastery',6700,28);
INSERT INTO skill_trees VALUES (56,216,4,'Polearm Mastery',6700,28);
INSERT INTO skill_trees VALUES (56,216,5,'Polearm Mastery',13000,32);
INSERT INTO skill_trees VALUES (56,216,6,'Polearm Mastery',13000,32);
INSERT INTO skill_trees VALUES (56,216,7,'Polearm Mastery',17000,36);
INSERT INTO skill_trees VALUES (56,216,8,'Polearm Mastery',17000,36);
INSERT INTO skill_trees VALUES (56,227,1,'Light Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (56,227,2,'Light Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (56,227,3,'Light Armor Mastery',3500,24);
INSERT INTO skill_trees VALUES (56,227,4,'Light Armor Mastery',3500,24);
INSERT INTO skill_trees VALUES (56,227,5,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,227,6,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,227,7,'Light Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,227,8,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,227,9,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,227,10,'Light Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,227,11,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,227,12,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,227,13,'Light Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,231,1,'Heavy Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (56,231,2,'Heavy Armor Mastery',1900,20);
INSERT INTO skill_trees VALUES (56,231,3,'Heavy Armor Mastery',3500,24);
INSERT INTO skill_trees VALUES (56,231,4,'Heavy Armor Mastery',3500,24);
INSERT INTO skill_trees VALUES (56,231,5,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,231,6,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,231,7,'Heavy Armor Mastery',4400,28);
INSERT INTO skill_trees VALUES (56,231,8,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,231,9,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,231,10,'Heavy Armor Mastery',8300,32);
INSERT INTO skill_trees VALUES (56,231,11,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,231,12,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,231,13,'Heavy Armor Mastery',11000,36);
INSERT INTO skill_trees VALUES (56,239,1,'Expertise D',0,20);
INSERT INTO skill_trees VALUES (56,245,1,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (56,245,2,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (56,245,3,'Wild Sweep',1200,20);
INSERT INTO skill_trees VALUES (56,245,4,'Wild Sweep',2300,24);
INSERT INTO skill_trees VALUES (56,245,5,'Wild Sweep',2300,24);
INSERT INTO skill_trees VALUES (56,245,6,'Wild Sweep',2300,24);
INSERT INTO skill_trees VALUES (56,245,7,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (56,245,8,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (56,245,9,'Wild Sweep',4400,28);
INSERT INTO skill_trees VALUES (56,245,10,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (56,245,11,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (56,245,12,'Wild Sweep',8300,32);
INSERT INTO skill_trees VALUES (56,245,13,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (56,245,14,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (56,245,15,'Wild Sweep',11000,36);
INSERT INTO skill_trees VALUES (56,248,1,'Crystallize',3700,20);
INSERT INTO skill_trees VALUES (57,13,1,'Summon Siege Golem',700000,49);
INSERT INTO skill_trees VALUES (57,25,3,'Summon Mechanic Golem',46000,43);
INSERT INTO skill_trees VALUES (57,25,4,'Summon Mechanic Golem',110000,49);
INSERT INTO skill_trees VALUES (57,25,5,'Summon Mechanic Golem',250000,55);
INSERT INTO skill_trees VALUES (57,25,6,'Summon Mechanic Golem',370000,60);
INSERT INTO skill_trees VALUES (57,25,7,'Summon Mechanic Golem',600000,64);
INSERT INTO skill_trees VALUES (57,25,8,'Summon Mechanic Golem',870000,68);
INSERT INTO skill_trees VALUES (57,25,9,'Summon Mechanic Golem',1700000,72);
INSERT INTO skill_trees VALUES (57,34,2,'Bandage',67000,46);
INSERT INTO skill_trees VALUES (57,34,3,'Bandage',400000,62);
INSERT INTO skill_trees VALUES (57,36,1,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (57,36,2,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (57,36,3,'Whirlwind',14000,40);
INSERT INTO skill_trees VALUES (57,36,4,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (57,36,5,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (57,36,6,'Whirlwind',15000,43);
INSERT INTO skill_trees VALUES (57,36,7,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (57,36,8,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (57,36,9,'Whirlwind',22000,46);
INSERT INTO skill_trees VALUES (57,36,10,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (57,36,11,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (57,36,12,'Whirlwind',36000,49);
INSERT INTO skill_trees VALUES (57,36,13,'Whirlwind',56000,52);
INSERT INTO skill_trees VALUES (57,36,14,'Whirlwind',56000,52);
INSERT INTO skill_trees VALUES (57,36,15,'Whirlwind',56000,52);
INSERT INTO skill_trees VALUES (57,36,16,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (57,36,17,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (57,36,18,'Whirlwind',81000,55);
INSERT INTO skill_trees VALUES (57,36,19,'Whirlwind',89000,58);
INSERT INTO skill_trees VALUES (57,36,20,'Whirlwind',89000,58);
INSERT INTO skill_trees VALUES (57,36,21,'Whirlwind',89000,58);
INSERT INTO skill_trees VALUES (57,36,22,'Whirlwind',180000,60);
INSERT INTO skill_trees VALUES (57,36,23,'Whirlwind',180000,60);
INSERT INTO skill_trees VALUES (57,36,24,'Whirlwind',200000,62);
INSERT INTO skill_trees VALUES (57,36,25,'Whirlwind',200000,62);
INSERT INTO skill_trees VALUES (57,36,26,'Whirlwind',300000,64);
INSERT INTO skill_trees VALUES (57,36,27,'Whirlwind',300000,64);
INSERT INTO skill_trees VALUES (57,36,28,'Whirlwind',390000,66);
INSERT INTO skill_trees VALUES (57,36,29,'Whirlwind',390000,66);
INSERT INTO skill_trees VALUES (57,36,30,'Whirlwind',430000,68);
INSERT INTO skill_trees VALUES (57,36,31,'Whirlwind',430000,68);
INSERT INTO skill_trees VALUES (57,36,32,'Whirlwind',460000,70);
INSERT INTO skill_trees VALUES (57,36,33,'Whirlwind',460000,70);
INSERT INTO skill_trees VALUES (57,36,34,'Whirlwind',840000,72);
INSERT INTO skill_trees VALUES (57,36,35,'Whirlwind',840000,72);
INSERT INTO skill_trees VALUES (57,36,36,'Whirlwind',1100000,74);
INSERT INTO skill_trees VALUES (57,36,37,'Whirlwind',1100000,74);
INSERT INTO skill_trees VALUES (57,148,3,'Vital Force',43000,40);
INSERT INTO skill_trees VALUES (57,148,4,'Vital Force',67000,46);
INSERT INTO skill_trees VALUES (57,148,5,'Vital Force',170000,52);
INSERT INTO skill_trees VALUES (57,148,6,'Vital Force',270000,58);
INSERT INTO skill_trees VALUES (57,148,7,'Vital Force',600000,64);
INSERT INTO skill_trees VALUES (57,148,8,'Vital Force',1700000,72);
INSERT INTO skill_trees VALUES (57,150,3,'Weight Limit',67000,46);
INSERT INTO skill_trees VALUES (57,172,5,'Create Item',46000,43);
INSERT INTO skill_trees VALUES (57,172,6,'Create Item',110000,49);
INSERT INTO skill_trees VALUES (57,172,7,'Create Item',250000,55);
INSERT INTO skill_trees VALUES (57,172,8,'Create Item',400000,62);
INSERT INTO skill_trees VALUES (57,172,9,'Create Item',850000,70);
INSERT INTO skill_trees VALUES (57,205,9,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,205,10,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,205,11,'Blunt Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,205,12,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,205,13,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,205,14,'Blunt Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,205,15,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,205,16,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,205,17,'Blunt Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,205,18,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,205,19,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,205,20,'Blunt Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,205,21,'Blunt Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,205,22,'Blunt Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,205,23,'Blunt Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,205,24,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,205,25,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,205,26,'Blunt Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,205,27,'Blunt Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,205,28,'Blunt Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,205,29,'Blunt Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,205,30,'Blunt Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,205,31,'Blunt Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,205,32,'Blunt Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,205,33,'Blunt Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,205,34,'Blunt Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,205,35,'Blunt Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,205,36,'Blunt Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,205,37,'Blunt Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,205,38,'Blunt Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,205,39,'Blunt Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,205,40,'Blunt Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,205,41,'Blunt Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,205,42,'Blunt Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,205,43,'Blunt Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,205,44,'Blunt Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,205,45,'Blunt Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,211,4,'Boost HP',46000,43);
INSERT INTO skill_trees VALUES (57,211,5,'Boost HP',110000,49);
INSERT INTO skill_trees VALUES (57,211,6,'Boost HP',250000,55);
INSERT INTO skill_trees VALUES (57,211,7,'Boost HP',400000,62);
INSERT INTO skill_trees VALUES (57,211,8,'Boost HP',780000,66);
INSERT INTO skill_trees VALUES (57,211,9,'Boost HP',930000,70);
INSERT INTO skill_trees VALUES (57,211,10,'Boost HP',2300000,74);
INSERT INTO skill_trees VALUES (57,212,3,'Fast HP Recovery',43000,40);
INSERT INTO skill_trees VALUES (57,212,4,'Fast HP Recovery',46000,43);
INSERT INTO skill_trees VALUES (57,212,5,'Fast HP Recovery',170000,52);
INSERT INTO skill_trees VALUES (57,212,6,'Fast HP Recovery',270000,58);
INSERT INTO skill_trees VALUES (57,212,7,'Fast HP Recovery',870000,68);
INSERT INTO skill_trees VALUES (57,212,8,'Fast HP Recovery',2300000,74);
INSERT INTO skill_trees VALUES (57,216,9,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,216,10,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,216,11,'Polearm Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,216,12,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,216,13,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,216,14,'Polearm Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,216,15,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,216,16,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,216,17,'Polearm Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,216,18,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,216,19,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,216,20,'Polearm Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,216,21,'Polearm Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,216,22,'Polearm Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,216,23,'Polearm Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,216,24,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,216,25,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,216,26,'Polearm Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,216,27,'Polearm Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,216,28,'Polearm Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,216,29,'Polearm Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,216,30,'Polearm Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,216,31,'Polearm Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,216,32,'Polearm Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,216,33,'Polearm Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,216,34,'Polearm Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,216,35,'Polearm Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,216,36,'Polearm Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,216,37,'Polearm Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,216,38,'Polearm Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,216,39,'Polearm Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,216,40,'Polearm Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,216,41,'Polearm Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,216,42,'Polearm Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,216,43,'Polearm Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,216,44,'Polearm Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,216,45,'Polearm Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,227,14,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,227,15,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,227,16,'Light Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,227,17,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,227,18,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,227,19,'Light Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,227,20,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,227,21,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,227,22,'Light Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,227,23,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,227,24,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,227,25,'Light Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,227,26,'Light Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,227,27,'Light Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,227,28,'Light Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,227,29,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,227,30,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,227,31,'Light Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,227,32,'Light Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,227,33,'Light Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,227,34,'Light Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,227,35,'Light Armor Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,227,36,'Light Armor Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,227,37,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,227,38,'Light Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,227,39,'Light Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,227,40,'Light Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,227,41,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,227,42,'Light Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,227,43,'Light Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,227,44,'Light Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,227,45,'Light Armor Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,227,46,'Light Armor Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,227,47,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,227,48,'Light Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,227,49,'Light Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,227,50,'Light Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,231,14,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,231,15,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,231,16,'Heavy Armor Mastery',14000,40);
INSERT INTO skill_trees VALUES (57,231,17,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,231,18,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,231,19,'Heavy Armor Mastery',15000,43);
INSERT INTO skill_trees VALUES (57,231,20,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,231,21,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,231,22,'Heavy Armor Mastery',22000,46);
INSERT INTO skill_trees VALUES (57,231,23,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,231,24,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,231,25,'Heavy Armor Mastery',36000,49);
INSERT INTO skill_trees VALUES (57,231,26,'Heavy Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,231,27,'Heavy Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,231,28,'Heavy Armor Mastery',56000,52);
INSERT INTO skill_trees VALUES (57,231,29,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,231,30,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,231,31,'Heavy Armor Mastery',81000,55);
INSERT INTO skill_trees VALUES (57,231,32,'Heavy Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,231,33,'Heavy Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,231,34,'Heavy Armor Mastery',89000,58);
INSERT INTO skill_trees VALUES (57,231,35,'Heavy Armor Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,231,36,'Heavy Armor Mastery',180000,60);
INSERT INTO skill_trees VALUES (57,231,37,'Heavy Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,231,38,'Heavy Armor Mastery',200000,62);
INSERT INTO skill_trees VALUES (57,231,39,'Heavy Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,231,40,'Heavy Armor Mastery',300000,64);
INSERT INTO skill_trees VALUES (57,231,41,'Heavy Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,231,42,'Heavy Armor Mastery',390000,66);
INSERT INTO skill_trees VALUES (57,231,43,'Heavy Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,231,44,'Heavy Armor Mastery',430000,68);
INSERT INTO skill_trees VALUES (57,231,45,'Heavy Armor Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,231,46,'Heavy Armor Mastery',460000,70);
INSERT INTO skill_trees VALUES (57,231,47,'Heavy Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,231,48,'Heavy Armor Mastery',840000,72);
INSERT INTO skill_trees VALUES (57,231,49,'Heavy Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,231,50,'Heavy Armor Mastery',1100000,74);
INSERT INTO skill_trees VALUES (57,239,2,'Expertise C',0,40);
INSERT INTO skill_trees VALUES (57,239,3,'Expertise B',0,52);
INSERT INTO skill_trees VALUES (57,239,4,'Expertise A',0,61);
INSERT INTO skill_trees VALUES (57,239,5,'Expertise S',0,76);
INSERT INTO skill_trees VALUES (57,248,2,'Crystallize',43000,40);
INSERT INTO skill_trees VALUES (57,248,3,'Crystallize',170000,52);
INSERT INTO skill_trees VALUES (57,248,4,'Crystallize',370000,60);
INSERT INTO skill_trees VALUES (57,248,5,'Crystallize',930000,70);
INSERT INTO skill_trees VALUES (57,260,1,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (57,260,2,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (57,260,3,'Hammer Crush',14000,40);
INSERT INTO skill_trees VALUES (57,260,4,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (57,260,5,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (57,260,6,'Hammer Crush',15000,43);
INSERT INTO skill_trees VALUES (57,260,7,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (57,260,8,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (57,260,9,'Hammer Crush',22000,46);
INSERT INTO skill_trees VALUES (57,260,10,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (57,260,11,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (57,260,12,'Hammer Crush',36000,49);
INSERT INTO skill_trees VALUES (57,260,13,'Hammer Crush',56000,52);
INSERT INTO skill_trees VALUES (57,260,14,'Hammer Crush',56000,52);
INSERT INTO skill_trees VALUES (57,260,15,'Hammer Crush',56000,52);
INSERT INTO skill_trees VALUES (57,260,16,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (57,260,17,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (57,260,18,'Hammer Crush',81000,55);
INSERT INTO skill_trees VALUES (57,260,19,'Hammer Crush',89000,58);
INSERT INTO skill_trees VALUES (57,260,20,'Hammer Crush',89000,58);
INSERT INTO skill_trees VALUES (57,260,21,'Hammer Crush',89000,58);
INSERT INTO skill_trees VALUES (57,260,22,'Hammer Crush',180000,60);
INSERT INTO skill_trees VALUES (57,260,23,'Hammer Crush',180000,60);
INSERT INTO skill_trees VALUES (57,260,24,'Hammer Crush',200000,62);
INSERT INTO skill_trees VALUES (57,260,25,'Hammer Crush',200000,62);
INSERT INTO skill_trees VALUES (57,260,26,'Hammer Crush',300000,64);
INSERT INTO skill_trees VALUES (57,260,27,'Hammer Crush',300000,64);
INSERT INTO skill_trees VALUES (57,260,28,'Hammer Crush',390000,66);
INSERT INTO skill_trees VALUES (57,260,29,'Hammer Crush',390000,66);
INSERT INTO skill_trees VALUES (57,260,30,'Hammer Crush',430000,68);
INSERT INTO skill_trees VALUES (57,260,31,'Hammer Crush',430000,68);
INSERT INTO skill_trees VALUES (57,260,32,'Hammer Crush',460000,70);
INSERT INTO skill_trees VALUES (57,260,33,'Hammer Crush',460000,70);
INSERT INTO skill_trees VALUES (57,260,34,'Hammer Crush',840000,72);
INSERT INTO skill_trees VALUES (57,260,35,'Hammer Crush',840000,72);
INSERT INTO skill_trees VALUES (57,260,36,'Hammer Crush',1100000,74);
INSERT INTO skill_trees VALUES (57,260,37,'Hammer Crush',1100000,74);
INSERT INTO skill_trees VALUES (57,299,1,'Summon Wild Hog Cannon',800000,58);
INSERT INTO skill_trees VALUES (57,301,1,'Summon Big Boom',270000,58);
INSERT INTO skill_trees VALUES (57,301,2,'Summon Big Boom',400000,62);
INSERT INTO skill_trees VALUES (57,301,3,'Summon Big Boom',780000,66);
INSERT INTO skill_trees VALUES (57,301,4,'Summon Big Boom',930000,70);
INSERT INTO skill_trees VALUES (57,301,5,'Summon Big Boom',2300000,74);
INSERT INTO skill_trees VALUES (57,320,1,'Wrath',390000,66);
INSERT INTO skill_trees VALUES (57,320,2,'Wrath',390000,66);
INSERT INTO skill_trees VALUES (57,320,3,'Wrath',430000,68);
INSERT INTO skill_trees VALUES (57,320,4,'Wrath',430000,68);
INSERT INTO skill_trees VALUES (57,320,5,'Wrath',460000,70);
INSERT INTO skill_trees VALUES (57,320,6,'Wrath',460000,70);
INSERT INTO skill_trees VALUES (57,320,7,'Wrath',840000,72);
INSERT INTO skill_trees VALUES (57,320,8,'Wrath',840000,72);
INSERT INTO skill_trees VALUES (57,320,9,'Wrath',1100000,74);
INSERT INTO skill_trees VALUES (57,320,10,'Wrath',1100000,74);
INSERT INTO skill_trees VALUES (0,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (0,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (10,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (10,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (18,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (18,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (25,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (25,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (31,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (31,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (38,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (38,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (44,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (44,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (49,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (49,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (53,1320,1,'Create Common Item',0,1);
INSERT INTO skill_trees VALUES (53,1322,1,'Common Craft',0,1);
INSERT INTO skill_trees VALUES (1,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (1,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (1,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (4,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (4,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (4,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (7,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (7,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (7,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (11,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (11,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (11,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (15,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (15,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (15,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (19,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (19,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (19,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (22,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (22,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (22,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (26,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (26,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (26,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (29,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (29,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (29,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (32,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (32,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (32,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (35,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (35,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (35,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (39,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (39,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (39,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (42,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (42,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (42,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (45,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (45,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (45,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (47,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (47,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (47,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (50,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (50,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (50,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (54,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (54,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (54,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (56,1320,2,'Create Common Item',0,20);
INSERT INTO skill_trees VALUES (56,1320,3,'Create Common Item',0,28);
INSERT INTO skill_trees VALUES (56,1320,4,'Create Common Item',0,36);
INSERT INTO skill_trees VALUES (2,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (2,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (2,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (2,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (2,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (3,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (3,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (3,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (3,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (3,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (5,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (5,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (5,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (5,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (5,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (6,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (6,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (6,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (6,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (6,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (8,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (8,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (8,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (8,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (8,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (9,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (9,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (9,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (9,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (9,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (12,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (12,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (12,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (12,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (12,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (13,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (13,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (13,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (13,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (13,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (14,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (14,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (14,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (14,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (14,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (16,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (16,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (16,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (16,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (16,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (17,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (17,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (17,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (17,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (17,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (20,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (20,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (20,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (20,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (20,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (21,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (21,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (21,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (21,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (21,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (23,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (23,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (23,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (23,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (23,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (24,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (24,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (24,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (24,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (24,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (27,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (27,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (27,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (27,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (27,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (28,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (28,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (28,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (28,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (28,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (30,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (30,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (30,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (30,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (30,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (33,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (33,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (33,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (33,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (33,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (34,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (34,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (34,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (34,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (34,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (36,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (36,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (36,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (36,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (36,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (37,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (37,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (37,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (37,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (37,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (40,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (40,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (40,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (40,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (40,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (41,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (41,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (41,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (41,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (41,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (43,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (43,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (43,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (43,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (43,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (46,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (46,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (46,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (46,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (46,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (48,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (48,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (48,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (48,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (48,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (51,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (51,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (51,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (51,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (51,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (52,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (52,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (52,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (52,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (52,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (55,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (55,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (55,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (55,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (55,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (57,1320,5,'Create Common Item',0,43);
INSERT INTO skill_trees VALUES (57,1320,6,'Create Common Item',0,49);
INSERT INTO skill_trees VALUES (57,1320,7,'Create Common Item',0,55);
INSERT INTO skill_trees VALUES (57,1320,8,'Create Common Item',0,62);
INSERT INTO skill_trees VALUES (57,1320,9,'Create Common Item',0,70);
INSERT INTO skill_trees VALUES (14,1328,1,'Mass Summon Storm Cubic',32000,40);
INSERT INTO skill_trees VALUES (14,1328,2,'Mass Summon Storm Cubic',41000,44);
INSERT INTO skill_trees VALUES (14,1328,3,'Mass Summon Storm Cubic',110000,52);
INSERT INTO skill_trees VALUES (14,1328,4,'Mass Summon Storm Cubic',160000,58);
INSERT INTO skill_trees VALUES (14,1328,5,'Mass Summon Storm Cubic',310000,62);
INSERT INTO skill_trees VALUES (14,1328,6,'Mass Summon Storm Cubic',540000,66);
INSERT INTO skill_trees VALUES (14,1328,7,'Mass Summon Storm Cubic',670000,70);
INSERT INTO skill_trees VALUES (14,1328,8,'Mass Summon Storm Cubic',1600000,74);
INSERT INTO skill_trees VALUES (13,1334,1,'Summon Cursed Man',83000,56);
INSERT INTO skill_trees VALUES (13,1334,2,'Summon Cursed Man',130000,60);
INSERT INTO skill_trees VALUES (13,1334,3,'Summon Cursed Man',200000,64);
INSERT INTO skill_trees VALUES (13,1334,4,'Summon Cursed Man',330000,68);
INSERT INTO skill_trees VALUES (13,1334,5,'Summon Cursed Man',410000,70);
INSERT INTO skill_trees VALUES (13,1334,6,'Summon Cursed Man',610000,72);
INSERT INTO skill_trees VALUES (13,1334,7,'Summon Cursed Man',920000,74);
INSERT INTO skill_trees VALUES (28,1329,1,'Mass Summon Aqua Cubic',32000,40);
INSERT INTO skill_trees VALUES (28,1329,2,'Mass Summon Aqua Cubic',44000,44);
INSERT INTO skill_trees VALUES (28,1329,3,'Mass Summon Aqua Cubic',67000,48);
INSERT INTO skill_trees VALUES (28,1329,4,'Mass Summon Aqua Cubic',100000,52);
INSERT INTO skill_trees VALUES (28,1329,5,'Mass Summon Aqua Cubic',110000,56);
INSERT INTO skill_trees VALUES (28,1332,1,'Summon Unicorn Seraphim',110000,56);
INSERT INTO skill_trees VALUES (28,1332,2,'Summon Unicorn Seraphim',180000,58);
INSERT INTO skill_trees VALUES (28,1332,3,'Summon Unicorn Seraphim',210000,60);
INSERT INTO skill_trees VALUES (28,1329,6,'Mass Summon Aqua Cubic',310000,62);
INSERT INTO skill_trees VALUES (28,1332,4,'Summon Unicorn Seraphim',310000,62);
INSERT INTO skill_trees VALUES (28,1332,5,'Summon Unicorn Seraphim',400000,64);
INSERT INTO skill_trees VALUES (28,1329,7,'Mass Summon Aqua Cubic',540000,66);
INSERT INTO skill_trees VALUES (28,1332,6,'Summon Unicorn Seraphim',540000,66);
INSERT INTO skill_trees VALUES (28,1332,7,'Summon Unicorn Seraphim',640000,68);
INSERT INTO skill_trees VALUES (28,1329,8,'Mass Summon Aqua Cubic',670000,70);
INSERT INTO skill_trees VALUES (28,1332,8,'Summon Unicorn Seraphim',670000,70);
INSERT INTO skill_trees VALUES (28,1332,9,'Summon Unicorn Seraphim',1300000,72);
INSERT INTO skill_trees VALUES (28,1329,9,'Mass Summon Aqua Cubic',1600000,74);
INSERT INTO skill_trees VALUES (28,1332,10,'Summon Unicorn Seraphim',1600000,74);
INSERT INTO skill_trees VALUES (14,1331,1,'Summon Queen of Cat',130000,56);
INSERT INTO skill_trees VALUES (14,1331,2,'Summon Queen of Cat',160000,58);
INSERT INTO skill_trees VALUES (14,1331,3,'Summon Queen of Cat',210000,60);
INSERT INTO skill_trees VALUES (14,1331,4,'Summon Queen of Cat',310000,62);
INSERT INTO skill_trees VALUES (14,1331,5,'Summon Queen of Cat',400000,64);
INSERT INTO skill_trees VALUES (14,1331,6,'Summon Queen of Cat',540000,66);
INSERT INTO skill_trees VALUES (14,1331,7,'Summon Queen of Cat',640000,68);
INSERT INTO skill_trees VALUES (14,1331,8,'Summon Queen of Cat',670000,70);
INSERT INTO skill_trees VALUES (14,1331,9,'Summon Queen of Cat',1300000,72);
INSERT INTO skill_trees VALUES (14,1331,10,'Summon Queen of Cat',1600000,74);
INSERT INTO skill_trees VALUES (41,1330,1,'Mass Summon Phantom Cubic',32000,40);
INSERT INTO skill_trees VALUES (41,1330,2,'Mass Summon Phantom Cubic',41000,44);
INSERT INTO skill_trees VALUES (41,1330,3,'Mass Summon Phantom Cubic',110000,52);
INSERT INTO skill_trees VALUES (41,1330,4,'Mass Summon Phantom Cubic',160000,58);
INSERT INTO skill_trees VALUES (41,1330,5,'Mass Summon Phantom Cubic',310000,62);
INSERT INTO skill_trees VALUES (41,1330,6,'Mass Summon Phantom Cubic',540000,66);
INSERT INTO skill_trees VALUES (41,1330,7,'Mass Summon Phantom Cubic',670000,70);
INSERT INTO skill_trees VALUES (41,1330,8,'Mass Summon Phantom Cubic',1600000,74);
INSERT INTO skill_trees VALUES (41,1333,1,'Summon Nightshade',130000,56);
INSERT INTO skill_trees VALUES (41,1333,2,'Summon Nightshade',160000,58);
INSERT INTO skill_trees VALUES (41,1333,3,'Summon Nightshade',210000,60);
INSERT INTO skill_trees VALUES (41,1333,4,'Summon Nightshade',310000,62);
INSERT INTO skill_trees VALUES (41,1333,5,'Summon Nightshade',400000,64);
INSERT INTO skill_trees VALUES (41,1333,6,'Summon Nightshade',540000,66);
INSERT INTO skill_trees VALUES (41,1333,7,'Summon Nightshade',640000,68);
INSERT INTO skill_trees VALUES (41,1333,8,'Summon Nightshade',670000,70);
INSERT INTO skill_trees VALUES (41,1333,9,'Summon Nightshade',1300000,72);
INSERT INTO skill_trees VALUES (41,1333,10,'Summon Nightshade',1600000,74);
INSERT INTO skill_trees VALUES (89,329,1,'Health',12000000,76);
INSERT INTO skill_trees VALUES (89,328,1,'Wisdom',12000000,76);
INSERT INTO skill_trees VALUES (89,359,1,'Eye of Hunter',15000000,77);
INSERT INTO skill_trees VALUES (89,361,1,'Shock Blast',15000000,77);
INSERT INTO skill_trees VALUES (89,330,1,'Skill Mastery',15000000,77);
INSERT INTO skill_trees VALUES (89,347,1,'Earthquake',21000000,78);
INSERT INTO skill_trees VALUES (89,360,1,'Eye of Slayer',21000000,78);
INSERT INTO skill_trees VALUES (89,339,1,'Parry Stance',21000000,78);
INSERT INTO skill_trees VALUES (88,329,1,'Health',12000000,76);
INSERT INTO skill_trees VALUES (88,328,1,'Wisdom',12000000,76);
INSERT INTO skill_trees VALUES (88,359,1,'Eye of Hunter',15000000,77);
INSERT INTO skill_trees VALUES (88,340,1,'Riposte Stance',15000000,77);
INSERT INTO skill_trees VALUES (88,330,1,'Skill Mastery',15000000,77);
INSERT INTO skill_trees VALUES (88,360,1,'Eye of Slayer',32000000,78);
INSERT INTO skill_trees VALUES (88,345,1,'Sonic Rage',32000000,78);
INSERT INTO skill_trees VALUES (90,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (90,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (90,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (90,353,1,'Shield Slam',20000000,77);
INSERT INTO skill_trees VALUES (90,368,1,'Vengeance',20000000,77);
INSERT INTO skill_trees VALUES (90,350,1,'Physical Mirror',32000000,78);
INSERT INTO skill_trees VALUES (90,341,1,'Touch of Life',32000000,78);
INSERT INTO skill_trees VALUES (91,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (91,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (91,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (91,353,1,'Shield Slam',20000000,77);
INSERT INTO skill_trees VALUES (91,368,1,'Vengeance',20000000,77);
INSERT INTO skill_trees VALUES (91,350,1,'Physical Mirror',32000000,78);
INSERT INTO skill_trees VALUES (91,342,1,'Touch of Death',32000000,78);
INSERT INTO skill_trees VALUES (93,344,1,'Lethal Blow',15000000,76);
INSERT INTO skill_trees VALUES (93,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (93,358,1,'Bluff',20000000,77);
INSERT INTO skill_trees VALUES (93,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (93,356,1,'Focus Chance',21000000,78);
INSERT INTO skill_trees VALUES (93,357,1,'Focus Power',21000000,78);
INSERT INTO skill_trees VALUES (93,334,1,'Focus Skill Mastery',21000000,78);
INSERT INTO skill_trees VALUES (92,343,1,'Lethal Shot',15000000,76);
INSERT INTO skill_trees VALUES (92,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (92,354,1,'Hamstring Shot',20000000,77);
INSERT INTO skill_trees VALUES (92,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (92,334,1,'Focus Skill Mastery',64000000,78);
INSERT INTO skill_trees VALUES (94,328,1,'Wisdom',30000000,76);
INSERT INTO skill_trees VALUES (94,1339,1,'Fire Vortex',20000000,77);
INSERT INTO skill_trees VALUES (94,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (94,1338,1,'Arcane Chaos',32000000,78);
INSERT INTO skill_trees VALUES (94,337,1,'Arcane Power',32000000,78);
INSERT INTO skill_trees VALUES (95,1343,1,'Dark Vortex',10000000,76);
INSERT INTO skill_trees VALUES (95,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (95,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (95,1336,1,'Curse of Doom',13000000,77);
INSERT INTO skill_trees VALUES (95,1344,1,'Mass Warrior Bane',13000000,77);
INSERT INTO skill_trees VALUES (95,331,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (95,337,1,'Arcane Power',21000000,78);
INSERT INTO skill_trees VALUES (95,1337,1,'Curse of Abyss',21000000,78);
INSERT INTO skill_trees VALUES (95,1345,1,'Mass Mage Bane',21000000,78);
INSERT INTO skill_trees VALUES (96,1350,1,'Warrior Bane',12000000,76);
INSERT INTO skill_trees VALUES (96,328,1,'Wisdom',12000000,76);
INSERT INTO skill_trees VALUES (96,1351,1,'Mage Bane',15000000,77);
INSERT INTO skill_trees VALUES (96,331,1,'Skill Mastery',15000000,77);
INSERT INTO skill_trees VALUES (96,1346,1,'Warrior Servitor',15000000,77);
INSERT INTO skill_trees VALUES (96,338,1,'Arcane Agility',32000000,78);
INSERT INTO skill_trees VALUES (96,1349,1,'Final Servitor',32000000,78);
INSERT INTO skill_trees VALUES (97,1335,1,'Balance Life',10000000,76);
INSERT INTO skill_trees VALUES (97,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (97,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (97,1353,1,'Divine Protection',13000000,77);
INSERT INTO skill_trees VALUES (97,1360,1,'Mass Block Shield',13000000,77);
INSERT INTO skill_trees VALUES (97,331,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (97,336,1,'Arcane Wisdom',32000000,78);
INSERT INTO skill_trees VALUES (97,1361,1,'Mass Block Wind Walk',32000000,78);
INSERT INTO skill_trees VALUES (98,1352,1,'Elemental Protection',10000000,76);
INSERT INTO skill_trees VALUES (98,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (98,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (98,1358,1,'Block Shield',13000000,77);
INSERT INTO skill_trees VALUES (98,1359,1,'Block Wind Walk',13000000,77);
INSERT INTO skill_trees VALUES (98,331,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (98,336,1,'Arcane Wisdom',32000000,78);
INSERT INTO skill_trees VALUES (98,1356,1,'Prophecy of Fire',32000000,78);
INSERT INTO skill_trees VALUES (99,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (99,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (99,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (99,352,1,'Shield Bash',20000000,77);
INSERT INTO skill_trees VALUES (99,368,1,'Vengeance',20000000,77);
INSERT INTO skill_trees VALUES (99,351,1,'Magical Mirror',32000000,78);
INSERT INTO skill_trees VALUES (99,341,1,'Touch of Life',32000000,78);
INSERT INTO skill_trees VALUES (100,329,1,'Health',15000000,76);
INSERT INTO skill_trees VALUES (100,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (100,363,1,'Song of Meditation',20000000,77);
INSERT INTO skill_trees VALUES (100,349,1,'Song of Renewal',20000000,77);
INSERT INTO skill_trees VALUES (100,364,1,'Song of Champion',64000000,78);
INSERT INTO skill_trees VALUES (101,344,1,'Lethal Blow',15000000,76);
INSERT INTO skill_trees VALUES (101,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (101,358,1,'Bluff',20000000,77);
INSERT INTO skill_trees VALUES (101,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (101,356,1,'Focus Chance',21000000,78);
INSERT INTO skill_trees VALUES (101,355,1,'Focus Death',21000000,78);
INSERT INTO skill_trees VALUES (101,334,1,'Focus Skill Mastery',21000000,78);
INSERT INTO skill_trees VALUES (102,343,1,'Lethal Shot',15000000,76);
INSERT INTO skill_trees VALUES (102,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (102,354,1,'Hamstring Shot',20000000,77);
INSERT INTO skill_trees VALUES (102,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (102,334,1,'Focus Skill Mastery',32000000,78);
INSERT INTO skill_trees VALUES (102,369,1,'Evade Shot',32000000,78);
INSERT INTO skill_trees VALUES (103,1342,1,'Light Vortex',15000000,76);
INSERT INTO skill_trees VALUES (103,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (103,1340,1,'Ice Vortex',20000000,77);
INSERT INTO skill_trees VALUES (103,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (103,1338,1,'Arcane Chaos',32000000,78);
INSERT INTO skill_trees VALUES (103,337,1,'Arcane Power',32000000,78);
INSERT INTO skill_trees VALUES (104,1350,1,'Warrior Bane',15000000,76);
INSERT INTO skill_trees VALUES (104,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (104,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (104,1347,1,'Wizard Servitor',20000000,77);
INSERT INTO skill_trees VALUES (104,338,1,'Arcane Agility',32000000,78);
INSERT INTO skill_trees VALUES (104,1349,1,'Final Servitor',32000000,78);
INSERT INTO skill_trees VALUES (105,1354,1,'Arcane Protection',10000000,76);
INSERT INTO skill_trees VALUES (105,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (105,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (105,1353,1,'Divine Protection',13000000,77);
INSERT INTO skill_trees VALUES (105,1359,1,'Block Wind Walk',13000000,77);
INSERT INTO skill_trees VALUES (105,331,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (105,336,1,'Arcane Wisdom',32000000,78);
INSERT INTO skill_trees VALUES (105,1355,1,'Prophecy of Water',32000000,78);
INSERT INTO skill_trees VALUES (106,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (106,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (106,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (106,352,1,'Shield Bash',20000000,77);
INSERT INTO skill_trees VALUES (106,368,1,'Vengeance',20000000,77);
INSERT INTO skill_trees VALUES (106,351,1,'Magical Mirror',32000000,78);
INSERT INTO skill_trees VALUES (106,342,1,'Touch of Death',32000000,78);
INSERT INTO skill_trees VALUES (107,329,1,'Health',15000000,76);
INSERT INTO skill_trees VALUES (107,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (107,367,1,'Dance of Medusa',20000000,77);
INSERT INTO skill_trees VALUES (107,366,1,'Dance of Shadow',20000000,77);
INSERT INTO skill_trees VALUES (107,365,1,'Dance of Siren',64000000,78);
INSERT INTO skill_trees VALUES (108,344,1,'Lethal Blow',15000000,76);
INSERT INTO skill_trees VALUES (108,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (108,358,1,'Bluff',20000000,77);
INSERT INTO skill_trees VALUES (108,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (108,357,1,'Focus Power',21000000,78);
INSERT INTO skill_trees VALUES (108,355,1,'Focus Death',21000000,78);
INSERT INTO skill_trees VALUES (108,334,1,'Focus Skill Mastery',21000000,78);
INSERT INTO skill_trees VALUES (109,343,1,'Lethal Shot',15000000,76);
INSERT INTO skill_trees VALUES (109,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (109,354,1,'Hamstring Shot',20000000,77);
INSERT INTO skill_trees VALUES (109,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (109,334,1,'Focus Skill Mastery',32000000,78);
INSERT INTO skill_trees VALUES (109,369,1,'Evade Shot',32000000,78);
INSERT INTO skill_trees VALUES (110,1343,1,'Dark Vortex',10000000,76);
INSERT INTO skill_trees VALUES (110,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (110,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (110,1341,1,'Wind Vortex',20000000,77);
INSERT INTO skill_trees VALUES (110,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (110,1338,1,'Arcane Chaos',32000000,78);
INSERT INTO skill_trees VALUES (110,337,1,'Arcane Power',32000000,78);
INSERT INTO skill_trees VALUES (111,329,1,'Health',12000000,76);
INSERT INTO skill_trees VALUES (111,328,1,'Wisdom',12000000,76);
INSERT INTO skill_trees VALUES (111,331,1,'Skill Mastery',15000000,77);
INSERT INTO skill_trees VALUES (111,1351,1,'Mage Bane',15000000,77);
INSERT INTO skill_trees VALUES (111,1348,1,'Assassin Servitor',15000000,77);
INSERT INTO skill_trees VALUES (111,338,1,'Arcane Agility',32000000,78);
INSERT INTO skill_trees VALUES (111,1349,1,'Final Servitor',32000000,78);
INSERT INTO skill_trees VALUES (112,1354,1,'Arcane Protection',10000000,76);
INSERT INTO skill_trees VALUES (112,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (112,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (112,1358,1,'Block Shield',20000000,77);
INSERT INTO skill_trees VALUES (112,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (112,336,1,'Arcane Wisdom',32000000,78);
INSERT INTO skill_trees VALUES (112,1357,1,'Prophecy of Wind',32000000,78);
INSERT INTO skill_trees VALUES (113,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (113,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (113,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (113,362,1,'Armor Crush',20000000,77);
INSERT INTO skill_trees VALUES (113,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (113,347,1,'Earthquake',32000000,78);
INSERT INTO skill_trees VALUES (113,339,1,'Parry Stance',32000000,78);
INSERT INTO skill_trees VALUES (114,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (114,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (114,335,1,'Fortitude',10000000,76);
INSERT INTO skill_trees VALUES (114,340,1,'Riposte Stance',20000000,77);
INSERT INTO skill_trees VALUES (114,330,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (114,346,1,'Force Rage',64000000,78);
INSERT INTO skill_trees VALUES (115,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (115,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (115,1367,1,'Seal of Disease',10000000,76);
INSERT INTO skill_trees VALUES (115,1364,1,'Eye of Paagrio',13000000,77);
INSERT INTO skill_trees VALUES (115,331,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (115,1365,1,'Soul of Paagrio',13000000,77);
INSERT INTO skill_trees VALUES (115,337,1,'Arcane Power',32000000,78);
INSERT INTO skill_trees VALUES (115,1366,1,'Seal of Despair',32000000,78);
INSERT INTO skill_trees VALUES (116,329,1,'Health',15000000,76);
INSERT INTO skill_trees VALUES (116,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (116,1362,1,'Chant of Spirit',20000000,77);
INSERT INTO skill_trees VALUES (116,331,1,'Skill Mastery',20000000,77);
INSERT INTO skill_trees VALUES (116,336,1,'Arcane Wisdom',32000000,78);
INSERT INTO skill_trees VALUES (116,1363,1,'Chant of Victory',32000000,78);
INSERT INTO skill_trees VALUES (117,329,1,'Health',10000000,76);
INSERT INTO skill_trees VALUES (117,328,1,'Wisdom',10000000,76);
INSERT INTO skill_trees VALUES (117,348,1,'Spoil Crush',10000000,76);
INSERT INTO skill_trees VALUES (117,362,1,'Armor Crush',13000000,77);
INSERT INTO skill_trees VALUES (117,340,1,'Riposte Stance',13000000,77);
INSERT INTO skill_trees VALUES (117,330,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (117,347,1,'Earthquake',32000000,78);
INSERT INTO skill_trees VALUES (117,339,1,'Parry Stance',32000000,78);
INSERT INTO skill_trees VALUES (118,329,1,'Health',15000000,76);
INSERT INTO skill_trees VALUES (118,328,1,'Wisdom',15000000,76);
INSERT INTO skill_trees VALUES (118,362,1,'Armor Crush',13000000,77);
INSERT INTO skill_trees VALUES (118,340,1,'Riposte Stance',13000000,77);
INSERT INTO skill_trees VALUES (118,330,1,'Skill Mastery',13000000,77);
INSERT INTO skill_trees VALUES (118,347,1,'Earthquake',32000000,78);
INSERT INTO skill_trees VALUES (118,339,1,'Parry Stance',32000000,78);
